#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0x7af0bfa1, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0xfc9a0d81, "_gpl");
SYMBOL_CRC(af_alg_release, 0xa01c6731, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0xa94049d6, "_gpl");
SYMBOL_CRC(af_alg_accept, 0xcd24131b, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x6f7ca121, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0xf36603b4, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0x05697a36, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0xec34540b, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0xd00139a9, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0x78cb3472, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0x74f997c0, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x1992efbe, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0x7ee9dd66, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5af8e078, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xaa173b39, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0x16a3b8cf, "sk_alloc" },
	{ 0x8c1a89b9, "sock_init_data" },
	{ 0x11adfe51, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd326ce78, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xb797e934, "extract_iter_to_sg" },
	{ 0xa4d93f8f, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x61495dc5, "__folio_put" },
	{ 0xf0f5dd21, "proto_register" },
	{ 0xd853510d, "sock_register" },
	{ 0x7d5e711e, "proto_unregister" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x29f3a126, "up_read" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0xcac98656, "lock_sock_nested" },
	{ 0xac8d39b8, "release_sock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x78b5b683, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xb82de595, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x722d8c75, "sock_wake_async" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2e60bace, "memcpy" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x135828b9, "page_address" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1dd6243a, "_copy_from_iter" },
	{ 0x7bf2bf9d, "alloc_pages" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf65ab5c, "iov_iter_revert" },
	{ 0xf23a1a3b, "__free_pages" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0xaa7f215c, "key_put" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xf9b20877, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x766862a4, "sock_no_connect" },
	{ 0xb894824e, "sock_no_socketpair" },
	{ 0x358dcbc9, "sock_no_getname" },
	{ 0x6bc5c12d, "sock_no_ioctl" },
	{ 0x52c51605, "sock_no_listen" },
	{ 0x68dec8af, "sock_no_shutdown" },
	{ 0x42587199, "sock_no_sendmsg" },
	{ 0xb1d2830f, "sock_no_recvmsg" },
	{ 0xbbd17c71, "sock_no_mmap" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8639D7BBC4422DD3B734FCC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
