#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x6394cdc6, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xab61cb6b, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x452ad912, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xcd820f6b, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xcdd15c9c, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xd91466cf, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x0867a976, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x81ece34e, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x10187398, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x53598328, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xf8032dab, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x6c6da52f, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xbaab7da5, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x67d75157, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x3221359c, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x3b7528a6, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x5f5766d9, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x5fd355a4, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x7fe4824a, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0xb4b5037e, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x6c4f8492, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xfd387a48, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x697a90fd, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x5498e1c5, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xc532cbab, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x625e14ca, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x070c9ae8, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x25841f76, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x8132aa8c, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xa947eb95, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x7ec07f22, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x182971f5, "kthread_queue_work" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x7b44ca0, "kthread_create_worker" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xc0788879, "sched_set_fifo" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xc23c116e, "kthread_destroy_worker" },
	{ 0xe9ebad89, "crypto_register_aead" },
	{ 0x21abc66d, "crypto_unregister_aead" },
	{ 0xbbc5d8da, "crypto_register_ahash" },
	{ 0xec238922, "crypto_unregister_ahash" },
	{ 0x5b498037, "crypto_register_akcipher" },
	{ 0x7fd5b050, "crypto_unregister_akcipher" },
	{ 0x7691fef1, "crypto_register_kpp" },
	{ 0x58d11a3a, "crypto_unregister_kpp" },
	{ 0x26fd433, "crypto_register_skcipher" },
	{ 0x28d86bae, "crypto_unregister_skcipher" },
	{ 0x69d3dff9, "crypto_enqueue_request" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x748d04ac, "crypto_dequeue_request" },
	{ 0xe38aa5ea, "crypto_enqueue_request_head" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "12466B5F22D381CAA6ECDBE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
