#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_create, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_aead_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_aead_create, "_gpl", "");
KSYMTAB_FUNC(simd_aead_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0x88638552, "_gpl");
SYMBOL_CRC(simd_skcipher_create, 0x66983e96, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0x90cb7606, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0x23c6bd4d, "_gpl");
SYMBOL_CRC(simd_aead_create_compat, 0x504cb053, "_gpl");
SYMBOL_CRC(simd_aead_create, 0x851c747c, "_gpl");
SYMBOL_CRC(simd_aead_free, 0xbfd26f15, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0x17a8569f, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0xb788363f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82fe940c, "crypto_skcipher_encrypt" },
	{ 0x8c48289b, "cryptd_alloc_aead" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7868292f, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xe9ebad89, "crypto_register_aead" },
	{ 0x21abc66d, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x38d53ad9, "crypto_register_aeads" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x5cbde374, "crypto_alloc_aead" },
	{ 0x1f26030c, "crypto_aead_setauthsize" },
	{ 0x61e14e53, "crypto_aead_decrypt" },
	{ 0x162ce7a1, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4603d9e4, "crypto_unregister_aeads" },
	{ 0xa09cbd7f, "crypto_destroy_tfm" },
	{ 0xe110d470, "cryptd_skcipher_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x79b928e9, "crypto_skcipher_decrypt" },
	{ 0x7c5fc232, "cryptd_alloc_skcipher" },
	{ 0x6c693f6f, "crypto_aead_setkey" },
	{ 0x26fd433, "crypto_register_skcipher" },
	{ 0x7191c0d1, "crypto_aead_encrypt" },
	{ 0xc74f839f, "cryptd_aead_queued" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x28d86bae, "crypto_unregister_skcipher" },
	{ 0x9157d772, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x39d84973, "cryptd_skcipher_queued" },
	{ 0xa664d7a7, "cryptd_free_aead" },
	{ 0x99bcfa70, "crypto_unregister_skciphers" },
	{ 0x2bc4997a, "cryptd_free_skcipher" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xffaa693b, "crypto_alloc_skcipher" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "97509D0C432E67D3007BE03");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
