#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0xb70eb1d9, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0x218dd93d, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0xa8373f02, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0xa97a9c38, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x07808698, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0x8e3a60a7, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0x824ccf73, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0x51ecc30a, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0xfd605dbb, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x33f3544d, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x52c99263, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0xa024fb14, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0xa951efde, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0x8fc551e5, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0xa76f69bb, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0xd0396d75, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0x52d5e709, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x4a7a690a, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x0ffad698, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe9e98714, "phy_set_mode_ext" },
	{ 0x768029a0, "phy_power_on" },
	{ 0x6ceb412c, "phy_init" },
	{ 0x3260f71b, "phy_power_off" },
	{ 0x63512541, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x83a24b80, "regulator_disable" },
	{ 0x33fd3aa8, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0x170948b2, "devm_of_phy_get" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfeccad75, "of_find_property" },
	{ 0xaec71d1c, "ata_host_resume" },
	{ 0xeb504648, "ahci_reset_controller" },
	{ 0x4ee3f0b4, "ahci_init_controller" },
	{ 0xe37117d0, "regulator_enable" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1336d96b, "platform_get_irq" },
	{ 0x13b026b6, "ahci_save_initial_config" },
	{ 0x64f030b6, "ahci_set_em_messages" },
	{ 0xa4b12423, "ata_host_alloc_pinfo" },
	{ 0x77fb1f30, "platform_get_resource" },
	{ 0xd8b4148e, "ata_port_desc" },
	{ 0x5760cbb9, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x8960d31a, "ahci_reset_em" },
	{ 0x2068877, "ahci_print_info" },
	{ 0xb44751b, "ahci_host_activate" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0x3830296a, "dma_set_coherent_mask" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x478bdfd3, "devres_open_group" },
	{ 0x11f5d7f7, "__devres_alloc_node" },
	{ 0xb5fd58f0, "devres_add" },
	{ 0xe9f1a901, "platform_get_resource_byname" },
	{ 0x3a8c13de, "devm_platform_ioremap_resource_byname" },
	{ 0xd20171a2, "devm_clk_bulk_get_all" },
	{ 0x1c0f3a57, "devm_regulator_get" },
	{ 0xa5facc6f, "devm_reset_control_array_get" },
	{ 0xe5634ca3, "of_get_next_child" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xdc101a9a, "of_platform_device_create" },
	{ 0x2616a42d, "of_find_device_by_node" },
	{ 0x787d5e79, "regulator_get" },
	{ 0x1c027b75, "of_device_is_available" },
	{ 0x352f907f, "of_property_read_variable_u32_array" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xccac66e3, "devres_release_group" },
	{ 0xa1290571, "devm_platform_ioremap_resource" },
	{ 0x660254c5, "devm_clk_get_optional" },
	{ 0xa37e7a99, "of_node_put" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0xa8dff2ed, "devres_remove_group" },
	{ 0xc72f25d9, "ata_host_suspend" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0xabe0c0a0, "ahci_ops" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "26B1EB4864D8A86A696C208");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
