#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x9eb4df90, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x20bc0fee, "");
SYMBOL_CRC(__bcma_driver_register, 0x3b3791dd, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0xcbc368ce, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x51066ece, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x9a8f9c9f, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x28d4d862, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x662f7103, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0xc3961456, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0xd5421552, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0xc77840ab, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x7bb37bf7, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x7542d478, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0x826c9adc, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0xa1958f52, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x7f567670, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0x62737341, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x894d6382, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0xc35950ee, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0xa45bcb75, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x42e6bf23, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x683be24c, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0xd8f17a56, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0xc52061f8, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x70a7a5d5, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x23690afd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x906af335, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xf97f9bb1, "pci_iomap" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7c749a44, "of_address_to_resource" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x325b973d, "of_platform_default_populate" },
	{ 0x164b8581, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0x427df015, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xca6f58f5, "get_device" },
	{ 0xc0d80390, "of_irq_parse_one" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc3bffcab, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x77db385a, "pci_read_config_dword" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x97a08bf3, "of_irq_parse_raw" },
	{ 0x848d372e, "iowrite8" },
	{ 0xe5634ca3, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb79f2512, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x3bf59995, "gpiochip_get_data" },
	{ 0x176adec5, "bus_unregister" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa972f676, "device_add" },
	{ 0x710174ef, "platform_device_unregister" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x878c572e, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xda7f9950, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x42c215f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xa71bbe61, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x89d75c3, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x68a674e5, "platform_device_register_full" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x8e0b562a, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xa777ef29, "pcie_set_readrq" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xe7056918, "irq_create_of_mapping" },
	{ 0x93d15fa, "of_dma_configure_id" },
	{ 0x52b57bd3, "driver_register" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xb136917, "__dev_fwnode" },
	{ 0xf29c35e6, "pci_write_config_dword" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x26e6d188, "bus_register" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "13B365E0B9DCCB88F85ADE2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
