#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(btmrvl_interrupt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_check_evtpkt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_process_event, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_module_cfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_pscan_window_reporting, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_hscfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_ps, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_hs, "_gpl", "");
KSYMTAB_FUNC(btmrvl_register_hdev, "_gpl", "");
KSYMTAB_FUNC(btmrvl_add_card, "_gpl", "");
KSYMTAB_FUNC(btmrvl_remove_card, "_gpl", "");

SYMBOL_CRC(btmrvl_interrupt, 0x9b0e4009, "_gpl");
SYMBOL_CRC(btmrvl_check_evtpkt, 0x62d8b9d5, "_gpl");
SYMBOL_CRC(btmrvl_process_event, 0xcc3cdaff, "_gpl");
SYMBOL_CRC(btmrvl_send_module_cfg_cmd, 0x85c43d28, "_gpl");
SYMBOL_CRC(btmrvl_pscan_window_reporting, 0xbc9f1104, "_gpl");
SYMBOL_CRC(btmrvl_send_hscfg_cmd, 0x68c2d834, "_gpl");
SYMBOL_CRC(btmrvl_enable_ps, 0x2842ba12, "_gpl");
SYMBOL_CRC(btmrvl_enable_hs, 0x2e4e42f1, "_gpl");
SYMBOL_CRC(btmrvl_register_hdev, 0xa11a1c28, "_gpl");
SYMBOL_CRC(btmrvl_add_card, 0x7928c065, "_gpl");
SYMBOL_CRC(btmrvl_remove_card, 0xa79e5274, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x393e67ed, "skb_put" },
	{ 0x9477c7b3, "hci_free_dev" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xeeb10539, "hci_alloc_dev_priv" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c875954, "of_property_read_variable_u16_array" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0xb23c920b, "skb_queue_purge_reason" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b065251, "simple_open" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x8989f82e, "skb_push" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x1ffa005b, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6327eb62, "default_llseek" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf9f0c951, "kstrtol_from_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd57208a7, "of_property_read_variable_u8_array" },
	{ 0x2273a985, "debugfs_create_x16" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xc4e9b676, "kthread_create_on_node" },
	{ 0xfcd15141, "hci_unregister_dev" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xb0b4802f, "hci_register_dev" },
	{ 0x1a26b895, "__hci_cmd_sync" },
	{ 0x778a1c1, "debugfs_create_u8" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x5cafcba8, "skb_queue_head" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "bluetooth");


MODULE_INFO(srcversion, "1F76DFB6F84EE546EA26F89");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
