#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69f08f72, "fw_core_remove_descriptor" },
	{ 0x403fde3c, "fw_send_response" },
	{ 0x8eb7e7ce, "fw_iso_context_destroy" },
	{ 0xaedf84ce, "fw_high_memory_region" },
	{ 0x393e67ed, "skb_put" },
	{ 0x674591e4, "fw_iso_buffer_init" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0xbd58fc12, "kmap_high" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x7db77141, "unregister_netdev" },
	{ 0x2e60bace, "memcpy" },
	{ 0xc547cf3e, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d10a82c, "fw_core_remove_address_handler" },
	{ 0x8e1cd1a8, "fw_iso_context_stop" },
	{ 0x538605db, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd61fcab9, "fw_core_add_address_handler" },
	{ 0x4ca50989, "dev_addr_mod" },
	{ 0xe775d02f, "alloc_netdev_mqs" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x894683d1, "kmem_cache_alloc" },
	{ 0x74414e8b, "fw_iso_context_queue" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf2659707, "skb_pull" },
	{ 0xd56e642c, "fw_iso_buffer_destroy" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x7e780431, "kunmap_high" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0x19e22e41, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5fb7f766, "register_netdev" },
	{ 0x878c572e, "driver_unregister" },
	{ 0xd29b4321, "free_netdev" },
	{ 0x5152e605, "memcmp" },
	{ 0x10811b18, "ethtool_op_get_link" },
	{ 0x8ec4e37e, "fw_core_add_descriptor" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe9e8ff2e, "netif_tx_wake_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7cc4a5d, "printk_timed_ratelimit" },
	{ 0xce17d262, "netif_rx" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0x61ceffc9, "fw_iso_context_queue_flush" },
	{ 0x3b8f3d3d, "fw_iso_context_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xef8b1aa, "_dev_notice" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa1f7245a, "fw_bus_type" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1d106652, "netif_carrier_off" },
	{ 0xbd9b2645, "skb_clone" },
	{ 0x21380ddb, "netif_carrier_on" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x135828b9, "page_address" },
	{ 0x1f2ad016, "__fw_send_request" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0x52b57bd3, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x3b259352, "kmem_cache_destroy" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "firewire-core");

MODULE_ALIAS("ieee1394:ven*mo*sp0000005Ever00000001*");
MODULE_ALIAS("ieee1394:ven*mo*sp0000005Ever00000002*");

MODULE_INFO(srcversion, "91BC56DB842D7CE696BC3DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
