#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dfl_fpga_port_ops_get, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_put, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_add, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_del, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_check_port_id, "_gpl", "");
KSYMTAB_FUNC(__dfl_driver_register, "", "");
KSYMTAB_FUNC(dfl_driver_unregister, "", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_uinit, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_init, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_register, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(dfh_find_param, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_alloc, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_free, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_dfl, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_irq, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_enumerate, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_remove, "_gpl", "");
KSYMTAB_FUNC(__dfl_fpga_cdev_find_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_release_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_assign_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_pf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_vf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_set_irq_triggers, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_get_num_irqs, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_set_irq, "_gpl", "");

SYMBOL_CRC(dfl_fpga_port_ops_get, 0xd7b44367, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0x368fd060, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0x1c0cb91a, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0xf0761de0, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x08f1407e, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0xb4861fa9, "");
SYMBOL_CRC(dfl_driver_unregister, 0x09985f05, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0xbdc3b6df, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0x78d13922, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0x6f844034, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0x41ef0223, "_gpl");
SYMBOL_CRC(dfh_find_param, 0x61b0186e, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0x5e788946, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x230bcb91, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0x13150af6, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0x29e6f279, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0x1141fd4c, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x51701a43, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0x1c334542, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0x5e1b624e, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0xb0609d25, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0x6785d584, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0xe7a44d0f, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0xf6caa3f6, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0x3295e506, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0x242e0fae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x78b5b683, "module_put" },
	{ 0x52b57bd3, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x878c572e, "driver_unregister" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0xec530739, "cdev_init" },
	{ 0x72cf4b6, "cdev_add" },
	{ 0x30370bbc, "cdev_del" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xca6f58f5, "get_device" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xb79f2512, "put_device" },
	{ 0xcde807b1, "devm_kfree" },
	{ 0x25d4d223, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1efff1c5, "__devm_request_region" },
	{ 0x3188fec5, "devm_ioremap" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x26e6d188, "bus_register" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x176adec5, "bus_unregister" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xa1290571, "devm_platform_ioremap_resource" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xa972f676, "device_add" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x1f35987d, "platform_device_del" },
	{ 0x2e9b1161, "platform_device_add" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x117b4889, "platform_device_put" },
	{ 0x412ab177, "device_for_each_child" },
	{ 0xfad67c2e, "fpga_region_unregister" },
	{ 0x710174ef, "platform_device_unregister" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x9cca783d, "devm_ioremap_resource" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x3f57678e, "fpga_region_register" },
	{ 0x401bd4ea, "devm_iounmap" },
	{ 0xccf649bd, "__devm_release_region" },
	{ 0x8f741c3d, "platform_device_alloc" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "5C15E73F17C0D134BDDFFFC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
