#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mipi_dbi_command_read, "", "");
KSYMTAB_FUNC(mipi_dbi_command_buf, "", "");
KSYMTAB_FUNC(mipi_dbi_command_stackbuf, "", "");
KSYMTAB_FUNC(mipi_dbi_buf_copy, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_mode_valid, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_update, "", "");
KSYMTAB_FUNC(mipi_dbi_enable_flush, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_disable, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_begin_fb_access, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_end_fb_access, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_reset_plane, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_duplicate_plane_state, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_destroy_plane_state, "", "");
KSYMTAB_FUNC(mipi_dbi_dev_init_with_formats, "", "");
KSYMTAB_FUNC(mipi_dbi_dev_init, "", "");
KSYMTAB_FUNC(mipi_dbi_hw_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_display_is_on, "", "");
KSYMTAB_FUNC(mipi_dbi_poweron_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_poweron_conditional_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_cmd_max_speed, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_init, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_transfer, "", "");
KSYMTAB_FUNC(mipi_dbi_debugfs_init, "", "");

SYMBOL_CRC(mipi_dbi_command_read, 0xfda5a741, "");
SYMBOL_CRC(mipi_dbi_command_buf, 0x8cc06718, "");
SYMBOL_CRC(mipi_dbi_command_stackbuf, 0xb97fec13, "");
SYMBOL_CRC(mipi_dbi_buf_copy, 0xc62b8ed0, "");
SYMBOL_CRC(mipi_dbi_pipe_mode_valid, 0xedf1d48b, "");
SYMBOL_CRC(mipi_dbi_pipe_update, 0xb6e23936, "");
SYMBOL_CRC(mipi_dbi_enable_flush, 0x47c46fac, "");
SYMBOL_CRC(mipi_dbi_pipe_disable, 0x04457eee, "");
SYMBOL_CRC(mipi_dbi_pipe_begin_fb_access, 0x70cd7562, "");
SYMBOL_CRC(mipi_dbi_pipe_end_fb_access, 0xdcfe5700, "");
SYMBOL_CRC(mipi_dbi_pipe_reset_plane, 0xc2d95314, "");
SYMBOL_CRC(mipi_dbi_pipe_duplicate_plane_state, 0x1ab1c43b, "");
SYMBOL_CRC(mipi_dbi_pipe_destroy_plane_state, 0xfbb43d21, "");
SYMBOL_CRC(mipi_dbi_dev_init_with_formats, 0xf1923c92, "");
SYMBOL_CRC(mipi_dbi_dev_init, 0xa7c92ca7, "");
SYMBOL_CRC(mipi_dbi_hw_reset, 0x59787245, "");
SYMBOL_CRC(mipi_dbi_display_is_on, 0x6a6eeb10, "");
SYMBOL_CRC(mipi_dbi_poweron_reset, 0x50bc91bf, "");
SYMBOL_CRC(mipi_dbi_poweron_conditional_reset, 0xe09878b9, "");
SYMBOL_CRC(mipi_dbi_spi_cmd_max_speed, 0x08ebdb7d, "");
SYMBOL_CRC(mipi_dbi_spi_init, 0xf99d9900, "");
SYMBOL_CRC(mipi_dbi_spi_transfer, 0xdd86e990, "");
SYMBOL_CRC(mipi_dbi_debugfs_init, 0x725b72f5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa054efed, "drm_gem_fb_get_obj" },
	{ 0x6a7f7ab2, "drm_gem_fb_begin_cpu_access" },
	{ 0xc47037e2, "drm_fb_swab" },
	{ 0x19ce22d1, "drm_gem_fb_end_cpu_access" },
	{ 0x83b128f0, "drm_fb_xrgb8888_to_rgb565" },
	{ 0x2d02a8d7, "drm_fb_memcpy" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa15b59c7, "drm_crtc_helper_mode_valid_fixed" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xac45f26f, "drm_dev_enter" },
	{ 0xe5de73b0, "drm_atomic_helper_damage_merged" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x34e7fc1f, "drm_gem_begin_shadow_fb_access" },
	{ 0x2dbbf147, "drm_gem_end_shadow_fb_access" },
	{ 0x584081f0, "drm_gem_reset_shadow_plane" },
	{ 0x7f751cda, "drm_gem_duplicate_shadow_plane_state" },
	{ 0x4ef7e060, "drm_gem_destroy_shadow_plane_state" },
	{ 0xc77c1f81, "drmm_mode_config_init" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xcd6e256e, "drm_connector_init" },
	{ 0x77b172ab, "drm_simple_display_pipe_init" },
	{ 0x7c6bdd49, "drm_plane_enable_fb_damage_clips" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xfb49a7ee, "drm_connector_helper_get_modes_fixed" },
	{ 0x342beb52, "gpiod_set_value_cansleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0x89ba77c3, "single_open" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0x11089ac7, "_ctype" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x3830296a, "dma_set_coherent_mask" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x83a24b80, "regulator_disable" },
	{ 0x2bc95bd4, "memset" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xc8836361, "seq_puts" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xa4e296f5, "spi_sync_locked" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x3531c282, "spi_bus_lock" },
	{ 0xd60b5a03, "spi_bus_unlock" },
	{ 0x2e60bace, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5ba15fdd, "spi_sync" },
	{ 0x69353664, "__drm_debug" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe37117d0, "regulator_enable" },
	{ 0xdd031e34, "drm_dev_printk" },
	{ 0x50888233, "seq_lseek" },
	{ 0xe2fd670b, "seq_read" },
	{ 0x88d47c17, "single_release" },
	{ 0x4737cb36, "drm_gem_fb_create_with_dirty" },
	{ 0x305e2221, "drm_atomic_helper_check" },
	{ 0xc0dda823, "drm_atomic_helper_commit" },
	{ 0x759a1a2f, "drm_atomic_helper_connector_reset" },
	{ 0x5537d5b8, "drm_helper_probe_single_connector_modes" },
	{ 0x9815c324, "drm_connector_cleanup" },
	{ 0xd6ac7839, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x66e56268, "drm_atomic_helper_connector_destroy_state" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D84C75406ED0EF5E95F924B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
