#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0xbc10c4f1, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0xacae2b61, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0x36d40401, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0x245a04b7, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0x85e0363e, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0xffaf1127, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0x13f380fc, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0x4dd5f86d, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0xa7319982, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4db45fcb, "hid_hw_request" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xb7954a9a, "hid_hw_open" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xb7b0824f, "hid_hw_close" },
	{ 0x7f8fa768, "__hid_register_driver" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xa6257a2f, "complete" },
	{ 0xca18c8d4, "hid_hw_stop" },
	{ 0x1395b758, "mfd_remove_devices" },
	{ 0x62662dc3, "hid_unregister_driver" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x10d538c4, "hid_open_report" },
	{ 0x3e87ab05, "hid_hw_start" },
	{ 0xbef5113b, "devm_kasprintf" },
	{ 0x2e0e3f0c, "mfd_add_devices" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xfc2cb160, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "D60C426A57FAACEA8080165");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
