#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsi_new_client, "_gpl", "");
KSYMTAB_FUNC(hsi_add_clients_from_dt, "_gpl", "");
KSYMTAB_FUNC(hsi_remove_client, "_gpl", "");
KSYMTAB_FUNC(hsi_port_unregister_clients, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_client_driver, "_gpl", "");
KSYMTAB_FUNC(hsi_put_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_free_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_async, "_gpl", "");
KSYMTAB_FUNC(hsi_claim_port, "_gpl", "");
KSYMTAB_FUNC(hsi_release_port, "_gpl", "");
KSYMTAB_FUNC(hsi_register_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_event, "_gpl", "");
KSYMTAB_FUNC(hsi_get_channel_id_by_name, "_gpl", "");
KSYMTAB_DATA(hsi_board_list, "_gpl", "");

SYMBOL_CRC(hsi_new_client, 0x1c0821bc, "_gpl");
SYMBOL_CRC(hsi_add_clients_from_dt, 0x94818d60, "_gpl");
SYMBOL_CRC(hsi_remove_client, 0x8c912982, "_gpl");
SYMBOL_CRC(hsi_port_unregister_clients, 0xf3d96582, "_gpl");
SYMBOL_CRC(hsi_unregister_controller, 0xfb61f531, "_gpl");
SYMBOL_CRC(hsi_register_controller, 0xdf1585e1, "_gpl");
SYMBOL_CRC(hsi_register_client_driver, 0x9b8a44db, "_gpl");
SYMBOL_CRC(hsi_put_controller, 0x19e0678f, "_gpl");
SYMBOL_CRC(hsi_alloc_controller, 0xae26df7e, "_gpl");
SYMBOL_CRC(hsi_free_msg, 0x29f2c445, "_gpl");
SYMBOL_CRC(hsi_alloc_msg, 0xf9469558, "_gpl");
SYMBOL_CRC(hsi_async, 0x97bbca0b, "_gpl");
SYMBOL_CRC(hsi_claim_port, 0x6793c56e, "_gpl");
SYMBOL_CRC(hsi_release_port, 0x1a808a83, "_gpl");
SYMBOL_CRC(hsi_register_port_event, 0xf4b997ad, "_gpl");
SYMBOL_CRC(hsi_unregister_port_event, 0x59f9ee04, "_gpl");
SYMBOL_CRC(hsi_event, 0xaca710a1, "_gpl");
SYMBOL_CRC(hsi_get_channel_id_by_name, 0xd6f72903, "_gpl");
SYMBOL_CRC(hsi_board_list, 0x5210a5bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xaff29644, "of_alias_from_compatible" },
	{ 0x352f907f, "of_property_read_variable_u32_array" },
	{ 0xc178387e, "dev_set_name" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x412ab177, "device_for_each_child" },
	{ 0x62d6ce6c, "of_get_next_available_child" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb79f2512, "put_device" },
	{ 0x78b5b683, "module_put" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x2de6386d, "of_match_device" },
	{ 0x176adec5, "bus_unregister" },
	{ 0xa972f676, "device_add" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb3d70a6d, "of_property_read_string" },
	{ 0xfeccad75, "of_find_property" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xa553b00, "device_register" },
	{ 0x7ce71b17, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x136f5c63, "of_property_read_u32_index" },
	{ 0x52b57bd3, "driver_register" },
	{ 0xd3a5fc32, "of_property_read_string_helper" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x26e6d188, "bus_register" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "048DAFF41E657ED78CB3D19");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
