#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mma9551_read_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_update_config_bits, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_gpio_config, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_version, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_device_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_power_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_sleep, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_chan, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_scale, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_app_reset, "", "IIO_MMA9551");

SYMBOL_CRC(mma9551_read_config_byte, 0x82282abe, "");
SYMBOL_CRC(mma9551_write_config_byte, 0x7e0a15b5, "");
SYMBOL_CRC(mma9551_read_status_byte, 0xc80ea533, "");
SYMBOL_CRC(mma9551_read_config_word, 0xd1e0395e, "");
SYMBOL_CRC(mma9551_write_config_word, 0xc8f823c4, "");
SYMBOL_CRC(mma9551_read_status_word, 0x42a3e04c, "");
SYMBOL_CRC(mma9551_read_config_words, 0x731ea7da, "");
SYMBOL_CRC(mma9551_read_status_words, 0xcf11e818, "");
SYMBOL_CRC(mma9551_write_config_words, 0x85d1dd1f, "");
SYMBOL_CRC(mma9551_update_config_bits, 0xa8186775, "");
SYMBOL_CRC(mma9551_gpio_config, 0xfabfd02a, "");
SYMBOL_CRC(mma9551_read_version, 0x12dbe112, "");
SYMBOL_CRC(mma9551_set_device_state, 0xa1d09baa, "");
SYMBOL_CRC(mma9551_set_power_state, 0x78ea3716, "");
SYMBOL_CRC(mma9551_sleep, 0xbcd7fe96, "");
SYMBOL_CRC(mma9551_read_accel_chan, 0x92c2b545, "");
SYMBOL_CRC(mma9551_read_accel_scale, 0x41ef446c, "");
SYMBOL_CRC(mma9551_app_reset, 0x95d3a882, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xcfbca58e, "i2c_transfer" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x529311d5, "__pm_runtime_suspend" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "00993093DC733556063597F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
