#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(inv_mpu_core_probe, "_gpl", "IIO_MPU6050");
KSYMTAB_DATA(inv_mpu_pmops, "_gpl", "IIO_MPU6050");

SYMBOL_CRC(inv_mpu_core_probe, 0x719eb1cc, "_gpl");
SYMBOL_CRC(inv_mpu_pmops, 0x73ced6fc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe37117d0, "regulator_enable" },
	{ 0x6df156, "regmap_write" },
	{ 0x17ab3fc5, "devm_request_threaded_irq" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x9ef0438e, "iio_buffer_enabled" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x382600bd, "devm_iio_triggered_buffer_setup_ext" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1ca29f28, "regmap_get_device" },
	{ 0x6ebf0d27, "pm_runtime_set_autosuspend_delay" },
	{ 0xa001f05a, "iio_push_to_buffers" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x2e32ab49, "iio_device_release_direct_mode" },
	{ 0xbf1b022a, "inv_sensors_timestamp_init" },
	{ 0x2d6bcdcb, "iio_trigger_generic_data_rdy_poll" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc66cb16c, "__module_get" },
	{ 0xca6f58f5, "get_device" },
	{ 0x343088b7, "iio_device_id" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0xcbad9621, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0x1c0f3a57, "devm_regulator_get" },
	{ 0x15c2b8af, "iio_show_mount_matrix" },
	{ 0xf92ab7cb, "iio_device_claim_direct_mode" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x18d6b3d7, "irq_get_irq_data" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3392f3e3, "inv_sensors_timestamp_interrupt" },
	{ 0x31fce61f, "inv_sensors_timestamp_apply_odr" },
	{ 0x60ac55f2, "__devm_iio_device_register" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xcc2754ce, "iio_read_mount_matrix" },
	{ 0x5b65dce9, "devm_iio_device_alloc" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xda9c7a27, "devm_iio_trigger_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf5025a03, "inv_sensors_timestamp_update_odr" },
	{ 0xbaa868ad, "regmap_noinc_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbef5113b, "devm_kasprintf" },
	{ 0x1bed28e0, "regmap_read" },
	{ 0x14b7ba4e, "regmap_bulk_write" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc1e114e2, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x83a24b80, "regulator_disable" },
	{ 0xbd7ecefa, "dev_err_probe" },
	{ 0xbf64e59d, "iio_trigger_notify_done" },
	{ 0x529311d5, "__pm_runtime_suspend" },
	{ 0x27c4e0f2, "__devm_add_action" },
	{ 0x4d0b18e0, "iio_read_const_attr" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xca6b6055, "__pm_runtime_use_autosuspend" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0x53868313, "__devm_iio_trigger_alloc" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,inv_sensors_timestamp");


MODULE_INFO(srcversion, "7C8B75E5018BE4DC5701929");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
