#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x6612a246, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x75e29152, "");
SYMBOL_CRC(ib_cm_listen, 0x0dd22f7b, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x41b9e381, "");
SYMBOL_CRC(ib_send_cm_req, 0x9f014448, "");
SYMBOL_CRC(ib_send_cm_rep, 0x723038fd, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x808d6af9, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x7948e8f0, "");
SYMBOL_CRC(ib_send_cm_drep, 0xee94ce7d, "");
SYMBOL_CRC(ib_send_cm_rej, 0xd2ebfd68, "");
SYMBOL_CRC(ib_send_cm_mra, 0x7144cd09, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xaef68d04, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x8eab3fb3, "");
SYMBOL_CRC(ib_cm_notify, 0x9c3463cb, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xbddf22dc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x73a7f36d, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1be1451c, "ib_init_ah_attr_from_path" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x392629ad, "rdma_query_gid" },
	{ 0x976a5ee8, "ib_port_register_client_groups" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xf70bb07f, "ib_modify_port" },
	{ 0xf5c5bbf9, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0xfc0c4541, "rdma_create_ah" },
	{ 0x5acec1bb, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xc9374c6e, "ib_find_cached_pkey" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xe58bde86, "ib_register_client" },
	{ 0xb06469d0, "ib_unregister_mad_agent" },
	{ 0x927d8a13, "ib_post_send_mad" },
	{ 0xfaf09aeb, "ib_create_send_mad" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0xcf5cbaf, "rdma_destroy_ah_attr" },
	{ 0x307e0a0e, "ib_set_client_data" },
	{ 0x86ce2013, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xf6474435, "rdma_put_gid_attr" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x39887690, "bpf_trace_run1" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf14b4cdc, "rdma_destroy_ah_user" },
	{ 0xbf43273, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xb7a86dee, "ib_port_unregister_client_groups" },
	{ 0x745a981, "xa_erase" },
	{ 0x22391572, "bpf_trace_run3" },
	{ 0x6e804282, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0x562064ed, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xec262950, "ib_free_recv_mad" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xffc24602, "ib_register_mad_agent" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x839c3ff7, "ib_modify_mad" },
	{ 0x8695022d, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "1E5B265EBB1C41AF566C213");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
