#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x13b98216, "");
SYMBOL_CRC(flow_resources_alloc, 0x03a2d32f, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x81c57817, "");
SYMBOL_CRC(flow_resources_add, 0x3836cb96, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x1a314f47, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0xd8ecd340, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0xf5eefb8c, "");
SYMBOL_CRC(uverbs_idr_class, 0x4e51cd12, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x9e1047e2, "");
SYMBOL_CRC(uverbs_fd_class, 0xc5b55ee3, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x10c6c4f5, "");
SYMBOL_CRC(_uverbs_alloc, 0x3933dc7b, "");
SYMBOL_CRC(uverbs_get_flags64, 0xa0533442, "");
SYMBOL_CRC(uverbs_get_flags32, 0x135a1d06, "");
SYMBOL_CRC(uverbs_copy_to, 0x124e7861, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x38d5d17b, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x76bc3fb1, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x323377d2, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xb7379e91, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x3442c457, "");
SYMBOL_CRC(ib_umem_get, 0x2707dfc5, "");
SYMBOL_CRC(ib_umem_release, 0x36cb615e, "");
SYMBOL_CRC(ib_umem_copy_from, 0x59f9daa2, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xd0f55fea, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0xf6ec5565, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x58b517c9, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0xcd45462a, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0xec5da196, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x94908523, "");
SYMBOL_CRC(ib_umem_odp_get, 0xa85c3b99, "");
SYMBOL_CRC(ib_umem_odp_release, 0xe4b6a52d, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x91af13f5, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x8ef1d1fb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf8ced411, "pin_user_pages_fast" },
	{ 0xe787852d, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xd4d0d917, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd8cef6e1, "clear_user" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x73a7f36d, "ib_unregister_client" },
	{ 0x2e1d509c, "show_class_attr_string" },
	{ 0xe71498a1, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc178387e, "dev_set_name" },
	{ 0x5369d2f5, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb28b8b57, "mmu_interval_read_begin" },
	{ 0x31b7ce97, "ib_create_qp_user" },
	{ 0xbb2118d8, "dma_resv_wait_timeout" },
	{ 0xb4a9b092, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x84d7539d, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xc72d180d, "kill_fasync" },
	{ 0x78a240e6, "dma_unmap_page_attrs" },
	{ 0xb28a7485, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x106d4d8b, "fget" },
	{ 0xdcd2ba03, "__put_task_struct" },
	{ 0x3345eb2, "ib_query_srq" },
	{ 0x5f553acf, "ww_mutex_unlock" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0x65e9764e, "__dynamic_ibdev_dbg" },
	{ 0xe19800e4, "ib_rdmacg_try_charge" },
	{ 0xddf67929, "fd_install" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7045d817, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x757e53f0, "unpin_user_page_range_dirty_lock" },
	{ 0x6a59c29d, "iput" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xf8fced86, "dma_buf_unpin" },
	{ 0x6ec778e5, "zap_vma_ptes" },
	{ 0xef78ffcf, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0x39ed406e, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x105e24fc, "rdma_dev_access_netns" },
	{ 0xca6f58f5, "get_device" },
	{ 0xb2e1211f, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe664f62, "down_read_trylock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xdf569923, "dma_buf_dynamic_attach" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4b6eba43, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x3b5df000, "radix_tree_iter_delete" },
	{ 0xa78bfb63, "ib_destroy_srq_user" },
	{ 0x8b4bc459, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xaf2bcb10, "hmm_range_fault" },
	{ 0xa0380c5d, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2ddf84ad, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xd27de6, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xb79f2512, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x4da10dce, "ib_modify_qp_with_udata" },
	{ 0x7b8077aa, "ib_register_event_handler" },
	{ 0x9b1b7d8b, "ib_detach_mcast" },
	{ 0x12eb5e66, "dma_buf_map_attachment" },
	{ 0xf23a1a3b, "__free_pages" },
	{ 0x9862e805, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x78b5b683, "module_put" },
	{ 0xe58bde86, "ib_register_client" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xb8a0e217, "ib_create_srq_user" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0xd09a3c45, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x55580f0b, "init_srcu_struct" },
	{ 0xa82feb58, "fput" },
	{ 0x307e0a0e, "ib_set_client_data" },
	{ 0x5af8e078, "down_write" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2d3202ae, "dma_buf_unmap_attachment" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x7acab55e, "radix_tree_next_chunk" },
	{ 0x6893b88c, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xf6474435, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x365a3e76, "dma_buf_get" },
	{ 0x5030cc60, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x636e5176, "ww_mutex_lock" },
	{ 0x51997a26, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x2a081637, "ib_qp_usecnt_inc" },
	{ 0x8c3e8d53, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x9a5423f3, "class_unregister" },
	{ 0xb5ab86e9, "atomic64_sub_return_cx8" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x23247866, "cleanup_srcu_struct" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9211b280, "ib_destroy_qp_user" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8140cf85, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x924e8665, "rdma_create_user_ah" },
	{ 0xf14b4cdc, "rdma_destroy_ah_user" },
	{ 0x8d1363e7, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x81602687, "ib_destroy_cq_user" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x1d061cab, "__mmdrop" },
	{ 0x90f6d91, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8e28202, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0x1b550ed8, "__mmap_lock_do_trace_start_locking" },
	{ 0xd42ea2ec, "ib_rdmacg_uncharge" },
	{ 0x8c09e1f3, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xbc530ca8, "mmput" },
	{ 0x4a093497, "dma_map_sgtable" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x7bf2bf9d, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0x208e13d5, "__mmap_lock_do_trace_released" },
	{ 0x4c358a0, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x6d15e48d, "__srcu_read_unlock" },
	{ 0x2a4b9c56, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x94e42bb7, "ib_dealloc_xrcd_user" },
	{ 0x890e0711, "dma_buf_detach" },
	{ 0x18d35ada, "stream_open" },
	{ 0x7e3fa3f2, "mmu_interval_notifier_insert" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xf4a7003, "mmput_async" },
	{ 0x124256e3, "ib_open_qp" },
	{ 0x219fa282, "ib_dealloc_pd_user" },
	{ 0x1074b560, "rdma_get_gid_attr" },
	{ 0x6a1a827e, "dma_unmap_sg_attrs" },
	{ 0xd691000c, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xfa917d92, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x8267625a, "rdma_query_gid_table" },
	{ 0x3c84b51e, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9ed02b5d, "rdma_restrack_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe15801a5, "ib_attach_mcast" },
	{ 0x86d61d90, "rdma_umap_priv_init" },
	{ 0x29f3a126, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x794bed2b, "ib_destroy_wq_user" },
	{ 0xa75dbaf0, "put_pid" },
	{ 0xa6ee30dc, "class_register" },
	{ 0xec530739, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0xea8a50d0, "rdma_user_mmap_entry_put" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "F5016CDD1395CE94C3B0FFD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
