#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0x81393598, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0xf52bae5c, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x4f79a44d, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x6d6d9953, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0xa384ca2c, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x059993b9, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xf24d6da4, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x67e33b9e, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x3a5b293a, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x9bd01fef, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x91558dcd, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0x03d3894f, "_gpl");
SYMBOL_CRC(dm_get_md, 0xa914b211, "_gpl");
SYMBOL_CRC(dm_hold, 0x94175d26, "_gpl");
SYMBOL_CRC(dm_device_name, 0xa3216fb3, "_gpl");
SYMBOL_CRC(dm_put, 0xebe21750, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x157f6f57, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x94f88e35, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0x9b2bad94, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x891344bd, "_gpl");
SYMBOL_CRC(dm_disk, 0xd9ffe8bc, "_gpl");
SYMBOL_CRC(dm_suspended, 0x2e9d05a0, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0xf8c5a523, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xde4e1490, "_gpl");
SYMBOL_CRC(dm_get_device, 0x93652a25, "");
SYMBOL_CRC(dm_put_device, 0x2aa4fc53, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0x846f0b3a, "_gpl");
SYMBOL_CRC(dm_table_event, 0x5c773966, "");
SYMBOL_CRC(dm_table_get_size, 0xace60f26, "");
SYMBOL_CRC(dm_table_get_mode, 0x3748d355, "");
SYMBOL_CRC(dm_table_get_md, 0xb9600e7f, "");
SYMBOL_CRC(dm_table_device_name, 0x577d595d, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0xf1c8ad03, "");
SYMBOL_CRC(dm_register_target, 0x41470e52, "");
SYMBOL_CRC(dm_unregister_target, 0x4ae2b2e6, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x83105bfe, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x75eca2ee, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x96fbd628, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x06089de8, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0xd644fa36, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ad0d764, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0x712c1d93, "set_disk_ro" },
	{ 0xd0855796, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x91b73d45, "blk_integrity_register" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd8cef6e1, "clear_user" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x3657f841, "misc_deregister" },
	{ 0xa4089551, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0x1fd2c5ba, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9cb7a9ca, "bio_split_to_limits" },
	{ 0xc5d873a8, "vmalloc_to_page" },
	{ 0x9a680cd5, "disk_update_readahead" },
	{ 0x8f31b402, "device_add_disk" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5f94f287, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x6a329aac, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5fef3a7d, "blk_crypto_profile_destroy" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xbb391c19, "dm_kobject_release" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0xcf2a6966, "up" },
	{ 0x15c85de3, "mempool_init" },
	{ 0x66fa850d, "blk_rq_prep_clone" },
	{ 0xa2818d8c, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x9341809d, "blk_mq_quiesce_queue" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xad2764d8, "blk_crypto_profile_init" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x20aa9dea, "freeze_bdev" },
	{ 0x6a99542c, "blk_queue_write_cache" },
	{ 0x7f804336, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe23136f4, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x39ed406e, "synchronize_srcu" },
	{ 0x538605db, "kmem_cache_create" },
	{ 0xced423ab, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb8f75a3, "node_states" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x72c0e70c, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcc3f98a4, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x294e8256, "blk_mq_alloc_tag_set" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0xa09cbd7f, "crypto_destroy_tfm" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x65a559c5, "bioset_integrity_create" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8a7d1c31, "high_memory" },
	{ 0xcc07b713, "put_disk" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0x2a3b1f10, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x6b24716c, "bio_integrity_trim" },
	{ 0x4292364c, "schedule" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd63a192d, "bdev_nr_zones" },
	{ 0x6e415bc, "__tracepoint_block_split" },
	{ 0x738803e6, "strnlen" },
	{ 0x91f20d14, "blk_queue_flag_set" },
	{ 0xf531cff3, "kmalloc_node_trace" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xd7789b00, "blkdev_put" },
	{ 0x618911fc, "numa_node" },
	{ 0xf23a1a3b, "__free_pages" },
	{ 0x894683d1, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xc6488b31, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x87e56b00, "submit_bio" },
	{ 0xc1798402, "blk_crypto_has_capabilities" },
	{ 0x4dfc0124, "blk_queue_flag_clear" },
	{ 0x78b5b683, "module_put" },
	{ 0xf0eca152, "blk_mq_init_allocated_queue" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x369e419f, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x5b994e71, "ima_measure_critical_data" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x4f9a6537, "kobject_uevent_env" },
	{ 0xa04efedc, "bio_put" },
	{ 0xc4edef23, "blk_crypto_intersect_capabilities" },
	{ 0xe5ac90a5, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x55580f0b, "init_srcu_struct" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x69256906, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x413967fc, "blkdev_get_by_dev" },
	{ 0x6893b88c, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xda2d15ad, "thaw_bdev" },
	{ 0x8536cab9, "set_capacity" },
	{ 0x388d6662, "submit_bio_noacct" },
	{ 0x343b01b1, "noop_llseek" },
	{ 0x5f3513ac, "blk_integrity_compare" },
	{ 0x6626afca, "down" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xed6dd29b, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x19e22e41, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x5837b13, "bio_chain" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x4b23707e, "kobject_init_and_add" },
	{ 0x224b7b50, "zero_fill_bio_iter" },
	{ 0x2da63d36, "bio_add_page" },
	{ 0x5275d2cb, "crypto_shash_update" },
	{ 0x5d258e18, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9b1a2b68, "del_gendisk" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x23247866, "cleanup_srcu_struct" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x70beccc7, "bd_unlink_disk_holder" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x152a4b68, "bio_init" },
	{ 0x2bc95bd4, "memset" },
	{ 0x99cc0e12, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x7266e87c, "misc_register" },
	{ 0xbfe30975, "blk_crypto_evict_key" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc9d5d28, "blk_insert_cloned_request" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6024cbda, "audit_log_start" },
	{ 0xffa48b9, "nonseekable_open" },
	{ 0x70ac2c1a, "blk_limits_io_min" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa51cdfe8, "__FIXADDR_TOP" },
	{ 0xeea0399, "strscpy" },
	{ 0x4e6bb2a1, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xee78b4b2, "bio_uninit" },
	{ 0xc72c41d5, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0xbb8fa3cb, "bioset_init" },
	{ 0x85f9cada, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0x7bf2bf9d, "alloc_pages" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d15e48d, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0xe12681a4, "__tracepoint_block_rq_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x4292ae3f, "bd_link_disk_holder" },
	{ 0x65ae407d, "blk_mq_start_request" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xa917c1de, "blk_limits_io_opt" },
	{ 0x7242d92, "put_dax" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x7281233a, "blk_mark_disk_dead" },
	{ 0xd0d8621b, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x293ffbb4, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x16ee9407, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe5ad0616, "bio_alloc_bioset" },
	{ 0x29f3a126, "up_read" },
	{ 0xc63022d8, "blk_mq_requeue_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe5628417, "blkdev_report_zones" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcd6cf148, "bdev_end_io_acct" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3b259352, "kmem_cache_destroy" },
	{ 0x26065997, "blk_crypto_update_capabilities" },
	{ 0x92b57248, "flush_work" },
	{ 0xc0741527, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3D1E21E38765E414ABB2ED7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
