#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(md_cluster_ops, "", "");
KSYMTAB_FUNC(md_new_event, "_gpl", "");
KSYMTAB_FUNC(md_handle_request, "", "");
KSYMTAB_FUNC(mddev_suspend, "_gpl", "");
KSYMTAB_FUNC(mddev_resume, "_gpl", "");
KSYMTAB_FUNC(md_flush_request, "", "");
KSYMTAB_FUNC(mddev_init, "_gpl", "");
KSYMTAB_FUNC(mddev_unlock, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_nr_rcu, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_rcu, "_gpl", "");
KSYMTAB_FUNC(md_rdev_clear, "_gpl", "");
KSYMTAB_FUNC(sync_page_io, "_gpl", "");
KSYMTAB_FUNC(md_check_no_bitmap, "", "");
KSYMTAB_FUNC(md_integrity_register, "", "");
KSYMTAB_FUNC(md_integrity_add_rdev, "", "");
KSYMTAB_FUNC(md_update_sb, "", "");
KSYMTAB_FUNC(md_rdev_init, "_gpl", "");
KSYMTAB_FUNC(mddev_init_writes_pending, "_gpl", "");
KSYMTAB_FUNC(md_run, "_gpl", "");
KSYMTAB_FUNC(md_start, "_gpl", "");
KSYMTAB_FUNC(md_stop_writes, "_gpl", "");
KSYMTAB_FUNC(md_stop, "_gpl", "");
KSYMTAB_FUNC(md_set_array_sectors, "", "");
KSYMTAB_FUNC(md_wakeup_thread, "", "");
KSYMTAB_FUNC(md_register_thread, "", "");
KSYMTAB_FUNC(md_unregister_thread, "", "");
KSYMTAB_FUNC(md_error, "", "");
KSYMTAB_FUNC(register_md_personality, "", "");
KSYMTAB_FUNC(unregister_md_personality, "", "");
KSYMTAB_FUNC(register_md_cluster_operations, "", "");
KSYMTAB_FUNC(unregister_md_cluster_operations, "", "");
KSYMTAB_FUNC(md_done_sync, "", "");
KSYMTAB_FUNC(md_write_start, "", "");
KSYMTAB_FUNC(md_write_inc, "", "");
KSYMTAB_FUNC(md_write_end, "", "");
KSYMTAB_FUNC(md_submit_discard_bio, "_gpl", "");
KSYMTAB_FUNC(md_account_bio, "_gpl", "");
KSYMTAB_FUNC(md_allow_write, "_gpl", "");
KSYMTAB_FUNC(md_do_sync, "_gpl", "");
KSYMTAB_FUNC(md_check_recovery, "", "");
KSYMTAB_FUNC(md_reap_sync_thread, "", "");
KSYMTAB_FUNC(md_wait_for_blocked_rdev, "", "");
KSYMTAB_FUNC(md_finish_reshape, "", "");
KSYMTAB_FUNC(rdev_set_badblocks, "_gpl", "");
KSYMTAB_FUNC(rdev_clear_badblocks, "_gpl", "");
KSYMTAB_FUNC(md_reload_sb, "", "");
KSYMTAB_FUNC(md_bitmap_update_sb, "", "");
KSYMTAB_FUNC(md_bitmap_unplug, "", "");
KSYMTAB_FUNC(md_bitmap_unplug_async, "", "");
KSYMTAB_FUNC(md_bitmap_startwrite, "", "");
KSYMTAB_FUNC(md_bitmap_endwrite, "", "");
KSYMTAB_FUNC(md_bitmap_start_sync, "", "");
KSYMTAB_FUNC(md_bitmap_end_sync, "", "");
KSYMTAB_FUNC(md_bitmap_close_sync, "", "");
KSYMTAB_FUNC(md_bitmap_cond_end_sync, "", "");
KSYMTAB_FUNC(md_bitmap_sync_with_cluster, "", "");
KSYMTAB_FUNC(md_bitmap_free, "", "");
KSYMTAB_FUNC(md_bitmap_load, "_gpl", "");
KSYMTAB_FUNC(get_bitmap_from_slot, "", "");
KSYMTAB_FUNC(md_bitmap_copy_from_slot, "_gpl", "");
KSYMTAB_FUNC(md_bitmap_resize, "_gpl", "");

SYMBOL_CRC(md_cluster_ops, 0xd2ab3fa6, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(md_handle_request, 0xf62facbd, "");
SYMBOL_CRC(mddev_suspend, 0xb3d42010, "_gpl");
SYMBOL_CRC(mddev_resume, 0x48a5044f, "_gpl");
SYMBOL_CRC(md_flush_request, 0x5d228920, "");
SYMBOL_CRC(mddev_init, 0x45355626, "_gpl");
SYMBOL_CRC(mddev_unlock, 0x0c90a0d3, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0x621d8ced, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0x1b700587, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0x7045405a, "_gpl");
SYMBOL_CRC(sync_page_io, 0x5940e876, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0xc77a4f00, "");
SYMBOL_CRC(md_integrity_register, 0x7f646e12, "");
SYMBOL_CRC(md_integrity_add_rdev, 0xe261fbe5, "");
SYMBOL_CRC(md_update_sb, 0x51406de7, "");
SYMBOL_CRC(md_rdev_init, 0x59add451, "_gpl");
SYMBOL_CRC(mddev_init_writes_pending, 0x59a114fe, "_gpl");
SYMBOL_CRC(md_run, 0x97150620, "_gpl");
SYMBOL_CRC(md_start, 0xd3f86b55, "_gpl");
SYMBOL_CRC(md_stop_writes, 0x925dd141, "_gpl");
SYMBOL_CRC(md_stop, 0x0ff551a0, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0xadcc5a35, "");
SYMBOL_CRC(md_wakeup_thread, 0x1e64e9a9, "");
SYMBOL_CRC(md_register_thread, 0xdc7b231c, "");
SYMBOL_CRC(md_unregister_thread, 0xce78c2a6, "");
SYMBOL_CRC(md_error, 0xcbf325b5, "");
SYMBOL_CRC(register_md_personality, 0x32ec8c29, "");
SYMBOL_CRC(unregister_md_personality, 0xd067590f, "");
SYMBOL_CRC(register_md_cluster_operations, 0xcc93b45c, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0xde24aab6, "");
SYMBOL_CRC(md_write_start, 0xb0523d22, "");
SYMBOL_CRC(md_write_inc, 0xee60db15, "");
SYMBOL_CRC(md_write_end, 0x58168b9c, "");
SYMBOL_CRC(md_submit_discard_bio, 0x19f940ce, "_gpl");
SYMBOL_CRC(md_account_bio, 0x749baf5b, "_gpl");
SYMBOL_CRC(md_allow_write, 0xdb34d040, "_gpl");
SYMBOL_CRC(md_do_sync, 0x8972c1d8, "_gpl");
SYMBOL_CRC(md_check_recovery, 0x51967d96, "");
SYMBOL_CRC(md_reap_sync_thread, 0x738af156, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0x0b4859bb, "");
SYMBOL_CRC(md_finish_reshape, 0xcaf0be97, "");
SYMBOL_CRC(rdev_set_badblocks, 0xe6d970d2, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0xabb4a3a2, "_gpl");
SYMBOL_CRC(md_reload_sb, 0x1cdf5e92, "");
SYMBOL_CRC(md_bitmap_update_sb, 0x0b205648, "");
SYMBOL_CRC(md_bitmap_unplug, 0x7bfe9e2f, "");
SYMBOL_CRC(md_bitmap_unplug_async, 0x87bdfa31, "");
SYMBOL_CRC(md_bitmap_startwrite, 0xef23e6df, "");
SYMBOL_CRC(md_bitmap_endwrite, 0x170e15f3, "");
SYMBOL_CRC(md_bitmap_start_sync, 0x0efa6489, "");
SYMBOL_CRC(md_bitmap_end_sync, 0x66c288aa, "");
SYMBOL_CRC(md_bitmap_close_sync, 0x505c8e9b, "");
SYMBOL_CRC(md_bitmap_cond_end_sync, 0x6db0af18, "");
SYMBOL_CRC(md_bitmap_sync_with_cluster, 0x20a8f744, "");
SYMBOL_CRC(md_bitmap_free, 0x8fdb8703, "");
SYMBOL_CRC(md_bitmap_load, 0x0dc24982, "_gpl");
SYMBOL_CRC(get_bitmap_from_slot, 0x6e51517c, "");
SYMBOL_CRC(md_bitmap_copy_from_slot, 0xf86fe500, "_gpl");
SYMBOL_CRC(md_bitmap_resize, 0xd8919b53, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe31bb342, "set_capacity_and_notify" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x712c1d93, "set_disk_ro" },
	{ 0xd0855796, "__blk_alloc_disk" },
	{ 0x91b73d45, "blk_integrity_register" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x219485a, "alloc_page_buffers" },
	{ 0xc9825415, "percpu_ref_is_zero" },
	{ 0x723bfa30, "__bio_add_page" },
	{ 0xa4089551, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6bf789f1, "proc_create" },
	{ 0x9cb7a9ca, "bio_split_to_limits" },
	{ 0x8235805b, "memmove" },
	{ 0xc179f20b, "seq_release" },
	{ 0x8f31b402, "device_add_disk" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbdf4b96f, "percpu_ref_init" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x7433021f, "badblocks_set" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x106d4d8b, "fget" },
	{ 0xc555303f, "sysfs_unbreak_active_protection" },
	{ 0xf378db7b, "invalidate_mapping_pages" },
	{ 0xae99ada, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x774a102, "badblocks_exit" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x50888233, "seq_lseek" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x6a99542c, "blk_queue_write_cache" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xd0478502, "ack_all_badblocks" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd499c42e, "percpu_ref_kill_and_confirm" },
	{ 0x570a0b8d, "kernfs_notify" },
	{ 0xdf60273b, "submit_bh" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb06ae8d6, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x48aa4769, "bio_clone_blkg_association" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x65a559c5, "bioset_integrity_create" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1953c958, "mempool_create" },
	{ 0xcc07b713, "put_disk" },
	{ 0xdddb9d57, "percpu_ref_resurrect" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x16d6c1c4, "badblocks_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x14c9be9e, "unregister_sysctl_table" },
	{ 0x71037d5c, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x6dad5314, "sync_blockdev" },
	{ 0x1dda6a84, "free_buffer_head" },
	{ 0x738803e6, "strnlen" },
	{ 0x91f20d14, "blk_queue_flag_set" },
	{ 0xd7789b00, "blkdev_put" },
	{ 0xc6488b31, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x87e56b00, "submit_bio" },
	{ 0x4dfc0124, "blk_queue_flag_clear" },
	{ 0x78b5b683, "module_put" },
	{ 0xbb8cf3cf, "bio_start_io_acct" },
	{ 0x37f1aa51, "sysfs_create_link" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x369e419f, "bioset_exit" },
	{ 0x5a9dfbf0, "__kmap_local_page_prot" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xdd7a8d11, "flush_signals" },
	{ 0x6e635087, "percpu_ref_exit" },
	{ 0xa04efedc, "bio_put" },
	{ 0xe5ac90a5, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa82feb58, "fput" },
	{ 0x5b2823c5, "kobject_add" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xdf627054, "sysfs_remove_link" },
	{ 0x413967fc, "blkdev_get_by_dev" },
	{ 0x15eca580, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x388d6662, "submit_bio_noacct" },
	{ 0x5f3513ac, "blk_integrity_compare" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x80ecab71, "blk_sync_queue" },
	{ 0xf97d22b6, "seq_file_path" },
	{ 0x2b80b420, "kernfs_find_and_get_ns" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x5837b13, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x9a2303d1, "__blk_trace_note_message" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x9b1a2b68, "del_gendisk" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x26686045, "sysfs_create_group" },
	{ 0x1ffa005b, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x70beccc7, "bd_unlink_disk_holder" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x152a4b68, "bio_init" },
	{ 0x21f7e610, "register_sysctl_sz" },
	{ 0x99cc0e12, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x554f25c2, "invalidate_bdev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc4e9b676, "kthread_create_on_node" },
	{ 0x3136e047, "sysfs_remove_group" },
	{ 0xe2fd670b, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x6be9a7ed, "kobject_del" },
	{ 0x7bf60fcb, "vfs_fsync" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0xbb8fa3cb, "bioset_init" },
	{ 0xdd675383, "file_path" },
	{ 0x57ff5311, "kernfs_put" },
	{ 0x7bf2bf9d, "alloc_pages" },
	{ 0xfac918d3, "sysfs_break_active_protection" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x61495dc5, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x66b7268c, "remove_proc_entry" },
	{ 0x5e84cd59, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe4739d, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x71d9af4, "kobject_uevent" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x4292ae3f, "bd_link_disk_holder" },
	{ 0xe542948, "proc_dointvec" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc04e20c3, "percpu_ref_switch_to_atomic_sync" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2f020a1f, "seq_open" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x135828b9, "page_address" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xe6583725, "badblocks_clear" },
	{ 0xbe6b2f68, "bmap" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf5a3baf3, "badblocks_store" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe5ad0616, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0x42106e0c, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x64a99011, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc0741527, "kobject_put" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "16E6EE40E9E67640D2B1FAC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
