#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x6a98054b, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x5f96408e, "_gpl");
SYMBOL_CRC(media_device_init, 0x50cb0e58, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x3733a49d, "_gpl");
SYMBOL_CRC(__media_device_register, 0xe69e8f8b, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x38901306, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0xd0bb2cad, "_gpl");
SYMBOL_CRC(media_device_unregister, 0xbfdc9981, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x63a6c6f4, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x67e7a21f, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x936b1674, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0xbb5644ed, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x64b1352c, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x186d5901, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0xf4a10b70, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0xa9730717, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x98c5ecf9, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x5cb00f76, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x60b41121, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0xbafb804c, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x8295885d, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0xbbe0a121, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0xdf548686, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x54720381, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x112aae56, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x05c8aaa5, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x06f9e22b, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x684f699e, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x27af81db, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x43138721, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x06b1d6d9, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x4a09996d, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x36c54920, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0xc1f9a17e, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x4b46a155, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xd1ea438d, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x8a5661c9, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0xe4fe7998, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x6d9b1f41, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x1d36753b, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0x72532798, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xba397f61, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x9e43ea78, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0xa7c04421, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0xa13911d6, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0xf9dc1940, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x680a21ca, "_gpl");
SYMBOL_CRC(media_request_put, 0x7cb19e57, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x33ae4786, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x94f4013a, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x102f2a62, "_gpl");
SYMBOL_CRC(media_request_object_init, 0xdf036e8a, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x1fa5a274, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0xc8fdef2d, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0xc267309f, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x3dd92087, "_gpl");
SYMBOL_CRC(media_device_delete, 0xaa36eef3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x421d4dcf, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xd4d0d917, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb4a9b092, "cdev_device_del" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xddf67929, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0xca6f58f5, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x2ddf84ad, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb79f2512, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x85e541b7, "fwnode_graph_parse_endpoint" },
	{ 0x78b5b683, "module_put" },
	{ 0x1bd4060f, "device_create_file" },
	{ 0x176adec5, "bus_unregister" },
	{ 0xa82feb58, "fput" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x527954ef, "platform_bus_type" },
	{ 0xe3ad8f34, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xec530739, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xeb88bafe, "pci_bus_type" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xf175b0cc, "device_remove_file" },
	{ 0x26e6d188, "bus_register" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0945AE9370BBEC2034E6C65");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
