#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx18_ext_init, "", "");
KSYMTAB_FUNC(cx18_reset_ir_gpio, "", "");
KSYMTAB_FUNC(cx18_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_stop_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_claim_stream, "", "");
KSYMTAB_FUNC(cx18_release_stream, "", "");

SYMBOL_CRC(cx18_ext_init, 0xb864de3e, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0x7b093032, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0xd6c19b47, "");
SYMBOL_CRC(cx18_claim_stream, 0x733ac694, "");
SYMBOL_CRC(cx18_release_stream, 0xef1397f4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc18d62f4, "vb2_queue_init" },
	{ 0xceabe180, "v4l2_fh_exit" },
	{ 0xe8a5dbea, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6988c1d6, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1dd43c73, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c0cb225, "vb2_queue_release" },
	{ 0x906af335, "pci_enable_device" },
	{ 0x48fd4ce2, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x220a4c97, "i2c_bit_add_bus" },
	{ 0xcc175864, "v4l2_fh_del" },
	{ 0x58667d39, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x78a240e6, "dma_unmap_page_attrs" },
	{ 0x6e9051cc, "vb2_ops_wait_finish" },
	{ 0x8038b133, "request_firmware" },
	{ 0x164b8581, "__pci_register_driver" },
	{ 0xb3746891, "v4l2_ctrl_handler_init_class" },
	{ 0x9d4bfeef, "dma_sync_single_for_device" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xb24e581c, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xe40fa20c, "vb2_ioctl_querybuf" },
	{ 0x8081431b, "v4l2_subdev_init" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbe5a51c9, "vb2_video_unregister_device" },
	{ 0xc3bffcab, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x386feca7, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0x450a220f, "v4l2_device_register_subdev" },
	{ 0xa0380c5d, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xb22689cc, "v4l2_ctrl_handler_log_status" },
	{ 0x3ab55fec, "v4l2_ctrl_handler_setup" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x71ce78be, "video_devdata" },
	{ 0x2dd88bee, "i2c_new_scanned_device" },
	{ 0x1f1aa1fc, "cx2341x_handler_setup" },
	{ 0x738803e6, "strnlen" },
	{ 0xbb3aed57, "i2c_del_adapter" },
	{ 0x91964ab1, "__v4l2_ctrl_s_ctrl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaf1ad395, "vb2_ioctl_dqbuf" },
	{ 0x700baa58, "dvb_dmx_release" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2c1fc90b, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x735d024b, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb1c5fc87, "vb2_ioctl_prepare_buf" },
	{ 0xdb97f410, "v4l2_fh_is_singular" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x937603b5, "pci_read_config_word" },
	{ 0xe3af698d, "vb2_buffer_done" },
	{ 0xd1dc0c6a, "vb2_plane_vaddr" },
	{ 0xf159a83d, "v4l2_ctrl_subscribe_event" },
	{ 0x6e94fdd7, "v4l2_fh_init" },
	{ 0xbc99543f, "v4l2_event_pending" },
	{ 0x8e89b940, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0xa25d391f, "dvb_dmx_swfilter" },
	{ 0x4949a4a8, "video_unregister_device" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd7db776c, "dvb_dmxdev_release" },
	{ 0x27ab488f, "vb2_ioctl_qbuf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x686e13d4, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x48d89be1, "param_ops_short" },
	{ 0x27a48d, "vb2_vmalloc_memops" },
	{ 0x8cf832c4, "dma_sync_single_for_cpu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x19facb85, "vb2_fop_read" },
	{ 0x9040387f, "v4l2_device_register" },
	{ 0xe3fe8fd, "dvb_frontend_detach" },
	{ 0xfbdc7b19, "param_ops_string" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xca0196a9, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9d1c6fce, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb3bc3b55, "dvb_unregister_frontend" },
	{ 0xdb1fd043, "pci_write_config_byte" },
	{ 0xf3436e2c, "vb2_ops_wait_prepare" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8e859731, "vb2_ioctl_streamon" },
	{ 0xdb460d76, "vb2_fop_poll" },
	{ 0xb224e100, "v4l2_ctrl_new_std" },
	{ 0xc08b27ca, "v4l2_ctrl_g_ctrl" },
	{ 0xf9936e18, "cx2341x_handler_init" },
	{ 0x334e636b, "cx2341x_handler_set_50hz" },
	{ 0xdc0f46ca, "v4l2_ctrl_handler_free" },
	{ 0x2a4a9b13, "v4l2_device_unregister" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0xf846ec32, "dvb_register_frontend" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x23550c1a, "v4l2_subdev_call_wrappers" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xe19690ed, "v4l2_i2c_new_subdev" },
	{ 0x1350fd72, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0xbf79483c, "dvb_unregister_adapter" },
	{ 0xad02b867, "dvb_dmx_init" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0x961cb595, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x653144d3, "video_device_release_empty" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1b633e9b, "v4l2_event_unsubscribe" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xeea6f1f8, "vb2_ioctl_reqbufs" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videodev,dvb-core,cx2341x,i2c-algo-bit,tveeprom,videobuf2-common,videobuf2-vmalloc");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "1906D847907F76FE0C3184D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
