#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx25821_sram_channels, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_setup_audio, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_dump_audio, "", "");
KSYMTAB_FUNC(cx25821_dev_unregister, "", "");
KSYMTAB_FUNC(cx25821_riscmem_alloc, "", "");
KSYMTAB_FUNC(cx25821_risc_databuffer_audio, "", "");
KSYMTAB_FUNC(cx25821_print_irqbits, "", "");
KSYMTAB_FUNC(cx25821_dev_get, "", "");
KSYMTAB_FUNC(cx25821_set_gpiopin_direction, "", "");

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0x237a9a63, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0x8615fd1f, "");
SYMBOL_CRC(cx25821_dev_unregister, 0x122d7565, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0x15c2c6a7, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0xe93a349d, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0x23d177fd, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0x57cf8a0d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc18d62f4, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x26661409, "vb2_dma_sg_memops" },
	{ 0x1dd43c73, "video_ioctl2" },
	{ 0x906af335, "pci_enable_device" },
	{ 0x48fd4ce2, "vb2_ioctl_streamoff" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6e9051cc, "vb2_ops_wait_finish" },
	{ 0x164b8581, "__pci_register_driver" },
	{ 0xb3746891, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xb24e581c, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xe40fa20c, "vb2_ioctl_querybuf" },
	{ 0xb73cb99b, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3bffcab, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x3ab55fec, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x71ce78be, "video_devdata" },
	{ 0xb5f33d70, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0xbb3aed57, "i2c_del_adapter" },
	{ 0x6315161a, "vb2_plane_cookie" },
	{ 0xaf1ad395, "vb2_ioctl_dqbuf" },
	{ 0x2c1fc90b, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb1c5fc87, "vb2_ioctl_prepare_buf" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0xe3af698d, "vb2_buffer_done" },
	{ 0xf159a83d, "v4l2_ctrl_subscribe_event" },
	{ 0xde80cd09, "ioremap" },
	{ 0x4949a4a8, "video_unregister_device" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x27ab488f, "vb2_ioctl_qbuf" },
	{ 0x686e13d4, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x42c215f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x19facb85, "vb2_fop_read" },
	{ 0x9040387f, "v4l2_device_register" },
	{ 0x96a1ffe7, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0x9d1c6fce, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf3436e2c, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8e859731, "vb2_ioctl_streamon" },
	{ 0xdb460d76, "vb2_fop_poll" },
	{ 0xb224e100, "v4l2_ctrl_new_std" },
	{ 0xdc0f46ca, "v4l2_ctrl_handler_free" },
	{ 0x2a4a9b13, "v4l2_device_unregister" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0x1350fd72, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x6f132701, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x653144d3, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1b633e9b, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0xeea6f1f8, "vb2_ioctl_reqbufs" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,videodev,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "3719D8947F305CC499528DD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
