#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0x22301984, "");
SYMBOL_CRC(cx88_querycap, 0x2e198414, "");
SYMBOL_CRC(cx88_enum_input, 0xb7a77525, "");
SYMBOL_CRC(cx88_set_freq, 0x0968e894, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc18d62f4, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x26661409, "vb2_dma_sg_memops" },
	{ 0xd344a105, "cx88_reset" },
	{ 0xc44ce1b7, "v4l2_ctrl_poll" },
	{ 0x1dd43c73, "video_ioctl2" },
	{ 0xc6ec41f6, "cx88_wakeup" },
	{ 0x906af335, "pci_enable_device" },
	{ 0x48fd4ce2, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xfe44cbe1, "v4l2_ctrl_add_handler" },
	{ 0xf58cb440, "v4l2_i2c_new_subdev_board" },
	{ 0x442cf9d, "cx88_set_scale" },
	{ 0x6e9051cc, "vb2_ops_wait_finish" },
	{ 0x164b8581, "__pci_register_driver" },
	{ 0x11819dca, "cx88_shutdown" },
	{ 0xf2d6d86c, "cx88_vdev_init" },
	{ 0xb24e581c, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xe40fa20c, "vb2_ioctl_querybuf" },
	{ 0x5e634237, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb73cb99b, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x275afd35, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3bffcab, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0xc5fd3389, "cx88_core_get" },
	{ 0xf962b5cb, "cx88_get_stereo" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf6cb73c6, "cx88_ir_stop" },
	{ 0x3ab55fec, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x71ce78be, "video_devdata" },
	{ 0x7278f07a, "cx88_set_tvnorm" },
	{ 0xb5f33d70, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x323eebb4, "v4l2_ctrl_find" },
	{ 0x4920d5fa, "cx88_ir_start" },
	{ 0x91964ab1, "__v4l2_ctrl_s_ctrl" },
	{ 0x6315161a, "vb2_plane_cookie" },
	{ 0xaf1ad395, "vb2_ioctl_dqbuf" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa8325f61, "cx88_risc_buffer" },
	{ 0x9789816b, "v4l2_fh_release" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x55ef6d05, "cx88_set_stereo" },
	{ 0xe3af698d, "vb2_buffer_done" },
	{ 0xf159a83d, "v4l2_ctrl_subscribe_event" },
	{ 0x4949a4a8, "video_unregister_device" },
	{ 0x1ffa005b, "kthread_stop" },
	{ 0x35830b88, "i2c_new_client_device" },
	{ 0x27ab488f, "vb2_ioctl_qbuf" },
	{ 0x686e13d4, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x42c215f, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x39e1f331, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x19facb85, "vb2_fop_read" },
	{ 0x4c7f260e, "cx88_sram_channel_dump" },
	{ 0xc4e9b676, "kthread_create_on_node" },
	{ 0xeea0399, "strscpy" },
	{ 0x8ed1cc3f, "cx88_sram_channel_setup" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x9d1c6fce, "__video_register_device" },
	{ 0xf3436e2c, "vb2_ops_wait_prepare" },
	{ 0x8e859731, "vb2_ioctl_streamon" },
	{ 0xdb460d76, "vb2_fop_poll" },
	{ 0xb224e100, "v4l2_ctrl_new_std" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xe19690ed, "v4l2_i2c_new_subdev" },
	{ 0x1350fd72, "pci_read_config_byte" },
	{ 0x6f132701, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb40affb8, "cx88_newstation" },
	{ 0x1b633e9b, "v4l2_event_unsubscribe" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xeea6f1f8, "vb2_ioctl_reqbufs" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,cx88xx,videodev,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "EB47061119EEB4C8B5A8C97");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
