#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0x2d159ca3, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0xa8325f61, "");
SYMBOL_CRC(cx88_risc_databuffer, 0xb0208e5c, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0x8ed1cc3f, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0x4c7f260e, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0x275afd35, "");
SYMBOL_CRC(cx88_wakeup, 0xc6ec41f6, "");
SYMBOL_CRC(cx88_shutdown, 0x11819dca, "");
SYMBOL_CRC(cx88_reset, 0xd344a105, "");
SYMBOL_CRC(cx88_set_scale, 0x0442cf9d, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x7278f07a, "");
SYMBOL_CRC(cx88_vdev_init, 0xf2d6d86c, "");
SYMBOL_CRC(cx88_core_get, 0xc5fd3389, "");
SYMBOL_CRC(cx88_core_put, 0x5e634237, "");
SYMBOL_CRC(cx88_set_tvaudio, 0x39e1f331, "");
SYMBOL_CRC(cx88_newstation, 0xb40affb8, "");
SYMBOL_CRC(cx88_get_stereo, 0xf962b5cb, "");
SYMBOL_CRC(cx88_set_stereo, 0x55ef6d05, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0xa9125d28, "");
SYMBOL_CRC(cx88_ir_start, 0x4920d5fa, "");
SYMBOL_CRC(cx88_ir_stop, 0xf6cb73c6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0x4df07871, "ir_raw_event_handle" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x220a4c97, "i2c_bit_add_bus" },
	{ 0xb3746891, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xb24e581c, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x4b2020b1, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x738803e6, "strnlen" },
	{ 0x803fd442, "i2c_smbus_xfer" },
	{ 0xbb3aed57, "i2c_del_adapter" },
	{ 0xa5c64bdc, "rc_keyup" },
	{ 0xb99fe1b9, "__v4l2_ctrl_grab" },
	{ 0x646e785d, "i2c_unregister_device" },
	{ 0x735d024b, "tveeprom_read" },
	{ 0x35d04d6d, "rc_keydown_notimeout" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5a6b2111, "rc_register_device" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0x9d551939, "rc_keydown" },
	{ 0xe3af698d, "vb2_buffer_done" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x35830b88, "i2c_new_client_device" },
	{ 0xe5ab5e3e, "freezing_slow_path" },
	{ 0x6ec0d320, "rc_free_device" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9040387f, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa1127a38, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdb1fd043, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xdc0f46ca, "v4l2_ctrl_handler_free" },
	{ 0xcfbca58e, "i2c_transfer" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0x2a4a9b13, "v4l2_device_unregister" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x828e22f4, "hrtimer_forward" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xe19690ed, "v4l2_i2c_new_subdev" },
	{ 0x1350fd72, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x5dd76d1, "ir_raw_event_store_with_filter" },
	{ 0x4904a866, "i2c_smbus_read_byte_data" },
	{ 0x653144d3, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8526696f, "rc_unregister_device" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "videodev,rc-core,i2c-algo-bit,tveeprom,videobuf2-common");


MODULE_INFO(srcversion, "C0D49D099BAF7E37DC2A059");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
