#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb261d373, "usb_register_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf721d4ba, "usb_submit_urb" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xbee9d7dd, "usb_kill_urb" },
	{ 0xa6257a2f, "complete" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xeea0399, "strscpy" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xcf6342ef, "usb_free_urb" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x5beedb84, "usb_deregister" },
	{ 0x86f82cd2, "input_event" },
	{ 0xab137e03, "usb_find_interface" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x93a969e0, "usb_get_dev" },
	{ 0x7d5f6833, "usb_ifnum_to_if" },
	{ 0x7e45b202, "usb_alloc_urb" },
	{ 0x65045172, "usb_put_dev" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9695cb64, "input_allocate_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x14669ace, "input_register_device" },
	{ 0xa1127a38, "rc_allocate_device" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x19590e3a, "input_set_abs_params" },
	{ 0x20eaa751, "input_free_device" },
	{ 0xd004a1e6, "input_unregister_device" },
	{ 0x5a6b2111, "rc_register_device" },
	{ 0x26686045, "sysfs_create_group" },
	{ 0x8fa5b280, "usb_register_dev" },
	{ 0x6ec0d320, "rc_free_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xeb1bcbea, "rc_g_keycode_from_table" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa5c64bdc, "rc_keyup" },
	{ 0x9d551939, "rc_keydown" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3136e047, "sysfs_remove_group" },
	{ 0x8526696f, "rc_unregister_device" },
	{ 0xc9ed578c, "usb_deregister_dev" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x343b01b1, "noop_llseek" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rc-core");

MODULE_ALIAS("usb:v15C2pFFDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0035d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0036d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0038d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0044d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0045d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0046d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "BEDC0E857A87095FD1C834E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
