#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rc_map_get, "_gpl", "");
KSYMTAB_FUNC(rc_map_register, "_gpl", "");
KSYMTAB_FUNC(rc_map_unregister, "_gpl", "");
KSYMTAB_FUNC(rc_g_keycode_from_table, "_gpl", "");
KSYMTAB_FUNC(rc_keyup, "_gpl", "");
KSYMTAB_FUNC(rc_repeat, "_gpl", "");
KSYMTAB_FUNC(rc_keydown, "_gpl", "");
KSYMTAB_FUNC(rc_keydown_notimeout, "_gpl", "");
KSYMTAB_FUNC(rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_free_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_register_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_register_device, "_gpl", "");
KSYMTAB_FUNC(rc_unregister_device, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_edge, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_timeout, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_filter, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_set_idle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_handle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_gen_manchester, "", "");
KSYMTAB_FUNC(ir_raw_gen_pd, "", "");
KSYMTAB_FUNC(ir_raw_gen_pl, "", "");
KSYMTAB_FUNC(ir_raw_encode_scancode, "", "");
KSYMTAB_FUNC(ir_raw_encode_carrier, "", "");
KSYMTAB_FUNC(ir_raw_handler_register, "", "");
KSYMTAB_FUNC(ir_raw_handler_unregister, "", "");
KSYMTAB_FUNC(lirc_scancode_event, "_gpl", "");

SYMBOL_CRC(rc_map_get, 0xfc5d3079, "_gpl");
SYMBOL_CRC(rc_map_register, 0xb960f15c, "_gpl");
SYMBOL_CRC(rc_map_unregister, 0x2ed90ced, "_gpl");
SYMBOL_CRC(rc_g_keycode_from_table, 0xeb1bcbea, "_gpl");
SYMBOL_CRC(rc_keyup, 0xa5c64bdc, "_gpl");
SYMBOL_CRC(rc_repeat, 0x1f7928ff, "_gpl");
SYMBOL_CRC(rc_keydown, 0x9d551939, "_gpl");
SYMBOL_CRC(rc_keydown_notimeout, 0x35d04d6d, "_gpl");
SYMBOL_CRC(rc_allocate_device, 0xa1127a38, "_gpl");
SYMBOL_CRC(rc_free_device, 0x6ec0d320, "_gpl");
SYMBOL_CRC(devm_rc_allocate_device, 0x663d6030, "_gpl");
SYMBOL_CRC(rc_register_device, 0x5a6b2111, "_gpl");
SYMBOL_CRC(devm_rc_register_device, 0xc3100cde, "_gpl");
SYMBOL_CRC(rc_unregister_device, 0x8526696f, "_gpl");
SYMBOL_CRC(ir_raw_event_store, 0x5d76cbb6, "_gpl");
SYMBOL_CRC(ir_raw_event_store_edge, 0x870e8154, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_timeout, 0x16e62bb4, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_filter, 0x05dd76d1, "_gpl");
SYMBOL_CRC(ir_raw_event_set_idle, 0x1d01d688, "_gpl");
SYMBOL_CRC(ir_raw_event_handle, 0x4df07871, "_gpl");
SYMBOL_CRC(ir_raw_gen_manchester, 0xce3696f3, "");
SYMBOL_CRC(ir_raw_gen_pd, 0x2fe55cf5, "");
SYMBOL_CRC(ir_raw_gen_pl, 0x7a02ee87, "");
SYMBOL_CRC(ir_raw_encode_scancode, 0x01098f88, "");
SYMBOL_CRC(ir_raw_encode_carrier, 0xb5516017, "");
SYMBOL_CRC(ir_raw_handler_register, 0xeb9c0f55, "");
SYMBOL_CRC(ir_raw_handler_unregister, 0x5cf5aa73, "");
SYMBOL_CRC(lirc_scancode_event, 0x0d136480, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9695cb64, "input_allocate_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc178387e, "dev_set_name" },
	{ 0x8235805b, "memmove" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb4a9b092, "cdev_device_del" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3a5258a4, "class_destroy" },
	{ 0xfc75564e, "led_trigger_register_simple" },
	{ 0x8f8f657f, "bsearch" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0xd004a1e6, "input_unregister_device" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf8ef22d5, "kobject_get_path" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa59dd472, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc66cb16c, "__module_get" },
	{ 0xca6f58f5, "get_device" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5fd58f0, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0x20eaa751, "input_free_device" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x2ddf84ad, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x14669ace, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb79f2512, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x78b5b683, "module_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa82feb58, "fput" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa972f676, "device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf29300b1, "class_create" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x11f5d7f7, "__devres_alloc_node" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9a5423f3, "class_unregister" },
	{ 0x1ffa005b, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7ce71b17, "device_del" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x86f82cd2, "input_event" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc4e9b676, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x18d35ada, "stream_open" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x1a86ece7, "led_trigger_event" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xa6ee30dc, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xec530739, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "25081AE4487CC7ACCCBC3BB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
