#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0x9a874ab0, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0xf06cdb7b, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x8fd8407d, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0xfe031795, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0x1651ae79, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x2bbfd3bb, "_gpl");
SYMBOL_CRC(is_fw_load, 0x6f9b973e, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0xc3b59a08, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0x9bcc1be7, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x3c2289d3, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0xf520be1e, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0x1c8272e0, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0xa7a7ea21, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0xd07b40e8, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0xe4d20da1, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0xc71ed983, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0x2ee01ff2, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0xfed64873, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0xa5034751, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x586e8505, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0xe00392f9, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0x1fea6197, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc18d62f4, "vb2_queue_init" },
	{ 0x7e45b202, "usb_alloc_urb" },
	{ 0xc44ce1b7, "v4l2_ctrl_poll" },
	{ 0x1dd43c73, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xbfdc9981, "media_device_unregister" },
	{ 0xcf6342ef, "usb_free_urb" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x48fd4ce2, "vb2_ioctl_streamoff" },
	{ 0xf25b391f, "v4l2_ctrl_radio_filter" },
	{ 0x4eefbef5, "usb_alloc_coherent" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xfe44cbe1, "v4l2_ctrl_add_handler" },
	{ 0x8038b133, "request_firmware" },
	{ 0x6e9051cc, "vb2_ops_wait_finish" },
	{ 0xb261d373, "usb_register_driver" },
	{ 0xb3746891, "v4l2_ctrl_handler_init_class" },
	{ 0xb24e581c, "param_array_ops" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe69e8f8b, "__media_device_register" },
	{ 0xe40fa20c, "vb2_ioctl_querybuf" },
	{ 0x4b2020b1, "i2c_transfer_buffer_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb73cb99b, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xa8230c16, "usb_clear_halt" },
	{ 0x65045172, "usb_put_dev" },
	{ 0x3b873f0, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x71ce78be, "video_devdata" },
	{ 0xb5f33d70, "vb2_fop_release" },
	{ 0x1f1aa1fc, "cx2341x_handler_setup" },
	{ 0x738803e6, "strnlen" },
	{ 0x93a969e0, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0xf721d4ba, "usb_submit_urb" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xbb3aed57, "i2c_del_adapter" },
	{ 0x6a98054b, "media_device_register_entity" },
	{ 0x3733a49d, "media_device_cleanup" },
	{ 0xaf1ad395, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x646e785d, "i2c_unregister_device" },
	{ 0xca8d33e1, "usb_free_coherent" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf40a5563, "usb_control_msg" },
	{ 0xe3af698d, "vb2_buffer_done" },
	{ 0xd1dc0c6a, "vb2_plane_vaddr" },
	{ 0xf159a83d, "v4l2_ctrl_subscribe_event" },
	{ 0xe3f247b0, "usb_set_interface" },
	{ 0xbb5644ed, "media_entity_pads_init" },
	{ 0x4949a4a8, "video_unregister_device" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x35830b88, "i2c_new_client_device" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x5beedb84, "usb_deregister" },
	{ 0x27ab488f, "vb2_ioctl_qbuf" },
	{ 0x686e13d4, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6802908f, "v4l2_s_ctrl" },
	{ 0xb934ccc9, "i2c_mux_alloc" },
	{ 0x27a48d, "vb2_vmalloc_memops" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x19facb85, "vb2_fop_read" },
	{ 0x9040387f, "v4l2_device_register" },
	{ 0x96a1ffe7, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa1127a38, "rc_allocate_device" },
	{ 0x21041a47, "usb_unlink_urb" },
	{ 0x6b1d6d9, "media_entity_setup_link" },
	{ 0xeea0399, "strscpy" },
	{ 0x999e8297, "vfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x9d1c6fce, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf3436e2c, "vb2_ops_wait_prepare" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbee9d7dd, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8e859731, "vb2_ioctl_streamon" },
	{ 0x31038f0a, "v4l2_mc_create_media_graph" },
	{ 0xdb460d76, "vb2_fop_poll" },
	{ 0xf9936e18, "cx2341x_handler_init" },
	{ 0x334e636b, "cx2341x_handler_set_50hz" },
	{ 0x67e7a21f, "__media_device_usb_init" },
	{ 0xdc0f46ca, "v4l2_ctrl_handler_free" },
	{ 0xcfbca58e, "i2c_transfer" },
	{ 0x2a4a9b13, "v4l2_device_unregister" },
	{ 0x171b136f, "usb_reset_endpoint" },
	{ 0x20eb64d0, "i2c_mux_del_adapters" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x23550c1a, "v4l2_subdev_call_wrappers" },
	{ 0x33e6f3a5, "v4l2_ctrl_log_status" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xe19690ed, "v4l2_i2c_new_subdev" },
	{ 0x6f132701, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x653144d3, "video_device_release_empty" },
	{ 0xd81d998, "i2c_mux_add_adapter" },
	{ 0x8c71c0af, "_vb2_fop_release" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x1b633e9b, "v4l2_event_unsubscribe" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xeea6f1f8, "vb2_ioctl_reqbufs" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,mc,cx2341x,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "911671118CF304C86EAB7B9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
