#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dvb_usbv2_probe, "", "");
KSYMTAB_FUNC(dvb_usbv2_disconnect, "", "");
KSYMTAB_FUNC(dvb_usbv2_suspend, "", "");
KSYMTAB_FUNC(dvb_usbv2_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_reset_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw_locked, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write_locked, "", "");

SYMBOL_CRC(dvb_usbv2_probe, 0xb8788273, "");
SYMBOL_CRC(dvb_usbv2_disconnect, 0x55c47410, "");
SYMBOL_CRC(dvb_usbv2_suspend, 0x118d1ce1, "");
SYMBOL_CRC(dvb_usbv2_resume, 0xf325649b, "");
SYMBOL_CRC(dvb_usbv2_reset_resume, 0x4d91ff4c, "");
SYMBOL_CRC(dvb_usbv2_generic_rw, 0xf0db1f98, "");
SYMBOL_CRC(dvb_usbv2_generic_write, 0x1dc7b76a, "");
SYMBOL_CRC(dvb_usbv2_generic_rw_locked, 0xda8ac121, "");
SYMBOL_CRC(dvb_usbv2_generic_write_locked, 0xeb5b07f1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8a5dbea, "dvb_dmxdev_init" },
	{ 0x7e45b202, "usb_alloc_urb" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xbfdc9981, "media_device_unregister" },
	{ 0xcf6342ef, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x8038b133, "request_firmware" },
	{ 0x37a0cba, "kfree" },
	{ 0xe69e8f8b, "__media_device_register" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x386feca7, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x3b873f0, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x738803e6, "strnlen" },
	{ 0xf721d4ba, "usb_submit_urb" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xbb3aed57, "i2c_del_adapter" },
	{ 0x3733a49d, "media_device_cleanup" },
	{ 0x439354fb, "dvb_dmx_swfilter_204" },
	{ 0x700baa58, "dvb_dmx_release" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5a6b2111, "rc_register_device" },
	{ 0x8e89b940, "dvb_net_init" },
	{ 0xa25d391f, "dvb_dmx_swfilter" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd7db776c, "dvb_dmxdev_release" },
	{ 0x6ec0d320, "rc_free_device" },
	{ 0x7d4d8540, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe3fe8fd, "dvb_frontend_detach" },
	{ 0x96a1ffe7, "i2c_add_adapter" },
	{ 0xca0196a9, "dvb_net_release" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa1127a38, "rc_allocate_device" },
	{ 0xeea0399, "strscpy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb3bc3b55, "dvb_unregister_frontend" },
	{ 0xbee9d7dd, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x67e7a21f, "__media_device_usb_init" },
	{ 0x35631101, "dvb_frontend_resume" },
	{ 0xf846ec32, "dvb_register_frontend" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x58775812, "dvb_frontend_suspend" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xac94377c, "dvb_create_media_graph" },
	{ 0xbf79483c, "dvb_unregister_adapter" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xad02b867, "dvb_dmx_init" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x8526696f, "rc_unregister_device" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,usbcore,mc,rc-core");


MODULE_INFO(srcversion, "A3219B7B33EB0CE87B87D03");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
