#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_cypress_load_firmware, "", "");
KSYMTAB_FUNC(dvb_usb_get_hexline, "", "");
KSYMTAB_FUNC(dvb_usb_device_init, "", "");
KSYMTAB_FUNC(dvb_usb_device_exit, "", "");
KSYMTAB_FUNC(dvb_usb_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usb_generic_write, "", "");
KSYMTAB_FUNC(dvb_usb_nec_rc_key_to_event, "", "");

SYMBOL_CRC(usb_cypress_load_firmware, 0xbf7fc688, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x65d933e3, "");
SYMBOL_CRC(dvb_usb_device_init, 0xd04d985c, "");
SYMBOL_CRC(dvb_usb_device_exit, 0x1fd606a3, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0x6f6cffe2, "");
SYMBOL_CRC(dvb_usb_generic_write, 0x978adb80, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0xb44f0382, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9695cb64, "input_allocate_device" },
	{ 0xe8a5dbea, "dvb_dmxdev_init" },
	{ 0x7e45b202, "usb_alloc_urb" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xbfdc9981, "media_device_unregister" },
	{ 0xcf6342ef, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4eefbef5, "usb_alloc_coherent" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x8038b133, "request_firmware" },
	{ 0xd004a1e6, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xe69e8f8b, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x386feca7, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20eaa751, "input_free_device" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xa8230c16, "usb_clear_halt" },
	{ 0x3b873f0, "usb_bulk_msg" },
	{ 0x14669ace, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x738803e6, "strnlen" },
	{ 0xf721d4ba, "usb_submit_urb" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xbb3aed57, "i2c_del_adapter" },
	{ 0x3733a49d, "media_device_cleanup" },
	{ 0x439354fb, "dvb_dmx_swfilter_204" },
	{ 0x700baa58, "dvb_dmx_release" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xca8d33e1, "usb_free_coherent" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5a6b2111, "rc_register_device" },
	{ 0xf40a5563, "usb_control_msg" },
	{ 0x8e89b940, "dvb_net_init" },
	{ 0xa25d391f, "dvb_dmx_swfilter" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd7db776c, "dvb_dmxdev_release" },
	{ 0x6ec0d320, "rc_free_device" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7d4d8540, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x86f82cd2, "input_event" },
	{ 0xe3fe8fd, "dvb_frontend_detach" },
	{ 0x96a1ffe7, "i2c_add_adapter" },
	{ 0xca0196a9, "dvb_net_release" },
	{ 0xa1127a38, "rc_allocate_device" },
	{ 0xeea0399, "strscpy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb3bc3b55, "dvb_unregister_frontend" },
	{ 0xbee9d7dd, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x67e7a21f, "__media_device_usb_init" },
	{ 0xf846ec32, "dvb_register_frontend" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xac94377c, "dvb_create_media_graph" },
	{ 0xbf79483c, "dvb_unregister_adapter" },
	{ 0xad02b867, "dvb_dmx_init" },
	{ 0x6f132701, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8526696f, "rc_unregister_device" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,usbcore,mc,rc-core");


MODULE_INFO(srcversion, "66AE720F6AE14C85228C057");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
