#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(go7007_read_interrupt, "", "");
KSYMTAB_FUNC(go7007_read_addr, "", "");
KSYMTAB_FUNC(go7007_boot_encoder, "", "");
KSYMTAB_FUNC(go7007_register_encoder, "", "");
KSYMTAB_FUNC(go7007_parse_video_stream, "", "");
KSYMTAB_FUNC(go7007_alloc, "", "");
KSYMTAB_FUNC(go7007_update_board, "", "");
KSYMTAB_FUNC(go7007_snd_init, "", "");
KSYMTAB_FUNC(go7007_snd_remove, "", "");

SYMBOL_CRC(go7007_read_interrupt, 0xba25675a, "");
SYMBOL_CRC(go7007_read_addr, 0x2ce2a8b3, "");
SYMBOL_CRC(go7007_boot_encoder, 0x250dc4d2, "");
SYMBOL_CRC(go7007_register_encoder, 0x05c5ab42, "");
SYMBOL_CRC(go7007_parse_video_stream, 0x6dab3727, "");
SYMBOL_CRC(go7007_alloc, 0x5e6c1841, "");
SYMBOL_CRC(go7007_update_board, 0xa09b3bb5, "");
SYMBOL_CRC(go7007_snd_init, 0xf0eb706c, "");
SYMBOL_CRC(go7007_snd_remove, 0x3efcc1fa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc18d62f4, "vb2_queue_init" },
	{ 0x1dd43c73, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x96929c06, "v4l2_device_put" },
	{ 0x48fd4ce2, "vb2_ioctl_streamoff" },
	{ 0x8235805b, "memmove" },
	{ 0xb773e773, "snd_pcm_new" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x477109b3, "snd_card_register" },
	{ 0xf58cb440, "v4l2_i2c_new_subdev_board" },
	{ 0xc9ab8dbb, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8038b133, "request_firmware" },
	{ 0x6e9051cc, "vb2_ops_wait_finish" },
	{ 0xb3746891, "v4l2_ctrl_handler_init_class" },
	{ 0xb24e581c, "param_array_ops" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe40fa20c, "vb2_ioctl_querybuf" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb73cb99b, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x71ce78be, "video_devdata" },
	{ 0xb5f33d70, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xbb3aed57, "i2c_del_adapter" },
	{ 0xd2a8ebae, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb99fe1b9, "__v4l2_ctrl_grab" },
	{ 0xaf1ad395, "vb2_ioctl_dqbuf" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2bad7337, "v4l2_ctrl_new_custom" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xece2de79, "snd_card_free_when_closed" },
	{ 0xe3af698d, "vb2_buffer_done" },
	{ 0xd1dc0c6a, "vb2_plane_vaddr" },
	{ 0xf159a83d, "v4l2_ctrl_subscribe_event" },
	{ 0x6702ea1a, "snd_pcm_set_ops" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x26db7e56, "v4l2_event_subscribe" },
	{ 0x27ab488f, "vb2_ioctl_qbuf" },
	{ 0x686e13d4, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x55de0f3b, "snd_device_new" },
	{ 0x27a48d, "vb2_vmalloc_memops" },
	{ 0x21a92093, "snd_pcm_set_managed_buffer_all" },
	{ 0xcfbd2b4d, "param_ops_charp" },
	{ 0xf22ec564, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x19facb85, "vb2_fop_read" },
	{ 0x9040387f, "v4l2_device_register" },
	{ 0x96a1ffe7, "i2c_add_adapter" },
	{ 0x9ff48c77, "snd_card_disconnect" },
	{ 0xeea0399, "strscpy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x9d1c6fce, "__video_register_device" },
	{ 0xf3436e2c, "vb2_ops_wait_prepare" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8e859731, "vb2_ioctl_streamon" },
	{ 0xdb460d76, "vb2_fop_poll" },
	{ 0xb224e100, "v4l2_ctrl_new_std" },
	{ 0xc08b27ca, "v4l2_ctrl_g_ctrl" },
	{ 0xdc0f46ca, "v4l2_ctrl_handler_free" },
	{ 0x2a4a9b13, "v4l2_device_unregister" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x23550c1a, "v4l2_subdev_call_wrappers" },
	{ 0xca871770, "snd_pcm_period_elapsed" },
	{ 0x33e6f3a5, "v4l2_ctrl_log_status" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xc1093df5, "v4l2_event_queue" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x653144d3, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1b633e9b, "v4l2_event_unsubscribe" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xeea6f1f8, "vb2_ioctl_reqbufs" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videodev,snd-pcm,snd,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "6F737DACACECCBC5F6654A6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
