#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_usb_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_rsp, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_card_status, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_card_exclusive_check, "_gpl", "");

SYMBOL_CRC(rtsx_usb_transfer_data, 0xfd1532eb, "_gpl");
SYMBOL_CRC(rtsx_usb_read_ppbuf, 0x13e602bd, "_gpl");
SYMBOL_CRC(rtsx_usb_write_ppbuf, 0xe76ccf9a, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_write_register, 0xd4345a99, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_read_register, 0x5ca76672, "_gpl");
SYMBOL_CRC(rtsx_usb_add_cmd, 0x06c9df41, "_gpl");
SYMBOL_CRC(rtsx_usb_send_cmd, 0xc78245a7, "_gpl");
SYMBOL_CRC(rtsx_usb_get_rsp, 0x24176b52, "_gpl");
SYMBOL_CRC(rtsx_usb_get_card_status, 0x266d8eff, "_gpl");
SYMBOL_CRC(rtsx_usb_write_register, 0xbcf1c73c, "_gpl");
SYMBOL_CRC(rtsx_usb_read_register, 0xc452336a, "_gpl");
SYMBOL_CRC(rtsx_usb_switch_clock, 0xeade7faa, "_gpl");
SYMBOL_CRC(rtsx_usb_card_exclusive_check, 0x1fcb11b3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3b873f0, "usb_bulk_msg" },
	{ 0x6d531441, "usb_sg_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0xf5fa97ca, "usb_sg_wait" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xf40a5563, "usb_control_msg" },
	{ 0xb261d373, "usb_register_driver" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x412ab177, "device_for_each_child" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x1395b758, "mfd_remove_devices" },
	{ 0x37a0cba, "kfree" },
	{ 0x23f93e7f, "usb_sg_cancel" },
	{ 0x5beedb84, "usb_deregister" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2e0e3f0c, "mfd_add_devices" },
	{ 0x30c510a1, "usb_enable_autosuspend" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v0BDAp0129d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0140d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F8F3F966F72D56F16FF3485");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
