#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mei_fw_status2str, "_gpl", "");
KSYMTAB_FUNC(mei_cancel_work, "_gpl", "");
KSYMTAB_FUNC(mei_reset, "_gpl", "");
KSYMTAB_FUNC(mei_start, "_gpl", "");
KSYMTAB_FUNC(mei_restart, "_gpl", "");
KSYMTAB_FUNC(mei_stop, "_gpl", "");
KSYMTAB_FUNC(mei_write_is_idle, "_gpl", "");
KSYMTAB_FUNC(mei_device_init, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg_resume, "_gpl", "");
KSYMTAB_FUNC(mei_irq_compl_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_read_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_write_handler, "_gpl", "");
KSYMTAB_FUNC(mei_cl_all_disconnect, "_gpl", "");
KSYMTAB_FUNC(mei_register, "_gpl", "");
KSYMTAB_FUNC(mei_deregister, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_rx_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_notif_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_uuid, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_ver, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enabled, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_map, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_unmap, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_disable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_gsc_command, "_gpl", "");
KSYMTAB_FUNC(__mei_cldev_driver_register, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_driver_unregister, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mei_reg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_read, "", "");
KSYMTAB_DATA(__tracepoint_mei_reg_write, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_write, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_write, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_write, "", "");
KSYMTAB_DATA(__tracepoint_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_pci_cfg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_pci_cfg_read, "", "");

SYMBOL_CRC(mei_fw_status2str, 0xb9d25525, "_gpl");
SYMBOL_CRC(mei_cancel_work, 0x23375d04, "_gpl");
SYMBOL_CRC(mei_reset, 0xab5f379e, "_gpl");
SYMBOL_CRC(mei_start, 0x246fe21c, "_gpl");
SYMBOL_CRC(mei_restart, 0xc28356bb, "_gpl");
SYMBOL_CRC(mei_stop, 0x585dbb59, "_gpl");
SYMBOL_CRC(mei_write_is_idle, 0x4524d266, "_gpl");
SYMBOL_CRC(mei_device_init, 0x3935d029, "_gpl");
SYMBOL_CRC(mei_hbm_pg, 0xf9ead215, "_gpl");
SYMBOL_CRC(mei_hbm_pg_resume, 0x8546164f, "_gpl");
SYMBOL_CRC(mei_irq_compl_handler, 0x84f80997, "_gpl");
SYMBOL_CRC(mei_irq_read_handler, 0x2238d1da, "_gpl");
SYMBOL_CRC(mei_irq_write_handler, 0xd8a81477, "_gpl");
SYMBOL_CRC(mei_cl_all_disconnect, 0x0646e7ff, "_gpl");
SYMBOL_CRC(mei_register, 0xd4c526db, "_gpl");
SYMBOL_CRC(mei_deregister, 0xcdf89987, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag, 0xb9bb54e3, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag, 0x996f65e3, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock_vtag, 0xd0a227ca, "_gpl");
SYMBOL_CRC(mei_cldev_send, 0x7fadadd0, "_gpl");
SYMBOL_CRC(mei_cldev_recv, 0x2bdb5626, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock, 0xc1a87f99, "_gpl");
SYMBOL_CRC(mei_cldev_register_rx_cb, 0x146d23a8, "_gpl");
SYMBOL_CRC(mei_cldev_register_notif_cb, 0x3e24e69b, "_gpl");
SYMBOL_CRC(mei_cldev_get_drvdata, 0x0342a970, "_gpl");
SYMBOL_CRC(mei_cldev_set_drvdata, 0x480cb87e, "_gpl");
SYMBOL_CRC(mei_cldev_uuid, 0xe7698a92, "_gpl");
SYMBOL_CRC(mei_cldev_ver, 0xa7cc0ee7, "_gpl");
SYMBOL_CRC(mei_cldev_enabled, 0xcac20e8d, "_gpl");
SYMBOL_CRC(mei_cldev_dma_map, 0x1764d0af, "_gpl");
SYMBOL_CRC(mei_cldev_dma_unmap, 0x61fa07f2, "_gpl");
SYMBOL_CRC(mei_cldev_enable, 0x93839981, "_gpl");
SYMBOL_CRC(mei_cldev_disable, 0x779d43df, "_gpl");
SYMBOL_CRC(mei_cldev_send_gsc_command, 0xead49adf, "_gpl");
SYMBOL_CRC(__mei_cldev_driver_register, 0x29123227, "_gpl");
SYMBOL_CRC(mei_cldev_driver_unregister, 0x6130066a, "_gpl");
SYMBOL_CRC(__tracepoint_mei_reg_read, 0x61e55ac6, "");
SYMBOL_CRC(__traceiter_mei_reg_read, 0x7396eb14, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_read, 0x5f2b7ce6, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_read, 0x3b0a488d, "");
SYMBOL_CRC(__tracepoint_mei_reg_write, 0x4d9ba764, "");
SYMBOL_CRC(__traceiter_mei_reg_write, 0x330e4801, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_write, 0x76cb498a, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_write, 0x0bb25295, "");
SYMBOL_CRC(__tracepoint_mei_pci_cfg_read, 0xd27a8f09, "");
SYMBOL_CRC(__traceiter_mei_pci_cfg_read, 0x98459ab1, "");
SYMBOL_CRC(__SCK__tp_func_mei_pci_cfg_read, 0xda90fd0e, "");
SYMBOL_CRC(__SCT__tp_func_mei_pci_cfg_read, 0x14dc7949, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xe1125ab1, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc178387e, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb801183, "dmam_alloc_attrs" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc72d180d, "kill_fasync" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x50888233, "seq_lseek" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc66cb16c, "__module_get" },
	{ 0xca6f58f5, "get_device" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5a3eca30, "debugfs_read_file_bool" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0xa3bc1f14, "sysfs_notify" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xfd52d1d6, "debugfs_write_file_bool" },
	{ 0xb79f2512, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x78b5b683, "module_put" },
	{ 0x72cf4b6, "cdev_add" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0x176adec5, "bus_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8b065251, "simple_open" },
	{ 0xa972f676, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x51997a26, "fasync_helper" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x878c572e, "driver_unregister" },
	{ 0x9a5423f3, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x7ce71b17, "device_del" },
	{ 0x1417546b, "dmam_free_coherent" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xd8119a10, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xffa48b9, "nonseekable_open" },
	{ 0xe2fd670b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x81f60b0b, "device_create_with_groups" },
	{ 0xeea0399, "strscpy" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6e2d20a5, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc8836361, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x88d47c17, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x529311d5, "__pm_runtime_suspend" },
	{ 0xea5a46f4, "device_release_driver" },
	{ 0xd0d8621b, "strlen" },
	{ 0x89ba77c3, "single_open" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0x40ad4d97, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0x52b57bd3, "driver_register" },
	{ 0xa6ee30dc, "class_register" },
	{ 0xec530739, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x30370bbc, "cdev_del" },
	{ 0x26e6d188, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd6c353fb, "class_find_device" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6AA1EBFCE26DD8819D6AC02");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
