#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mmc_command_done, "", "");
KSYMTAB_FUNC(mmc_request_done, "", "");
KSYMTAB_FUNC(mmc_start_request, "", "");
KSYMTAB_FUNC(mmc_wait_for_req_done, "", "");
KSYMTAB_FUNC(mmc_cqe_start_req, "", "");
KSYMTAB_FUNC(mmc_cqe_request_done, "", "");
KSYMTAB_FUNC(mmc_cqe_post_req, "", "");
KSYMTAB_FUNC(mmc_cqe_recovery, "", "");
KSYMTAB_FUNC(mmc_is_req_done, "", "");
KSYMTAB_FUNC(mmc_wait_for_req, "", "");
KSYMTAB_FUNC(mmc_wait_for_cmd, "", "");
KSYMTAB_FUNC(mmc_set_data_timeout, "", "");
KSYMTAB_FUNC(__mmc_claim_host, "", "");
KSYMTAB_FUNC(mmc_release_host, "", "");
KSYMTAB_FUNC(mmc_get_card, "", "");
KSYMTAB_FUNC(mmc_put_card, "", "");
KSYMTAB_FUNC(mmc_detect_change, "", "");
KSYMTAB_FUNC(mmc_erase, "", "");
KSYMTAB_FUNC(mmc_can_erase, "", "");
KSYMTAB_FUNC(mmc_can_trim, "", "");
KSYMTAB_FUNC(mmc_can_discard, "", "");
KSYMTAB_FUNC(mmc_can_secure_erase_trim, "", "");
KSYMTAB_FUNC(mmc_erase_group_aligned, "", "");
KSYMTAB_FUNC(mmc_calc_max_discard, "", "");
KSYMTAB_FUNC(mmc_card_is_blockaddr, "", "");
KSYMTAB_FUNC(mmc_set_blocklen, "", "");
KSYMTAB_FUNC(mmc_hw_reset, "", "");
KSYMTAB_FUNC(mmc_sw_reset, "", "");
KSYMTAB_FUNC(mmc_detect_card_removed, "", "");
KSYMTAB_FUNC(mmc_card_alternative_gpt_sector, "", "");
KSYMTAB_FUNC(mmc_register_driver, "", "");
KSYMTAB_FUNC(mmc_unregister_driver, "", "");
KSYMTAB_FUNC(mmc_retune_pause, "", "");
KSYMTAB_FUNC(mmc_retune_unpause, "", "");
KSYMTAB_FUNC(mmc_retune_timer_stop, "", "");
KSYMTAB_FUNC(mmc_retune_release, "", "");
KSYMTAB_FUNC(mmc_of_parse_clk_phase, "", "");
KSYMTAB_FUNC(mmc_of_parse, "", "");
KSYMTAB_FUNC(mmc_of_parse_voltage, "", "");
KSYMTAB_FUNC(mmc_alloc_host, "", "");
KSYMTAB_FUNC(devm_mmc_alloc_host, "", "");
KSYMTAB_FUNC(mmc_add_host, "", "");
KSYMTAB_FUNC(mmc_remove_host, "", "");
KSYMTAB_FUNC(mmc_free_host, "", "");
KSYMTAB_FUNC(__mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_get_ext_csd, "_gpl", "");
KSYMTAB_FUNC(__mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_prepare_busy_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_switch, "_gpl", "");
KSYMTAB_FUNC(mmc_send_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_send_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_run_bkops, "", "");
KSYMTAB_FUNC(mmc_cmdq_enable, "_gpl", "");
KSYMTAB_FUNC(mmc_cmdq_disable, "_gpl", "");
KSYMTAB_FUNC(mmc_sanitize, "_gpl", "");
KSYMTAB_FUNC(mmc_app_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_sd_switch, "_gpl", "");
KSYMTAB_FUNC(sdio_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_host, "_gpl", "");
KSYMTAB_FUNC(sdio_release_host, "_gpl", "");
KSYMTAB_FUNC(sdio_enable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_disable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_set_block_size, "_gpl", "");
KSYMTAB_FUNC(sdio_align_size, "_gpl", "");
KSYMTAB_FUNC(sdio_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_fromio, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_toio, "_gpl", "");
KSYMTAB_FUNC(sdio_readsb, "_gpl", "");
KSYMTAB_FUNC(sdio_writesb, "_gpl", "");
KSYMTAB_FUNC(sdio_readw, "_gpl", "");
KSYMTAB_FUNC(sdio_writew, "_gpl", "");
KSYMTAB_FUNC(sdio_readl, "_gpl", "");
KSYMTAB_FUNC(sdio_writel, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_get_host_pm_caps, "_gpl", "");
KSYMTAB_FUNC(sdio_set_host_pm_flags, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_disable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_enable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_hold_now, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_release, "_gpl", "");
KSYMTAB_FUNC(sdio_signal_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_release_irq, "_gpl", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_get_ro, "", "");
KSYMTAB_FUNC(mmc_gpio_get_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_wake, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_isr, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd, "", "");
KSYMTAB_FUNC(mmc_can_gpio_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_ro, "", "");
KSYMTAB_FUNC(mmc_can_gpio_ro, "", "");
KSYMTAB_FUNC(mmc_regulator_set_ocr, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_set_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_get_supply, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_enable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_disable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_pwrseq_register, "_gpl", "");
KSYMTAB_FUNC(mmc_pwrseq_unregister, "_gpl", "");
KSYMTAB_FUNC(mmc_crypto_setup_queue, "_gpl", "");
KSYMTAB_FUNC(mmc_crypto_prepare_req, "_gpl", "");

SYMBOL_CRC(mmc_command_done, 0xce7a5187, "");
SYMBOL_CRC(mmc_request_done, 0xcfd01b40, "");
SYMBOL_CRC(mmc_start_request, 0xc07942f1, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0x89a290d3, "");
SYMBOL_CRC(mmc_cqe_start_req, 0xc9929c28, "");
SYMBOL_CRC(mmc_cqe_request_done, 0xb361cb3b, "");
SYMBOL_CRC(mmc_cqe_post_req, 0x02166231, "");
SYMBOL_CRC(mmc_cqe_recovery, 0x7e9b5ccc, "");
SYMBOL_CRC(mmc_is_req_done, 0x87882ee5, "");
SYMBOL_CRC(mmc_wait_for_req, 0x419f7c82, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0x55fda75a, "");
SYMBOL_CRC(mmc_set_data_timeout, 0xf533e7cc, "");
SYMBOL_CRC(__mmc_claim_host, 0x362134c0, "");
SYMBOL_CRC(mmc_release_host, 0x5e306aec, "");
SYMBOL_CRC(mmc_get_card, 0x44f6ba80, "");
SYMBOL_CRC(mmc_put_card, 0x7ef3e2aa, "");
SYMBOL_CRC(mmc_detect_change, 0xa8e4e98d, "");
SYMBOL_CRC(mmc_erase, 0x1cf286e6, "");
SYMBOL_CRC(mmc_can_erase, 0xb4c8786e, "");
SYMBOL_CRC(mmc_can_trim, 0x707a5e3f, "");
SYMBOL_CRC(mmc_can_discard, 0x7d838df8, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0xf2660d28, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0x01e9886d, "");
SYMBOL_CRC(mmc_calc_max_discard, 0xe86f4127, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0xb6d4d34a, "");
SYMBOL_CRC(mmc_set_blocklen, 0x202dfce8, "");
SYMBOL_CRC(mmc_hw_reset, 0x617f7b2d, "");
SYMBOL_CRC(mmc_sw_reset, 0x6d95273e, "");
SYMBOL_CRC(mmc_detect_card_removed, 0xfdb9729e, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0x288866eb, "");
SYMBOL_CRC(mmc_register_driver, 0x00d1c7e6, "");
SYMBOL_CRC(mmc_unregister_driver, 0xea5e920e, "");
SYMBOL_CRC(mmc_retune_pause, 0x86dd8e78, "");
SYMBOL_CRC(mmc_retune_unpause, 0x2afba30f, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0x7a099ed5, "");
SYMBOL_CRC(mmc_retune_release, 0xbfa3ab18, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0x0b94837b, "");
SYMBOL_CRC(mmc_of_parse, 0x522e3484, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0xb11d4886, "");
SYMBOL_CRC(mmc_alloc_host, 0xa139e3d1, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0x52ec9fc2, "");
SYMBOL_CRC(mmc_add_host, 0xed7b2828, "");
SYMBOL_CRC(mmc_remove_host, 0x44c4ad02, "");
SYMBOL_CRC(mmc_free_host, 0xa2698509, "");
SYMBOL_CRC(__mmc_send_status, 0xf966fb03, "_gpl");
SYMBOL_CRC(mmc_send_status, 0x03042906, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0xa1a3911c, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0x337c8f61, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0x65edd71f, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0x70b440ad, "_gpl");
SYMBOL_CRC(mmc_switch, 0xdbbd56d3, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0x7d455ecc, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0xf85051d5, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0xb9314f82, "");
SYMBOL_CRC(mmc_cmdq_enable, 0x3a9d519c, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0xf026601b, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0xede962a6, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0xe7b523f9, "_gpl");
SYMBOL_CRC(mmc_sd_switch, 0x5fa96988, "_gpl");
SYMBOL_CRC(sdio_register_driver, 0x1325121b, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0x30ec194d, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0x768bcd27, "_gpl");
SYMBOL_CRC(sdio_release_host, 0x7e256454, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0xf022cfb8, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0x9732f1d8, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0x944d0232, "_gpl");
SYMBOL_CRC(sdio_align_size, 0xec937a9e, "_gpl");
SYMBOL_CRC(sdio_readb, 0xc62e64b8, "_gpl");
SYMBOL_CRC(sdio_writeb, 0x67073251, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0x1d7bc20a, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0x3251f2d3, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0xb71c5c3c, "_gpl");
SYMBOL_CRC(sdio_readsb, 0x579febf8, "_gpl");
SYMBOL_CRC(sdio_writesb, 0x8214a8f4, "_gpl");
SYMBOL_CRC(sdio_readw, 0x3562281f, "_gpl");
SYMBOL_CRC(sdio_writew, 0x98bd1a78, "_gpl");
SYMBOL_CRC(sdio_readl, 0x8e2a365e, "_gpl");
SYMBOL_CRC(sdio_writel, 0xf1374ac5, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0x5393d895, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0x081d0ab9, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0x0e37b198, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0x35bec575, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0xdaabb13a, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0x4db13840, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0x570901c5, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0x51cfbdf4, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0x26729463, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0x090308de, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0x8eb60ecb, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0xbc9cbd42, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0x5f041aaf, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0xa91764c7, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0x3e191a43, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0xbe274c2e, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0xa37620ec, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0xdf69921c, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0x122b0699, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0x0bde821e, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0xd9f418c1, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0x48c42d0c, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0x89284645, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0x99be0ffa, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0x373c3529, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0x53b5c5ad, "_gpl");
SYMBOL_CRC(mmc_pwrseq_register, 0xfa04a161, "_gpl");
SYMBOL_CRC(mmc_pwrseq_unregister, 0x05de6415, "_gpl");
SYMBOL_CRC(mmc_crypto_setup_queue, 0x49ff3dd0, "_gpl");
SYMBOL_CRC(mmc_crypto_prepare_req, 0xec25a3b3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa358ec5a, "gpiod_get_value_cansleep" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe37117d0, "regulator_enable" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xed4c24a5, "device_property_present" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x57b32140, "blk_crypto_reprogram_all_keys" },
	{ 0xcb308732, "wakeup_source_register" },
	{ 0xd808e35d, "is_acpi_device_node" },
	{ 0x4cf3bbaf, "simple_attr_open" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x17ab3fc5, "devm_request_threaded_irq" },
	{ 0x917161a5, "debugfs_attr_write" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xa37e7a99, "of_node_put" },
	{ 0x352f907f, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc178387e, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0xb8323c01, "device_match_of_node" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0xfc75564e, "led_trigger_register_simple" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0xb275e2a9, "gpiod_to_irq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x50888233, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x3f91b6af, "gpiod_toggle_active_low" },
	{ 0x5fcc28fa, "dev_pm_domain_attach" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf5c5bbf9, "bpf_trace_run2" },
	{ 0x70dbcf11, "gpiod_get_value" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa59dd472, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0xca6f58f5, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xb67bc589, "sched_set_fifo_low" },
	{ 0xb5fd58f0, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4cc1d04c, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0xbab5445e, "pm_generic_runtime_resume" },
	{ 0x7de44fbb, "pm_generic_resume" },
	{ 0xa7448636, "regulator_get_voltage" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0xca2de4c2, "pm_wakeup_ws_event" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x2a3b1f10, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xe5634ca3, "of_get_next_child" },
	{ 0x7c3e2bfb, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xb79f2512, "put_device" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0x738803e6, "strnlen" },
	{ 0x1f11cefd, "device_property_read_u32_array" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xebb60467, "gpiod_set_debounce" },
	{ 0xc626d7f1, "dev_pm_domain_detach" },
	{ 0x78b5b683, "module_put" },
	{ 0x289d51eb, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xf83a1617, "pm_generic_suspend" },
	{ 0xaf977a5e, "debugfs_attr_read" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0x176adec5, "bus_unregister" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x12bea93a, "debugfs_create_file_unsafe" },
	{ 0xa972f676, "device_add" },
	{ 0x73e24115, "__of_parse_phandle_with_args" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xc8a6d085, "simple_attr_release" },
	{ 0xf7e53642, "wakeup_source_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x11f5d7f7, "__devres_alloc_node" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x878c572e, "driver_unregister" },
	{ 0x1ff1c3b1, "devm_gpiod_get_index" },
	{ 0xfeccad75, "of_find_property" },
	{ 0x9a5423f3, "class_unregister" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x1ffa005b, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x321cdbf, "of_alias_get_highest_id" },
	{ 0x7ce71b17, "device_del" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xc48d4667, "regulator_count_voltages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x608286a8, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x207afd0, "regulator_is_supported_voltage" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc4e9b676, "kthread_create_on_node" },
	{ 0xbef5113b, "devm_kasprintf" },
	{ 0xe2fd670b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcaab5469, "gpiod_cansleep" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0x627b004c, "gpiod_is_active_low" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0x21aca696, "of_device_is_compatible" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0xfca995b0, "debugfs_create_x32" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1ece0029, "of_alias_get_id" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x88d47c17, "single_release" },
	{ 0x83a24b80, "regulator_disable" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x529311d5, "__pm_runtime_suspend" },
	{ 0x90ccfdbd, "set_primary_fwnode" },
	{ 0x1a86ece7, "led_trigger_event" },
	{ 0xd0d8621b, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x89ba77c3, "single_open" },
	{ 0xbfdec762, "gpiod_set_consumer_name" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0xadf72dd2, "regulator_set_voltage" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x52b57bd3, "driver_register" },
	{ 0xa6ee30dc, "class_register" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb136917, "__dev_fwnode" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x26e6d188, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "33C7334F60ABF6F126FCD3D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
