#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x435877c9, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0xf8207b8b, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0xc8dbc0b5, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x1b1175b1, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x298d70ce, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0xcfbed1f9, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0xb1b183dd, "_gpl");
SYMBOL_CRC(register_mtd_user, 0xcf9a301a, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0xa111a3ff, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x56308357, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x17a4e786, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x6a476a5c, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0xa8572b42, "_gpl");
SYMBOL_CRC(put_mtd_device, 0xa14b8312, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0xc266dad0, "_gpl");
SYMBOL_CRC(mtd_erase, 0x05f35888, "_gpl");
SYMBOL_CRC(mtd_point, 0xc683cc17, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x80096cdf, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x73280f09, "_gpl");
SYMBOL_CRC(mtd_read, 0x9574c1cc, "_gpl");
SYMBOL_CRC(mtd_write, 0x0686a6d6, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0xdd31a507, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x73663a1b, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0xea53fa60, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0x1d2522d5, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0x5c5e01db, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x05abefd2, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0xc4f8dd6d, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x2b26af8a, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x1c449367, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x045c5548, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0xdfe979e3, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0xcdda63ba, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x16af6210, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x3a95a167, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x4141b8f2, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0xbcfa6613, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0x96520bcd, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x05fdecfe, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0xb8766c25, "_gpl");
SYMBOL_CRC(mtd_lock, 0x3da44fd6, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x9e94b77b, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x1226fc59, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0xd99e8e6d, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0xa997ea8c, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0xe498856d, "_gpl");
SYMBOL_CRC(mtd_writev, 0x6228b209, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0xd3fa4fbc, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0xfbcd2f9f, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0xa6e39873, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x2a05bd65, "");
SYMBOL_CRC(mtd_concat_destroy, 0x122e2763, "");
SYMBOL_CRC(mtd_add_partition, 0xfd1faf42, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x6a67067f, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0x0ad52fc2, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0xa46ee67e, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0xa7b5c8d9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3f5229a5, "generic_shutdown_super" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa37e7a99, "of_node_put" },
	{ 0x67f8cd66, "sget_dev" },
	{ 0x169f5c48, "bdi_unregister" },
	{ 0xc178387e, "dev_set_name" },
	{ 0x51c86fd5, "of_get_compatible_child" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0xe0144d07, "bdi_register" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6018f2ca, "of_node_name_prefix" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e8265be, "of_node_get" },
	{ 0x4fd6fb7d, "logfc" },
	{ 0xe51b4a2b, "sysfs_remove_files" },
	{ 0xc66cb16c, "__module_get" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x3abaf40d, "bdi_put" },
	{ 0xe5634ca3, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb79f2512, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0x78b5b683, "module_put" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe544503c, "of_get_child_by_name" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x684a2aa7, "debugfs_create_bool" },
	{ 0xa28c5b7b, "of_prop_next_string" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x4d913a04, "device_create" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xed85ed00, "fixed_size_llseek" },
	{ 0xb3d70a6d, "of_property_read_string" },
	{ 0xfeccad75, "of_find_property" },
	{ 0x9a5423f3, "class_unregister" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x70550999, "bdi_alloc" },
	{ 0xa553b00, "device_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x21aca696, "of_device_is_compatible" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf0c5c03c, "__register_chrdev" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6e2d20a5, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x66b7268c, "remove_proc_entry" },
	{ 0xbe7780f4, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe4739d, "seq_printf" },
	{ 0x32eaec7b, "lockref_get" },
	{ 0xe0d9ca20, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x1ece0029, "of_alias_get_id" },
	{ 0xc8836361, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xbd7ecefa, "dev_err_probe" },
	{ 0xa5eaf253, "proc_create_single_data" },
	{ 0x8794727f, "nvmem_register" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdadac6f8, "of_platform_populate" },
	{ 0xa6ee30dc, "class_register" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E3E6FD229E06D1B0FD80719");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
