#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_exit_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_page_hwecc_oob_first, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0xb8e16b0b, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0x6dcbaa7e, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0x71431a69, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0x8b74f9f9, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0x0a00b514, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0x4831b602, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0x3bdd4d78, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0x8f6e1956, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0x61335354, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0xdc55ec92, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0x9fb9d20d, "_gpl");
SYMBOL_CRC(nand_readid_op, 0x23d0001a, "_gpl");
SYMBOL_CRC(nand_status_op, 0x1623fda9, "_gpl");
SYMBOL_CRC(nand_exit_status_op, 0xa28b978c, "_gpl");
SYMBOL_CRC(nand_erase_op, 0x5b5ec7fc, "_gpl");
SYMBOL_CRC(nand_reset_op, 0xe12770c4, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0x054124cf, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0x90665dd8, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0x4b4d90d5, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0x41c372a7, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0x8b2bebb6, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0xd29540c4, "");
SYMBOL_CRC(nand_read_page_hwecc_oob_first, 0x76ec6b7d, "_gpl");
SYMBOL_CRC(nand_read_oob_std, 0xaa7165d0, "");
SYMBOL_CRC(nand_write_oob_std, 0xeaed826c, "");
SYMBOL_CRC(nand_write_page_raw, 0x84abc62e, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0x9575105c, "");
SYMBOL_CRC(nand_decode_ext_id, 0xe05c9137, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0xb627b361, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0xa67a434e, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0x356683e3, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0x318b68a9, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0xd33de7e0, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0xd22d2229, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0x5b53b5a5, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0x226aef41, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0x871fafc5, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0x09a2347b, "");
SYMBOL_CRC(nand_cleanup, 0x326ed029, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0xd733fc06, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0x906298a1, "");
SYMBOL_CRC(nand_create_bbt, 0xd8dc48db, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa358ec5a, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x73663a1b, "mtd_read_oob" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x352f907f, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x8ccc3fa3, "gpiod_count" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5dcb8d74, "nanddev_cleanup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6b8134c0, "nand_get_large_page_hamming_ooblayout" },
	{ 0x2e60bace, "memcpy" },
	{ 0xda5b71e9, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ab9fc1c, "gpiod_get_index_optional" },
	{ 0xfc2bc75d, "nand_ecc_sw_hamming_init_ctx" },
	{ 0x92a87b0b, "nanddev_init" },
	{ 0xd33e5648, "nand_ecc_sw_bch_correct" },
	{ 0x5b2bda44, "nand_ecc_sw_bch_cleanup_ctx" },
	{ 0x2b26af8a, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x81b9f410, "nand_ecc_sw_hamming_calculate" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0xc2b04495, "nand_ecc_sw_hamming_cleanup_ctx" },
	{ 0x2d0739f1, "nand_ecc_sw_bch_init_ctx" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf77d1a9e, "nand_ecc_is_strong_enough" },
	{ 0xea53fa60, "mtd_write_oob" },
	{ 0x4f2fb34, "nand_get_small_page_ooblayout" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x937f6ade, "of_get_nand_ecc_user_config" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x532e6cdb, "nand_ecc_sw_hamming_correct" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x26707a1f, "of_property_count_elems_of_size" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xb3d70a6d, "of_property_read_string" },
	{ 0xfeccad75, "of_find_property" },
	{ 0x5152e605, "memcmp" },
	{ 0x9574c1cc, "mtd_read" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xdfe979e3, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1d81c91e, "of_property_read_u64_index" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x45c5548, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x999e8297, "vfree" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5abefd2, "mtd_ooblayout_find_eccregion" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x1c449367, "mtd_ooblayout_get_databytes" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xd35f75a1, "match_string" },
	{ 0xc4f8dd6d, "mtd_ooblayout_get_eccbytes" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x4720ca1, "nanddev_mtd_max_bad_blocks" },
	{ 0x2f8fe5da, "nand_ecc_sw_bch_calculate" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "mtd,nandcore");


MODULE_INFO(srcversion, "EF91507E23B642FF304E234");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
