#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0x64d4b614, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0xbc260da2, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0xe0c201a7, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x12190309, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0x8cf054e2, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0xb8edce89, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0x86d0a394, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0x691f1414, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0x408e3b4b, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0xad8b264b, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0x7c05f857, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x9b00d1ff, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0x9b1b797f, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0xd1bcb236, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x760a0f4f, "yield" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x3657f841, "misc_deregister" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x31a8db30, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xc179f20b, "seq_release" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb4a9b092, "cdev_device_del" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x50888233, "seq_lseek" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x538605db, "kmem_cache_create" },
	{ 0xca6f58f5, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa8572b42, "get_mtd_device_nm" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc0b4e831, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x56308357, "get_mtd_device" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xbc435770, "dump_stack" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x2ddf84ad, "cdev_device_add" },
	{ 0x4292364c, "schedule" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb79f2512, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x894683d1, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0x78b5b683, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x72cf4b6, "cdev_add" },
	{ 0xe498856d, "mtd_block_markbad" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8b065251, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x19e22e41, "kmem_cache_free" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xed85ed00, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa14b8312, "put_mtd_device" },
	{ 0x9a5423f3, "class_unregister" },
	{ 0x5152e605, "memcmp" },
	{ 0x9574c1cc, "mtd_read" },
	{ 0x1ffa005b, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe5ab5e3e, "freezing_slow_path" },
	{ 0xa553b00, "device_register" },
	{ 0x2bc95bd4, "memset" },
	{ 0x4d659158, "kern_path" },
	{ 0x7266e87c, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xece784c2, "rb_first" },
	{ 0x5f35888, "mtd_erase" },
	{ 0x44b708bf, "down_write_trylock" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4e9b676, "kthread_create_on_node" },
	{ 0xe2fd670b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x686a6d6, "mtd_write" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe4739d, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa7b5c8d9, "mtd_get_device_size" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc8836361, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x2f020a1f, "seq_open" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x135828b9, "page_address" },
	{ 0xd0d8621b, "strlen" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa997ea8c, "mtd_block_isbad" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x29f3a126, "up_read" },
	{ 0xa6ee30dc, "class_register" },
	{ 0xec530739, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x30370bbc, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x3b259352, "kmem_cache_destroy" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "A3214C84822F5D231523BF3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
