#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x5d3c6406, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0xa634ca1e, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x1c20246d, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xd2fa122a, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x3cbafc7b, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x07a83fa5, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0xdc2fdb13, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x33ee1bc8, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0xd155b91b, "_gpl");
SYMBOL_CRC(can_bus_off, 0x4a8eb6cd, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x45a9f37e, "_gpl");
SYMBOL_CRC(free_candev, 0x180d49d2, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x7eda4944, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x50e7dab1, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x348e1cca, "");
SYMBOL_CRC(open_candev, 0xb09d60f2, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0x74ec5823, "_gpl");
SYMBOL_CRC(close_candev, 0xd5e469df, "_gpl");
SYMBOL_CRC(register_candev, 0x7c21ce79, "_gpl");
SYMBOL_CRC(unregister_candev, 0x71d9111a, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0xb854fcc3, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x85ccbc70, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0x818a9513, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0x9ea289b5, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0x95ec4f52, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0x8052f160, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0x710e4d36, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0xd8900ead, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0x24b3e990, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0xeba52fcd, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0x8ed0dc61, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0x9ed32cc3, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0xbd6ccf89, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0x2a9330cb, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0x37a1c832, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa37e7a99, "of_node_put" },
	{ 0x393e67ed, "skb_put" },
	{ 0x656216cc, "gpiod_set_value" },
	{ 0x902c0329, "skb_tstamp_tx" },
	{ 0x352f907f, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0xf1e0589d, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x7db77141, "unregister_netdev" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x893ea92d, "rtnl_link_register" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x653c3fdf, "netdev_warn" },
	{ 0x2bc90097, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4f602c4e, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xb17627b5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb23c920b, "skb_queue_purge_reason" },
	{ 0xe990e5cc, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe775d02f, "alloc_netdev_mqs" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x93506ab7, "__napi_schedule" },
	{ 0x1f11cefd, "device_property_read_u32_array" },
	{ 0xe544503c, "of_get_child_by_name" },
	{ 0x9dc95b7f, "rtnl_link_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0xe8550745, "napi_enable" },
	{ 0x8186caae, "netif_receive_skb" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x5fb7f766, "register_netdev" },
	{ 0xd29b4321, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9e2ae5dd, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xce17d262, "netif_rx" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0xd5eb2283, "__dynamic_netdev_dbg" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1d106652, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbd9b2645, "skb_clone" },
	{ 0x21380ddb, "netif_carrier_on" },
	{ 0xbd7ecefa, "dev_err_probe" },
	{ 0x544c1f9c, "napi_schedule_prep" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x37b829b7, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "64F2B1288B30E5916E9855D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
