#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fun_submit_admin_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(fun_get_res_count, "_gpl", "");
KSYMTAB_FUNC(fun_res_destroy, "_gpl", "");
KSYMTAB_FUNC(fun_bind, "_gpl", "");
KSYMTAB_FUNC(fun_reserve_irqs, "", "");
KSYMTAB_FUNC(fun_release_irqs, "", "");
KSYMTAB_FUNC(fun_serv_stop, "_gpl", "");
KSYMTAB_FUNC(fun_serv_restart, "_gpl", "");
KSYMTAB_FUNC(fun_serv_sched, "_gpl", "");
KSYMTAB_FUNC(fun_dev_disable, "", "");
KSYMTAB_FUNC(fun_dev_enable, "", "");
KSYMTAB_FUNC(fun_alloc_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_free_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_sq_create, "_gpl", "");
KSYMTAB_FUNC(fun_cq_create, "_gpl", "");

SYMBOL_CRC(fun_submit_admin_sync_cmd, 0xe340ef17, "_gpl");
SYMBOL_CRC(fun_get_res_count, 0x45d214a7, "_gpl");
SYMBOL_CRC(fun_res_destroy, 0x360c711f, "_gpl");
SYMBOL_CRC(fun_bind, 0x156e00da, "_gpl");
SYMBOL_CRC(fun_reserve_irqs, 0xaa77cfba, "");
SYMBOL_CRC(fun_release_irqs, 0xd67c27b1, "");
SYMBOL_CRC(fun_serv_stop, 0x5e4f324d, "_gpl");
SYMBOL_CRC(fun_serv_restart, 0xbae3192c, "_gpl");
SYMBOL_CRC(fun_serv_sched, 0xbaba3cfa, "_gpl");
SYMBOL_CRC(fun_dev_disable, 0x4679a294, "");
SYMBOL_CRC(fun_dev_enable, 0x93d44a64, "");
SYMBOL_CRC(fun_alloc_ring_mem, 0x2d81cb58, "_gpl");
SYMBOL_CRC(fun_free_ring_mem, 0xc67b3fa2, "_gpl");
SYMBOL_CRC(fun_sq_create, 0x94a37b17, "_gpl");
SYMBOL_CRC(fun_cq_create, 0x2a105003, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50fb7e12, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x51ffef00, "pci_msix_vec_count" },
	{ 0x9d79077f, "pci_request_selected_regions" },
	{ 0xa4da833, "pci_release_selected_regions" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x444879d, "pci_enable_device_mem" },
	{ 0xe31abc75, "pci_alloc_irq_vectors" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x78a240e6, "dma_unmap_page_attrs" },
	{ 0x9d4bfeef, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xd66a7a35, "sbitmap_queue_wake_all" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xea65216c, "pci_irq_vector" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x13feb249, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85142df4, "sbitmap_queue_init_node" },
	{ 0xa0380c5d, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x395b8b90, "sbitmap_prepare_to_wait" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x618911fc, "numa_node" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xce621864, "pci_select_bars" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0x373766a, "sbitmap_queue_clear" },
	{ 0x8cf832c4, "dma_sync_single_for_cpu" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x77b43918, "__alloc_pages" },
	{ 0x42c215f, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3830296a, "dma_set_coherent_mask" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4d24a1e4, "sbitmap_finish_wait" },
	{ 0x1f0a3f0c, "pcie_print_link_status" },
	{ 0x61495dc5, "__folio_put" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x135828b9, "page_address" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x935346fe, "__sbitmap_queue_get" },
	{ 0xcc21fc93, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3D41B629FA0B923EF3ABA9B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
