#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x196fc694, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x9d450684, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x5e3b067c, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0xa7086eb9, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x3797cf73, "");
SYMBOL_CRC(mlx5_cmd_check, 0x9c4a5287, "");
SYMBOL_CRC(mlx5_cmd_do, 0x0a6a1548, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xb19e2786, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x4c4d9f1f, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xebbfe87b, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0xcfd5bfe5, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0xffbc74d4, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x630ae369, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x3c8e6b41, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0xbc007210, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xe333fc93, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x2de41f4c, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x01a99beb, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x57ed064f, "");
SYMBOL_CRC(mlx5_eq_enable, 0xce5b71a5, "");
SYMBOL_CRC(mlx5_eq_disable, 0x2cb1b774, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x9212224b, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x77bfd03e, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x441a3293, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x9f8b80f2, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x546f34ff, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x43dd4624, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0xb8ef287a, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xa0668146, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xd49c9372, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x98ae27a9, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x50b8fb07, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xde25fb1d, "");
SYMBOL_CRC(mlx5_free_bfreg, 0xe36fb5b6, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x8e7870ee, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0xd7ce088d, "");
SYMBOL_CRC(mlx5_create_cq, 0xb000877c, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xb00a7d4d, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x5a80d274, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xf8b29b02, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xdafba4f8, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x2f413a9e, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x822a00b9, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xe34ae6a4, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xdb4c2cb2, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x7910494e, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x58c9b874, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x42b3b7c5, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xae3ac5ce, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x7249217e, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xb8deb58b, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0xe6598d8b, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0xbdd2210b, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x8d0feb06, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x5289f075, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xbede9e86, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x17e2635f, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x8135278c, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0xe04ac5b8, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x4abd7eb8, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x180670ce, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x008e9444, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xc21e96f6, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xefe56a7c, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xd8832fd4, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x25f957df, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x6bf0ccc8, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x374044ad, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x2b64ae6e, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x178618d0, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xbd2e7d3c, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x2dc91a4e, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x99044922, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x818aade4, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x7d2a690a, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x788599a8, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0xb7b6c744, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xd9556b02, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x4be362eb, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x16fd6c1d, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x7842e37d, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x9423eba6, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x48d0898a, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x986e9c28, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xa333dab2, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0xf613247e, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xdb80a7d2, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xbd1d337a, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xfe5192e1, "");
SYMBOL_CRC(mlx5_core_query_sq, 0xb55f85e5, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xde626a90, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xa178fade, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x3f25dc55, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xc1c036bd, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x4c6bad74, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x9351bce9, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x1a45ab7c, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x48b8bdc9, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x978d3009, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x8e98543c, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x6e0908ce, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x36d21426, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xcef5e1b1, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x689763ea, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x01790d36, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x2f46ee18, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x61608648, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x33c5a404, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x9c388f74, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x195f448c, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xb7a87bed, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xba82b749, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xda82bab0, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x4dc217bc, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xfe47b0ad, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x29f04490, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x3cdf10fb, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xb32bc882, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xb2064137, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x7a4fca22, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x4d454d2c, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0xff8f8547, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xca3c3f7f, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xa4e8618d, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x985ce3eb, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xa93ca0d0, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xbfff35b4, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x711dc559, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x8b8d8bea, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x4ff04ef5, "");
SYMBOL_CRC(mlx5_create_flow_table, 0xed23f496, "");
SYMBOL_CRC(mlx5_flow_table_id, 0x66474692, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0x52505e70, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x111c1b3a, "");
SYMBOL_CRC(mlx5_create_flow_group, 0xdd0bcd82, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x73e45b43, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x2567a104, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0x7e7cc4de, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xf8afa157, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x67c56282, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x46041e17, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0xa5af8e97, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x34ac7b8c, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x6f61d7a1, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x9c056295, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xdfd63b91, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x90a5c88c, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x4f1a3d02, "");
SYMBOL_CRC(mlx5_msix_free, 0xda665ab4, "");
SYMBOL_CRC(mlx5_fc_create, 0x0c08815b, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xcde61845, "");
SYMBOL_CRC(mlx5_fc_query, 0x9d6bd616, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x91487ea9, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xae90528f, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x8464c7c4, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x0b8897c8, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x8cedfb57, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x3f5528f2, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x5b93bf0e, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xf52b71ad, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xfab9e028, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xeac120e8, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xb2ba093e, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x1c973987, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x6d2c5971, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0xf0659c4d, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x668ac310, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xf4b9d690, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x858dae61, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x3f911892, "");
SYMBOL_CRC(mlx5_notifier_register, 0x8b6df371, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x00913d36, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xff6c4cd7, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0xa312fc45, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x04f016d6, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x3789c5c7, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x7f091209, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xc3d0ed68, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x73fc1d8e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xce3db85b, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xdae8aa4d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xb8bc66c5, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x12135c1c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0xe24ccfc5, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xbb07ebdf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x4d9d948b, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xf52e1946, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xa553ec26, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x6cd5a182, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x13ac1cc8, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xf06725b6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x3b8ad57a, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x45b52e00, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x71eed04b, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x4d62e046, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0xac2b4440, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x5eb83e83, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x01c95453, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x100b2680, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x1019252e, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0xc6b4e666, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x944c9d6a, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x945dbbb4, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x9a3973e0, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x7accc5bf, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x7d5714ca, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x1cea89fc, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x64cee50b, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xef52e33f, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x122d6128, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xd063db73, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x1b31dccf, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xc56bf0f4, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x73939d72, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x880f5c8f, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x51812ab1, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x33b07fa0, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0xe1550911, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0xd4c16cd2, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x69449b4e, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x9c21c4f4, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x990a5100, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x0278a1fa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x3fa715f, "__inet_lookup_established" },
	{ 0x53da62cc, "xsk_tx_completed" },
	{ 0x5ef8693, "alloc_etherdev_mqs" },
	{ 0x1f9363f5, "netdev_lower_get_next" },
	{ 0x6441f3e0, "secpath_set" },
	{ 0x403b7839, "atomic64_dec_return_cx8" },
	{ 0x8f4bfc97, "flow_block_cb_lookup" },
	{ 0xe914e41e, "strcpy" },
	{ 0x50fb7e12, "pci_save_state" },
	{ 0x335e88fa, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9085ef37, "devl_rate_leaf_create" },
	{ 0x421d4dcf, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa83fd622, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x866e6077, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x4a3584e9, "bpf_prog_put" },
	{ 0x5f31b3e3, "page_pool_get_stats" },
	{ 0x4cf3bbaf, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcebce50a, "pci_cfg_access_unlock" },
	{ 0x17230ea1, "xp_dma_map" },
	{ 0xe1125ab1, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xe344e65c, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x6c98b2cd, "skb_copy_bits" },
	{ 0x917161a5, "debugfs_attr_write" },
	{ 0x2f33f0d, "dma_pool_create" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x51ffef00, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x906af335, "pci_enable_device" },
	{ 0x393e67ed, "skb_put" },
	{ 0x902c0329, "skb_tstamp_tx" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc4fdb013, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x9b51ec18, "__napi_alloc_skb" },
	{ 0x9051909b, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7840c9c9, "register_fib_notifier" },
	{ 0xf4d9a5b5, "auxiliary_device_init" },
	{ 0x85a40159, "ip6_dst_hoplimit" },
	{ 0x5aa21ae1, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x7d50a24, "csum_partial" },
	{ 0xaad9805a, "flow_rule_match_enc_ip" },
	{ 0xb39c7cf9, "trace_seq_printf" },
	{ 0xe31abc75, "pci_alloc_irq_vectors" },
	{ 0xf1e0589d, "netif_napi_add_weight" },
	{ 0x92b42449, "pci_enable_atomic_ops_to_root" },
	{ 0xc179f20b, "seq_release" },
	{ 0x384c5004, "dev_add_pack" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0xe753b68d, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xb9fa56e3, "xsk_clear_tx_need_wakeup" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xd8dfbcb3, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0xf4d5b702, "devl_lock" },
	{ 0xdc13d2, "__kmalloc_node" },
	{ 0x6635bf77, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x6b49f5f6, "ndo_dflt_bridge_getlink" },
	{ 0x7db77141, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x24903e7c, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xbef12cbf, "flow_rule_match_tcp" },
	{ 0x694b391f, "register_netdevice_notifier_dev_net" },
	{ 0x78a240e6, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x4e455ae6, "devlink_health_reporter_create" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7d98975a, "flow_rule_match_cvlan" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x164b8581, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x5b747ec2, "refcount_dec_and_mutex_lock" },
	{ 0x9d4bfeef, "dma_sync_single_for_device" },
	{ 0x73c6d13, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x59918df9, "pci_num_vf" },
	{ 0x5aedcd32, "debugfs_create_atomic_t" },
	{ 0x4320fac, "flow_rule_match_eth_addrs" },
	{ 0x9fbd04e7, "skb_add_rx_frag" },
	{ 0x371321d, "xfrm_state_check_expire" },
	{ 0x5158e39f, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x1a665009, "ptp_clock_index" },
	{ 0x427df015, "pci_request_regions" },
	{ 0x8ba3f71f, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0xe8468cc5, "flow_block_cb_free" },
	{ 0x2e60bace, "memcpy" },
	{ 0x70cb0132, "xp_can_alloc" },
	{ 0x18345bb6, "psample_sample_packet" },
	{ 0x195ec2f8, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x3d11053e, "devlink_alloc_ns" },
	{ 0xc367e7aa, "devl_rate_leaf_destroy" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x2f7093af, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x6cd2ec72, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xa025362f, "devlink_remote_reload_actions_performed" },
	{ 0x663bb448, "devlink_fmsg_obj_nest_end" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x50888233, "seq_lseek" },
	{ 0x741709bf, "page_pool_destroy" },
	{ 0xc62240ab, "xdp_do_redirect" },
	{ 0x97a4364b, "devlink_free" },
	{ 0x8f1e3fd7, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x9cf8324d, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf5c5bbf9, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x653c3fdf, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x6ee0a32a, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x97b893a, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xea65216c, "pci_irq_vector" },
	{ 0x974b70fe, "flow_rule_match_ipv4_addrs" },
	{ 0x99d57227, "ip_route_output_flow" },
	{ 0x4f602c4e, "__netif_napi_del" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0x15510a89, "devlink_fmsg_binary_put" },
	{ 0x538605db, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xec7a94ff, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3f7778c, "sock_gen_put" },
	{ 0xe664f62, "down_read_trylock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc3bffcab, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xb17627b5, "netdev_err" },
	{ 0xc8269fe0, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x95590667, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0xc20b139f, "netdev_port_same_parent_id" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0x4ca50989, "dev_addr_mod" },
	{ 0xc2ba8f52, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x20c59204, "ptp_find_pin" },
	{ 0x9770081, "eth_type_trans" },
	{ 0x77db385a, "pci_read_config_dword" },
	{ 0xa46c8f31, "request_firmware_direct" },
	{ 0x1757731a, "flow_rule_match_icmp" },
	{ 0xc02047e5, "auxiliary_driver_unregister" },
	{ 0xa0380c5d, "dma_map_page_attrs" },
	{ 0x45ff8535, "trace_seq_putc" },
	{ 0xe990e5cc, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x3d3e1bc, "devlink_port_attrs_pci_vf_set" },
	{ 0x9ac30449, "priv_to_devlink" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xa0be53bd, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xb79f2512, "put_device" },
	{ 0x6156c7f4, "net_dim" },
	{ 0x93506ab7, "__napi_schedule" },
	{ 0xf021dc06, "devlink_port_health_reporter_create" },
	{ 0x89dc5f5e, "pcie_relaxed_ordering_enabled" },
	{ 0x16d8d7e1, "xsk_set_rx_need_wakeup" },
	{ 0x738803e6, "strnlen" },
	{ 0xf531cff3, "kmalloc_node_trace" },
	{ 0xae43d886, "devlink_port_attrs_pci_pf_set" },
	{ 0x97a0fc0b, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x91b0b833, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0xf23a1a3b, "__free_pages" },
	{ 0x894683d1, "kmem_cache_alloc" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x4f3303ee, "skb_vlan_pop" },
	{ 0x76598361, "napi_gro_receive" },
	{ 0x261457e8, "netif_device_attach" },
	{ 0xac26e879, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x932d02fd, "netdev_pick_tx" },
	{ 0xdcb5fa94, "flow_indr_dev_unregister" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xfd5ede0c, "xp_raw_get_dma" },
	{ 0x40dcdf3d, "eth_get_headlen" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x6666503b, "xdp_rxq_info_is_reg" },
	{ 0x545213b2, "flow_rule_match_enc_opts" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x632780, "work_busy" },
	{ 0x7da8514a, "devlink_net" },
	{ 0xa99ef899, "devlink_fmsg_bool_pair_put" },
	{ 0xa4542f3c, "free_fib_info" },
	{ 0x36d61ff8, "devl_health_reporter_create" },
	{ 0x82ef8820, "flow_block_cb_setup_simple" },
	{ 0xf17aabd6, "pci_msix_can_alloc_dyn" },
	{ 0xce44fe5, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x25c134f6, "unregister_netdevice_notifier_dev_net" },
	{ 0x60476060, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x6727e5ce, "pci_iov_vf_id" },
	{ 0xbb6a3cbd, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xaf977a5e, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x4955b964, "flow_rule_match_ct" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x8b3e691a, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x7ca77f9e, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xad252988, "__dev_get_by_index" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0xcb0ee070, "devlink_port_unregister" },
	{ 0x1920a3fd, "dev_get_port_parent_id" },
	{ 0x5af8e078, "down_write" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x2674a316, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa1391288, "softnet_data" },
	{ 0x5f24859e, "ipv6_stub" },
	{ 0x8b065251, "simple_open" },
	{ 0xf2659707, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa75005c7, "bus_find_device" },
	{ 0x5b6f644b, "cpu_bit_bitmap" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0xe7810773, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc8a6d085, "simple_attr_release" },
	{ 0x5329225e, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xed7242e9, "xp_dma_sync_for_cpu_slow" },
	{ 0xf97be1b1, "xsk_tx_peek_desc" },
	{ 0x814d0de8, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x67197420, "netif_set_real_num_tx_queues" },
	{ 0xcfc5108a, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x24770071, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x18d6b3d7, "irq_get_irq_data" },
	{ 0xca2f9ca9, "dev_remove_pack" },
	{ 0xc30dd20f, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x5f995edd, "dev_get_by_index" },
	{ 0x497629f5, "bpf_trace_run5" },
	{ 0x48fc9d01, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x54bdac37, "skb_store_bits" },
	{ 0x2e248422, "devl_port_register_with_ops" },
	{ 0xb71ce1a0, "dev_get_by_index_rcu" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x5def0f71, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0x728a89e, "mlxfw_firmware_flash" },
	{ 0x16da1f88, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x341d5817, "pcie_capability_clear_and_set_word_locked" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0xfc3f3589, "strscpy_pad" },
	{ 0x19e22e41, "kmem_cache_free" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x937603b5, "pci_read_config_word" },
	{ 0xe8550745, "napi_enable" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc30b83ce, "xsk_clear_rx_need_wakeup" },
	{ 0xf75bbba8, "unregister_netdevice_notifier_net" },
	{ 0xeeaa30a7, "xsk_uses_need_wakeup" },
	{ 0x5fb7f766, "register_netdev" },
	{ 0x4b5b0528, "unregister_fib_notifier" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xdd9fe1b1, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x1fc04cfb, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0xd29b4321, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x75186064, "debugfs_create_size_t" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0xa437c1e2, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xdd745464, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x10811b18, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcaab5cf2, "netif_set_xps_queue" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5358864e, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x1eef6d16, "pci_restore_state" },
	{ 0x39887690, "bpf_trace_run1" },
	{ 0xec08850f, "__inet6_lookup_established" },
	{ 0xe9e8ff2e, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x7ce71b17, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x8cf832c4, "dma_sync_single_for_cpu" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0xa17c805f, "page_pool_create" },
	{ 0x17d63fca, "skb_checksum" },
	{ 0xa1b1ff50, "page_pool_put_defragged_page" },
	{ 0x31c81a41, "devl_param_driverinit_value_set" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x701e40ce, "flow_rule_match_ports" },
	{ 0x11df0e75, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x2494aeda, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x782c9d71, "devl_resources_unregister" },
	{ 0x4a6abf6b, "ptp_clock_event" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x51fe1153, "netif_schedule_queue" },
	{ 0x77b43918, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb307c909, "devlink_fmsg_u64_pair_put" },
	{ 0x42c215f, "pci_set_master" },
	{ 0x83fb3780, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x59a9bd83, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4ac114e6, "flow_rule_match_ipv6_addrs" },
	{ 0xfefbf7b5, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x3a60a9fa, "devl_params_unregister" },
	{ 0x63ff7413, "ptp_clock_unregister" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0xb6b9bd6f, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0xfbdebc37, "devlink_trap_report" },
	{ 0x1e73c1dc, "__neigh_event_send" },
	{ 0x986b13b8, "flow_block_cb_alloc" },
	{ 0x86585a33, "devlink_fmsg_obj_nest_start" },
	{ 0x44b708bf, "down_write_trylock" },
	{ 0x4cd27c37, "dev_printk_emit" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x396cec4f, "devl_traps_register" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0xeda179e9, "devl_unlock" },
	{ 0xd5eb2283, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3830296a, "dma_set_coherent_mask" },
	{ 0xaae2a175, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xb63b304e, "flow_rule_match_enc_control" },
	{ 0x22391572, "bpf_trace_run3" },
	{ 0xe2fd670b, "seq_read" },
	{ 0xef4cad92, "trace_print_flags_seq" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x899b6de9, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xeea0399, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0x4cb250ed, "rps_may_expire_flow" },
	{ 0xa2644607, "metadata_dst_free" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x6c2902cc, "xsk_set_tx_need_wakeup" },
	{ 0xa91920b8, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb734b588, "netdev_reset_tc" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0xbdf7bf65, "neigh_destroy" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xfca995b0, "debugfs_create_x32" },
	{ 0xd9cbefbf, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x9709dbc5, "current_work" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x5c43539b, "flow_rule_match_enc_ports" },
	{ 0xd8ef0d0a, "xdp_return_frame_bulk" },
	{ 0xdc1a78c, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8e0b562a, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xc672cd5d, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xd3170fac, "devl_assert_locked" },
	{ 0x1f0a3f0c, "pcie_print_link_status" },
	{ 0xf139d65a, "xp_set_rxq_info" },
	{ 0xf49ce9f1, "flow_rule_match_vlan" },
	{ 0x7bf2bf9d, "alloc_pages" },
	{ 0x86ff12c1, "devl_port_unregister" },
	{ 0xe1d0132e, "xdp_rxq_info_unreg" },
	{ 0x269a09b1, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x8be0d6af, "devl_param_driverinit_value_get" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x6a2435ee, "napi_build_skb" },
	{ 0x6919277a, "netdev_master_upper_dev_get_rcu" },
	{ 0x61495dc5, "__folio_put" },
	{ 0x95534453, "__xdp_rxq_info_reg" },
	{ 0xf2cb03c3, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa99cab1e, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3a60cb7d, "bpf_prog_inc" },
	{ 0x1916f770, "rhltable_init" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x2c673f11, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1d106652, "netif_carrier_off" },
	{ 0xfe4739d, "seq_printf" },
	{ 0x37c7558b, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5ad5b469, "devlink_priv" },
	{ 0xed88295e, "devlink_port_register_with_ops" },
	{ 0xba274c11, "pci_disable_sriov" },
	{ 0x27b23e85, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb02eaece, "dst_release" },
	{ 0x21380ddb, "netif_carrier_on" },
	{ 0xaae87597, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xf6811ddb, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x67ebc137, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x5e29ca2, "bitmap_from_arr64" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x6f3cad0f, "boot_cpu_data" },
	{ 0xc8836361, "seq_puts" },
	{ 0x5e146946, "xp_free" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0x109a159b, "page_pool_update_nid" },
	{ 0x88d47c17, "single_release" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0xf538dbc6, "__auxiliary_driver_register" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xf539601b, "netif_set_tso_max_size" },
	{ 0xfcab18e0, "vlan_dev_vlan_id" },
	{ 0x4c1b1f0c, "__skb_flow_dissect" },
	{ 0x6157ba5c, "pci_msix_alloc_irq_at" },
	{ 0x2f020a1f, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x117ad8c2, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x1393b6e2, "xp_raw_get_data" },
	{ 0xf8c0ad30, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x135828b9, "page_address" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x544c1f9c, "napi_schedule_prep" },
	{ 0xbcd08d3a, "qdisc_reset" },
	{ 0x791b859, "napi_consume_skb" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0x9550580c, "xp_alloc_batch" },
	{ 0x5c92e9c2, "flow_rule_match_mpls" },
	{ 0xd0d8621b, "strlen" },
	{ 0x68603af1, "napi_disable" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0xad215060, "dcb_ieee_delapp" },
	{ 0xa1919b3c, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x23cb064b, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x778a1c1, "debugfs_create_u8" },
	{ 0x89ba77c3, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe728f99a, "skb_ext_add" },
	{ 0x603ca177, "pcie_bandwidth_available" },
	{ 0xcc21fc93, "pci_free_irq_vectors" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x34d7d9a1, "flow_rule_match_control" },
	{ 0x2b4c7c2a, "flow_rule_match_ip" },
	{ 0x374e7041, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0x8972768c, "atomic64_dec_if_positive_cx8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x63198608, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x420edd1a, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x86810e69, "xsk_tx_release" },
	{ 0xfa20706d, "devl_traps_unregister" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0x75a69b73, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf29c35e6, "pci_write_config_dword" },
	{ 0xeb88bafe, "pci_bus_type" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x37b829b7, "netdev_info" },
	{ 0x44bd1aff, "neigh_lookup" },
	{ 0x3b259352, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "ptp,psample,tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "7651FB5A7A16E5F58085982");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
