#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x7b2eea22, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x8b070b97, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xb4ceb53e, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xc2df97e6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb20013e, "ether_setup" },
	{ 0xd1025c1a, "__ethtool_get_link_ksettings" },
	{ 0x2674a316, "init_net" },
	{ 0x68509677, "generic_hwtstamp_set_lower" },
	{ 0xcef9209c, "generic_hwtstamp_get_lower" },
	{ 0x964bd296, "dev_mc_del" },
	{ 0xabfda1a, "dev_uc_del" },
	{ 0x14eab60f, "dev_mc_add_excl" },
	{ 0xca71dd69, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x42a202e5, "__netpoll_free" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x67b80462, "vlan_vid_del" },
	{ 0x8224eb13, "vlan_vid_add" },
	{ 0xb3b7e2a7, "dev_set_allmulti" },
	{ 0x5a6f4e8e, "dev_set_promiscuity" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xcfb1b155, "dev_uc_add" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x13526e6f, "dev_uc_unsync" },
	{ 0xf7c0556c, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2021b373, "netdev_rx_handler_unregister" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x657c30cb, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x893ea92d, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9dc95b7f, "rtnl_link_unregister" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xdf13d3d9, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x271bf58, "unregister_netdevice_queue" },
	{ 0x298d53a9, "netdev_upper_dev_unlink" },
	{ 0x4ca50989, "dev_addr_mod" },
	{ 0xe70676e3, "dev_set_mtu" },
	{ 0xbc3fb502, "netif_inherit_tso_max" },
	{ 0x5aa21ae1, "netdev_update_features" },
	{ 0x9b45e59c, "netif_stacked_transfer_operstate" },
	{ 0x3aa10064, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0xbd9b2645, "skb_clone" },
	{ 0xce17d262, "netif_rx" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x235d023b, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xa91920b8, "__dev_queue_xmit" },
	{ 0xfc76b47b, "dev_forward_skb" },
	{ 0xc75e5cdd, "netpoll_send_skb" },
	{ 0xad252988, "__dev_get_by_index" },
	{ 0xf46426c2, "netdev_is_rx_handler_busy" },
	{ 0x6de12537, "netdev_rx_handler_register" },
	{ 0x42f7c5b9, "register_netdevice" },
	{ 0xd1e493, "netdev_upper_dev_link" },
	{ 0x5b3f15dd, "linkwatch_fire_event" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xe6ac9f80, "dev_uc_sync" },
	{ 0x1ba2ba44, "dev_mc_sync" },
	{ 0xc8f1bc2e, "__netif_rx" },
	{ 0xfa547259, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x4dc39961, "netdev_core_stats_alloc" },
	{ 0x4f980ca5, "passthru_features_check" },
	{ 0x6b238f49, "eth_validate_addr" },
	{ 0x356be8eb, "ndo_dflt_fdb_dump" },
	{ 0x10811b18, "ethtool_op_get_link" },
	{ 0x134dc610, "eth_header_parse" },
	{ 0x987fec65, "eth_header_cache" },
	{ 0xc027d0b7, "eth_header_cache_update" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "01B0872A46E1195F394E500");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
