#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(phy_print_status, "", "");
KSYMTAB_FUNC(phy_get_rate_matching, "_gpl", "");
KSYMTAB_FUNC(phy_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(phy_aneg_done, "", "");
KSYMTAB_FUNC(phy_check_valid, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_get, "", "");
KSYMTAB_FUNC(phy_mii_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl_running, "", "");
KSYMTAB_FUNC(phy_queue_state_machine, "", "");
KSYMTAB_FUNC(phy_trigger_machine, "", "");
KSYMTAB_FUNC(phy_ethtool_get_strings, "", "");
KSYMTAB_FUNC(phy_ethtool_get_sset_count, "", "");
KSYMTAB_FUNC(phy_ethtool_get_stats, "", "");
KSYMTAB_FUNC(phy_start_cable_test, "", "");
KSYMTAB_FUNC(phy_start_cable_test_tdr, "", "");
KSYMTAB_FUNC(phy_config_aneg, "", "");
KSYMTAB_FUNC(phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_set, "", "");
KSYMTAB_FUNC(phy_speed_down, "_gpl", "");
KSYMTAB_FUNC(phy_speed_up, "_gpl", "");
KSYMTAB_FUNC(phy_start_machine, "_gpl", "");
KSYMTAB_FUNC(phy_error, "", "");
KSYMTAB_FUNC(phy_request_interrupt, "", "");
KSYMTAB_FUNC(phy_free_interrupt, "", "");
KSYMTAB_FUNC(phy_stop, "", "");
KSYMTAB_FUNC(phy_start, "", "");
KSYMTAB_FUNC(phy_mac_interrupt, "", "");
KSYMTAB_FUNC(phy_init_eee, "", "");
KSYMTAB_FUNC(phy_get_eee_err, "", "");
KSYMTAB_FUNC(phy_ethtool_get_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_set_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_nway_reset, "", "");
KSYMTAB_FUNC(genphy_c45_pma_resume, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_suspend, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_setup_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_setup_forced, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_disable_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_check_and_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_aneg_done, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_link, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_lpa, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_pma, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_mdix, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_eee_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_baset1_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_config_aneg, "_gpl", "");
KSYMTAB_FUNC(gen10g_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_loopback, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_fast_retrain, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_set_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_eee_is_active, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_get_eee, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_speed_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_duplex_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_rate_matching_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_interface_num_ports, "_gpl", "");
KSYMTAB_FUNC(phy_lookup_setting, "_gpl", "");
KSYMTAB_FUNC(phy_set_max_speed, "", "");
KSYMTAB_FUNC(phy_resolve_aneg_pause, "_gpl", "");
KSYMTAB_FUNC(phy_resolve_aneg_linkmode, "_gpl", "");
KSYMTAB_FUNC(phy_check_downshift, "_gpl", "");
KSYMTAB_FUNC(__phy_read_mmd, "", "");
KSYMTAB_FUNC(phy_read_mmd, "", "");
KSYMTAB_FUNC(__phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify, "_gpl", "");
KSYMTAB_FUNC(phy_modify, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_save_page, "_gpl", "");
KSYMTAB_FUNC(phy_select_page, "_gpl", "");
KSYMTAB_FUNC(phy_restore_page, "_gpl", "");
KSYMTAB_FUNC(phy_read_paged, "", "");
KSYMTAB_FUNC(phy_write_paged, "", "");
KSYMTAB_FUNC(phy_modify_paged_changed, "", "");
KSYMTAB_FUNC(phy_modify_paged, "", "");
KSYMTAB_DATA(phy_basic_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_fibre_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_all_ports_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_fec_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_ports_array, "_gpl", "");
KSYMTAB_DATA(phy_fibre_port_array, "_gpl", "");
KSYMTAB_DATA(phy_all_ports_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10_100_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features_array, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_full_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap1_features, "_gpl", "");
KSYMTAB_FUNC(phy_device_free, "", "");
KSYMTAB_FUNC(phy_register_fixup, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_unregister_fixup, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_device_create, "", "");
KSYMTAB_FUNC(fwnode_get_phy_id, "", "");
KSYMTAB_FUNC(get_phy_device, "", "");
KSYMTAB_FUNC(phy_device_register, "", "");
KSYMTAB_FUNC(phy_device_remove, "", "");
KSYMTAB_FUNC(phy_get_c45_ids, "", "");
KSYMTAB_FUNC(phy_find_first, "", "");
KSYMTAB_FUNC(phy_connect_direct, "", "");
KSYMTAB_FUNC(phy_connect, "", "");
KSYMTAB_FUNC(phy_disconnect, "", "");
KSYMTAB_FUNC(phy_init_hw, "", "");
KSYMTAB_FUNC(phy_attached_info, "", "");
KSYMTAB_FUNC(phy_attached_info_irq, "", "");
KSYMTAB_FUNC(phy_attached_print, "", "");
KSYMTAB_FUNC(phy_sfp_attach, "", "");
KSYMTAB_FUNC(phy_sfp_detach, "", "");
KSYMTAB_FUNC(phy_sfp_probe, "", "");
KSYMTAB_FUNC(phy_attach_direct, "", "");
KSYMTAB_FUNC(phy_attach, "", "");
KSYMTAB_FUNC(phy_driver_is_genphy, "_gpl", "");
KSYMTAB_FUNC(phy_driver_is_genphy_10g, "_gpl", "");
KSYMTAB_FUNC(phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_package_leave, "_gpl", "");
KSYMTAB_FUNC(devm_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_detach, "", "");
KSYMTAB_FUNC(phy_suspend, "", "");
KSYMTAB_FUNC(__phy_resume, "", "");
KSYMTAB_FUNC(phy_resume, "", "");
KSYMTAB_FUNC(phy_loopback, "", "");
KSYMTAB_FUNC(phy_reset_after_clk_enable, "", "");
KSYMTAB_FUNC(genphy_config_eee_advert, "", "");
KSYMTAB_FUNC(genphy_setup_forced, "", "");
KSYMTAB_FUNC(genphy_read_master_slave, "", "");
KSYMTAB_FUNC(genphy_restart_aneg, "", "");
KSYMTAB_FUNC(genphy_check_and_restart_aneg, "", "");
KSYMTAB_FUNC(__genphy_config_aneg, "", "");
KSYMTAB_FUNC(genphy_c37_config_aneg, "", "");
KSYMTAB_FUNC(genphy_aneg_done, "", "");
KSYMTAB_FUNC(genphy_update_link, "", "");
KSYMTAB_FUNC(genphy_read_lpa, "", "");
KSYMTAB_FUNC(genphy_read_status_fixed, "", "");
KSYMTAB_FUNC(genphy_read_status, "", "");
KSYMTAB_FUNC(genphy_c37_read_status, "", "");
KSYMTAB_FUNC(genphy_soft_reset, "", "");
KSYMTAB_FUNC(genphy_handle_interrupt_no_ack, "", "");
KSYMTAB_FUNC(genphy_read_abilities, "", "");
KSYMTAB_FUNC(genphy_read_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_write_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_suspend, "", "");
KSYMTAB_FUNC(genphy_resume, "", "");
KSYMTAB_FUNC(genphy_loopback, "", "");
KSYMTAB_FUNC(phy_remove_link_mode, "", "");
KSYMTAB_FUNC(phy_advertise_supported, "", "");
KSYMTAB_FUNC(phy_support_sym_pause, "", "");
KSYMTAB_FUNC(phy_support_asym_pause, "", "");
KSYMTAB_FUNC(phy_set_sym_pause, "", "");
KSYMTAB_FUNC(phy_set_asym_pause, "", "");
KSYMTAB_FUNC(phy_validate_pause, "", "");
KSYMTAB_FUNC(phy_get_pause, "", "");
KSYMTAB_FUNC(phy_get_internal_delay, "", "");
KSYMTAB_FUNC(fwnode_mdio_find_device, "", "");
KSYMTAB_FUNC(fwnode_phy_find_device, "", "");
KSYMTAB_FUNC(device_phy_find_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_get_phy_node, "_gpl", "");
KSYMTAB_FUNC(phy_driver_register, "", "");
KSYMTAB_FUNC(phy_drivers_register, "", "");
KSYMTAB_FUNC(phy_driver_unregister, "", "");
KSYMTAB_FUNC(phy_drivers_unregister, "", "");
KSYMTAB_FUNC(linkmode_resolve_pause, "_gpl", "");
KSYMTAB_FUNC(linkmode_set_pause, "_gpl", "");
KSYMTAB_FUNC(mdiobus_register_device, "", "");
KSYMTAB_FUNC(mdiobus_unregister_device, "", "");
KSYMTAB_FUNC(mdiobus_get_phy, "", "");
KSYMTAB_FUNC(mdiobus_is_registered_device, "", "");
KSYMTAB_FUNC(mdiobus_alloc_size, "", "");
KSYMTAB_FUNC(mdio_find_bus, "", "");
KSYMTAB_FUNC(of_mdio_find_bus, "", "");
KSYMTAB_FUNC(mdiobus_scan_c22, "", "");
KSYMTAB_FUNC(__mdiobus_register, "", "");
KSYMTAB_FUNC(mdiobus_unregister, "", "");
KSYMTAB_FUNC(mdiobus_free, "", "");
KSYMTAB_FUNC(__mdiobus_read, "", "");
KSYMTAB_FUNC(__mdiobus_write, "", "");
KSYMTAB_FUNC(__mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__mdiobus_c45_read, "", "");
KSYMTAB_FUNC(__mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_write_nested, "", "");
KSYMTAB_FUNC(mdiobus_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write_nested, "", "");
KSYMTAB_FUNC(__mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify_changed, "_gpl", "");
KSYMTAB_DATA(mdio_bus_type, "", "");
KSYMTAB_FUNC(mdio_bus_exit, "_gpl", "");
KSYMTAB_FUNC(mdio_device_free, "", "");
KSYMTAB_FUNC(mdio_device_create, "", "");
KSYMTAB_FUNC(mdio_device_register, "", "");
KSYMTAB_FUNC(mdio_device_remove, "", "");
KSYMTAB_FUNC(mdio_device_reset, "", "");
KSYMTAB_FUNC(mdio_driver_register, "", "");
KSYMTAB_FUNC(mdio_driver_unregister, "", "");
KSYMTAB_FUNC(swphy_validate_state, "_gpl", "");
KSYMTAB_FUNC(swphy_read_reg, "_gpl", "");
KSYMTAB_FUNC(phy_led_trigger_change_speed, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_register, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_unregister, "_gpl", "");

SYMBOL_CRC(phy_print_status, 0x436876a2, "");
SYMBOL_CRC(phy_get_rate_matching, 0x867b3149, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0x044d5368, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0xb1633a20, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0x39b88ba8, "");
SYMBOL_CRC(phy_mii_ioctl, 0xd5084f7a, "");
SYMBOL_CRC(phy_do_ioctl, 0x942510a0, "");
SYMBOL_CRC(phy_do_ioctl_running, 0x89e0399e, "");
SYMBOL_CRC(phy_queue_state_machine, 0xa93132cb, "");
SYMBOL_CRC(phy_trigger_machine, 0xd929412a, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0x3c8735da, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0x33866503, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0x61be9ca1, "");
SYMBOL_CRC(phy_start_cable_test, 0xf06c19a3, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0x82783005, "");
SYMBOL_CRC(phy_config_aneg, 0x591b0863, "");
SYMBOL_CRC(phy_start_aneg, 0x9e640449, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0xe7a72958, "");
SYMBOL_CRC(phy_speed_down, 0x53f3dcbf, "_gpl");
SYMBOL_CRC(phy_speed_up, 0x8e3bd3e3, "_gpl");
SYMBOL_CRC(phy_start_machine, 0x38f0c35b, "_gpl");
SYMBOL_CRC(phy_error, 0x33020903, "");
SYMBOL_CRC(phy_request_interrupt, 0x21dc98dc, "");
SYMBOL_CRC(phy_free_interrupt, 0xdb236b20, "");
SYMBOL_CRC(phy_stop, 0x965028a2, "");
SYMBOL_CRC(phy_start, 0x830d1926, "");
SYMBOL_CRC(phy_mac_interrupt, 0xee461da4, "");
SYMBOL_CRC(phy_init_eee, 0x32f8f5d9, "");
SYMBOL_CRC(phy_get_eee_err, 0x50ef9aec, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0x56099f72, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0xb27dd4c2, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0x2442b741, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0xbaefa730, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0x3015553f, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0xaa2b4c17, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0xf17c3919, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0xfcc69df1, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0x2fd79a14, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0x56efd9d2, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0xa082350f, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0x86888daa, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0x42f6062f, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0x6a5d4c9c, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0xd5968cf9, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0x1f6b0071, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0xdb52346c, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0x5d96c773, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0x4a093c9f, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0x4ada12b1, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0x7fdefd73, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0x7fa3b560, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_abilities, 0x31a6e1d6, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0xda32e8b4, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0xf372671e, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0x44e49619, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0x8f3454e9, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0xdd17f80c, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0xef14cc8f, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0xf7b91f0a, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0x41ddfc5e, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0xcae19ded, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0x04a39b43, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0x6940ee2c, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0xd9e2955f, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0x171ec23f, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0xfcfaa56d, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0xba4ebd01, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0xc432539b, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0x173a45ef, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0x23f8bce0, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0xd5d8325d, "");
SYMBOL_CRC(phy_read_mmd, 0x29813ded, "");
SYMBOL_CRC(__phy_write_mmd, 0xc9058595, "");
SYMBOL_CRC(phy_write_mmd, 0xe1957c45, "");
SYMBOL_CRC(phy_modify_changed, 0xf829bd90, "_gpl");
SYMBOL_CRC(__phy_modify, 0xcd847f54, "_gpl");
SYMBOL_CRC(phy_modify, 0x04d82ed9, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0x1e35bde1, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0x13312444, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0x736affe9, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0x5eb414bc, "_gpl");
SYMBOL_CRC(phy_save_page, 0x5c50ac43, "_gpl");
SYMBOL_CRC(phy_select_page, 0xc83a2182, "_gpl");
SYMBOL_CRC(phy_restore_page, 0x5c118d3c, "_gpl");
SYMBOL_CRC(phy_read_paged, 0x02f29d70, "");
SYMBOL_CRC(phy_write_paged, 0x63f45bd7, "");
SYMBOL_CRC(phy_modify_paged_changed, 0x098df57a, "");
SYMBOL_CRC(phy_modify_paged, 0x3127f4ed, "");
SYMBOL_CRC(phy_basic_features, 0x23c3b778, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xda10e1e2, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x03473884, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0x8696808c, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0x9b16e4ee, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xd9e61980, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x3542e347, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x3be200ce, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x24235223, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x30110a29, "_gpl");
SYMBOL_CRC(phy_device_free, 0x40d2aebe, "");
SYMBOL_CRC(phy_register_fixup, 0xfc85b761, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0x523b2b09, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0x99f1f35e, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0x34a06df0, "");
SYMBOL_CRC(fwnode_get_phy_id, 0x440d02bc, "");
SYMBOL_CRC(get_phy_device, 0xd6a86bf0, "");
SYMBOL_CRC(phy_device_register, 0x4f7cb078, "");
SYMBOL_CRC(phy_device_remove, 0x3a8072af, "");
SYMBOL_CRC(phy_get_c45_ids, 0x4f0c3002, "");
SYMBOL_CRC(phy_find_first, 0xd7b84af7, "");
SYMBOL_CRC(phy_connect_direct, 0xbc98ca51, "");
SYMBOL_CRC(phy_connect, 0x7c50fb12, "");
SYMBOL_CRC(phy_disconnect, 0x6ba2bbe2, "");
SYMBOL_CRC(phy_init_hw, 0xfe13d3c6, "");
SYMBOL_CRC(phy_attached_info, 0xe54500be, "");
SYMBOL_CRC(phy_attached_info_irq, 0x04ac9a57, "");
SYMBOL_CRC(phy_attached_print, 0x2856b136, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0x2b48166f, "");
SYMBOL_CRC(phy_attach_direct, 0xc8f12c04, "");
SYMBOL_CRC(phy_attach, 0x9c8bdce2, "");
SYMBOL_CRC(phy_driver_is_genphy, 0x0a5ca8a9, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0x45e94693, "_gpl");
SYMBOL_CRC(phy_package_join, 0xa0321b70, "_gpl");
SYMBOL_CRC(phy_package_leave, 0xb41bc971, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0x89379398, "_gpl");
SYMBOL_CRC(phy_detach, 0xc37df3e5, "");
SYMBOL_CRC(phy_suspend, 0x1adb096f, "");
SYMBOL_CRC(__phy_resume, 0xc2e791b5, "");
SYMBOL_CRC(phy_resume, 0x8794ab6a, "");
SYMBOL_CRC(phy_loopback, 0x32e8f8e4, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0xbbdc62d7, "");
SYMBOL_CRC(genphy_config_eee_advert, 0x8ad8f19a, "");
SYMBOL_CRC(genphy_setup_forced, 0xb3a9a143, "");
SYMBOL_CRC(genphy_read_master_slave, 0x794e30fd, "");
SYMBOL_CRC(genphy_restart_aneg, 0x985a18c2, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0x50979fa5, "");
SYMBOL_CRC(__genphy_config_aneg, 0x02166727, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0x21cd6ca3, "");
SYMBOL_CRC(genphy_aneg_done, 0x53fa1f82, "");
SYMBOL_CRC(genphy_update_link, 0x61d041d2, "");
SYMBOL_CRC(genphy_read_lpa, 0xf102480c, "");
SYMBOL_CRC(genphy_read_status_fixed, 0x4e977cd9, "");
SYMBOL_CRC(genphy_read_status, 0x5d40b359, "");
SYMBOL_CRC(genphy_c37_read_status, 0xe5ae2039, "");
SYMBOL_CRC(genphy_soft_reset, 0x3b36335d, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0xa075daad, "");
SYMBOL_CRC(genphy_read_abilities, 0x264323dc, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0xa81bcf38, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0xa81eb27b, "");
SYMBOL_CRC(genphy_suspend, 0x29398e9e, "");
SYMBOL_CRC(genphy_resume, 0x660ebf07, "");
SYMBOL_CRC(genphy_loopback, 0xf1954093, "");
SYMBOL_CRC(phy_remove_link_mode, 0x7653789f, "");
SYMBOL_CRC(phy_advertise_supported, 0x882b4781, "");
SYMBOL_CRC(phy_support_sym_pause, 0xa4519469, "");
SYMBOL_CRC(phy_support_asym_pause, 0xaaea8385, "");
SYMBOL_CRC(phy_set_sym_pause, 0x4b4c5077, "");
SYMBOL_CRC(phy_set_asym_pause, 0xa96baa4c, "");
SYMBOL_CRC(phy_validate_pause, 0xa6c991b0, "");
SYMBOL_CRC(phy_get_pause, 0xa912f89e, "");
SYMBOL_CRC(phy_get_internal_delay, 0xcb90ecb3, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0xbd4bd470, "");
SYMBOL_CRC(fwnode_phy_find_device, 0x94bffa95, "");
SYMBOL_CRC(device_phy_find_device, 0xaede7223, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0x180f1014, "_gpl");
SYMBOL_CRC(phy_driver_register, 0x3381fc96, "");
SYMBOL_CRC(phy_drivers_register, 0x8015585c, "");
SYMBOL_CRC(phy_driver_unregister, 0x69d483f7, "");
SYMBOL_CRC(phy_drivers_unregister, 0xed59fbf1, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0xba69c040, "");
SYMBOL_CRC(mdiobus_unregister_device, 0x6e6b738f, "");
SYMBOL_CRC(mdiobus_get_phy, 0xb7f22ec6, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0x062c4ec2, "");
SYMBOL_CRC(mdiobus_alloc_size, 0x5b86b595, "");
SYMBOL_CRC(mdio_find_bus, 0xd598b248, "");
SYMBOL_CRC(of_mdio_find_bus, 0x6523af57, "");
SYMBOL_CRC(mdiobus_scan_c22, 0xb1846350, "");
SYMBOL_CRC(__mdiobus_register, 0x2badbc58, "");
SYMBOL_CRC(mdiobus_unregister, 0xa3e8b35f, "");
SYMBOL_CRC(mdiobus_free, 0x9b3c4a22, "");
SYMBOL_CRC(__mdiobus_read, 0xe9da3072, "");
SYMBOL_CRC(__mdiobus_write, 0x43d44b2a, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0x99ec36ab, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0x1ed95e49, "");
SYMBOL_CRC(__mdiobus_c45_write, 0x608eee1d, "");
SYMBOL_CRC(mdiobus_read_nested, 0x13484c5f, "");
SYMBOL_CRC(mdiobus_read, 0xf908e851, "");
SYMBOL_CRC(mdiobus_c45_read, 0x368ae814, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0x38f35f1f, "");
SYMBOL_CRC(mdiobus_write_nested, 0x36d24475, "");
SYMBOL_CRC(mdiobus_write, 0xe0c08dcf, "");
SYMBOL_CRC(mdiobus_c45_write, 0xf42aa4c8, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0xbe214ddd, "");
SYMBOL_CRC(__mdiobus_modify, 0x07ec8f29, "_gpl");
SYMBOL_CRC(mdiobus_modify, 0x5b7b7c99, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0x9bfd7875, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0xe70cc479, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0xba322bb2, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0xbedec5f9, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0xa961694c, "");
SYMBOL_CRC(mdio_device_create, 0x1313b69c, "");
SYMBOL_CRC(mdio_device_register, 0x143d337f, "");
SYMBOL_CRC(mdio_device_remove, 0x91dc5ae1, "");
SYMBOL_CRC(mdio_device_reset, 0xc4ecb71c, "");
SYMBOL_CRC(mdio_driver_register, 0x9aa4d01a, "");
SYMBOL_CRC(mdio_driver_unregister, 0x2aab5d73, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0x7b289f9c, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0x904ec1cd, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0x577ee8a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda939b76, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd808e35d, "is_acpi_device_node" },
	{ 0xa10005e6, "gpiod_put" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xa37e7a99, "of_node_put" },
	{ 0x352f907f, "of_property_read_variable_u32_array" },
	{ 0x6dd4c809, "sysfs_create_file_ns" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0xb8323c01, "device_match_of_node" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x312b8f25, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4147afd2, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x342beb52, "gpiod_set_value_cansleep" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5b747ec2, "refcount_dec_and_mutex_lock" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xfaf6246d, "led_classdev_unregister" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2bc90097, "devm_gpiod_get_optional" },
	{ 0xca6f58f5, "get_device" },
	{ 0x62d6ce6c, "of_get_next_available_child" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xb5fd58f0, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0x4a5f30c5, "device_match_fwnode" },
	{ 0x3338e7b9, "device_set_node" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x95c53e66, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb79f2512, "put_device" },
	{ 0x6753c3bb, "sysfs_remove_file_ns" },
	{ 0x738803e6, "strnlen" },
	{ 0x1f11cefd, "device_property_read_u32_array" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x78b5b683, "module_put" },
	{ 0x37f1aa51, "sysfs_create_link" },
	{ 0xe544503c, "of_get_child_by_name" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfb463261, "phylib_stubs" },
	{ 0x2de6386d, "of_match_device" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0x176adec5, "bus_unregister" },
	{ 0xcde807b1, "devm_kfree" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa75005c7, "bus_find_device" },
	{ 0xa972f676, "device_add" },
	{ 0xdf627054, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x58169218, "vprintk" },
	{ 0x11f5d7f7, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x5842cdc, "is_acpi_data_node" },
	{ 0x878c572e, "driver_unregister" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x368b080d, "sfp_bus_add_upstream" },
	{ 0xfeccad75, "of_find_property" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0x9a5423f3, "class_unregister" },
	{ 0x50f1f4ac, "led_trigger_unregister" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4b4d5cf9, "led_classdev_register_ext" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xa553b00, "device_register" },
	{ 0x7ce71b17, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x321b687a, "device_bind_driver" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xae352d2e, "of_device_uevent_modalias" },
	{ 0xc38afd10, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x32bc7069, "netdev_alert" },
	{ 0x44c7cf60, "ethnl_cable_test_alloc" },
	{ 0x1690844c, "fwnode_find_reference" },
	{ 0x7f0e0b34, "fwnode_property_read_string" },
	{ 0xeea0399, "strscpy" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5b3f15dd, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6fd331be, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1d106652, "netif_carrier_off" },
	{ 0xff7e1ae1, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1a1edd7e, "led_trigger_register" },
	{ 0x21380ddb, "netif_carrier_on" },
	{ 0x6f6105ac, "gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x835ae283, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0x16c2b5f6, "sysfs_create_link_nowarn" },
	{ 0xbd7ecefa, "dev_err_probe" },
	{ 0x92bf130c, "ethnl_cable_test_finished" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xfc04936c, "fwnode_handle_put" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0x1a86ece7, "led_trigger_event" },
	{ 0xea5a46f4, "device_release_driver" },
	{ 0xf209073f, "ethnl_cable_test_free" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbfdec762, "gpiod_set_consumer_name" },
	{ 0xc647797, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x52b57bd3, "driver_register" },
	{ 0xa6ee30dc, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb136917, "__dev_fwnode" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x37b829b7, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x26e6d188, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0xd6c353fb, "class_find_device" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A67641C4C91460452D8EFE7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
