#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8015585c, "phy_drivers_register" },
	{ 0x2f29d70, "phy_read_paged" },
	{ 0x3127f4ed, "phy_modify_paged" },
	{ 0xe9da3072, "__mdiobus_read" },
	{ 0xc83a2182, "phy_select_page" },
	{ 0x43d44b2a, "__mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5c118d3c, "phy_restore_page" },
	{ 0x63f45bd7, "phy_write_paged" },
	{ 0xf908e851, "mdiobus_read" },
	{ 0x4d82ed9, "phy_modify" },
	{ 0x3b36335d, "genphy_soft_reset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe0fbe9e2, "ethnl_cable_test_pulse" },
	{ 0x3ab134b3, "ethnl_cable_test_step" },
	{ 0xcd847f54, "__phy_modify" },
	{ 0x7847c621, "sfp_parse_support" },
	{ 0x5b777264, "sfp_select_interface" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x5c50ac43, "phy_save_page" },
	{ 0xd929412a, "phy_trigger_machine" },
	{ 0x33020903, "phy_error" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xd0d8621b, "strlen" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2cd7b6ab, "devm_hwmon_device_register_with_info" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xed59fbf1, "phy_drivers_unregister" },
	{ 0xd9e2955f, "genphy_c45_ethtool_get_eee" },
	{ 0xe0c08dcf, "mdiobus_write" },
	{ 0x591b0863, "phy_config_aneg" },
	{ 0x2b48166f, "phy_sfp_probe" },
	{ 0xf102480c, "genphy_read_lpa" },
	{ 0xc432539b, "phy_resolve_aneg_pause" },
	{ 0x61d041d2, "genphy_update_link" },
	{ 0x4e977cd9, "genphy_read_status_fixed" },
	{ 0x8a59abb6, "of_get_property" },
	{ 0x660ebf07, "genphy_resume" },
	{ 0x29398e9e, "genphy_suspend" },
	{ 0xeea0399, "strscpy" },
	{ 0xf829bd90, "phy_modify_changed" },
	{ 0x2166727, "__genphy_config_aneg" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x50979fa5, "genphy_check_and_restart_aneg" },
	{ 0xb3a9a143, "genphy_setup_forced" },
	{ 0x98df57a, "phy_modify_paged_changed" },
	{ 0x264323dc, "genphy_read_abilities" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x4ba65e45, "ethnl_cable_test_result" },
	{ 0x1e972247, "ethnl_cable_test_fault_length" },
	{ 0x9605a4c3, "ethnl_cable_test_amplitude" },
	{ 0x9b16e4ee, "phy_gbit_fibre_features" },
	{ 0x394a1e11, "phy_sfp_attach" },
	{ 0xb6acaa13, "phy_sfp_detach" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000101000001000011000110????");
MODULE_ALIAS("mdio:0000000101000001000011001001????");
MODULE_ALIAS("mdio:0000000101000001000011001100????");
MODULE_ALIAS("mdio:0000000111111111000011001100????");
MODULE_ALIAS("mdio:0000000101000001000011100001????");
MODULE_ALIAS("mdio:0000000101000001000011001011????");
MODULE_ALIAS("mdio:0000000101000001000011001101????");
MODULE_ALIAS("mdio:0000000101000001000011100101????");
MODULE_ALIAS("mdio:0000000101000001000011100011????");
MODULE_ALIAS("mdio:0000000101000001000011101001????");
MODULE_ALIAS("mdio:0000000101000001000011100100????");
MODULE_ALIAS("mdio:0000000101000001000011011101????");
MODULE_ALIAS("mdio:0000000101000001000011101011????");
MODULE_ALIAS("mdio:0000000101000001000011101010????");
MODULE_ALIAS("mdio:0000000101000001000011100110????");
MODULE_ALIAS("mdio:0000000101000001000011110100????");
MODULE_ALIAS("mdio:0000000101000001000011111001????");
MODULE_ALIAS("mdio:0000000000101011000010111001????");
MODULE_ALIAS("mdio:0000000101000001000011011100????");
MODULE_ALIAS("mdio:0000000101000001000011101100????");

MODULE_INFO(srcversion, "76C4623A56A7D0794467A7F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
