#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0x3229a608, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0x21264841, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0x4e3ce8c0, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0x4da1d932, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0xb921e183, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0x44cd3bba, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0x275e06af, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf908e851, "mdiobus_read" },
	{ 0xd929412a, "phy_trigger_machine" },
	{ 0x33020903, "phy_error" },
	{ 0x5d40b359, "genphy_read_status" },
	{ 0xe0c08dcf, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xed4c24a5, "device_property_present" },
	{ 0xf19f4e84, "devm_clk_get_optional_enabled" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xbd7ecefa, "dev_err_probe" },
	{ 0x8015585c, "phy_drivers_register" },
	{ 0x29813ded, "phy_read_mmd" },
	{ 0x2166727, "__genphy_config_aneg" },
	{ 0x4d82ed9, "phy_modify" },
	{ 0x3b36335d, "genphy_soft_reset" },
	{ 0xed59fbf1, "phy_drivers_unregister" },
	{ 0xf102732a, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xe1957c45, "phy_write_mmd" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x29398e9e, "genphy_suspend" },
	{ 0x660ebf07, "genphy_resume" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");

MODULE_INFO(srcversion, "8BEA5824C57EDDBD06FCFE5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
