#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x42063c72, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xae0c2813, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x48b2c1f0, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x2fb2a0fe, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x14c9d345, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x605cc352, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x18c69c18, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x6936384d, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x3317630c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb17627b5, "netdev_err" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x30370bbc, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xec530739, "cdev_init" },
	{ 0x72cf4b6, "cdev_add" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x20978fb9, "idr_find" },
	{ 0x16a3b8cf, "sk_alloc" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5008b705, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb82de595, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x81fc8bc2, "dev_set_mac_address_user" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd3795797, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x33a2428, "_copy_to_iter" },
	{ 0x5a2a2c1d, "iov_iter_advance" },
	{ 0xc17f3fec, "skb_copy_datagram_iter" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x4292364c, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8989f82e, "skb_push" },
	{ 0xc9c58dd9, "__skb_gso_segment" },
	{ 0x6352c564, "__skb_get_hash" },
	{ 0x3ff1c4be, "skb_checksum_help" },
	{ 0xfccb9bca, "kfree_skb_list_reason" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x4c1b1f0c, "__skb_flow_dissect" },
	{ 0x5bcb343c, "skb_partial_csum_set" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0x313901bf, "iov_iter_npages" },
	{ 0xc6aa8bec, "sock_alloc_send_pskb" },
	{ 0x393e67ed, "skb_put" },
	{ 0x3a5bfc05, "zerocopy_sg_from_iter" },
	{ 0xa91920b8, "__dev_queue_xmit" },
	{ 0x1dd6243a, "_copy_from_iter" },
	{ 0xe446afb8, "skb_copy_datagram_from_iter" },
	{ 0xf65ab5c, "iov_iter_revert" },
	{ 0x6c98b2cd, "skb_copy_bits" },
	{ 0x87b8feb7, "build_skb" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5B8F853864CAC40F21BA3A8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
