#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xbf9a6bb4, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xf264bbce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x738803e6, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x51997a26, "fasync_helper" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x449e5f7f, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x37b829b7, "netdev_info" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x21380ddb, "netif_carrier_on" },
	{ 0x1d106652, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x8738a386, "from_kgid_munged" },
	{ 0x55aa3a5a, "from_kuid_munged" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x473ef9c8, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1bb62978, "dev_get_tstats64" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd10186a3, "__skb_get_hash_symmetric" },
	{ 0xf38f01e5, "netif_tx_stop_all_queues" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9faec53c, "bpf_prog_get_type_dev" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x893ea92d, "rtnl_link_register" },
	{ 0x7266e87c, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9dc95b7f, "rtnl_link_unregister" },
	{ 0x3657f841, "misc_deregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe7810773, "xdp_return_frame" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xc72d180d, "kill_fasync" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x76598361, "napi_gro_receive" },
	{ 0xe990e5cc, "napi_complete_done" },
	{ 0x4a3584e9, "bpf_prog_put" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4dc39961, "netdev_core_stats_alloc" },
	{ 0x16a3b8cf, "sk_alloc" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5008b705, "sock_init_data_uid" },
	{ 0xb82de595, "sk_free" },
	{ 0x87b8feb7, "build_skb" },
	{ 0x393e67ed, "skb_put" },
	{ 0x74eeec28, "skb_set_owner_w" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xc62240ab, "xdp_do_redirect" },
	{ 0x6635bf77, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa22a002d, "xdp_return_frame_rx_napi" },
	{ 0x24903e7c, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x47f330c6, "sk_filter_trim_cap" },
	{ 0xc5bce61d, "skb_tx_error" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x902c0329, "skb_tstamp_tx" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xd7efe05e, "skb_copy_ubufs" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8ba3f71f, "___pskb_trim" },
	{ 0xb23c920b, "skb_queue_purge_reason" },
	{ 0x68603af1, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe1d0132e, "xdp_rxq_info_unreg" },
	{ 0x4f602c4e, "__netif_napi_del" },
	{ 0x78b5b683, "module_put" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x67197420, "netif_set_real_num_tx_queues" },
	{ 0xc30dd20f, "netif_set_real_num_rx_queues" },
	{ 0x271bf58, "unregister_netdevice_queue" },
	{ 0xdbf04f99, "netdev_state_change" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x4c1b1f0c, "__skb_flow_dissect" },
	{ 0x5bcb343c, "skb_partial_csum_set" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0x1dd6243a, "_copy_from_iter" },
	{ 0x5a2a2c1d, "iov_iter_advance" },
	{ 0x313901bf, "iov_iter_npages" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x230e84b, "napi_get_frags" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xaa85dd18, "iov_iter_single_seg_count" },
	{ 0x57071355, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xab06fd53, "mem_section" },
	{ 0x135828b9, "page_address" },
	{ 0xc6aa8bec, "sock_alloc_send_pskb" },
	{ 0x3a5bfc05, "zerocopy_sg_from_iter" },
	{ 0x9770081, "eth_type_trans" },
	{ 0xe446afb8, "skb_copy_datagram_from_iter" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x4e40d3f1, "do_xdp_generic" },
	{ 0xf65ab5c, "iov_iter_revert" },
	{ 0x8186caae, "netif_receive_skb" },
	{ 0x8989f82e, "skb_push" },
	{ 0x40dcdf3d, "eth_get_headlen" },
	{ 0x544c1f9c, "napi_schedule_prep" },
	{ 0x64175f79, "napi_gro_frags" },
	{ 0x93506ab7, "__napi_schedule" },
	{ 0x3b3c3c49, "skb_page_frag_refill" },
	{ 0xc33ce587, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x117ad8c2, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x61495dc5, "__folio_put" },
	{ 0xce1ae998, "__page_frag_cache_drain" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x33a2428, "_copy_to_iter" },
	{ 0xc17f3fec, "skb_copy_datagram_iter" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4292364c, "schedule" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x570e6351, "sock_recv_errqueue" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x6666503b, "xdp_rxq_info_is_reg" },
	{ 0xcac98656, "lock_sock_nested" },
	{ 0xef00a020, "sk_attach_filter" },
	{ 0xac8d39b8, "release_sock" },
	{ 0x95534453, "__xdp_rxq_info_reg" },
	{ 0xc2ba8f52, "xdp_rxq_info_reg_mem_model" },
	{ 0xf1e0589d, "netif_napi_add_weight" },
	{ 0xe8550745, "napi_enable" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd2751b28, "ns_capable" },
	{ 0x896503d5, "get_net_ns" },
	{ 0x58309abd, "open_related_ns" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x110718d3, "make_kuid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x68bed270, "__dev_get_by_name" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xda9b2e16, "make_kgid" },
	{ 0x4aed611, "init_user_ns" },
	{ 0x15214a5c, "from_kgid" },
	{ 0x81fc8bc2, "dev_set_mac_address_user" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xe775d02f, "alloc_netdev_mqs" },
	{ 0xba4475f6, "ip_tunnel_header_ops" },
	{ 0x42f7c5b9, "register_netdevice" },
	{ 0xd3795797, "dev_get_mac_address" },
	{ 0x399791f7, "sk_detach_filter" },
	{ 0x5aa21ae1, "netdev_update_features" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xe9e8ff2e, "netif_tx_wake_queue" },
	{ 0xb20013e, "ether_setup" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x4ca50989, "dev_addr_mod" },
	{ 0x3aa10064, "call_netdevice_notifiers" },
	{ 0xe23289e7, "from_kuid" },
	{ 0xd29b4321, "free_netdev" },
	{ 0xc66cb16c, "__module_get" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x4f980ca5, "passthru_features_check" },
	{ 0xa1612f5d, "eth_mac_addr" },
	{ 0x6b238f49, "eth_validate_addr" },
	{ 0x10811b18, "ethtool_op_get_link" },
	{ 0x3957fa68, "ethtool_op_get_ts_info" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CB046ABE78FE482DD4E409D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
