#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0x44e45380, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x1e69a413, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x835c8d91, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x6b623d03, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0x8c94682f, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x53e7ec7d, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x53f0833b, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x78818e76, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0x83681ea8, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x69344f4d, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x74b82013, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x1abc53c, "usb_driver_release_interface" },
	{ 0x9130c942, "usb_altnum_to_altsetting" },
	{ 0xd5eb2283, "__dynamic_netdev_dbg" },
	{ 0xb261d373, "usb_register_driver" },
	{ 0x5beedb84, "usb_deregister" },
	{ 0x45a4bd68, "usbnet_link_change" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xfeb8f0bf, "usbnet_update_max_qlen" },
	{ 0xe2babcb1, "usbnet_unlink_rx_urbs" },
	{ 0x141a6c48, "usbnet_write_cmd" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x6f864731, "netif_tx_lock" },
	{ 0x9c07cc66, "usbnet_start_xmit" },
	{ 0x8d8d542d, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xef34bf3e, "hrtimer_active" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0x251f152, "usbnet_read_cmd" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0x393e67ed, "skb_put" },
	{ 0x2e60bace, "memcpy" },
	{ 0x243934d7, "usbnet_skb_return" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd94e20e7, "cdc_parse_cdc_header" },
	{ 0x7d5f6833, "usb_ifnum_to_if" },
	{ 0x2e7ddbc8, "usb_driver_claim_interface" },
	{ 0xe3f247b0, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa584d66d, "usbnet_get_ethernet_addr" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0xaa33e253, "usbnet_manage_power" },
	{ 0xefe98705, "usbnet_cdc_update_filter" },
	{ 0x67f00e37, "usbnet_open" },
	{ 0xdd79406e, "usbnet_stop" },
	{ 0x1f09d972, "usbnet_set_rx_mode" },
	{ 0xa1612f5d, "eth_mac_addr" },
	{ 0x6b238f49, "eth_validate_addr" },
	{ 0xa8da8f4d, "usbnet_tx_timeout" },
	{ 0x1bb62978, "dev_get_tstats64" },
	{ 0x896bb467, "usbnet_get_drvinfo" },
	{ 0x9024b621, "usbnet_get_msglevel" },
	{ 0xf5003f5f, "usbnet_set_msglevel" },
	{ 0x1e477a57, "usbnet_nway_reset" },
	{ 0x8c82d0e5, "usbnet_get_link" },
	{ 0x3957fa68, "ethtool_op_get_ts_info" },
	{ 0xc95b930d, "usbnet_get_link_ksettings_internal" },
	{ 0x9415c4a2, "usbnet_probe" },
	{ 0x66da46c0, "usbnet_disconnect" },
	{ 0x24261fee, "usbnet_suspend" },
	{ 0x6a2aa797, "usbnet_resume" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbnet,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
