#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xd146fdf5, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x20f89216, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x747a53a7, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xf13ba54d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xab61bc02, "__skb_checksum_complete" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8c6d1f35, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x6c98b2cd, "skb_copy_bits" },
	{ 0xa747fb0c, "__nlmsg_put" },
	{ 0x4757d700, "netdev_adjacent_change_commit" },
	{ 0xa1612f5d, "eth_mac_addr" },
	{ 0x393e67ed, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc4fdb013, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x85a40159, "ip6_dst_hoplimit" },
	{ 0xfee1b5e2, "param_ops_ushort" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x7d50a24, "csum_partial" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0x8646c100, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2fe9e401, "dst_cache_set_ip4" },
	{ 0xf83c7388, "udp_tunnel6_xmit_skb" },
	{ 0x893ea92d, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xbc3fb502, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x6b238f49, "eth_validate_addr" },
	{ 0x9cf8324d, "rhashtable_init" },
	{ 0x17b486f, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xdb2f62e7, "rtnl_create_link" },
	{ 0x99d57227, "ip_route_output_flow" },
	{ 0x271bf58, "unregister_netdevice_queue" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xe4ec7136, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb20013e, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xea767a5, "udp_tunnel_drop_rx_port" },
	{ 0xd1e493, "netdev_upper_dev_link" },
	{ 0x57071355, "pskb_expand_head" },
	{ 0x52fa1c16, "register_pernet_subsys" },
	{ 0x4ca50989, "dev_addr_mod" },
	{ 0x4dc39961, "netdev_core_stats_alloc" },
	{ 0x9770081, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xff03a522, "nla_put_nohdr" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0x7507d301, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xda99df06, "eth_gro_complete" },
	{ 0xd0402a90, "rtnl_set_sk_err" },
	{ 0x9dc9d5c0, "eth_gro_receive" },
	{ 0x2b50f9ae, "rtnl_configure_link" },
	{ 0x9b9517ee, "skb_tunnel_check_pmtu" },
	{ 0x56ac2bb2, "peernet2id" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0x18343ee4, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xad252988, "__dev_get_by_index" },
	{ 0x9dc95b7f, "rtnl_link_unregister" },
	{ 0x6352c564, "__skb_get_hash" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5f24859e, "ipv6_stub" },
	{ 0xf2659707, "skb_pull" },
	{ 0x33964ffe, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb71ce1a0, "dev_get_by_index_rcu" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x8701fe78, "gro_cells_receive" },
	{ 0x8989f82e, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x298d53a9, "netdev_upper_dev_unlink" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xd29b4321, "free_netdev" },
	{ 0x819053ea, "ip_mc_join_group" },
	{ 0x7a7dbe1a, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0xcac98656, "lock_sock_nested" },
	{ 0x10811b18, "ethtool_op_get_link" },
	{ 0x24b83695, "nexthop_find_by_id" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x954016c2, "arp_create" },
	{ 0xd1025c1a, "__ethtool_get_link_ksettings" },
	{ 0xbbbe1c12, "netdev_adjacent_change_prepare" },
	{ 0x9c597885, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf4da8e96, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x28a6989, "netdev_adjacent_change_abort" },
	{ 0x2bfc26c2, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc577f844, "__iptunnel_pull_header" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0x1bb62978, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xce17d262, "netif_rx" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x33b1c4be, "setup_udp_tunnel_sock" },
	{ 0x5e5ab0ac, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd5eb2283, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd2cded25, "skb_scrub_packet" },
	{ 0x27b327e6, "nexthop_select_path" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa2644607, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbdf7bf65, "neigh_destroy" },
	{ 0x16ad8227, "dst_cache_get_ip6" },
	{ 0x6241c462, "dst_cache_get_ip4" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x47b64928, "udp_tun_rx_dst" },
	{ 0x35316ed3, "dst_cache_set_ip6" },
	{ 0xc6504ef4, "rtnl_notify" },
	{ 0x7bb0d86b, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc8f1bc2e, "__netif_rx" },
	{ 0xbd9b2645, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x27b23e85, "metadata_dst_alloc" },
	{ 0xb02eaece, "dst_release" },
	{ 0xfc18f162, "unregister_nexthop_notifier" },
	{ 0x67ebc137, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe2ca3b66, "udp_tunnel_notify_del_rx_port" },
	{ 0x52df308, "register_nexthop_notifier" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x4f0ac36b, "ip_mc_leave_group" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xbc9e0bde, "gro_find_receive_by_type" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x37b829b7, "netdev_info" },
	{ 0x44bd1aff, "neigh_lookup" },
	{ 0xac8d39b8, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x42f7c5b9, "register_netdevice" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "5FE80BD37CB2032B3EF0688");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
