#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(lbs_cmd_copyback, "_gpl", "");
KSYMTAB_FUNC(lbs_host_sleep_cfg, "_gpl", "");
KSYMTAB_FUNC(__lbs_cmd, "_gpl", "");
KSYMTAB_DATA(lbs_debug, "_gpl", "");
KSYMTAB_FUNC(lbs_host_to_card_done, "_gpl", "");
KSYMTAB_FUNC(lbs_suspend, "_gpl", "");
KSYMTAB_FUNC(lbs_resume, "_gpl", "");
KSYMTAB_FUNC(lbs_add_card, "_gpl", "");
KSYMTAB_FUNC(lbs_remove_card, "_gpl", "");
KSYMTAB_FUNC(lbs_start_card, "_gpl", "");
KSYMTAB_FUNC(lbs_stop_card, "_gpl", "");
KSYMTAB_FUNC(lbs_queue_event, "_gpl", "");
KSYMTAB_FUNC(lbs_notify_command_response, "_gpl", "");
KSYMTAB_FUNC(lbs_process_rxed_packet, "_gpl", "");
KSYMTAB_FUNC(lbs_send_tx_feedback, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware_async, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware, "_gpl", "");

SYMBOL_CRC(lbs_cmd_copyback, 0xe5706015, "_gpl");
SYMBOL_CRC(lbs_host_sleep_cfg, 0xdc952519, "_gpl");
SYMBOL_CRC(__lbs_cmd, 0x64e9a39e, "_gpl");
SYMBOL_CRC(lbs_debug, 0xf64277de, "_gpl");
SYMBOL_CRC(lbs_host_to_card_done, 0x182482f3, "_gpl");
SYMBOL_CRC(lbs_suspend, 0x46fbdbc7, "_gpl");
SYMBOL_CRC(lbs_resume, 0xe79b8ff5, "_gpl");
SYMBOL_CRC(lbs_add_card, 0x7d23f4b2, "_gpl");
SYMBOL_CRC(lbs_remove_card, 0xc57620a0, "_gpl");
SYMBOL_CRC(lbs_start_card, 0xf402b1e1, "_gpl");
SYMBOL_CRC(lbs_stop_card, 0xbafc7cf4, "_gpl");
SYMBOL_CRC(lbs_queue_event, 0xd007aa5a, "_gpl");
SYMBOL_CRC(lbs_notify_command_response, 0xab994f37, "_gpl");
SYMBOL_CRC(lbs_process_rxed_packet, 0x3b3d7c82, "_gpl");
SYMBOL_CRC(lbs_send_tx_feedback, 0x71bd2ef9, "_gpl");
SYMBOL_CRC(lbs_get_firmware_async, 0xcd61abf4, "_gpl");
SYMBOL_CRC(lbs_get_firmware, 0x70dc5e88, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x81c65ab1, "cfg80211_scan_done" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x7db77141, "unregister_netdev" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8038b133, "request_firmware" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x7462e730, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x6b238f49, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x5545a3af, "dev_kfree_skb_irq_reason" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x99381d44, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xb20013e, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb17627b5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x57071355, "pskb_expand_head" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0x4ca50989, "dev_addr_mod" },
	{ 0x9770081, "eth_type_trans" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xe775d02f, "alloc_netdev_mqs" },
	{ 0x780bc164, "wiphy_new_nm" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xcef72cf1, "wiphy_register" },
	{ 0x738803e6, "strnlen" },
	{ 0x9b2a74e7, "cfg80211_put_bss" },
	{ 0x91b0b833, "netif_device_detach" },
	{ 0x261457e8, "netif_device_attach" },
	{ 0xa293a3d7, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x1bd4060f, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x29267f8f, "cfg80211_ibss_joined" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa9bc2514, "request_firmware_nowait" },
	{ 0x8b065251, "simple_open" },
	{ 0xf2659707, "skb_pull" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf12ad5f5, "cfg80211_michael_mic_failure" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5fb7f766, "register_netdev" },
	{ 0x91d64fbc, "wiphy_unregister" },
	{ 0xd29b4321, "free_netdev" },
	{ 0x5152e605, "memcmp" },
	{ 0x1ffa005b, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x725b7a6f, "cfg80211_get_bss" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe9e8ff2e, "netif_tx_wake_queue" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce17d262, "netif_rx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x32bc7069, "netdev_alert" },
	{ 0xc4e9b676, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1d106652, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x21380ddb, "netif_carrier_on" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x52e686c5, "cfg80211_inform_bss_data" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0xd0d8621b, "strlen" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0x40ad4d97, "generic_file_llseek" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x4cecdf56, "cfg80211_connect_done" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xfdfc07c7, "wiphy_free" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x6381a07a, "ieee80211_get_num_supported_channels" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x37b829b7, "netdev_info" },
	{ 0xf175b0cc, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "0B3AAB7B142FBF83CD6AE4A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
