#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mwifiex_queue_main_work, "_gpl", "");
KSYMTAB_FUNC(mwifiex_main_process, "_gpl", "");
KSYMTAB_FUNC(mwifiex_multi_chan_resync, "_gpl", "");
KSYMTAB_FUNC(mwifiex_upload_device_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_drv_info_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_prepare_fw_dump_info, "_gpl", "");
KSYMTAB_FUNC(mwifiex_shutdown_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_reinit_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_card, "_gpl", "");
KSYMTAB_FUNC(mwifiex_remove_card, "_gpl", "");
KSYMTAB_FUNC(_mwifiex_dbg, "_gpl", "");
KSYMTAB_FUNC(mwifiex_dnld_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_hs_config, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_sleep_confirm_resp, "_gpl", "");
KSYMTAB_FUNC(mwifiex_init_shutdown_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_alloc_dma_align_buf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_fw_dump_event, "_gpl", "");
KSYMTAB_FUNC(mwifiex_handle_rx_packet, "_gpl", "");
KSYMTAB_FUNC(mwifiex_write_data_complete, "_gpl", "");
KSYMTAB_FUNC(mwifiex_deauthenticate_all, "_gpl", "");
KSYMTAB_FUNC(mwifiex_cancel_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_enable_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_disable_auto_ds, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_virtual_intf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_del_virtual_intf, "_gpl", "");

SYMBOL_CRC(mwifiex_queue_main_work, 0x13051c37, "_gpl");
SYMBOL_CRC(mwifiex_main_process, 0xe929c771, "_gpl");
SYMBOL_CRC(mwifiex_multi_chan_resync, 0xa4d57dd4, "_gpl");
SYMBOL_CRC(mwifiex_upload_device_dump, 0xc6f20b46, "_gpl");
SYMBOL_CRC(mwifiex_drv_info_dump, 0x42ca516a, "_gpl");
SYMBOL_CRC(mwifiex_prepare_fw_dump_info, 0x76057343, "_gpl");
SYMBOL_CRC(mwifiex_shutdown_sw, 0x80ed5e12, "_gpl");
SYMBOL_CRC(mwifiex_reinit_sw, 0xf26edede, "_gpl");
SYMBOL_CRC(mwifiex_add_card, 0x041934be, "_gpl");
SYMBOL_CRC(mwifiex_remove_card, 0x42513017, "_gpl");
SYMBOL_CRC(_mwifiex_dbg, 0x58d8d1e9, "_gpl");
SYMBOL_CRC(mwifiex_dnld_fw, 0x62616ab0, "_gpl");
SYMBOL_CRC(mwifiex_process_hs_config, 0x0170712e, "_gpl");
SYMBOL_CRC(mwifiex_process_sleep_confirm_resp, 0xe8a4873c, "_gpl");
SYMBOL_CRC(mwifiex_init_shutdown_fw, 0xfce6df6b, "_gpl");
SYMBOL_CRC(mwifiex_alloc_dma_align_buf, 0xd4dad9f3, "_gpl");
SYMBOL_CRC(mwifiex_fw_dump_event, 0x38a7c862, "_gpl");
SYMBOL_CRC(mwifiex_handle_rx_packet, 0xac4a5d26, "_gpl");
SYMBOL_CRC(mwifiex_write_data_complete, 0x8758c613, "_gpl");
SYMBOL_CRC(mwifiex_deauthenticate_all, 0xd89152e0, "_gpl");
SYMBOL_CRC(mwifiex_cancel_hs, 0x16e4dbc2, "_gpl");
SYMBOL_CRC(mwifiex_enable_hs, 0xf2fc50a1, "_gpl");
SYMBOL_CRC(mwifiex_disable_auto_ds, 0x532e64a5, "_gpl");
SYMBOL_CRC(mwifiex_add_virtual_intf, 0x941b814e, "_gpl");
SYMBOL_CRC(mwifiex_del_virtual_intf, 0xfcb1ef68, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x56ae14fd, "cfg80211_sched_scan_results" },
	{ 0xdecd3b37, "skb_complete_wifi_ack" },
	{ 0xd13d513, "cfg80211_mgmt_tx_status_ext" },
	{ 0xce78b11a, "device_set_wakeup_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb30ebe2d, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x17ab3fc5, "devm_request_threaded_irq" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x393e67ed, "skb_put" },
	{ 0x352f907f, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xef683a89, "cfg80211_chandef_dfs_required" },
	{ 0x81c65ab1, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xcd001567, "cfg80211_sched_scan_stopped" },
	{ 0xfee1b5e2, "param_ops_ushort" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xeb6b1429, "cfg80211_remain_on_channel_expired" },
	{ 0x2209eab0, "cfg80211_cac_event" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4f1ea582, "cfg80211_register_netdevice" },
	{ 0x8038b133, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x79d9ee87, "ieee80211_amsdu_to_8023s" },
	{ 0x8dc43420, "cfg80211_ref_bss" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x7462e730, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b238f49, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xbb4adb2e, "cfg80211_new_sta" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd45ddb66, "kstrtobool_from_user" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x99381d44, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xb20013e, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4ca50989, "dev_addr_mod" },
	{ 0x9770081, "eth_type_trans" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe775d02f, "alloc_netdev_mqs" },
	{ 0x780bc164, "wiphy_new_nm" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x65ceb809, "cfg80211_ready_on_channel" },
	{ 0x95c53e66, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xca8f0254, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xcef72cf1, "wiphy_register" },
	{ 0x738803e6, "strnlen" },
	{ 0x9b2a74e7, "cfg80211_put_bss" },
	{ 0x91b0b833, "netif_device_detach" },
	{ 0x12440b1c, "cfg80211_ch_switch_notify" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x261457e8, "netif_device_attach" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xa293a3d7, "ieee80211_get_channel_khz" },
	{ 0xaa83a309, "__cfg80211_radar_event" },
	{ 0xeeb7c713, "cfg80211_tdls_oper_request" },
	{ 0xe14308c4, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xb3eef0, "device_wakeup_enable" },
	{ 0x29267f8f, "cfg80211_ibss_joined" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa9bc2514, "request_firmware_nowait" },
	{ 0x8b065251, "simple_open" },
	{ 0xf2659707, "skb_pull" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x11e327d4, "wiphy_apply_custom_regulatory" },
	{ 0xf12ad5f5, "cfg80211_michael_mic_failure" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0xa7441fc9, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x25168009, "cfg80211_del_sta_sinfo" },
	{ 0x91d64fbc, "wiphy_unregister" },
	{ 0xd29b4321, "free_netdev" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x2a6f879, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x725b7a6f, "cfg80211_get_bss" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf38f01e5, "netif_tx_stop_all_queues" },
	{ 0xe9e8ff2e, "netif_tx_wake_queue" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x2bc95bd4, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xcfbd2b4d, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd57208a7, "of_property_read_variable_u8_array" },
	{ 0xce17d262, "netif_rx" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0xa2c069c4, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xffca78e8, "cfg80211_sched_scan_stopped_locked" },
	{ 0x77db0546, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0xf95cf079, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0x2d6c97d1, "cfg80211_rx_mgmt_ext" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1d106652, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd9096340, "skb_copy" },
	{ 0xbd9b2645, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x21380ddb, "netif_carrier_on" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0x8d6f9331, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x52e686c5, "cfg80211_inform_bss_data" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xc1491c3, "irq_of_parse_and_map" },
	{ 0xd0d8621b, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x6f132701, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x4cecdf56, "cfg80211_connect_done" },
	{ 0xfdfc07c7, "wiphy_free" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x88dd11cb, "cfg80211_cqm_rssi_notify" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5cafcba8, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "BB4512D1C67166E502FBA7B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
