#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0x6ef1fe60, "_gpl");
SYMBOL_CRC(mt76s_rr, 0x04405786, "_gpl");
SYMBOL_CRC(mt76s_wr, 0x025c6e1c, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0x4b08c897, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0xdce6d9af, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0x4fce8f51, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0x8d09d337, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0xe72e023e, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0x5766ba3a, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0x6158ce18, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0xa592dd15, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0x9dff1330, "_gpl");
SYMBOL_CRC(mt76s_init, 0x3fd2c43e, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0x2688e0aa, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0x69ce76f5, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0x3f91218b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7e256454, "sdio_release_host" },
	{ 0x9732f1d8, "sdio_disable_func" },
	{ 0x944d0232, "sdio_set_block_size" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x393e67ed, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x768bcd27, "sdio_claim_host" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x9fbd04e7, "skb_add_rx_frag" },
	{ 0x2e60bace, "memcpy" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb67bc589, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57071355, "pskb_expand_head" },
	{ 0xd7ea8768, "mt76_tx_status_check" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8eb60ecb, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x579febf8, "sdio_readsb" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xab06fd53, "mem_section" },
	{ 0x8e2a365e, "sdio_readl" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1ffa005b, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x77b43918, "__alloc_pages" },
	{ 0xf1374ac5, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb122d891, "mt76_queue_tx_complete" },
	{ 0xc4e9b676, "kthread_create_on_node" },
	{ 0xb608bb75, "__tracepoint_dev_irq" },
	{ 0xf8271a0b, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x61495dc5, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x90308de, "sdio_claim_irq" },
	{ 0x733432ca, "mt76_skb_adjust_pad" },
	{ 0xf022cfb8, "sdio_enable_func" },
	{ 0x8214a8f4, "sdio_writesb" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x135828b9, "page_address" },
	{ 0x1bd79a15, "ieee80211_queue_work" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,mt76,mac80211");


MODULE_INFO(srcversion, "F2C5725C6C557920E4263AB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
