#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt792x_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt792x_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_worker, "_gpl", "");
KSYMTAB_FUNC(mt792x_roc_timer, "_gpl", "");
KSYMTAB_FUNC(mt792x_flush, "_gpl", "");
KSYMTAB_FUNC(mt792x_assign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_unassign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_wakeup, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_strings, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_sset_count, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_sta_statistics, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wiphy, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_mac80211_ops, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(__mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_set_timeing, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_update_mib_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_get_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_assoc_rssi, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt792x_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt792x_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_init_band, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_wake_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_power_save_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_lp_event, "_gpl", "");
KSYMTAB_FUNC(__traceiter_lp_event, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_stats_show, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_acq, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_set, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_get, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_tasklet, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_enable, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reinit_cond, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_rx, "_gpl", "");
KSYMTAB_FUNC(mt792x_wfsys_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt792x_acpi_get_flags, "_gpl", "");

SYMBOL_CRC(mt792x_tx, 0xd06ddf40, "_gpl");
SYMBOL_CRC(mt792x_remove_interface, 0x4adb34f4, "_gpl");
SYMBOL_CRC(mt792x_conf_tx, 0x1f8d9e7a, "_gpl");
SYMBOL_CRC(mt792x_get_stats, 0xe5eaa0bb, "_gpl");
SYMBOL_CRC(mt792x_get_tsf, 0xa746bbbe, "_gpl");
SYMBOL_CRC(mt792x_set_tsf, 0x3033b650, "_gpl");
SYMBOL_CRC(mt792x_tx_worker, 0x533b7dbc, "_gpl");
SYMBOL_CRC(mt792x_roc_timer, 0x9c06d4d5, "_gpl");
SYMBOL_CRC(mt792x_flush, 0xf34c4842, "_gpl");
SYMBOL_CRC(mt792x_assign_vif_chanctx, 0x07e94c44, "_gpl");
SYMBOL_CRC(mt792x_unassign_vif_chanctx, 0x1d7d51b0, "_gpl");
SYMBOL_CRC(mt792x_set_wakeup, 0x54cb52ad, "_gpl");
SYMBOL_CRC(mt792x_get_et_strings, 0xcb060c13, "_gpl");
SYMBOL_CRC(mt792x_get_et_sset_count, 0xb9553749, "_gpl");
SYMBOL_CRC(mt792x_get_et_stats, 0x2c08f9a3, "_gpl");
SYMBOL_CRC(mt792x_sta_statistics, 0xe59f48b6, "_gpl");
SYMBOL_CRC(mt792x_set_coverage_class, 0x99eba16c, "_gpl");
SYMBOL_CRC(mt792x_init_wiphy, 0x94c88d51, "_gpl");
SYMBOL_CRC(mt792x_get_mac80211_ops, 0x535b8a4b, "_gpl");
SYMBOL_CRC(mt792x_init_wcid, 0x1f231548, "_gpl");
SYMBOL_CRC(mt792x_mcu_drv_pmctrl, 0xa7a2439c, "_gpl");
SYMBOL_CRC(mt792x_mcu_fw_pmctrl, 0x474b7e27, "_gpl");
SYMBOL_CRC(__mt792xe_mcu_drv_pmctrl, 0xc9db8670, "_gpl");
SYMBOL_CRC(mt792xe_mcu_drv_pmctrl, 0x0193e84c, "_gpl");
SYMBOL_CRC(mt792xe_mcu_fw_pmctrl, 0xcab7c982, "_gpl");
SYMBOL_CRC(mt792x_load_firmware, 0x48db79c0, "_gpl");
SYMBOL_CRC(mt792x_mac_work, 0x7ddc866e, "_gpl");
SYMBOL_CRC(mt792x_mac_set_timeing, 0x78f3ca28, "_gpl");
SYMBOL_CRC(mt792x_mac_update_mib_stats, 0x2cb5f683, "_gpl");
SYMBOL_CRC(mt792x_rx_get_wcid, 0xe187598c, "_gpl");
SYMBOL_CRC(mt792x_mac_assoc_rssi, 0xc48a8493, "_gpl");
SYMBOL_CRC(mt792x_mac_reset_counters, 0x8ea69e9c, "_gpl");
SYMBOL_CRC(mt792x_update_channel, 0x2a2055f3, "_gpl");
SYMBOL_CRC(mt792x_reset, 0x4e157d95, "_gpl");
SYMBOL_CRC(mt792x_mac_init_band, 0xbd92a904, "_gpl");
SYMBOL_CRC(mt792x_pm_wake_work, 0x2d28fe3e, "_gpl");
SYMBOL_CRC(mt792x_pm_power_save_work, 0x6297fe6f, "_gpl");
SYMBOL_CRC(__tracepoint_lp_event, 0x5f2194f6, "_gpl");
SYMBOL_CRC(__traceiter_lp_event, 0xdc1887f9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_lp_event, 0xb9749f8d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_lp_event, 0xabff3e0f, "_gpl");
SYMBOL_CRC(mt792x_tx_stats_show, 0xc405f6eb, "_gpl");
SYMBOL_CRC(mt792x_queues_acq, 0x06f31d75, "_gpl");
SYMBOL_CRC(mt792x_queues_read, 0xee330dd7, "_gpl");
SYMBOL_CRC(mt792x_pm_stats, 0xd3d87e77, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_set, 0x5a7b5c38, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_get, 0xc3a0fb62, "_gpl");
SYMBOL_CRC(mt792x_irq_handler, 0xbd22e98c, "_gpl");
SYMBOL_CRC(mt792x_irq_tasklet, 0x8e471e29, "_gpl");
SYMBOL_CRC(mt792x_rx_poll_complete, 0x99eb1a99, "_gpl");
SYMBOL_CRC(mt792x_dma_enable, 0x81c407bb, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reset, 0xb9d60648, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reinit_cond, 0x50624af6, "_gpl");
SYMBOL_CRC(mt792x_dma_disable, 0x88e3399c, "_gpl");
SYMBOL_CRC(mt792x_dma_cleanup, 0x1d21ae41, "_gpl");
SYMBOL_CRC(mt792x_poll_tx, 0xaa7e0b1f, "_gpl");
SYMBOL_CRC(mt792x_poll_rx, 0x1c62e93a, "_gpl");
SYMBOL_CRC(mt792x_wfsys_reset, 0x5702be16, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar, 0xe1e7b9af, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar_power, 0xf52b7251, "_gpl");
SYMBOL_CRC(mt792x_acpi_get_flags, 0x87023e66, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xce78b11a, "device_set_wakeup_enable" },
	{ 0xa1661fda, "mt76_dma_rx_poll" },
	{ 0xe484ee1f, "mt76_tx_status_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xd808e35d, "is_acpi_device_node" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x2215097a, "mt76_tx_status_skb_get" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xcd25f645, "mt76_tx_status_lock" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1e57330f, "mt76_connac_mcu_uni_add_dev" },
	{ 0x8038b133, "request_firmware" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf8e2de84, "ieee80211_iterate_stations_atomic" },
	{ 0x9581453e, "mt76_connac_pm_wake" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xe19d199c, "mt76_has_tx_pending" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xf5c5bbf9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x7f1d14ae, "mt76_dma_cleanup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1ee339cc, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd7ea8768, "mt76_tx_status_check" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0x2497c6b, "mt76_connac_free_pending_tx_skbs" },
	{ 0xaddd5baa, "mt76_connac_power_save_sched" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0xe990e5cc, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x63eafeba, "mt76_tx" },
	{ 0x93506ab7, "__napi_schedule" },
	{ 0x738803e6, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdb7c5566, "ieee80211_queue_delayed_work" },
	{ 0x25d4d223, "devm_kmemdup" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0xcde807b1, "devm_kfree" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc5e35349, "mt76_connac2_load_ram" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xd9f3cdb8, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x107c6d0f, "ieee80211_wake_queues" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x11ce9a87, "mt76_set_irq_mask" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xdd246a2c, "mt76_connac_pm_dequeue_skbs" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9884597e, "mt76_ethtool_page_pool_stats" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb608bb75, "__tracepoint_dev_irq" },
	{ 0xeea0399, "strscpy" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0xbd178a9d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x8973d17f, "mt76_txq_schedule_all" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6c24e8e0, "mt76_connac2_load_patch" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xe9a73151, "____mt76_poll_msec" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc8836361, "seq_puts" },
	{ 0x1bd79a15, "ieee80211_queue_work" },
	{ 0x544c1f9c, "napi_schedule_prep" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xab9d88b8, "mt76_ethtool_worker" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211");


MODULE_INFO(srcversion, "FFCFE355EE2339F60EE83BF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
