#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x48331b50, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xb4d57ecc, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0xfca61078, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x42b28d21, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x893cacbe, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0x2cbe8ac2, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0xb9b56c7b, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0xd66e1ada, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0xd4b23d17, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0xeec76925, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0xc5038a0d, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0xd00e0a3a, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x71e3a88c, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x6afea002, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0xcb42fcb8, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0xffc0d9c7, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0xfb9e7c23, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x4c7a9642, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x94f34680, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0x61945ef1, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0xa2b9dcfd, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0xd8e80580, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0xf02d229f, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0xd9190865, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x8fdaac30, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x54314774, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x77c71a5a, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0xb5d16176, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x6cea6de2, "_gpl");
SYMBOL_CRC(rt2800_config, 0xf838038f, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x4ee6a777, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x9e34851d, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0xf6fa5753, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0xf95f6b04, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x73cf5552, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x0125a319, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0xfd9b3301, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x365dbd35, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0xee4872dd, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0xa74aed79, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0xb7a52d09, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0xfaaddacc, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x5118baec, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x87403632, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xa8ec7d34, "crc_ccitt" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x91309482, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd2aedd2f, "rt2x00lib_txdone" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x78ad16b1, "rt2x00queue_get_entry" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x8f8dc985, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x6cde9c87, "rt2x00mac_conf_tx" },
	{ 0x4d1737ef, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8989f82e, "skb_push" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0x6bdfdbf3, "__skb_pad" },
	{ 0xe5210757, "rt2x00lib_txdone_noinfo" },
	{ 0x59e5eac2, "ieee80211_restart_hw" },
	{ 0xf2659707, "skb_pull" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x57f1f9e2, "rt2x00lib_set_mac_address" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "D6768B976D47A7C77436CF1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
