#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_restorepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_writepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_savepowerindex, "_gpl", "");
KSYMTAB_FUNC(rtl92c_dm_write_dig, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_edca_turbo, "", "");
KSYMTAB_FUNC(rtl92c_dm_check_txpower_tracking, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_rate_adaptive_mask, "", "");
KSYMTAB_FUNC(rtl92c_dm_rf_saving, "", "");
KSYMTAB_FUNC(rtl92c_dm_init, "", "");
KSYMTAB_FUNC(rtl92c_dm_watchdog, "", "");
KSYMTAB_FUNC(rtl92c_bt_rssi_state_change, "", "");
KSYMTAB_FUNC(rtl92c_dm_bt_coexist, "", "");
KSYMTAB_FUNC(rtl92c_download_fw, "", "");
KSYMTAB_FUNC(rtl92c_fill_h2c_cmd, "", "");
KSYMTAB_FUNC(rtl92c_firmware_selfreset, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_pwrmode_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_rsvdpagepkt, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_joinbss_report_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_p2p_ps_offload_cmd, "_gpl", "");
KSYMTAB_FUNC(rtl92c_phy_query_bb_reg, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bb_reg, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_write, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_write, "", "");
KSYMTAB_FUNC(_rtl92c_phy_calculate_bit_shift, "", "");
KSYMTAB_FUNC(rtl92c_phy_rf_config, "", "");
KSYMTAB_FUNC(_rtl92c_phy_bb8192c_config_parafile, "", "");
KSYMTAB_FUNC(_rtl92c_store_pwrindex_diffrate_offset, "", "");
KSYMTAB_FUNC(_rtl92c_phy_init_bb_rf_register_definition, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_txpower_level, "", "");
KSYMTAB_FUNC(rtl92c_phy_update_txpower_dbm, "", "");
KSYMTAB_FUNC(_rtl92c_phy_dbm_to_txpwr_idx, "", "");
KSYMTAB_FUNC(_rtl92c_phy_txpwr_idx_to_dbm, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bw_mode, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl_callback, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl, "", "");
KSYMTAB_FUNC(rtl8192_phy_check_is_legal_rfpath, "", "");
KSYMTAB_FUNC(rtl92c_phy_iq_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_lc_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_ap_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_rfpath_switch, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io_cmd, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io, "", "");
KSYMTAB_FUNC(rtl92ce_phy_set_rf_on, "", "");
KSYMTAB_FUNC(_rtl92c_phy_set_rf_sleep, "", "");

SYMBOL_CRC(dm_restorepowerindex, 0xb6b2cef3, "_gpl");
SYMBOL_CRC(dm_writepowerindex, 0xb7520e29, "_gpl");
SYMBOL_CRC(dm_savepowerindex, 0x8241a5a9, "_gpl");
SYMBOL_CRC(rtl92c_dm_write_dig, 0x83393714, "");
SYMBOL_CRC(rtl92c_dm_init_edca_turbo, 0x67b6e304, "");
SYMBOL_CRC(rtl92c_dm_check_txpower_tracking, 0x0a7e57f7, "");
SYMBOL_CRC(rtl92c_dm_init_rate_adaptive_mask, 0x818494b9, "");
SYMBOL_CRC(rtl92c_dm_rf_saving, 0x38d6ba91, "");
SYMBOL_CRC(rtl92c_dm_init, 0x2916f84d, "");
SYMBOL_CRC(rtl92c_dm_watchdog, 0x64d39dce, "");
SYMBOL_CRC(rtl92c_bt_rssi_state_change, 0x739160ce, "");
SYMBOL_CRC(rtl92c_dm_bt_coexist, 0x1ab43fc2, "");
SYMBOL_CRC(rtl92c_download_fw, 0xda57a219, "");
SYMBOL_CRC(rtl92c_fill_h2c_cmd, 0xa9aba754, "");
SYMBOL_CRC(rtl92c_firmware_selfreset, 0x7dbcaea9, "");
SYMBOL_CRC(rtl92c_set_fw_pwrmode_cmd, 0xcb614ba7, "");
SYMBOL_CRC(rtl92c_set_fw_rsvdpagepkt, 0xb0fada3b, "");
SYMBOL_CRC(rtl92c_set_fw_joinbss_report_cmd, 0xe328b2c5, "");
SYMBOL_CRC(rtl92c_set_p2p_ps_offload_cmd, 0x40a7f2b3, "_gpl");
SYMBOL_CRC(rtl92c_phy_query_bb_reg, 0x75d45289, "");
SYMBOL_CRC(rtl92c_phy_set_bb_reg, 0x9cd0e7f7, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_read, 0x4ed1f474, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_write, 0x214d3302, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_read, 0x483a3dc8, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_write, 0xe8427122, "");
SYMBOL_CRC(_rtl92c_phy_calculate_bit_shift, 0x2327d91c, "");
SYMBOL_CRC(rtl92c_phy_rf_config, 0x0bde57fc, "");
SYMBOL_CRC(_rtl92c_phy_bb8192c_config_parafile, 0x1fc593d5, "");
SYMBOL_CRC(_rtl92c_store_pwrindex_diffrate_offset, 0xa62aec88, "");
SYMBOL_CRC(_rtl92c_phy_init_bb_rf_register_definition, 0xecb1e6a2, "");
SYMBOL_CRC(rtl92c_phy_set_txpower_level, 0x6c7e103f, "");
SYMBOL_CRC(rtl92c_phy_update_txpower_dbm, 0xac71561a, "");
SYMBOL_CRC(_rtl92c_phy_dbm_to_txpwr_idx, 0x17f98867, "");
SYMBOL_CRC(_rtl92c_phy_txpwr_idx_to_dbm, 0x05d32ea7, "");
SYMBOL_CRC(rtl92c_phy_set_bw_mode, 0xba07a6ef, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl_callback, 0x29077b40, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl, 0xd409cd70, "");
SYMBOL_CRC(rtl8192_phy_check_is_legal_rfpath, 0xeae6deb6, "");
SYMBOL_CRC(rtl92c_phy_iq_calibrate, 0x35521870, "");
SYMBOL_CRC(rtl92c_phy_lc_calibrate, 0x1a878dd1, "");
SYMBOL_CRC(rtl92c_phy_ap_calibrate, 0x5ac1a385, "");
SYMBOL_CRC(rtl92c_phy_set_rfpath_switch, 0xc1c539e4, "");
SYMBOL_CRC(rtl92c_phy_set_io_cmd, 0x8bc0f875, "");
SYMBOL_CRC(rtl92c_phy_set_io, 0xedd013f8, "");
SYMBOL_CRC(rtl92ce_phy_set_rf_on, 0x31be4f6f, "");
SYMBOL_CRC(_rtl92c_phy_set_rf_sleep, 0x963a5b9d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x393e67ed, "skb_put" },
	{ 0x13f39511, "rtl_fw_block_write" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2e60bace, "memcpy" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe9c9f5c3, "_rtl_dbg_print" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65280eb, "rtl_cmd_send_packet" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xda5fdb0d, "_rtl_dbg_print_data" },
	{ 0x7a3d91a5, "rtl_fw_page_write" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x66f56201, "rtl_dm_diginit" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "816236AA2CE6910E2464939");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
