#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_disable_lps_deep_mode, "", "");
KSYMTAB_DATA(rtw_debug_mask, "", "");
KSYMTAB_FUNC(rtw_dump_fw, "", "");
KSYMTAB_FUNC(rtw_dump_reg, "", "");
KSYMTAB_FUNC(rtw_set_rx_freq_band, "", "");
KSYMTAB_FUNC(rtw_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw_core_init, "", "");
KSYMTAB_FUNC(rtw_core_deinit, "", "");
KSYMTAB_FUNC(rtw_register_hw, "", "");
KSYMTAB_FUNC(rtw_unregister_hw, "", "");
KSYMTAB_DATA(rtw_ops, "", "");
KSYMTAB_FUNC(check_hw_ready, "", "");
KSYMTAB_FUNC(rtw_restore_reg, "", "");
KSYMTAB_FUNC(rtw_tx_fill_tx_desc, "", "");
KSYMTAB_FUNC(rtw_tx_report_enqueue, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_rsvd_page_get, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_h2c_get, "", "");
KSYMTAB_FUNC(rtw_tx_ac_to_hwq, "", "");
KSYMTAB_FUNC(rtw_tx_queue_mapping, "", "");
KSYMTAB_FUNC(rtw_rx_stats, "", "");
KSYMTAB_FUNC(rtw_rx_fill_rx_status, "", "");
KSYMTAB_FUNC(rtw_set_channel_mac, "", "");
KSYMTAB_DATA(rtw_rate_section, "", "");
KSYMTAB_DATA(rtw_rate_size, "", "");
KSYMTAB_FUNC(rtw_phy_set_edcca_th, "", "");
KSYMTAB_FUNC(rtw_phy_init, "", "");
KSYMTAB_FUNC(rtw_phy_parsing_cfo, "", "");
KSYMTAB_FUNC(rtw_phy_rf_power_2_rssi, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_mix, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_phy_cond, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_bb_pg, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_txpwr_lmt, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_mac, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_agc, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_bb, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_rf, "", "");
KSYMTAB_FUNC(rtw_phy_load_tables, "", "");
KSYMTAB_FUNC(rtw_phy_get_tx_power_index, "", "");
KSYMTAB_FUNC(rtw_phy_set_tx_power_level, "", "");
KSYMTAB_FUNC(rtw_phy_config_swing_table, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_avg, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_thermal_changed, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_delta, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_pwridx, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_lck, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_iqk, "", "");
KSYMTAB_FUNC(rtw_coex_write_scbd, "", "");
KSYMTAB_FUNC(rtw_coex_read_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_coex_write_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_read8_physical_efuse, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_rx_irqsafe, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_isr, "", "");
KSYMTAB_FUNC(rtw_fw_do_iqk, "", "");
KSYMTAB_FUNC(rtw_fw_inform_rfk_status, "", "");
KSYMTAB_FUNC(rtw_power_mode_change, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_set_gid_table, "", "");
KSYMTAB_FUNC(rtw_bf_phy_init, "", "");
KSYMTAB_FUNC(rtw_bf_cfg_csi_rate, "", "");
KSYMTAB_FUNC(rtw_regd_get, "", "");

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0x2e9a72a9, "");
SYMBOL_CRC(rtw_dump_reg, 0xdb209325, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0x8d97689e, "");
SYMBOL_CRC(rtw_chip_info_setup, 0xf04c66ce, "");
SYMBOL_CRC(rtw_core_init, 0x1eb3e315, "");
SYMBOL_CRC(rtw_core_deinit, 0x8c7627de, "");
SYMBOL_CRC(rtw_register_hw, 0x82527fa0, "");
SYMBOL_CRC(rtw_unregister_hw, 0x188ff420, "");
SYMBOL_CRC(rtw_ops, 0xf17cb1ea, "");
SYMBOL_CRC(check_hw_ready, 0x0c57a214, "");
SYMBOL_CRC(rtw_restore_reg, 0x2a484f07, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0x80afd5c4, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0xb18ebf0b, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0x4c4b11c6, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0x8c6fc79d, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0xf469f131, "");
SYMBOL_CRC(rtw_rx_stats, 0xe7b0c315, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0xabedd605, "");
SYMBOL_CRC(rtw_set_channel_mac, 0x7b900ad1, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0xf728c612, "");
SYMBOL_CRC(rtw_phy_init, 0xae62931f, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0xf6194586, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0x8000c10e, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0xcefdae34, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0xfe900444, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0xbb34e309, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0xffa655bc, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0xec297e65, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0x6b34dbb4, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0x5cf26603, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0x43a97772, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0x6c81c390, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0x4ebd3082, "");
SYMBOL_CRC(rtw_phy_load_tables, 0x3e636bd3, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0x242b940b, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0x691cac4d, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0x899dc6f2, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0x68057a49, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0x332d7f60, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0xff0d9881, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0x273c77a1, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0x7452af2f, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0xd6d78265, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0x7dc3eed6, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0x0510ffc0, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0xbd9b4072, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0xf0ba42e2, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0x7fd48bde, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0x2e73e79b, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0x8523a909, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0xecca3598, "");
SYMBOL_CRC(rtw_power_mode_change, 0x28067522, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0x0488f96e, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0xef602682, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0xd5323870, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0x845a79f1, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0xbeda91e3, "");
SYMBOL_CRC(rtw_bf_phy_init, 0x56426bd3, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0x6822d27a, "");
SYMBOL_CRC(rtw_regd_get, 0x3b635160, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xce78b11a, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x95cdbbee, "ieee80211_connection_loss" },
	{ 0x629cd59b, "ieee80211_report_wowlan_wakeup" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3483ccca, "ieee80211_txq_get_depth" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x393e67ed, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x22ef1b56, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf8e2de84, "ieee80211_iterate_stations_atomic" },
	{ 0x6d3fa81e, "ieee80211_start_tx_ba_session" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7462e730, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xb1dd3e3a, "ieee80211_nullfunc_get" },
	{ 0x35c8a8f7, "ieee80211_pspoll_get" },
	{ 0xcef34c92, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x59e5eac2, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb23c920b, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x7044cf26, "ieee80211_find_sta" },
	{ 0xaae21f57, "ieee80211_iter_keys" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x21d4d79c, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0x4d1737ef, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0xd313a9d, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdb7c5566, "ieee80211_queue_delayed_work" },
	{ 0xa5583424, "ieee80211_proberesp_get" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa9bc2514, "request_firmware_nowait" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2b7fcf05, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0x107c6d0f, "ieee80211_wake_queues" },
	{ 0x5152e605, "memcmp" },
	{ 0xad6bb3bb, "ieee80211_iter_keys_rcu" },
	{ 0xc632dac2, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x2a6f879, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7e6a0245, "ieee80211_tx_dequeue" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x7eb9279c, "ieee80211_stop_queues" },
	{ 0xa2c069c4, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x999e8297, "vfree" },
	{ 0x4a1bf581, "ieee80211_scan_completed" },
	{ 0xbd178a9d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa1c89428, "ieee80211_unregister_hw" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x84018e20, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd9096340, "skb_copy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2a8a58d5, "ieee80211_cqm_rssi_notify" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x2bf9f423, "ieee80211_request_smps" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x1bd79a15, "ieee80211_queue_work" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "2C07496488F53C336F3F511");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
