#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0x480024a6, "");
SYMBOL_CRC(rtw_pci_probe, 0x2fa155af, "");
SYMBOL_CRC(rtw_pci_remove, 0x62892599, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x25e4e734, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb18ebf0b, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf469f131, "rtw_tx_queue_mapping" },
	{ 0xd7c9bfc0, "pcie_capability_read_word" },
	{ 0x17ab3fc5, "devm_request_threaded_irq" },
	{ 0x906af335, "pci_enable_device" },
	{ 0x393e67ed, "skb_put" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0xf97f9bb1, "pci_iomap" },
	{ 0xe31abc75, "pci_alloc_irq_vectors" },
	{ 0xf1e0589d, "netif_napi_add_weight" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x94941f51, "ieee80211_free_hw" },
	{ 0x78a240e6, "dma_unmap_page_attrs" },
	{ 0x9d4bfeef, "dma_sync_single_for_device" },
	{ 0x427df015, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x5545a3af, "dev_kfree_skb_irq_reason" },
	{ 0x2b10e6c6, "pci_set_power_state" },
	{ 0x4f602c4e, "__netif_napi_del" },
	{ 0xd49e3b8b, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0xa0380c5d, "dma_map_page_attrs" },
	{ 0xe990e5cc, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x21d4d79c, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa8a003da, "devm_free_irq" },
	{ 0x93506ab7, "__napi_schedule" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0xf04c66ce, "rtw_chip_info_setup" },
	{ 0x2e73e79b, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x188ff420, "rtw_unregister_hw" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf2659707, "skb_pull" },
	{ 0x80afd5c4, "rtw_tx_fill_tx_desc" },
	{ 0xab06fd53, "mem_section" },
	{ 0x8989f82e, "skb_push" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0xe8550745, "napi_enable" },
	{ 0x1eb3e315, "rtw_core_init" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x76632993, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xda7f9950, "pci_iounmap" },
	{ 0x8cf832c4, "dma_sync_single_for_cpu" },
	{ 0x4c4b11c6, "rtw_tx_write_data_rsvd_page_get" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x42c215f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xda8bcc90, "ieee80211_stop_queue" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0xe7b0c315, "rtw_rx_stats" },
	{ 0xae5996b8, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x82527fa0, "rtw_register_hw" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x8e0b562a, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa1c89428, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8c7627de, "rtw_core_deinit" },
	{ 0xf17cb1ea, "rtw_ops" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x544c1f9c, "napi_schedule_prep" },
	{ 0x68603af1, "napi_disable" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0x28067522, "rtw_power_mode_change" },
	{ 0x8c6fc79d, "rtw_tx_write_data_h2c_get" },
	{ 0xcc21fc93, "pci_free_irq_vectors" },
	{ 0xfe5afe10, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7fd48bde, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x3201ebda, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "C8946E7F9DEE607616E0645");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
