#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_get_txpwr_cr, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ppdu_status, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_write_xtal_si, "", "");
KSYMTAB_FUNC(rtw89_mac_read_xtal_si, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_offset, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit_ru, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x76936a9d, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x83fc4519, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x6cfaac74, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x6d8ff591, "");
SYMBOL_CRC(rtw89_core_rx, 0x9a8392dd, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xfc3f282b, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x3b5182e1, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x24e92d3a, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0xd4e41462, "");
SYMBOL_CRC(rtw89_core_init, 0xbc14f6f1, "");
SYMBOL_CRC(rtw89_core_deinit, 0xa8cb094c, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0xdea4d055, "");
SYMBOL_CRC(rtw89_core_register, 0x374de504, "");
SYMBOL_CRC(rtw89_core_unregister, 0xd1972517, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x7f1d3ce3, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x46f4a5c9, "");
SYMBOL_CRC(rtw89_ops, 0xc77696c1, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0x107e6be9, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x976d3a29, "");
SYMBOL_CRC(rtw89_mac_size, 0x9ac85705, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x1561fbfd, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0x2db4056c, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x766cbf92, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x8e78f868, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0xa79d5256, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x7be1c03b, "");
SYMBOL_CRC(rtw89_mac_get_txpwr_cr, 0x37b52f9a, "");
SYMBOL_CRC(rtw89_mac_cfg_ppdu_status, 0xa639e551, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0x6ae9dc9e, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0xb1b54d76, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0xedb79507, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x3670bb33, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0xe91d5e2d, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0xd11c4af5, "");
SYMBOL_CRC(rtw89_mac_write_xtal_si, 0x0f46a4ac, "");
SYMBOL_CRC(rtw89_mac_read_xtal_si, 0x3fd6b857, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xb412b016, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0xf9fd479e, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x9f32db87, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x415e7f42, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x5ab9daa0, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0x31f21607, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0x61abb970, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0xfab99c69, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0xb193d897, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0xb0503b59, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0xfcc1daac, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0xb62f12d3, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_byrate, 0xadc58473, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_offset, 0x465fd9c2, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit, 0x292992f4, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit_ru, 0x3262cc2c, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x6adecd3b, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x1d8f88a6, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x7b7f6398, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x5941b5e0, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x63f14d32, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x7cc4df33, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0xa07c9acb, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0xb39936e8, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x886d483e, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0xaeb183be, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0xb0eff136, "");
SYMBOL_CRC(rtw89_ser_notify, 0x43ba227d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a48fdaa, "ieee80211_stop_tx_ba_session" },
	{ 0xce78b11a, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x95cdbbee, "ieee80211_connection_loss" },
	{ 0x629cd59b, "ieee80211_report_wowlan_wakeup" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xd808e35d, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3e102ab2, "__ieee80211_schedule_txq" },
	{ 0x3483ccca, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x83fd801d, "cfg80211_bss_iter" },
	{ 0x393e67ed, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xf1e0589d, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x94941f51, "ieee80211_free_hw" },
	{ 0x22ef1b56, "ieee80211_probereq_get" },
	{ 0x633e363d, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8038b133, "request_firmware" },
	{ 0xf8e2de84, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d3fa81e, "ieee80211_start_tx_ba_session" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7462e730, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xb1dd3e3a, "ieee80211_nullfunc_get" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x35c8a8f7, "ieee80211_pspoll_get" },
	{ 0xcef34c92, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x59e5eac2, "ieee80211_restart_hw" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x4f602c4e, "__netif_napi_del" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57071355, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x7044cf26, "ieee80211_find_sta" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x93506ab7, "__napi_schedule" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0x4d1737ef, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xd313a9d, "wiphy_to_ieee80211_hw" },
	{ 0xdb7c5566, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x47a2e8ce, "ieee80211_next_txq" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x90823133, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0xe8550745, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x107c6d0f, "ieee80211_wake_queues" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0xad6bb3bb, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc632dac2, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x2a6f879, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x76632993, "ieee80211_alloc_hw_nm" },
	{ 0x7e6a0245, "ieee80211_tx_dequeue" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xf1ba7e7b, "ieee80211_ready_on_channel" },
	{ 0x7eb9279c, "ieee80211_stop_queues" },
	{ 0xa2c069c4, "skb_unlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4a1bf581, "ieee80211_scan_completed" },
	{ 0xbd178a9d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa1c89428, "ieee80211_unregister_hw" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x84018e20, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd9096340, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0x2a8a58d5, "ieee80211_cqm_rssi_notify" },
	{ 0xc8836361, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x1bd79a15, "ieee80211_queue_work" },
	{ 0x544c1f9c, "napi_schedule_prep" },
	{ 0xd0d8621b, "strlen" },
	{ 0x68603af1, "napi_disable" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0xfe5afe10, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x3201ebda, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "6AB6CA5B1BBE82210236359");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
