#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x936984cb, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0xb4afdcf9, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0xee636442, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0xcd23a3b6, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0xc70f79d9, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x87a5a2ef, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0xeaf2853a, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0x62cbf453, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0xb6610a95, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x7075081a, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0xc592984d, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0xc9d29bcb, "");
SYMBOL_CRC(rtw89_pm_ops, 0x7dc6c7d5, "");
SYMBOL_CRC(rtw89_pci_probe, 0xf38a368f, "");
SYMBOL_CRC(rtw89_pci_remove, 0xccc7cfb2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd7c9bfc0, "pcie_capability_read_word" },
	{ 0xa7d4f847, "pci_find_ext_capability" },
	{ 0x7f1d3ce3, "rtw89_alloc_ieee80211_hw" },
	{ 0x17ab3fc5, "devm_request_threaded_irq" },
	{ 0x906af335, "pci_enable_device" },
	{ 0x393e67ed, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0xf97f9bb1, "pci_iomap" },
	{ 0xe31abc75, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x78a240e6, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9d4bfeef, "dma_sync_single_for_device" },
	{ 0x427df015, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x24e92d3a, "rtw89_core_napi_init" },
	{ 0xd1972517, "rtw89_core_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0x77db385a, "pci_read_config_dword" },
	{ 0xa0380c5d, "dma_map_page_attrs" },
	{ 0xe990e5cc, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa8a003da, "devm_free_irq" },
	{ 0x93506ab7, "__napi_schedule" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0xbc14f6f1, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd4e41462, "rtw89_core_napi_deinit" },
	{ 0xab06fd53, "mem_section" },
	{ 0x8989f82e, "skb_push" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0x46f4a5c9, "rtw89_free_ieee80211_hw" },
	{ 0xfc3f282b, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xda7f9950, "pci_iounmap" },
	{ 0x8cf832c4, "dma_sync_single_for_cpu" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x42c215f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa929af1e, "ieee80211_tx_status" },
	{ 0x43ba227d, "rtw89_ser_notify" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0xa2c069c4, "skb_unlink" },
	{ 0x3830296a, "dma_set_coherent_mask" },
	{ 0x374de504, "rtw89_core_register" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0x9a8392dd, "rtw89_core_rx" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x8e0b562a, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa8cb094c, "rtw89_core_deinit" },
	{ 0xdb1fd043, "pci_write_config_byte" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0x544c1f9c, "napi_schedule_prep" },
	{ 0x1350fd72, "pci_read_config_byte" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0xcc21fc93, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3b5182e1, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdea4d055, "rtw89_chip_info_setup" },
	{ 0x107e6be9, "rtw89_mac_get_err_status" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "BC2A5DDA7D71EB9FE4E858C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
