#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ntb_transport_unregister_client_dev, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_register_client_dev, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_register_client, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_unregister_client, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_create_queue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_free_queue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_rx_remove, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_rx_enqueue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_tx_enqueue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_up, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_down, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_query, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_qp_num, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_max_size, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_tx_free_entry, "_gpl", "");

SYMBOL_CRC(ntb_transport_unregister_client_dev, 0xf9eb813f, "_gpl");
SYMBOL_CRC(ntb_transport_register_client_dev, 0xf55d6313, "_gpl");
SYMBOL_CRC(ntb_transport_register_client, 0x287c8e80, "_gpl");
SYMBOL_CRC(ntb_transport_unregister_client, 0x79febf74, "_gpl");
SYMBOL_CRC(ntb_transport_create_queue, 0x55a0ec2a, "_gpl");
SYMBOL_CRC(ntb_transport_free_queue, 0xc270dc24, "_gpl");
SYMBOL_CRC(ntb_transport_rx_remove, 0xc37d9036, "_gpl");
SYMBOL_CRC(ntb_transport_rx_enqueue, 0xd40e7a02, "_gpl");
SYMBOL_CRC(ntb_transport_tx_enqueue, 0x3d54dbfc, "_gpl");
SYMBOL_CRC(ntb_transport_link_up, 0x9c992c8f, "_gpl");
SYMBOL_CRC(ntb_transport_link_down, 0x436098aa, "_gpl");
SYMBOL_CRC(ntb_transport_link_query, 0x32537aca, "_gpl");
SYMBOL_CRC(ntb_transport_qp_num, 0x82e6c13d, "_gpl");
SYMBOL_CRC(ntb_transport_max_size, 0x30934216, "_gpl");
SYMBOL_CRC(ntb_transport_tx_free_entry, 0x0862001f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd0d8621b, "strlen" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xb79f2512, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xca6f58f5, "get_device" },
	{ 0x52b57bd3, "driver_register" },
	{ 0x878c572e, "driver_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x26e6d188, "bus_register" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x5424dc03, "__ntb_register_client" },
	{ 0x176adec5, "bus_unregister" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xb7fc7172, "ntb_unregister_client" },
	{ 0xf531cff3, "kmalloc_node_trace" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xa553b00, "device_register" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x2e60bace, "memcpy" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xa8a003da, "devm_free_irq" },
	{ 0x59673e4f, "ntbm_msi_request_threaded_irq" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x955ce20d, "ntb_msi_setup_mws" },
	{ 0x370bc89f, "ntb_msi_peer_trigger" },
	{ 0x2d99f1e4, "__copy_from_user_ll_nocache_nozero" },
	{ 0x170d43d3, "dmaengine_get_unmap_data" },
	{ 0xab06fd53, "mem_section" },
	{ 0xa0380c5d, "dma_map_page_attrs" },
	{ 0xaa1fd2be, "dmaengine_unmap_put" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdc13d2, "__kmalloc_node" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xedc03953, "iounmap" },
	{ 0x84501b2f, "ntb_msi_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xbfaab18e, "ntb_default_peer_port_count" },
	{ 0x8c175e7f, "ntb_set_ctx" },
	{ 0x5271cb14, "ntb_link_event" },
	{ 0xac491d2, "dma_sync_wait" },
	{ 0x7d03a264, "dma_unmap_resource" },
	{ 0x59bfc8fb, "dma_release_channel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3230bf9b, "ntb_clear_ctx" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4799b720, "__dma_request_channel" },
	{ 0x81932e57, "dma_map_resource" },
	{ 0x8b065251, "simple_open" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0xa9140983, "param_ops_byte" },
	{ 0x1fd2c5ba, "param_ops_ulong" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "ntb");


MODULE_INFO(srcversion, "C644BE54429255E69E233C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
