#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__parport_register_driver, "", "");
KSYMTAB_FUNC(parport_unregister_driver, "", "");
KSYMTAB_FUNC(parport_get_port, "", "");
KSYMTAB_FUNC(parport_del_port, "", "");
KSYMTAB_FUNC(parport_put_port, "", "");
KSYMTAB_FUNC(parport_register_port, "", "");
KSYMTAB_FUNC(parport_announce_port, "", "");
KSYMTAB_FUNC(parport_remove_port, "", "");
KSYMTAB_FUNC(parport_register_dev_model, "", "");
KSYMTAB_FUNC(parport_unregister_device, "", "");
KSYMTAB_FUNC(parport_find_number, "", "");
KSYMTAB_FUNC(parport_find_base, "", "");
KSYMTAB_FUNC(parport_claim, "", "");
KSYMTAB_FUNC(parport_claim_or_block, "", "");
KSYMTAB_FUNC(parport_release, "", "");
KSYMTAB_FUNC(parport_irq_handler, "", "");
KSYMTAB_FUNC(parport_negotiate, "", "");
KSYMTAB_FUNC(parport_write, "", "");
KSYMTAB_FUNC(parport_read, "", "");
KSYMTAB_FUNC(parport_wait_peripheral, "", "");
KSYMTAB_FUNC(parport_wait_event, "", "");
KSYMTAB_FUNC(parport_set_timeout, "", "");
KSYMTAB_FUNC(parport_ieee1284_interrupt, "", "");
KSYMTAB_FUNC(parport_ieee1284_ecp_write_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_ecp_read_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_ecp_write_addr, "", "");
KSYMTAB_FUNC(parport_ieee1284_write_compat, "", "");
KSYMTAB_FUNC(parport_ieee1284_read_nibble, "", "");
KSYMTAB_FUNC(parport_ieee1284_read_byte, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_write_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_read_data, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_write_addr, "", "");
KSYMTAB_FUNC(parport_ieee1284_epp_read_addr, "", "");

SYMBOL_CRC(__parport_register_driver, 0x8f6ceb38, "");
SYMBOL_CRC(parport_unregister_driver, 0x6e4c4fef, "");
SYMBOL_CRC(parport_get_port, 0x327adea6, "");
SYMBOL_CRC(parport_del_port, 0xe7e517ed, "");
SYMBOL_CRC(parport_put_port, 0x0d351bdb, "");
SYMBOL_CRC(parport_register_port, 0xbfe13029, "");
SYMBOL_CRC(parport_announce_port, 0xf3942e1b, "");
SYMBOL_CRC(parport_remove_port, 0x82e21db4, "");
SYMBOL_CRC(parport_register_dev_model, 0x14d64626, "");
SYMBOL_CRC(parport_unregister_device, 0x95e64e7b, "");
SYMBOL_CRC(parport_find_number, 0xecb1dd22, "");
SYMBOL_CRC(parport_find_base, 0x0d5b8ed0, "");
SYMBOL_CRC(parport_claim, 0x172d44b1, "");
SYMBOL_CRC(parport_claim_or_block, 0x07061519, "");
SYMBOL_CRC(parport_release, 0x9a5d4259, "");
SYMBOL_CRC(parport_irq_handler, 0x5e3a3912, "");
SYMBOL_CRC(parport_negotiate, 0x2af2e601, "");
SYMBOL_CRC(parport_write, 0x29200bd9, "");
SYMBOL_CRC(parport_read, 0xfe3e951f, "");
SYMBOL_CRC(parport_wait_peripheral, 0xad46b31d, "");
SYMBOL_CRC(parport_wait_event, 0x4c0c2c60, "");
SYMBOL_CRC(parport_set_timeout, 0x76719619, "");
SYMBOL_CRC(parport_ieee1284_interrupt, 0x4d2a941b, "");
SYMBOL_CRC(parport_ieee1284_ecp_write_data, 0x5692bea9, "");
SYMBOL_CRC(parport_ieee1284_ecp_read_data, 0x6e374f68, "");
SYMBOL_CRC(parport_ieee1284_ecp_write_addr, 0x76cdafb9, "");
SYMBOL_CRC(parport_ieee1284_write_compat, 0x7b000719, "");
SYMBOL_CRC(parport_ieee1284_read_nibble, 0xadd9bf2f, "");
SYMBOL_CRC(parport_ieee1284_read_byte, 0x9dc9c925, "");
SYMBOL_CRC(parport_ieee1284_epp_write_data, 0x13c667a1, "");
SYMBOL_CRC(parport_ieee1284_epp_read_data, 0x2b439bb4, "");
SYMBOL_CRC(parport_ieee1284_epp_write_addr, 0x339976b1, "");
SYMBOL_CRC(parport_ieee1284_epp_read_addr, 0x349252b6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa1d602f7, "try_module_get" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcf2a6966, "up" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xcacf84d9, "bus_for_each_drv" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xca6f58f5, "get_device" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x14c9be9e, "unregister_sysctl_table" },
	{ 0xb79f2512, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xe5af9c72, "bus_for_each_dev" },
	{ 0x78b5b683, "module_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x176adec5, "bus_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x44eff455, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x878c572e, "driver_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa553b00, "device_register" },
	{ 0x21f7e610, "register_sysctl_sz" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xd0d8621b, "strlen" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x52b57bd3, "driver_register" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x26e6d188, "bus_register" },
	{ 0xac6e47b2, "proc_dointvec_minmax" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "96CA2DA0FE8FA404205368E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
