#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0x1fffe486, "_gpl");
SYMBOL_CRC(rio_query_mport, 0xf4e06607, "");
SYMBOL_CRC(rio_alloc_net, 0x727876e5, "_gpl");
SYMBOL_CRC(rio_add_net, 0xc6eb68d7, "_gpl");
SYMBOL_CRC(rio_free_net, 0x7a8cde5f, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0x43f2e6c8, "_gpl");
SYMBOL_CRC(rio_add_device, 0x24923d68, "_gpl");
SYMBOL_CRC(rio_del_device, 0x7fc33fc2, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0xa1bf3d7a, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0x440a3f19, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x425ae9c8, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0x5fcb20bd, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0x68a3bb63, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0xdce930b9, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0xf821ed02, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0x3e77da11, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0x87d96694, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0xee937c12, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0x20a0acb1, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0x7f3dc458, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0x93c38d1f, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0xa295b345, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0x43796b29, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0x8f0e6ede, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0x5fb2e01b, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0xd66b4b1d, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0x1b967745, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0xc4123291, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0xaf99e1c0, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0x6fa8c4c9, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0x324773a3, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0x92dc5834, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0x6d371c05, "_gpl");
SYMBOL_CRC(rio_lock_device, 0x71a55794, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0x0c63c0fb, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0x6fc4040f, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0x1c4c244b, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0x589f287f, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0x2806703c, "_gpl");
SYMBOL_CRC(rio_request_dma, 0xf9beb202, "_gpl");
SYMBOL_CRC(rio_release_dma, 0xd6a25855, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0x44d8bf5b, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0x81600c06, "_gpl");
SYMBOL_CRC(rio_register_scan, 0x55af4014, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0xc231d913, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0x98bf622b, "_gpl");
SYMBOL_CRC(rio_register_mport, 0xf1e3a65d, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0x04e4a6f2, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0xd6e6438a, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0xa716067f, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0x67b03303, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0x5c00d0bc, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0xeb545219, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0xdee44f48, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0xea0fd029, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0x96352e3f, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0x7b1d0455, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0x0def9646, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0xb29f8ba7, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0xa4c89aa8, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0x63eb0c8e, "_gpl");
SYMBOL_CRC(rio_attach_device, 0x2c694e17, "_gpl");
SYMBOL_CRC(rio_mport_class, 0x1fc44323, "_gpl");
SYMBOL_CRC(rio_register_driver, 0x54b76922, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0xac89faa8, "_gpl");
SYMBOL_CRC(rio_bus_type, 0xbc9d1d41, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x8177857e, "_gpl");
SYMBOL_CRC(rio_dev_put, 0x042ff6cd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0xb24e581c, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x59bfc8fb, "dma_release_channel" },
	{ 0x412ab177, "device_for_each_child" },
	{ 0xca6f58f5, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4799b720, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb79f2512, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x78b5b683, "module_put" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x878c572e, "driver_unregister" },
	{ 0x9a5423f3, "class_unregister" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa553b00, "device_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xc5e74216, "release_resource" },
	{ 0x6f132701, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x52b57bd3, "driver_register" },
	{ 0xa6ee30dc, "class_register" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x26e6d188, "bus_register" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "893DA794099224AEA7B22EB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
