#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rpmsg_class, "", "");
KSYMTAB_FUNC(rpmsg_create_channel, "", "");
KSYMTAB_FUNC(rpmsg_release_channel, "", "");
KSYMTAB_FUNC(rpmsg_create_ept, "", "");
KSYMTAB_FUNC(rpmsg_destroy_ept, "", "");
KSYMTAB_FUNC(rpmsg_send, "", "");
KSYMTAB_FUNC(rpmsg_sendto, "", "");
KSYMTAB_FUNC(rpmsg_send_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_trysend, "", "");
KSYMTAB_FUNC(rpmsg_trysendto, "", "");
KSYMTAB_FUNC(rpmsg_poll, "", "");
KSYMTAB_FUNC(rpmsg_trysend_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_set_flow_control, "_gpl", "");
KSYMTAB_FUNC(rpmsg_get_mtu, "", "");
KSYMTAB_FUNC(rpmsg_find_device, "", "");
KSYMTAB_FUNC(rpmsg_register_device_override, "", "");
KSYMTAB_FUNC(rpmsg_register_device, "", "");
KSYMTAB_FUNC(rpmsg_unregister_device, "", "");
KSYMTAB_FUNC(__register_rpmsg_driver, "", "");
KSYMTAB_FUNC(unregister_rpmsg_driver, "", "");

SYMBOL_CRC(rpmsg_class, 0x435f9b1e, "");
SYMBOL_CRC(rpmsg_create_channel, 0xf9a258b9, "");
SYMBOL_CRC(rpmsg_release_channel, 0x26f4157f, "");
SYMBOL_CRC(rpmsg_create_ept, 0x44cce6db, "");
SYMBOL_CRC(rpmsg_destroy_ept, 0x6b302f6a, "");
SYMBOL_CRC(rpmsg_send, 0xbfee7413, "");
SYMBOL_CRC(rpmsg_sendto, 0x94e11ab4, "");
SYMBOL_CRC(rpmsg_send_offchannel, 0x4076e73e, "");
SYMBOL_CRC(rpmsg_trysend, 0xc1421847, "");
SYMBOL_CRC(rpmsg_trysendto, 0x21a74e22, "");
SYMBOL_CRC(rpmsg_poll, 0x4b13f470, "");
SYMBOL_CRC(rpmsg_trysend_offchannel, 0xa7eb783c, "");
SYMBOL_CRC(rpmsg_set_flow_control, 0x23c693b3, "_gpl");
SYMBOL_CRC(rpmsg_get_mtu, 0xdb7ccee0, "");
SYMBOL_CRC(rpmsg_find_device, 0x935f8d8d, "");
SYMBOL_CRC(rpmsg_register_device_override, 0xc3f08cec, "");
SYMBOL_CRC(rpmsg_register_device, 0x91006260, "");
SYMBOL_CRC(rpmsg_unregister_device, 0xe7240947, "");
SYMBOL_CRC(__register_rpmsg_driver, 0xc836757d, "");
SYMBOL_CRC(unregister_rpmsg_driver, 0x0b529283, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xdfe71211, "device_find_child" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x2de6386d, "of_match_device" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfc3f3589, "strscpy_pad" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0xd0d8621b, "strlen" },
	{ 0x3041584e, "driver_set_override" },
	{ 0xa972f676, "device_add" },
	{ 0x37a0cba, "kfree" },
	{ 0xb79f2512, "put_device" },
	{ 0x49f26466, "kstrndup" },
	{ 0x6c1ce5ce, "strcspn" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0x52b57bd3, "driver_register" },
	{ 0x878c572e, "driver_unregister" },
	{ 0xf29300b1, "class_create" },
	{ 0x26e6d188, "bus_register" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x3a5258a4, "class_destroy" },
	{ 0x176adec5, "bus_unregister" },
	{ 0xae352d2e, "of_device_uevent_modalias" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc89eef4b, "of_device_modalias" },
	{ 0xc626d7f1, "dev_pm_domain_detach" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5fcc28fa, "dev_pm_domain_attach" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BFEAC6DA78B78B62E9E2E5A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
