#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0x252b5fe8, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x834d24eb, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x65e1f1e3, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0x54b4a549, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x9cab4c80, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x45847aa7, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x3336be7f, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0x50665312, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0x07ee02a2, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0xaef93adb, "");
SYMBOL_CRC(fcoe_link_speed_update, 0x182998ea, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0x4c957f6a, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0x3a01e167, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x04ebe236, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0xf4a1bfd5, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x1ae2e987, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0xa96ec9dd, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0xe4a7ea3a, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0xf53866cf, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x931c8c10, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0xb994fddc, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0xb2dde133, "");
SYMBOL_CRC(fcoe_transport_detach, 0xccd9bdca, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x4cb05642, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0x2795249f, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0xf0bdb8fc, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0xa4d4c3fa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe51cfc41, "fc_rport_lookup" },
	{ 0x55b90d14, "dev_get_stats" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0x393e67ed, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x581aef1, "fc_lport_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x37a0cba, "kfree" },
	{ 0xd2665db4, "fc_rport_logoff" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa4a4d6eb, "fc_disc_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2bff6dab, "fc_rport_login" },
	{ 0xb23c920b, "skb_queue_purge_reason" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xa116b1b9, "fc_linkdown" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb79f2512, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0x5a9dfbf0, "__kmap_local_page_prot" },
	{ 0xa757a043, "fc_lport_reset" },
	{ 0x176adec5, "bus_unregister" },
	{ 0x2674a316, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf2659707, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x6cb546f5, "fc_lport_set_local_id" },
	{ 0xea5b9de7, "fc_exch_recv" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd1025c1a, "__ethtool_get_link_ksettings" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa553b00, "device_register" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xb0058a14, "fc_vport_id_lookup" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xfa1b229d, "fc_elsct_init" },
	{ 0x2bc95bd4, "memset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xce0eadf8, "fc_disc_config" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0x54e164c0, "fc_fcp_init" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0xa91920b8, "__dev_queue_xmit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7bf2bf9d, "alloc_pages" },
	{ 0x61495dc5, "__folio_put" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x34b1144, "dev_get_by_name" },
	{ 0xbd9b2645, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x87393952, "fc_seq_els_rsp_send" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x840c0d6a, "fc_rport_create" },
	{ 0x677bf446, "_dev_printk" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xfe69f7a8, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x26e6d188, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfb6fe864, "fc_linkup" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "CF291A399B9A54101F0979A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
