#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xd6615dca, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0xdef1d435, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x2bd763ec, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x0fcf5af6, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x9cb7b206, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xcccba38d, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x510e0128, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x481fa06c, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x773178a8, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0xe8842d73, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0xcfce3a3c, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x6954d99e, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x9255381c, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x1dd1c762, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0xbc464ffc, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x9bca43c2, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x17b46606, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd89da37f, "movable_zone" },
	{ 0x7e780431, "kunmap_high" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xec16d432, "iscsi_dbg_trace" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x677bf446, "_dev_printk" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x5a9dfbf0, "__kmap_local_page_prot" },
	{ 0x135828b9, "page_address" },
	{ 0xbd58fc12, "kmap_high" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7c750f9, "crypto_ahash_final" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x656dfac5, "crypto_ahash_digest" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x15a050b0, "skb_prepare_seq_read" },
	{ 0x316bc84e, "skb_seq_read" },
	{ 0x2e60bace, "memcpy" },
	{ 0x787659fc, "skb_abort_seq_read" },
	{ 0xa7e0079d, "iscsi_conn_failure" },
	{ 0x18235c3d, "iscsi_prep_data_out_pdu" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x59f202e9, "iscsi_put_task" },
	{ 0x406ab4ac, "iscsi_conn_setup" },
	{ 0x356b6147, "iscsi_conn_teardown" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xb32662a6, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5152e605, "memcmp" },
	{ 0xaf5d6479, "iscsi_complete_pdu" },
	{ 0xeaf30de4, "iscsi_verify_itt" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x41cc0573, "iscsi_itt_to_ctask" },
	{ 0x64c314b2, "iscsi_get_task" },
	{ 0xbca42a42, "iscsi_update_cmdsn" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xca230e92, "__iscsi_complete_pdu" },
	{ 0xe3733ac6, "iscsi_requeue_task" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "996C9DADF87E43446B7A223");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
