#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_slave_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0x2d80a7da, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x24bb2bcd, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0x320e889e, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x303c0774, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x9df5ad86, "");
SYMBOL_CRC(sas_resume_ha, 0xfbcfb82f, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0x912b8b9f, "");
SYMBOL_CRC(sas_suspend_ha, 0xaed1cc29, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x4f620ab7, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x8a32350f, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x75f15fca, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x0ab0ff35, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x07c645fe, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0x157e60ae, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x48061910, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x529ce5d3, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x107608f4, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xf3654cd6, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0xcbc433b3, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x80003f12, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x599fb84c, "_gpl");
SYMBOL_CRC(sas_slave_configure, 0x2a3f584b, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xf12eb7bf, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x69ae9718, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x7b86868c, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0xf2162c0b, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x7544325b, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0xeeaa1e8f, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0x7d233590, "_gpl");
SYMBOL_CRC(sas_query_task, 0xd3a01b05, "_gpl");
SYMBOL_CRC(sas_abort_task, 0xd8253719, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x2abcfdf0, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x33eea119, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xc6b64db4, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x4216bfb4, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x563b66f2, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0xf625b4ec, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xf6b8dddf, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0x9a92cda5, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0x25186415, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8497d342, "ata_qc_complete" },
	{ 0x770079fb, "ata_sas_scsi_ioctl" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x41b23339, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xdf11ac1, "bsg_job_done" },
	{ 0x3aa31853, "ata_sas_queuecmd" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x2a776d35, "sas_rphy_unlink" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x90ac1162, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3bc91525, "scsi_schedule_eh" },
	{ 0x8038b133, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x8c9566f8, "ata_host_init" },
	{ 0xd834e45e, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x2e60bace, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x1e703dcb, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x6c9a85d9, "sas_port_get_phy" },
	{ 0x67290bf, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x538605db, "kmem_cache_create" },
	{ 0xca6f58f5, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1c419f8a, "ata_wait_after_reset" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x7d2e579d, "sas_phy_alloc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb79f2512, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xad8dfa09, "ata_sas_tport_delete" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x894683d1, "kmem_cache_alloc" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x197cc622, "sas_phy_free" },
	{ 0x8242a6a5, "scsi_eh_finish_cmd" },
	{ 0x4a4c8a9b, "ata_noop_qc_prep" },
	{ 0x182e3b06, "ata_sas_port_alloc" },
	{ 0xb27a8f8c, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x94fe8e8f, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xeca4c6f4, "sas_port_mark_backlink" },
	{ 0x19e22e41, "kmem_cache_free" },
	{ 0x23a44520, "ata_link_abort" },
	{ 0x8b35aa28, "ata_std_qc_defer" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa30a42f9, "ata_scsi_port_error_handler" },
	{ 0x477261c1, "ata_change_queue_depth" },
	{ 0xfe0a4c69, "ata_port_probe" },
	{ 0xd8b5f3bf, "ata_std_error_handler" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x3d4dc125, "sas_end_device_alloc" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x875e1c6, "sas_read_port_mode_page" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf11b7426, "sas_expander_alloc" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xa2760a90, "sas_rphy_delete" },
	{ 0xc16a85fd, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xb33554a5, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xffa97116, "scsi_host_busy" },
	{ 0x63e80f59, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4a17536d, "ata_sas_port_suspend" },
	{ 0x609c006f, "sas_rphy_add" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x81d3b85d, "sas_port_delete_phy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcc0a778c, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb951850, "sas_port_add_phy" },
	{ 0x96812816, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xd61fdf31, "ata_sas_slave_configure" },
	{ 0x8dce4fb2, "blk_mq_tagset_busy_iter" },
	{ 0x15c89212, "scsi_done" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x510a8eb0, "scsi_unblock_requests" },
	{ 0x3c3d2e19, "sas_phy_add" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0xbdebd2aa, "ata_host_put" },
	{ 0x677ab733, "sas_port_free" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xaea920de, "ata_std_sched_eh" },
	{ 0xe689c28a, "scsi_block_requests" },
	{ 0x808a203a, "blk_abort_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0x7776dac3, "sas_remove_children" },
	{ 0x9d09b1a4, "scsi_change_queue_depth" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x376d689b, "ata_port_wait_eh" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x3b259352, "kmem_cache_destroy" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "561D0304B5DE6A7CD407F88");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
