#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qlt_unreg_sess, "", "");
KSYMTAB_FUNC(qlt_stop_phase1, "", "");
KSYMTAB_FUNC(qlt_stop_phase2, "", "");
KSYMTAB_FUNC(qlt_free_mcmd, "", "");
KSYMTAB_FUNC(qlt_xmit_tm_rsp, "", "");
KSYMTAB_FUNC(qlt_xmit_response, "", "");
KSYMTAB_FUNC(qlt_rdy_to_xfer, "", "");
KSYMTAB_FUNC(qlt_abort_cmd, "", "");
KSYMTAB_FUNC(qlt_free_cmd, "", "");
KSYMTAB_FUNC(qlt_lport_register, "", "");
KSYMTAB_FUNC(qlt_lport_deregister, "", "");
KSYMTAB_FUNC(qlt_enable_vha, "", "");

SYMBOL_CRC(qlt_unreg_sess, 0x7f59dead, "");
SYMBOL_CRC(qlt_stop_phase1, 0xce67f4b0, "");
SYMBOL_CRC(qlt_stop_phase2, 0x7f7cdda2, "");
SYMBOL_CRC(qlt_free_mcmd, 0x4b79e9bf, "");
SYMBOL_CRC(qlt_xmit_tm_rsp, 0x262b52b2, "");
SYMBOL_CRC(qlt_xmit_response, 0x7364f46d, "");
SYMBOL_CRC(qlt_rdy_to_xfer, 0xc136accc, "");
SYMBOL_CRC(qlt_abort_cmd, 0xe128a5da, "");
SYMBOL_CRC(qlt_free_cmd, 0x6c98446e, "");
SYMBOL_CRC(qlt_lport_register, 0xd0cad02c, "");
SYMBOL_CRC(qlt_lport_deregister, 0x154ede73, "");
SYMBOL_CRC(qlt_enable_vha, 0x32517a9a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d32b8ea, "param_ops_ullong" },
	{ 0xe914e41e, "strcpy" },
	{ 0x50fb7e12, "pci_save_state" },
	{ 0xef92ef33, "btree_last" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd7c9bfc0, "pcie_capability_read_word" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x61a7a088, "fc_attach_transport" },
	{ 0x4cf3bbaf, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3a04602, "btree_geo64" },
	{ 0x917161a5, "debugfs_attr_write" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0x2f33f0d, "dma_pool_create" },
	{ 0x9d79077f, "pci_request_selected_regions" },
	{ 0xa4da833, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x906af335, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x444879d, "pci_enable_device_mem" },
	{ 0xdf11ac1, "bsg_job_done" },
	{ 0x50df94f5, "btree_insert" },
	{ 0xe31abc75, "pci_alloc_irq_vectors" },
	{ 0x231cafc0, "fc_remote_port_add" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb09ce576, "scsi_remove_host" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x144459c9, "scsi_build_sense" },
	{ 0x78a240e6, "dma_unmap_page_attrs" },
	{ 0x827f924e, "vmalloc_array" },
	{ 0x8038b133, "request_firmware" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x64c5034d, "fc_remove_host" },
	{ 0x164b8581, "__pci_register_driver" },
	{ 0x916751ab, "set_user_nice" },
	{ 0x9d4bfeef, "dma_sync_single_for_device" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0x8cd9fc75, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x427df015, "pci_request_regions" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x1bde0617, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x50888233, "seq_lseek" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x5540bc07, "pci_clear_mwi" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf5c5bbf9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x91c81111, "fc_eh_timed_out" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf3b95d79, "btree_remove" },
	{ 0xea65216c, "pci_irq_vector" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0xda6bd025, "pci_try_set_mwi" },
	{ 0x538605db, "kmem_cache_create" },
	{ 0xca6f58f5, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc3bffcab, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0xdbfe58f5, "trace_array_put" },
	{ 0x77db385a, "pci_read_config_dword" },
	{ 0xa0380c5d, "dma_map_page_attrs" },
	{ 0x67f31ed5, "irq_set_affinity_notifier" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8a1df967, "blk_mq_pci_map_queues" },
	{ 0xee4b159d, "fc_block_scsi_eh" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0xf331236f, "btree_geo32" },
	{ 0xbc435770, "dump_stack" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1953c958, "mempool_create" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x50119b53, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x738803e6, "strnlen" },
	{ 0xa53575a5, "scsi_host_get" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x9fa4564a, "timer_shutdown" },
	{ 0x94ffe8a4, "fc_host_post_event" },
	{ 0x894683d1, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xce621864, "pci_select_bars" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x64e1809a, "fc_release_transport" },
	{ 0xc88a8efa, "pci_set_mwi" },
	{ 0xede9a09a, "btree_lookup" },
	{ 0x60476060, "pci_find_capability" },
	{ 0xaf977a5e, "debugfs_attr_read" },
	{ 0xf7afb369, "btree_init" },
	{ 0x4f9a6537, "kobject_uevent_env" },
	{ 0x7f6a9389, "pci_clear_master" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x12981f50, "blk_queue_update_dma_alignment" },
	{ 0xe911bf42, "fc_vport_create" },
	{ 0xc277a859, "scsi_host_put" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc8a6d085, "simple_attr_release" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x343b01b1, "noop_llseek" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa10de976, "fc_remote_port_rolechg" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x19e22e41, "kmem_cache_free" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0xb6235505, "scsi_scan_host" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x250113b4, "memory_read_from_buffer" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x937603b5, "pci_read_config_word" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc5a77435, "seq_putc" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xc454637b, "fc_vport_terminate" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb11d8f4d, "fc_block_rport" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0x1ffa005b, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd8469628, "trace_array_get_by_name" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbfca4256, "sg_copy_buffer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1eef6d16, "pci_restore_state" },
	{ 0x2bc95bd4, "memset" },
	{ 0x9133b30, "pci_alloc_irq_vectors_affinity" },
	{ 0xc16a85fd, "scsi_is_host_device" },
	{ 0x42c215f, "pci_set_master" },
	{ 0xcfbd2b4d, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd860f4cf, "dma_get_required_mask" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa91c447b, "blk_mq_unique_tag" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc4e9b676, "kthread_create_on_node" },
	{ 0x3830296a, "dma_set_coherent_mask" },
	{ 0xe2fd670b, "seq_read" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x32dd15ec, "trace_array_set_clr_event" },
	{ 0xeea0399, "strscpy" },
	{ 0x6c1ce5ce, "strcspn" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x9ace972c, "fc_host_fpin_rcv" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x759bfe36, "btree_destroy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x878c2c7e, "scmd_printk" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0x4f2593f0, "btree_update" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdb1fd043, "pci_write_config_byte" },
	{ 0xf45309cd, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf0c5c03c, "__register_chrdev" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf704a9d8, "fc_eh_should_retry_cmd" },
	{ 0x79f3e921, "pcie_capability_read_dword" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x3c0b933a, "scsi_is_fc_rport" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0xc8836361, "seq_puts" },
	{ 0x15c89212, "scsi_done" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x890fa0fa, "btree_get_prev" },
	{ 0x88d47c17, "single_release" },
	{ 0x510a8eb0, "scsi_unblock_requests" },
	{ 0xa777ef29, "pcie_set_readrq" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x6f410d6d, "pci_disable_rom" },
	{ 0x6a1a827e, "dma_unmap_sg_attrs" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x8ad5520b, "pci_irq_get_affinity" },
	{ 0xe689c28a, "scsi_block_requests" },
	{ 0x135828b9, "page_address" },
	{ 0x506a8cef, "scsi_add_host_with_dma" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x1350fd72, "pci_read_config_byte" },
	{ 0xd0d8621b, "strlen" },
	{ 0x6f132701, "param_ops_int" },
	{ 0xd12e564, "nvme_fc_register_remoteport" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x89ba77c3, "single_open" },
	{ 0x7cb76dfa, "scsi_host_alloc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0x961cb595, "pci_write_config_word" },
	{ 0x3ebd3eca, "sysfs_remove_bin_file" },
	{ 0xcc21fc93, "pci_free_irq_vectors" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0xf9cfcd9c, "nvme_fc_register_localport" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x9d09b1a4, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x38acf55c, "pcix_set_mmrbc" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0x3b259352, "kmem_cache_destroy" },
	{ 0x3f663b87, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,nvme-fc,scsi_mod,scsi_common");

MODULE_ALIAS("pci:v00001077d00002100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d0000F001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002071sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002271sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002261sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002281sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002289sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "DEF95796CA89E17AD932956");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
