#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(spi_dv_device, "", "");
KSYMTAB_FUNC(spi_schedule_dv_device, "", "");
KSYMTAB_FUNC(spi_display_xfer_agreement, "", "");
KSYMTAB_FUNC(spi_populate_width_msg, "_gpl", "");
KSYMTAB_FUNC(spi_populate_sync_msg, "_gpl", "");
KSYMTAB_FUNC(spi_populate_ppr_msg, "_gpl", "");
KSYMTAB_FUNC(spi_populate_tag_msg, "_gpl", "");
KSYMTAB_FUNC(spi_print_msg, "", "");
KSYMTAB_FUNC(spi_attach_transport, "", "");
KSYMTAB_FUNC(spi_release_transport, "", "");

SYMBOL_CRC(spi_dv_device, 0x3b99efae, "");
SYMBOL_CRC(spi_schedule_dv_device, 0xffe26dbe, "");
SYMBOL_CRC(spi_display_xfer_agreement, 0xaa997d3d, "");
SYMBOL_CRC(spi_populate_width_msg, 0xcffa2aff, "_gpl");
SYMBOL_CRC(spi_populate_sync_msg, 0xa0c71dac, "_gpl");
SYMBOL_CRC(spi_populate_ppr_msg, 0x0ef06974, "_gpl");
SYMBOL_CRC(spi_populate_tag_msg, 0x44e03403, "_gpl");
SYMBOL_CRC(spi_print_msg, 0x3686ea09, "");
SYMBOL_CRC(spi_attach_transport, 0x018e2d33, "");
SYMBOL_CRC(spi_release_transport, 0x5cb60696, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x677bf446, "_dev_printk" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x84204839, "scsi_execute_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5d309d51, "scsi_device_set_state" },
	{ 0x5152e605, "memcmp" },
	{ 0x5f80cfef, "sdev_prefix_printk" },
	{ 0xc16a85fd, "scsi_is_host_device" },
	{ 0x412ab177, "device_for_each_child" },
	{ 0x2f90a6db, "scsi_is_sdev_device" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x921a3da0, "sysfs_update_group" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x204c5067, "scsi_dev_info_add_list" },
	{ 0x2733eaf7, "scsi_dev_info_list_add_keyed" },
	{ 0x10a39279, "transport_class_register" },
	{ 0xa13fa4c7, "anon_transport_class_register" },
	{ 0xecb17ee9, "scsi_get_device_flags_keyed" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x28e53104, "transport_class_unregister" },
	{ 0xfd42320d, "anon_transport_class_unregister" },
	{ 0x97bdfa60, "scsi_dev_info_remove_list" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x1c6651ab, "scsi_autopm_get_device" },
	{ 0xbe3034c8, "scsi_device_get" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xe0364dd8, "scsi_device_quiesce" },
	{ 0xc1ca829, "scsi_target_quiesce" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa3f38447, "scsi_target_resume" },
	{ 0x37a0cba, "kfree" },
	{ 0x7c0df253, "scsi_device_put" },
	{ 0xaf80837d, "scsi_autopm_put_device" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xef45a5e, "attribute_container_register" },
	{ 0x5bf5f4, "attribute_container_unregister" },
	{ 0xfb42b57a, "sysfs_chmod_file" },
	{ 0x32d1caac, "scsi_is_target_device" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xd0d8621b, "strlen" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "032374C2F693DC771B54786");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
