#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x74314e4e, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0xe7c9ba88, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x499ad1e2, "");
SYMBOL_CRC(sdw_intel_startup, 0xecceeceb, "");
SYMBOL_CRC(sdw_intel_exit, 0xe87135f5, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0x1a77905f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ed4a10d, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x4cf3bbaf, "simple_attr_open" },
	{ 0x917161a5, "debugfs_attr_write" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xf4d9a5b5, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x4c54f0f4, "sdw_cdns_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2f017a5, "sdw_cdns_clock_restart" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa518bc1a, "sdw_cdns_debugfs_init" },
	{ 0x9c0c7b62, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0x6ebf0d27, "pm_runtime_set_autosuspend_delay" },
	{ 0xb33a1b14, "sdw_bus_master_add" },
	{ 0xbe274283, "sdw_cdns_enable_interrupt" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xf0537372, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9b8456c, "sdw_cdns_is_clock_stop" },
	{ 0x50888233, "seq_lseek" },
	{ 0x23be613e, "sdw_cdns_config_update_set_wait" },
	{ 0x412ab177, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8eb01775, "sdw_cdns_config_stream" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0xc02047e5, "auxiliary_driver_unregister" },
	{ 0x262ffc0e, "devm_snd_soc_register_component" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x2f353e6, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb79f2512, "put_device" },
	{ 0xd7569038, "cdns_set_sdw_stream" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0xd0f5f3e6, "fwnode_property_read_u32_array" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x5ece50b6, "sdw_clear_slave_status" },
	{ 0xaf977a5e, "debugfs_attr_read" },
	{ 0x28fa80ac, "sdw_stream_remove_master" },
	{ 0xf6aaab5, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0x2777d99a, "sdw_cdns_exit_reset" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc8a6d085, "simple_attr_release" },
	{ 0x24770071, "__auxiliary_device_add" },
	{ 0x190bf002, "sdw_cdns_alloc_pdi" },
	{ 0xc0acafd2, "sdw_cdns_clock_stop" },
	{ 0x71b623b, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0xebc95951, "cdns_xfer_msg_defer" },
	{ 0xf1ec769f, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x7ce71b17, "device_del" },
	{ 0xa7d87f19, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbef5113b, "devm_kasprintf" },
	{ 0xdd5eaeab, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0xe2fd670b, "seq_read" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0xcd41272f, "sdw_stream_add_master" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x712281bb, "cdns_read_ping_status" },
	{ 0x45cf3ab, "acpi_fetch_acpi_dev" },
	{ 0x64597eb, "device_get_named_child_node" },
	{ 0xc292113e, "sdw_cdns_probe" },
	{ 0x55e9fe0d, "sdw_cdns_config_update" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xdc5aad6d, "sdw_bus_master_delete" },
	{ 0x88d47c17, "single_release" },
	{ 0xf538dbc6, "__auxiliary_driver_register" },
	{ 0x6fd68551, "sdw_cdns_check_self_clearing_bits" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xca6b6055, "__pm_runtime_use_autosuspend" },
	{ 0x10750976, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0x89ba77c3, "single_open" },
	{ 0xad47881, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0x3bc3dcd1, "sdw_master_read_prop" },
	{ 0x44a0b14c, "sdw_compute_params" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,snd-soc-core,soundwire-generic-allocation,snd-pcm");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "BFBA7E62BCD50C7B9EBCF32");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
