#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_device_from_of, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0x76f1848d, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0x1de7ba8d, "_gpl");
SYMBOL_CRC(spmi_register_read, 0x322abc3c, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0x2a917481, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0xd3652926, "_gpl");
SYMBOL_CRC(spmi_register_write, 0x0c0c62a4, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0xcc73bced, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0xea5da2bd, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0x336ff1a1, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0x71d2113b, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0x75848526, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0xbbcfc236, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0xa6fa453a, "_gpl");
SYMBOL_CRC(spmi_device_from_of, 0x69f901be, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0xfb7c6343, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0xc2714657, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0xae447869, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0xcd05efa6, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0x34bf7646, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x497629f5, "bpf_trace_run5" },
	{ 0xe1125ab1, "bpf_trace_run4" },
	{ 0x22391572, "bpf_trace_run3" },
	{ 0x4147afd2, "bpf_trace_run6" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xa972f676, "device_add" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0xae352d2e, "of_device_uevent_modalias" },
	{ 0xb8323c01, "device_match_of_node" },
	{ 0xa75005c7, "bus_find_device" },
	{ 0x52b57bd3, "driver_register" },
	{ 0x176adec5, "bus_unregister" },
	{ 0x26e6d188, "bus_register" },
	{ 0x412ab177, "device_for_each_child" },
	{ 0x7ce71b17, "device_del" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb79f2512, "put_device" },
	{ 0x2de6386d, "of_match_device" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x62d6ce6c, "of_get_next_available_child" },
	{ 0x352f907f, "of_property_read_variable_u32_array" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "287B1CB5A19569B0EC9AE97");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
