#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(atomisp_get_platform_data, "_gpl", "");
KSYMTAB_FUNC(atomisp_register_i2c_module, "_gpl", "");
KSYMTAB_FUNC(atomisp_gmin_remove_subdev, "_gpl", "");
KSYMTAB_FUNC(atomisp_register_sensor_no_gmin, "_gpl", "");
KSYMTAB_FUNC(atomisp_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(gmin_camera_platform_data, "_gpl", "");
KSYMTAB_FUNC(atomisp_gmin_register_vcm_control, "_gpl", "");
KSYMTAB_FUNC(gmin_get_var_int, "_gpl", "");

SYMBOL_CRC(atomisp_get_platform_data, 0x1101f6cb, "_gpl");
SYMBOL_CRC(atomisp_register_i2c_module, 0x7fed11ef, "_gpl");
SYMBOL_CRC(atomisp_gmin_remove_subdev, 0xb8c15375, "_gpl");
SYMBOL_CRC(atomisp_register_sensor_no_gmin, 0xc33541ae, "_gpl");
SYMBOL_CRC(atomisp_unregister_subdev, 0x18dd00b8, "_gpl");
SYMBOL_CRC(gmin_camera_platform_data, 0xd1722243, "_gpl");
SYMBOL_CRC(atomisp_gmin_register_vcm_control, 0xe4363b09, "_gpl");
SYMBOL_CRC(gmin_get_var_int, 0x9a0ef083, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xd808e35d, "is_acpi_device_node" },
	{ 0xb52ab8e1, "acpi_device_set_power" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0x37a0cba, "kfree" },
	{ 0xa3cc3d14, "acpi_get_name" },
	{ 0x738803e6, "strnlen" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x656216cc, "gpiod_set_value" },
	{ 0xe37117d0, "regulator_enable" },
	{ 0x83a24b80, "regulator_disable" },
	{ 0x2d393f48, "intel_soc_pmic_exec_mipi_pmic_seq_element" },
	{ 0x7c9ef575, "acpi_dev_get_first_match_dev" },
	{ 0x4a52af, "device_match_acpi_dev" },
	{ 0xf62a2a3b, "i2c_bus_type" },
	{ 0xa75005c7, "bus_find_device" },
	{ 0xb79f2512, "put_device" },
	{ 0x2928a9fa, "i2c_verify_client" },
	{ 0xa10005e6, "gpiod_put" },
	{ 0x33fd3aa8, "regulator_put" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xd0d8621b, "strlen" },
	{ 0xeea0399, "strscpy" },
	{ 0xdc1b5e99, "efi" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x6f3cad0f, "boot_cpu_data" },
	{ 0xb136917, "__dev_fwnode" },
	{ 0x32ece5d7, "gpiod_get_index" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x27823b7b, "devm_clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x787d5e79, "regulator_get" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x47229b5c, "gpio_request" },
	{ 0xabca26e4, "gpio_to_desc" },
	{ 0x1c324f69, "gpiod_direction_output_raw" },
	{ 0x52629977, "gpiod_set_raw_value" },
	{ 0xadf72dd2, "regulator_set_voltage" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "88BCC96ABC80829E12E7F12");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
