#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(ieee80211_rx, "", "");
KSYMTAB_FUNC(ieee80211_rx_mgt, "", "");
KSYMTAB_FUNC(ieee80211_is_54g, "", "");
KSYMTAB_FUNC(ieee80211_is_shortslot, "", "");
KSYMTAB_FUNC(ieee80211_softmac_scan_syncro, "", "");
KSYMTAB_FUNC(ieee80211_stop_send_beacons, "", "");
KSYMTAB_FUNC(ieee80211_start_send_beacons, "", "");
KSYMTAB_FUNC(ieee80211_stop_scan, "", "");
KSYMTAB_FUNC(ieee80211_start_scan_syncro, "", "");
KSYMTAB_FUNC(ieee80211_ps_tx_ack, "", "");
KSYMTAB_FUNC(ieee80211_softmac_xmit, "", "");
KSYMTAB_FUNC(ieee80211_reset_queue, "", "");
KSYMTAB_FUNC(ieee80211_wake_queue_rsl, "", "");
KSYMTAB_FUNC(ieee80211_stop_queue_rsl, "", "");
KSYMTAB_FUNC(ieee80211_disassociate, "", "");
KSYMTAB_FUNC(ieee80211_get_beacon, "", "");
KSYMTAB_FUNC(ieee80211_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(ieee80211_softmac_start_protocol, "", "");
KSYMTAB_FUNC(SendDisassociation_rsl, "", "");
KSYMTAB_FUNC(ieee80211_wpa_supplicant_ioctl, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event_rsl, "", "");
KSYMTAB_FUNC(ieee80211_txb_free, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_scan, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_encode, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_encode, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_encode_ext, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_mlme, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_auth, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_gen_ie, "", "");
KSYMTAB_DATA(ieee80211_wlan_frequencies, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_freq, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_freq, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_wap, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_wap, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_essid, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_rate, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_rate, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_rts, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_rts, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_mode, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_scan, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_essid, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_mode, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_rawtx, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_name, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_power, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_power, "", "");
KSYMTAB_FUNC(HTUpdateSelfAndPeerSetting, "", "");
KSYMTAB_FUNC(rtl8192u_dot11d_init, "", "");
KSYMTAB_FUNC(dot11d_reset, "", "");
KSYMTAB_FUNC(dot11d_update_country_ie, "", "");
KSYMTAB_FUNC(dot11d_get_max_tx_pwr_in_dbm, "", "");
KSYMTAB_FUNC(dot11d_scan_complete, "", "");
KSYMTAB_FUNC(is_legal_channel, "", "");
KSYMTAB_FUNC(to_legal_channel, "", "");

SYMBOL_CRC(ieee80211_rx, 0xb658069d, "");
SYMBOL_CRC(ieee80211_rx_mgt, 0xb49c4629, "");
SYMBOL_CRC(ieee80211_is_54g, 0x66979591, "");
SYMBOL_CRC(ieee80211_is_shortslot, 0xe825617f, "");
SYMBOL_CRC(ieee80211_softmac_scan_syncro, 0x4d9ea885, "");
SYMBOL_CRC(ieee80211_stop_send_beacons, 0xc30de4f1, "");
SYMBOL_CRC(ieee80211_start_send_beacons, 0x3180deee, "");
SYMBOL_CRC(ieee80211_stop_scan, 0x267bec75, "");
SYMBOL_CRC(ieee80211_start_scan_syncro, 0xa870ee2a, "");
SYMBOL_CRC(ieee80211_ps_tx_ack, 0x0f62d6f6, "");
SYMBOL_CRC(ieee80211_softmac_xmit, 0xb4c2e52a, "");
SYMBOL_CRC(ieee80211_reset_queue, 0xf65b61f3, "");
SYMBOL_CRC(ieee80211_wake_queue_rsl, 0x1293b3dc, "");
SYMBOL_CRC(ieee80211_stop_queue_rsl, 0x1f452747, "");
SYMBOL_CRC(ieee80211_disassociate, 0x91024738, "");
SYMBOL_CRC(ieee80211_get_beacon, 0x58797729, "");
SYMBOL_CRC(ieee80211_softmac_stop_protocol, 0x4b548a97, "");
SYMBOL_CRC(ieee80211_softmac_start_protocol, 0xee7f50cc, "");
SYMBOL_CRC(SendDisassociation_rsl, 0x38091fbe, "");
SYMBOL_CRC(ieee80211_wpa_supplicant_ioctl, 0x690ce3be, "");
SYMBOL_CRC(notify_wx_assoc_event_rsl, 0x50177dad, "");
SYMBOL_CRC(ieee80211_txb_free, 0x3606cd6d, "");
SYMBOL_CRC(ieee80211_wx_get_scan, 0x88f51cb1, "");
SYMBOL_CRC(ieee80211_wx_set_encode, 0x7d524849, "");
SYMBOL_CRC(ieee80211_wx_get_encode, 0xb9ba0ad6, "");
SYMBOL_CRC(ieee80211_wx_set_encode_ext, 0x3811bed3, "");
SYMBOL_CRC(ieee80211_wx_get_encode_ext, 0xa48269c2, "");
SYMBOL_CRC(ieee80211_wx_set_mlme, 0x81bb52f5, "");
SYMBOL_CRC(ieee80211_wx_set_auth, 0x15e769ad, "");
SYMBOL_CRC(ieee80211_wx_set_gen_ie, 0xff5a6eaf, "");
SYMBOL_CRC(ieee80211_wlan_frequencies, 0x232e7944, "");
SYMBOL_CRC(ieee80211_wx_set_freq, 0x7c45c1a8, "");
SYMBOL_CRC(ieee80211_wx_get_freq, 0xa749d831, "");
SYMBOL_CRC(ieee80211_wx_get_wap, 0xf4ea594e, "");
SYMBOL_CRC(ieee80211_wx_set_wap, 0x433a1664, "");
SYMBOL_CRC(ieee80211_wx_get_essid, 0x798cfb51, "");
SYMBOL_CRC(ieee80211_wx_set_rate, 0x6501518f, "");
SYMBOL_CRC(ieee80211_wx_get_rate, 0xbe0d4816, "");
SYMBOL_CRC(ieee80211_wx_set_rts, 0x31cfa9b9, "");
SYMBOL_CRC(ieee80211_wx_get_rts, 0x861fe693, "");
SYMBOL_CRC(ieee80211_wx_set_mode, 0x5365f5a8, "");
SYMBOL_CRC(ieee80211_wx_set_scan, 0x53f90528, "");
SYMBOL_CRC(ieee80211_wx_set_essid, 0xf084dca8, "");
SYMBOL_CRC(ieee80211_wx_get_mode, 0x8869ec31, "");
SYMBOL_CRC(ieee80211_wx_set_rawtx, 0x9adbe753, "");
SYMBOL_CRC(ieee80211_wx_get_name, 0xfd1f20c0, "");
SYMBOL_CRC(ieee80211_wx_set_power, 0x0bf38516, "");
SYMBOL_CRC(ieee80211_wx_get_power, 0x82fba2ef, "");
SYMBOL_CRC(HTUpdateSelfAndPeerSetting, 0x595bb915, "");
SYMBOL_CRC(rtl8192u_dot11d_init, 0x256326b3, "");
SYMBOL_CRC(dot11d_reset, 0x55df7383, "");
SYMBOL_CRC(dot11d_update_country_ie, 0x3e36c6f3, "");
SYMBOL_CRC(dot11d_get_max_tx_pwr_in_dbm, 0x0022216c, "");
SYMBOL_CRC(dot11d_scan_complete, 0x5c012465, "");
SYMBOL_CRC(is_legal_channel, 0x016df5f0, "");
SYMBOL_CRC(to_legal_channel, 0x049da8a9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5ef8693, "alloc_etherdev_mqs" },
	{ 0x7e45b202, "usb_alloc_urb" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0xcf6342ef, "usb_free_urb" },
	{ 0x393e67ed, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6bf789f1, "proc_create" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x7db77141, "unregister_netdev" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x8038b133, "request_firmware" },
	{ 0xb261d373, "usb_register_driver" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xb6152a5a, "dev_trans_start" },
	{ 0x2b1d7ab0, "dev_alloc_name" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x50888233, "seq_lseek" },
	{ 0x6b238f49, "eth_validate_addr" },
	{ 0x5cbde374, "crypto_alloc_aead" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x653c3fdf, "netdev_warn" },
	{ 0x1f26030c, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x61e14e53, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb17627b5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb23c920b, "skb_queue_purge_reason" },
	{ 0x4ca50989, "dev_addr_mod" },
	{ 0xa09cbd7f, "crypto_destroy_tfm" },
	{ 0x9770081, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x738803e6, "strnlen" },
	{ 0xf721d4ba, "usb_submit_urb" },
	{ 0x88db665b, "kstrtoul_from_user" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0x5533d84b, "debugfs_lookup" },
	{ 0x6c693f6f, "crypto_aead_setkey" },
	{ 0x2674a316, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x9644e0a4, "crypto_shash_setkey" },
	{ 0xf2659707, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x7191c0d1, "crypto_aead_encrypt" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0x80c4c319, "crc32_le" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xf40a5563, "usb_control_msg" },
	{ 0xf7688ef1, "wireless_send_event" },
	{ 0xc5a77435, "seq_putc" },
	{ 0x5fb7f766, "register_netdev" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xd29b4321, "free_netdev" },
	{ 0x5275d2cb, "crypto_shash_update" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5beedb84, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe9e8ff2e, "netif_tx_wake_queue" },
	{ 0x10cf8c76, "proc_mkdir" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0xcfbd2b4d, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xce17d262, "netif_rx" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0xa2c069c4, "skb_unlink" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd5eb2283, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x32bc7069, "netdev_alert" },
	{ 0xe2fd670b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3aca1544, "debugfs_rename" },
	{ 0xeea0399, "strscpy" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0xc72c41d5, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x66b7268c, "remove_proc_entry" },
	{ 0xbee9d7dd, "usb_kill_urb" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1d106652, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd9096340, "skb_copy" },
	{ 0x21380ddb, "netif_carrier_on" },
	{ 0xc8836361, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x88d47c17, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x89ba77c3, "single_open" },
	{ 0x16ee9407, "crypto_alloc_shash" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x37b829b7, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "usbcore,libarc4");

MODULE_ALIAS("usb:v0BDAp8709d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp805Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1740p9201d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3301d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0290d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep7A01d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "A71DE2DA5A1DAC194F65A69");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
