#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__tb_ring_enqueue, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll_complete, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_rx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_start, "_gpl", "");
KSYMTAB_FUNC(tb_ring_stop, "_gpl", "");
KSYMTAB_FUNC(tb_ring_free, "_gpl", "");
KSYMTAB_FUNC(tb_property_create_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_free_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_immediate, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_data, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_text, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_remove, "_gpl", "");
KSYMTAB_FUNC(tb_property_find, "_gpl", "");
KSYMTAB_FUNC(tb_property_get_next, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_response, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_request, "_gpl", "");
KSYMTAB_FUNC(tb_register_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_register_service_driver, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_service_driver, "_gpl", "");
KSYMTAB_DATA(tb_service_type, "_gpl", "");
KSYMTAB_DATA(tb_xdomain_type, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_enable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_disable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_enable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_disable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_uuid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_route, "_gpl", "");
KSYMTAB_FUNC(tb_register_property_dir, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_property_dir, "_gpl", "");

SYMBOL_CRC(__tb_ring_enqueue, 0x0a7e9ca4, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0xc93ea4b1, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0x2ffbf90d, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0xaf159614, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x440ce198, "_gpl");
SYMBOL_CRC(tb_ring_start, 0x3e58504e, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0x151606de, "_gpl");
SYMBOL_CRC(tb_ring_free, 0x939973ad, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x01d23ee1, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0x393b4f2f, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0x658e3d97, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xe2697cd4, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0xb7c7cdce, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0x8b62f95e, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x6ceee74b, "_gpl");
SYMBOL_CRC(tb_property_find, 0xc64da6ae, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x86166e8c, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0x462bb074, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0x687cb873, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x36521060, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0x21a31526, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x8031f571, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0x586c5956, "_gpl");
SYMBOL_CRC(tb_service_type, 0x3c04a0b1, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0xd25b4a84, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0xb2a34f1f, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0x68a4bb9e, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0x36170112, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0xa428d97d, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0xe1a2d8b4, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0x9b4a6a79, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0xfd5969a0, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0x295a6293, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0x3c31fac8, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0x62f0ab88, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xf1cfd1ff, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0x603249ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa7d4f847, "pci_find_ext_capability" },
	{ 0xd808e35d, "is_acpi_device_node" },
	{ 0xb30ebe2d, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x17ab3fc5, "devm_request_threaded_irq" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0x2f33f0d, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0xc178387e, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xe31abc75, "pci_alloc_irq_vectors" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0x6ebf0d27, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0x164b8581, "__pci_register_driver" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0x2e60bace, "memcpy" },
	{ 0xc0aeff4, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x50888233, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0xefe1ad8a, "acpi_find_child_by_adr" },
	{ 0x412ab177, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xea65216c, "pci_irq_vector" },
	{ 0xca6f58f5, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc3bffcab, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0xa09cbd7f, "crypto_destroy_tfm" },
	{ 0x77db385a, "pci_read_config_dword" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x95c53e66, "pm_wakeup_dev_event" },
	{ 0x3a8a7b6b, "register_acpi_bus_type" },
	{ 0x4292364c, "schedule" },
	{ 0x7c3e2bfb, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xb79f2512, "put_device" },
	{ 0xa8a003da, "devm_free_irq" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0x90c61492, "device_for_each_child_reverse" },
	{ 0x738803e6, "strnlen" },
	{ 0xe5af9c72, "bus_for_each_dev" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x37f1aa51, "sysfs_create_link" },
	{ 0x49f26466, "kstrndup" },
	{ 0x547e9772, "pcim_iomap_regions" },
	{ 0x4f9a6537, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x176adec5, "bus_unregister" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xb3eef0, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x9644e0a4, "crypto_shash_setkey" },
	{ 0xa75005c7, "bus_find_device" },
	{ 0xa972f676, "device_add" },
	{ 0xdf627054, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x1ff9866c, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x46a44a0e, "pci_device_is_present" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xc6017dc4, "crypto_shash_digest" },
	{ 0xffb7c514, "ida_free" },
	{ 0x878c572e, "driver_unregister" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdfe71211, "device_find_child" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa553b00, "device_register" },
	{ 0x7ce71b17, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xe9b2b4d5, "unregister_acpi_bus_type" },
	{ 0xf604736e, "acpi_get_first_physical_node" },
	{ 0x42c215f, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5cbd8e69, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x33f790f6, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x3830296a, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe2fd670b, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1690844c, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xe8fd12b2, "pm_runtime_forbid" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xa770b57b, "pm_runtime_allow" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x45cf3ab, "acpi_fetch_acpi_dev" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x71d9af4, "kobject_uevent" },
	{ 0xab1c23f2, "device_iommu_capable" },
	{ 0xc8836361, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x88d47c17, "single_release" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xb92f4f5e, "pci_walk_bus" },
	{ 0xbd7ecefa, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x8794727f, "nvmem_register" },
	{ 0x3e26b559, "pcim_iomap_table" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x529311d5, "__pm_runtime_suspend" },
	{ 0xf01ada74, "component_add" },
	{ 0xfc04936c, "fwnode_handle_put" },
	{ 0xd0d8621b, "strlen" },
	{ 0xca6b6055, "__pm_runtime_use_autosuspend" },
	{ 0x89ba77c3, "single_open" },
	{ 0x8ab6993c, "pcim_enable_device" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x16ee9407, "crypto_alloc_shash" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc647797, "device_link_add" },
	{ 0x52b57bd3, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb136917, "__dev_fwnode" },
	{ 0xeb88bafe, "pci_bus_type" },
	{ 0xf29c35e6, "pci_write_config_dword" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x26e6d188, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "F69A18A55CD6B5593A9E6B7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
