#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_local_unipro_ver, "", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dealloc_host, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0xdb0728f9, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0x02b923cf, "_gpl");
SYMBOL_CRC(ufshcd_get_local_unipro_ver, 0x58cde08b, "");
SYMBOL_CRC(ufshcd_hold, 0xc950a7c4, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x1604330f, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x208cf13e, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x2d3ac61f, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0xa076f321, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0x2ea031c1, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x2edcf5d6, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x1ed075cf, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0xd16f502f, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x02a17973, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0xaf595bd4, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0xeaf85fe7, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0xb88283e2, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x540cf6e8, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x5626ff80, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x21c46f88, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x1dfad5a6, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0xdedb2966, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0x44399d0f, "");
SYMBOL_CRC(ufshcd_system_resume, 0x263f0004, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0xdc72c898, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0xbf4a2b46, "");
SYMBOL_CRC(ufshcd_remove, 0x3687b900, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x88b7a808, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0xc6a26c20, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x1c33c44e, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0x6d9f9a65, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x6216a2fd, "");
SYMBOL_CRC(ufshcd_init, 0x16d53a95, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0x1aff643d, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0xfeaf01dc, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0xdf989c49, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0xe9fd0977, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0xbf23a3ed, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x78fc3dab, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0xae788e31, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x34658f94, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x3176b7fa, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0x316a5d76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f55915e, "scsi_dma_map" },
	{ 0xab411062, "scsi_print_sense_hdr" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe37117d0, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x57b32140, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x4cf3bbaf, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe1125ab1, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x17ab3fc5, "devm_request_threaded_irq" },
	{ 0x917161a5, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xe379a1f5, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xaf80837d, "scsi_autopm_put_device" },
	{ 0xbe3034c8, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf3cef637, "bsg_remove_queue" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xdf11ac1, "bsg_job_done" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb801183, "dmam_alloc_attrs" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb09ce576, "scsi_remove_host" },
	{ 0x4147afd2, "bpf_trace_run6" },
	{ 0x6ebf0d27, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x25c253fb, "blk_pm_runtime_init" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x400dac95, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x963fb2e6, "sysfs_remove_groups" },
	{ 0x1d7f6e40, "hwmon_notify_event" },
	{ 0xcf2a6966, "up" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0x22eb8227, "sysfs_create_groups" },
	{ 0xe526f201, "dev_pm_opp_add" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x1bde0617, "scsi_dma_unmap" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x50888233, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf5c5bbf9, "bpf_trace_run2" },
	{ 0x6c5214bb, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xca6f58f5, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x9e9a9cb4, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x27823b7b, "devm_clk_get" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x294e8256, "blk_mq_alloc_tag_set" },
	{ 0x59f7751b, "devfreq_add_device" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x668b595, "_kstrtoul" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x644b2ed5, "scsi_register_driver" },
	{ 0x2a3b1f10, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4532eed3, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xb79f2512, "put_device" },
	{ 0x6c4c3dd6, "blk_mq_free_request" },
	{ 0x1f11cefd, "device_property_read_u32_array" },
	{ 0x1c0f3a57, "devm_regulator_get" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x7c0df253, "scsi_device_put" },
	{ 0x1bd4060f, "device_create_file" },
	{ 0xaf977a5e, "debugfs_attr_read" },
	{ 0x4924dca1, "regulator_set_load" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0x5af8e078, "down_write" },
	{ 0xcde807b1, "devm_kfree" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x12981f50, "blk_queue_update_dma_alignment" },
	{ 0x54d79967, "devfreq_remove_device" },
	{ 0xc277a859, "scsi_host_put" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa972f676, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc8a6d085, "simple_attr_release" },
	{ 0x814d0de8, "hwmon_device_register_with_info" },
	{ 0x6626afca, "down" },
	{ 0x497629f5, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc3b61ac5, "dev_pm_opp_remove" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5f80cfef, "sdev_prefix_printk" },
	{ 0xb6235505, "scsi_scan_host" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0xa59aca23, "device_link_remove" },
	{ 0xd2373f68, "blk_mq_alloc_request" },
	{ 0x878c572e, "driver_unregister" },
	{ 0x3c9ca2be, "blk_queue_update_dma_pad" },
	{ 0x5d258e18, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x10aa36d, "blk_put_queue" },
	{ 0x7ce71b17, "device_del" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x1417546b, "dmam_free_coherent" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xc48d4667, "regulator_count_voltages" },
	{ 0xc16a85fd, "scsi_is_host_device" },
	{ 0xe751b37b, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x59a9bd83, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x143f633e, "blk_mq_init_queue" },
	{ 0xa91c447b, "blk_mq_unique_tag" },
	{ 0x165a6cf1, "bpf_trace_run10" },
	{ 0xe0364dd8, "scsi_device_quiesce" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1c6651ab, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3830296a, "dma_set_coherent_mask" },
	{ 0x41088a03, "scsi_print_command" },
	{ 0xe2fd670b, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xe8fd12b2, "pm_runtime_forbid" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0xdb4d14e1, "param_set_uint_minmax" },
	{ 0xa770b57b, "pm_runtime_allow" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x9556b5eb, "devfreq_suspend_device" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x51a3614f, "blk_mq_destroy_queue" },
	{ 0x84204839, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xcc82e580, "devm_blk_crypto_profile_init" },
	{ 0xf6811ddb, "hwmon_device_unregister" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x8dce4fb2, "blk_mq_tagset_busy_iter" },
	{ 0x15c89212, "scsi_done" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x88d47c17, "single_release" },
	{ 0x510a8eb0, "scsi_unblock_requests" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0x65acf90c, "sbitmap_weight" },
	{ 0x83a24b80, "regulator_disable" },
	{ 0xbd7ecefa, "dev_err_probe" },
	{ 0x6a1a827e, "dma_unmap_sg_attrs" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x68eb0ca2, "scsi_remove_device" },
	{ 0xe689c28a, "scsi_block_requests" },
	{ 0x506a8cef, "scsi_add_host_with_dma" },
	{ 0xd0d8621b, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x89ba77c3, "single_open" },
	{ 0x7cb76dfa, "scsi_host_alloc" },
	{ 0xa827d46, "__scsi_add_device" },
	{ 0x4a4462f1, "devfreq_resume_device" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc647797, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0x29f3a126, "up_read" },
	{ 0x9d09b1a4, "scsi_change_queue_depth" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xf175b0cc, "device_remove_file" },
	{ 0x3f663b87, "dma_map_sg_attrs" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x92b57248, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "79242027B49A07117E3FA59");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
