#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb261d373, "usb_register_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x21041a47, "usb_unlink_urb" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf721d4ba, "usb_submit_urb" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xd0d8621b, "strlen" },
	{ 0xc6cbbc89, "capable" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8499d8f7, "usbatm_usb_probe" },
	{ 0xebc666af, "usb_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xbee9d7dd, "usb_kill_urb" },
	{ 0xcf6342ef, "usb_free_urb" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xa6257a2f, "complete" },
	{ 0x5beedb84, "usb_deregister" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x3b873f0, "usb_bulk_msg" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x7e45b202, "usb_alloc_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8038b133, "request_firmware" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xa8230c16, "usb_clear_halt" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x8774b971, "atm_dev_signal_change" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xf9a482f9, "msleep" },
	{ 0x930d58e2, "usbatm_usb_disconnect" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbatm,atm");

MODULE_ALIAS("usb:v0572pCAFEd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572pCB00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572pCB01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572pCB02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572pCB06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572pCB07d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08E3p0100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08E3p0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p3457d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1803p5510d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0675p0200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p330Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p330Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0659p0020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0509p0812d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v100DpCB01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v100Dp3342d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "DED40E326BF49EE9FD046B4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
