#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_disabled, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints_reverse, "_gpl", "");
KSYMTAB_FUNC(usb_check_bulk_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_check_int_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_alt_setting, "_gpl", "");
KSYMTAB_FUNC(usb_ifnum_to_if, "_gpl", "");
KSYMTAB_FUNC(usb_altnum_to_altsetting, "_gpl", "");
KSYMTAB_FUNC(usb_find_interface, "_gpl", "");
KSYMTAB_FUNC(usb_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_dev, "_gpl", "");
KSYMTAB_FUNC(usb_put_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_intf, "_gpl", "");
KSYMTAB_FUNC(usb_put_intf, "_gpl", "");
KSYMTAB_FUNC(usb_intf_get_dma_device, "_gpl", "");
KSYMTAB_FUNC(usb_lock_device_for_reset, "_gpl", "");
KSYMTAB_FUNC(usb_get_current_frame_number, "_gpl", "");
KSYMTAB_FUNC(__usb_get_extra_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_coherent, "_gpl", "");
KSYMTAB_FUNC(usb_free_coherent, "_gpl", "");
KSYMTAB_DATA(ehci_cf_port_reset_rwsem, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_notification, "_gpl", "");
KSYMTAB_FUNC(usb_hub_clear_tt_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_hub_claim_port, "_gpl", "");
KSYMTAB_FUNC(usb_hub_release_port, "_gpl", "");
KSYMTAB_FUNC(usb_set_device_state, "_gpl", "");
KSYMTAB_FUNC(usb_disable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_enabled_descendants, "_gpl", "");
KSYMTAB_FUNC(usb_root_hub_lost_power, "_gpl", "");
KSYMTAB_FUNC(usb_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_ep0_reinit, "_gpl", "");
KSYMTAB_FUNC(usb_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_queue_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_hub_find_child, "_gpl", "");
KSYMTAB_DATA(usb_hcds_loaded, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr_lock, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_poll_rh_status, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_start_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_end_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_calc_bus_time, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_link_urb_to_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_check_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unlink_urb_from_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_setup_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_map_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_giveback_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_streams, "_gpl", "");
KSYMTAB_FUNC(usb_free_streams, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_resume_root_hub, "_gpl", "");
KSYMTAB_FUNC(usb_bus_start_enum, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_irq, "_gpl", "");
KSYMTAB_FUNC(usb_hc_died, "_gpl", "");
KSYMTAB_FUNC(__usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_shared_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_get_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_put_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_is_primary_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_add_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_remove_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_setup_local_mem, "_gpl", "");
KSYMTAB_FUNC(usb_mon_register, "_gpl", "");
KSYMTAB_FUNC(usb_mon_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_init_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_urb, "_gpl", "");
KSYMTAB_FUNC(usb_free_urb, "_gpl", "");
KSYMTAB_FUNC(usb_get_urb, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unanchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_pipe_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_urb_ep_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_submit_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_urb, "_gpl", "");
KSYMTAB_FUNC(usb_poison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_block_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_poison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_suspend_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_resume_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_wait_anchor_empty_timeout, "_gpl", "");
KSYMTAB_FUNC(usb_get_from_anchor, "_gpl", "");
KSYMTAB_FUNC(usb_scuttle_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_empty, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_send, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_recv, "_gpl", "");
KSYMTAB_FUNC(usb_interrupt_msg, "_gpl", "");
KSYMTAB_FUNC(usb_bulk_msg, "_gpl", "");
KSYMTAB_FUNC(usb_sg_init, "_gpl", "");
KSYMTAB_FUNC(usb_sg_wait, "_gpl", "");
KSYMTAB_FUNC(usb_sg_cancel, "_gpl", "");
KSYMTAB_FUNC(usb_get_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_string, "_gpl", "");
KSYMTAB_FUNC(usb_cache_string, "_gpl", "");
KSYMTAB_FUNC(usb_get_status, "_gpl", "");
KSYMTAB_FUNC(usb_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_reset_endpoint, "_gpl", "");
KSYMTAB_FUNC(usb_set_interface, "_gpl", "");
KSYMTAB_FUNC(usb_reset_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_set_wireless_status, "_gpl", "");
KSYMTAB_FUNC(usb_set_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_driver_set_configuration, "_gpl", "");
KSYMTAB_FUNC(cdc_parse_cdc_header, "", "");
KSYMTAB_FUNC(usb_store_new_id, "_gpl", "");
KSYMTAB_FUNC(usb_show_dynids, "_gpl", "");
KSYMTAB_FUNC(usb_driver_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_driver_release_interface, "_gpl", "");
KSYMTAB_FUNC(usb_match_one_id, "_gpl", "");
KSYMTAB_FUNC(usb_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_device_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_register_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_register_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_enable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_disable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_no_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_no_resume, "_gpl", "");
KSYMTAB_FUNC(usb_register_dev, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_dev, "_gpl", "");
KSYMTAB_FUNC(usb_register_notify, "_gpl", "");
KSYMTAB_FUNC(usb_unregister_notify, "_gpl", "");
KSYMTAB_FUNC(usb_choose_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_init, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_exit, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_set_mode, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_calibrate, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_on, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_off, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_resume, "_gpl", "");
KSYMTAB_FUNC(usb_of_get_device_node, "_gpl", "");
KSYMTAB_FUNC(usb_of_has_combined_node, "_gpl", "");
KSYMTAB_FUNC(usb_of_get_interface_node, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_probe, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_remove, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_shutdown, "_gpl", "");
KSYMTAB_DATA(usb_hcd_pci_pm_ops, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_power_manageable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_port_lpm_incapable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_set_power_state, "_gpl", "");
KSYMTAB_FUNC(onboard_hub_create_pdevs, "_gpl", "");
KSYMTAB_FUNC(onboard_hub_destroy_pdevs, "_gpl", "");

SYMBOL_CRC(usb_disabled, 0x19a304ba, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints, 0x93c7edeb, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints_reverse, 0x1e9c590a, "_gpl");
SYMBOL_CRC(usb_check_bulk_endpoints, 0x54f167c0, "_gpl");
SYMBOL_CRC(usb_check_int_endpoints, 0x2a83f885, "_gpl");
SYMBOL_CRC(usb_find_alt_setting, 0x5cfc4f0f, "_gpl");
SYMBOL_CRC(usb_ifnum_to_if, 0x7d5f6833, "_gpl");
SYMBOL_CRC(usb_altnum_to_altsetting, 0x9130c942, "_gpl");
SYMBOL_CRC(usb_find_interface, 0xab137e03, "_gpl");
SYMBOL_CRC(usb_for_each_dev, 0xe72d0297, "_gpl");
SYMBOL_CRC(usb_alloc_dev, 0xddcb0ba1, "_gpl");
SYMBOL_CRC(usb_get_dev, 0x93a969e0, "_gpl");
SYMBOL_CRC(usb_put_dev, 0x65045172, "_gpl");
SYMBOL_CRC(usb_get_intf, 0x189c7321, "_gpl");
SYMBOL_CRC(usb_put_intf, 0x52c166f1, "_gpl");
SYMBOL_CRC(usb_intf_get_dma_device, 0x7eb049a6, "_gpl");
SYMBOL_CRC(usb_lock_device_for_reset, 0x637caaa9, "_gpl");
SYMBOL_CRC(usb_get_current_frame_number, 0xc48c0823, "_gpl");
SYMBOL_CRC(__usb_get_extra_descriptor, 0x4cf24332, "_gpl");
SYMBOL_CRC(usb_alloc_coherent, 0x4eefbef5, "_gpl");
SYMBOL_CRC(usb_free_coherent, 0xca8d33e1, "_gpl");
SYMBOL_CRC(ehci_cf_port_reset_rwsem, 0x82618415, "_gpl");
SYMBOL_CRC(usb_wakeup_notification, 0xe224cd5f, "_gpl");
SYMBOL_CRC(usb_hub_clear_tt_buffer, 0xcae1c911, "_gpl");
SYMBOL_CRC(usb_hub_claim_port, 0xd5e4fc69, "_gpl");
SYMBOL_CRC(usb_hub_release_port, 0x2d1828c8, "_gpl");
SYMBOL_CRC(usb_set_device_state, 0x415ec1e5, "_gpl");
SYMBOL_CRC(usb_disable_ltm, 0x1e975de6, "_gpl");
SYMBOL_CRC(usb_enable_ltm, 0x1789bc4d, "_gpl");
SYMBOL_CRC(usb_wakeup_enabled_descendants, 0xff091d57, "_gpl");
SYMBOL_CRC(usb_root_hub_lost_power, 0xb6ae5a3c, "_gpl");
SYMBOL_CRC(usb_disable_lpm, 0xc6c8bfe0, "_gpl");
SYMBOL_CRC(usb_unlocked_disable_lpm, 0x8975a985, "_gpl");
SYMBOL_CRC(usb_enable_lpm, 0xcfd65e4b, "_gpl");
SYMBOL_CRC(usb_unlocked_enable_lpm, 0x1218a75c, "_gpl");
SYMBOL_CRC(usb_ep0_reinit, 0x555be850, "_gpl");
SYMBOL_CRC(usb_reset_device, 0xd56b1364, "_gpl");
SYMBOL_CRC(usb_queue_reset_device, 0x4592e5f9, "_gpl");
SYMBOL_CRC(usb_hub_find_child, 0x6f76893f, "_gpl");
SYMBOL_CRC(usb_hcds_loaded, 0xc17515d7, "_gpl");
SYMBOL_CRC(usb_bus_idr, 0x790be0b9, "_gpl");
SYMBOL_CRC(usb_bus_idr_lock, 0xe7740ac6, "_gpl");
SYMBOL_CRC(usb_hcd_poll_rh_status, 0x642c8d8a, "_gpl");
SYMBOL_CRC(usb_hcd_start_port_resume, 0x911cf501, "_gpl");
SYMBOL_CRC(usb_hcd_end_port_resume, 0x7145ca32, "_gpl");
SYMBOL_CRC(usb_calc_bus_time, 0x7e64181d, "_gpl");
SYMBOL_CRC(usb_hcd_link_urb_to_ep, 0x4dc410dd, "_gpl");
SYMBOL_CRC(usb_hcd_check_unlink_urb, 0xbf207115, "_gpl");
SYMBOL_CRC(usb_hcd_unlink_urb_from_ep, 0xe91a9d8f, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_setup_for_dma, 0xacf7d9c0, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_for_dma, 0x931a16e1, "_gpl");
SYMBOL_CRC(usb_hcd_map_urb_for_dma, 0xbd96328a, "_gpl");
SYMBOL_CRC(usb_hcd_giveback_urb, 0x75145225, "_gpl");
SYMBOL_CRC(usb_alloc_streams, 0x8e548d9c, "_gpl");
SYMBOL_CRC(usb_free_streams, 0x8cbd816d, "_gpl");
SYMBOL_CRC(usb_hcd_resume_root_hub, 0x6a405225, "_gpl");
SYMBOL_CRC(usb_bus_start_enum, 0x282b829f, "_gpl");
SYMBOL_CRC(usb_hcd_irq, 0x70cf032f, "_gpl");
SYMBOL_CRC(usb_hc_died, 0x1cd3f91a, "_gpl");
SYMBOL_CRC(__usb_create_hcd, 0x32adaa06, "_gpl");
SYMBOL_CRC(usb_create_shared_hcd, 0xac4f4c54, "_gpl");
SYMBOL_CRC(usb_create_hcd, 0xb151f6ed, "_gpl");
SYMBOL_CRC(usb_get_hcd, 0xdb32a02f, "_gpl");
SYMBOL_CRC(usb_put_hcd, 0x574c2543, "_gpl");
SYMBOL_CRC(usb_hcd_is_primary_hcd, 0x8aade0a5, "_gpl");
SYMBOL_CRC(usb_add_hcd, 0xf82aa6d6, "_gpl");
SYMBOL_CRC(usb_remove_hcd, 0x0a9b0de3, "_gpl");
SYMBOL_CRC(usb_hcd_platform_shutdown, 0xf35e8737, "_gpl");
SYMBOL_CRC(usb_hcd_setup_local_mem, 0x19d1d525, "_gpl");
SYMBOL_CRC(usb_mon_register, 0xde0f5d41, "_gpl");
SYMBOL_CRC(usb_mon_deregister, 0xfed11ed1, "_gpl");
SYMBOL_CRC(usb_init_urb, 0xbf62bd4f, "_gpl");
SYMBOL_CRC(usb_alloc_urb, 0x7e45b202, "_gpl");
SYMBOL_CRC(usb_free_urb, 0xcf6342ef, "_gpl");
SYMBOL_CRC(usb_get_urb, 0xd00cafd1, "_gpl");
SYMBOL_CRC(usb_anchor_urb, 0x4194ad84, "_gpl");
SYMBOL_CRC(usb_unanchor_urb, 0xf700f733, "_gpl");
SYMBOL_CRC(usb_pipe_type_check, 0xd7bd68c0, "_gpl");
SYMBOL_CRC(usb_urb_ep_type_check, 0x5b2b7e0e, "_gpl");
SYMBOL_CRC(usb_submit_urb, 0xf721d4ba, "_gpl");
SYMBOL_CRC(usb_unlink_urb, 0x21041a47, "_gpl");
SYMBOL_CRC(usb_kill_urb, 0xbee9d7dd, "_gpl");
SYMBOL_CRC(usb_poison_urb, 0x5b9b2eaa, "_gpl");
SYMBOL_CRC(usb_unpoison_urb, 0xf2f8893d, "_gpl");
SYMBOL_CRC(usb_block_urb, 0x2c7a6eb1, "_gpl");
SYMBOL_CRC(usb_kill_anchored_urbs, 0x962c8ae1, "_gpl");
SYMBOL_CRC(usb_poison_anchored_urbs, 0x842f046d, "_gpl");
SYMBOL_CRC(usb_unpoison_anchored_urbs, 0x86b13d2a, "_gpl");
SYMBOL_CRC(usb_unlink_anchored_urbs, 0x933f75e0, "_gpl");
SYMBOL_CRC(usb_anchor_suspend_wakeups, 0x79bc842c, "_gpl");
SYMBOL_CRC(usb_anchor_resume_wakeups, 0x40267068, "_gpl");
SYMBOL_CRC(usb_wait_anchor_empty_timeout, 0x407af304, "_gpl");
SYMBOL_CRC(usb_get_from_anchor, 0xd3b54f61, "_gpl");
SYMBOL_CRC(usb_scuttle_anchored_urbs, 0x807766ea, "_gpl");
SYMBOL_CRC(usb_anchor_empty, 0x7e8d8619, "_gpl");
SYMBOL_CRC(usb_control_msg, 0xf40a5563, "_gpl");
SYMBOL_CRC(usb_control_msg_send, 0x52eed141, "_gpl");
SYMBOL_CRC(usb_control_msg_recv, 0x251ddf3a, "_gpl");
SYMBOL_CRC(usb_interrupt_msg, 0xd507edab, "_gpl");
SYMBOL_CRC(usb_bulk_msg, 0x03b873f0, "_gpl");
SYMBOL_CRC(usb_sg_init, 0x6d531441, "_gpl");
SYMBOL_CRC(usb_sg_wait, 0xf5fa97ca, "_gpl");
SYMBOL_CRC(usb_sg_cancel, 0x23f93e7f, "_gpl");
SYMBOL_CRC(usb_get_descriptor, 0x4ea086b2, "_gpl");
SYMBOL_CRC(usb_string, 0xebc666af, "_gpl");
SYMBOL_CRC(usb_cache_string, 0x9944a502, "_gpl");
SYMBOL_CRC(usb_get_status, 0x49bdbd30, "_gpl");
SYMBOL_CRC(usb_clear_halt, 0xa8230c16, "_gpl");
SYMBOL_CRC(usb_reset_endpoint, 0x171b136f, "_gpl");
SYMBOL_CRC(usb_set_interface, 0xe3f247b0, "_gpl");
SYMBOL_CRC(usb_reset_configuration, 0xedd56542, "_gpl");
SYMBOL_CRC(usb_set_wireless_status, 0x24168d56, "_gpl");
SYMBOL_CRC(usb_set_configuration, 0x8a13a2bc, "_gpl");
SYMBOL_CRC(usb_driver_set_configuration, 0xe54117a2, "_gpl");
SYMBOL_CRC(cdc_parse_cdc_header, 0xd94e20e7, "");
SYMBOL_CRC(usb_store_new_id, 0x824dab17, "_gpl");
SYMBOL_CRC(usb_show_dynids, 0xd58b2b98, "_gpl");
SYMBOL_CRC(usb_driver_claim_interface, 0x2e7ddbc8, "_gpl");
SYMBOL_CRC(usb_driver_release_interface, 0x01abc53c, "_gpl");
SYMBOL_CRC(usb_match_one_id, 0x7978054d, "_gpl");
SYMBOL_CRC(usb_match_id, 0x2a842612, "_gpl");
SYMBOL_CRC(usb_device_match_id, 0x5683b8d2, "_gpl");
SYMBOL_CRC(usb_register_device_driver, 0xdbb07d8c, "_gpl");
SYMBOL_CRC(usb_deregister_device_driver, 0x50afe027, "_gpl");
SYMBOL_CRC(usb_register_driver, 0xb261d373, "_gpl");
SYMBOL_CRC(usb_deregister, 0x5beedb84, "_gpl");
SYMBOL_CRC(usb_enable_autosuspend, 0x30c510a1, "_gpl");
SYMBOL_CRC(usb_disable_autosuspend, 0x8dc52706, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface, 0xfd81ebb5, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_async, 0xf6c04a6a, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_no_suspend, 0xee577cad, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface, 0xb17511f2, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_async, 0x969dcd16, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_no_resume, 0xd1a0c7b5, "_gpl");
SYMBOL_CRC(usb_register_dev, 0x8fa5b280, "_gpl");
SYMBOL_CRC(usb_deregister_dev, 0xc9ed578c, "_gpl");
SYMBOL_CRC(usb_register_notify, 0x89bbafc6, "_gpl");
SYMBOL_CRC(usb_unregister_notify, 0x811dc334, "_gpl");
SYMBOL_CRC(usb_choose_configuration, 0x2c989f7e, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc, 0xd95e3804, "_gpl");
SYMBOL_CRC(usb_phy_roothub_init, 0xc93ee1e7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_exit, 0xe39d0794, "_gpl");
SYMBOL_CRC(usb_phy_roothub_set_mode, 0x5bdae35b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_calibrate, 0x851e6003, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_on, 0x9c803020, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_off, 0x8c89e3b8, "_gpl");
SYMBOL_CRC(usb_phy_roothub_suspend, 0x9528e1dd, "_gpl");
SYMBOL_CRC(usb_phy_roothub_resume, 0x79cdb5b8, "_gpl");
SYMBOL_CRC(usb_of_get_device_node, 0xcc9a37aa, "_gpl");
SYMBOL_CRC(usb_of_has_combined_node, 0x01199738, "_gpl");
SYMBOL_CRC(usb_of_get_interface_node, 0x038a6eaa, "_gpl");
SYMBOL_CRC(usb_hcd_pci_probe, 0x012d9c7a, "_gpl");
SYMBOL_CRC(usb_hcd_pci_remove, 0xeb9345b0, "_gpl");
SYMBOL_CRC(usb_hcd_pci_shutdown, 0x72bf40e9, "_gpl");
SYMBOL_CRC(usb_hcd_pci_pm_ops, 0xd89dd068, "_gpl");
SYMBOL_CRC(usb_acpi_power_manageable, 0x7d7766e4, "_gpl");
SYMBOL_CRC(usb_acpi_port_lpm_incapable, 0x2cdaf1ae, "_gpl");
SYMBOL_CRC(usb_acpi_set_power_state, 0x8d0eb6de, "_gpl");
SYMBOL_CRC(onboard_hub_create_pdevs, 0x7801a5c0, "_gpl");
SYMBOL_CRC(onboard_hub_destroy_pdevs, 0x25c42796, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1a146ec3, "usb_ep_type_string" },
	{ 0x50fb7e12, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x760a0f4f, "yield" },
	{ 0xce78b11a, "device_set_wakeup_enable" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd808e35d, "is_acpi_device_node" },
	{ 0xb30ebe2d, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdc101a9a, "of_platform_device_create" },
	{ 0x487d29d0, "device_set_of_node_from_dev" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0x2f33f0d, "dma_pool_create" },
	{ 0x59df7b71, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xa37e7a99, "of_node_put" },
	{ 0x906af335, "pci_enable_device" },
	{ 0x352f907f, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x203597ec, "devm_memremap" },
	{ 0xc178387e, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8235805b, "memmove" },
	{ 0x2616a42d, "of_find_device_by_node" },
	{ 0xe31abc75, "pci_alloc_irq_vectors" },
	{ 0x5732734d, "param_get_string" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb801183, "dmam_alloc_attrs" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xd50e4146, "driver_remove_file" },
	{ 0x17a80c4b, "sysfs_add_file_to_group" },
	{ 0xe7f9ddbb, "driver_attach" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0x6ebf0d27, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xceacc4d7, "gen_pool_dma_alloc_align" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1c5f3e93, "pci_get_device" },
	{ 0x78a240e6, "dma_unmap_page_attrs" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x40b43d7d, "pci_dev_run_wake" },
	{ 0x3188fec5, "devm_ioremap" },
	{ 0x3f2c6de7, "pci_prepare_to_sleep" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x4a2740f5, "current_time" },
	{ 0x2e60bace, "memcpy" },
	{ 0xc0aeff4, "component_del" },
	{ 0xf989723, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xf8ef22d5, "kobject_get_path" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xefe1ad8a, "acpi_find_child_by_adr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xcacf84d9, "bus_for_each_drv" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xea65216c, "pci_irq_vector" },
	{ 0xca6f58f5, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x570a0b8d, "kernfs_notify" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa4f5224b, "param_set_copystring" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf429d659, "device_create_bin_file" },
	{ 0x861a197c, "__put_cred" },
	{ 0xc47a3d86, "__suspend_report_result" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0xb7d0e4d0, "gen_pool_dma_alloc" },
	{ 0xa3bc1f14, "sysfs_notify" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0xa0380c5d, "dma_map_page_attrs" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x1efff1c5, "__devm_request_region" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x95c53e66, "pm_wakeup_dev_event" },
	{ 0xda2f4004, "device_reprobe" },
	{ 0x3a8a7b6b, "register_acpi_bus_type" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0xe5634ca3, "of_get_next_child" },
	{ 0x7c3e2bfb, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x494366e2, "debugfs_lookup_and_remove" },
	{ 0xb79f2512, "put_device" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0x738803e6, "strnlen" },
	{ 0xba2eb950, "driver_create_file" },
	{ 0x7d59dd46, "pm_wq" },
	{ 0x63512541, "phy_exit" },
	{ 0x3b46b896, "bus_register_notifier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xe5af9c72, "bus_for_each_dev" },
	{ 0x9f984513, "strrchr" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x78b5b683, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x37f1aa51, "sysfs_create_link" },
	{ 0xe14308c4, "device_wakeup_disable" },
	{ 0x72cf4b6, "cdev_add" },
	{ 0x1bd4060f, "device_create_file" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x4f9a6537, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x921a3da0, "sysfs_update_group" },
	{ 0xb80aa158, "sysfs_unmerge_group" },
	{ 0x176adec5, "bus_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xb3eef0, "device_wakeup_enable" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa75005c7, "bus_find_device" },
	{ 0xa972f676, "device_add" },
	{ 0x73e24115, "__of_parse_phandle_with_args" },
	{ 0xdf627054, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xca654e35, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4d913a04, "device_create" },
	{ 0x343b01b1, "noop_llseek" },
	{ 0x9d02c6ba, "sysfs_merge_group" },
	{ 0x70fe7acb, "of_platform_device_destroy" },
	{ 0xbc022efe, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x2b80b420, "kernfs_find_and_get_ns" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x768029a0, "phy_power_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xf1005618, "no_seek_end_llseek" },
	{ 0x878c572e, "driver_unregister" },
	{ 0x9a5423f3, "class_unregister" },
	{ 0x5d32a9d1, "of_match_node" },
	{ 0x5152e605, "memcmp" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0x400e911e, "sysfs_remove_file_from_group" },
	{ 0x26686045, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x1c027b75, "of_device_is_available" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa553b00, "device_register" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0x7ce71b17, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xaae8ab0e, "acpi_bus_power_manageable" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x321b687a, "device_bind_driver" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xe9b2b4d5, "unregister_acpi_bus_type" },
	{ 0xd8119a10, "device_match_devt" },
	{ 0x42c215f, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc3241b05, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x33f790f6, "pm_runtime_no_callbacks" },
	{ 0x3260f71b, "phy_power_off" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x400e3f7b, "devm_gen_pool_create" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0xec49f50f, "dev_pm_qos_flags" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3136e047, "sysfs_remove_group" },
	{ 0xe9e98714, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xef8b1aa, "_dev_notice" },
	{ 0xeea0399, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xe8fd12b2, "pm_runtime_forbid" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xa770b57b, "pm_runtime_allow" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x45cf3ab, "acpi_fetch_acpi_dev" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x57ff5311, "kernfs_put" },
	{ 0x89cd4952, "gen_pool_free_owner" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb16f1a99, "inode_set_ctime_current" },
	{ 0xf0c5c03c, "__register_chrdev" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6e2d20a5, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x71d9af4, "kobject_uevent" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0xf6dacbc6, "device_pm_wait_for_dev" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0xcfc16794, "kill_pid_usb_asyncio" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4ed2a84d, "dma_mmap_attrs" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4c500, "usb_decode_interval" },
	{ 0x2babe841, "of_count_phandle_with_args" },
	{ 0xd1810a94, "usb_hcd_amd_remote_wakeup_quirk" },
	{ 0x6a1a827e, "dma_unmap_sg_attrs" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x1acad0f1, "dev_pm_qos_add_request" },
	{ 0xaa121b81, "pm_runtime_barrier" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x529311d5, "__pm_runtime_suspend" },
	{ 0xb64b3652, "usb_debug_root" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xf01ada74, "component_add" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x135828b9, "page_address" },
	{ 0x90ccfdbd, "set_primary_fwnode" },
	{ 0xea5a46f4, "device_release_driver" },
	{ 0xd0d8621b, "strlen" },
	{ 0xca6b6055, "__pm_runtime_use_autosuspend" },
	{ 0x77358855, "iomem_resource" },
	{ 0x907750c6, "phy_calibrate" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x677bf446, "_dev_printk" },
	{ 0x18128044, "dev_pm_qos_expose_flags" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0x4a9c4eeb, "dev_pm_qos_remove_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcc21fc93, "pci_free_irq_vectors" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x29f3a126, "up_read" },
	{ 0x52b57bd3, "driver_register" },
	{ 0xa75dbaf0, "put_pid" },
	{ 0xa6ee30dc, "class_register" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xec530739, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xf4d29a45, "devm_of_phy_get_by_index" },
	{ 0x30370bbc, "cdev_del" },
	{ 0x5fd0a9d1, "device_remove_bin_file" },
	{ 0xf175b0cc, "device_remove_file" },
	{ 0x26e6d188, "bus_register" },
	{ 0x3f663b87, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6ceb412c, "phy_init" },
	{ 0x92b57248, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "usb-common");

MODULE_ALIAS("usb:v0424p5534d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v04B4p6570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p*d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v0451p8142d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p8140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc09dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic09isc*ip*in*");

MODULE_INFO(srcversion, "6BABE28102CDE7B5AD0AC5C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
