#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdbb07d8c, "usb_register_device_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa81363f6, "__platform_driver_register" },
	{ 0x50afe027, "usb_deregister_device_driver" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xff091d57, "usb_wakeup_enabled_descendants" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x342beb52, "gpiod_set_value_cansleep" },
	{ 0x31d5571d, "regulator_bulk_disable" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe7f9ddbb, "driver_attach" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xeef4bff3, "platform_driver_unregister" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x6212b566, "regulator_bulk_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2616a42d, "of_find_device_by_node" },
	{ 0xb79f2512, "put_device" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x37f1aa51, "sysfs_create_link" },
	{ 0x73e24115, "__of_parse_phandle_with_args" },
	{ 0xa37e7a99, "of_node_put" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x2de6386d, "of_match_device" },
	{ 0xb4f18643, "devm_regulator_bulk_get" },
	{ 0x2bc90097, "devm_gpiod_get_optional" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbd7ecefa, "dev_err_probe" },
	{ 0xdf627054, "sysfs_remove_link" },
	{ 0x37a0cba, "kfree" },
	{ 0xca6f58f5, "get_device" },
	{ 0xea5a46f4, "device_release_driver" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v04B4p6504d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p6506d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p0608d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p0610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p0620d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p2412d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p2514d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p2517d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0411d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp5411d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0414d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp5414d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p8140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p8142d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0817d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p2817d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("of:N*T*Cusb424,2412");
MODULE_ALIAS("of:N*T*Cusb424,2412C*");
MODULE_ALIAS("of:N*T*Cusb424,2514");
MODULE_ALIAS("of:N*T*Cusb424,2514C*");
MODULE_ALIAS("of:N*T*Cusb424,2517");
MODULE_ALIAS("of:N*T*Cusb424,2517C*");
MODULE_ALIAS("of:N*T*Cusb451,8140");
MODULE_ALIAS("of:N*T*Cusb451,8140C*");
MODULE_ALIAS("of:N*T*Cusb451,8142");
MODULE_ALIAS("of:N*T*Cusb451,8142C*");
MODULE_ALIAS("of:N*T*Cusb4b4,6504");
MODULE_ALIAS("of:N*T*Cusb4b4,6504C*");
MODULE_ALIAS("of:N*T*Cusb4b4,6506");
MODULE_ALIAS("of:N*T*Cusb4b4,6506C*");
MODULE_ALIAS("of:N*T*Cusb5e3,608");
MODULE_ALIAS("of:N*T*Cusb5e3,608C*");
MODULE_ALIAS("of:N*T*Cusb5e3,610");
MODULE_ALIAS("of:N*T*Cusb5e3,610C*");
MODULE_ALIAS("of:N*T*Cusb5e3,620");
MODULE_ALIAS("of:N*T*Cusb5e3,620C*");
MODULE_ALIAS("of:N*T*Cusbbda,411");
MODULE_ALIAS("of:N*T*Cusbbda,411C*");
MODULE_ALIAS("of:N*T*Cusbbda,5411");
MODULE_ALIAS("of:N*T*Cusbbda,5411C*");
MODULE_ALIAS("of:N*T*Cusbbda,414");
MODULE_ALIAS("of:N*T*Cusbbda,414C*");
MODULE_ALIAS("of:N*T*Cusbbda,5414");
MODULE_ALIAS("of:N*T*Cusbbda,5414C*");
MODULE_ALIAS("of:N*T*Cusb2109,817");
MODULE_ALIAS("of:N*T*Cusb2109,817C*");
MODULE_ALIAS("of:N*T*Cusb2109,2817");
MODULE_ALIAS("of:N*T*Cusb2109,2817C*");

MODULE_INFO(srcversion, "450E4EAA097072338D24ADB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
