#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf8ced411, "pin_user_pages_fast" },
	{ 0xe787852d, "mmu_interval_notifier_remove" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3657f841, "misc_deregister" },
	{ 0xe71498a1, "unpin_user_pages_dirty_lock" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3165daa3, "arbitrary_virt_to_machine" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb28b8b57, "mmu_interval_read_begin" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x51bf7e9e, "mmu_interval_notifier_insert_locked" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xb28a7485, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xcaf1d958, "evtchn_get" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x6cba645f, "gnttab_dma_free_pages" },
	{ 0x9cda889f, "dma_buf_unmap_attachment_unlocked" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x399b253, "dma_buf_attach" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x582b1774, "dma_buf_map_attachment_unlocked" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8ecb2d45, "dma_buf_export" },
	{ 0x9ab557f5, "find_vma" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x6c36ecf1, "gnttab_dma_alloc_pages" },
	{ 0xa82feb58, "fput" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x7444e1a3, "gnttab_batch_copy" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x365a3e76, "dma_buf_get" },
	{ 0x8c3e8d53, "dma_buf_put" },
	{ 0x27a6a369, "apply_to_page_range" },
	{ 0x7eaacde0, "dma_buf_fd" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd89da37f, "movable_zone" },
	{ 0x31ed1248, "gnttab_free_pages" },
	{ 0x2c85510c, "sg_alloc_table_from_pages_segment" },
	{ 0x7266e87c, "misc_register" },
	{ 0x14ec4fdb, "evtchn_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x93d1d424, "gnttab_free_grant_references" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x3830296a, "dma_set_coherent_mask" },
	{ 0xf27d0a7b, "gnttab_grant_foreign_access_ref" },
	{ 0x1b550ed8, "__mmap_lock_do_trace_start_locking" },
	{ 0x5475ed02, "gnttab_unmap_refs_async" },
	{ 0x4a093497, "dma_map_sgtable" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x208e13d5, "__mmap_lock_do_trace_released" },
	{ 0x31dca4d8, "gnttab_claim_grant_reference" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd27f215d, "gnttab_alloc_grant_references" },
	{ 0x4b931968, "xen_features" },
	{ 0x890e0711, "dma_buf_detach" },
	{ 0xa2472225, "gnttab_alloc_pages" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0x6a1a827e, "dma_unmap_sg_attrs" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xc932c429, "vm_map_pages_zero" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xad0a8663, "gnttab_end_foreign_access" },
	{ 0xa2131841, "gnttab_map_refs" },
	{ 0x29f3a126, "up_read" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x45d14bdf, "hypercall_page" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "50106D24E0379601E865C63");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
