#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_range, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_search_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x04865308, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x75239d9a, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x83dd4956, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xdb0bcb3a, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x5bc7363e, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x70cdaf47, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xa75e82f0, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xcae6a2be, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x9eacd912, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xe24a12b5, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x777417cb, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xd43ba32c, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0xa02df320, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0xc527cb31, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x16477731, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xb321fc37, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x802046c5, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0xad130bca, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xd47333c2, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xe3bdfbbd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x02da1276, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xd5dd79b6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x1d57c82c, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xc9b2b7ff, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x0d381e90, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x5aece6ce, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x8be24f50, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x191c5ab7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xdd342fa8, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x67016885, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x6e637af7, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x6a4f26b8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x555bb1db, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xe45a379d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x0bd06bd1, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x8c54a91d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x18b41178, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0xcede9575, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x2f1e21ba, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x1022fef6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x2174b794, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xc7ca5cea, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x8f5c870a, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x676530d1, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0xe783002d, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xb7a2424e, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x3e270cad, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x5d8aaac5, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xa8e60e68, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x95ba1705, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_range, 0xdd8aea0e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0xab29e530, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x72c4f0d2, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x976843de, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0xff684391, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x35337a12, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x7b326ab2, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x6ad99175, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x6f888cb6, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xefab7828, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xdf816e60, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x0a92a1e7, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x3a8b671b, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x127c7ccd, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0xc813d771, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xff0610ca, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xfe065f14, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0xd304291c, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x96ec5da7, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x8afd4852, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0xebcd7f27, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xa0f7532a, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xf0dfcc19, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x3ec039a8, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x15195448, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x9b013804, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x94d0bae1, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x331c2975, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x306da9a8, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x23d5c372, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x42049ee5, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xa600e0a7, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x60d78660, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xc5b51b51, "_gpl");
SYMBOL_CRC(pnfs_generic_search_commit_reqs, 0xea55a886, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xb9da91d3, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xe572a4a0, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x5c028c3e, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0xb6506066, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0xaee7a17f, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x3a165b44, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x48b66aa5, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x319f1996, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a8991c9, "rpc_put_task" },
	{ 0xe979b50, "generic_copy_file_range" },
	{ 0xd9ae4d98, "svc_generic_rpcbind_set" },
	{ 0x96118067, "nfs_clone_server" },
	{ 0x8f3be2f6, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf45902d2, "filemap_fdatawrite" },
	{ 0x67902446, "nfs_show_stats" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd52f4095, "nfs_server_remove_lists" },
	{ 0x930d7de5, "nfs42_ssc_unregister" },
	{ 0xb5a7c261, "generic_listxattr" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x8620be4e, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe20e571c, "nfs_writeback_update_inode" },
	{ 0x473da37f, "clear_inode" },
	{ 0x10edcb9b, "inode_to_bdi" },
	{ 0xe1125ab1, "bpf_trace_run4" },
	{ 0x77c5032c, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0x3fd1c79a, "user_revoke" },
	{ 0xcfc83666, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x838d04b5, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x42bf8fe1, "list_lru_del" },
	{ 0xfa5cf945, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7a4c18d2, "rpc_clnt_probe_trunked_xprts" },
	{ 0x3457b65f, "nfs_pageio_reset_read_mds" },
	{ 0x6f51e319, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xf03eda61, "rpc_shutdown_client" },
	{ 0x6e3868e6, "svc_bind" },
	{ 0x3fce723b, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xdd8a18a8, "nfs_free_inode" },
	{ 0x140e9d8e, "nfs_access_zap_cache" },
	{ 0x7b9b38fb, "nfs_sb_deactive" },
	{ 0x61d4aae8, "nfs_wb_all" },
	{ 0xc1cd6e1d, "__break_lease" },
	{ 0xf19b81f8, "nfs_pageio_init_write" },
	{ 0x5a42fda2, "svc_recv" },
	{ 0x9c36838e, "nfs_drop_inode" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xf4adceb3, "xdr_inline_decode" },
	{ 0xe47fb026, "nfs_pageio_init_read" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0xd9a0eaa2, "nfs_wait_client_init_complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x7a7442da, "nfs_init_commit" },
	{ 0x495ea009, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4147afd2, "bpf_trace_run6" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xcd9f0183, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x4dcb7d89, "nfs_mknod" },
	{ 0x31cf58d8, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa8d44337, "nfs4_label_alloc" },
	{ 0x4be9bfe4, "rpc_localaddr" },
	{ 0xe815c004, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x4a792993, "nfs_access_get_cached" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x8284375e, "nfs_lock" },
	{ 0xca7d8764, "kthread_freezable_should_stop" },
	{ 0x6dc1f1d3, "unregister_key_type" },
	{ 0x2c96cd20, "nfs_client_init_is_complete" },
	{ 0x6be28fcf, "nfs_file_splice_read" },
	{ 0x54e51aae, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2672053f, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0xaaa5980a, "user_preparse" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x269ccecd, "ihold" },
	{ 0xe683f0c2, "truncate_pagecache_range" },
	{ 0x35383f74, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x8642b839, "invalidate_inode_pages2_range" },
	{ 0xfb1dbe76, "nfs_post_op_update_inode" },
	{ 0x87e3eaae, "svc_exit_thread" },
	{ 0x6a59c29d, "iput" },
	{ 0x899222c2, "xdr_set_pagelen" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x27dfe685, "nfs_pgio_header_free" },
	{ 0x5a8252da, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x4fd6fb7d, "logfc" },
	{ 0xf9913824, "nfs_pgio_header_alloc" },
	{ 0x9bd1ba2f, "iter_file_splice_write" },
	{ 0xd8f613da, "rpc_pton" },
	{ 0x6998f823, "nfs_sb_active" },
	{ 0x22fd9d51, "mod_node_page_state" },
	{ 0x17cc1b6b, "rpc_ntop" },
	{ 0xe0cc97e8, "rpc_wake_up_queued_task" },
	{ 0xf5c5bbf9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x8a26875, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x72e6d911, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa07f599b, "_copy_from_pages" },
	{ 0xc66cb16c, "__module_get" },
	{ 0x538605db, "kmem_cache_create" },
	{ 0x4b28fda5, "rpc_task_release_transport" },
	{ 0x986072f5, "xdr_page_pos" },
	{ 0x1158a087, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x9a3e189, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5a5ca4f1, "key_instantiate_and_link" },
	{ 0x9e9a9cb4, "trace_print_hex_seq" },
	{ 0x462a2e75, "match_strlcpy" },
	{ 0x8d7c66a9, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe55a13fb, "register_key_type" },
	{ 0xdd81b965, "rpc_sleep_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x424d1b36, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdcccb05a, "nfs_pageio_resend" },
	{ 0xa7ae41d1, "keyring_alloc" },
	{ 0xad969f31, "vfs_setpos" },
	{ 0xdf1235e3, "nfs_create" },
	{ 0x25837e9c, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x861a197c, "__put_cred" },
	{ 0x45210a66, "swapcache_mapping" },
	{ 0x4c3dcfc0, "nfs_statfs" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xbcfa3dcc, "rpc_max_bc_payload" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x60ed2e23, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0xcb56d1d1, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x668b595, "_kstrtoul" },
	{ 0x1c658a63, "nfs_mkdir" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x1ed6a6ca, "nfs_revalidate_inode" },
	{ 0x99a32f06, "inode_newsize_ok" },
	{ 0x5d65f616, "nfs_file_mmap" },
	{ 0xa0fd9699, "nfs_get_lock_context" },
	{ 0x3fed4306, "d_drop" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe69dce82, "nfs_set_cache_invalid" },
	{ 0x12502d8c, "rpc_release_client" },
	{ 0x244b11ca, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4e91428f, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x780c291c, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x14c9be9e, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x2d54e255, "nfs_generic_pgio" },
	{ 0x110718d3, "make_kuid" },
	{ 0x4839169c, "truncate_inode_pages_final" },
	{ 0xffd2dbbb, "generic_setlease" },
	{ 0x4916eea, "xprt_destroy_backchannel" },
	{ 0x8880c818, "rpc_switch_client_transport" },
	{ 0xed3d09a9, "bc_svc_process" },
	{ 0x738803e6, "strnlen" },
	{ 0x70a2992d, "nfs_scan_commit_list" },
	{ 0x83187e90, "xdr_stream_decode_string_dup" },
	{ 0x6438fe98, "nfs_commit_inode" },
	{ 0x87cd0501, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0xf2332037, "unregister_shrinker" },
	{ 0x20ddd4a7, "rpc_destroy_pipe_data" },
	{ 0x3d994632, "nfs_get_client" },
	{ 0xf23a1a3b, "__free_pages" },
	{ 0x894683d1, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xbcb8e259, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4dacdc12, "nfs_atomic_open" },
	{ 0xa23de5e0, "rpc_pipe_generic_upcall" },
	{ 0x8355e3b3, "nfs_file_fsync" },
	{ 0x78b5b683, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x9b7077f3, "mntput" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x5a6add1d, "nfs_put_lock_context" },
	{ 0x9dbd9e2f, "nfs_rename" },
	{ 0x3b29fbe9, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x5a9dfbf0, "__kmap_local_page_prot" },
	{ 0xe7b70c23, "nfs_sysfs_link_rpc_client" },
	{ 0xfab2e3b4, "nfs_put_client" },
	{ 0xa9013c86, "nfs_show_options" },
	{ 0x566155db, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xaa7f215c, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x34eaa6b5, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x9bb10d92, "get_nfs_open_context" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0x792d65b8, "nfs_clear_verifier_delegated" },
	{ 0x9f4f34f5, "nfs_sysfs_add_server" },
	{ 0xa82feb58, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xc1a57007, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x5e81d3bf, "nfs_do_submount" },
	{ 0x18d2f661, "vfs_dup_fs_context" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0x4ec00737, "request_key_with_auxdata" },
	{ 0xe40db580, "rpc_clone_client_set_auth" },
	{ 0xb124c742, "rpc_clone_client" },
	{ 0x4ec3e0b1, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xab0d49f0, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x5ee85f4d, "svc_rpcb_cleanup" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x74de7ad1, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ee0b065, "put_fs_context" },
	{ 0x8596090c, "nfs_retry_commit" },
	{ 0xde85cbd6, "nfs4_dentry_operations" },
	{ 0xf58af974, "__module_put_and_kthread_exit" },
	{ 0x98582624, "rpc_peeraddr2str" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0x4f0889df, "nfs_client_for_each_server" },
	{ 0xc96ac095, "nfs_clear_inode" },
	{ 0x5fcdbef8, "rpc_sleep_on_priority" },
	{ 0x443ebda5, "nfs_invalidate_atime" },
	{ 0x497629f5, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x222205e9, "nfs_umount_begin" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x26d5de9e, "nfs_getattr" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xafe2d35f, "nfs_pageio_reset_write_mds" },
	{ 0x19e22e41, "kmem_cache_free" },
	{ 0x5d78f7da, "nfs_generic_pg_test" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x6ce3f03, "xdr_stream_subsegment" },
	{ 0x7a65cf25, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x8617a1a8, "nfs_fscache_open_file" },
	{ 0x15214a5c, "from_kgid" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5062abe6, "nfs_write_inode" },
	{ 0x60568c5a, "nfs_request_remove_commit_list" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x78cef9bd, "page_to_nid" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x9bedd5e6, "rpc_wake_up_first" },
	{ 0xbc2c763e, "alloc_nfs_open_context" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x2c0868ee, "vfs_parse_fs_param" },
	{ 0xe8521c7d, "nfs_path" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x78dbb697, "rpc_sleep_on_priority_timeout" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xbe796330, "nfs_create_rpc_client" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7b1a8c82, "register_nfs_version" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x8941ad14, "rpc_sleep_on_timeout" },
	{ 0x5d61498b, "list_lru_count_one" },
	{ 0xc0908dd0, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x9d289522, "rpc_call_start" },
	{ 0x3253d6f3, "xprt_setup_backchannel" },
	{ 0x39887690, "bpf_trace_run1" },
	{ 0x88d1f808, "svc_create" },
	{ 0xca6999c7, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x90d3feb1, "nfs_file_set_open_context" },
	{ 0x49a35f13, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xfeb56abd, "rpc_call_sync" },
	{ 0xe23289e7, "from_kuid" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x3b012380, "rpc_put_task_async" },
	{ 0x3e02ddf8, "rpc_prepare_reply_pages" },
	{ 0x784138ce, "rpc_queue_upcall" },
	{ 0xa083d421, "nfs_free_server" },
	{ 0x23340d09, "fc_mount" },
	{ 0x21f7e610, "register_sysctl_sz" },
	{ 0xfc9b1f57, "nfs_setattr" },
	{ 0x77526194, "xdr_terminate_string" },
	{ 0x46453c7d, "nfs4_fs_type" },
	{ 0xa3919ee6, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x5747f2bc, "rpc_delay" },
	{ 0xf9df0dfa, "nfs_flock" },
	{ 0xd1c609b8, "nfs_read_alloc_scratch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d9123b5, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb4e35fa5, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x5e24581b, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x18e97f9c, "rpc_exit" },
	{ 0xda9b2e16, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xed4d11a5, "rpc_remove_pipe_dir_object" },
	{ 0xbf22ce24, "nfs_may_open" },
	{ 0x8738a386, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x20bdbb40, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe74ef3d1, "xdr_reserve_space" },
	{ 0xb61e911a, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc4e9b676, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xee708d02, "nfs_rmdir" },
	{ 0x22391572, "bpf_trace_run3" },
	{ 0x3ea77e76, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0xef4cad92, "trace_print_flags_seq" },
	{ 0x3ac455ec, "nfs_filemap_write_and_wait_range" },
	{ 0x48cb4f7d, "rpc_mkpipe_dentry" },
	{ 0x7d101c19, "alloc_file_pseudo" },
	{ 0xeea0399, "strscpy" },
	{ 0x8733bfe4, "rpc_mkpipe_data" },
	{ 0x8cefebe9, "rpc_add_pipe_dir_object" },
	{ 0x8c09e1f3, "igrab" },
	{ 0x928fce45, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x859073c8, "nfs_async_iocounter_wait" },
	{ 0x10acec27, "nfs_file_read" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0x491f086b, "nfs_alloc_fattr_with_label" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x9d5a068e, "filemap_fdatawait_range" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x3a74e8c7, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3374af2b, "nfs_setattr_update_inode" },
	{ 0xf1fb317f, "nfs_instantiate" },
	{ 0x4aed611, "init_user_ns" },
	{ 0x9656487c, "rpc_uaddr2sockaddr" },
	{ 0x739a94cf, "user_read" },
	{ 0x57ca11b0, "rpc_restart_call" },
	{ 0x324cbfaa, "request_key_tag" },
	{ 0x37a3173, "xprt_force_disconnect" },
	{ 0xae6c01ef, "user_free_preparse" },
	{ 0x7bf2bf9d, "alloc_pages" },
	{ 0xd4000464, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x6e846d10, "svc_xprt_destroy_all" },
	{ 0x75e779cc, "generic_key_instantiate" },
	{ 0x5a78aced, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x3649bbc0, "nfs_link" },
	{ 0x61495dc5, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4ffff38a, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x93555b58, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe77ce04b, "dput" },
	{ 0x32eaec7b, "lockref_get" },
	{ 0x2753039a, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7af437bf, "xdr_stream_move_subsegment" },
	{ 0xa1d4a142, "put_rpccred" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xd588bbe, "nfs_post_op_update_inode_force_wcc" },
	{ 0xcebf115a, "nfs_pgheader_init" },
	{ 0xe7c8e536, "put_nfs_open_context" },
	{ 0x1c0cb831, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb1e22347, "nfs_show_devname" },
	{ 0x9dd2608, "nfs_permission" },
	{ 0x298a8564, "nfs_initiate_commit" },
	{ 0x2716bacc, "truncate_inode_pages_range" },
	{ 0xa43716b0, "__put_user_ns" },
	{ 0x138e5c06, "cred_fscmp" },
	{ 0x786c88aa, "rpc_unlink" },
	{ 0xb1e9e170, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xe542948, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x99f8bd8f, "nfs_file_write" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x1bdf44e2, "node_data" },
	{ 0x728be699, "nfs_probe_server" },
	{ 0x673dc550, "nfs_setsecurity" },
	{ 0xe711f271, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x28a02c11, "rpc_clnt_test_and_add_xprt" },
	{ 0x74bc58cf, "file_ra_state_init" },
	{ 0x9732dffb, "nfs_force_lookup_revalidate" },
	{ 0x14de9c4b, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xfaf20e35, "rpc_clnt_add_xprt" },
	{ 0xf39f4dfd, "dget_parent" },
	{ 0x55aa3a5a, "from_kuid_munged" },
	{ 0xe5401bdb, "prepare_kernel_cred" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x8588d025, "nfs_alloc_server" },
	{ 0x45253aed, "rpc_call_async" },
	{ 0x8ee77f7b, "security_dentry_init_security" },
	{ 0x9bf1a1d7, "filemap_write_and_wait_range" },
	{ 0x25f2ddc2, "nfs_server_insert_lists" },
	{ 0x135828b9, "page_address" },
	{ 0x5e69af8c, "nfs_dreq_bytes_left" },
	{ 0xd0d8621b, "strlen" },
	{ 0xd4ce983a, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7f8c3b4e, "rpc_init_pipe_dir_object" },
	{ 0xa1919b3c, "bpf_trace_run7" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x124480ee, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x4f2de7f8, "nfs_init_server_rpcclient" },
	{ 0x33666a33, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa2fde2e4, "rpc_set_connect_timeout" },
	{ 0xeefc1c58, "rpcauth_create" },
	{ 0x648dfc82, "list_lru_add" },
	{ 0x593f08c, "xdr_stream_pos" },
	{ 0xafc3a882, "key_set_timeout" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x29f3a126, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x87e9fe26, "svc_xprt_create" },
	{ 0x2b4b9fc6, "nfs42_ssc_register" },
	{ 0x9c646c6c, "rpc_wait_for_completion_task" },
	{ 0x6f0612c1, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbdc33bcc, "rpc_num_bc_slots" },
	{ 0x61a10497, "nfs_alloc_inode" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4c9781dc, "rpc_destroy_wait_queue" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x8f2629ea, "security_inode_listsecurity" },
	{ 0xe3ab347a, "nfs_fhget" },
	{ 0xe51b1f12, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfb723c02, "locks_copy_lock" },
	{ 0x3b259352, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0xfc98b763, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcb31b4b3, "nfs_set_verifier" },
	{ 0xac6e47b2, "proc_dointvec_minmax" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "0D25819FBCC5E70110C3930");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
