#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v9fs_register_trans, "", "");
KSYMTAB_FUNC(v9fs_unregister_trans, "", "");
KSYMTAB_FUNC(v9fs_get_trans_by_name, "", "");
KSYMTAB_FUNC(v9fs_get_default_trans, "", "");
KSYMTAB_FUNC(p9_is_proto_dotl, "", "");
KSYMTAB_FUNC(p9_is_proto_dotu, "", "");
KSYMTAB_FUNC(p9_show_client_options, "", "");
KSYMTAB_FUNC(p9_fcall_fini, "", "");
KSYMTAB_FUNC(p9_tag_lookup, "", "");
KSYMTAB_FUNC(p9_req_put, "", "");
KSYMTAB_FUNC(p9_client_cb, "", "");
KSYMTAB_FUNC(p9_parse_header, "", "");
KSYMTAB_DATA(__tracepoint_9p_fid_ref, "", "");
KSYMTAB_FUNC(__traceiter_9p_fid_ref, "", "");
KSYMTAB_DATA(__SCK__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(__SCT__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_get, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_put, "", "");
KSYMTAB_FUNC(p9_client_create, "", "");
KSYMTAB_FUNC(p9_client_destroy, "", "");
KSYMTAB_FUNC(p9_client_disconnect, "", "");
KSYMTAB_FUNC(p9_client_begin_disconnect, "", "");
KSYMTAB_FUNC(p9_client_attach, "", "");
KSYMTAB_FUNC(p9_client_walk, "", "");
KSYMTAB_FUNC(p9_client_open, "", "");
KSYMTAB_FUNC(p9_client_create_dotl, "", "");
KSYMTAB_FUNC(p9_client_fcreate, "", "");
KSYMTAB_FUNC(p9_client_symlink, "", "");
KSYMTAB_FUNC(p9_client_link, "", "");
KSYMTAB_FUNC(p9_client_fsync, "", "");
KSYMTAB_FUNC(p9_client_clunk, "", "");
KSYMTAB_FUNC(p9_client_remove, "", "");
KSYMTAB_FUNC(p9_client_unlinkat, "", "");
KSYMTAB_FUNC(p9_client_read, "", "");
KSYMTAB_FUNC(p9_client_read_once, "", "");
KSYMTAB_FUNC(p9_client_write, "", "");
KSYMTAB_FUNC(p9_client_stat, "", "");
KSYMTAB_FUNC(p9_client_getattr_dotl, "", "");
KSYMTAB_FUNC(p9_client_wstat, "", "");
KSYMTAB_FUNC(p9_client_setattr, "", "");
KSYMTAB_FUNC(p9_client_statfs, "", "");
KSYMTAB_FUNC(p9_client_rename, "", "");
KSYMTAB_FUNC(p9_client_renameat, "", "");
KSYMTAB_FUNC(p9_client_xattrwalk, "_gpl", "");
KSYMTAB_FUNC(p9_client_xattrcreate, "_gpl", "");
KSYMTAB_FUNC(p9_client_readdir, "", "");
KSYMTAB_FUNC(p9_client_mknod_dotl, "", "");
KSYMTAB_FUNC(p9_client_mkdir_dotl, "", "");
KSYMTAB_FUNC(p9_client_lock_dotl, "", "");
KSYMTAB_FUNC(p9_client_getlock_dotl, "", "");
KSYMTAB_FUNC(p9_client_readlink, "", "");
KSYMTAB_FUNC(p9_error_init, "", "");
KSYMTAB_FUNC(p9_errstr2errno, "", "");
KSYMTAB_FUNC(p9stat_free, "", "");
KSYMTAB_FUNC(p9stat_read, "", "");
KSYMTAB_FUNC(p9dirent_read, "", "");
KSYMTAB_FUNC(p9_release_pages, "", "");

SYMBOL_CRC(v9fs_register_trans, 0x389eecff, "");
SYMBOL_CRC(v9fs_unregister_trans, 0x144f6e86, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0xe22da9c9, "");
SYMBOL_CRC(v9fs_get_default_trans, 0x99278968, "");
SYMBOL_CRC(p9_is_proto_dotl, 0xf0474f94, "");
SYMBOL_CRC(p9_is_proto_dotu, 0x14cad5f2, "");
SYMBOL_CRC(p9_show_client_options, 0x7fbde222, "");
SYMBOL_CRC(p9_fcall_fini, 0x46baf750, "");
SYMBOL_CRC(p9_tag_lookup, 0xc83b4a90, "");
SYMBOL_CRC(p9_req_put, 0xd4596fb4, "");
SYMBOL_CRC(p9_client_cb, 0x84c83c3c, "");
SYMBOL_CRC(p9_parse_header, 0x6db7033e, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0xee437897, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0xa27c041b, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0xb55ae777, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0xe898bfab, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0x6a7d70bb, "");
SYMBOL_CRC(p9_client_create, 0x3707c744, "");
SYMBOL_CRC(p9_client_destroy, 0x4260279d, "");
SYMBOL_CRC(p9_client_disconnect, 0x6256d440, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0x54ac743e, "");
SYMBOL_CRC(p9_client_attach, 0x3fe82d9d, "");
SYMBOL_CRC(p9_client_walk, 0x3a540856, "");
SYMBOL_CRC(p9_client_open, 0x24eac385, "");
SYMBOL_CRC(p9_client_create_dotl, 0xd95e7f90, "");
SYMBOL_CRC(p9_client_fcreate, 0x49730c2e, "");
SYMBOL_CRC(p9_client_symlink, 0x882676fa, "");
SYMBOL_CRC(p9_client_link, 0xe17e848e, "");
SYMBOL_CRC(p9_client_fsync, 0xce85301e, "");
SYMBOL_CRC(p9_client_clunk, 0xa569595e, "");
SYMBOL_CRC(p9_client_remove, 0xad0425e2, "");
SYMBOL_CRC(p9_client_unlinkat, 0x75cfece8, "");
SYMBOL_CRC(p9_client_read, 0x23e44c74, "");
SYMBOL_CRC(p9_client_read_once, 0x33601c8a, "");
SYMBOL_CRC(p9_client_write, 0x5bbc98d6, "");
SYMBOL_CRC(p9_client_stat, 0x897af457, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0xdac608ef, "");
SYMBOL_CRC(p9_client_wstat, 0xf76f9e7d, "");
SYMBOL_CRC(p9_client_setattr, 0xaeb6d9a2, "");
SYMBOL_CRC(p9_client_statfs, 0xda24c803, "");
SYMBOL_CRC(p9_client_rename, 0x7bb21c70, "");
SYMBOL_CRC(p9_client_renameat, 0x0034e726, "");
SYMBOL_CRC(p9_client_xattrwalk, 0x4427f027, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0x843bacff, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0xa5db8b62, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0xedb72f0d, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0x67b6c0c2, "");
SYMBOL_CRC(p9_client_lock_dotl, 0xefbda2a0, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0xd84605fc, "");
SYMBOL_CRC(p9_client_readlink, 0xc6d3df36, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0x41ce9823, "");
SYMBOL_CRC(p9dirent_read, 0x95bd8f96, "");
SYMBOL_CRC(p9_release_pages, 0x58aa19ae, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa1d602f7, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x33a2428, "_copy_to_iter" },
	{ 0xe1125ab1, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8235805b, "memmove" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xf5c5bbf9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x538605db, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x110718d3, "make_kuid" },
	{ 0x738803e6, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x894683d1, "kmem_cache_alloc" },
	{ 0x78b5b683, "module_put" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x927214c3, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x954f099c, "idr_preload" },
	{ 0x19e22e41, "kmem_cache_free" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x15214a5c, "from_kgid" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0x59ef1ddb, "iov_iter_kvec" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe23289e7, "from_kuid" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xda9b2e16, "make_kgid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x22391572, "bpf_trace_run3" },
	{ 0xeea0399, "strscpy" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x4aed611, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x61495dc5, "__folio_put" },
	{ 0xfe4739d, "seq_printf" },
	{ 0x1dd6243a, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xc8836361, "seq_puts" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0xf65ab5c, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3b259352, "kmem_cache_destroy" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F1CD33F09E7DEA07004CF67");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
