#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fou_encap_hlen, "", "");
KSYMTAB_FUNC(gue_encap_hlen, "", "");
KSYMTAB_FUNC(__fou_build_header, "", "");
KSYMTAB_FUNC(__gue_build_header, "", "");

SYMBOL_CRC(fou_encap_hlen, 0xff1adff3, "");
SYMBOL_CRC(gue_encap_hlen, 0x19741ae4, "");
SYMBOL_CRC(__fou_build_header, 0x8435dfc5, "");
SYMBOL_CRC(__gue_build_header, 0x5ce17614, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xab61bc02, "__skb_checksum_complete" },
	{ 0xb3260875, "ip_tunnel_encap_add_ops" },
	{ 0x8c6d1f35, "inet_get_local_port_range" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x8646c100, "udp_sock_create4" },
	{ 0xdfb2a7f9, "genlmsg_put" },
	{ 0xeab6561e, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x4afcb620, "inet_offloads" },
	{ 0xd4dbd46b, "inet_protos" },
	{ 0xe4ec7136, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57071355, "pskb_expand_head" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0x6352c564, "__skb_get_hash" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb50aa392, "netlink_unicast" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x96faf1d9, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x47853663, "ip_tunnel_encap_del_ops" },
	{ 0x2bfc26c2, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0x4034571f, "register_btf_kfunc_id_set" },
	{ 0x33b1c4be, "setup_udp_tunnel_sock" },
	{ 0x5e5ab0ac, "udp_sock_create6" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0x43f358fb, "inet6_offloads" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa54bc7e6, "genl_unregister_family" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xacbf8aa5, "genl_register_family" },
	{ 0x30da6359, "register_pernet_device" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "C7AA7FA773852698CE3E91E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
