#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x8646c100, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x33b1c4be, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x7a7dbe1a, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x0ea767a5, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x7507d301, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0xe2ca3b66, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x7bb0d86b, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0x2bfc26c2, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x47b64928, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xff356e39, "kernel_bind" },
	{ 0xeab6561e, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x653c3fdf, "netdev_warn" },
	{ 0x6ee0a32a, "udp_tunnel_nic_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5f24859e, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x825b8875, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dc869fe, "iptunnel_xmit" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x8617a9f9, "kernel_connect" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb559c8a8, "sock_create_kern" },
	{ 0x3aa10064, "call_netdevice_notifiers" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x27b23e85, "metadata_dst_alloc" },
	{ 0xb52a1b95, "sock_release" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xbc94d0b5, "sock_bindtoindex" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x349cba85, "strchr" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "63956981D7A39491B07C1FE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
