#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xb3e47f9d, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xff089cb7, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xe9c23af4, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x2cb9f2b8, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xb31cb6d3, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xcc003ce5, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xa152f01e, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x5fcff9f4, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x9d8cb2de, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x1f948172, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x77bd5ca0, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x283ae7e6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x535f5569, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xa09064eb, "ipv6_chk_addr_and_flags" },
	{ 0xb71ce1a0, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x30da6359, "register_pernet_device" },
	{ 0xb4aeea01, "xfrm6_tunnel_register" },
	{ 0x893ea92d, "rtnl_link_register" },
	{ 0x96faf1d9, "unregister_pernet_device" },
	{ 0xfa939005, "xfrm6_tunnel_deregister" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x271bf58, "unregister_netdevice_queue" },
	{ 0x4ca50989, "dev_addr_mod" },
	{ 0xd76a313b, "rt6_lookup" },
	{ 0xb02eaece, "dst_release" },
	{ 0xad252988, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xba4475f6, "ip_tunnel_header_ops" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x2674a316, "init_net" },
	{ 0xe775d02f, "alloc_netdev_mqs" },
	{ 0x5fb7f766, "register_netdev" },
	{ 0x738803e6, "strnlen" },
	{ 0xd29b4321, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9dc95b7f, "rtnl_link_unregister" },
	{ 0xd38ee2c7, "__get_hash_from_flowi6" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x17b486f, "gro_cells_init" },
	{ 0xd2cded25, "skb_scrub_packet" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8701fe78, "gro_cells_receive" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x9770081, "eth_type_trans" },
	{ 0x7d50a24, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6c98b2cd, "skb_copy_bits" },
	{ 0x42f7c5b9, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xeea0399, "strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xdbf04f99, "netdev_state_change" },
	{ 0xd2751b28, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x7a2ca2f4, "ip6_route_output_flags" },
	{ 0x6c7fe42f, "xfrm_lookup" },
	{ 0xa96f283, "ip6_mtu" },
	{ 0x77db0546, "skb_realloc_headroom" },
	{ 0x74eeec28, "skb_set_owner_w" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xf86d4730, "ipv6_push_frag_opts" },
	{ 0x8989f82e, "skb_push" },
	{ 0xa75462dc, "ip6_local_out" },
	{ 0xd35d58df, "dst_cache_get" },
	{ 0x35316ed3, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5ccbb6da, "ipv6_dev_get_saddr" },
	{ 0x85a40159, "ip6_dst_hoplimit" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x23e15137, "ipv4_mtu" },
	{ 0xbdf7bf65, "neigh_destroy" },
	{ 0x110718d3, "make_kuid" },
	{ 0xe4ec7136, "iptunnel_handle_offloads" },
	{ 0xce72b9db, "icmpv6_ndo_send" },
	{ 0x37b1d0d1, "icmp_ndo_send" },
	{ 0x116a2d58, "__xfrm_policy_check" },
	{ 0xc577f844, "__iptunnel_pull_header" },
	{ 0x27b23e85, "metadata_dst_alloc" },
	{ 0xabeb8b40, "ip6_redirect" },
	{ 0x18a79340, "ip6_update_pmtu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbd9b2645, "skb_clone" },
	{ 0xf2659707, "skb_pull" },
	{ 0xbeb0839a, "icmp6_send" },
	{ 0x99d57227, "ip_route_output_flow" },
	{ 0x447f8c18, "ip_route_input_noref" },
	{ 0xef362a54, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1bb62978, "dev_get_tstats64" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "4131B37B341AAA99D2CA6F0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
