#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_nl_register_ops, "_gpl", "");
KSYMTAB_FUNC(l2tp_nl_unregister_ops, "_gpl", "");

SYMBOL_CRC(l2tp_nl_register_ops, 0xf6dfad95, "_gpl");
SYMBOL_CRC(l2tp_nl_unregister_ops, 0x337f2432, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2b9da7a4, "genl_lock" },
	{ 0x2d140a58, "genl_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xacbf8aa5, "genl_register_family" },
	{ 0xfcce1926, "l2tp_session_get_by_ifname" },
	{ 0x42f2f1bc, "l2tp_tunnel_get" },
	{ 0xb85e8cf1, "l2tp_tunnel_get_session" },
	{ 0x9a0680f9, "l2tp_tunnel_dec_refcount" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0xdfb2a7f9, "genlmsg_put" },
	{ 0xb50aa392, "netlink_unicast" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0xa54bc7e6, "genl_unregister_family" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x738803e6, "strnlen" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xaba8e8fd, "l2tp_tunnel_get_nth" },
	{ 0x17870c18, "l2tp_session_get_nth" },
	{ 0x5fb66268, "l2tp_session_dec_refcount" },
	{ 0x14c9f640, "genlmsg_multicast_allns" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc4d2d3ee, "l2tp_tunnel_create" },
	{ 0x51a6a663, "l2tp_tunnel_inc_refcount" },
	{ 0x60f8bcbc, "l2tp_tunnel_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xe28ec9f0, "l2tp_tunnel_delete" },
	{ 0x7e1c406, "l2tp_session_set_header_len" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "l2tp_core");


MODULE_INFO(srcversion, "EF4B381FDAB68BF3C0639A7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
