#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mpls_output_possible, "_gpl", "");
KSYMTAB_FUNC(mpls_dev_mtu, "_gpl", "");
KSYMTAB_FUNC(mpls_pkt_too_big, "_gpl", "");
KSYMTAB_FUNC(mpls_stats_inc_outucastpkts, "_gpl", "");
KSYMTAB_FUNC(nla_put_labels, "_gpl", "");
KSYMTAB_FUNC(nla_get_labels, "_gpl", "");

SYMBOL_CRC(mpls_output_possible, 0x447b464b, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0xb8731580, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0x1f5c3a25, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0xa9a36e8d, "_gpl");
SYMBOL_CRC(nla_put_labels, 0x6cea1d5a, "_gpl");
SYMBOL_CRC(nla_get_labels, 0x8ee316eb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b8aefde, "netlink_strict_get_check" },
	{ 0xb3260875, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa747fb0c, "__nlmsg_put" },
	{ 0x660f4f, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x384c5004, "dev_add_pack" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x2dd8e174, "nla_reserve" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x9afb253, "neigh_xmit" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x99d57227, "ip_route_output_flow" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57071355, "pskb_expand_head" },
	{ 0x52fa1c16, "register_pernet_subsys" },
	{ 0xc66a4a6e, "register_net_sysctl_sz" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9639fb9a, "rtnl_af_register" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0xd0402a90, "rtnl_set_sk_err" },
	{ 0x21e92280, "rtnl_unicast" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x9abf6357, "nla_reserve_64bit" },
	{ 0xe490cd4b, "ip_valid_fib_dump_req" },
	{ 0xad252988, "__dev_get_by_index" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5f24859e, "ipv6_stub" },
	{ 0xf2659707, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x35735c87, "nla_reserve_nohdr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x64bcbb3d, "rtnl_af_unregister" },
	{ 0xca2f9ca9, "dev_remove_pack" },
	{ 0x5f995edd, "dev_get_by_index" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x8989f82e, "skb_push" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xcd279169, "nla_find" },
	{ 0x4f3c60e2, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9c597885, "rtnl_register_module" },
	{ 0x47853663, "ip_tunnel_encap_del_ops" },
	{ 0xf4da8e96, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc6504ef4, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xbd9b2645, "skb_clone" },
	{ 0xb02eaece, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe542948, "proc_dointvec" },
	{ 0x493cde7d, "unregister_net_sysctl_table" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xd8540ad2, "dev_get_flags" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xac6e47b2, "proc_dointvec_minmax" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "BE02B03DEB9E65CB74203E3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
