#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfc_fw_download_done, "", "");
KSYMTAB_FUNC(nfc_dep_link_is_up, "", "");
KSYMTAB_FUNC(nfc_find_se, "", "");
KSYMTAB_FUNC(nfc_set_remote_general_bytes, "", "");
KSYMTAB_FUNC(nfc_get_local_general_bytes, "", "");
KSYMTAB_FUNC(nfc_tm_data_received, "", "");
KSYMTAB_FUNC(nfc_tm_activated, "", "");
KSYMTAB_FUNC(nfc_tm_deactivated, "", "");
KSYMTAB_FUNC(nfc_alloc_recv_skb, "", "");
KSYMTAB_FUNC(nfc_targets_found, "", "");
KSYMTAB_FUNC(nfc_target_lost, "", "");
KSYMTAB_FUNC(nfc_driver_failure, "", "");
KSYMTAB_FUNC(nfc_add_se, "", "");
KSYMTAB_FUNC(nfc_remove_se, "", "");
KSYMTAB_FUNC(nfc_se_transaction, "", "");
KSYMTAB_FUNC(nfc_se_connectivity, "", "");
KSYMTAB_DATA(nfc_class, "", "");
KSYMTAB_FUNC(nfc_allocate_device, "", "");
KSYMTAB_FUNC(nfc_register_device, "", "");
KSYMTAB_FUNC(nfc_unregister_device, "", "");
KSYMTAB_FUNC(__nfc_alloc_vendor_cmd_reply_skb, "", "");
KSYMTAB_FUNC(nfc_vendor_cmd_reply, "", "");
KSYMTAB_FUNC(nfc_proto_register, "", "");
KSYMTAB_FUNC(nfc_proto_unregister, "", "");
KSYMTAB_FUNC(nfc_send_to_raw_sock, "", "");

SYMBOL_CRC(nfc_fw_download_done, 0xa210cb7f, "");
SYMBOL_CRC(nfc_dep_link_is_up, 0x57b9bee8, "");
SYMBOL_CRC(nfc_find_se, 0x5fd0c8b1, "");
SYMBOL_CRC(nfc_set_remote_general_bytes, 0x8a2475ad, "");
SYMBOL_CRC(nfc_get_local_general_bytes, 0x2c9ddd35, "");
SYMBOL_CRC(nfc_tm_data_received, 0x5533afc8, "");
SYMBOL_CRC(nfc_tm_activated, 0x6b3945ea, "");
SYMBOL_CRC(nfc_tm_deactivated, 0xd098ad3c, "");
SYMBOL_CRC(nfc_alloc_recv_skb, 0xd5d3c78c, "");
SYMBOL_CRC(nfc_targets_found, 0x6d71bebb, "");
SYMBOL_CRC(nfc_target_lost, 0x810010df, "");
SYMBOL_CRC(nfc_driver_failure, 0xf77fba7c, "");
SYMBOL_CRC(nfc_add_se, 0xc2d04d76, "");
SYMBOL_CRC(nfc_remove_se, 0xb929b1a4, "");
SYMBOL_CRC(nfc_se_transaction, 0xd8410701, "");
SYMBOL_CRC(nfc_se_connectivity, 0xe3a2e673, "");
SYMBOL_CRC(nfc_class, 0xabe6531f, "");
SYMBOL_CRC(nfc_allocate_device, 0x8cc4dfb1, "");
SYMBOL_CRC(nfc_register_device, 0x982d0325, "");
SYMBOL_CRC(nfc_unregister_device, 0xbd038871, "");
SYMBOL_CRC(__nfc_alloc_vendor_cmd_reply_skb, 0x7c72c62a, "");
SYMBOL_CRC(nfc_vendor_cmd_reply, 0x4f6cc57e, "");
SYMBOL_CRC(nfc_proto_register, 0xd9f9e6a3, "");
SYMBOL_CRC(nfc_proto_unregister, 0xfb33b8e2, "");
SYMBOL_CRC(nfc_send_to_raw_sock, 0x329b8ea1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x4f20e4ba, "skb_free_datagram" },
	{ 0xaf5d132f, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x78689b1f, "class_dev_iter_next" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x393e67ed, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0x42587199, "sock_no_sendmsg" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xdfb2a7f9, "genlmsg_put" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x766862a4, "sock_no_connect" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4997ee1a, "__pskb_copy_fclone" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751f341d, "sk_error_report" },
	{ 0xb23c920b, "skb_queue_purge_reason" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7390ae3b, "class_dev_iter_exit" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x7d5e711e, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd853510d, "sock_register" },
	{ 0xdbcf64db, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb79f2512, "put_device" },
	{ 0x6829aebb, "netlink_broadcast" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf0f5dd21, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0x78b5b683, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xc3700f9a, "__sock_recv_timestamp" },
	{ 0x68dec8af, "sock_no_shutdown" },
	{ 0xcde807b1, "devm_kfree" },
	{ 0x2674a316, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf2659707, "skb_pull" },
	{ 0xa972f676, "device_add" },
	{ 0xb50aa392, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb82de595, "sk_free" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0xd72408d4, "sock_no_accept" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0x52c51605, "sock_no_listen" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9a5423f3, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0xd2751b28, "ns_capable" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0xcac98656, "lock_sock_nested" },
	{ 0x7479a5cf, "sock_no_bind" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc17f3fec, "skb_copy_datagram_iter" },
	{ 0x10bc2661, "rfkill_alloc" },
	{ 0x8dcb9132, "class_dev_iter_init" },
	{ 0x16a3b8cf, "sk_alloc" },
	{ 0x7ce71b17, "device_del" },
	{ 0x7a148112, "__sock_recv_wifi_status" },
	{ 0xb894824e, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xbbd17c71, "sock_no_mmap" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0xa2c069c4, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0xa373d4f7, "skb_recv_datagram" },
	{ 0xc6aa8bec, "sock_alloc_send_pskb" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x358dcbc9, "sock_no_getname" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd9096340, "skb_copy" },
	{ 0xbd9b2645, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1dd6243a, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x45bd19de, "nla_strscpy" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x6bc5c12d, "sock_no_ioctl" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xa54bc7e6, "genl_unregister_family" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xf65ab5c, "iov_iter_revert" },
	{ 0xacbf8aa5, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa6ee30dc, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x8c1a89b9, "sock_init_data" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xac8d39b8, "release_sock" },
	{ 0x5cafcba8, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd6c353fb, "class_find_device" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "94995693366466A87168862");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
