#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0x7d7ce31c, "");
SYMBOL_CRC(pn_sock_unhash, 0xcd58b694, "");
SYMBOL_CRC(phonet_stream_ops, 0x8934e15c, "");
SYMBOL_CRC(pn_sock_get_port, 0xf80f3eb4, "");
SYMBOL_CRC(phonet_header_ops, 0x544e3a40, "");
SYMBOL_CRC(pn_skb_send, 0xf876a4c1, "");
SYMBOL_CRC(phonet_proto_register, 0x20d062e1, "");
SYMBOL_CRC(phonet_proto_unregister, 0x5a6fa6e3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x4f20e4ba, "skb_free_datagram" },
	{ 0xaf5d132f, "sock_queue_rcv_skb_reason" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0xb7d29282, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa747fb0c, "__nlmsg_put" },
	{ 0x393e67ed, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x384c5004, "dev_add_pack" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x2fca85b4, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x8ba3f71f, "___pskb_trim" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x766862a4, "sock_no_connect" },
	{ 0x5c6ce67c, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xa0b40f9f, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57071355, "pskb_expand_head" },
	{ 0x52fa1c16, "register_pernet_subsys" },
	{ 0xb23c920b, "skb_queue_purge_reason" },
	{ 0xc66a4a6e, "register_net_sysctl_sz" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7d5e711e, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd853510d, "sock_register" },
	{ 0xdbcf64db, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0x8e055f2c, "netlink_capable" },
	{ 0xd0402a90, "rtnl_set_sk_err" },
	{ 0xf0f5dd21, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x78b5b683, "module_put" },
	{ 0x5b095e0d, "__sk_receive_skb" },
	{ 0x68dec8af, "sock_no_shutdown" },
	{ 0xad252988, "__dev_get_by_index" },
	{ 0x2674a316, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xca2f9ca9, "dev_remove_pack" },
	{ 0x5f995edd, "dev_get_by_index" },
	{ 0xb82de595, "sk_free" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0xd72408d4, "sock_no_accept" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0x52c51605, "sock_no_listen" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcac98656, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc17f3fec, "skb_copy_datagram_iter" },
	{ 0x9c597885, "rtnl_register_module" },
	{ 0x16a3b8cf, "sk_alloc" },
	{ 0xf4da8e96, "unregister_pernet_subsys" },
	{ 0xb894824e, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbbd17c71, "sock_no_mmap" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0xce17d262, "netif_rx" },
	{ 0x8169b556, "sock_common_recvmsg" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2eebce5d, "sk_common_release" },
	{ 0x481b91a4, "seq_pad" },
	{ 0xb26bae07, "sock_i_ino" },
	{ 0xa91920b8, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xa373d4f7, "skb_recv_datagram" },
	{ 0xc6aa8bec, "sock_alloc_send_pskb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x66b7268c, "remove_proc_entry" },
	{ 0xc6504ef4, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xbd9b2645, "skb_clone" },
	{ 0x1dd6243a, "_copy_from_iter" },
	{ 0xc8836361, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x493cde7d, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x55aa3a5a, "from_kuid_munged" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xf65ab5c, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8c1a89b9, "sock_init_data" },
	{ 0xfc3a8ee2, "sk_ioctl" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xac8d39b8, "release_sock" },
	{ 0xac6e47b2, "proc_dointvec_minmax" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6D8E9F06C61752961F518CD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
