#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x911969f5, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x7dc4e112, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x841b58eb, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x4b7a9cb6, "");
SYMBOL_CRC(gss_mech_put, 0x886873d3, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x3b38c394, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xded0d1d9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a8991c9, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x19ee6303, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x1d6698d3, "xdr_buf_from_iov" },
	{ 0xe1125ab1, "bpf_trace_run4" },
	{ 0xbb4f062c, "xdr_stream_decode_opaque_auth" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6f51e319, "xdr_write_pages" },
	{ 0xf03eda61, "rpc_shutdown_client" },
	{ 0x91b70b1d, "auth_domain_find" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xf4adceb3, "xdr_inline_decode" },
	{ 0xc5bc25f3, "cache_create_net" },
	{ 0x65543562, "rpcauth_destroy_credcache" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x4147afd2, "bpf_trace_run6" },
	{ 0xcd9f0183, "rpc_net_ns" },
	{ 0xf482ae47, "read_bytes_from_xdr_buf" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe815c004, "rpc_wake_up" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7ac896d8, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x94abb745, "sprint_oid" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x3fc9e277, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xf5c5bbf9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x72b49fdd, "xdr_truncate_decode" },
	{ 0x6e7d3d4, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xd6e96b39, "__xdr_commit_encode" },
	{ 0xc66cb16c, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xdd81b965, "rpc_sleep_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x861a197c, "__put_cred" },
	{ 0x52fa1c16, "register_pernet_subsys" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4271f2a2, "cache_purge" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x12502d8c, "rpc_release_client" },
	{ 0xe695afd5, "auth_domain_lookup" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd2acc842, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xed576316, "svc_auth_register" },
	{ 0xdcf09693, "xdr_stream_encode_opaque_auth" },
	{ 0x110718d3, "make_kuid" },
	{ 0x738803e6, "strnlen" },
	{ 0x20ddd4a7, "rpc_destroy_pipe_data" },
	{ 0xf23a1a3b, "__free_pages" },
	{ 0xa23de5e0, "rpc_pipe_generic_upcall" },
	{ 0x78b5b683, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x9c11d866, "cache_unregister_net" },
	{ 0xfc5f45ee, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf28e2c6, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xb6c6e93e, "rpcauth_init_credcache" },
	{ 0xcc33f85b, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xe354c4cc, "xdr_init_decode" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xdd6ae3f0, "rpc_call_null" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x8941ad14, "rpc_sleep_on_timeout" },
	{ 0x576a48c0, "rpc_create" },
	{ 0x39887690, "bpf_trace_run1" },
	{ 0xfeb56abd, "rpc_call_sync" },
	{ 0xe23289e7, "from_kuid" },
	{ 0xf4da8e96, "unregister_pernet_subsys" },
	{ 0x784138ce, "rpc_queue_upcall" },
	{ 0x21478b28, "xdr_encode_word" },
	{ 0x2bc95bd4, "memset" },
	{ 0x8b614b53, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa7cd194d, "svcauth_unix_set_client" },
	{ 0xef8d38e3, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xda9b2e16, "make_kgid" },
	{ 0xed4d11a5, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xe74ef3d1, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xffa48b9, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x22391572, "bpf_trace_run3" },
	{ 0x22972949, "__put_net" },
	{ 0xef4cad92, "trace_print_flags_seq" },
	{ 0x48cb4f7d, "rpc_mkpipe_dentry" },
	{ 0x8733bfe4, "rpc_mkpipe_data" },
	{ 0x205f5f6b, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0xfddc9ddc, "cache_register_net" },
	{ 0x4aed611, "init_user_ns" },
	{ 0x7bf2bf9d, "alloc_pages" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xdbc6e796, "xdr_inline_pages" },
	{ 0x61495dc5, "__folio_put" },
	{ 0x66b7268c, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x2753039a, "rpc_init_wait_queue" },
	{ 0xa1d4a142, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x786c88aa, "rpc_unlink" },
	{ 0x78bcd817, "rpcauth_wrap_req_encode" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x55aa3a5a, "from_kuid_munged" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x322f503e, "rpcauth_init_cred" },
	{ 0x135828b9, "page_address" },
	{ 0xa6462f38, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xf325be04, "cache_destroy_net" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7f8c3b4e, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x593f08c, "xdr_stream_pos" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xa9f73790, "sunrpc_cache_update" },
	{ 0x8c5ce96c, "xdr_truncate_encode" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4c9781dc, "rpc_destroy_wait_queue" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x86ed0d24, "auth_domain_put" },
	{ 0x12be290b, "rpcauth_unwrap_resp_decode" },
	{ 0x2698595e, "rpcauth_register" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "06489F61E5DAADEB634AA6A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
