#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_fw_transaction, "", "");
KSYMTAB_FUNC(fw_iso_resources_init, "", "");
KSYMTAB_FUNC(fw_iso_resources_destroy, "", "");
KSYMTAB_FUNC(fw_iso_resources_allocate, "", "");
KSYMTAB_FUNC(fw_iso_resources_update, "", "");
KSYMTAB_FUNC(fw_iso_resources_free, "", "");
KSYMTAB_FUNC(iso_packets_buffer_init, "", "");
KSYMTAB_FUNC(iso_packets_buffer_destroy, "", "");
KSYMTAB_FUNC(avc_general_set_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_plug_info, "", "");
KSYMTAB_FUNC(fcp_avc_transaction, "", "");
KSYMTAB_FUNC(fcp_bus_reset, "", "");
KSYMTAB_FUNC(cmp_connection_init, "", "");
KSYMTAB_FUNC(cmp_connection_check_used, "", "");
KSYMTAB_FUNC(cmp_connection_destroy, "", "");
KSYMTAB_FUNC(cmp_connection_reserve, "", "");
KSYMTAB_FUNC(cmp_connection_release, "", "");
KSYMTAB_FUNC(cmp_connection_establish, "", "");
KSYMTAB_FUNC(cmp_connection_update, "", "");
KSYMTAB_FUNC(cmp_connection_break, "", "");
KSYMTAB_FUNC(amdtp_stream_init, "", "");
KSYMTAB_FUNC(amdtp_stream_destroy, "", "");
KSYMTAB_DATA(amdtp_syt_intervals, "", "");
KSYMTAB_DATA(amdtp_rate_table, "", "");
KSYMTAB_FUNC(amdtp_stream_add_pcm_hw_constraints, "", "");
KSYMTAB_FUNC(amdtp_stream_set_parameters, "", "");
KSYMTAB_FUNC(amdtp_stream_get_max_payload, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_prepare, "", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_pointer, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_ack, "_gpl", "");
KSYMTAB_FUNC(amdtp_stream_update, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_abort, "", "");
KSYMTAB_FUNC(amdtp_domain_init, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_destroy, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_add_stream, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_start, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stop, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_parameters, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_pcm_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_midi_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_add_pcm_hw_constraints, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_midi_trigger, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_init, "_gpl", "");

SYMBOL_CRC(snd_fw_transaction, 0xf59de52c, "");
SYMBOL_CRC(fw_iso_resources_init, 0x5a18250b, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0xbd38b9f4, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0x67d9ae7b, "");
SYMBOL_CRC(fw_iso_resources_update, 0xdfb54208, "");
SYMBOL_CRC(fw_iso_resources_free, 0x0d2e2294, "");
SYMBOL_CRC(iso_packets_buffer_init, 0x2cfe7f6f, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0x3e3760a2, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0x6bec1ac8, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0x7d24aa0e, "");
SYMBOL_CRC(avc_general_get_plug_info, 0x9d2c6e8c, "");
SYMBOL_CRC(fcp_avc_transaction, 0xf9532dfb, "");
SYMBOL_CRC(fcp_bus_reset, 0xda26f7ad, "");
SYMBOL_CRC(cmp_connection_init, 0x05ddb793, "");
SYMBOL_CRC(cmp_connection_check_used, 0x1990cdeb, "");
SYMBOL_CRC(cmp_connection_destroy, 0x07c11587, "");
SYMBOL_CRC(cmp_connection_reserve, 0x5875c239, "");
SYMBOL_CRC(cmp_connection_release, 0x8974498f, "");
SYMBOL_CRC(cmp_connection_establish, 0x5a12b696, "");
SYMBOL_CRC(cmp_connection_update, 0x4b3c42cd, "");
SYMBOL_CRC(cmp_connection_break, 0x23ef6356, "");
SYMBOL_CRC(amdtp_stream_init, 0x605a5cce, "");
SYMBOL_CRC(amdtp_stream_destroy, 0xa1b54a52, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0x343e7d48, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0x83f2d1a3, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0x26fcb601, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0xb8fb20a1, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0x0952ad81, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0xa2d1f074, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0xe25b2b15, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0x15195623, "");
SYMBOL_CRC(amdtp_domain_init, 0x8b7c5094, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0x1f440866, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0x48c6690e, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0x307012ed, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0x84d60bb2, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0x924f8b47, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0x083840df, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0xc7e28640, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0x417f901c, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0x780756aa, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0x3c25f9fa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8eb7e7ce, "fw_iso_context_destroy" },
	{ 0xa8a08caf, "trace_print_array_seq" },
	{ 0x14d7f840, "fw_run_transaction" },
	{ 0x795cdbc7, "snd_rawmidi_receive" },
	{ 0x674591e4, "fw_iso_buffer_init" },
	{ 0x6e58b37b, "snd_rawmidi_transmit" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4bc6a005, "snd_pcm_hw_constraint_minmax" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0xc547cf3e, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x6d10a82c, "fw_core_remove_address_handler" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x8e1cd1a8, "fw_iso_context_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd61fcab9, "fw_core_add_address_handler" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb8d32a76, "snd_pcm_hw_rule_add" },
	{ 0x74414e8b, "fw_iso_context_queue" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xb8fae540, "fw_card_read_cycle_time" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xd56e642c, "fw_iso_buffer_destroy" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x434cd632, "fw_iso_resource_manage" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x607e8ed1, "bpf_trace_run9" },
	{ 0xf5a895fe, "snd_pcm_period_elapsed_under_stream_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3b8f3d3d, "fw_iso_context_start" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa1b2b411, "snd_pcm_stop_xrun" },
	{ 0x27fa7680, "snd_pcm_hw_constraint_msbits" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xca871770, "snd_pcm_period_elapsed" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x135828b9, "page_address" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd2e3ff0f, "fw_iso_context_flush_completions" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-rawmidi,snd-pcm");


MODULE_INFO(srcversion, "220800E04FB1DC05EC28F66");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
