#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(oxygen_read8, "", "");
KSYMTAB_FUNC(oxygen_read16, "", "");
KSYMTAB_FUNC(oxygen_read32, "", "");
KSYMTAB_FUNC(oxygen_write8, "", "");
KSYMTAB_FUNC(oxygen_write16, "", "");
KSYMTAB_FUNC(oxygen_write32, "", "");
KSYMTAB_FUNC(oxygen_write8_masked, "", "");
KSYMTAB_FUNC(oxygen_write16_masked, "", "");
KSYMTAB_FUNC(oxygen_write32_masked, "", "");
KSYMTAB_FUNC(oxygen_write_ac97, "", "");
KSYMTAB_FUNC(oxygen_read_ac97, "", "");
KSYMTAB_FUNC(oxygen_write_ac97_masked, "", "");
KSYMTAB_FUNC(oxygen_write_spi, "", "");
KSYMTAB_FUNC(oxygen_write_i2c, "", "");
KSYMTAB_FUNC(oxygen_reset_uart, "", "");
KSYMTAB_FUNC(oxygen_write_uart, "", "");
KSYMTAB_FUNC(oxygen_pci_probe, "", "");
KSYMTAB_DATA(oxygen_pci_pm, "", "");
KSYMTAB_FUNC(oxygen_pci_shutdown, "", "");
KSYMTAB_FUNC(oxygen_update_dac_routing, "", "");

SYMBOL_CRC(oxygen_read8, 0x45dbd8bc, "");
SYMBOL_CRC(oxygen_read16, 0x9efeb968, "");
SYMBOL_CRC(oxygen_read32, 0x4299851e, "");
SYMBOL_CRC(oxygen_write8, 0x938e7840, "");
SYMBOL_CRC(oxygen_write16, 0x6eadb09f, "");
SYMBOL_CRC(oxygen_write32, 0x08de3f96, "");
SYMBOL_CRC(oxygen_write8_masked, 0x748d8f38, "");
SYMBOL_CRC(oxygen_write16_masked, 0x096323a4, "");
SYMBOL_CRC(oxygen_write32_masked, 0xf56508d8, "");
SYMBOL_CRC(oxygen_write_ac97, 0x42484e79, "");
SYMBOL_CRC(oxygen_read_ac97, 0x247fc4cb, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0x2007d66d, "");
SYMBOL_CRC(oxygen_write_spi, 0xfb411080, "");
SYMBOL_CRC(oxygen_write_i2c, 0x8cbd7f26, "");
SYMBOL_CRC(oxygen_reset_uart, 0x7691394c, "");
SYMBOL_CRC(oxygen_write_uart, 0xce0097fa, "");
SYMBOL_CRC(oxygen_pci_probe, 0x64c97efc, "");
SYMBOL_CRC(oxygen_pci_pm, 0x5e9f18fc, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0xe0539bba, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0x33d12be5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17ab3fc5, "devm_request_threaded_irq" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xfdc53dad, "snd_ctl_add" },
	{ 0xb773e773, "snd_pcm_new" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x477109b3, "snd_card_register" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x427df015, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0xf6542ca7, "snd_card_free_on_error" },
	{ 0x9325a1f5, "snd_card_rw_proc_new" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf463b3e, "snd_pcm_set_sync" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x77db385a, "pci_read_config_dword" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe5a9d64, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60ec76cd, "snd_component_add" },
	{ 0x738803e6, "strnlen" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe9f468ec, "snd_ctl_boolean_mono_info" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe911aec0, "snd_ctl_notify" },
	{ 0x6702ea1a, "snd_pcm_set_ops" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x23dfbce6, "snd_pcm_set_managed_buffer" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x21a92093, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x42c215f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x56c3792e, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe4739d, "seq_printf" },
	{ 0x1a054a6b, "snd_mpu401_uart_new" },
	{ 0x5643b112, "pci_match_id" },
	{ 0x27fa7680, "snd_pcm_hw_constraint_msbits" },
	{ 0xca871770, "snd_pcm_period_elapsed" },
	{ 0xd35f75a1, "match_string" },
	{ 0xd312e042, "snd_pcm_hw_constraint_step" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8ab6993c, "pcim_enable_device" },
	{ 0x961cb595, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf29c35e6, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-mpu401-uart");


MODULE_INFO(srcversion, "650D1041C2FC3D09DC17E15");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
