#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x1f0c689f, "snd_dma_alloc_dir_pages" },
	{ 0x906af335, "pci_enable_device" },
	{ 0xfdc53dad, "snd_ctl_add" },
	{ 0xb773e773, "snd_pcm_new" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x477109b3, "snd_card_register" },
	{ 0xc9ab8dbb, "snd_card_free" },
	{ 0x8038b133, "request_firmware" },
	{ 0x164b8581, "__pci_register_driver" },
	{ 0xb24e581c, "param_array_ops" },
	{ 0x427df015, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x9325a1f5, "snd_card_rw_proc_new" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xf463b3e, "snd_pcm_set_sync" },
	{ 0xc3bffcab, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88f725c2, "snd_dma_free_pages" },
	{ 0xe5a9d64, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xd2a8ebae, "snd_card_new" },
	{ 0xe9f468ec, "snd_ctl_boolean_mono_info" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe4c60eb4, "snd_ctl_boolean_stereo_info" },
	{ 0x6702ea1a, "snd_pcm_set_ops" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x55de0f3b, "snd_device_new" },
	{ 0x21a92093, "snd_pcm_set_managed_buffer_all" },
	{ 0x42c215f, "pci_set_master" },
	{ 0xcfbd2b4d, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6bf66a89, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x8e0b562a, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0xca871770, "snd_pcm_period_elapsed" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xd312e042, "snd_pcm_hw_constraint_step" },
	{ 0x6f132701, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd");

MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000B001bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000B101bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000B201bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000B301bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000B021bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000B121bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000B221bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000B321bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000B401bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000B501bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000B601bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000B701bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000B421bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000B521bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000B621bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000B721bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BA01bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BA21bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BD01bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BD21bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BC01bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BC21bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BB01bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BB21bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BF01bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000BF21bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000D001bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000D101bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000D021bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000D121bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000D201bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009656sv00001369sd0000D301bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000D221bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009056sv00001369sd0000D321bc*sc*i*");

MODULE_INFO(srcversion, "A1FAAB269ADFBE461EAA8E5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
