#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l45_probe, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_remove, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_pm_ops, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_apply_patch, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_i2c_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_spi_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_get_clk_freq_id, "_gpl", "SND_SOC_CS35L45");

SYMBOL_CRC(cs35l45_probe, 0x49d27681, "_gpl");
SYMBOL_CRC(cs35l45_remove, 0xe2873124, "_gpl");
SYMBOL_CRC(cs35l45_pm_ops, 0x0108e73f, "_gpl");
SYMBOL_CRC(cs35l45_apply_patch, 0xc62a87fe, "_gpl");
SYMBOL_CRC(cs35l45_i2c_regmap, 0x19e01e84, "_gpl");
SYMBOL_CRC(cs35l45_spi_regmap, 0x5ad8dfc8, "_gpl");
SYMBOL_CRC(cs35l45_get_clk_freq_id, 0x3431c8ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x73b9af26, "snd_soc_dapm_put_enum_double" },
	{ 0x5c95c65, "wm_adsp_fw_put" },
	{ 0xe37117d0, "regulator_enable" },
	{ 0xb9e5b341, "regcache_cache_only" },
	{ 0xd9a7c366, "regcache_sync" },
	{ 0x6df156, "regmap_write" },
	{ 0x17ab3fc5, "devm_request_threaded_irq" },
	{ 0xa37e7a99, "of_node_put" },
	{ 0x352f907f, "of_property_read_variable_u32_array" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6ebf0d27, "pm_runtime_set_autosuspend_delay" },
	{ 0x342beb52, "gpiod_set_value_cansleep" },
	{ 0xcd5add7a, "wm_adsp2_remove" },
	{ 0x5a1ccc1f, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2bc90097, "devm_gpiod_get_optional" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0x262ffc0e, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0x1f11cefd, "device_property_read_u32_array" },
	{ 0x1c0f3a57, "devm_regulator_get" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x792a28c4, "snd_soc_info_volsw" },
	{ 0xe544503c, "of_get_child_by_name" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x3e1b63af, "wm_adsp_event" },
	{ 0x4e6f1340, "wm_adsp_fw_enum" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x7ebd4035, "wm_adsp2_component_probe" },
	{ 0x2adcb4df, "wm_adsp2_preloader_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x765bc192, "wm_adsp2_preloader_get" },
	{ 0xb0187f1f, "snd_soc_info_enum_double" },
	{ 0x12d2170e, "wm_adsp2_component_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x90ffbb1c, "devm_regmap_add_irq_chip" },
	{ 0x8178cf5b, "snd_soc_get_volsw" },
	{ 0x1bed28e0, "regmap_read" },
	{ 0x7bcd0cbb, "snd_soc_put_volsw" },
	{ 0x594e2928, "wm_adsp_fw_get" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc1e114e2, "regmap_bulk_read" },
	{ 0x6a36c088, "regmap_update_bits_base" },
	{ 0x83a24b80, "regulator_disable" },
	{ 0xbd7ecefa, "dev_err_probe" },
	{ 0x6eb1968e, "regmap_multi_reg_write" },
	{ 0x529311d5, "__pm_runtime_suspend" },
	{ 0xc23a6a16, "regmap_register_patch" },
	{ 0x524fb4b2, "snd_soc_dapm_get_enum_double" },
	{ 0xca6b6055, "__pm_runtime_use_autosuspend" },
	{ 0x57cf7a22, "wm_halo_init" },
	{ 0x90cc498c, "wm_adsp_early_event" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "793FA5C4B71E29653FA875A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
