#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0xf6e13c72, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0x2c1f362b, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0xeeb9d587, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x8d99dadc, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x4fba5286, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0x5f8d309a, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x78370614, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0x580788b2, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0xa6738889, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0xd08a0276, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0xeafab6aa, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0xd953229d, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x04ac69e3, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0xbb585565, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xed4c24a5, "device_property_present" },
	{ 0xb9e5b341, "regcache_cache_only" },
	{ 0xd9a7c366, "regcache_sync" },
	{ 0x6df156, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf5dd7a9b, "snd_soc_jack_report" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x342beb52, "gpiod_set_value_cansleep" },
	{ 0x4bc6a005, "snd_pcm_hw_constraint_minmax" },
	{ 0x2eb1071f, "regcache_sync_region" },
	{ 0xd120ca80, "snd_soc_put_enum_double" },
	{ 0x5a1ccc1f, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2bc90097, "devm_gpiod_get_optional" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x262ffc0e, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x31d5571d, "regulator_bulk_disable" },
	{ 0x1f11cefd, "device_property_read_u32_array" },
	{ 0xfb2e0ba7, "snd_soc_get_enum_double" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x792a28c4, "snd_soc_info_volsw" },
	{ 0x28972152, "regcache_drop_region" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb0187f1f, "snd_soc_info_enum_double" },
	{ 0x6212b566, "regulator_bulk_enable" },
	{ 0xb4f18643, "devm_regulator_bulk_get" },
	{ 0x8178cf5b, "snd_soc_get_volsw" },
	{ 0x1bed28e0, "regmap_read" },
	{ 0x7bcd0cbb, "snd_soc_put_volsw" },
	{ 0xf85ff9cc, "snd_soc_component_update_bits" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc1e114e2, "regmap_bulk_read" },
	{ 0x6a36c088, "regmap_update_bits_base" },
	{ 0xbd7ecefa, "dev_err_probe" },
	{ 0x6eb1968e, "regmap_multi_reg_write" },
	{ 0x529311d5, "__pm_runtime_suspend" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "765AB33E9904D3A6837FDFE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
