#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sst_alloc_drv_context, "_gpl", "");
KSYMTAB_FUNC(sst_context_init, "_gpl", "");
KSYMTAB_FUNC(sst_context_cleanup, "_gpl", "");
KSYMTAB_FUNC(sst_configure_runtime_pm, "_gpl", "");
KSYMTAB_DATA(intel_sst_pm, "_gpl", "");
KSYMTAB_FUNC(relocate_imr_addr_mrfld, "_gpl", "");

SYMBOL_CRC(sst_alloc_drv_context, 0xcb2f229d, "_gpl");
SYMBOL_CRC(sst_context_init, 0x8d3a7201, "_gpl");
SYMBOL_CRC(sst_context_cleanup, 0x31bf5b7c, "_gpl");
SYMBOL_CRC(sst_configure_runtime_pm, 0xe09c1dee, "_gpl");
SYMBOL_CRC(intel_sst_pm, 0xe68e615e, "_gpl");
SYMBOL_CRC(relocate_imr_addr_mrfld, 0x709cd25f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42648a78, "cpu_latency_qos_remove_request" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x17ab3fc5, "devm_request_threaded_irq" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6ebf0d27, "pm_runtime_set_autosuspend_delay" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8038b133, "request_firmware" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0x2e60bace, "memcpy" },
	{ 0x596ff27b, "cpu_latency_qos_add_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7513b5ec, "__iowrite32_copy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xa9bc2514, "request_firmware_nowait" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6d165192, "cpu_latency_qos_update_request" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x3f060887, "__ioread32_copy" },
	{ 0x26686045, "sysfs_create_group" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2bc95bd4, "memset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3136e047, "sysfs_remove_group" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0x2e23815b, "sst_unregister_dsp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x529311d5, "__pm_runtime_suspend" },
	{ 0xca6b6055, "__pm_runtime_use_autosuspend" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7a08ab00, "sst_register_dsp" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-sst-atom-hifi2-platform");


MODULE_INFO(srcversion, "D041F364CAE6CE09FCFCB6D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
