#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(acp_sof_quirk_table, "_gpl", "");
KSYMTAB_FUNC(amd_sof_acp_suspend, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_resume, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_probe, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_remove, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_get_bar_index, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_pre_fw_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_dsp_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_load_signed_firmware, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_send_msg, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_irq_thread, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_msg_data, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_set_stream_data_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_mailbox_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_window_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_hw_params, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_open, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_close, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_pointer, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_get, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_put, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_release, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_DATA(sof_acp_common_ops, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_register, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_unregister, "", "SND_SOC_SOF_AMD_COMMON");

SYMBOL_CRC(acp_sof_quirk_table, 0x67e5de9e, "_gpl");
SYMBOL_CRC(amd_sof_acp_suspend, 0x313d98e8, "");
SYMBOL_CRC(amd_sof_acp_resume, 0x90ba3ed9, "");
SYMBOL_CRC(amd_sof_acp_probe, 0xbdf381f7, "");
SYMBOL_CRC(amd_sof_acp_remove, 0xb0f7d8db, "");
SYMBOL_CRC(acp_dsp_block_read, 0xd788cd63, "");
SYMBOL_CRC(acp_dsp_block_write, 0xa50a87ae, "");
SYMBOL_CRC(acp_get_bar_index, 0x9add7c43, "");
SYMBOL_CRC(acp_dsp_pre_fw_run, 0xd6e26039, "");
SYMBOL_CRC(acp_sof_dsp_run, 0x241ff307, "");
SYMBOL_CRC(acp_sof_load_signed_firmware, 0xf7006506, "");
SYMBOL_CRC(acp_mailbox_write, 0xd88cb96a, "");
SYMBOL_CRC(acp_mailbox_read, 0x49c8ae3f, "");
SYMBOL_CRC(acp_sof_ipc_send_msg, 0x9520dc27, "");
SYMBOL_CRC(acp_sof_ipc_irq_thread, 0x35fb27dd, "");
SYMBOL_CRC(acp_sof_ipc_msg_data, 0xdcd6bf52, "");
SYMBOL_CRC(acp_set_stream_data_offset, 0xa5070740, "");
SYMBOL_CRC(acp_sof_ipc_get_mailbox_offset, 0x54928cf8, "");
SYMBOL_CRC(acp_sof_ipc_get_window_offset, 0xad808b92, "");
SYMBOL_CRC(acp_pcm_hw_params, 0x1d4bd685, "");
SYMBOL_CRC(acp_pcm_open, 0xdd39fa9f, "");
SYMBOL_CRC(acp_pcm_close, 0x5f926ccb, "");
SYMBOL_CRC(acp_pcm_pointer, 0xfaec8454, "");
SYMBOL_CRC(acp_dsp_stream_get, 0x1e21ab04, "");
SYMBOL_CRC(acp_dsp_stream_put, 0x041fcf08, "");
SYMBOL_CRC(acp_dsp_stream_init, 0xa26c0702, "");
SYMBOL_CRC(acp_sof_trace_release, 0x4ca9d1bd, "");
SYMBOL_CRC(acp_sof_trace_init, 0xfcaeb6b0, "");
SYMBOL_CRC(sof_acp_common_ops, 0x2af8cb96, "");
SYMBOL_CRC(acp_probes_register, 0x457b0df7, "");
SYMBOL_CRC(acp_probes_unregister, 0xc9a644fe, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xd1de203b, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x4152c0ae, "pci_dev_put" },
	{ 0x1c5f3e93, "pci_get_device" },
	{ 0x8038b133, "request_firmware" },
	{ 0x3188fec5, "devm_ioremap" },
	{ 0x9bb6937a, "sof_xtensa_arch_ops" },
	{ 0x2e60bace, "memcpy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x65bd7b83, "snd_sgbuf_get_addr" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x77db385a, "pci_read_config_dword" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x710174ef, "platform_device_unregister" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0xca994717, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2ad85b63, "snd_soc_acpi_find_machine" },
	{ 0x3799157d, "sof_print_oops_and_stack" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xcdb6edc2, "snd_sof_dsp_update_bits" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x42c215f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x83f84840, "sof_io_read" },
	{ 0x7cf69115, "snd_sof_ipc_reply" },
	{ 0x68a674e5, "platform_device_register_full" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0xb1aa9556, "sof_machine_unregister" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x86666d7e, "snd_sof_dsp_panic" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x50da8083, "sof_client_dev_unregister" },
	{ 0xdfabb3f7, "snd_sof_load_firmware_memcpy" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf29c35e6, "pci_write_config_dword" },
	{ 0xbc6ba2de, "sof_io_write" },
	{ 0x6dd8b1ce, "sof_machine_register" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "snd-sof,snd-sof-xtensa-dsp,snd-pcm,snd-soc-acpi");


MODULE_INFO(srcversion, "87B15E1AF66DC42C78EE12D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
