#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0x1e430b1d, "");
SYMBOL_CRC(hda_bus_ml_free, 0x881dfdec, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0xfe6b80b0, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x73c5c40c, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0x85627ed7, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0x1e89e933, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0x9c0c7b62, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0xaa624c05, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0x10750976, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x368c1037, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0xdd5eaeab, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0xd5e6d0bc, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0x0ad47881, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0x1306d72f, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0xa7d87f19, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0xf66e5278, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x91530f82, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0x81b78675, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0xca37ebdc, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0x071b623b, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0xf0537372, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0x78185ebf, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0x0f6aaab5, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0x52c61492, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0xe30d287d, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0xcba6771c, "");
SYMBOL_CRC(hda_bus_ml_resume, 0xb902f12b, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0xedb6b091, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0x9b6ab8bb, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0x02f09d85, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0x8471925a, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0xb1cc03f7, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0x9ce9b161, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1eb48bb6, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eccef24, "snd_hdac_ext_bus_link_power_down" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc776f38a, "snd_hdac_ext_bus_link_put" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "CCD9D213FCABB93A5DA79AE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
