#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0x7c5fc232, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0xe110d470, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x39d84973, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x2bc4997a, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0xecd80b53, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x85d05424, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x73068aa0, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0xd1311bae, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0xf49d8aad, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x8c48289b, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x7868292f, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0xc74f839f, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0xa664d7a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xffaa693b, "crypto_alloc_skcipher" },
	{ 0xa09cbd7f, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x44b7c256, "crypto_alloc_ahash" },
	{ 0x5cbde374, "crypto_alloc_aead" },
	{ 0x162ce7a1, "crypto_skcipher_setkey" },
	{ 0x3f09d134, "crypto_spawn_tfm2" },
	{ 0x5e932c0b, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x9644e0a4, "crypto_shash_setkey" },
	{ 0x721ec622, "crypto_clone_shash" },
	{ 0x1f26030c, "crypto_aead_setauthsize" },
	{ 0x6c693f6f, "crypto_aead_setkey" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x748d04ac, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x69d3dff9, "crypto_enqueue_request" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x158d211e, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x559badf7, "crypto_register_template" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0xd7554ac9, "crypto_grab_shash" },
	{ 0x9ceb61e5, "crypto_grab_skcipher" },
	{ 0xec2d6180, "skcipher_register_instance" },
	{ 0x8567d6d, "crypto_grab_aead" },
	{ 0xd5899079, "aead_register_instance" },
	{ 0xddc5c5f1, "shash_no_setkey" },
	{ 0x7217b456, "ahash_register_instance" },
	{ 0x79b928e9, "crypto_skcipher_decrypt" },
	{ 0x82fe940c, "crypto_skcipher_encrypt" },
	{ 0x9aea82f2, "shash_ahash_digest" },
	{ 0x14c6e14b, "shash_ahash_finup" },
	{ 0xc72c41d5, "crypto_shash_final" },
	{ 0x2b237648, "shash_ahash_update" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AA85586D61174CF6C4F2FB2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
