#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(acpi_video_get_levels, "", "");
KSYMTAB_FUNC(acpi_video_get_edid, "", "");
KSYMTAB_FUNC(acpi_video_register, "", "");
KSYMTAB_FUNC(acpi_video_unregister, "", "");
KSYMTAB_FUNC(acpi_video_register_backlight, "", "");
KSYMTAB_FUNC(acpi_video_handles_brightness_key_presses, "", "");
KSYMTAB_FUNC(__acpi_video_get_backlight_type, "", "");

SYMBOL_CRC(acpi_video_get_levels, 0xa36ad473, "");
SYMBOL_CRC(acpi_video_get_edid, 0x42e3cc24, "");
SYMBOL_CRC(acpi_video_register, 0x8826c13b, "");
SYMBOL_CRC(acpi_video_unregister, 0x7a45377b, "");
SYMBOL_CRC(acpi_video_register_backlight, 0x45b61916, "");
SYMBOL_CRC(acpi_video_handles_brightness_key_presses, 0x7cc484a5, "");
SYMBOL_CRC(__acpi_video_get_backlight_type, 0x7de7bf50, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x9695cb64, "input_allocate_device" },
	{ 0x7c9ef575, "acpi_dev_get_first_match_dev" },
	{ 0x44d4fa9e, "acpi_device_hid" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x810ba849, "backlight_device_unregister" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0xb9dcb173, "backlight_force_update" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x4152c0ae, "pci_dev_put" },
	{ 0x1c5f3e93, "pci_get_device" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x5aa70984, "acpi_reduced_hardware" },
	{ 0xedc03953, "iounmap" },
	{ 0xd004a1e6, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x2f0c4d12, "acpi_dev_remove_notify_handler" },
	{ 0xe6aba91b, "thermal_cooling_device_register" },
	{ 0xca6f58f5, "get_device" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xfe9ebbbb, "acpi_osi_is_win8" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x77db385a, "pci_read_config_dword" },
	{ 0x20eaa751, "input_free_device" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x14669ace, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xb79f2512, "put_device" },
	{ 0xf76987b2, "wmi_evaluate_method" },
	{ 0x47c58eb5, "acpi_device_fix_up_power_extended" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xbbb41924, "pnp_get_resource" },
	{ 0x37f1aa51, "sysfs_create_link" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0xa9c758d4, "acpi_dev_install_notify_handler" },
	{ 0x32e6f1a0, "acpi_video_backlight_string" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xaacc9e27, "sort" },
	{ 0xdf627054, "sysfs_remove_link" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x59311381, "acpi_get_pci_dev" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0xb19b445, "ioread8" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x2f384db3, "acpi_is_video_device" },
	{ 0xf604736e, "acpi_get_first_physical_node" },
	{ 0x39b12223, "__acpi_handle_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x86f82cd2, "input_event" },
	{ 0x64650436, "acpi_match_device_ids" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe3524d60, "acpi_notifier_call_chain" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x45cf3ab, "acpi_fetch_acpi_dev" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0xe64ddf0, "acpi_bus_unregister_driver" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbe8db914, "backlight_device_register" },
	{ 0x66b7c0d5, "acpi_dev_for_each_child" },
	{ 0x3a7962a7, "thermal_cooling_device_unregister" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf2eb47e0, "acpi_bus_register_driver" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "wmi");

MODULE_ALIAS("acpi*:LNXVIDEO:*");

MODULE_INFO(srcversion, "6ADA48476BA90D971494E58");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
