#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drbd_conn_str, "", "");
KSYMTAB_FUNC(drbd_role_str, "", "");
KSYMTAB_FUNC(drbd_disk_str, "", "");
KSYMTAB_FUNC(drbd_set_st_err_str, "", "");

SYMBOL_CRC(drbd_conn_str, 0x7730f22d, "");
SYMBOL_CRC(drbd_role_str, 0x35131b36, "");
SYMBOL_CRC(drbd_disk_str, 0xaf27bebf, "");
SYMBOL_CRC(drbd_set_st_err_str, 0x127a5901, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe31bb342, "set_capacity_and_notify" },
	{ 0xc6e6cdc9, "lc_seq_printf_stats" },
	{ 0x712c1d93, "set_disk_ro" },
	{ 0xd0855796, "__blk_alloc_disk" },
	{ 0xdf07a3ce, "bdev_alignment_offset" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0xece4c05a, "tcp_sock_set_cork" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x723bfa30, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa4089551, "blk_start_plug" },
	{ 0x20978fb9, "idr_find" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x72122451, "lc_get_cumulative" },
	{ 0x9cb7a9ca, "bio_split_to_limits" },
	{ 0xbd58fc12, "kmap_high" },
	{ 0x9a680cd5, "disk_update_readahead" },
	{ 0x8f31b402, "device_add_disk" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x2dd8e174, "nla_reserve" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xeb0d18cc, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x15c85de3, "mempool_init" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xdfb2a7f9, "genlmsg_put" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x50888233, "seq_lseek" },
	{ 0x6a99542c, "blk_queue_write_cache" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc40ae6b6, "kernel_accept" },
	{ 0x538605db, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xb67bc589, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xc8521655, "tcp_sock_set_quickack" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb06ae8d6, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xa09cbd7f, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7d905c59, "lc_del" },
	{ 0xff03a522, "nla_put_nohdr" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xcc07b713, "put_disk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x6829aebb, "netlink_broadcast" },
	{ 0x2d140a58, "genl_unlock" },
	{ 0x738803e6, "strnlen" },
	{ 0x91f20d14, "blk_queue_flag_set" },
	{ 0xa7d1f625, "lc_committed" },
	{ 0x3dcbf915, "lc_get" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xd7789b00, "blkdev_put" },
	{ 0xf23a1a3b, "__free_pages" },
	{ 0xc6488b31, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x87e56b00, "submit_bio" },
	{ 0x78b5b683, "module_put" },
	{ 0xbb8cf3cf, "bio_start_io_acct" },
	{ 0xac84418e, "bdev_discard_alignment" },
	{ 0xa7b3f653, "lc_try_get" },
	{ 0x369e419f, "bioset_exit" },
	{ 0x5a9dfbf0, "__kmap_local_page_prot" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xdd7a8d11, "flush_signals" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xa04efedc, "bio_put" },
	{ 0xe5ac90a5, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5af8e078, "down_write" },
	{ 0x2674a316, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0x9644e0a4, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5fd4497c, "lc_element_by_index" },
	{ 0xb50aa392, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0x388d6662, "submit_bio_noacct" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x825b8875, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7e780431, "kunmap_high" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xb997eca9, "set_cpus_allowed_ptr" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc5a77435, "seq_putc" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x41163d6b, "blkdev_get_by_path" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xc6017dc4, "crypto_shash_digest" },
	{ 0x59ef1ddb, "iov_iter_kvec" },
	{ 0xddcddffc, "blk_queue_segment_boundary" },
	{ 0x4eebba70, "blkdev_issue_zeroout" },
	{ 0xcd279169, "nla_find" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0xf1e046cc, "panic" },
	{ 0xdccef3dc, "sock_sendmsg" },
	{ 0x2da63d36, "bio_add_page" },
	{ 0x5275d2cb, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9b1a2b68, "del_gendisk" },
	{ 0xa5fa447f, "blk_queue_max_discard_sectors" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x2838dcbd, "lc_create" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x70beccc7, "bd_unlink_disk_holder" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x99cc0e12, "bio_alloc_clone" },
	{ 0x2257d5b6, "lc_try_lock" },
	{ 0x6c5d69c6, "iov_iter_bvec" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x4fbe8be4, "lc_destroy" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6c2c298d, "blk_queue_max_segments" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2ff949a9, "lc_reset" },
	{ 0xfbdc7b19, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc4e9b676, "kthread_create_on_node" },
	{ 0xf6041b6e, "lc_is_used" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe2fd670b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xeea0399, "strscpy" },
	{ 0xb816d13, "lc_seq_dump_details" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xda14165b, "blk_queue_max_write_zeroes_sectors" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xc72c41d5, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xb559c8a8, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0xbb8fa3cb, "bioset_init" },
	{ 0x7bf2bf9d, "alloc_pages" },
	{ 0x61495dc5, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x66b7268c, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xcda47f9a, "sock_recvmsg" },
	{ 0x71d9af4, "kobject_uevent" },
	{ 0xb52a1b95, "sock_release" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x45bd19de, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x4292ae3f, "bd_link_disk_holder" },
	{ 0xc8836361, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x88d47c17, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xe07a91ac, "tcp_sock_set_nodelay" },
	{ 0x75a6294e, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa54bc7e6, "genl_unregister_family" },
	{ 0xa5eaf253, "proc_create_single_data" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x15a2b494, "blk_queue_max_hw_sectors" },
	{ 0x135828b9, "page_address" },
	{ 0x16a8e2ca, "lc_put" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xd0d8621b, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x906000b2, "lc_find" },
	{ 0x89ba77c3, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x16ee9407, "crypto_alloc_shash" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0xacbf8aa5, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2b9da7a4, "genl_lock" },
	{ 0xe5ad0616, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x6eee9e14, "fs_bio_set" },
	{ 0x3b259352, "kmem_cache_destroy" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0xa23723e3, "blkdev_issue_discard" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "lru_cache,libcrc32c");


MODULE_INFO(srcversion, "3F1488B7CBF933E2A527384");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
