#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(counter_priv, "_gpl", "COUNTER");
KSYMTAB_FUNC(counter_alloc, "_gpl", "COUNTER");
KSYMTAB_FUNC(counter_put, "_gpl", "COUNTER");
KSYMTAB_FUNC(counter_add, "_gpl", "COUNTER");
KSYMTAB_FUNC(counter_unregister, "_gpl", "COUNTER");
KSYMTAB_FUNC(devm_counter_alloc, "_gpl", "COUNTER");
KSYMTAB_FUNC(devm_counter_add, "_gpl", "COUNTER");
KSYMTAB_FUNC(counter_push_event, "_gpl", "COUNTER");

SYMBOL_CRC(counter_priv, 0xf3354a15, "_gpl");
SYMBOL_CRC(counter_alloc, 0x6a354e32, "_gpl");
SYMBOL_CRC(counter_put, 0x2a422cba, "_gpl");
SYMBOL_CRC(counter_add, 0x43dc448a, "_gpl");
SYMBOL_CRC(counter_unregister, 0x386189e5, "_gpl");
SYMBOL_CRC(devm_counter_alloc, 0x60cf4f18, "_gpl");
SYMBOL_CRC(devm_counter_add, 0x1c09e8e6, "_gpl");
SYMBOL_CRC(counter_push_event, 0xa881b183, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xc178387e, "dev_set_name" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xb4a9b092, "cdev_device_del" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xca6f58f5, "get_device" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x2ddf84ad, "cdev_device_add" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb79f2512, "put_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x176adec5, "bus_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x40b51c05, "__sysfs_match_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xffa48b9, "nonseekable_open" },
	{ 0xbef5113b, "devm_kasprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x27c4e0f2, "__devm_add_action" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xec530739, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x26e6d188, "bus_register" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C52F0B750BE87DB69F822D0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
