#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(adf_cfg_dev_add, "_gpl", "");
KSYMTAB_FUNC(adf_cfg_dev_remove, "_gpl", "");
KSYMTAB_FUNC(adf_cfg_add_key_value_param, "_gpl", "");
KSYMTAB_FUNC(adf_cfg_section_add, "_gpl", "");
KSYMTAB_FUNC(adf_cfg_get_param_value, "_gpl", "");
KSYMTAB_FUNC(adf_isr_resource_free, "_gpl", "");
KSYMTAB_FUNC(adf_isr_resource_alloc, "_gpl", "");
KSYMTAB_FUNC(adf_clean_vf_map, "_gpl", "");
KSYMTAB_FUNC(adf_devmgr_update_class_index, "_gpl", "");
KSYMTAB_FUNC(adf_devmgr_add_dev, "_gpl", "");
KSYMTAB_FUNC(adf_devmgr_rm_dev, "_gpl", "");
KSYMTAB_FUNC(adf_devmgr_pci_to_accel_dev, "_gpl", "");
KSYMTAB_FUNC(adf_dev_in_use, "_gpl", "");
KSYMTAB_FUNC(adf_dev_get, "_gpl", "");
KSYMTAB_FUNC(adf_dev_put, "_gpl", "");
KSYMTAB_FUNC(adf_devmgr_in_reset, "_gpl", "");
KSYMTAB_FUNC(adf_dev_started, "_gpl", "");
KSYMTAB_FUNC(adf_dev_down, "_gpl", "");
KSYMTAB_FUNC(adf_dev_up, "_gpl", "");
KSYMTAB_FUNC(adf_dev_restart, "_gpl", "");
KSYMTAB_FUNC(adf_reset_sbr, "_gpl", "");
KSYMTAB_FUNC(adf_reset_flr, "_gpl", "");
KSYMTAB_DATA(adf_err_handler, "_gpl", "");
KSYMTAB_FUNC(adf_init_etr_data, "_gpl", "");
KSYMTAB_FUNC(adf_cleanup_etr_data, "_gpl", "");
KSYMTAB_FUNC(adf_send_admin_init, "_gpl", "");
KSYMTAB_FUNC(adf_init_admin_comms, "_gpl", "");
KSYMTAB_FUNC(adf_exit_admin_comms, "_gpl", "");
KSYMTAB_FUNC(adf_init_arb, "_gpl", "");
KSYMTAB_FUNC(adf_exit_arb, "_gpl", "");
KSYMTAB_FUNC(adf_sysfs_init, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_get_num_accels, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_get_num_aes, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_enable_error_correction, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_cfg_iov_thds, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_get_admin_info, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_get_arb_info, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_enable_ints, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_init_hw_csr_ops, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_get_accel_cap, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_set_ssm_wdtimer, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_dev_config, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_init_hw_csr_ops, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_set_ssm_wdtimer, "_gpl", "");
KSYMTAB_FUNC(adf_pfvf_comms_disabled, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_ring_pair_reset, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_handle_pm_interrupt, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_enable_pm, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_init_dc_ops, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_init_dc_ops, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_timer_start, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_timer_stop, "_gpl", "");
KSYMTAB_FUNC(adf_dev_measure_clock, "_gpl", "");
KSYMTAB_FUNC(adf_heartbeat_check_ctrs, "_gpl", "");
KSYMTAB_FUNC(adf_heartbeat_save_cfg_param, "_gpl", "");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_add, "_gpl", "");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_rm, "_gpl", "");
KSYMTAB_FUNC(adf_dbgfs_init, "_gpl", "");
KSYMTAB_FUNC(adf_dbgfs_exit, "_gpl", "");
KSYMTAB_FUNC(adf_disable_sriov, "_gpl", "");
KSYMTAB_FUNC(adf_sriov_configure, "_gpl", "");
KSYMTAB_FUNC(adf_disable_pf2vf_interrupts, "_gpl", "");
KSYMTAB_FUNC(adf_vf_isr_resource_free, "_gpl", "");
KSYMTAB_FUNC(adf_vf_isr_resource_alloc, "_gpl", "");
KSYMTAB_FUNC(adf_flush_vf_wq, "_gpl", "");
KSYMTAB_FUNC(adf_enable_pf2vf_comms, "_gpl", "");
KSYMTAB_FUNC(adf_vf2pf_notify_init, "_gpl", "");
KSYMTAB_FUNC(adf_vf2pf_notify_shutdown, "_gpl", "");
KSYMTAB_FUNC(adf_enable_vf2pf_comms, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_init_pf_pfvf_ops, "_gpl", "");
KSYMTAB_FUNC(adf_gen2_init_vf_pfvf_ops, "_gpl", "");
KSYMTAB_FUNC(adf_gen4_init_pf_pfvf_ops, "_gpl", "");

SYMBOL_CRC(adf_cfg_dev_add, 0x69a412ad, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0xde53c698, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0x77bac5f2, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0x0a446aa7, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0xfd35e569, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0x5ba5f30e, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0xc4fd5e7c, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0xe62e77c8, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0xbe4fede3, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0xcb0c1982, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0xe42cdbe6, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0x4e9cd53f, "_gpl");
SYMBOL_CRC(adf_dev_get, 0xba7b8291, "_gpl");
SYMBOL_CRC(adf_dev_put, 0x5ddf2349, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0xd3d77a7d, "_gpl");
SYMBOL_CRC(adf_dev_started, 0x337ab170, "_gpl");
SYMBOL_CRC(adf_dev_down, 0xaebf186e, "_gpl");
SYMBOL_CRC(adf_dev_up, 0x77a6a6ee, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0xd255d31a, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0x9c51fc51, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0xf545d0a3, "_gpl");
SYMBOL_CRC(adf_err_handler, 0x0b3d6685, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0x4954eb41, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0xcb0230d1, "_gpl");
SYMBOL_CRC(adf_send_admin_init, 0x41065c47, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0xdb04649e, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0x5a21166f, "_gpl");
SYMBOL_CRC(adf_init_arb, 0xbe4ad88f, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0xdbd46ed3, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0xa2eb2c1c, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0x30913246, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0x0cc74dbb, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0x928b38e7, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0xce79c26d, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0xa61ef778, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xd64519f1, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0x0df45eb0, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0x81f080ad, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0xd9155714, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0xc501ac82, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0x07a7dc89, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0xd94e1878, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0xc3ab5437, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0xc4f60f9e, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0xe08ad7a4, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0x5c813e04, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0xbfaa093c, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0x45c850df, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0x0894863e, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0xd234b96e, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0x0780a37f, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0xa9d81f60, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0xec603667, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0x66eaa328, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0xd068d82d, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0x69df1ccd, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0x44de7300, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0x59ff2a24, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0xcc38b38b, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0x45b48c15, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0xe7191f5f, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0xf05d7d65, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0x6c7d6929, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0xb14edda1, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0x914800d0, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0x44c1c3ae, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0x171f5cf4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82fe940c, "crypto_skcipher_encrypt" },
	{ 0x50fb7e12, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1e4169f8, "crypto_alloc_base" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xe31abc75, "pci_alloc_irq_vectors" },
	{ 0x58d11a3a, "crypto_unregister_kpp" },
	{ 0xc179f20b, "seq_release" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xdc13d2, "__kmalloc_node" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x78a240e6, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8038b133, "request_firmware" },
	{ 0x3a5258a4, "class_destroy" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x59918df9, "pci_num_vf" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x38d53ad9, "crypto_register_aeads" },
	{ 0x2f7093af, "pci_sriov_get_totalvfs" },
	{ 0xbfa79da4, "seq_hex_dump" },
	{ 0x50888233, "seq_lseek" },
	{ 0x44366cfc, "simple_write_to_buffer" },
	{ 0x556fb053, "devm_device_add_group" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xea65216c, "pci_irq_vector" },
	{ 0x162ce7a1, "crypto_skcipher_setkey" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8a0ccec4, "crypto_cipher_setkey" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0x4603d9e4, "crypto_unregister_aeads" },
	{ 0xa09cbd7f, "crypto_destroy_tfm" },
	{ 0x77db385a, "pci_read_config_dword" },
	{ 0xeb53178a, "crc8" },
	{ 0xa0380c5d, "dma_map_page_attrs" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b928e9, "crypto_skcipher_decrypt" },
	{ 0x738803e6, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xf531cff3, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x78b5b683, "module_put" },
	{ 0x72cf4b6, "cdev_add" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0xe41856f3, "crypto_unregister_acomps" },
	{ 0x5af8e078, "down_write" },
	{ 0xcde807b1, "devm_kfree" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8b065251, "simple_open" },
	{ 0x5b6f644b, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7fd5b050, "crypto_unregister_akcipher" },
	{ 0x4d913a04, "device_create" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xf29300b1, "class_create" },
	{ 0x2ccb2704, "pci_wait_for_pending_transaction" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb90a1fcd, "rsa_parse_priv_key" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0xbb8b2a0e, "pcie_flr" },
	{ 0x937603b5, "pci_read_config_word" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xc5a77435, "seq_putc" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xc6017dc4, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x5275d2cb, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9157d772, "crypto_register_skciphers" },
	{ 0x1eef6d16, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x40b51c05, "__sysfs_match_string" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcc0406df, "crypto_register_acomps" },
	{ 0x4c6b4c3, "__crypto_memneq" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe2fd670b, "seq_read" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x13596f43, "crypto_cipher_encrypt_one" },
	{ 0xeea0399, "strscpy" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x7691fef1, "crypto_register_kpp" },
	{ 0x6e2d20a5, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xba274c11, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0xc8836361, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x2f020a1f, "seq_open" },
	{ 0x99bcfa70, "crypto_unregister_skciphers" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x135828b9, "page_address" },
	{ 0x5b498037, "crypto_register_akcipher" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x16ee9407, "crypto_alloc_shash" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0x961cb595, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8f1a8cf9, "rsa_parse_pub_key" },
	{ 0xcc21fc93, "pci_free_irq_vectors" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x374e7041, "pci_enable_sriov" },
	{ 0x29f3a126, "up_read" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xec530739, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x30370bbc, "cdev_del" },
	{ 0xffaa693b, "crypto_alloc_skcipher" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc");


MODULE_INFO(srcversion, "A541666EB8B5D9E0AEF7D86");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
