#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0xac56acb2, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x86c4b585, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0x11c2d13d, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x4e6474d8, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x9dc5995c, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x617c6d51, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x715d6382, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0xe21d1918, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0xa9dee615, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0xf0430986, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x6bb0dd79, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0xf17797cc, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0xcbf7716a, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0xe771c451, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0x5d05182f, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x74645f58, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0xf9f36ef9, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0xad0b564e, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0x806e1a36, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x25b8b95d, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x319aa089, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0xba9ac808, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0x913ce98d, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x58fb2327, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0x684a2aa7, "debugfs_create_bool" },
	{ 0xfca995b0, "debugfs_create_x32" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0x89ba77c3, "single_open" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd0d8621b, "strlen" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xa0415f28, "regmap_raw_write" },
	{ 0x62797f28, "regmap_raw_read" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x5152e605, "memcmp" },
	{ 0x2e60bace, "memcpy" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x1bed28e0, "regmap_read" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x6a36c088, "regmap_update_bits_base" },
	{ 0x6df156, "regmap_write" },
	{ 0x6eb1968e, "regmap_multi_reg_write" },
	{ 0xc1e114e2, "regmap_bulk_read" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbef5113b, "devm_kasprintf" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa5bf0da5, "regmap_raw_write_async" },
	{ 0x4944c584, "regmap_async_complete" },
	{ 0x999e8297, "vfree" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x738803e6, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x50888233, "seq_lseek" },
	{ 0xe2fd670b, "seq_read" },
	{ 0x88d47c17, "single_release" },
	{ 0x8b065251, "simple_open" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5BC619C06DD31D1CE84EB37");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
