#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fpga_image_info_alloc, "_gpl", "");
KSYMTAB_FUNC(fpga_image_info_free, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_load, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(of_fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_put, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_lock, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unlock, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_register, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(devm_fpga_mgr_register, "_gpl", "");

SYMBOL_CRC(fpga_image_info_alloc, 0x0d9f3cb7, "_gpl");
SYMBOL_CRC(fpga_image_info_free, 0x7c7b2b52, "_gpl");
SYMBOL_CRC(fpga_mgr_load, 0x68adfa36, "_gpl");
SYMBOL_CRC(fpga_mgr_get, 0xebe3e424, "_gpl");
SYMBOL_CRC(of_fpga_mgr_get, 0x692875bd, "_gpl");
SYMBOL_CRC(fpga_mgr_put, 0xf010b78e, "_gpl");
SYMBOL_CRC(fpga_mgr_lock, 0xc3e95042, "_gpl");
SYMBOL_CRC(fpga_mgr_unlock, 0xa962b696, "_gpl");
SYMBOL_CRC(fpga_mgr_register_full, 0x103d9b8e, "_gpl");
SYMBOL_CRC(fpga_mgr_register, 0xf0c25fb2, "_gpl");
SYMBOL_CRC(fpga_mgr_unregister, 0x72a83531, "_gpl");
SYMBOL_CRC(devm_fpga_mgr_register_full, 0x1ecc3e8d, "_gpl");
SYMBOL_CRC(devm_fpga_mgr_register, 0x562aee74, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xca6f58f5, "get_device" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xb79f2512, "put_device" },
	{ 0xcde807b1, "devm_kfree" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x70c6f45e, "sg_miter_start" },
	{ 0x3399a998, "sg_miter_next" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x39a32f1f, "sg_miter_stop" },
	{ 0x421d4dcf, "krealloc" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xffb7c514, "ida_free" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb8323c01, "device_match_of_node" },
	{ 0xd6c353fb, "class_find_device" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x78b5b683, "module_put" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xa6ee30dc, "class_register" },
	{ 0x9a5423f3, "class_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xd0d8621b, "strlen" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xa553b00, "device_register" },
	{ 0x11f5d7f7, "__devres_alloc_node" },
	{ 0xb5fd58f0, "devres_add" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xc5879a11, "sg_miter_skip" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xc5d873a8, "vmalloc_to_page" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6db5ab82, "__kmap_to_page" },
	{ 0x2c85510c, "sg_alloc_table_from_pages_segment" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8038b133, "request_firmware" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "481CCC9DE1DE3E6F9507C31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
