#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_tng_gpio_probe, "_gpl", "GPIO_TANGIER");
KSYMTAB_FUNC(tng_gpio_suspend, "_gpl", "GPIO_TANGIER");
KSYMTAB_FUNC(tng_gpio_resume, "_gpl", "GPIO_TANGIER");

SYMBOL_CRC(devm_tng_gpio_probe, 0x31c3c943, "_gpl");
SYMBOL_CRC(tng_gpio_suspend, 0xc32bc52c, "_gpl");
SYMBOL_CRC(tng_gpio_resume, 0x3a35ae11, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3bf59995, "gpiochip_get_data" },
	{ 0xe0ffc9ae, "gpiochip_add_pin_range" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x270d2c51, "gpiochip_generic_request" },
	{ 0x2e1b576d, "gpiochip_generic_free" },
	{ 0xc3239c3b, "handle_bad_irq" },
	{ 0x94405a5a, "devm_gpiochip_add_data_with_key" },
	{ 0xbd7ecefa, "dev_err_probe" },
	{ 0xadfe1f10, "gpiochip_generic_config" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x842c6615, "gpiochip_enable_irq" },
	{ 0x4f2005c3, "gpiochip_disable_irq" },
	{ 0x9544bef6, "generic_handle_domain_irq" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xd9202d50, "handle_level_irq" },
	{ 0xbd4981f2, "handle_edge_irq" },
	{ 0xb099cc71, "gpiochip_irq_reqres" },
	{ 0x80481f89, "gpiochip_irq_relres" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4C5A618183043520F134C03");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
