#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");

SYMBOL_CRC(drm_gem_dma_create, 0x38c6acf1, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x08ef9f74, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x0e020ab6, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0xd8606e17, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xb45af784, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x2e994c04, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x998aac09, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0xe3473500, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x0b220bf8, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x59947c93, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0x873f8377, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0x7c86c4e7, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0xecb53e8c, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x68930e37, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0xc9c1eddd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ca4ffb4, "drm_client_register" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x9a5880b0, "drm_fb_helper_init" },
	{ 0x7ed6f05f, "drm_fb_helper_debug_enter" },
	{ 0xac860205, "dma_buf_vunmap_unlocked" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xfc786acb, "drm_client_buffer_vmap" },
	{ 0x6c4502da, "drm_fb_helper_lastclose" },
	{ 0xf25f298f, "drm_fb_helper_setcmap" },
	{ 0x1ea90a1a, "drm_fb_helper_alloc_info" },
	{ 0xbea518f9, "drm_helper_disable_unused_functions" },
	{ 0xdc3b741d, "drm_fb_helper_unprepare" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x4ea1669d, "vm_get_page_prot" },
	{ 0x51124d3e, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x521f62d9, "drm_fb_helper_fini" },
	{ 0xb04724ab, "dma_mmap_pages" },
	{ 0xf7356afe, "drm_client_framebuffer_delete" },
	{ 0x1d34f6f7, "dma_free_pages" },
	{ 0x813884f3, "drm_client_framebuffer_create" },
	{ 0x9d4bfeef, "dma_sync_single_for_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xa20dc7c1, "drm_fb_helper_fill_info" },
	{ 0xb1c80b85, "drm_gem_create_mmap_offset" },
	{ 0xe0fe6ff1, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0x9f6bfe0b, "drm_fb_helper_hotplug_event" },
	{ 0xc5ab6f43, "fb_sys_write" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xb84fedbe, "sys_imageblit" },
	{ 0x1f1b6e58, "drm_atomic_helper_damage_iter_init" },
	{ 0x140c74aa, "drm_fb_helper_blank" },
	{ 0x2471f096, "dma_alloc_pages" },
	{ 0xa5bffe50, "drm_gem_private_object_init" },
	{ 0x9b9136a7, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x12a52aa3, "sys_fillrect" },
	{ 0x78b5b683, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xe85d2835, "drm_client_init" },
	{ 0x2e60b2ae, "drm_gem_vm_close" },
	{ 0x7e79daea, "drm_gem_vm_open" },
	{ 0x3aaa51af, "drm_fb_helper_prepare" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x33cafc5c, "drm_gem_object_release" },
	{ 0xab06fd53, "mem_section" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x1ffefb92, "drm_gem_handle_create" },
	{ 0xa054efed, "drm_gem_fb_get_obj" },
	{ 0x96d1c493, "__drm_dev_dbg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4a140012, "drm_fb_helper_pan_display" },
	{ 0xd70663cf, "drm_client_release" },
	{ 0x6f313a79, "sys_copyarea" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0x28779e52, "drm_printf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1f2148d5, "drm_client_buffer_vunmap" },
	{ 0x1f06578b, "fb_sys_read" },
	{ 0x2d2b762c, "drm_fb_helper_debug_leave" },
	{ 0x758abb08, "dma_buf_vmap_unlocked" },
	{ 0x4ed2a84d, "dma_mmap_attrs" },
	{ 0xefb6477a, "dma_get_sgtable_attrs" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x135828b9, "page_address" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x3b6eabb6, "drm_fb_helper_initial_config" },
	{ 0x7eaba248, "drm_fb_helper_unregister_info" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x412be695, "drm_fb_helper_ioctl" },
	{ 0xd3484633, "drm_fb_helper_set_par" },
	{ 0xc5848521, "drm_prime_gem_destroy" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "64A45454504A8A792D821ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
