#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x1a62a429, "");
SYMBOL_CRC(drm_gem_vram_put, 0x61872966, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x5ccf9d85, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xb1efbd93, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x8929c369, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xcc76f0d5, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0xc6369328, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x99f6dd17, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0xf279d300, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x178fa2dc, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x9cf3c5b9, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x41a0dea2, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x9a97cd30, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xa745aa3c, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x76851b66, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x878ca349, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3aef2cd5, "ttm_range_man_init_nocheck" },
	{ 0x8ce0c191, "ww_mutex_lock_interruptible" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x303dd37e, "ttm_resource_manager_debug" },
	{ 0x5f553acf, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xebfbe0ee, "ttm_range_man_fini_nocheck" },
	{ 0xe0fe6ff1, "drm_gem_object_init" },
	{ 0xfeb953b1, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xad58300, "ttm_bo_pin" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0x5a6ee268, "drm_gem_ttm_mmap" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5750e029, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5227a575, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x33cafc5c, "drm_gem_object_release" },
	{ 0x6aeae16, "ttm_tt_init" },
	{ 0x1ffefb92, "drm_gem_handle_create" },
	{ 0xa054efed, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb353727, "ttm_bo_unpin" },
	{ 0x513072fe, "__drm_puts_seq_file" },
	{ 0x77afc53f, "drm_debugfs_add_files" },
	{ 0xd68ac3ab, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x28dc970, "ttm_device_init" },
	{ 0x8b421b48, "ttm_bo_validate" },
	{ 0xfc9377da, "ttm_bo_move_to_lru_tail" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x6ef7630d, "ttm_bo_vmap" },
	{ 0xdbd292a3, "ttm_bo_put" },
	{ 0x351ff2b, "ttm_resource_free" },
	{ 0x635df133, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x221905ed, "ttm_tt_fini" },
	{ 0xd1376bc7, "ttm_device_fini" },
	{ 0x827b8be3, "drm_gem_plane_helper_prepare_fb" },
	{ 0xdff16db0, "ttm_bo_eviction_valuable" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x76d649ab, "drm_gem_ttm_print_info" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "7AE0AE9C03F5998B04013AB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
