#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x944ae112, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0xdd8fb017, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0x6f77d345, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0x0de07927, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6df156, "regmap_write" },
	{ 0x168e9f95, "__devm_drm_dev_alloc" },
	{ 0x541a0884, "device_get_match_data" },
	{ 0x1f11cefd, "device_property_read_u32_array" },
	{ 0x1ff9866c, "device_property_read_u8_array" },
	{ 0xed4c24a5, "device_property_present" },
	{ 0x2bc90097, "devm_gpiod_get_optional" },
	{ 0x1c0f3a57, "devm_regulator_get" },
	{ 0x8a321202, "devm_backlight_device_register" },
	{ 0xc77c1f81, "drmm_mode_config_init" },
	{ 0x12648346, "drm_universal_plane_init" },
	{ 0x7c6bdd49, "drm_plane_enable_fb_damage_clips" },
	{ 0xb9e84372, "drm_crtc_init_with_planes" },
	{ 0x5ba13d3c, "drm_encoder_init" },
	{ 0xcd6e256e, "drm_connector_init" },
	{ 0xabbcbc9d, "drm_connector_attach_encoder" },
	{ 0x1cd34751, "drm_mode_config_reset" },
	{ 0x267e659c, "drm_dev_register" },
	{ 0x427b2b7e, "drm_fbdev_generic_setup" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xbd7ecefa, "dev_err_probe" },
	{ 0xaf69a9f7, "drm_mode_duplicate" },
	{ 0x58e3e9f9, "drm_mode_probed_add" },
	{ 0x54730945, "drm_set_preferred_mode" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xac00276d, "pwm_put" },
	{ 0x83a24b80, "regulator_disable" },
	{ 0x4cc8e184, "pwm_apply_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0x27bffaa2, "__drm_gem_destroy_shadow_plane_state" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xd597b454, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x5e2324a6, "drm_dev_unplug" },
	{ 0x73fc5009, "drm_atomic_helper_shutdown" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x1819187, "__drm_gem_reset_shadow_plane" },
	{ 0x14b7ba4e, "regmap_bulk_write" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xac45f26f, "drm_dev_enter" },
	{ 0x1f1b6e58, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x6a7f7ab2, "drm_gem_fb_begin_cpu_access" },
	{ 0x1dfcc95, "drm_fb_xrgb8888_to_mono" },
	{ 0x19ce22d1, "drm_gem_fb_end_cpu_access" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x342beb52, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe37117d0, "regulator_enable" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x9f88b026, "pwm_get" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x7e469cd4, "drm_plane_helper_atomic_check" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xa5b785c4, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x10d4b4ef, "drm_gem_shmem_dumb_create" },
	{ 0x343b01b1, "noop_llseek" },
	{ 0x533bd65f, "drm_read" },
	{ 0x9429125d, "drm_poll" },
	{ 0x9b5dc062, "drm_ioctl" },
	{ 0xe6249152, "drm_gem_mmap" },
	{ 0xdbd9d6b8, "drm_open" },
	{ 0x1e34cb23, "drm_release" },
	{ 0x4737cb36, "drm_gem_fb_create_with_dirty" },
	{ 0x305e2221, "drm_atomic_helper_check" },
	{ 0xc0dda823, "drm_atomic_helper_commit" },
	{ 0x759a1a2f, "drm_atomic_helper_connector_reset" },
	{ 0x5537d5b8, "drm_helper_probe_single_connector_modes" },
	{ 0x9815c324, "drm_connector_cleanup" },
	{ 0xd6ac7839, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x66e56268, "drm_atomic_helper_connector_destroy_state" },
	{ 0x85089b04, "drm_encoder_cleanup" },
	{ 0xe19b6afb, "drm_atomic_helper_crtc_reset" },
	{ 0xe8034f91, "drm_crtc_cleanup" },
	{ 0x30c7990a, "drm_atomic_helper_set_config" },
	{ 0xcce7dc36, "drm_atomic_helper_page_flip" },
	{ 0xc7dcb417, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0x4e4af6e3, "drm_atomic_helper_crtc_destroy_state" },
	{ 0x8556e7b7, "drm_crtc_helper_atomic_check" },
	{ 0xbaef722a, "drm_atomic_helper_update_plane" },
	{ 0x959634b0, "drm_atomic_helper_disable_plane" },
	{ 0xcd443e9a, "drm_plane_cleanup" },
	{ 0x34e7fc1f, "drm_gem_begin_shadow_fb_access" },
	{ 0x2dbbf147, "drm_gem_end_shadow_fb_access" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "11E0962973CEAD2E0DC8DA2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
