#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0xc423746c, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x5eb65830, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0xe15c8288, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x79b3a013, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x01c24f29, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x85cdfcd8, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0x0c945fa8, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0xefb7a13d, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0xeaf68891, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0x9b098c72, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0x11c44352, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0x2b219109, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0x7f424dc3, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0x913e8071, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x32efd6eb, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x1bdff412, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0x3ccb66fb, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0x9e1c4409, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0x11f02211, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0xd5f6a9cf, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0xe6ca3c25, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x345909ee, "i2c_smbus_write_byte_data" },
	{ 0x4904a866, "i2c_smbus_read_byte_data" },
	{ 0x1b863d65, "i2c_smbus_write_byte" },
	{ 0xd2c0040a, "i2c_smbus_write_word_data" },
	{ 0x1c61ffaf, "i2c_smbus_read_word_data" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf175b0cc, "device_remove_file" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x165446ec, "devm_krealloc" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x4cf3bbaf, "simple_attr_open" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc948a932, "i2c_smbus_read_block_data" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7f37a346, "devm_thermal_of_zone_register" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x47f6323b, "rdev_get_dev" },
	{ 0xcaa9ef56, "rdev_get_id" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x3d84e662, "thermal_zone_device_priv" },
	{ 0xa3bc1f14, "sysfs_notify" },
	{ 0x71d9af4, "kobject_uevent" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xa4460d67, "regulator_notifier_call_chain" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x803fd442, "i2c_smbus_xfer" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x1bd4060f, "device_create_file" },
	{ 0x27c4e0f2, "__devm_add_action" },
	{ 0xcbad9621, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x2e60bace, "memcpy" },
	{ 0xbf43034b, "devm_hwmon_device_register_with_groups" },
	{ 0x824c29c1, "devm_regulator_register" },
	{ 0xbd7ecefa, "dev_err_probe" },
	{ 0x17ab3fc5, "devm_request_threaded_irq" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x343b01b1, "noop_llseek" },
	{ 0x8b065251, "simple_open" },
	{ 0xaf977a5e, "debugfs_attr_read" },
	{ 0x917161a5, "debugfs_attr_write" },
	{ 0xc8a6d085, "simple_attr_release" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C556A110EA97642BAC90A7F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
