#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(intel_th_driver_register, "_gpl", "");
KSYMTAB_FUNC(intel_th_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(intel_th_output_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_alloc, "_gpl", "");
KSYMTAB_FUNC(intel_th_free, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_switch, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_disable, "_gpl", "");
KSYMTAB_FUNC(intel_th_set_output, "_gpl", "");

SYMBOL_CRC(intel_th_driver_register, 0xc6d25c39, "_gpl");
SYMBOL_CRC(intel_th_driver_unregister, 0x711ea88d, "_gpl");
SYMBOL_CRC(intel_th_output_enable, 0xb749c534, "_gpl");
SYMBOL_CRC(intel_th_alloc, 0xc65a001c, "_gpl");
SYMBOL_CRC(intel_th_free, 0x1cee50de, "_gpl");
SYMBOL_CRC(intel_th_trace_enable, 0x49bb8f83, "_gpl");
SYMBOL_CRC(intel_th_trace_switch, 0x1c0b1b82, "_gpl");
SYMBOL_CRC(intel_th_trace_disable, 0x97499c96, "_gpl");
SYMBOL_CRC(intel_th_set_output, 0x9854a001, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x17ab3fc5, "devm_request_threaded_irq" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x412ab177, "device_for_each_child" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb79f2512, "put_device" },
	{ 0xa8a003da, "devm_free_irq" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0x78b5b683, "module_put" },
	{ 0x176adec5, "bus_unregister" },
	{ 0xa75005c7, "bus_find_device" },
	{ 0xa972f676, "device_add" },
	{ 0x343b01b1, "noop_llseek" },
	{ 0xffb7c514, "ida_free" },
	{ 0x878c572e, "driver_unregister" },
	{ 0x26686045, "sysfs_create_group" },
	{ 0x7ce71b17, "device_del" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xd8119a10, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x33f790f6, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3830296a, "dma_set_coherent_mask" },
	{ 0x3136e047, "sysfs_remove_group" },
	{ 0xe8fd12b2, "pm_runtime_forbid" },
	{ 0xa770b57b, "pm_runtime_allow" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0xf0c5c03c, "__register_chrdev" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xea5a46f4, "device_release_driver" },
	{ 0xd0d8621b, "strlen" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0x52b57bd3, "driver_register" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x26e6d188, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CD75BEE8718DB7AE053E5B5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
