#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtrs_iu_alloc, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_free, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_recv, "_gpl", "");
KSYMTAB_FUNC(rtrs_post_recv_empty, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_send, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_rdma_write_imm, "_gpl", "");
KSYMTAB_FUNC(rtrs_cq_qp_create, "_gpl", "");
KSYMTAB_FUNC(rtrs_cq_qp_destroy, "_gpl", "");
KSYMTAB_FUNC(rtrs_send_hb_ack, "_gpl", "");
KSYMTAB_FUNC(rtrs_init_hb, "_gpl", "");
KSYMTAB_FUNC(rtrs_start_hb, "_gpl", "");
KSYMTAB_FUNC(rtrs_stop_hb, "_gpl", "");
KSYMTAB_FUNC(sockaddr_to_str, "", "");
KSYMTAB_FUNC(rtrs_addr_to_str, "", "");
KSYMTAB_FUNC(rtrs_addr_to_sockaddr, "", "");
KSYMTAB_FUNC(rtrs_rdma_dev_pd_init, "", "");
KSYMTAB_FUNC(rtrs_rdma_dev_pd_deinit, "", "");
KSYMTAB_FUNC(rtrs_ib_dev_put, "", "");
KSYMTAB_FUNC(rtrs_ib_dev_find_or_add, "", "");

SYMBOL_CRC(rtrs_iu_alloc, 0x6b392b0c, "_gpl");
SYMBOL_CRC(rtrs_iu_free, 0x08c300c7, "_gpl");
SYMBOL_CRC(rtrs_iu_post_recv, 0x9da69530, "_gpl");
SYMBOL_CRC(rtrs_post_recv_empty, 0x1ab4da6b, "_gpl");
SYMBOL_CRC(rtrs_iu_post_send, 0xcabcc7a2, "_gpl");
SYMBOL_CRC(rtrs_iu_post_rdma_write_imm, 0xd6d41baa, "_gpl");
SYMBOL_CRC(rtrs_cq_qp_create, 0x2a87d69e, "_gpl");
SYMBOL_CRC(rtrs_cq_qp_destroy, 0x0c3c2bcb, "_gpl");
SYMBOL_CRC(rtrs_send_hb_ack, 0x063be27c, "_gpl");
SYMBOL_CRC(rtrs_init_hb, 0x625039c7, "_gpl");
SYMBOL_CRC(rtrs_start_hb, 0x776e3223, "_gpl");
SYMBOL_CRC(rtrs_stop_hb, 0x0c9aaaaa, "_gpl");
SYMBOL_CRC(sockaddr_to_str, 0xe0f9c582, "");
SYMBOL_CRC(rtrs_addr_to_str, 0x926b41e5, "");
SYMBOL_CRC(rtrs_addr_to_sockaddr, 0x67029a33, "");
SYMBOL_CRC(rtrs_rdma_dev_pd_init, 0xe148b16e, "");
SYMBOL_CRC(rtrs_rdma_dev_pd_deinit, 0xcca94f22, "");
SYMBOL_CRC(rtrs_ib_dev_put, 0xd87bbfb8, "");
SYMBOL_CRC(rtrs_ib_dev_find_or_add, 0xa784dc0c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x991e47c0, "__ib_alloc_pd" },
	{ 0x78a240e6, "dma_unmap_page_attrs" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0xa0380c5d, "dma_map_page_attrs" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x71fc98fa, "rdma_create_qp" },
	{ 0x49f26466, "kstrndup" },
	{ 0x2674a316, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x90c5f1ea, "ib_cq_pool_put" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xedc958d3, "__ib_alloc_cq" },
	{ 0xa6161e83, "rdma_notify" },
	{ 0x7c2ae607, "inet_pton_with_scope" },
	{ 0xc48e2bfc, "rdma_destroy_qp" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcf1842e5, "ib_cq_pool_get" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x22b284b5, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x219fa282, "ib_dealloc_pd_user" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x349cba85, "strchr" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "ib_core,rdma_cm");


MODULE_INFO(srcversion, "A62FC9A555F8D18DF7967C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
