#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm97xx_reg_read, "_gpl", "");
KSYMTAB_FUNC(wm97xx_reg_write, "_gpl", "");
KSYMTAB_FUNC(wm97xx_read_aux_adc, "_gpl", "");
KSYMTAB_FUNC(wm97xx_get_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_config_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(wm97xx_register_mach_ops, "_gpl", "");
KSYMTAB_FUNC(wm97xx_unregister_mach_ops, "_gpl", "");
KSYMTAB_DATA(wm9705_codec, "_gpl", "");
KSYMTAB_DATA(wm9712_codec, "_gpl", "");
KSYMTAB_DATA(wm9713_codec, "_gpl", "");

SYMBOL_CRC(wm97xx_reg_read, 0x5ab11519, "_gpl");
SYMBOL_CRC(wm97xx_reg_write, 0x1d29c939, "_gpl");
SYMBOL_CRC(wm97xx_read_aux_adc, 0xea9994bb, "_gpl");
SYMBOL_CRC(wm97xx_get_gpio, 0x14939170, "_gpl");
SYMBOL_CRC(wm97xx_set_gpio, 0x1a10f36d, "_gpl");
SYMBOL_CRC(wm97xx_config_gpio, 0xf1b1bf4d, "_gpl");
SYMBOL_CRC(wm97xx_set_suspend_mode, 0xe651b014, "_gpl");
SYMBOL_CRC(wm97xx_register_mach_ops, 0x977d5a1a, "_gpl");
SYMBOL_CRC(wm97xx_unregister_mach_ops, 0xc29badac, "_gpl");
SYMBOL_CRC(wm9705_codec, 0xb4124db4, "_gpl");
SYMBOL_CRC(wm9712_codec, 0xa9ac50ee, "_gpl");
SYMBOL_CRC(wm9713_codec, 0x65065070, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x117b4889, "platform_device_put" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb30ebe2d, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xeef4bff3, "platform_driver_unregister" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xd16dce13, "devm_input_allocate_device" },
	{ 0xb24e581c, "param_array_ops" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x14669ace, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xe14308c4, "device_wakeup_disable" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xb3eef0, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x710174ef, "platform_device_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x2e9b1161, "platform_device_add" },
	{ 0x8f741c3d, "platform_device_alloc" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x86f82cd2, "input_event" },
	{ 0x19590e3a, "input_set_abs_params" },
	{ 0xa81363f6, "__platform_driver_register" },
	{ 0xf8c415fb, "input_device_enabled" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FD1201B9F1DF58EE1128B59");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
