#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_conn_register, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_conn_unregister, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_cec_adap_register, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_cec_adap_unregister, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_set_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_set_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_parse_hdmi_phandle, "_gpl", "");
KSYMTAB_FUNC(cec_pin_changed, "_gpl", "");
KSYMTAB_FUNC(cec_pin_allocate_adapter, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x2f574672, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0xa43798ad, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0x65fe7eb3, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0x146f3522, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x15f891c5, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0xa4675ff6, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0x35ed15ea, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0x7656b269, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0xada6d19b, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x8051c0e1, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0xa7b7a396, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0x949cdf78, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0xb49b701a, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0xf3ed2349, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x056db45b, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0x5c500cd1, "_gpl");
SYMBOL_CRC(cec_notifier_conn_register, 0x1c8491ac, "_gpl");
SYMBOL_CRC(cec_notifier_conn_unregister, 0xaee236c6, "_gpl");
SYMBOL_CRC(cec_notifier_cec_adap_register, 0x411b8984, "_gpl");
SYMBOL_CRC(cec_notifier_cec_adap_unregister, 0x6e5255c1, "_gpl");
SYMBOL_CRC(cec_notifier_set_phys_addr, 0xa01fbb6b, "_gpl");
SYMBOL_CRC(cec_notifier_set_phys_addr_from_edid, 0xc16f2887, "_gpl");
SYMBOL_CRC(cec_notifier_parse_hdmi_phandle, 0x08162213, "_gpl");
SYMBOL_CRC(cec_pin_changed, 0xe6626924, "_gpl");
SYMBOL_CRC(cec_pin_allocate_adapter, 0xc80ff105, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa37e7a99, "of_node_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc178387e, "dev_set_name" },
	{ 0x2616a42d, "of_find_device_by_node" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb4a9b092, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x50888233, "seq_lseek" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xca6f58f5, "get_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x2ddf84ad, "cdev_device_add" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1aed93b, "debugfs_create_devm_seqfile" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xb79f2512, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xc6cbbc89, "capable" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa5c64bdc, "rc_keyup" },
	{ 0x176adec5, "bus_unregister" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x73e24115, "__of_parse_phandle_with_args" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5a6b2111, "rc_register_device" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x9d551939, "rc_keydown" },
	{ 0x1ffa005b, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6ec0d320, "rc_free_device" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4e9b676, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa1127a38, "rc_allocate_device" },
	{ 0xe2fd670b, "seq_read" },
	{ 0xeea0399, "strscpy" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0xe3ad8f34, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0xc8836361, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x88d47c17, "single_release" },
	{ 0x828e22f4, "hrtimer_forward" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x89ba77c3, "single_open" },
	{ 0x58f0fd0d, "i2c_find_device_by_fwnode" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0x8526696f, "rc_unregister_device" },
	{ 0xec530739, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x26e6d188, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "rc-core");


MODULE_INFO(srcversion, "78916EB27D1CDA5AAAC727B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
