#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(b2c2_flexcop_debug, "_gpl", "");
KSYMTAB_FUNC(flexcop_pass_dmx_data, "", "");
KSYMTAB_FUNC(flexcop_pass_dmx_packets, "", "");
KSYMTAB_FUNC(flexcop_device_kmalloc, "", "");
KSYMTAB_FUNC(flexcop_device_kfree, "", "");
KSYMTAB_FUNC(flexcop_device_initialize, "", "");
KSYMTAB_FUNC(flexcop_device_exit, "", "");
KSYMTAB_FUNC(flexcop_i2c_request, "", "");
KSYMTAB_FUNC(flexcop_sram_set_dest, "", "");
KSYMTAB_FUNC(flexcop_wan_set_speed, "", "");
KSYMTAB_FUNC(flexcop_sram_ctrl, "", "");
KSYMTAB_FUNC(flexcop_eeprom_check_mac_addr, "", "");
KSYMTAB_FUNC(flexcop_dump_reg, "", "");
KSYMTAB_FUNC(flexcop_pid_feed_control, "", "");

SYMBOL_CRC(b2c2_flexcop_debug, 0x66c0289a, "_gpl");
SYMBOL_CRC(flexcop_pass_dmx_data, 0x948fccdd, "");
SYMBOL_CRC(flexcop_pass_dmx_packets, 0x839a741e, "");
SYMBOL_CRC(flexcop_device_kmalloc, 0x5b50146b, "");
SYMBOL_CRC(flexcop_device_kfree, 0x04ee52c1, "");
SYMBOL_CRC(flexcop_device_initialize, 0xa3c6eb8c, "");
SYMBOL_CRC(flexcop_device_exit, 0xb8f75a3f, "");
SYMBOL_CRC(flexcop_i2c_request, 0x2cf1447c, "");
SYMBOL_CRC(flexcop_sram_set_dest, 0x3e00ac2e, "");
SYMBOL_CRC(flexcop_wan_set_speed, 0x2432b8ab, "");
SYMBOL_CRC(flexcop_sram_ctrl, 0x6431d980, "");
SYMBOL_CRC(flexcop_eeprom_check_mac_addr, 0x6f10d6dd, "");
SYMBOL_CRC(flexcop_dump_reg, 0x67ff22f4, "");
SYMBOL_CRC(flexcop_pid_feed_control, 0x2e9dc171, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8a5dbea, "dvb_dmxdev_init" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x8038b133, "request_firmware" },
	{ 0xb24e581c, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x386feca7, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3d99bf74, "dvb_dmx_swfilter_packets" },
	{ 0xbb3aed57, "i2c_del_adapter" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x700baa58, "dvb_dmx_release" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8e89b940, "dvb_net_init" },
	{ 0xa25d391f, "dvb_dmx_swfilter" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd7db776c, "dvb_dmxdev_release" },
	{ 0x48d89be1, "param_ops_short" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe3fe8fd, "dvb_frontend_detach" },
	{ 0x96a1ffe7, "i2c_add_adapter" },
	{ 0xca0196a9, "dvb_net_release" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb3bc3b55, "dvb_unregister_frontend" },
	{ 0x4caafe54, "cx24123_get_tuner_i2c_adapter" },
	{ 0xf846ec32, "dvb_register_frontend" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xedad9424, "cx24113_agc_callback" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xbf79483c, "dvb_unregister_adapter" },
	{ 0xad02b867, "dvb_dmx_init" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x5b4513cf, "s5h1420_get_tuner_i2c_adapter" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,cx24123,cx24113,s5h1420");


MODULE_INFO(srcversion, "CE55295613B96852C779147");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
