#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx8802_start_dma, "", "");
KSYMTAB_FUNC(cx8802_buf_prepare, "", "");
KSYMTAB_FUNC(cx8802_buf_queue, "", "");
KSYMTAB_FUNC(cx8802_cancel_buffers, "", "");
KSYMTAB_FUNC(cx8802_get_driver, "", "");
KSYMTAB_FUNC(cx8802_register_driver, "", "");
KSYMTAB_FUNC(cx8802_unregister_driver, "", "");

SYMBOL_CRC(cx8802_start_dma, 0xc095d6e1, "");
SYMBOL_CRC(cx8802_buf_prepare, 0x9cb1cf83, "");
SYMBOL_CRC(cx8802_buf_queue, 0x26b5a299, "");
SYMBOL_CRC(cx8802_cancel_buffers, 0xde3f571f, "");
SYMBOL_CRC(cx8802_get_driver, 0xf8efd191, "");
SYMBOL_CRC(cx8802_register_driver, 0xb363c285, "");
SYMBOL_CRC(cx8802_unregister_driver, 0x03ea1142, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50fb7e12, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd344a105, "cx88_reset" },
	{ 0xc6ec41f6, "cx88_wakeup" },
	{ 0x906af335, "pci_enable_device" },
	{ 0x9e059c27, "pci_choose_state" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x164b8581, "__pci_register_driver" },
	{ 0x11819dca, "cx88_shutdown" },
	{ 0x37a0cba, "kfree" },
	{ 0x5e634237, "cx88_core_put" },
	{ 0x2b10e6c6, "pci_set_power_state" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x275afd35, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc3bffcab, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc5fd3389, "cx88_core_get" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x6315161a, "vb2_plane_cookie" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe3af698d, "vb2_buffer_done" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1eef6d16, "pci_restore_state" },
	{ 0x42c215f, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4c7f260e, "cx88_sram_channel_dump" },
	{ 0x8ed1cc3f, "cx88_sram_channel_setup" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x1350fd72, "pci_read_config_byte" },
	{ 0x6f132701, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xb0208e5c, "cx88_risc_databuffer" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008802sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A2056119B89F86EB736EBAA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
