#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0x85ebb71e, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x1ba486c9, "");
SYMBOL_CRC(ivtv_api, 0x7cb72024, "");
SYMBOL_CRC(ivtv_vapi, 0x85924096, "");
SYMBOL_CRC(ivtv_vapi_result, 0x588f6737, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x8b86a9e8, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0xb7c23ad9, "");
SYMBOL_CRC(ivtv_udma_setup, 0x9a7e75e0, "");
SYMBOL_CRC(ivtv_udma_unmap, 0xe5b3fc04, "");
SYMBOL_CRC(ivtv_udma_alloc, 0xf464ab28, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x99f43e9c, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0xe2f43a75, "");
SYMBOL_CRC(ivtv_firmware_check, 0x3e59ff2f, "");
SYMBOL_CRC(ivtv_claim_stream, 0x66b81012, "");
SYMBOL_CRC(ivtv_release_stream, 0x86cea105, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x9eaf0fbe, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x6e09f524, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xceabe180, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6988c1d6, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1dd43c73, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x906af335, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x220a4c97, "i2c_bit_add_bus" },
	{ 0xcc175864, "v4l2_fh_del" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf58cb440, "v4l2_i2c_new_subdev_board" },
	{ 0x14fa00d3, "kthread_flush_worker" },
	{ 0x58667d39, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x78a240e6, "dma_unmap_page_attrs" },
	{ 0x8038b133, "request_firmware" },
	{ 0x164b8581, "__pci_register_driver" },
	{ 0xb3746891, "v4l2_ctrl_handler_init_class" },
	{ 0x9d4bfeef, "dma_sync_single_for_device" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xf3662388, "unpin_user_pages" },
	{ 0xb24e581c, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x4b2020b1, "i2c_transfer_buffer_flags" },
	{ 0x8081431b, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc3bffcab, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0x450a220f, "v4l2_device_register_subdev" },
	{ 0xa0380c5d, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xb22689cc, "v4l2_ctrl_handler_log_status" },
	{ 0x3ab55fec, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x71ce78be, "video_devdata" },
	{ 0x2dd88bee, "i2c_new_scanned_device" },
	{ 0x1f1aa1fc, "cx2341x_handler_setup" },
	{ 0x738803e6, "strnlen" },
	{ 0x182971f5, "kthread_queue_work" },
	{ 0xf23a1a3b, "__free_pages" },
	{ 0xbb3aed57, "i2c_del_adapter" },
	{ 0x91964ab1, "__v4l2_ctrl_s_ctrl" },
	{ 0x5a9dfbf0, "__kmap_local_page_prot" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x735d024b, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x56aa964e, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xdb97f410, "v4l2_fh_is_singular" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x937603b5, "pci_read_config_word" },
	{ 0xf159a83d, "v4l2_ctrl_subscribe_event" },
	{ 0x6e94fdd7, "v4l2_fh_init" },
	{ 0xbc99543f, "v4l2_event_pending" },
	{ 0xcc361716, "__kthread_init_worker" },
	{ 0xde80cd09, "ioremap" },
	{ 0x4949a4a8, "video_unregister_device" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0x1ffa005b, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x26db7e56, "v4l2_event_subscribe" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x8cf832c4, "dma_sync_single_for_cpu" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x42c215f, "pci_set_master" },
	{ 0xf22ec564, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9040387f, "v4l2_device_register" },
	{ 0xfbdc7b19, "param_ops_string" },
	{ 0x96a1ffe7, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc4e9b676, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9d1c6fce, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdb1fd043, "pci_write_config_byte" },
	{ 0x7bf2bf9d, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8b3a1c09, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb224e100, "v4l2_ctrl_new_std" },
	{ 0xc08b27ca, "v4l2_ctrl_g_ctrl" },
	{ 0xf9936e18, "cx2341x_handler_init" },
	{ 0x334e636b, "cx2341x_handler_set_50hz" },
	{ 0xdc0f46ca, "v4l2_ctrl_handler_free" },
	{ 0x2a4a9b13, "v4l2_device_unregister" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0xc0788879, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x23550c1a, "v4l2_subdev_call_wrappers" },
	{ 0x6a1a827e, "dma_unmap_sg_attrs" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xc1093df5, "v4l2_event_queue" },
	{ 0xe19690ed, "v4l2_i2c_new_subdev" },
	{ 0x135828b9, "page_address" },
	{ 0x1350fd72, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x6f132701, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x653144d3, "video_device_release_empty" },
	{ 0xb1955a0c, "v4l2_ctrl_cluster" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xf29c35e6, "pci_write_config_dword" },
	{ 0x1b633e9b, "v4l2_event_unsubscribe" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3f663b87, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,i2c-algo-bit,tveeprom");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C66B5DC5264B3E2BB1864AC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
