#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mantis_get_mac, "_gpl", "");
KSYMTAB_FUNC(mantis_gpio_set_bits, "_gpl", "");
KSYMTAB_FUNC(mantis_stream_control, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_init, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_init, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_power, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_soft_reset, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_init, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_init, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_input_init, "_gpl", "");
KSYMTAB_FUNC(mantis_input_exit, "_gpl", "");

SYMBOL_CRC(mantis_get_mac, 0x31b804f9, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0x008c8d5f, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0x642848d9, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0xf9662c92, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0x8db56b36, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0x2670cb06, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0xdade0f37, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0x4ccfcd20, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0xc5b87ac9, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0x3ef7c9d3, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0xc2590de2, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0xab836067, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0xcca43baf, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0x77b494ba, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0x8b1a508b, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0xa4afe3d5, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0xebd16326, "_gpl");
SYMBOL_CRC(mantis_input_init, 0x40b30180, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0x1271acee, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8a5dbea, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x906af335, "pci_enable_device" },
	{ 0xf5f0ec6, "dvb_ca_en50221_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0xb24e581c, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x386feca7, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb3aed57, "i2c_del_adapter" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x439354fb, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x700baa58, "dvb_dmx_release" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x91f6657b, "dvb_ca_en50221_release" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5a6b2111, "rc_register_device" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0x9d551939, "rc_keydown" },
	{ 0x8e89b940, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0xa25d391f, "dvb_dmx_swfilter" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd7db776c, "dvb_dmxdev_release" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x48d89be1, "param_ops_short" },
	{ 0x6ec0d320, "rc_free_device" },
	{ 0x42c215f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe3fe8fd, "dvb_frontend_detach" },
	{ 0x96a1ffe7, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3830296a, "dma_set_coherent_mask" },
	{ 0xca0196a9, "dvb_net_release" },
	{ 0xcced0b89, "dvb_ca_en50221_camready_irq" },
	{ 0xa1127a38, "rc_allocate_device" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb3bc3b55, "dvb_unregister_frontend" },
	{ 0xdb32ac0d, "dvb_ca_en50221_camchange_irq" },
	{ 0xcfbca58e, "i2c_transfer" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0xf846ec32, "dvb_register_frontend" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x1350fd72, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xbf79483c, "dvb_unregister_adapter" },
	{ 0xad02b867, "dvb_dmx_init" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8526696f, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "7EFCEAA3841B48D631BCEA3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
