#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_fwnode_endpoint_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_alloc_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_parse_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_put_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_add_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_device_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev_sensor, "_gpl", "");

SYMBOL_CRC(v4l2_fwnode_endpoint_parse, 0x1f91e091, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_free, 0xd4d4c587, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_alloc_parse, 0x43d07827, "_gpl");
SYMBOL_CRC(v4l2_fwnode_parse_link, 0x82262cd8, "_gpl");
SYMBOL_CRC(v4l2_fwnode_put_link, 0x40dfbaee, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_free, 0x612ddce5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_parse, 0x2bde5cb0, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_add_link, 0x41f5fb18, "_gpl");
SYMBOL_CRC(v4l2_fwnode_device_parse, 0xa610ae91, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev_sensor, 0x772e9b08, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xd0f5f3e6, "fwnode_property_read_u32_array" },
	{ 0xd2f5cdee, "fwnode_property_present" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x85e541b7, "fwnode_graph_parse_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc04936c, "fwnode_handle_put" },
	{ 0xdd6fafe9, "fwnode_graph_get_port_parent" },
	{ 0x92fb819e, "fwnode_graph_get_remote_endpoint" },
	{ 0x7f0e0b34, "fwnode_property_read_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbedce067, "fwnode_get_name" },
	{ 0x3fcc104c, "fwnode_graph_get_remote_port_parent" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xb136917, "__dev_fwnode" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x84e0d3a6, "fwnode_property_get_reference_args" },
	{ 0x84e1a6e7, "fwnode_get_next_child_node" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x719b551, "v4l2_async_subdev_nf_init" },
	{ 0xcd72c38b, "v4l2_subdev_get_privacy_led" },
	{ 0xd808e35d, "is_acpi_device_node" },
	{ 0x8e07171e, "v4l2_subdev_put_privacy_led" },
	{ 0xafb74d2d, "v4l2_async_nf_cleanup" },
	{ 0x5842cdc, "is_acpi_data_node" },
	{ 0xd392dfdc, "__v4l2_async_nf_add_fwnode" },
	{ 0x8fa33dc0, "v4l2_async_nf_register" },
	{ 0xac727a92, "v4l2_async_register_subdev" },
	{ 0xf09b3acd, "v4l2_async_nf_unregister" },
	{ 0xb402a7e6, "fwnode_property_read_u64_array" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "v4l2-async,videodev");


MODULE_INFO(srcversion, "DD24DB3880524911A3DE7EC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
