#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_crop, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_compose, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0xbd1a920f, "");
SYMBOL_CRC(video_device_release, 0x578c0bd5, "");
SYMBOL_CRC(video_device_release_empty, 0x653144d3, "");
SYMBOL_CRC(video_devdata, 0x71ce78be, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0x9d1c6fce, "");
SYMBOL_CRC(video_unregister_device, 0x4949a4a8, "");
SYMBOL_CRC(video_device_pipeline_start, 0xa4c50fd4, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x7d451ac5, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0x6a567594, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0x644634d5, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0xe8789872, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0xc783c021, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0x1dd43c73, "");
SYMBOL_CRC(v4l2_device_register, 0x9040387f, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0x96929c06, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0x56aa964e, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0x13182c2d, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0x2a4a9b13, "_gpl");
SYMBOL_CRC(v4l2_device_register_subdev, 0x450a220f, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0xbbf6fbb9, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0xebbaf412, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x6e94fdd7, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0x58667d39, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0xb73cb99b, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0xcc175864, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0xceabe180, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0x9789816b, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0xdb97f410, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0x96e647c7, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0xc1093df5, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0xb464e6a1, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0xbc99543f, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0xf916719e, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0x26db7e56, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0xbd991b66, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0x1b633e9b, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0xc51bb951, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0x5ce926c0, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x8f43d69a, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0x23550c1a, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0x0a5675d6, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0x2159ba86, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0x2a384927, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0x27d0f3c3, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0xb6625770, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0x671824d3, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0x3965526c, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0x95aebb95, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0x8235ee72, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x22d54e0e, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0xae3dd8d6, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0xb46956c4, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_format, 0x74f6bd84, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_crop, 0x3e1fb819, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_compose, 0xacd3e074, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0xcf754c8f, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0x2f104e92, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0x23bc3033, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0x00424a16, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0x375fe0b4, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0x0462bc86, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0xa055179d, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0x8081431b, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0x66d972b8, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0xcd72c38b, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0x8e07171e, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xff76573f, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0x0994ea2c, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0x68bb3ec6, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0xf2d5759b, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0x454a941d, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0x2405059a, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0x255ca3cf, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0xf57e18a4, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0xbce19a77, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0xb3746891, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0xdc0f46ca, "");
SYMBOL_CRC(v4l2_ctrl_find, 0x323eebb4, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0x2bad7337, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0xb224e100, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0xf22ec564, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0x5585ba38, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0xa54ce149, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0xb42940a3, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0xfe44cbe1, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0xf25b391f, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0xb1955a0c, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0x9953ef49, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0x747c2ffa, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0xb99fe1b9, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0xf95d5eb1, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0x3ab55fec, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0xb22689cc, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0xfc0792eb, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0x57515028, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0x12c65fe4, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0x88779199, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x58a84a48, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x6802908f, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0xc08b27ca, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0x51a3542f, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0x91964ab1, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0x2db8c4ef, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0x42836f63, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0xd7364611, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0xea849188, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0x3b96229b, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0x664ee036, "");
SYMBOL_CRC(v4l2_queryctrl, 0xe9657290, "");
SYMBOL_CRC(v4l2_querymenu, 0xc1fdb9bb, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0x33e6f3a5, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0xe031211c, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0xb93d9902, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0xf159a83d, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0xf755b846, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0xc44ce1b7, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0x2a3f56b9, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0xbbeddfed, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0x4e0ec129, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0x661882d4, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0x31038f0a, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x105cdf81, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0x5f3ec456, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0xf4ebc31b, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0xb5d0d3eb, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0xda0fbf77, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0x1e792f75, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0x630049ba, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0x4dd9dd31, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0xb74ce198, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0xf5711651, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0xb48cf8aa, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x2f6a5e60, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x2ae0877b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0xe0b98a71, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0xbc2e976c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x11f3044c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0x2b6856cd, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0x304f286c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x6ce1c95c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0xdef3dffd, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0x99542210, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0xe5a33113, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0x8aeb74bc, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x93dea8f2, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0xf58cb440, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0xe19690ed, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0xc5894787, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d36753b, "media_devnode_remove" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x94f4013a, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf036e8a, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8ca58d3d, "led_sysfs_enable" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x92fb819e, "fwnode_graph_get_remote_endpoint" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0x218d5b85, "spi_unregister_device" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc8fdef2d, "media_request_object_unbind" },
	{ 0x30bc7d81, "led_put" },
	{ 0xfacc1870, "led_trigger_remove" },
	{ 0xeac572b6, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0xc267309f, "media_request_object_complete" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xdd6fafe9, "fwnode_graph_get_port_parent" },
	{ 0xf5c5bbf9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xca6f58f5, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x72532798, "media_create_intf_link" },
	{ 0x5c8aaa5, "media_create_pad_link" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0x4a5f30c5, "device_match_fwnode" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4292364c, "schedule" },
	{ 0x60b41121, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb79f2512, "put_device" },
	{ 0x2dd88bee, "i2c_new_scanned_device" },
	{ 0xe4fe7998, "media_pad_pipeline" },
	{ 0x738803e6, "strnlen" },
	{ 0x102f2a62, "media_request_object_put" },
	{ 0x78b5b683, "module_put" },
	{ 0x8295885d, "media_pipeline_alloc_start" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x6a98054b, "media_device_register_entity" },
	{ 0x33ae4786, "media_request_get_by_fd" },
	{ 0x72cf4b6, "cdev_add" },
	{ 0x79d591a1, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x646e785d, "i2c_unregister_device" },
	{ 0x7cb19e57, "media_request_put" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x892bea76, "spi_new_device" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0x1fa5a274, "media_request_object_bind" },
	{ 0x9a5423f3, "class_unregister" },
	{ 0xa9730717, "media_graph_walk_next" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x35830b88, "i2c_new_client_device" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa553b00, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x5cb00f76, "media_pipeline_start" },
	{ 0xbafb804c, "media_pipeline_stop" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xef4cad92, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x112aae56, "media_get_pad_index" },
	{ 0xeea0399, "strscpy" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x527954ef, "platform_bus_type" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xca1a6beb, "led_set_brightness" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xf4a10b70, "media_graph_walk_start" },
	{ 0x6d9b1f41, "media_devnode_create" },
	{ 0xbd7ecefa, "dev_err_probe" },
	{ 0xd1ea438d, "media_entity_get_fwnode_pad" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xfc04936c, "fwnode_handle_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x5f96408e, "media_device_unregister_entity" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x98c5ecf9, "__media_pipeline_start" },
	{ 0xa6ee30dc, "class_register" },
	{ 0x23d1161d, "led_sysfs_disable" },
	{ 0x4a09996d, "media_entity_find_link" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb136917, "__dev_fwnode" },
	{ 0xeb88bafe, "pci_bus_type" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x30370bbc, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x90502ba9, "cdev_alloc" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "3327663873F65EFFAA6D3BA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
