#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x292a12cc, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0xd7c39077, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x4fa31561, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0x1f226cbc, "");
SYMBOL_CRC(mpt_halt_firmware, 0x2e158236, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0x65ee3577, "");
SYMBOL_CRC(mpt_attach, 0x495eb21a, "");
SYMBOL_CRC(mpt_detach, 0x1ed4aa9e, "");
SYMBOL_CRC(mpt_resume, 0x5f2c025d, "");
SYMBOL_CRC(mpt_suspend, 0x9b494299, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0xdd4c1553, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0xc639d9de, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0xdfbfa2dd, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x3b1f1088, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x20eb30dc, "");
SYMBOL_CRC(mpt_put_msg_frame, 0x3c2fa59d, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0xbc2d9a05, "");
SYMBOL_CRC(mpt_free_msg_frame, 0x1c9bb19b, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x79b28893, "");
SYMBOL_CRC(mpt_verify_adapter, 0xf66dabdf, "");
SYMBOL_CRC(mpt_GetIocState, 0x3b9941dc, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x45488b4b, "");
SYMBOL_CRC(mpt_HardResetHandler, 0xf86e2df9, "");
SYMBOL_CRC(mpt_config, 0xe0aa84a2, "");
SYMBOL_CRC(mpt_findImVolumes, 0xa3b88335, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0xfa9cfa0c, "");
SYMBOL_CRC(mpt_free_fw_memory, 0xa2cba51c, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0x362f51df, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x5aa17215, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x738803e6, "strnlen" },
	{ 0xeea0399, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xd48a1899, "pci_stop_and_remove_bus_device_locked" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0xce621864, "pci_select_bars" },
	{ 0x444879d, "pci_enable_device_mem" },
	{ 0x9d79077f, "pci_request_selected_regions" },
	{ 0xd860f4cf, "dma_get_required_mask" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0xa4da833, "pci_release_selected_regions" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0x3830296a, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66b7268c, "remove_proc_entry" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf1e046cc, "panic" },
	{ 0xd9d86713, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5a77435, "seq_putc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x10cf8c76, "proc_mkdir" },
	{ 0xa5eaf253, "proc_create_single_data" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x9e059c27, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x50fb7e12, "pci_save_state" },
	{ 0x2b10e6c6, "pci_set_power_state" },
	{ 0x45247ba3, "pci_disable_msi" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x937603b5, "pci_read_config_word" },
	{ 0x961cb595, "pci_write_config_word" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x42c215f, "pci_set_master" },
	{ 0x906af335, "pci_enable_device" },
	{ 0xd7c4a06e, "pci_enable_msi" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xc4e9b676, "kthread_create_on_node" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1350fd72, "pci_read_config_byte" },
	{ 0xdb1fd043, "pci_write_config_byte" },
	{ 0x3181fa21, "pci_get_slot" },
	{ 0x4152c0ae, "pci_dev_put" },
	{ 0xbe7c2219, "pci_enable_wake" },
	{ 0x1eef6d16, "pci_restore_state" },
	{ 0x6f132701, "param_ops_int" },
	{ 0xd8e1ec67, "param_get_int" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7B5A7A0D80380BB31E92910");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
