#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(kempld_read8, "_gpl", "");
KSYMTAB_FUNC(kempld_write8, "_gpl", "");
KSYMTAB_FUNC(kempld_read16, "_gpl", "");
KSYMTAB_FUNC(kempld_write16, "_gpl", "");
KSYMTAB_FUNC(kempld_read32, "_gpl", "");
KSYMTAB_FUNC(kempld_write32, "_gpl", "");
KSYMTAB_FUNC(kempld_get_mutex, "_gpl", "");
KSYMTAB_FUNC(kempld_release_mutex, "_gpl", "");

SYMBOL_CRC(kempld_read8, 0xb7dfe411, "_gpl");
SYMBOL_CRC(kempld_write8, 0x4ad4203f, "_gpl");
SYMBOL_CRC(kempld_read16, 0xa2852572, "_gpl");
SYMBOL_CRC(kempld_write16, 0xb06927b7, "_gpl");
SYMBOL_CRC(kempld_read32, 0x7caa6749, "_gpl");
SYMBOL_CRC(kempld_write32, 0x01c0e9e4, "_gpl");
SYMBOL_CRC(kempld_get_mutex, 0x78726589, "_gpl");
SYMBOL_CRC(kempld_release_mutex, 0xdffc0185, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x848d372e, "iowrite8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb19b445, "ioread8" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x2e0e3f0c, "mfd_add_devices" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8f741c3d, "platform_device_alloc" },
	{ 0x53b9dd1, "platform_device_add_data" },
	{ 0x117b4889, "platform_device_put" },
	{ 0x4809b65e, "platform_device_add_resources" },
	{ 0x2e9b1161, "platform_device_add" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa81363f6, "__platform_driver_register" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x3136e047, "sysfs_remove_group" },
	{ 0x1395b758, "mfd_remove_devices" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x77fb1f30, "platform_get_resource" },
	{ 0xe3f2fff8, "devm_ioport_map" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x26686045, "sysfs_create_group" },
	{ 0xd808e35d, "is_acpi_device_node" },
	{ 0xec7c431c, "acpi_device_get_match_data" },
	{ 0x695654bc, "acpi_dev_get_resources" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0xef8b1aa, "_dev_notice" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x710174ef, "platform_device_unregister" },
	{ 0xeef4bff3, "platform_driver_unregister" },
	{ 0xfbdc7b19, "param_ops_string" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bBD*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bBL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bDV7*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bHL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bKL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bSL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cAL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cBL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cBW6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bIP2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bIP6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cDV7*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cHL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXexpress-SCT2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXe-SCT2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bSC2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXexpress-SCT6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXe-SCT6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bSC6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cKL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXexpress-PC*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bPC2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*PXT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cSL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cBT*:");
MODULE_ALIAS("dmi*:bvr*FRI2*:rvn*Kontron*:");
MODULE_ALIAS("dmi*:pn*FishRiverIslandII*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*KBoxA-203*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-m4AL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-mAL10*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*mITX-APL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETX-OH*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-mBT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*nanoETXexpress-TT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*nETXe-TT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-mTT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-mCT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*pITX-APL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*SMARC-sXAL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*SMARC-sXA4*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*microETXexpress-DC*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cDC2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*microETXexpress-PC*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cPC2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cCT6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cTH6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*Qseven-Q7AL*:");
MODULE_ALIAS("acpi*:KEM0000:*");
MODULE_ALIAS("acpi*:KEM0001:*");

MODULE_INFO(srcversion, "03E8959469CDDA86D67869D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
