#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed4c24a5, "device_property_present" },
	{ 0xe8af1450, "sdhci_set_bus_width" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x50addd53, "sdhci_start_signal_voltage_switch" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xeef4bff3, "platform_driver_unregister" },
	{ 0x7c749a44, "of_address_to_resource" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6ebf0d27, "pm_runtime_set_autosuspend_delay" },
	{ 0x583570a7, "sdhci_reset" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x27823b7b, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x46658607, "sdhci_pltfm_free" },
	{ 0x48c42d0c, "mmc_regulator_set_ocr" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0x1f11cefd, "device_property_read_u32_array" },
	{ 0x23a085d6, "sdhci_runtime_resume_host" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x7fcd8e15, "sdhci_runtime_suspend_host" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x218b4c8d, "sdhci_set_ios" },
	{ 0x2e3e929d, "device_property_read_string" },
	{ 0xaca0bf9f, "sdhci_get_property" },
	{ 0xb3d70a6d, "of_property_read_string" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5145426b, "sdhci_set_clock" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x541a0884, "device_get_match_data" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf997ce9f, "sdhci_execute_tuning" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa81363f6, "__platform_driver_register" },
	{ 0x8ca0a40a, "sdhci_add_host" },
	{ 0xf0334c5d, "sdhci_pltfm_clk_get_max_clock" },
	{ 0x522e3484, "mmc_of_parse" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x37e0d924, "sdhci_enable_sdio_irq" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9cca783d, "devm_ioremap_resource" },
	{ 0x5d7a2435, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf61323d4, "sdhci_set_power_noreg" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf197eebc, "sdhci_pltfm_init" },
	{ 0x529311d5, "__pm_runtime_suspend" },
	{ 0xd35f75a1, "match_string" },
	{ 0xca6b6055, "__pm_runtime_use_autosuspend" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0x570945ae, "pm_runtime_force_suspend" },
	{ 0x59299317, "sdhci_remove_host" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "sdhci,sdhci-pltfm,mmc_core");

MODULE_ALIAS("acpi*:MRVL0002:*");
MODULE_ALIAS("acpi*:MRVL0003:*");
MODULE_ALIAS("acpi*:MRVL0004:*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-ap806-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-ap806-sdhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-ap807-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-ap807-sdhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-cp110-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-cp110-sdhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-3700-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-3700-sdhciC*");

MODULE_INFO(srcversion, "DA5944B16517F3860CBF388");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
