#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(alloc_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(c_can_power_down, "_gpl", "");
KSYMTAB_FUNC(c_can_power_up, "_gpl", "");
KSYMTAB_FUNC(free_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(register_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(unregister_c_can_dev, "_gpl", "");

SYMBOL_CRC(alloc_c_can_dev, 0x14b4efad, "_gpl");
SYMBOL_CRC(c_can_power_down, 0x4261a793, "_gpl");
SYMBOL_CRC(c_can_power_up, 0xa0a89fea, "_gpl");
SYMBOL_CRC(free_c_can_dev, 0x20a0cf14, "_gpl");
SYMBOL_CRC(register_c_can_dev, 0xe40dc3c4, "_gpl");
SYMBOL_CRC(unregister_c_can_dev, 0xb37ea4dd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x5d3c6406, "can_put_echo_skb" },
	{ 0xa634ca1e, "can_get_echo_skb" },
	{ 0xf1e0589d, "netif_napi_add_weight" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4f602c4e, "__netif_napi_del" },
	{ 0xb09d60f2, "open_candev" },
	{ 0xb17627b5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf70745cb, "pinctrl_pm_select_default_state" },
	{ 0xe990e5cc, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x93506ab7, "__napi_schedule" },
	{ 0xd2fa122a, "alloc_can_skb" },
	{ 0x71d9111a, "unregister_candev" },
	{ 0x7eda4944, "can_change_mtu" },
	{ 0xe92c4065, "pinctrl_put" },
	{ 0x33ee1bc8, "can_dropped_invalid_skb" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdd85168, "pinctrl_pm_select_sleep_state" },
	{ 0x180d49d2, "free_candev" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x45a9f37e, "alloc_candev_mqs" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x5def0f71, "netdev_printk" },
	{ 0xe8550745, "napi_enable" },
	{ 0x8186caae, "netif_receive_skb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xe9e8ff2e, "netif_tx_wake_queue" },
	{ 0xd5e469df, "close_candev" },
	{ 0xdc334012, "pinctrl_get" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4a8eb6cd, "can_bus_off" },
	{ 0xd5eb2283, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9ec3650, "pinctrl_lookup_state" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb5506d1f, "pinctrl_select_state" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdc2fdb13, "alloc_can_err_skb" },
	{ 0x544c1f9c, "napi_schedule_prep" },
	{ 0x68603af1, "napi_disable" },
	{ 0x7c21ce79, "register_candev" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3957fa68, "ethtool_op_get_ts_info" },
	{ 0x37b829b7, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "524AB3E20B6D5A7FA299AE7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
