#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(t3_l2t_send_slow, "", "");
KSYMTAB_FUNC(t3_l2t_send_event, "", "");
KSYMTAB_FUNC(t3_l2e_free, "", "");
KSYMTAB_FUNC(t3_l2t_get, "", "");
KSYMTAB_FUNC(cxgb3_register_client, "", "");
KSYMTAB_FUNC(cxgb3_unregister_client, "", "");
KSYMTAB_FUNC(cxgb3_free_atid, "", "");
KSYMTAB_FUNC(cxgb3_free_stid, "", "");
KSYMTAB_FUNC(cxgb3_insert_tid, "", "");
KSYMTAB_FUNC(cxgb3_queue_tid_release, "", "");
KSYMTAB_FUNC(cxgb3_remove_tid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_atid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_stid, "", "");
KSYMTAB_FUNC(dev2t3cdev, "", "");
KSYMTAB_FUNC(t3_register_cpl_handler, "", "");
KSYMTAB_FUNC(cxgb3_ofld_send, "", "");

SYMBOL_CRC(t3_l2t_send_slow, 0x43eae6a1, "");
SYMBOL_CRC(t3_l2t_send_event, 0xff085b1f, "");
SYMBOL_CRC(t3_l2e_free, 0x4a6ead76, "");
SYMBOL_CRC(t3_l2t_get, 0x2ddd8d63, "");
SYMBOL_CRC(cxgb3_register_client, 0xbbfff7cc, "");
SYMBOL_CRC(cxgb3_unregister_client, 0x764e84b0, "");
SYMBOL_CRC(cxgb3_free_atid, 0x26fe65a5, "");
SYMBOL_CRC(cxgb3_free_stid, 0x87bce64d, "");
SYMBOL_CRC(cxgb3_insert_tid, 0xddb38f11, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0x4ff66a51, "");
SYMBOL_CRC(cxgb3_remove_tid, 0x442087f2, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0x591dd129, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0x7ce8eb21, "");
SYMBOL_CRC(dev2t3cdev, 0x7d5ca3f3, "");
SYMBOL_CRC(t3_register_cpl_handler, 0x221b4e26, "");
SYMBOL_CRC(cxgb3_ofld_send, 0xdba394b3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5ef8693, "alloc_etherdev_mqs" },
	{ 0x50fb7e12, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd7c9bfc0, "pcie_capability_read_word" },
	{ 0x64175f79, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcdf0988f, "pcie_capability_write_word" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6c98b2cd, "skb_copy_bits" },
	{ 0x3b81087, "pci_read_vpd" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x906af335, "pci_enable_device" },
	{ 0x393e67ed, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x77bc13a0, "strim" },
	{ 0x5aa21ae1, "netdev_update_features" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0xf1e0589d, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x7db77141, "unregister_netdev" },
	{ 0x230e84b, "napi_get_frags" },
	{ 0x78a240e6, "dma_unmap_page_attrs" },
	{ 0x8038b133, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x164b8581, "__pci_register_driver" },
	{ 0x9d4bfeef, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x45247ba3, "pci_disable_msi" },
	{ 0x427df015, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x6b238f49, "eth_validate_addr" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc3bffcab, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0x4ca50989, "dev_addr_mod" },
	{ 0x9770081, "eth_type_trans" },
	{ 0xa0380c5d, "dma_map_page_attrs" },
	{ 0xe990e5cc, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0x93506ab7, "__napi_schedule" },
	{ 0x25320912, "pci_enable_msix_range" },
	{ 0x4c93aeb7, "pci_write_vpd_any" },
	{ 0x738803e6, "strnlen" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0xf23a1a3b, "__free_pages" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x76598361, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x60476060, "pci_find_capability" },
	{ 0x74357062, "_dev_alert" },
	{ 0xd7c4a06e, "pci_enable_msi" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf2659707, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x67197420, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xc30dd20f, "netif_set_real_num_rx_queues" },
	{ 0x7e5de6df, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0xf27898ab, "pci_write_vpd" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x937603b5, "pci_read_config_word" },
	{ 0xe8550745, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8186caae, "netif_receive_skb" },
	{ 0x5fb7f766, "register_netdev" },
	{ 0xd29b4321, "free_netdev" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0x26686045, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x10811b18, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf38f01e5, "netif_tx_stop_all_queues" },
	{ 0x1eef6d16, "pci_restore_state" },
	{ 0xe9e8ff2e, "netif_tx_wake_queue" },
	{ 0x8cf832c4, "dma_sync_single_for_cpu" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x42c215f, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xce17d262, "netif_rx" },
	{ 0x1e73c1dc, "__neigh_event_send" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3830296a, "dma_set_coherent_mask" },
	{ 0x3136e047, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0xeea0399, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xbdf7bf65, "neigh_destroy" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8e0b562a, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7bf2bf9d, "alloc_pages" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x6919277a, "netdev_master_upper_dev_get_rcu" },
	{ 0x61495dc5, "__folio_put" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1d106652, "netif_carrier_off" },
	{ 0x5d8e8e06, "__vlan_find_dev_deep_rcu" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x21380ddb, "netif_carrier_on" },
	{ 0x4dc2fd39, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xfcab18e0, "vlan_dev_vlan_id" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x135828b9, "page_address" },
	{ 0x544c1f9c, "napi_schedule_prep" },
	{ 0x68603af1, "napi_disable" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85912a2f, "__kfree_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x37b829b7, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "1F807ECE6BFA35D3988931B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
