#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0x53a8c621, "");
SYMBOL_CRC(vnic_dev_get_res, 0xcaa24dc6, "");
SYMBOL_CRC(vnic_dev_unregister, 0x5fe8bd38, "");
SYMBOL_CRC(vnic_dev_register, 0xc97c2cd7, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0x1358fa4e, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0x71e1d081, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5ef8693, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa7d4f847, "pci_find_ext_capability" },
	{ 0x6c98b2cd, "skb_copy_bits" },
	{ 0x393e67ed, "skb_put" },
	{ 0x902c0329, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x444879d, "pci_enable_device_mem" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0xf97f9bb1, "pci_iomap" },
	{ 0xf1e0589d, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7db77141, "unregister_netdev" },
	{ 0x78a240e6, "dma_unmap_page_attrs" },
	{ 0x164b8581, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x45247ba3, "pci_disable_msi" },
	{ 0x427df015, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x6b238f49, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x653c3fdf, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4f602c4e, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3bffcab, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0xb17627b5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0x4ca50989, "dev_addr_mod" },
	{ 0x9770081, "eth_type_trans" },
	{ 0xa0380c5d, "dma_map_page_attrs" },
	{ 0xe990e5cc, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x25320912, "pci_enable_msix_range" },
	{ 0x738803e6, "strnlen" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xa7632149, "__hw_addr_unsync_dev" },
	{ 0x76598361, "napi_gro_receive" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x476bb12d, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xd7c4a06e, "pci_enable_msi" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa1391288, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x67197420, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc30dd20f, "netif_set_real_num_rx_queues" },
	{ 0xa7441fc9, "dev_close" },
	{ 0xab06fd53, "mem_section" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0x937603b5, "pci_read_config_word" },
	{ 0xe8550745, "napi_enable" },
	{ 0x8186caae, "netif_receive_skb" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x5fb7f766, "register_netdev" },
	{ 0xd29b4321, "free_netdev" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x10811b18, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xcaab5cf2, "netif_set_xps_queue" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xe9e8ff2e, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x8cf832c4, "dma_sync_single_for_cpu" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x42c215f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3830296a, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x4cb250ed, "rps_may_expire_flow" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8e0b562a, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3aa10064, "call_netdevice_notifiers" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1d106652, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0xb936fc7e, "__hw_addr_sync_dev" },
	{ 0xba274c11, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x21380ddb, "netif_carrier_on" },
	{ 0x4dc2fd39, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x4c1b1f0c, "__skb_flow_dissect" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x70b38cae, "__napi_schedule_irqoff" },
	{ 0x544c1f9c, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x68603af1, "napi_disable" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x374e7041, "pci_enable_sriov" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x37b829b7, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D07161C4D152EE522C38B8A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
