#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0xc2501772, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x33bce6e7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5ef8693, "alloc_etherdev_mqs" },
	{ 0x50fb7e12, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6bdfdbf3, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x64175f79, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6c98b2cd, "skb_copy_bits" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x906af335, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfee1b5e2, "param_ops_ushort" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0xf97f9bb1, "pci_iomap" },
	{ 0x8235805b, "memmove" },
	{ 0xf1e0589d, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb7623438, "pci_vfs_assigned" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6b49f5f6, "ndo_dflt_bridge_getlink" },
	{ 0x7db77141, "unregister_netdev" },
	{ 0x230e84b, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x78a240e6, "dma_unmap_page_attrs" },
	{ 0x8038b133, "request_firmware" },
	{ 0x164b8581, "__pci_register_driver" },
	{ 0x59918df9, "pci_num_vf" },
	{ 0x427df015, "pci_request_regions" },
	{ 0x8ba3f71f, "___pskb_trim" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2f7093af, "pci_sriov_get_totalvfs" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x6b238f49, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6ee0a32a, "udp_tunnel_nic_ops" },
	{ 0x4f602c4e, "__netif_napi_del" },
	{ 0x8d8d542d, "netif_tx_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc3bffcab, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57071355, "pskb_expand_head" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0x4ca50989, "dev_addr_mod" },
	{ 0x9770081, "eth_type_trans" },
	{ 0x77db385a, "pci_read_config_dword" },
	{ 0xa0380c5d, "dma_map_page_attrs" },
	{ 0xe990e5cc, "napi_complete_done" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x93506ab7, "__napi_schedule" },
	{ 0x25320912, "pci_enable_msix_range" },
	{ 0x738803e6, "strnlen" },
	{ 0x91b0b833, "netif_device_detach" },
	{ 0xa7632149, "__hw_addr_unsync_dev" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x261457e8, "netif_device_attach" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xa1391288, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x67197420, "netif_set_real_num_tx_queues" },
	{ 0xc30dd20f, "netif_set_real_num_rx_queues" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0xe8550745, "napi_enable" },
	{ 0x8186caae, "netif_receive_skb" },
	{ 0x5fb7f766, "register_netdev" },
	{ 0xd29b4321, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x10811b18, "ethtool_op_get_link" },
	{ 0xcaab5cf2, "netif_set_xps_queue" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xda7f9950, "pci_iounmap" },
	{ 0x1eef6d16, "pci_restore_state" },
	{ 0xe9e8ff2e, "netif_tx_wake_queue" },
	{ 0x8cf832c4, "dma_sync_single_for_cpu" },
	{ 0xbf43034b, "devm_hwmon_device_register_with_groups" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x42c215f, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0x6f864731, "netif_tx_lock" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3830296a, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0xeea0399, "strscpy" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0xbe7c2219, "pci_enable_wake" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8e0b562a, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7bf2bf9d, "alloc_pages" },
	{ 0x61495dc5, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1d106652, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbd9b2645, "skb_clone" },
	{ 0xb936fc7e, "__hw_addr_sync_dev" },
	{ 0xba274c11, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x21380ddb, "netif_carrier_on" },
	{ 0x4dc2fd39, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0xf539601b, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x135828b9, "page_address" },
	{ 0x544c1f9c, "napi_schedule_prep" },
	{ 0x82cea9e, "pci_sriov_set_totalvfs" },
	{ 0xd0d8621b, "strlen" },
	{ 0x68603af1, "napi_disable" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0x677bf446, "_dev_printk" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x374e7041, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xf29c35e6, "pci_write_config_dword" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x37b829b7, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "EB333B4E6BF4B346CDE2850");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
