#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x7d42a2c5, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x0396bbc0, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x096f5ca9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x893ea92d, "rtnl_link_register" },
	{ 0xacbf8aa5, "genl_register_family" },
	{ 0x9dc95b7f, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xa09cbd7f, "crypto_destroy_tfm" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x5cbde374, "crypto_alloc_aead" },
	{ 0x6c693f6f, "crypto_aead_setkey" },
	{ 0x1f26030c, "crypto_aead_setauthsize" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x8235805b, "memmove" },
	{ 0xf2659707, "skb_pull" },
	{ 0x8ba3f71f, "___pskb_trim" },
	{ 0xb20013e, "ether_setup" },
	{ 0xa2644607, "metadata_dst_free" },
	{ 0xd6c55c8f, "dev_fetch_sw_netstats" },
	{ 0x1ba2ba44, "dev_mc_sync" },
	{ 0xe6ac9f80, "dev_uc_sync" },
	{ 0xb3b7e2a7, "dev_set_allmulti" },
	{ 0x5a6f4e8e, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xa54bc7e6, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xa91920b8, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x17b486f, "gro_cells_init" },
	{ 0x4ca50989, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9770081, "eth_type_trans" },
	{ 0x8701fe78, "gro_cells_receive" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0xad252988, "__dev_get_by_index" },
	{ 0x42f7c5b9, "register_netdevice" },
	{ 0xd1e493, "netdev_upper_dev_link" },
	{ 0x298d53a9, "netdev_upper_dev_unlink" },
	{ 0x271bf58, "unregister_netdevice_queue" },
	{ 0x27b23e85, "metadata_dst_alloc" },
	{ 0x9b45e59c, "netif_stacked_transfer_operstate" },
	{ 0x5b3f15dd, "linkwatch_fire_event" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x6de12537, "netdev_rx_handler_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd9096340, "skb_copy" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x8989f82e, "skb_push" },
	{ 0x393e67ed, "skb_put" },
	{ 0x75500511, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xff8e03d5, "skb_to_sgvec" },
	{ 0x7191c0d1, "crypto_aead_encrypt" },
	{ 0xc726ea56, "skb_copy_expand" },
	{ 0xb02eaece, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbd9b2645, "skb_clone" },
	{ 0xc8f1bc2e, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x61e14e53, "crypto_aead_decrypt" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2021b373, "netdev_rx_handler_unregister" },
	{ 0xe70676e3, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x1d106652, "netif_carrier_off" },
	{ 0xf7c0556c, "dev_mc_unsync" },
	{ 0x13526e6f, "dev_uc_unsync" },
	{ 0xabfda1a, "dev_uc_del" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xcfb1b155, "dev_uc_add" },
	{ 0x21380ddb, "netif_carrier_on" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0x2e60bace, "memcpy" },
	{ 0x2bc95bd4, "memset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdfb2a7f9, "genlmsg_put" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3FBE488384B4BDF926B508F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
