#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8015585c, "phy_drivers_register" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x29398e9e, "genphy_suspend" },
	{ 0xf908e851, "mdiobus_read" },
	{ 0xe0c08dcf, "mdiobus_write" },
	{ 0x5d40b359, "genphy_read_status" },
	{ 0x4d82ed9, "phy_modify" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x352f907f, "of_property_read_variable_u32_array" },
	{ 0xe1957c45, "phy_write_mmd" },
	{ 0x29813ded, "phy_read_mmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5eb414bc, "phy_modify_mmd" },
	{ 0xd929412a, "phy_trigger_machine" },
	{ 0x33020903, "phy_error" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x629bc117, "ptp_classify_raw" },
	{ 0xf980d6e4, "ptp_parse_header" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x72b08206, "skb_complete_tx_timestamp" },
	{ 0x23e632a5, "ptp_cancel_worker_sync" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x43d44b2a, "__mdiobus_write" },
	{ 0xe9da3072, "__mdiobus_read" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xeea0399, "strscpy" },
	{ 0xed59fbf1, "phy_drivers_unregister" },
	{ 0x2166727, "__genphy_config_aneg" },
	{ 0x264323dc, "genphy_read_abilities" },
	{ 0x30110a29, "phy_eee_cap1_features" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xfe13d3c6, "phy_init_hw" },
	{ 0x2c116a21, "ptp_find_pin_unlocked" },
	{ 0xb23c920b, "skb_queue_purge_reason" },
	{ 0x4a6abf6b, "ptp_clock_event" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x89379398, "devm_phy_package_join" },
	{ 0x2bc90097, "devm_gpiod_get_optional" },
	{ 0xbfdec762, "gpiod_set_consumer_name" },
	{ 0x342beb52, "gpiod_set_value_cansleep" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x5329225e, "ptp_clock_register" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xfeccad75, "of_find_property" },
	{ 0x985a18c2, "genphy_restart_aneg" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x27823b7b, "devm_clk_get" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x660ebf07, "genphy_resume" },
	{ 0xce17d262, "netif_rx" },
	{ 0x37a0cba, "kfree" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x8989f82e, "skb_push" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4ba65e45, "ethnl_cable_test_result" },
	{ 0x1e972247, "ethnl_cable_test_fault_length" },
	{ 0x3b36335d, "genphy_soft_reset" },
	{ 0xa81bcf38, "genphy_read_mmd_unsupported" },
	{ 0xa81eb27b, "genphy_write_mmd_unsupported" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "libphy,ptp");

MODULE_ALIAS("mdio:????????????0010000101100001000?");
MODULE_ALIAS("mdio:????????00100010000101100010????");
MODULE_ALIAS("mdio:????????00100010000101100100????");
MODULE_ALIAS("mdio:????????0010001000010110000110??");
MODULE_ALIAS("mdio:????????00100010000101110010????");
MODULE_ALIAS("mdio:????????001000100001010101010101");
MODULE_ALIAS("mdio:????????001000100001010101010110");
MODULE_ALIAS("mdio:????????00100010000101010001????");
MODULE_ALIAS("mdio:????????00100010000101010101????");
MODULE_ALIAS("mdio:????????00100010000101010111????");
MODULE_ALIAS("mdio:????????00100010000101010110????");
MODULE_ALIAS("mdio:????????00001110011100100011????");
MODULE_ALIAS("mdio:????????00100010000101000011????");
MODULE_ALIAS("mdio:????????00100010000101100110????");
MODULE_ALIAS("mdio:????????00100010000101100111????");
MODULE_ALIAS("mdio:????????00100010000101100101????");

MODULE_INFO(srcversion, "25C5127AA4DA8EF57DD6430");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
