#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0xdd0aa68f, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x79020fdd, "");
SYMBOL_CRC(team_options_register, 0x32995654, "");
SYMBOL_CRC(team_options_unregister, 0x13a1db38, "");
SYMBOL_CRC(team_option_inst_set_change, 0xcbc7b7c0, "");
SYMBOL_CRC(team_options_change_check, 0x2a0c95e0, "");
SYMBOL_CRC(team_mode_register, 0xe4ac711f, "");
SYMBOL_CRC(team_mode_unregister, 0x7b47a1f4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x657c30cb, "dev_set_mac_address" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xb50aa392, "netlink_unicast" },
	{ 0x5f995edd, "dev_get_by_index" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x21380ddb, "netif_carrier_on" },
	{ 0x1d106652, "netif_carrier_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3b7e2a7, "dev_set_allmulti" },
	{ 0x5a6f4e8e, "dev_set_promiscuity" },
	{ 0x13526e6f, "dev_uc_unsync" },
	{ 0xf7c0556c, "dev_mc_unsync" },
	{ 0xe70676e3, "dev_set_mtu" },
	{ 0xb17627b5, "netdev_err" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd5eb2283, "__dynamic_netdev_dbg" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0x46ed034f, "dev_uc_sync_multiple" },
	{ 0xeb634ca3, "dev_mc_sync_multiple" },
	{ 0x4ca50989, "dev_addr_mod" },
	{ 0x67b80462, "vlan_vid_del" },
	{ 0x8224eb13, "vlan_vid_add" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x78b5b683, "module_put" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0xdfb2a7f9, "genlmsg_put" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x42f7c5b9, "register_netdevice" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xb20013e, "ether_setup" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x893ea92d, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xacbf8aa5, "genl_register_family" },
	{ 0x9dc95b7f, "rtnl_link_unregister" },
	{ 0xa54bc7e6, "genl_unregister_family" },
	{ 0x6829aebb, "netlink_broadcast" },
	{ 0xbd9b2645, "skb_clone" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa91920b8, "__dev_queue_xmit" },
	{ 0xc75e5cdd, "netpoll_send_skb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x7a22b1e3, "netdev_lower_state_changed" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xdf13d3d9, "__netpoll_setup" },
	{ 0x42a202e5, "__netpoll_free" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x3aa10064, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xa747fb0c, "__nlmsg_put" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x653c3fdf, "netdev_warn" },
	{ 0xd1025c1a, "__ethtool_get_link_ksettings" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x37b829b7, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd0d8621b, "strlen" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x298d53a9, "netdev_upper_dev_unlink" },
	{ 0x2021b373, "netdev_rx_handler_unregister" },
	{ 0x5747d4c0, "vlan_vids_del_by_dev" },
	{ 0xa7441fc9, "dev_close" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbffdc7d9, "netdev_change_features" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x79bfc742, "netdev_has_upper_dev" },
	{ 0xfcc13523, "dev_uc_flush" },
	{ 0x894f9d76, "dev_mc_flush" },
	{ 0x476bb12d, "dev_open" },
	{ 0x814f5030, "vlan_uses_dev" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x52d87a64, "vlan_vids_add_by_dev" },
	{ 0x6de12537, "netdev_rx_handler_register" },
	{ 0xe48abeb1, "netdev_master_upper_dev_link" },
	{ 0x272e0aa, "dev_disable_lro" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x10811b18, "ethtool_op_get_link" },
	{ 0x4f980ca5, "passthru_features_check" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "35C71F7D1BEB604C9D16E41");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
