#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x3dca2b94, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0xa584d66d, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xb04bf0a0, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x9e8a2fb1, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x243934d7, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xfeb8f0bf, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x0be7f317, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x77f11498, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x37507672, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xef0b6dcb, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x244a29a2, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xe2babcb1, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xdd79406e, "_gpl");
SYMBOL_CRC(usbnet_open, 0x67f00e37, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x8e11016f, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xc95b930d, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x36149cdf, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x8c82d0e5, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x1e477a57, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x896bb467, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x9024b621, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xf5003f5f, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x1f09d972, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xa8da8f4d, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x9c07cc66, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x66da46c0, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x9415c4a2, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x24261fee, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x6a2aa797, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xd430a962, "");
SYMBOL_CRC(usbnet_manage_power, 0xaa33e253, "");
SYMBOL_CRC(usbnet_link_change, 0x45a4bd68, "");
SYMBOL_CRC(usbnet_read_cmd, 0x0251f152, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x141a6c48, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xe36a6141, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xb70e5de5, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0xcbbd7324, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe3f247b0, "usb_set_interface" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xebc666af, "usb_string" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x4ca50989, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xce17d262, "netif_rx" },
	{ 0x9770081, "eth_type_trans" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0xd5eb2283, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb23c920b, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd00cafd1, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x21041a47, "usb_unlink_urb" },
	{ 0xcf6342ef, "usb_free_urb" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf721d4ba, "usb_submit_urb" },
	{ 0xb17627b5, "netdev_err" },
	{ 0xfd39aa80, "mii_ethtool_get_link_ksettings" },
	{ 0xe8bad465, "mii_ethtool_set_link_ksettings" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x314c3858, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x7db77141, "unregister_netdev" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0xd3b54f61, "usb_get_from_anchor" },
	{ 0xbee9d7dd, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd29b4321, "free_netdev" },
	{ 0x37b829b7, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x91b0b833, "netif_device_detach" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x261457e8, "netif_device_attach" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xf40a5563, "usb_control_msg" },
	{ 0x2e60bace, "memcpy" },
	{ 0xb17511f2, "usb_autopm_get_interface" },
	{ 0xfd81ebb5, "usb_autopm_put_interface" },
	{ 0x7e45b202, "usb_alloc_urb" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xcaff2704, "mii_link_ok" },
	{ 0x10811b18, "ethtool_op_get_link" },
	{ 0xf6c04a6a, "usb_autopm_put_interface_async" },
	{ 0x21380ddb, "netif_carrier_on" },
	{ 0x1d106652, "netif_carrier_off" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x738803e6, "strnlen" },
	{ 0xeea0399, "strscpy" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x969dcd16, "usb_autopm_get_interface_async" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xab06fd53, "mem_section" },
	{ 0x902c0329, "skb_tstamp_tx" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0x4194ad84, "usb_anchor_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x5ef8693, "alloc_etherdev_mqs" },
	{ 0xcef4d5b4, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5fb7f766, "register_netdev" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0x54f167c0, "usb_check_bulk_endpoints" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe9e8ff2e, "netif_tx_wake_queue" },
	{ 0xd1a0c7b5, "usb_autopm_get_interface_no_resume" },
	{ 0x393e67ed, "skb_put" },
	{ 0xa8230c16, "usb_clear_halt" },
	{ 0xa1612f5d, "eth_mac_addr" },
	{ 0x6b238f49, "eth_validate_addr" },
	{ 0x1bb62978, "dev_get_tstats64" },
	{ 0x3957fa68, "ethtool_op_get_ts_info" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "014B19EBEDC46A67F9DFFDB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
