#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0xe77a59b4, "");
SYMBOL_CRC(ath10k_info, 0x5974a3d7, "");
SYMBOL_CRC(ath10k_print_driver_info, 0xd0daa3c6, "");
SYMBOL_CRC(ath10k_err, 0x0a075043, "");
SYMBOL_CRC(ath10k_warn, 0x56ca430d, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0x7fb450ea, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0xb28923a1, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x3d94dc56, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x04007e19, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0xb7d41f41, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x36d6508f, "");
SYMBOL_CRC(ath10k_core_start, 0x384ee626, "");
SYMBOL_CRC(ath10k_core_stop, 0x14edfae4, "");
SYMBOL_CRC(ath10k_core_register, 0x1fca2a3c, "");
SYMBOL_CRC(ath10k_core_unregister, 0x6243b31d, "");
SYMBOL_CRC(ath10k_core_create, 0x187dad13, "");
SYMBOL_CRC(ath10k_core_destroy, 0xf49a62f1, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0x68e3115d, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x2dbb4a7d, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0x6f346714, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x0cc88314, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x98635813, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x93581930, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0x7039448a, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x61027cad, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0xe82f542b, "");
SYMBOL_CRC(ath10k_bmi_start, 0x48625e25, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x530a9a38, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0xe4ca0fa4, "");
SYMBOL_CRC(ath10k_coredump_new, 0xa7bf9548, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0x822c70ec, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0xca06811a, "");
SYMBOL_CRC(ath10k_ce_send, 0xaf3f17f0, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x611b7d16, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0xb1387244, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0xda03933e, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0x9736cf08, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0x231d932b, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0xbba83c05, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x050d70e7, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x766c9fc3, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0x655d25b9, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0xeebc9fc2, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0xd495a9bd, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0x9f6f97b8, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0x62426212, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x1a6f8966, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x016ed211, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0xa2eb3752, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0x1b298959, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x1abc1cc9, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0xe11d3444, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0x3ae6cce3, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0x4b683766, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0xd7e321c3, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x1329a551, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42648a78, "cpu_latency_qos_remove_request" },
	{ 0x418897a5, "ieee80211_beacon_update_cntdwn" },
	{ 0xc67172e, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xce78b11a, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x95cdbbee, "ieee80211_connection_loss" },
	{ 0xa5ea824e, "ieee80211_manage_rx_ba_offl" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xd808e35d, "is_acpi_device_node" },
	{ 0xb30ebe2d, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3e102ab2, "__ieee80211_schedule_txq" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3483ccca, "ieee80211_txq_get_depth" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0x1fd2c5ba, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x393e67ed, "skb_put" },
	{ 0x352f907f, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2a8e0081, "firmware_request_nowarn" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x4238fd54, "ieee80211_txq_may_transmit" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xc76e6727, "device_get_mac_address" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x94941f51, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x78a240e6, "dma_unmap_page_attrs" },
	{ 0x633e363d, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xf8e2de84, "ieee80211_iterate_stations_atomic" },
	{ 0x9d4bfeef, "dma_sync_single_for_device" },
	{ 0x3b807bf9, "ieee80211_tx_status_ext" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdac9693b, "ieee80211_beacon_loss" },
	{ 0x596ff27b, "cpu_latency_qos_add_request" },
	{ 0x7462e730, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xe6aba91b, "thermal_cooling_device_register" },
	{ 0xcef34c92, "ieee80211_register_hw" },
	{ 0x44366cfc, "simple_write_to_buffer" },
	{ 0x59e5eac2, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xd49e3b8b, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcb843fc8, "ieee80211_hw_restart_disconnect" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8a59abb6, "of_get_property" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57071355, "pskb_expand_head" },
	{ 0xb23c920b, "skb_queue_purge_reason" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x34ca145c, "kstrtou8_from_user" },
	{ 0x7044cf26, "ieee80211_find_sta" },
	{ 0xa0380c5d, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x21d4d79c, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xbadcb3e5, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x738803e6, "strnlen" },
	{ 0x9b2a74e7, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0xa96b96a, "kstrtouint_from_user" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0xa293a3d7, "ieee80211_get_channel_khz" },
	{ 0xe9a7fe16, "nvmem_cell_read" },
	{ 0x37f1aa51, "sysfs_create_link" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xd313a9d, "wiphy_to_ieee80211_hw" },
	{ 0xe4341e7b, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdb7c5566, "ieee80211_queue_delayed_work" },
	{ 0xa5583424, "ieee80211_proberesp_get" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8b065251, "simple_open" },
	{ 0xf2659707, "skb_pull" },
	{ 0xdf627054, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xca654e35, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2b7fcf05, "ieee80211_find_sta_by_ifaddr" },
	{ 0x47a2e8ce, "ieee80211_next_txq" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x90823133, "ieee80211_remain_on_channel_expired" },
	{ 0x80c4c319, "crc32_le" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0xe8550745, "napi_enable" },
	{ 0x596a140f, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x107c6d0f, "ieee80211_wake_queues" },
	{ 0xb3d70a6d, "of_property_read_string" },
	{ 0x99093fc3, "wiphy_read_of_freq_limits" },
	{ 0x1808de16, "ieee80211_report_low_ack" },
	{ 0xa2272eb2, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc632dac2, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x2a6f879, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x76632993, "ieee80211_alloc_hw_nm" },
	{ 0x725b7a6f, "cfg80211_get_bss" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x6327eb62, "default_llseek" },
	{ 0x7e6a0245, "ieee80211_tx_dequeue" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xbf43034b, "devm_hwmon_device_register_with_groups" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xf9a315c8, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd57208a7, "of_property_read_variable_u8_array" },
	{ 0xc8e28db3, "devm_nvmem_cell_get" },
	{ 0xda8bcc90, "ieee80211_stop_queue" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0xf1ba7e7b, "ieee80211_ready_on_channel" },
	{ 0x7eb9279c, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x77db0546, "skb_realloc_headroom" },
	{ 0xc850988a, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xeea0399, "strscpy" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x4a1bf581, "ieee80211_scan_completed" },
	{ 0xbd178a9d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xa1c89428, "ieee80211_unregister_hw" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9ef690fa, "ath_regd_init" },
	{ 0x84018e20, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd9096340, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8e4aef17, "ieee80211_tdls_oper_request" },
	{ 0x8fe4b2de, "ieee80211_radar_detected" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x3a7962a7, "thermal_cooling_device_unregister" },
	{ 0x45713fa0, "ieee80211_tx_rate_update" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x1bd79a15, "ieee80211_queue_work" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0xd0d8621b, "strlen" },
	{ 0x68603af1, "napi_disable" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xfe5afe10, "init_dummy_netdev" },
	{ 0xd3a5fc32, "of_property_read_string_helper" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x515343fb, "ieee80211_csa_finish" },
	{ 0x5cafcba8, "skb_queue_head" },
	{ 0x3201ebda, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,ath");


MODULE_INFO(srcversion, "601D2A3B38AB123DFD1F619");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
