#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0xd0adc33a, "");
SYMBOL_CRC(ath11k_core_resume, 0x5076179e, "");
SYMBOL_CRC(ath11k_core_pre_init, 0xea7b5ada, "");
SYMBOL_CRC(ath11k_core_init, 0xbae3f725, "");
SYMBOL_CRC(ath11k_core_deinit, 0x73cbb325, "");
SYMBOL_CRC(ath11k_core_free, 0xa1c75474, "");
SYMBOL_CRC(ath11k_core_alloc, 0xd0a26ce5, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x73bef31f, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0xf24707b5, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0x32c6fc56, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0xd994ea52, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0xc29c2e93, "");
SYMBOL_CRC(ath11k_info, 0xae538dd9, "");
SYMBOL_CRC(ath11k_err, 0x34052272, "");
SYMBOL_CRC(ath11k_warn, 0xd2f7188a, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x58a11aec, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x9852bb24, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0x59e3ff19, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0xe6be5c08, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0xf75dd85b, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0x90a0a462, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0xa6700954, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0x7c28f6ab, "");
SYMBOL_CRC(ath11k_pcic_write32, 0x59ab4ea0, "");
SYMBOL_CRC(ath11k_pcic_read32, 0x666a7a24, "");
SYMBOL_CRC(ath11k_pcic_read, 0x52df8ad4, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0x4d370c13, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0xacd08fe8, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0x4fc7e7a3, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0xa37215ae, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0x490cd32a, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0x5b84d059, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0x5e85e0c4, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0x5e8340f2, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0x1615e7af, "");
SYMBOL_CRC(ath11k_pcic_stop, 0xe12b6e12, "");
SYMBOL_CRC(ath11k_pcic_start, 0x68ee584c, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0x66a8b686, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0xc268fb6c, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0xcce81d83, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0xa399aec9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x418897a5, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2364d122, "ieee80211_gtk_rekey_notify" },
	{ 0xce78b11a, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x95cdbbee, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb30ebe2d, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x20978fb9, "idr_find" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa37e7a99, "of_node_put" },
	{ 0x393e67ed, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2a8e0081, "firmware_request_nowarn" },
	{ 0xc13560fb, "qmi_handle_init" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xf1e0589d, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x7c749a44, "of_address_to_resource" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xc76e6727, "device_get_mac_address" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xf260ca8a, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x94941f51, "ieee80211_free_hw" },
	{ 0x78a240e6, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xf8e2de84, "ieee80211_iterate_stations_atomic" },
	{ 0x3188fec5, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x3b807bf9, "ieee80211_tx_status_ext" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdac9693b, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x3e681cb2, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xe6aba91b, "thermal_cooling_device_register" },
	{ 0xcef34c92, "ieee80211_register_hw" },
	{ 0x9cf8324d, "rhashtable_init" },
	{ 0x59e5eac2, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x95c86d16, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4f602c4e, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcb843fc8, "ieee80211_hw_restart_disconnect" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57071355, "pskb_expand_head" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0xa09cbd7f, "crypto_destroy_tfm" },
	{ 0x7044cf26, "ieee80211_find_sta" },
	{ 0xa0380c5d, "dma_map_page_attrs" },
	{ 0xe1b3587e, "qmi_send_request" },
	{ 0xe990e5cc, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0x3e397497, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x21d4d79c, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xbadcb3e5, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x93506ab7, "__napi_schedule" },
	{ 0x738803e6, "strnlen" },
	{ 0x9b2a74e7, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xbec7faa8, "qmi_txn_wait" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0xa293a3d7, "ieee80211_get_channel_khz" },
	{ 0x37f1aa51, "sysfs_create_link" },
	{ 0xac947e60, "ieee80211_obss_color_collision_notify" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xd313a9d, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdb7c5566, "ieee80211_queue_delayed_work" },
	{ 0x6352c564, "__skb_get_hash" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x9644e0a4, "crypto_shash_setkey" },
	{ 0xf2659707, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc692a249, "qmi_txn_cancel" },
	{ 0x73e24115, "__of_parse_phandle_with_args" },
	{ 0xdf627054, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2b7fcf05, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x90823133, "ieee80211_remain_on_channel_expired" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0xafb5f597, "dma_alloc_attrs" },
	{ 0xe8550745, "napi_enable" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x596a140f, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x107c6d0f, "ieee80211_wake_queues" },
	{ 0xb3d70a6d, "of_property_read_string" },
	{ 0xe7b8cfea, "qmi_txn_init" },
	{ 0x1808de16, "ieee80211_report_low_ack" },
	{ 0xa2272eb2, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5275d2cb, "crypto_shash_update" },
	{ 0x5152e605, "memcmp" },
	{ 0x96603250, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc632dac2, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x76632993, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x725b7a6f, "cfg80211_get_bss" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x8cf832c4, "dma_sync_single_for_cpu" },
	{ 0x8617a9f9, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xbf43034b, "devm_hwmon_device_register_with_groups" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4a109f16, "ieee80211_beacon_free_ema_list" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0xf1ba7e7b, "ieee80211_ready_on_channel" },
	{ 0x7eb9279c, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0xe42d2e8, "qmi_handle_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x415e1d4d, "ieee80211_vif_to_wdev" },
	{ 0xeea0399, "strscpy" },
	{ 0xdc6fb23, "dma_free_attrs" },
	{ 0x4a1bf581, "ieee80211_scan_completed" },
	{ 0xbd178a9d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xc72c41d5, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0xa1c89428, "ieee80211_unregister_hw" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xd9901e7d, "ieee80211_color_change_finish" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8fe4b2de, "ieee80211_radar_detected" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x3a7962a7, "thermal_cooling_device_unregister" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x1bd79a15, "ieee80211_queue_work" },
	{ 0x544c1f9c, "napi_schedule_prep" },
	{ 0xd0d8621b, "strlen" },
	{ 0x68603af1, "napi_disable" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0xebbfba09, "regulatory_set_wiphy_regd" },
	{ 0x16ee9407, "crypto_alloc_shash" },
	{ 0x34bcf3d7, "ieee80211_beacon_get_template_ema_list" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcda00a61, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xfe5afe10, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x515343fb, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3201ebda, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "mac80211,qmi_helpers,cfg80211");


MODULE_INFO(srcversion, "4FD38EB4038DE65423CA39F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
