#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath6kl_printk, "", "");
KSYMTAB_FUNC(ath6kl_info, "", "");
KSYMTAB_FUNC(ath6kl_err, "", "");
KSYMTAB_FUNC(ath6kl_warn, "", "");
KSYMTAB_FUNC(ath6kl_read_tgt_stats, "", "");
KSYMTAB_FUNC(ath6kl_hif_rw_comp_handler, "", "");
KSYMTAB_FUNC(ath6kl_hif_intr_bh_handler, "", "");
KSYMTAB_FUNC(ath6kl_cfg80211_suspend, "", "");
KSYMTAB_FUNC(ath6kl_cfg80211_resume, "", "");
KSYMTAB_FUNC(ath6kl_stop_txrx, "", "");
KSYMTAB_FUNC(ath6kl_core_tx_complete, "", "");
KSYMTAB_FUNC(ath6kl_core_rx_complete, "", "");
KSYMTAB_FUNC(ath6kl_core_init, "", "");
KSYMTAB_FUNC(ath6kl_core_create, "", "");
KSYMTAB_FUNC(ath6kl_core_cleanup, "", "");
KSYMTAB_FUNC(ath6kl_core_destroy, "", "");

SYMBOL_CRC(ath6kl_printk, 0xb881b1a9, "");
SYMBOL_CRC(ath6kl_info, 0x3502feef, "");
SYMBOL_CRC(ath6kl_err, 0xb9a689dd, "");
SYMBOL_CRC(ath6kl_warn, 0x1354043d, "");
SYMBOL_CRC(ath6kl_read_tgt_stats, 0xab909e84, "");
SYMBOL_CRC(ath6kl_hif_rw_comp_handler, 0x91cfb84a, "");
SYMBOL_CRC(ath6kl_hif_intr_bh_handler, 0x6315dbdd, "");
SYMBOL_CRC(ath6kl_cfg80211_suspend, 0x5adc618f, "");
SYMBOL_CRC(ath6kl_cfg80211_resume, 0x9d97555b, "");
SYMBOL_CRC(ath6kl_stop_txrx, 0xacfda0e2, "");
SYMBOL_CRC(ath6kl_core_tx_complete, 0x7d60a66e, "");
SYMBOL_CRC(ath6kl_core_rx_complete, 0x0108ec71, "");
SYMBOL_CRC(ath6kl_core_init, 0x9bae083c, "");
SYMBOL_CRC(ath6kl_core_create, 0xe9642dba, "");
SYMBOL_CRC(ath6kl_core_cleanup, 0x324ae160, "");
SYMBOL_CRC(ath6kl_core_destroy, 0xcb581744, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x56ae14fd, "cfg80211_sched_scan_results" },
	{ 0x736cf0de, "cfg80211_cqm_txe_notify" },
	{ 0xd13d513, "cfg80211_mgmt_tx_status_ext" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0xa37e7a99, "of_node_put" },
	{ 0x393e67ed, "skb_put" },
	{ 0x81c65ab1, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xcd001567, "cfg80211_sched_scan_stopped" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xeb6b1429, "cfg80211_remain_on_channel_expired" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4f1ea582, "cfg80211_register_netdevice" },
	{ 0x8038b133, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xcf2a6966, "up" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7462e730, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbb4adb2e, "cfg80211_new_sta" },
	{ 0x1a6ef7bb, "netdev_set_default_ethtool_ops" },
	{ 0x99381d44, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xb20013e, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8a59abb6, "of_get_property" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57071355, "pskb_expand_head" },
	{ 0xb23c920b, "skb_queue_purge_reason" },
	{ 0x4ca50989, "dev_addr_mod" },
	{ 0x1373cd26, "of_find_compatible_node" },
	{ 0x9770081, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe775d02f, "alloc_netdev_mqs" },
	{ 0x780bc164, "wiphy_new_nm" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x65ceb809, "cfg80211_ready_on_channel" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xcef72cf1, "wiphy_register" },
	{ 0x738803e6, "strnlen" },
	{ 0x9b2a74e7, "cfg80211_put_bss" },
	{ 0x1e0c5229, "cfg80211_roamed" },
	{ 0x12440b1c, "cfg80211_ch_switch_notify" },
	{ 0xc726ea56, "skb_copy_expand" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0xa293a3d7, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x158c56ba, "cfg80211_get_drvinfo" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x29267f8f, "cfg80211_ibss_joined" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf2659707, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf12ad5f5, "cfg80211_michael_mic_failure" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0x25168009, "cfg80211_del_sta_sinfo" },
	{ 0x91d64fbc, "wiphy_unregister" },
	{ 0xd29b4321, "free_netdev" },
	{ 0x5152e605, "memcmp" },
	{ 0x10811b18, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x725b7a6f, "cfg80211_get_bss" },
	{ 0xe9e8ff2e, "netif_tx_wake_queue" },
	{ 0x2bc95bd4, "memset" },
	{ 0xe1277b05, "cfg80211_pmksa_candidate_notify" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce17d262, "netif_rx" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0x8d313949, "cfg80211_check_station_change" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xeea0399, "strscpy" },
	{ 0xf95cf079, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0x2d6c97d1, "cfg80211_rx_mgmt_ext" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1d106652, "netif_carrier_off" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xd9096340, "skb_copy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x21380ddb, "netif_carrier_on" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3f23bc65, "cfg80211_conn_failed" },
	{ 0x52e686c5, "cfg80211_inform_bss_data" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x4cecdf56, "cfg80211_connect_done" },
	{ 0xfdfc07c7, "wiphy_free" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "7A8523843C4FDF1A9493BEB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
