#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0xe134f070, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0xcf3c330f, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x8f8f2e1e, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x0d22151a, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0xb1301d0b, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x39ecb669, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x138c6424, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x654357c1, "mt76_init_sar_power" },
	{ 0x9752b87e, "mt76x02_phy_adjust_vga_gain" },
	{ 0x122c0942, "mt76x02_phy_dfs_adjust_agc" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x128c7145, "mt76x02_mac_shared_key_setup" },
	{ 0x6cd2464e, "mt76x02_ext_pa_enabled" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbbc70545, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x71a8e8cc, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xdb7c5566, "ieee80211_queue_delayed_work" },
	{ 0x5f4283ba, "mt76_eeprom_init" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5fab6086, "mt76x02_mac_setaddr" },
	{ 0xe90f25ac, "mt76_register_device" },
	{ 0xb82b9d5c, "mt76x02_phy_set_bw" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x2a0785dc, "mt76x02_phy_set_band" },
	{ 0x52eb3a84, "mt76_set_channel" },
	{ 0x526e7ca3, "mt76x02_init_device" },
	{ 0x107c6d0f, "ieee80211_wake_queues" },
	{ 0x5f2c1499, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x5ba6c190, "mt76x02_phy_set_rxpath" },
	{ 0xe10eff55, "mt76x02_edcca_init" },
	{ 0xcff581b7, "mt76_eeprom_override" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4abcdf66, "mt76x02_get_lna_gain" },
	{ 0x68ccca4b, "mt76x02_init_debugfs" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7eb9279c, "ieee80211_stop_queues" },
	{ 0x5571d264, "mt76x02_mac_cc_reset" },
	{ 0xc907e798, "mt76x02_init_agc_gain" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x8973d17f, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe9a73151, "____mt76_poll_msec" },
	{ 0xe3de0a1d, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x57d45590, "mt76x02_config_mac_addr_list" },
	{ 0xad169b1c, "mt76_get_sar_power" },
	{ 0xb5f25cd1, "mt76x02_eeprom_copy" },
	{ 0x2c462810, "mt76x02_mcu_calibrate" },
	{ 0xdf4169e3, "mt76x02_mcu_function_select" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb3d02ecf, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x109f2265, "mt76x02_mac_wcid_setup" },
	{ 0x4f60fce5, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xc4b70cfe, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x12c390ff, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211,mac80211");


MODULE_INFO(srcversion, "759B99BBB4F3E1CAD340920");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
