#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x526e7ca3, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x6befe50a, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x7d142234, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x0c63a95d, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x58709df4, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x48ae1e9d, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x3bcb7099, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x24898301, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x47486d9b, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x0c487df8, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x1bc5409b, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x32709832, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x8200013a, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x0b86041b, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x295fe804, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x4974b61d, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x60144f97, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x57d45590, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0xeedd457e, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x128c7145, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x109f2265, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0xc4a66e31, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x5fab6086, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0xc0adbc29, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x7b13d262, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0xe10eff55, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x5571d264, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0xb84e074e, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x551b0b85, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0xdf4169e3, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0xfbb3a412, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x2c462810, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x740a90f0, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x826fcf4f, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0xb5f25cd1, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0xbbc70545, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x5f2c1499, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0x6cd2464e, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x71a8e8cc, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x4abcdf66, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x5ba6c190, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0xc4b70cfe, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0xb3d02ecf, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0xb82b9d5c, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x2a0785dc, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x9752b87e, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0xc907e798, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0xff6f56e4, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0xc24830b8, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0xc8103baf, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x9a0ab1dd, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0xae870ae0, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0xc6192123, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x990589d6, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x588c2a2c, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x230d7bda, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x84472680, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x7e0a4cf8, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x68ccca4b, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x122c0942, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xe3de0a1d, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0xda61da84, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x0675ccfd, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x8d3a3a39, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x1a225157, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0xe97b32a6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc67172e, "ieee80211_sta_register_airtime" },
	{ 0xa1661fda, "mt76_dma_rx_poll" },
	{ 0xe484ee1f, "mt76_tx_status_unlock" },
	{ 0x4cf3bbaf, "simple_attr_open" },
	{ 0x917161a5, "debugfs_attr_write" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xf1e0589d, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x2215097a, "mt76_tx_status_skb_get" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xcd25f645, "mt76_tx_status_lock" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x17226897, "mt76_csa_check" },
	{ 0x649257a9, "mt76_tx_status_skb_add" },
	{ 0x9d28c26e, "__tracepoint_mac_txdone" },
	{ 0xe977e52a, "mt76_tx_check_agg_ssn" },
	{ 0x3b807bf9, "ieee80211_tx_status_ext" },
	{ 0x43ac2992, "mt76_stop_tx_queues" },
	{ 0x8ba3f71f, "___pskb_trim" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x190a1516, "__mt76_tx_complete_skb" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x50888233, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x59e5eac2, "ieee80211_restart_hw" },
	{ 0xf5c5bbf9, "bpf_trace_run2" },
	{ 0x95c86d16, "ieee80211_get_hdrlen_from_skb" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x6b5faffa, "kthread_park" },
	{ 0x59fcf4d3, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd7ea8768, "mt76_tx_status_check" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0x7e31468b, "ieee80211_get_buffered_bc" },
	{ 0xe990e5cc, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7a6afdf6, "ieee80211_get_tx_rates" },
	{ 0x5ef5b226, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1aed93b, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x63eafeba, "mt76_tx" },
	{ 0x93506ab7, "__napi_schedule" },
	{ 0xaffadfd0, "mt76_csa_finish" },
	{ 0x738803e6, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xdb7eb7d5, "mt76_wcid_key_setup" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x4d1737ef, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x5d719f78, "mt76_rx" },
	{ 0xf8804d35, "kthread_unpark" },
	{ 0x61a3c319, "mt76_phy_dfs_state" },
	{ 0xd313a9d, "wiphy_to_ieee80211_hw" },
	{ 0xacb1c7, "mt76_init_queue" },
	{ 0xaf977a5e, "debugfs_attr_read" },
	{ 0x3361481c, "__mt76_sta_remove" },
	{ 0x57d26c17, "mt76_tx_status_skb_done" },
	{ 0xdb7c5566, "ieee80211_queue_delayed_work" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x684a2aa7, "debugfs_create_bool" },
	{ 0xf2659707, "skb_pull" },
	{ 0xc8a6d085, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0xe8550745, "napi_enable" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0xd9f3cdb8, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x107c6d0f, "ieee80211_wake_queues" },
	{ 0xa84b45e3, "mt76_mcu_send_and_get_msg" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xad6bb3bb, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd3dcb9ab, "__mt76_mcu_msg_alloc" },
	{ 0x11ce9a87, "mt76_set_irq_mask" },
	{ 0x39887690, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xc0170ca3, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x59a9bd83, "debugfs_create_u32" },
	{ 0x82c2968, "mt76_seq_puts_array" },
	{ 0x7eb9279c, "ieee80211_stop_queues" },
	{ 0xb48677a, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb608bb75, "__tracepoint_dev_irq" },
	{ 0xe2fd670b, "seq_read" },
	{ 0xeea0399, "strscpy" },
	{ 0x23114596, "mt76_mcu_get_response" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0xbd178a9d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x8973d17f, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xed915b44, "mt76_rx_aggr_start" },
	{ 0xe9a73151, "____mt76_poll_msec" },
	{ 0xfe4739d, "seq_printf" },
	{ 0x84018e20, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc8836361, "seq_puts" },
	{ 0x8fe4b2de, "ieee80211_radar_detected" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x88d47c17, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xa66b0b9f, "mt76_queues_read" },
	{ 0xc4b955a4, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x544c1f9c, "napi_schedule_prep" },
	{ 0x68603af1, "napi_disable" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0x4f60fce5, "__mt76_poll" },
	{ 0xe2b33b99, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x778a1c1, "debugfs_create_u8" },
	{ 0x89ba77c3, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xafa42b43, "mt76_dma_attach" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "4AEE46998D075361AD63FF6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
