#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0xa692fcad, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0xc0edb7a4, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0x18468ded, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0x40c4627f, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0x0d2a3774, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0x81e2e8ea, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0xa90f9e1b, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0xcb5376f7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d3a3a39, "mt76x02_update_beacon_iter" },
	{ 0xad4a8396, "ieee80211_iterate_interfaces" },
	{ 0x1a225157, "mt76x02_enqueue_buffered_bc" },
	{ 0xb86041b, "mt76x02_remove_hdr_pad" },
	{ 0x393e67ed, "skb_put" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0x675ccfd, "mt76x02_resync_beacon_timer" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb84e074e, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x17226897, "mt76_csa_check" },
	{ 0x649257a9, "mt76_tx_status_skb_add" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x74182615, "mt76u_single_wr" },
	{ 0x190a1516, "__mt76_tx_complete_skb" },
	{ 0xeedd457e, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x95c86d16, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x3b873f0, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaffadfd0, "mt76_csa_finish" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf2659707, "skb_pull" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0xe97b32a6, "mt76x02_init_beacon_config" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd3dcb9ab, "__mt76_mcu_msg_alloc" },
	{ 0xc4a66e31, "mt76x02_mac_write_txwi" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x4ad38cd0, "mt76u_vendor_request" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x733432ca, "mt76_skb_adjust_pad" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xda61da84, "mt76x02_mac_set_beacon" },
	{ 0xef34bf3e, "hrtimer_active" },
	{ 0x4f60fce5, "__mt76_poll" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,mt76-usb,cfg80211,usbcore");


MODULE_INFO(srcversion, "0B8A9DF7B77F612B65C6819");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
