#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_stop, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_assoc, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0x77678424, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0x062dcd5b, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x4ae56926, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0x3b725aa9, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0x9d03936f, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x86d7e219, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0x8226b74e, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0xc672bf91, "_gpl");
SYMBOL_CRC(__mt7921_start, 0xba72ec4d, "_gpl");
SYMBOL_CRC(mt7921_stop, 0xb3a03c10, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0x1407136b, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0x28f9e3e1, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0x89d13869, "_gpl");
SYMBOL_CRC(mt7921_ops, 0x29720b12, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0xcf2e4ff5, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0xb2a847ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb9666746, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xbec7ee1, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xc67172e, "ieee80211_sta_register_airtime" },
	{ 0x1f231548, "mt792x_init_wcid" },
	{ 0xe1e7b9af, "mt792x_init_acpi_sar" },
	{ 0x654357c1, "mt76_init_sar_power" },
	{ 0x95cdbbee, "ieee80211_connection_loss" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x4cf3bbaf, "simple_attr_open" },
	{ 0xad4a8396, "ieee80211_iterate_interfaces" },
	{ 0x917161a5, "debugfs_attr_write" },
	{ 0x77c7039a, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xc8007c2f, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x393e67ed, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5acc0228, "mt76_connac_mcu_uni_set_chctx" },
	{ 0x533b7dbc, "mt792x_tx_worker" },
	{ 0xf34c4842, "mt792x_flush" },
	{ 0xe187598c, "mt792x_rx_get_wcid" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x6f2f5768, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2ed77b53, "mt76_connac_mcu_set_channel_domain" },
	{ 0x1e57330f, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf191b998, "mt76_release_buffered_frames" },
	{ 0x8038b133, "request_firmware" },
	{ 0x2acd8eb4, "mt76_get_txpower" },
	{ 0x649257a9, "mt76_tx_status_skb_add" },
	{ 0x9581453e, "mt76_connac_pm_wake" },
	{ 0x4fdb2a37, "mt76_connac2_mac_fill_rx_rate" },
	{ 0x2d28fe3e, "mt792x_pm_wake_work" },
	{ 0xc1647c12, "mt76_connac_mcu_set_deep_sleep" },
	{ 0x393a9e7c, "mt76_wake_tx_queue" },
	{ 0x2e60bace, "memcpy" },
	{ 0x38a49781, "mt76_connac_mcu_chip_config" },
	{ 0xa761ba54, "mt76_get_antenna" },
	{ 0x99eba16c, "mt792x_set_coverage_class" },
	{ 0x87023e66, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x190a1516, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x50888233, "seq_lseek" },
	{ 0x44103cde, "mt76_set_stream_caps" },
	{ 0xc48a8493, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x95c86d16, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7ddc866e, "mt792x_mac_work" },
	{ 0x68727563, "mt76_connac_mcu_update_arp_filter" },
	{ 0xf709fc48, "mt76_connac2_tx_check_aggr" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x59fcf4d3, "mt76_mcu_rx_event" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57071355, "pskb_expand_head" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0x2497c6b, "mt76_connac_free_pending_tx_skbs" },
	{ 0xe59f48b6, "mt792x_sta_statistics" },
	{ 0xb23c920b, "skb_queue_purge_reason" },
	{ 0xaddd5baa, "mt76_connac_power_save_sched" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x1f8d9e7a, "mt792x_conf_tx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1aed93b, "debugfs_create_devm_seqfile" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb9553749, "mt792x_get_et_sset_count" },
	{ 0xba462e26, "mt76_connac_mcu_set_mac_enable" },
	{ 0x3033b650, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xf52b7251, "mt792x_init_acpi_sar_power" },
	{ 0x54cb52ad, "mt792x_set_wakeup" },
	{ 0xdb7eb7d5, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0x4d1737ef, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x5d719f78, "mt76_rx" },
	{ 0x48db79c0, "mt792x_load_firmware" },
	{ 0x3f2ef187, "mt76_connac_mcu_sched_scan_req" },
	{ 0x2c08f9a3, "mt792x_get_et_stats" },
	{ 0x9807791, "mt76_connac2_txwi_free" },
	{ 0x5f2194f6, "__tracepoint_lp_event" },
	{ 0xafe9fb1, "mt76_connac_mcu_uni_add_bss" },
	{ 0x449f97da, "mt76_connac2_mac_add_txs_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xd313a9d, "wiphy_to_ieee80211_hw" },
	{ 0xaf977a5e, "debugfs_attr_read" },
	{ 0x2ea20c8e, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdb7c5566, "ieee80211_queue_delayed_work" },
	{ 0x25d4d223, "devm_kmemdup" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf2659707, "skb_pull" },
	{ 0xe90f25ac, "mt76_register_device" },
	{ 0xe5eaa0bb, "mt792x_get_stats" },
	{ 0x4ee96fc6, "mt76_mcu_skb_send_and_get_msg" },
	{ 0xc8a6d085, "simple_attr_release" },
	{ 0x78f3ca28, "mt792x_mac_set_timeing" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x90823133, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0x52eb3a84, "mt76_set_channel" },
	{ 0x107c6d0f, "ieee80211_wake_queues" },
	{ 0xa84b45e3, "mt76_mcu_send_and_get_msg" },
	{ 0xa2272eb2, "ieee80211_beacon_get_template" },
	{ 0xd3d87e77, "mt792x_pm_stats" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xcff581b7, "mt76_eeprom_override" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x2a6f879, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd3dcb9ab, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa92e014, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xbf43034b, "devm_hwmon_device_register_with_groups" },
	{ 0xabfa3b8a, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa746bbbe, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0xd06ddf40, "mt792x_tx" },
	{ 0xcb060c13, "mt792x_get_et_strings" },
	{ 0x85b95e30, "mt76_sta_state" },
	{ 0xf1ba7e7b, "ieee80211_ready_on_channel" },
	{ 0x7eb9279c, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbef5113b, "devm_kasprintf" },
	{ 0x24170b35, "cfg80211_reg_can_beacon" },
	{ 0x4adb34f4, "mt792x_remove_interface" },
	{ 0xe2fd670b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x535d0e9, "mt76_connac_mcu_get_nic_capability" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xee330dd7, "mt792x_queues_read" },
	{ 0x7667f966, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0x6f31d75, "mt792x_queues_acq" },
	{ 0x136d7cd4, "ieee80211_sched_scan_results" },
	{ 0x4a1bf581, "ieee80211_scan_completed" },
	{ 0xbd178a9d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xd2d22a30, "mt76_insert_ccmp_hdr" },
	{ 0xade8285f, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x8c461b14, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0xc405f6eb, "mt792x_tx_stats_show" },
	{ 0xed915b44, "mt76_rx_aggr_start" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x2dcde6dd, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xbd92a904, "mt792x_mac_init_band" },
	{ 0x733432ca, "mt76_skb_adjust_pad" },
	{ 0x94c88d51, "mt792x_init_wiphy" },
	{ 0xc8836361, "seq_puts" },
	{ 0x7ad935b2, "mt76_connac_sta_state_dp" },
	{ 0xdd6e5aac, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x88d47c17, "single_release" },
	{ 0xa66b0b9f, "mt76_queues_read" },
	{ 0x7bf707de, "mt76_sta_pre_rcu_remove" },
	{ 0xc4b955a4, "mt76_register_debugfs_fops" },
	{ 0x4e157d95, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x7a94ac02, "mt76_connac2_mac_write_txwi" },
	{ 0x5cde7d21, "__mt76_set_tx_blocked" },
	{ 0x1521d0f, "mt76_connac_mcu_sta_ba" },
	{ 0x29502190, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0x1bd79a15, "ieee80211_queue_work" },
	{ 0x8ea69e9c, "mt792x_mac_reset_counters" },
	{ 0x791b859, "napi_consume_skb" },
	{ 0x4f60fce5, "__mt76_poll" },
	{ 0xe2b33b99, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x89ba77c3, "single_open" },
	{ 0x535162fc, "mt76_connac_mcu_add_key" },
	{ 0x1d7d51b0, "mt792x_unassign_vif_chanctx" },
	{ 0xb8fc2c11, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6297fe6f, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0x7e94c44, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mac80211,mt792x-lib,mt76,cfg80211");


MODULE_INFO(srcversion, "121E7DC298A20097978B5CA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
