#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52c166f1, "usb_put_intf" },
	{ 0x7e45b202, "usb_alloc_urb" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xcf6342ef, "usb_free_urb" },
	{ 0x393e67ed, "skb_put" },
	{ 0x4eefbef5, "usb_alloc_coherent" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x94941f51, "ieee80211_free_hw" },
	{ 0x8038b133, "request_firmware" },
	{ 0xb261d373, "usb_register_driver" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7462e730, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xcef34c92, "ieee80211_register_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x189c7321, "usb_get_intf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3e397497, "ieee80211_handle_wake_tx_queue" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x21d4d79c, "ieee80211_tx_status_irqsafe" },
	{ 0x3b873f0, "usb_bulk_msg" },
	{ 0xd56b1364, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xf721d4ba, "usb_submit_urb" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0x4592e5f9, "usb_queue_reset_device" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xca8d33e1, "usb_free_coherent" },
	{ 0xf2659707, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf40a5563, "usb_control_msg" },
	{ 0x107c6d0f, "ieee80211_wake_queues" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x76632993, "ieee80211_alloc_hw_nm" },
	{ 0x5beedb84, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0x7eb9279c, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa1c89428, "ieee80211_unregister_hw" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xedd56542, "usb_reset_configuration" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbee9d7dd, "usb_kill_urb" },
	{ 0x84018e20, "ieee80211_beacon_get_tim" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x79bdbda0, "ieee80211_rx_irqsafe" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mac80211,cfg80211");

MODULE_ALIAS("usb:v16C1p1CDEd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p000Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "DC769ECA81A0D542A4BE38B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
