#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0xc5cc5f1a, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0x29b7f557, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0x1dbedbf7, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0xe4cb9dad, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0x81eafb32, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0x858511cc, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0xea335fd6, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0x953d38da, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0xc4ae1244, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0x32d5feb5, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0x50051897, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0x13207276, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0x055b39e1, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0x2a4479c9, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0x26d4fdf6, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0x950ebc35, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x78ad16b1, "rt2x00queue_get_entry" },
	{ 0xd4b23d17, "rt2800_process_rxwi" },
	{ 0xea16dcf8, "rt2x00lib_beacondone" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x893cacbe, "rt2800_get_txwi_rxwi_size" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0x42b28d21, "rt2800_disable_wpdma" },
	{ 0xfca61078, "rt2800_wait_wpdma_ready" },
	{ 0xf95f6b04, "rt2800_enable_radio" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xc5038a0d, "rt2800_txdone" },
	{ 0x6afea002, "rt2800_txdone_nostatus" },
	{ 0xd00e0a3a, "rt2800_txstatus_timeout" },
	{ 0x71e3a88c, "rt2800_txstatus_pending" },
	{ 0x365dbd35, "rt2800_probe_hw" },
	{ 0xc97d90f2, "rt2x00lib_pretbtt" },
	{ 0xf838038f, "rt2800_config" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xaf1d8e84, "rt2x00mmio_rxdone" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,rt2800lib,rt2x00mmio");


MODULE_INFO(srcversion, "5F8F70691E993A14E1FB766");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
