#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0xadd5a39f, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0xc0663d0d, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0xeefd6983, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0xf314e128, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0xe5d0011f, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0xe8eb921a, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0x915359cb, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0xcfa34383, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0x2c63fd9a, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0x91ba56e1, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0x38d1ffa4, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0x27411af8, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0xb02be360, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0x8da09bca, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0xff2a4311, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0x4e2d321d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf40a5563, "usb_control_msg" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4194ad84, "usb_anchor_urb" },
	{ 0xf721d4ba, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0xf700f733, "usb_unanchor_urb" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x7e45b202, "usb_alloc_urb" },
	{ 0xcf6342ef, "usb_free_urb" },
	{ 0xae5cc903, "rt2x00lib_dmastart" },
	{ 0xde9f5e0e, "rt2x00lib_dmadone" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x6bdfdbf3, "__skb_pad" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x10cbcb8, "rt2x00queue_for_each_entry" },
	{ 0xbee9d7dd, "usb_kill_urb" },
	{ 0x78ad16b1, "rt2x00queue_get_entry" },
	{ 0x1b7794eb, "rt2x00queue_stop_queue" },
	{ 0x3302b75d, "rt2x00queue_flush_queue" },
	{ 0xc3337633, "rt2x00queue_start_queue" },
	{ 0xe5210757, "rt2x00lib_txdone_noinfo" },
	{ 0x167e1525, "rt2x00lib_rxdone" },
	{ 0xe4a96494, "rt2x00lib_suspend" },
	{ 0x5aaf914e, "rt2x00lib_resume" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x14c549c1, "rt2x00lib_remove_dev" },
	{ 0x94941f51, "ieee80211_free_hw" },
	{ 0x65045172, "usb_put_dev" },
	{ 0x93a969e0, "usb_get_dev" },
	{ 0xd56b1364, "usb_reset_device" },
	{ 0x76632993, "ieee80211_alloc_hw_nm" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x87c1f125, "rt2x00lib_probe_dev" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rt2x00lib,mac80211");


MODULE_INFO(srcversion, "6F447F82018DD206728E438");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
