#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtl8723_dm_init_dynamic_txpower, "_gpl", "");
KSYMTAB_FUNC(rtl8723_dm_init_edca_turbo, "_gpl", "");
KSYMTAB_FUNC(rtl8723_dm_init_dynamic_bb_powersaving, "_gpl", "");
KSYMTAB_FUNC(rtl8723_enable_fw_download, "_gpl", "");
KSYMTAB_FUNC(rtl8723_write_fw, "_gpl", "");
KSYMTAB_FUNC(rtl8723ae_firmware_selfreset, "_gpl", "");
KSYMTAB_FUNC(rtl8723be_firmware_selfreset, "_gpl", "");
KSYMTAB_FUNC(rtl8723_fw_free_to_go, "_gpl", "");
KSYMTAB_FUNC(rtl8723_download_fw, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_query_bb_reg, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_set_bb_reg, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_calculate_bit_shift, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_rf_serial_read, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_rf_serial_write, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_txpwr_idx_to_dbm, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_init_bb_rf_reg_def, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_set_sw_chnl_cmdarray, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_a_fill_iqk_matrix, "_gpl", "");
KSYMTAB_FUNC(rtl8723_save_adda_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_save_mac_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_reload_adda_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_reload_mac_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_adda_on, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_mac_setting_calibration, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_a_standby, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_pi_mode_switch, "_gpl", "");

SYMBOL_CRC(rtl8723_dm_init_dynamic_txpower, 0xa83479d8, "_gpl");
SYMBOL_CRC(rtl8723_dm_init_edca_turbo, 0xa89bd0aa, "_gpl");
SYMBOL_CRC(rtl8723_dm_init_dynamic_bb_powersaving, 0x5c830bbd, "_gpl");
SYMBOL_CRC(rtl8723_enable_fw_download, 0x9630eef4, "_gpl");
SYMBOL_CRC(rtl8723_write_fw, 0x1a9b068e, "_gpl");
SYMBOL_CRC(rtl8723ae_firmware_selfreset, 0x42fb9694, "_gpl");
SYMBOL_CRC(rtl8723be_firmware_selfreset, 0x8490a119, "_gpl");
SYMBOL_CRC(rtl8723_fw_free_to_go, 0x156b8727, "_gpl");
SYMBOL_CRC(rtl8723_download_fw, 0x3a7712a7, "_gpl");
SYMBOL_CRC(rtl8723_phy_query_bb_reg, 0x0474ad00, "_gpl");
SYMBOL_CRC(rtl8723_phy_set_bb_reg, 0x1720a60c, "_gpl");
SYMBOL_CRC(rtl8723_phy_calculate_bit_shift, 0x3f5bf9c0, "_gpl");
SYMBOL_CRC(rtl8723_phy_rf_serial_read, 0xa6223130, "_gpl");
SYMBOL_CRC(rtl8723_phy_rf_serial_write, 0x3e56b45d, "_gpl");
SYMBOL_CRC(rtl8723_phy_txpwr_idx_to_dbm, 0x5310aa3d, "_gpl");
SYMBOL_CRC(rtl8723_phy_init_bb_rf_reg_def, 0x7ab646c7, "_gpl");
SYMBOL_CRC(rtl8723_phy_set_sw_chnl_cmdarray, 0x8baf8913, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_a_fill_iqk_matrix, 0x23d0601f, "_gpl");
SYMBOL_CRC(rtl8723_save_adda_registers, 0x8be7b908, "_gpl");
SYMBOL_CRC(rtl8723_phy_save_mac_registers, 0xffe205a9, "_gpl");
SYMBOL_CRC(rtl8723_phy_reload_adda_registers, 0x1e4e2ed3, "_gpl");
SYMBOL_CRC(rtl8723_phy_reload_mac_registers, 0x595ee12b, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_adda_on, 0x3651540a, "_gpl");
SYMBOL_CRC(rtl8723_phy_mac_setting_calibration, 0xfb7cb9a1, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_a_standby, 0x022ac420, "_gpl");
SYMBOL_CRC(rtl8723_phy_pi_mode_switch, 0x0aa1af46, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe9c9f5c3, "_rtl_dbg_print" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7a3d91a5, "rtl_fw_page_write" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "9B59906A38860FB3044ECBC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
