#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_sdio_pm_ops, "", "");
KSYMTAB_FUNC(rtw_sdio_probe, "", "");
KSYMTAB_FUNC(rtw_sdio_remove, "", "");
KSYMTAB_FUNC(rtw_sdio_shutdown, "", "");

SYMBOL_CRC(rtw_sdio_pm_ops, 0x5f158685, "");
SYMBOL_CRC(rtw_sdio_probe, 0xde8aacb9, "");
SYMBOL_CRC(rtw_sdio_remove, 0x72f12dd0, "");
SYMBOL_CRC(rtw_sdio_shutdown, 0x14a062fa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb18ebf0b, "rtw_tx_report_enqueue" },
	{ 0x7e256454, "sdio_release_host" },
	{ 0xf469f131, "rtw_tx_queue_mapping" },
	{ 0x9732f1d8, "sdio_disable_func" },
	{ 0x944d0232, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x393e67ed, "skb_put" },
	{ 0x768bcd27, "sdio_claim_host" },
	{ 0x3251f2d3, "sdio_memcpy_fromio" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x94941f51, "ieee80211_free_hw" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xb71c5c3c, "sdio_memcpy_toio" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb23c920b, "skb_queue_purge_reason" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xec937a9e, "sdio_align_size" },
	{ 0x21d4d79c, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8eb60ecb, "sdio_release_irq" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0x35bec575, "sdio_set_host_pm_flags" },
	{ 0xf04c66ce, "rtw_chip_info_setup" },
	{ 0x188ff420, "rtw_unregister_hw" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x80afd5c4, "rtw_tx_fill_tx_desc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8989f82e, "skb_push" },
	{ 0x1eb3e315, "rtw_core_init" },
	{ 0x8e2a365e, "sdio_readl" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x76632993, "ieee80211_alloc_hw_nm" },
	{ 0x4c4b11c6, "rtw_tx_write_data_rsvd_page_get" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xf1374ac5, "sdio_writel" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0xe7b0c315, "rtw_rx_stats" },
	{ 0x82527fa0, "rtw_register_hw" },
	{ 0x8c7627de, "rtw_core_deinit" },
	{ 0xf17cb1ea, "rtw_ops" },
	{ 0x90308de, "sdio_claim_irq" },
	{ 0xd53b1360, "skb_copy_header" },
	{ 0xf022cfb8, "sdio_enable_func" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0x28067522, "rtw_power_mode_change" },
	{ 0x8c6fc79d, "rtw_tx_write_data_h2c_get" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x7fd48bde, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x79bdbda0, "ieee80211_rx_irqsafe" },
	{ 0x5cafcba8, "skb_queue_head" },
	{ 0xc62e64b8, "sdio_readb" },
	{ 0x67073251, "sdio_writeb" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mmc_core,mac80211");


MODULE_INFO(srcversion, "027487F45BCB78362047A59");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
