#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xededaaae, "wl1271_tx_min_rate_get" },
	{ 0x828dd1f0, "wl1271_cmd_send" },
	{ 0xeef4bff3, "platform_driver_unregister" },
	{ 0x7edb081f, "wlcore_event_roc_complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x596fcca, "wlcore_scan_sched_scan_ssid_list" },
	{ 0x6078c25b, "wlcore_translate_addr" },
	{ 0xa3d65d5a, "wlcore_boot_run_firmware" },
	{ 0x8ee12911, "wlcore_set_scan_chan_params" },
	{ 0xfe7820de, "wl1271_debugfs_update_stats" },
	{ 0x2e60bace, "memcpy" },
	{ 0xc1db71fa, "wl1271_format_buffer" },
	{ 0x49bffa95, "wlcore_tx_complete" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3af65296, "wlcore_free_hw" },
	{ 0xf79aa227, "wlcore_event_soft_gemini_sense" },
	{ 0x3775a7de, "wlcore_scan_sched_scan_results" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xa6967cd7, "wlcore_event_max_tx_failure" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xca5c9e7f, "wlcore_remove" },
	{ 0xb8b554d7, "wlcore_disable_interrupts" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbba938c8, "wlcore_event_channel_switch" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xdb7c5566, "ieee80211_queue_delayed_work" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8b065251, "simple_open" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x699e1f73, "wl1271_cmd_test" },
	{ 0xbc60da16, "wlcore_enable_interrupts" },
	{ 0xa688b71d, "wlcore_set_partition" },
	{ 0xb5ccda70, "wl1271_acx_sleep_auth" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xe537a97f, "wlcore_boot_upload_firmware" },
	{ 0x749c817c, "wlcore_event_sched_scan_completed" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xf44cc089, "wl12xx_acx_mem_cfg" },
	{ 0x2742cf11, "wl1271_cmd_data_path" },
	{ 0xcfbd2b4d, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6155e88f, "wl1271_cmd_configure" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa81363f6, "__platform_driver_register" },
	{ 0xba94b083, "wl1271_acx_set_ht_capabilities" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x9d80e1b3, "wlcore_alloc_hw" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xee5d0132, "wlcore_probe" },
	{ 0xe3b218ba, "wlcore_cmd_wait_for_event_or_timeout" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x245972f9, "wlcore_event_rssi_trigger" },
	{ 0x6038fb19, "wlcore_calc_packet_alignment" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd295b98c, "wl1271_acx_pm_config" },
	{ 0xa4b94b16, "wlcore_event_ba_rx_constraint" },
	{ 0x15db923b, "wlcore_event_inactive_sta" },
	{ 0x4d4ea75b, "wlcore_event_dummy_packet" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xa53a0256, "wlcore_event_beacon_loss" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0x40ad4d97, "generic_file_llseek" },
	{ 0x266077e5, "wl1271_acx_init_mem_config" },
	{ 0x17122568, "wlcore_set_key" },
	{ 0x6d3b27e, "wl12xx_debug_level" },
	{ 0x9c3ff9cd, "wlcore_boot_upload_nvs" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xbd1b6ea7, "wl12xx_cmd_build_probe_req" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "wlcore,mac80211");

MODULE_ALIAS("platform:wl12xx");

MODULE_INFO(srcversion, "28638E379495466AE9EF17E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
