#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x6a440ba5, "");
SYMBOL_CRC(ndlc_close, 0x92afa0fd, "");
SYMBOL_CRC(ndlc_send, 0xfe689cd6, "");
SYMBOL_CRC(ndlc_recv, 0xfac97f42, "");
SYMBOL_CRC(ndlc_probe, 0xacc4e23b, "");
SYMBOL_CRC(ndlc_remove, 0x09f87eb8, "");
SYMBOL_CRC(st_nci_probe, 0xd0d2e79c, "_gpl");
SYMBOL_CRC(st_nci_remove, 0xd85a3a6a, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x4cf79075, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x97642287, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x1473cea7, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0xdf379e09, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0xbe963e7b, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0x26385457, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x4f268e52, "");
SYMBOL_CRC(st_nci_se_init, 0x3e205dd7, "");
SYMBOL_CRC(st_nci_se_deinit, 0xc73620bf, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x400afbea, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeafcd7de, "nci_free_device" },
	{ 0x1571f5f3, "nci_allocate_device" },
	{ 0xe445fee, "nci_register_device" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x7c72c62a, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc2d04d76, "nfc_add_se" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb929b1a4, "nfc_remove_se" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb23c920b, "skb_queue_purge_reason" },
	{ 0x7e32556b, "nci_nfcee_mode_set" },
	{ 0x4ddf7fde, "nci_hci_get_param" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xd8410701, "nfc_se_transaction" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xf2659707, "skb_pull" },
	{ 0x1192da5b, "nci_hci_connect_gate" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x8989f82e, "skb_push" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x8b745df7, "nci_prop_cmd" },
	{ 0x9e8ccea7, "nci_core_conn_create" },
	{ 0x8f7d9c2a, "nci_nfcc_loopback" },
	{ 0x65e11ab7, "nci_unregister_device" },
	{ 0xf9a315c8, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x87f00c8b, "nci_hci_send_event" },
	{ 0x26df3617, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe3a2e673, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x393a292a, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4f6cc57e, "nfc_vendor_cmd_reply" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xe19bde85, "nci_recv_frame" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6ecd4ee3, "nci_hci_dev_session_init" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xb85d0ff0, "nci_hci_set_param" },
	{ 0xe2ba3e81, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5cafcba8, "skb_queue_head" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "nci,nfc");


MODULE_INFO(srcversion, "792C94CF5E39EBB0DCF6263");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
