#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(st21nfca_hci_probe, "", "");
KSYMTAB_FUNC(st21nfca_hci_remove, "", "");
KSYMTAB_FUNC(st21nfca_tm_send_dep_res, "", "");
KSYMTAB_FUNC(st21nfca_dep_event_received, "", "");
KSYMTAB_FUNC(st21nfca_im_send_atr_req, "", "");
KSYMTAB_FUNC(st21nfca_im_send_dep_req, "", "");
KSYMTAB_FUNC(st21nfca_dep_init, "", "");
KSYMTAB_FUNC(st21nfca_dep_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_discover_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_enable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_disable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_se_io, "", "");
KSYMTAB_FUNC(st21nfca_connectivity_event_received, "", "");
KSYMTAB_FUNC(st21nfca_apdu_reader_event_received, "", "");
KSYMTAB_FUNC(st21nfca_se_init, "", "");
KSYMTAB_FUNC(st21nfca_se_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_loopback_event_received, "", "");
KSYMTAB_FUNC(st21nfca_vendor_cmds_init, "", "");

SYMBOL_CRC(st21nfca_hci_probe, 0x729c85bd, "");
SYMBOL_CRC(st21nfca_hci_remove, 0x2f51503d, "");
SYMBOL_CRC(st21nfca_tm_send_dep_res, 0x4ccb2da7, "");
SYMBOL_CRC(st21nfca_dep_event_received, 0x0ac4215a, "");
SYMBOL_CRC(st21nfca_im_send_atr_req, 0x716b321e, "");
SYMBOL_CRC(st21nfca_im_send_dep_req, 0xce21d997, "");
SYMBOL_CRC(st21nfca_dep_init, 0xe4fced1c, "");
SYMBOL_CRC(st21nfca_dep_deinit, 0x3996ef95, "");
SYMBOL_CRC(st21nfca_hci_discover_se, 0x67a1265b, "");
SYMBOL_CRC(st21nfca_hci_enable_se, 0x9a09ddfb, "");
SYMBOL_CRC(st21nfca_hci_disable_se, 0x4b807f30, "");
SYMBOL_CRC(st21nfca_hci_se_io, 0x8cff0b1c, "");
SYMBOL_CRC(st21nfca_connectivity_event_received, 0xc550f51d, "");
SYMBOL_CRC(st21nfca_apdu_reader_event_received, 0x0b53bf80, "");
SYMBOL_CRC(st21nfca_se_init, 0x8e0093df, "");
SYMBOL_CRC(st21nfca_se_deinit, 0x6efc5ddf, "");
SYMBOL_CRC(st21nfca_hci_loopback_event_received, 0xc6a3f9b1, "");
SYMBOL_CRC(st21nfca_vendor_cmds_init, 0xf6556baa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcca1ead7, "nfc_hci_set_clientdata" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x7c72c62a, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x393e67ed, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf469d3aa, "nfc_hci_get_param" },
	{ 0x80334b0a, "nfc_hci_send_cmd_async" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc2d04d76, "nfc_add_se" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xebaadf15, "nfc_llc_stop" },
	{ 0xd04ef4e5, "nfc_hci_connect_gate" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5533afc8, "nfc_tm_data_received" },
	{ 0xb929b1a4, "nfc_remove_se" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xc9b228eb, "nfc_hci_unregister_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd231c55, "nfc_hci_sak_to_protocol" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0x8f108d5e, "nfc_llc_start" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xf97a5e30, "nfc_hci_free_device" },
	{ 0xd8410701, "nfc_se_transaction" },
	{ 0x2c9ddd35, "nfc_get_local_general_bytes" },
	{ 0xd5672c97, "nfc_hci_register_device" },
	{ 0x8a2475ad, "nfc_set_remote_general_bytes" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xf2659707, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x8d1cdbbe, "nfc_hci_send_cmd" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xf4517313, "nfc_hci_get_clientdata" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x6b3945ea, "nfc_tm_activated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f405a78, "nfc_hci_allocate_device" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe3a2e673, "nfc_se_connectivity" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4f6cc57e, "nfc_vendor_cmd_reply" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5faa1154, "nfc_hci_set_param" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x57b9bee8, "nfc_dep_link_is_up" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x5ba1de06, "nfc_hci_send_event" },
	{ 0xd418836a, "nfc_hci_disconnect_all_gates" },
	{ 0xbce242eb, "nfc_hci_disconnect_gate" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "hci,nfc");


MODULE_INFO(srcversion, "9B46D0A65CE1543A3EC9F57");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
