#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x5424dc03, "");
SYMBOL_CRC(ntb_unregister_client, 0xb7fc7172, "");
SYMBOL_CRC(ntb_register_device, 0xa68a78cb, "");
SYMBOL_CRC(ntb_unregister_device, 0xfabeb9d7, "");
SYMBOL_CRC(ntb_set_ctx, 0x8c175e7f, "");
SYMBOL_CRC(ntb_clear_ctx, 0x3230bf9b, "");
SYMBOL_CRC(ntb_link_event, 0x5271cb14, "");
SYMBOL_CRC(ntb_db_event, 0xd7b0a429, "");
SYMBOL_CRC(ntb_msg_event, 0x4d394cb1, "");
SYMBOL_CRC(ntb_default_port_number, 0x4cba2b30, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0xbfaab18e, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x70124309, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x31ca53c3, "");
SYMBOL_CRC(ntb_msi_init, 0x84501b2f, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x955ce20d, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x839d015d, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0x59673e4f, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0x6856ab83, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x370bc89f, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0xa90afa5f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x17ab3fc5, "devm_request_threaded_irq" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x401bd4ea, "devm_iounmap" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7c7357e0, "devres_destroy" },
	{ 0xbf87e286, "msi_unlock_descs" },
	{ 0x3188fec5, "devm_ioremap" },
	{ 0xca6f58f5, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb0f5ace9, "msi_lock_descs" },
	{ 0xb5fd58f0, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb79f2512, "put_device" },
	{ 0xa8a003da, "devm_free_irq" },
	{ 0x176adec5, "bus_unregister" },
	{ 0xcde807b1, "devm_kfree" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x18d6b3d7, "irq_get_irq_data" },
	{ 0x11f5d7f7, "__devres_alloc_node" },
	{ 0x878c572e, "driver_unregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa553b00, "device_register" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf339331b, "msi_domain_first_desc" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x720d977, "msi_next_desc" },
	{ 0x52b57bd3, "driver_register" },
	{ 0x26e6d188, "bus_register" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B51C723BE41A2FD33E1D75");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
