#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_namespace_attach_btt, "", "");
KSYMTAB_FUNC(nvdimm_namespace_detach_btt, "", "");

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0xa844b06e, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0xc32c8a92, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7281d86b, "bio_integrity_prep" },
	{ 0xd0855796, "__blk_alloc_disk" },
	{ 0x20ec3562, "blk_queue_logical_block_size" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x8f31b402, "device_add_disk" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x7ee38500, "devm_namespace_enable" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x877381b6, "debugfs_create_u16" },
	{ 0xd89566ba, "to_nd_region" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0x75e23f4c, "nd_btt_arena_is_valid" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb06ae8d6, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xcc07b713, "put_disk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbac064c8, "debugfs_create_x64" },
	{ 0x91f20d14, "blk_queue_flag_set" },
	{ 0x20495c2d, "nd_dev_to_uuid" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xbb8cf3cf, "bio_start_io_acct" },
	{ 0x5a9dfbf0, "__kmap_local_page_prot" },
	{ 0xe5ac90a5, "bio_endio" },
	{ 0x79e7d3a4, "nd_region_release_lane" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8536cab9, "set_capacity" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x9b1a2b68, "del_gendisk" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xfecbefff, "to_nd_btt" },
	{ 0xce20e3c1, "nd_region_acquire_lane" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x59a9bd83, "debugfs_create_u32" },
	{ 0x6030e9eb, "nvdimm_namespace_disk_name" },
	{ 0xfca995b0, "debugfs_create_x32" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe1d574ec, "nvdimm_namespace_capacity" },
	{ 0x5f0a250a, "nd_integrity_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0x19daaae, "nvdimm_check_and_set_ro" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6bc7ce34, "badblocks_check" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xcddce0cc, "nd_btt_version" },
	{ 0x15a2b494, "blk_queue_max_hw_sectors" },
	{ 0x135828b9, "page_address" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");


MODULE_INFO(srcversion, "F7B5C80D55E2E8890B49C4E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
