#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_should_fail, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x8825be28, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x2365a3d2, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x24d4fd9f, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x01e9d494, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x8dae03fc, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xb1fa2ba5, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x9f964e79, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x3d603a3a, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xd1b94eaa, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xff2421a4, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x20bb825e, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x62a5ffa5, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x0a8d2255, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xeb5af9c6, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x9a079d0f, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x96558067, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x363e938b, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x7cd569fa, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x52641832, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0xb3774f41, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x1048de94, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x82efb6e3, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xf5787b73, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0xf6de6eb4, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xdfd7720f, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x7ac1a632, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x5364cd3b, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x528e1e86, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x27523a37, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xdf549062, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x67395e3a, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x2505c6d7, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x2bcf5339, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x55819628, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xc03c4bce, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x0ae2cc9a, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x0dcdd280, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x1013ee00, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xc8582622, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x3ba0674c, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xb0fda41e, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x8ddc0709, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x56d2488c, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0xa2cf981b, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xfd3e0e43, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x14e3f39c, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x8ee13812, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xcdc219c2, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xc9610c94, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x04309af6, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x2cba2614, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x6563b8a0, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x9ce45048, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xde0440b0, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x27fcbedb, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x58d0f28d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x61fd3a5b, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0xe2537bdd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe31bb342, "set_capacity_and_notify" },
	{ 0x9ad0d764, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x712c1d93, "set_disk_ro" },
	{ 0xd0855796, "__blk_alloc_disk" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x91b73d45, "blk_integrity_register" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x9328bb3, "device_remove_file_self" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0x1fd2c5ba, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x20ec3562, "blk_queue_logical_block_size" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc178387e, "dev_set_name" },
	{ 0x832b6313, "ext_pi_type3_crc64" },
	{ 0x9cb7a9ca, "bio_split_to_limits" },
	{ 0xb39c7cf9, "trace_seq_printf" },
	{ 0x9a680cd5, "disk_update_readahead" },
	{ 0x606f2276, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x8f31b402, "device_add_disk" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x66838587, "blk_mq_tagset_wait_completed_request" },
	{ 0xb4a9b092, "cdev_device_del" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3a5258a4, "class_destroy" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7e02d52c, "should_fail" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0xa2818d8c, "blk_mq_unquiesce_queue" },
	{ 0x7bf09cd8, "t10_pi_type1_crc" },
	{ 0x5f5f8bcb, "blk_queue_dma_alignment" },
	{ 0x9341809d, "blk_mq_quiesce_queue" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0xc10e646e, "ext_pi_type1_crc64" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x6a99542c, "blk_queue_write_cache" },
	{ 0x563952a3, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf5c5bbf9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb6a721b8, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x39ed406e, "synchronize_srcu" },
	{ 0xa9140983, "param_ops_byte" },
	{ 0xca6f58f5, "get_device" },
	{ 0xced423ab, "blk_mq_end_request" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc89f56ae, "__blk_mq_alloc_disk" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xb8f75a3, "node_states" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x72c0e70c, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcc3f98a4, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x294e8256, "blk_mq_alloc_tag_set" },
	{ 0xb7829b4c, "blk_rq_is_poll" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0x45ff8535, "trace_seq_putc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xcc07b713, "put_disk" },
	{ 0x2ddf84ad, "cdev_device_add" },
	{ 0x9bf83535, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xfa89f41a, "blk_queue_physical_block_size" },
	{ 0x25bd3c66, "blk_execute_rq" },
	{ 0xb79f2512, "put_device" },
	{ 0x2ad4d034, "blk_mq_unquiesce_tagset" },
	{ 0x4fe4c2a8, "blk_queue_max_zone_append_sectors" },
	{ 0x738803e6, "strnlen" },
	{ 0xf531cff3, "kmalloc_node_trace" },
	{ 0x91f20d14, "blk_queue_flag_set" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6c4c3dd6, "blk_mq_free_request" },
	{ 0x924b2fc9, "disk_set_zoned" },
	{ 0x618911fc, "numa_node" },
	{ 0xf23a1a3b, "__free_pages" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xd1069e9d, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x78b5b683, "module_put" },
	{ 0x37f1aa51, "sysfs_create_link" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x36383dd3, "t10_pi_type3_crc" },
	{ 0xdc70c58f, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x7bcbe59, "blk_mq_quiesce_tagset" },
	{ 0x4f9a6537, "kobject_uevent_env" },
	{ 0xe5ac90a5, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x55580f0b, "init_srcu_struct" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0x5af8e078, "down_write" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x4e615d23, "blk_revalidate_disk_zones" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x684a2aa7, "debugfs_create_bool" },
	{ 0xa972f676, "device_add" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x35ea2da4, "blk_rq_map_user_io" },
	{ 0xdf627054, "sysfs_remove_link" },
	{ 0xb1e66f90, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x6893b88c, "__srcu_read_lock" },
	{ 0x814d0de8, "hwmon_device_register_with_info" },
	{ 0x8536cab9, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x388d6662, "submit_bio_noacct" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xf29300b1, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x80ecab71, "blk_sync_queue" },
	{ 0xed6dd29b, "bdev_start_io_acct" },
	{ 0x1dda876, "bio_integrity_add_page" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0x8af7c5d6, "blk_mq_alloc_request_hctx" },
	{ 0xd2373f68, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x5d258e18, "blk_mq_free_tag_set" },
	{ 0x9b1a2b68, "del_gendisk" },
	{ 0xa5fa447f, "blk_queue_max_discard_sectors" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x23247866, "cleanup_srcu_struct" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x527ec3d9, "bio_integrity_alloc" },
	{ 0xa67ae24f, "blk_queue_max_discard_segments" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x52abfdbe, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x10aa36d, "blk_put_queue" },
	{ 0x39887690, "bpf_trace_run1" },
	{ 0x7ce71b17, "device_del" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xe751b37b, "blk_mq_wait_quiesce_done" },
	{ 0xcfbd2b4d, "param_ops_charp" },
	{ 0x6c2c298d, "blk_queue_max_segments" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf8cc82c2, "io_uring_cmd_do_in_task_lazy" },
	{ 0x143f633e, "blk_mq_init_queue" },
	{ 0x2273a985, "debugfs_create_x16" },
	{ 0xdd4cf813, "io_uring_cmd_done" },
	{ 0x9df1802b, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x77af67c, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x745a981, "xa_erase" },
	{ 0x22391572, "bpf_trace_run3" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x360d1407, "blk_queue_virt_boundary" },
	{ 0xeea0399, "strscpy" },
	{ 0x4e6bb2a1, "blk_mq_complete_request" },
	{ 0xe31fc7e8, "blk_queue_chunk_sectors" },
	{ 0xda14165b, "blk_queue_max_write_zeroes_sectors" },
	{ 0x36f59e6c, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x51a3614f, "blk_mq_destroy_queue" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xf7e3600b, "blk_freeze_queue_start" },
	{ 0xbbc26413, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x7bf2bf9d, "alloc_pages" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2ccb56cb, "__tracepoint_block_bio_complete" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8330ce8d, "blk_queue_io_min" },
	{ 0x6d15e48d, "__srcu_read_unlock" },
	{ 0xf6811ddb, "hwmon_device_unregister" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0x987660c2, "blk_mq_unfreeze_queue" },
	{ 0x8dce4fb2, "blk_mq_tagset_busy_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x4cfb26d1, "blk_rq_map_user_iov" },
	{ 0xfffd62dc, "setup_fault_attr" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x15a2b494, "blk_queue_max_hw_sectors" },
	{ 0x135828b9, "page_address" },
	{ 0x7281233a, "blk_mark_disk_dead" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7beb8be, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xed5b654, "blk_mq_freeze_queue_wait" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0x806980ca, "fault_create_debugfs_attr" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xee2b4ddc, "blk_queue_io_opt" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0xc63022d8, "blk_mq_requeue_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xec530739, "cdev_init" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcd6cf148, "bdev_end_io_acct" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x52a5ed27, "blk_steal_bios" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "t10-pi");


MODULE_INFO(srcversion, "61FFF7142914878B5297347");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
