#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0xcce044e3, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0x586a316b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xf76987b2, "wmi_evaluate_method" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf7e56b63, "wmi_get_event_data" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0xa3bc1f14, "sysfs_notify" },
	{ 0xf52ed9e4, "__platform_create_bundle" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf175b0cc, "device_remove_file" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1bd4060f, "device_create_file" },
	{ 0x89ba77c3, "single_open" },
	{ 0xfe4739d, "seq_printf" },
	{ 0x710174ef, "platform_device_unregister" },
	{ 0xeef4bff3, "platform_driver_unregister" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2e60bace, "memcpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x29a45e5f, "input_set_capability" },
	{ 0x86f82cd2, "input_event" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x10bc2661, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0x34b57973, "sparse_keymap_report_event" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xb9dcb173, "backlight_force_update" },
	{ 0xf78a9ee1, "led_classdev_notify_brightness_hw_changed" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x3ccd8f1c, "pci_find_bus" },
	{ 0x957eb362, "pci_bus_read_config_dword" },
	{ 0x3181fa21, "pci_get_slot" },
	{ 0x4152c0ae, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0xf9ee90d4, "pci_stop_and_remove_bus_device" },
	{ 0x3de23429, "pci_scan_single_device" },
	{ 0x8ecd37f7, "pci_bus_assign_resources" },
	{ 0xbc885f5b, "pci_bus_add_device" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x8cad0903, "pci_hp_deregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0x810ba849, "backlight_device_unregister" },
	{ 0xd004a1e6, "input_unregister_device" },
	{ 0xfaf6246d, "led_classdev_unregister" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x3136e047, "sysfs_remove_group" },
	{ 0x88627bf2, "battery_hook_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x65b4695, "wmi_get_acpi_device_uid" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0x26686045, "sysfs_create_group" },
	{ 0x9695cb64, "input_allocate_device" },
	{ 0xac0ce7bc, "sparse_keymap_setup" },
	{ 0x14669ace, "input_register_device" },
	{ 0xbf43034b, "devm_hwmon_device_register_with_groups" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4b4d5cf9, "led_classdev_register_ext" },
	{ 0x20eaa751, "input_free_device" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf18bdd75, "wmi_install_notify_handler" },
	{ 0x8304feb2, "battery_hook_register" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0xfca995b0, "debugfs_create_x32" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0xce593c22, "ledtrig_audio_get" },
	{ 0x47a65ee4, "__pci_hp_register" },
	{ 0x1c5f3e93, "pci_get_device" },
	{ 0x77db385a, "pci_read_config_dword" },
	{ 0xf29c35e6, "pci_write_config_dword" },
	{ 0xbe8db914, "backlight_device_register" },
	{ 0x50888233, "seq_lseek" },
	{ 0xe2fd670b, "seq_read" },
	{ 0x88d47c17, "single_release" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "wmi,platform_profile,rfkill,video,sparse-keymap,battery,ledtrig-audio");


MODULE_INFO(srcversion, "E7D5CEDA324B8232DF7EEC7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
