#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(scsi_logging_level, "", "");
KSYMTAB_FUNC(scsi_change_queue_depth, "", "");
KSYMTAB_FUNC(scsi_track_queue_full, "", "");
KSYMTAB_FUNC(scsi_get_vpd_page, "_gpl", "");
KSYMTAB_FUNC(scsi_report_opcode, "", "");
KSYMTAB_FUNC(scsi_device_get, "", "");
KSYMTAB_FUNC(scsi_device_put, "", "");
KSYMTAB_FUNC(__scsi_iterate_devices, "", "");
KSYMTAB_FUNC(starget_for_each_device, "", "");
KSYMTAB_FUNC(__starget_for_each_device, "", "");
KSYMTAB_FUNC(__scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(__scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_remove_host, "", "");
KSYMTAB_FUNC(scsi_add_host_with_dma, "", "");
KSYMTAB_FUNC(scsi_host_alloc, "", "");
KSYMTAB_FUNC(scsi_host_lookup, "", "");
KSYMTAB_FUNC(scsi_host_get, "", "");
KSYMTAB_FUNC(scsi_host_busy, "", "");
KSYMTAB_FUNC(scsi_host_put, "", "");
KSYMTAB_FUNC(scsi_is_host_device, "", "");
KSYMTAB_FUNC(scsi_queue_work, "_gpl", "");
KSYMTAB_FUNC(scsi_flush_work, "_gpl", "");
KSYMTAB_FUNC(scsi_host_complete_all_commands, "_gpl", "");
KSYMTAB_FUNC(scsi_host_busy_iter, "_gpl", "");
KSYMTAB_FUNC(scsi_set_medium_removal, "", "");
KSYMTAB_FUNC(scsi_cmd_allowed, "", "");
KSYMTAB_FUNC(put_sg_io_hdr, "", "");
KSYMTAB_FUNC(get_sg_io_hdr, "", "");
KSYMTAB_FUNC(scsi_ioctl, "", "");
KSYMTAB_FUNC(scsi_ioctl_block_when_processing_errors, "_gpl", "");
KSYMTAB_FUNC(scsi_bios_ptable, "", "");
KSYMTAB_FUNC(scsi_partsize, "", "");
KSYMTAB_FUNC(scsicam_bios_param, "", "");
KSYMTAB_FUNC(scsi_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(scsi_block_when_processing_errors, "", "");
KSYMTAB_FUNC(scsi_check_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_prep_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_restore_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_finish_cmd, "", "");
KSYMTAB_FUNC(scsi_eh_get_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_ready_devs, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_flush_done_q, "", "");
KSYMTAB_FUNC(scsi_report_bus_reset, "", "");
KSYMTAB_FUNC(scsi_report_device_reset, "", "");
KSYMTAB_FUNC(scsi_command_normalize_sense, "", "");
KSYMTAB_FUNC(scsi_get_sense_info_fld, "", "");
KSYMTAB_FUNC(scsi_execute_cmd, "", "");
KSYMTAB_FUNC(scsi_free_sgtables, "_gpl", "");
KSYMTAB_FUNC(scsi_alloc_sgtables, "", "");
KSYMTAB_FUNC(scsi_alloc_request, "_gpl", "");
KSYMTAB_FUNC(scsi_done, "", "");
KSYMTAB_FUNC(scsi_done_direct, "", "");
KSYMTAB_FUNC(__scsi_init_queue, "_gpl", "");
KSYMTAB_FUNC(scsi_device_from_queue, "_gpl", "");
KSYMTAB_FUNC(scsi_block_requests, "", "");
KSYMTAB_FUNC(scsi_unblock_requests, "", "");
KSYMTAB_FUNC(scsi_mode_select, "_gpl", "");
KSYMTAB_FUNC(scsi_mode_sense, "", "");
KSYMTAB_FUNC(scsi_test_unit_ready, "", "");
KSYMTAB_FUNC(scsi_device_set_state, "", "");
KSYMTAB_FUNC(sdev_evt_send, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_alloc, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_send_simple, "_gpl", "");
KSYMTAB_FUNC(scsi_device_quiesce, "", "");
KSYMTAB_FUNC(scsi_device_resume, "", "");
KSYMTAB_FUNC(scsi_target_quiesce, "", "");
KSYMTAB_FUNC(scsi_target_resume, "", "");
KSYMTAB_FUNC(scsi_internal_device_block_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_internal_device_unblock_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_block_targets, "_gpl", "");
KSYMTAB_FUNC(scsi_target_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_host_block, "_gpl", "");
KSYMTAB_FUNC(scsi_host_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_kmap_atomic_sg, "", "");
KSYMTAB_FUNC(scsi_kunmap_atomic_sg, "", "");
KSYMTAB_FUNC(sdev_disable_disk_events, "", "");
KSYMTAB_FUNC(sdev_enable_disk_events, "", "");
KSYMTAB_FUNC(scsi_vpd_lun_id, "", "");
KSYMTAB_FUNC(scsi_vpd_tpg_id, "", "");
KSYMTAB_FUNC(scsi_build_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_sense_key_string, "", "");
KSYMTAB_FUNC(scsi_extd_sense_format, "", "");
KSYMTAB_FUNC(scsi_hostbyte_string, "", "");
KSYMTAB_FUNC(scsi_mlreturn_string, "", "");
KSYMTAB_FUNC(scsi_dma_map, "", "");
KSYMTAB_FUNC(scsi_dma_unmap, "", "");
KSYMTAB_FUNC(scsi_is_target_device, "", "");
KSYMTAB_FUNC(scsi_sanitize_inquiry_string, "", "");
KSYMTAB_FUNC(__scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_rescan_device, "", "");
KSYMTAB_FUNC(scsi_scan_target, "", "");
KSYMTAB_FUNC(scsi_scan_host, "", "");
KSYMTAB_FUNC(scsi_remove_device, "", "");
KSYMTAB_FUNC(scsi_remove_target, "", "");
KSYMTAB_FUNC(scsi_register_driver, "", "");
KSYMTAB_FUNC(scsi_register_interface, "", "");
KSYMTAB_FUNC(scsi_is_sdev_device, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_add_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_del_keyed, "", "");
KSYMTAB_FUNC(scsi_get_device_flags_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_add_list, "", "");
KSYMTAB_FUNC(scsi_dev_info_remove_list, "", "");
KSYMTAB_DATA(scsi_nl_sock, "_gpl", "");
KSYMTAB_FUNC(scsi_template_proc_dir, "_gpl", "");
KSYMTAB_FUNC(sdev_prefix_printk, "", "");
KSYMTAB_FUNC(scmd_printk, "", "");
KSYMTAB_FUNC(__scsi_format_command, "", "");
KSYMTAB_FUNC(scsi_print_command, "", "");
KSYMTAB_FUNC(scsi_print_sense_hdr, "", "");
KSYMTAB_FUNC(__scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_result, "", "");
KSYMTAB_FUNC(scsi_autopm_get_device, "_gpl", "");
KSYMTAB_FUNC(scsi_autopm_put_device, "_gpl", "");
KSYMTAB_FUNC(scsi_register_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_unregister_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_activate, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_set_params, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attach, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attached_handler_name, "_gpl", "");

SYMBOL_CRC(scsi_logging_level, 0xaf3dd7dc, "");
SYMBOL_CRC(scsi_change_queue_depth, 0x9d09b1a4, "");
SYMBOL_CRC(scsi_track_queue_full, 0x36b960e8, "");
SYMBOL_CRC(scsi_get_vpd_page, 0x4e16cc05, "_gpl");
SYMBOL_CRC(scsi_report_opcode, 0xda9a5700, "");
SYMBOL_CRC(scsi_device_get, 0xbe3034c8, "");
SYMBOL_CRC(scsi_device_put, 0x7c0df253, "");
SYMBOL_CRC(__scsi_iterate_devices, 0x6c5214bb, "");
SYMBOL_CRC(starget_for_each_device, 0x5b397cfa, "");
SYMBOL_CRC(__starget_for_each_device, 0xfb7a449e, "");
SYMBOL_CRC(__scsi_device_lookup_by_target, 0x7458f6f3, "");
SYMBOL_CRC(scsi_device_lookup_by_target, 0x5f0460f2, "");
SYMBOL_CRC(__scsi_device_lookup, 0x61f4ee91, "");
SYMBOL_CRC(scsi_device_lookup, 0xceeccce8, "");
SYMBOL_CRC(scsi_remove_host, 0xb09ce576, "");
SYMBOL_CRC(scsi_add_host_with_dma, 0x506a8cef, "");
SYMBOL_CRC(scsi_host_alloc, 0x7cb76dfa, "");
SYMBOL_CRC(scsi_host_lookup, 0xab3a4fdc, "");
SYMBOL_CRC(scsi_host_get, 0xa53575a5, "");
SYMBOL_CRC(scsi_host_busy, 0xffa97116, "");
SYMBOL_CRC(scsi_host_put, 0xc277a859, "");
SYMBOL_CRC(scsi_is_host_device, 0xc16a85fd, "");
SYMBOL_CRC(scsi_queue_work, 0x10390d35, "_gpl");
SYMBOL_CRC(scsi_flush_work, 0x1a303fc3, "_gpl");
SYMBOL_CRC(scsi_host_complete_all_commands, 0x5fc9f88a, "_gpl");
SYMBOL_CRC(scsi_host_busy_iter, 0x44b7c048, "_gpl");
SYMBOL_CRC(scsi_set_medium_removal, 0xc1aeb74a, "");
SYMBOL_CRC(scsi_cmd_allowed, 0xeda2e038, "");
SYMBOL_CRC(put_sg_io_hdr, 0x5ec4aee6, "");
SYMBOL_CRC(get_sg_io_hdr, 0x1de4ccb2, "");
SYMBOL_CRC(scsi_ioctl, 0xe3b1ae17, "");
SYMBOL_CRC(scsi_ioctl_block_when_processing_errors, 0x45e32598, "_gpl");
SYMBOL_CRC(scsi_bios_ptable, 0x09e2181e, "");
SYMBOL_CRC(scsi_partsize, 0xdbb84139, "");
SYMBOL_CRC(scsicam_bios_param, 0x4070a588, "");
SYMBOL_CRC(scsi_schedule_eh, 0x3bc91525, "_gpl");
SYMBOL_CRC(scsi_block_when_processing_errors, 0xd0b25aaf, "");
SYMBOL_CRC(scsi_check_sense, 0x543d8198, "_gpl");
SYMBOL_CRC(scsi_eh_prep_cmnd, 0xbe6ebf07, "");
SYMBOL_CRC(scsi_eh_restore_cmnd, 0x3a24c68a, "");
SYMBOL_CRC(scsi_eh_finish_cmd, 0x8242a6a5, "");
SYMBOL_CRC(scsi_eh_get_sense, 0x26c90ea4, "_gpl");
SYMBOL_CRC(scsi_eh_ready_devs, 0x1e703dcb, "_gpl");
SYMBOL_CRC(scsi_eh_flush_done_q, 0xf811e69d, "");
SYMBOL_CRC(scsi_report_bus_reset, 0x400dac95, "");
SYMBOL_CRC(scsi_report_device_reset, 0x4bd453cb, "");
SYMBOL_CRC(scsi_command_normalize_sense, 0xdc8d7753, "");
SYMBOL_CRC(scsi_get_sense_info_fld, 0xdd849d51, "");
SYMBOL_CRC(scsi_execute_cmd, 0x84204839, "");
SYMBOL_CRC(scsi_free_sgtables, 0x9055c1b2, "_gpl");
SYMBOL_CRC(scsi_alloc_sgtables, 0xf8ce1e14, "");
SYMBOL_CRC(scsi_alloc_request, 0xd1bdf17d, "_gpl");
SYMBOL_CRC(scsi_done, 0x15c89212, "");
SYMBOL_CRC(scsi_done_direct, 0xf00b8d68, "");
SYMBOL_CRC(__scsi_init_queue, 0x6b056f57, "_gpl");
SYMBOL_CRC(scsi_device_from_queue, 0xf5191088, "_gpl");
SYMBOL_CRC(scsi_block_requests, 0xe689c28a, "");
SYMBOL_CRC(scsi_unblock_requests, 0x510a8eb0, "");
SYMBOL_CRC(scsi_mode_select, 0xd8cfbdc2, "_gpl");
SYMBOL_CRC(scsi_mode_sense, 0x560b73fe, "");
SYMBOL_CRC(scsi_test_unit_ready, 0xbe00ee47, "");
SYMBOL_CRC(scsi_device_set_state, 0x5d309d51, "");
SYMBOL_CRC(sdev_evt_send, 0x20aba614, "_gpl");
SYMBOL_CRC(sdev_evt_alloc, 0x13ed8784, "_gpl");
SYMBOL_CRC(sdev_evt_send_simple, 0x20dc8060, "_gpl");
SYMBOL_CRC(scsi_device_quiesce, 0xe0364dd8, "");
SYMBOL_CRC(scsi_device_resume, 0xac1e0e5d, "");
SYMBOL_CRC(scsi_target_quiesce, 0x0c1ca829, "");
SYMBOL_CRC(scsi_target_resume, 0xa3f38447, "");
SYMBOL_CRC(scsi_internal_device_block_nowait, 0x8652c4d9, "_gpl");
SYMBOL_CRC(scsi_internal_device_unblock_nowait, 0x3fab784f, "_gpl");
SYMBOL_CRC(scsi_block_targets, 0xd2489636, "_gpl");
SYMBOL_CRC(scsi_target_unblock, 0x1dafdeb5, "_gpl");
SYMBOL_CRC(scsi_host_block, 0xd78efe4e, "_gpl");
SYMBOL_CRC(scsi_host_unblock, 0x1859bdaa, "_gpl");
SYMBOL_CRC(scsi_kmap_atomic_sg, 0xa5bd05c8, "");
SYMBOL_CRC(scsi_kunmap_atomic_sg, 0x56c8799d, "");
SYMBOL_CRC(sdev_disable_disk_events, 0x368f0da9, "");
SYMBOL_CRC(sdev_enable_disk_events, 0x70e3102b, "");
SYMBOL_CRC(scsi_vpd_lun_id, 0x5248cc00, "");
SYMBOL_CRC(scsi_vpd_tpg_id, 0xf7d49cda, "");
SYMBOL_CRC(scsi_build_sense, 0x144459c9, "_gpl");
SYMBOL_CRC(scsi_sense_key_string, 0x96cd2b04, "");
SYMBOL_CRC(scsi_extd_sense_format, 0xd8a994eb, "");
SYMBOL_CRC(scsi_hostbyte_string, 0xb3d2c76d, "");
SYMBOL_CRC(scsi_mlreturn_string, 0xd1d87e92, "");
SYMBOL_CRC(scsi_dma_map, 0x6f55915e, "");
SYMBOL_CRC(scsi_dma_unmap, 0x1bde0617, "");
SYMBOL_CRC(scsi_is_target_device, 0x32d1caac, "");
SYMBOL_CRC(scsi_sanitize_inquiry_string, 0x27756bc8, "");
SYMBOL_CRC(__scsi_add_device, 0x0a827d46, "");
SYMBOL_CRC(scsi_add_device, 0x8d5b2c96, "");
SYMBOL_CRC(scsi_rescan_device, 0x836ec9e1, "");
SYMBOL_CRC(scsi_scan_target, 0x68de5734, "");
SYMBOL_CRC(scsi_scan_host, 0xb6235505, "");
SYMBOL_CRC(scsi_remove_device, 0x68eb0ca2, "");
SYMBOL_CRC(scsi_remove_target, 0x7ca94bdc, "");
SYMBOL_CRC(scsi_register_driver, 0x644b2ed5, "");
SYMBOL_CRC(scsi_register_interface, 0x137b51e6, "");
SYMBOL_CRC(scsi_is_sdev_device, 0x2f90a6db, "");
SYMBOL_CRC(scsi_dev_info_list_add_keyed, 0x2733eaf7, "");
SYMBOL_CRC(scsi_dev_info_list_del_keyed, 0xccfd2ebc, "");
SYMBOL_CRC(scsi_get_device_flags_keyed, 0xecb17ee9, "");
SYMBOL_CRC(scsi_dev_info_add_list, 0x204c5067, "");
SYMBOL_CRC(scsi_dev_info_remove_list, 0x97bdfa60, "");
SYMBOL_CRC(scsi_nl_sock, 0xc6b4c5f9, "_gpl");
SYMBOL_CRC(scsi_template_proc_dir, 0xd454fbd0, "_gpl");
SYMBOL_CRC(sdev_prefix_printk, 0x5f80cfef, "");
SYMBOL_CRC(scmd_printk, 0x878c2c7e, "");
SYMBOL_CRC(__scsi_format_command, 0x418a5367, "");
SYMBOL_CRC(scsi_print_command, 0x41088a03, "");
SYMBOL_CRC(scsi_print_sense_hdr, 0xab411062, "");
SYMBOL_CRC(__scsi_print_sense, 0x49db1d99, "");
SYMBOL_CRC(scsi_print_sense, 0x3dbbb000, "");
SYMBOL_CRC(scsi_print_result, 0xda63153e, "");
SYMBOL_CRC(scsi_autopm_get_device, 0x1c6651ab, "_gpl");
SYMBOL_CRC(scsi_autopm_put_device, 0xaf80837d, "_gpl");
SYMBOL_CRC(scsi_register_device_handler, 0x9f85e4d5, "_gpl");
SYMBOL_CRC(scsi_unregister_device_handler, 0x25889feb, "_gpl");
SYMBOL_CRC(scsi_dh_activate, 0xe8eee4b4, "_gpl");
SYMBOL_CRC(scsi_dh_set_params, 0xefd73ac3, "_gpl");
SYMBOL_CRC(scsi_dh_attach, 0x419668fe, "_gpl");
SYMBOL_CRC(scsi_dh_attached_handler_name, 0x999ed80d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8d32b8ea, "param_ops_ullong" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x49b0de69, "add_disk_randomness" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc178387e, "dev_set_name" },
	{ 0x3afc4a8f, "sbitmap_resize" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x6bf789f1, "proc_create" },
	{ 0xb39c7cf9, "trace_seq_printf" },
	{ 0xc179f20b, "seq_release" },
	{ 0x96d21542, "blk_queue_max_segment_size" },
	{  0x23fd1, "blk_pre_runtime_resume" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x7de1dc52, "transport_remove_device" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe5d097e4, "read_cache_folio" },
	{ 0xc555303f, "sysfs_unbreak_active_protection" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0xa2818d8c, "blk_mq_unquiesce_queue" },
	{ 0x5f5f8bcb, "blk_queue_dma_alignment" },
	{ 0x1cff8eab, "sbitmap_init_node" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x50888233, "seq_lseek" },
	{ 0x1ac57aa8, "__netlink_kernel_create" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x7f804336, "blk_mq_kick_requeue_list" },
	{ 0x3fc9e277, "proc_create_data" },
	{ 0x563952a3, "kblockd_schedule_work" },
	{ 0x412ab177, "device_for_each_child" },
	{ 0xf5c5bbf9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xca6f58f5, "get_device" },
	{ 0x2b9f0881, "blk_set_queue_depth" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x9e9a9cb4, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd4d89d44, "netlink_ack" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa6055f45, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcc3f98a4, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8a1031fe, "platform_bus" },
	{ 0x294e8256, "blk_mq_alloc_tag_set" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0x1104c4d5, "trace_seq_puts" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0x896258c5, "blk_rq_init" },
	{ 0x785a423, "blk_rq_count_integrity_sg" },
	{ 0x41b9a6e6, "bsg_unregister_queue" },
	{ 0x37013b0a, "transport_setup_device" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x45ff8535, "trace_seq_putc" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x25bd3c66, "blk_execute_rq" },
	{ 0x14c9be9e, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x9d9e87e2, "blk_set_pm_only" },
	{ 0x6405e283, "dma_max_mapping_size" },
	{ 0xb79f2512, "put_device" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0xc2acc033, "hex_dump_to_buffer" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6c4c3dd6, "blk_mq_free_request" },
	{ 0x8e055f2c, "netlink_capable" },
	{ 0xd1069e9d, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x78b5b683, "module_put" },
	{ 0x35b187f9, "blk_get_queue" },
	{ 0x5a9dfbf0, "__kmap_local_page_prot" },
	{ 0x4f9a6537, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x8fbc2fbb, "blk_rq_map_user" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0x176adec5, "bus_unregister" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x2674a316, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x69256906, "blk_update_request" },
	{ 0xf2659707, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa75005c7, "bus_find_device" },
	{ 0xa972f676, "device_add" },
	{ 0x35ea2da4, "blk_rq_map_user_io" },
	{ 0xb1e66f90, "blk_execute_rq_nowait" },
	{ 0x927214c3, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe9528aac, "blk_mq_delay_run_hw_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x19e22e41, "kmem_cache_free" },
	{ 0x250113b4, "memory_read_from_buffer" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc5a77435, "seq_putc" },
	{ 0x64e2f89f, "__blk_rq_map_sg" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xd2373f68, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0xddcddffc, "blk_queue_segment_boundary" },
	{ 0xa9506058, "transport_configure_device" },
	{ 0x29b708c3, "bsg_register_queue" },
	{ 0xb0a4c2a8, "netlink_kernel_release" },
	{ 0x9a5423f3, "class_unregister" },
	{ 0x5d258e18, "blk_mq_free_tag_set" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x5152e605, "memcmp" },
	{ 0x5ee15e4d, "class_interface_register" },
	{ 0x72ea7b2d, "scsi_device_type" },
	{ 0x1ffa005b, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x55bea036, "transport_add_device" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x10aa36d, "blk_put_queue" },
	{ 0x39887690, "bpf_trace_run1" },
	{ 0x7ce71b17, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x10cf8c76, "proc_mkdir" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x21f7e610, "register_sysctl_sz" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe751b37b, "blk_mq_wait_quiesce_done" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6c2c298d, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x143f633e, "blk_mq_init_queue" },
	{ 0xefafac36, "blk_post_runtime_resume" },
	{ 0x9df1802b, "blk_rq_unmap_user" },
	{ 0xfbdc7b19, "param_ops_string" },
	{ 0x519d989c, "blk_clear_pm_only" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc4e9b676, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe2fd670b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x360d1407, "blk_queue_virt_boundary" },
	{ 0x4e6bb2a1, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe8fd12b2, "pm_runtime_forbid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x36f59e6c, "blk_mq_freeze_queue" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x51a3614f, "blk_mq_destroy_queue" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xfac918d3, "sysfs_break_active_protection" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x61495dc5, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcc855eaf, "blk_rq_map_integrity_sg" },
	{ 0xb3faf99c, "transport_destroy_device" },
	{ 0x66b7268c, "remove_proc_entry" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0x8e58e0d3, "device_match_any" },
	{ 0x987660c2, "blk_mq_unfreeze_queue" },
	{ 0x65ae407d, "blk_mq_start_request" },
	{ 0x8dce4fb2, "blk_mq_tagset_busy_iter" },
	{ 0xe542948, "proc_dointvec" },
	{ 0xc8836361, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x88d47c17, "single_release" },
	{ 0xe06bae0b, "blk_mq_quiesce_queue_nowait" },
	{ 0x65acf90c, "sbitmap_weight" },
	{ 0x6a1a827e, "dma_unmap_sg_attrs" },
	{ 0x2f020a1f, "seq_open" },
	{ 0x17fb3454, "blk_pre_runtime_suspend" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x529311d5, "__pm_runtime_suspend" },
	{ 0x15a2b494, "blk_queue_max_hw_sectors" },
	{ 0x135828b9, "page_address" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x677bf446, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x293ffbb4, "blk_mq_run_hw_queues" },
	{ 0xfbad3cf0, "scsi_normalize_sense" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x403eac60, "sbitmap_get" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x42dc50a0, "blk_post_runtime_suspend" },
	{ 0xc63022d8, "blk_mq_requeue_request" },
	{ 0x52b57bd3, "driver_register" },
	{ 0xa6ee30dc, "class_register" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x91c3ef62, "blk_queue_rq_timeout" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x132d1fd1, "kmem_cache_alloc_node" },
	{ 0xf175b0cc, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x26e6d188, "bus_register" },
	{ 0x3b259352, "kmem_cache_destroy" },
	{ 0x3f663b87, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd6c353fb, "class_find_device" },
	{ 0x531bf669, "__blk_mq_end_request" },
	{ 0x61b7b126, "simple_strtoull" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "scsi_common");


MODULE_INFO(srcversion, "0795D299199FC14CE06158F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
