#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x363ef721, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0x5ca86055, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x71b768b0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_conn, 0x15dc8bab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0xda09b986, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0xcc576bce, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe4c79fa6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_eh, 0xf7e749fb, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0xc6264e7a, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0x6fce40e8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x584a31ab, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_session, 0x52575134, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xb32662a6, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0xe0855f08, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x88768c48, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_tcp, 0xa8c4b5e1, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xa3ac06cf, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0xd42a2c09, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xab4674c8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_sw_tcp, 0xdf515c49, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0xedd931f3, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0xdeb0db25, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0xaa90f879, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x6dc1c0bd, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x0ac5260b, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x46c7f385, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0x1f133844, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0xf7db03c5, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0xa0572b4c, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0xa6f80efd, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0x88e3fd8b, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0xf5f8c1e8, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0x4ab8a61b, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0x5b918d64, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x12e6f808, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x03eba951, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0xed2d9cc6, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0xc046e782, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0xe4e83e63, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0xe34b2c8a, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0xc9c705f7, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0x4861562c, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0xdcdb5bcf, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0x4b4ac7fd, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x24e6a2f6, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x17126e1f, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0x320e0f60, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x884408c4, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0xc3e9b07e, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0x896a0556, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0xd4b91671, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0x40b0a480, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x0b7b5a34, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0x02208bd9, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0xa4de5208, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0xdb93f8cd, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0x5f2941bc, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0xa745ebc2, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0x0a6b161f, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0xe8a40c86, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0x6502c248, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0x50b48df3, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0xec16d432, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd0d8621b, "strlen" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf5c5bbf9, "bpf_trace_run2" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x37a0cba, "kfree" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xb79f2512, "put_device" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3136e047, "sysfs_remove_group" },
	{ 0x20978fb9, "idr_find" },
	{ 0xca6f58f5, "get_device" },
	{ 0xdfe71211, "device_find_child" },
	{ 0x412ab177, "device_for_each_child" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xf7370f56, "system_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x92b57248, "flush_work" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x7de1dc52, "transport_remove_device" },
	{ 0xb3faf99c, "transport_destroy_device" },
	{ 0x7ce71b17, "device_del" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x1dafdeb5, "scsi_target_unblock" },
	{ 0x677bf446, "_dev_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb0a4c2a8, "netlink_kernel_release" },
	{ 0x176adec5, "bus_unregister" },
	{ 0x28e53104, "transport_class_unregister" },
	{ 0x9a5423f3, "class_unregister" },
	{ 0xa6ee30dc, "class_register" },
	{ 0x10a39279, "transport_class_register" },
	{ 0x26e6d188, "bus_register" },
	{ 0x2674a316, "init_net" },
	{ 0x1ac57aa8, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc16a85fd, "scsi_is_host_device" },
	{ 0x68de5734, "scsi_scan_target" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa53575a5, "scsi_host_get" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0xa972f676, "device_add" },
	{ 0x37013b0a, "transport_setup_device" },
	{ 0x55bea036, "transport_add_device" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5bf5f4, "attribute_container_unregister" },
	{ 0xf3cef637, "bsg_remove_queue" },
	{ 0xc277a859, "scsi_host_put" },
	{ 0xdf11ac1, "bsg_job_done" },
	{ 0xd2489636, "scsi_block_targets" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xe379a1f5, "bsg_setup_queue" },
	{ 0x6b056f57, "__scsi_init_queue" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0xa747fb0c, "__nlmsg_put" },
	{ 0x6829aebb, "netlink_broadcast" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xa553b00, "device_register" },
	{ 0x26686045, "sysfs_create_group" },
	{ 0xef45a5e, "attribute_container_register" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x7ca94bdc, "scsi_remove_target" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e60bace, "memcpy" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8e055f2c, "netlink_capable" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x78b5b683, "module_put" },
	{ 0xab3a4fdc, "scsi_host_lookup" },
	{ 0xb50aa392, "netlink_unicast" },
	{ 0xf2659707, "skb_pull" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0x2bc95bd4, "memset" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x6f132701, "param_ops_int" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "29E682DBE647E8F842F1344");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
