#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x7776dac3, "");
SYMBOL_CRC(sas_remove_host, 0x5af1e1f3, "");
SYMBOL_CRC(sas_get_address, 0xd8a8258c, "");
SYMBOL_CRC(sas_tlr_supported, 0x1548b82b, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xa53a4325, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xc6871167, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x3007aa8f, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x7d2e579d, "");
SYMBOL_CRC(sas_phy_add, 0x3c3d2e19, "");
SYMBOL_CRC(sas_phy_free, 0x197cc622, "");
SYMBOL_CRC(sas_phy_delete, 0x1e84f973, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x38043f6a, "");
SYMBOL_CRC(sas_port_alloc, 0xd834e45e, "");
SYMBOL_CRC(sas_port_alloc_num, 0xbb4d7bc8, "");
SYMBOL_CRC(sas_port_add, 0x94fe8e8f, "");
SYMBOL_CRC(sas_port_free, 0x677ab733, "");
SYMBOL_CRC(sas_port_delete, 0x63e80f59, "");
SYMBOL_CRC(scsi_is_sas_port, 0x6ca5ab33, "");
SYMBOL_CRC(sas_port_get_phy, 0x6c9a85d9, "");
SYMBOL_CRC(sas_port_add_phy, 0x0b951850, "");
SYMBOL_CRC(sas_port_delete_phy, 0x81d3b85d, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xeca4c6f4, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x0875e1c6, "");
SYMBOL_CRC(sas_end_device_alloc, 0x3d4dc125, "");
SYMBOL_CRC(sas_expander_alloc, 0xf11b7426, "");
SYMBOL_CRC(sas_rphy_add, 0x609c006f, "");
SYMBOL_CRC(sas_rphy_free, 0xcc0a778c, "");
SYMBOL_CRC(sas_rphy_delete, 0xa2760a90, "");
SYMBOL_CRC(sas_rphy_unlink, 0x2a776d35, "");
SYMBOL_CRC(sas_rphy_remove, 0x41b23339, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0xafb94b72, "");
SYMBOL_CRC(sas_attach_transport, 0xb33554a5, "");
SYMBOL_CRC(sas_release_transport, 0x75ded8e6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x412ab177, "device_for_each_child" },
	{ 0xb79f2512, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xa972f676, "device_add" },
	{ 0x55bea036, "transport_add_device" },
	{ 0xa9506058, "transport_configure_device" },
	{ 0x7ce71b17, "device_del" },
	{ 0xb3faf99c, "transport_destroy_device" },
	{ 0x7de1dc52, "transport_remove_device" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xca6f58f5, "get_device" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xdf627054, "sysfs_remove_link" },
	{ 0x37f1aa51, "sysfs_create_link" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x677bf446, "_dev_printk" },
	{ 0x68de5734, "scsi_scan_target" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xe379a1f5, "bsg_setup_queue" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd0d8621b, "strlen" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x10a39279, "transport_class_register" },
	{ 0x28e53104, "transport_class_unregister" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xef45a5e, "attribute_container_register" },
	{ 0x4e16cc05, "scsi_get_vpd_page" },
	{ 0x560b73fe, "scsi_mode_sense" },
	{ 0x5bf5f4, "attribute_container_unregister" },
	{ 0xb09ce576, "scsi_remove_host" },
	{ 0xf3cef637, "bsg_remove_queue" },
	{ 0x7ca94bdc, "scsi_remove_target" },
	{ 0xc16a85fd, "scsi_is_host_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xdf11ac1, "bsg_job_done" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd6190fe1, "dma_opt_mapping_size" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0xc178387e, "dev_set_name" },
	{ 0x37013b0a, "transport_setup_device" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "CF3C57A660508DE2073A421");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
