#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0xa276d873, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x72a12ebc, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0xd7934b9c, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0xb33a1b14, "");
SYMBOL_CRC(sdw_bus_master_delete, 0xdc5aad6d, "");
SYMBOL_CRC(sdw_show_ping_status, 0x7cedcdc0, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x7cec4211, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x81f94f90, "");
SYMBOL_CRC(sdw_write_no_pm, 0xf1d66e21, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0xc8c54660, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0xa7b1ebd0, "");
SYMBOL_CRC(sdw_read_no_pm, 0x6e223c18, "");
SYMBOL_CRC(sdw_update_no_pm, 0x3c911353, "");
SYMBOL_CRC(sdw_update, 0xfa845100, "");
SYMBOL_CRC(sdw_nread, 0x2cffdb57, "");
SYMBOL_CRC(sdw_nwrite, 0xf869ee50, "");
SYMBOL_CRC(sdw_read, 0x03a4518d, "");
SYMBOL_CRC(sdw_write, 0xe10c1f32, "");
SYMBOL_CRC(sdw_compare_devid, 0x367e1722, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x4f0546e9, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0x13f44971, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x86abdbea, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x8673bd41, "");
SYMBOL_CRC(sdw_handle_slave_status, 0xbf999d93, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x5ece50b6, "");
SYMBOL_CRC(sdw_slave_add, 0x24bc2764, "");
SYMBOL_CRC(sdw_master_read_prop, 0x3bc3dcd1, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x9588b2cd, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0xcd41272f, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x28fa80ac, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x82df3a6e, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0xb54451a8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xed4c24a5, "device_property_present" },
	{ 0x1bd81ec0, "devm_device_add_groups" },
	{ 0xd808e35d, "is_acpi_device_node" },
	{ 0x9b0bd4d3, "of_fwnode_ops" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc178387e, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0x6ebf0d27, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x56e1b3e3, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x50888233, "seq_lseek" },
	{ 0x4e8265be, "of_node_get" },
	{ 0x5fcc28fa, "dev_pm_domain_attach" },
	{ 0x556fb053, "devm_device_add_group" },
	{ 0x412ab177, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x8a59abb6, "of_get_property" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbab5445e, "pm_generic_runtime_resume" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xe5634ca3, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb79f2512, "put_device" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0x1f11cefd, "device_property_read_u32_array" },
	{ 0xd0f5f3e6, "fwnode_property_read_u32_array" },
	{ 0xc626d7f1, "dev_pm_domain_detach" },
	{ 0x289d51eb, "pm_generic_runtime_suspend" },
	{ 0x176adec5, "bus_unregister" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0x878c572e, "driver_unregister" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xa553b00, "device_register" },
	{ 0xa824a19, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xffe797a3, "__irq_domain_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xbef5113b, "devm_kasprintf" },
	{ 0xe2fd670b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd2f5cdee, "fwnode_property_present" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x64597eb, "device_get_named_child_node" },
	{ 0xfe4739d, "seq_printf" },
	{ 0x9600004, "irq_create_mapping_affinity" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x88d47c17, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x66b7c0d5, "acpi_dev_for_each_child" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x529311d5, "__pm_runtime_suspend" },
	{ 0x6c528e8c, "irq_set_chip" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xca6b6055, "__pm_runtime_use_autosuspend" },
	{ 0x89ba77c3, "single_open" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0x52b57bd3, "driver_register" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x26e6d188, "bus_register" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2EFCA3AE138F1D451156D79");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
