#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0x55e9fe0d, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0x23be613e, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0xa518bc1a, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0xf1ec769f, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0xebc95951, "");
SYMBOL_CRC(cdns_read_ping_status, 0x712281bb, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0x6fd68551, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0x2777d99a, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0xbe274283, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0x3ed4a10d, "");
SYMBOL_CRC(sdw_cdns_init, 0x4c54f0f4, "");
SYMBOL_CRC(cdns_bus_conf, 0x02f353e6, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0xf9b8456c, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0xc0acafd2, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0xb2f017a5, "");
SYMBOL_CRC(sdw_cdns_probe, 0xc292113e, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0xd7569038, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0x8eb01775, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0x190bf002, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13f44971, "sdw_bus_prep_clk_stop" },
	{ 0x4cf3bbaf, "simple_attr_open" },
	{ 0x917161a5, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x86abdbea, "sdw_bus_clk_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0x50888233, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbf999d93, "sdw_handle_slave_status" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xaf977a5e, "debugfs_attr_read" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xc8a6d085, "simple_attr_release" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2fd670b, "seq_read" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xfe4739d, "seq_printf" },
	{ 0x88d47c17, "single_release" },
	{ 0xc8c54660, "sdw_bread_no_pm_unlocked" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x529311d5, "__pm_runtime_suspend" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x89ba77c3, "single_open" },
	{ 0x8673bd41, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "5F5AD75372423C62D3D9BF6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
