#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ssb_bus_resume, "", "");
KSYMTAB_FUNC(ssb_bus_suspend, "", "");
KSYMTAB_FUNC(ssb_bus_unregister, "", "");
KSYMTAB_FUNC(ssb_bus_sdiobus_register, "", "");
KSYMTAB_FUNC(__ssb_driver_register, "", "");
KSYMTAB_FUNC(ssb_driver_unregister, "", "");
KSYMTAB_FUNC(ssb_set_devtypedata, "", "");
KSYMTAB_FUNC(ssb_clockspeed, "", "");
KSYMTAB_FUNC(ssb_device_is_enabled, "", "");
KSYMTAB_FUNC(ssb_device_enable, "", "");
KSYMTAB_FUNC(ssb_device_disable, "", "");
KSYMTAB_FUNC(ssb_dma_translation, "", "");
KSYMTAB_FUNC(ssb_bus_may_powerdown, "", "");
KSYMTAB_FUNC(ssb_bus_powerup, "", "");
KSYMTAB_FUNC(ssb_commit_settings, "", "");
KSYMTAB_FUNC(ssb_admatch_base, "", "");
KSYMTAB_FUNC(ssb_admatch_size, "", "");
KSYMTAB_FUNC(ssb_pcihost_register, "", "");
KSYMTAB_FUNC(ssb_chipco_gpio_control, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_voltage, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_paref, "", "");
KSYMTAB_FUNC(ssb_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(ssb_pcicore_dev_irqvecs_enable, "", "");

SYMBOL_CRC(ssb_bus_resume, 0xc958e67a, "");
SYMBOL_CRC(ssb_bus_suspend, 0x65104847, "");
SYMBOL_CRC(ssb_bus_unregister, 0x11b61d7d, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0x83357339, "");
SYMBOL_CRC(__ssb_driver_register, 0x89b7903b, "");
SYMBOL_CRC(ssb_driver_unregister, 0xbe91ad5e, "");
SYMBOL_CRC(ssb_set_devtypedata, 0xa767b5e1, "");
SYMBOL_CRC(ssb_clockspeed, 0x5565f9d1, "");
SYMBOL_CRC(ssb_device_is_enabled, 0xb1a1b307, "");
SYMBOL_CRC(ssb_device_enable, 0xc577d512, "");
SYMBOL_CRC(ssb_device_disable, 0x1a2cb1ac, "");
SYMBOL_CRC(ssb_dma_translation, 0xe9b6a546, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0xcde7edfc, "");
SYMBOL_CRC(ssb_bus_powerup, 0xf5fcd2fa, "");
SYMBOL_CRC(ssb_commit_settings, 0xff011701, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0xd2ac63e2, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0x99841930, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0xb83502a3, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0x18274ee2, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0xc536a568, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0x9c960638, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x50fb7e12, "pci_save_state" },
	{ 0x7e256454, "sdio_release_host" },
	{ 0xce78b11a, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x906af335, "pci_enable_device" },
	{ 0x930495ae, "pcmcia_disable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xc178387e, "dev_set_name" },
	{ 0x768bcd27, "sdio_claim_host" },
	{ 0xf97f9bb1, "pci_iomap" },
	{ 0x3562281f, "sdio_readw" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0xc31f9125, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x164b8581, "__pci_register_driver" },
	{ 0x84229027, "pcmcia_unregister_driver" },
	{ 0x3f2c6de7, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0xf9783bed, "pcmcia_map_mem_page" },
	{ 0x427df015, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x98bd1a78, "sdio_writew" },
	{ 0xca6f58f5, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc3bffcab, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3f941be, "dev_driver_string" },
	{ 0x77db385a, "pci_read_config_dword" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb79f2512, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x1bd4060f, "device_create_file" },
	{ 0x579febf8, "sdio_readsb" },
	{ 0x3bf59995, "gpiochip_get_data" },
	{ 0x176adec5, "bus_unregister" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x17406809, "pcmcia_request_window" },
	{ 0x937603b5, "pci_read_config_word" },
	{ 0x8e2a365e, "sdio_readl" },
	{ 0x878c572e, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc340b3f3, "pcmcia_write_config_byte" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xda7f9950, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa553b00, "device_register" },
	{ 0x1eef6d16, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0x2bc95bd4, "memset" },
	{ 0xf1374ac5, "sdio_writel" },
	{ 0x42c215f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xa71bbe61, "gpiochip_add_data_with_key" },
	{ 0xf3fc33ec, "_dev_emerg" },
	{ 0x89d75c3, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x8e0b562a, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0x8214a8f4, "sdio_writesb" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xf8133fc9, "pcmcia_read_config_byte" },
	{ 0xd5021539, "pcmcia_register_driver" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x961cb595, "pci_write_config_word" },
	{ 0x2f40f7ac, "pcmcia_loop_tuple" },
	{ 0xf54a70, "pcmcia_enable_device" },
	{ 0x52b57bd3, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf29c35e6, "pci_write_config_dword" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xf175b0cc, "device_remove_file" },
	{ 0x26e6d188, "bus_register" },
	{ 0xc62e64b8, "sdio_readb" },
	{ 0x67073251, "sdio_writeb" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,pcmcia");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");
MODULE_ALIAS("pcmcia:m02D0c0448f*fn*pfn*pa*pb*pc*pd*");
MODULE_ALIAS("pcmcia:m02D0c0476f*fn*pfn*pa*pb*pc*pd*");

MODULE_INFO(srcversion, "C267884340B552606E3621B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
