#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb261d373, "usb_register_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x930d58e2, "usbatm_usb_disconnect" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xf40a5563, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x1ffa005b, "kthread_stop" },
	{ 0xbee9d7dd, "usb_kill_urb" },
	{ 0xcf6342ef, "usb_free_urb" },
	{ 0x92b57248, "flush_work" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4292364c, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7d5f6833, "usb_ifnum_to_if" },
	{ 0x2e7ddbc8, "usb_driver_claim_interface" },
	{ 0xf721d4ba, "usb_submit_urb" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8038b133, "request_firmware" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3b873f0, "usb_bulk_msg" },
	{ 0x943dc8aa, "crc32_be" },
	{ 0xc7cf0134, "kernel_param_lock" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0x738803e6, "strnlen" },
	{ 0xdc94d9a4, "kernel_param_unlock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xd56b1364, "usb_reset_device" },
	{ 0x8499d8f7, "usbatm_usb_probe" },
	{ 0x8774b971, "atm_dev_signal_change" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0xa9bc2514, "request_firmware_nowait" },
	{ 0x5beedb84, "usb_deregister" },
	{ 0xebc666af, "usb_string" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x7e45b202, "usb_alloc_urb" },
	{ 0xc4e9b676, "kthread_create_on_node" },
	{ 0xe3f247b0, "usb_set_interface" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xe5ab5e3e, "freezing_slow_path" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb24e581c, "param_array_ops" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0xcfbd2b4d, "param_ops_charp" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbatm,atm");

MODULE_ALIAS("usb:v1110p9001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p900Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9032d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3351d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3350d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3352d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3353d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3362d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3363d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00FAd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F7d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "4AC8EF68852AB20945A7E56");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
