#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0x18391de6, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0x90823ef4, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0xf4818c66, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed4c24a5, "device_property_present" },
	{ 0xf35e8737, "usb_hcd_platform_shutdown" },
	{ 0xd808e35d, "is_acpi_device_node" },
	{ 0x9b0bd4d3, "of_fwnode_ops" },
	{ 0xb30ebe2d, "device_set_wakeup_capable" },
	{ 0x9ab66693, "xhci_suspend" },
	{ 0x5c3ea6c7, "devm_platform_get_and_ioremap_resource" },
	{ 0xeef4bff3, "platform_driver_unregister" },
	{ 0x1336d96b, "platform_get_irq" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xaac07bac, "xhci_gen_setup" },
	{ 0xe5dc805e, "of_usb_host_tpl_support" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xe650d0b, "devm_usb_get_phy_by_phandle" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa5facc6f, "devm_reset_control_array_get" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0x1f11cefd, "device_property_read_u32_array" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x8357ba96, "xhci_resume" },
	{ 0x131f1abe, "xhci_run" },
	{ 0x8aade0a5, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x30b19174, "xhci_init_driver" },
	{ 0x574c2543, "usb_put_hcd" },
	{ 0xa81363f6, "__platform_driver_register" },
	{ 0x3830296a, "dma_set_coherent_mask" },
	{ 0x660254c5, "devm_clk_get_optional" },
	{ 0xe8fd12b2, "pm_runtime_forbid" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x32adaa06, "__usb_create_hcd" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0xa9b0de3, "usb_remove_hcd" },
	{ 0x6cd38b27, "of_device_get_match_data" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0xf82aa6d6, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0xeb88bafe, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "usbcore,xhci-hcd,usb-common");

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhciC*");

MODULE_INFO(srcversion, "131B2390FC83A7A492E998C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
