#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0x78171c9e, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x71fe5288, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0xe841cfe2, "");
SYMBOL_CRC(usb_serial_resume, 0xe98fac4c, "");
SYMBOL_CRC(usb_serial_register_drivers, 0xe5f982fa, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0x80b1991f, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0x8c49a604, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0x8b701c2b, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x7c7ca6e5, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0x58a3b128, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0xc1f7fed2, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0x9b48cd12, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0x1a7d43e8, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0xf589ec53, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0xe45dc5b9, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0xc1c8f354, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0x4a417637, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0xd9672d08, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0x5626bcd5, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0xc9fa8379, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0xbcbe9b30, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0x15a5e4a2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52c166f1, "usb_put_intf" },
	{ 0x7e45b202, "usb_alloc_urb" },
	{ 0xfd81ebb5, "usb_autopm_put_interface" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0xcf6342ef, "usb_free_urb" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xfee1b5e2, "param_ops_ushort" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xa19227b3, "tty_flip_buffer_push" },
	{ 0xe7f9ddbb, "driver_attach" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf713e06d, "tty_kref_put" },
	{ 0xb261d373, "usb_register_driver" },
	{ 0x7978054d, "usb_match_one_id" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x8983975d, "__tty_alloc_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xc02435be, "tty_standard_install" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd58b2b98, "usb_show_dynids" },
	{ 0x7bea0b56, "tty_hangup" },
	{ 0x2ffb68d7, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x189c7321, "usb_get_intf" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x1abc53c, "usb_driver_release_interface" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4292364c, "schedule" },
	{ 0x65045172, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb79f2512, "put_device" },
	{ 0x93a969e0, "usb_get_dev" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0xf721d4ba, "usb_submit_urb" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xe2371ef, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x78b5b683, "module_put" },
	{ 0x8a6c46f8, "tty_port_tty_wakeup" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x2a842612, "usb_match_id" },
	{ 0x824dab17, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x176adec5, "bus_unregister" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa972f676, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x3f41a994, "tty_ldisc_ref" },
	{ 0xc05d8606, "tty_vhangup" },
	{ 0x869e512c, "__tty_insert_flip_string_flags" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4ccf0f78, "tty_port_destroy" },
	{ 0x653b8420, "tty_port_init" },
	{ 0x2e7ddbc8, "usb_driver_claim_interface" },
	{ 0xc5a77435, "seq_putc" },
	{ 0x5b9b2eaa, "usb_poison_urb" },
	{ 0xf2f8893d, "usb_unpoison_urb" },
	{ 0x878c572e, "driver_unregister" },
	{ 0xf8e5bdde, "tty_port_register_device" },
	{ 0x60e5e016, "tty_ldisc_deref" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5beedb84, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7ce71b17, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xfccf5a81, "tty_port_close" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb17511f2, "usb_autopm_get_interface" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x60d60edd, "tty_register_driver" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbee9d7dd, "usb_kill_urb" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x9ba3512f, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe4739d, "seq_printf" },
	{ 0x43c90a3a, "tty_port_open" },
	{ 0xc8836361, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x52b57bd3, "driver_register" },
	{ 0x843ac429, "tty_driver_kref_put" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x26e6d188, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4232325c, "tty_port_tty_get" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "D64A5E5746A1EC74C815A3A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
