#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb261d373, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x8cbd816d, "usb_free_streams" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0xe3f247b0, "usb_set_interface" },
	{ 0xd56b1364, "usb_reset_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x92b57248, "flush_work" },
	{ 0x407af304, "usb_wait_anchor_empty_timeout" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe689c28a, "scsi_block_requests" },
	{ 0x677bf446, "_dev_printk" },
	{ 0x510a8eb0, "scsi_unblock_requests" },
	{ 0x878c2c7e, "scmd_printk" },
	{ 0x41088a03, "scsi_print_command" },
	{ 0xb6235505, "scsi_scan_host" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xcf6342ef, "usb_free_urb" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xc16a85fd, "scsi_is_host_device" },
	{ 0x9d09b1a4, "scsi_change_queue_depth" },
	{ 0x5beedb84, "usb_deregister" },
	{ 0xd00cafd1, "usb_get_urb" },
	{ 0xbee9d7dd, "usb_kill_urb" },
	{ 0x12981f50, "blk_queue_update_dma_alignment" },
	{ 0x15a2b494, "blk_queue_max_hw_sectors" },
	{ 0x7e45b202, "usb_alloc_urb" },
	{ 0x8e548d9c, "usb_alloc_streams" },
	{ 0x400dac95, "scsi_report_bus_reset" },
	{ 0x4194ad84, "usb_anchor_urb" },
	{ 0xf721d4ba, "usb_submit_urb" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x2e60bace, "memcpy" },
	{ 0xf700f733, "usb_unanchor_urb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x15c89212, "scsi_done" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xb09ce576, "scsi_remove_host" },
	{ 0xc277a859, "scsi_host_put" },
	{ 0x637caaa9, "usb_lock_device_for_reset" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7907e078, "usb_stor_adjust_quirks" },
	{ 0x7cb76dfa, "scsi_host_alloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x506a8cef, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x21041a47, "usb_unlink_urb" },
	{ 0x5f80cfef, "sdev_prefix_printk" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "usbcore,scsi_mod,scsi_common,usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "256B05C52A8E1E2FB5D252A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
