#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tcpm_pd_transmit_complete, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_receive, "_gpl", "");
KSYMTAB_FUNC(tcpm_cc_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_vbus_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_hard_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_sink_frs, "_gpl", "");
KSYMTAB_FUNC(tcpm_sourcing_vbus, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_clean, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_is_toggling, "_gpl", "");
KSYMTAB_FUNC(tcpm_tcpc_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_register_port, "_gpl", "");
KSYMTAB_FUNC(tcpm_unregister_port, "_gpl", "");

SYMBOL_CRC(tcpm_pd_transmit_complete, 0x3b84657b, "_gpl");
SYMBOL_CRC(tcpm_pd_receive, 0xb655342c, "_gpl");
SYMBOL_CRC(tcpm_cc_change, 0xc37b9769, "_gpl");
SYMBOL_CRC(tcpm_vbus_change, 0xceb50012, "_gpl");
SYMBOL_CRC(tcpm_pd_hard_reset, 0x9e0bd753, "_gpl");
SYMBOL_CRC(tcpm_sink_frs, 0x10ec6d2d, "_gpl");
SYMBOL_CRC(tcpm_sourcing_vbus, 0xeb779665, "_gpl");
SYMBOL_CRC(tcpm_port_clean, 0xd680581d, "_gpl");
SYMBOL_CRC(tcpm_port_is_toggling, 0xda86a83d, "_gpl");
SYMBOL_CRC(tcpm_tcpc_reset, 0xea220941, "_gpl");
SYMBOL_CRC(tcpm_register_port, 0x6f8bb61d, "_gpl");
SYMBOL_CRC(tcpm_unregister_port, 0x76eeda4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x182971f5, "kthread_queue_work" },
	{ 0x44c66979, "typec_unregister_altmode" },
	{ 0x13bb10d9, "typec_get_drvdata" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe7af0ca2, "typec_register_partner" },
	{ 0x7ee8ecd1, "typec_partner_set_usb_power_delivery" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb64b3652, "usb_debug_root" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0x89ba77c3, "single_open" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x4df5e197, "power_supply_get_drvdata" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x2e60bace, "memcpy" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa7e4fc64, "typec_get_negotiated_svdm_version" },
	{ 0xa6257a2f, "complete" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x52878919, "typec_set_orientation" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xdac50ae5, "typec_set_mode" },
	{ 0x553d140d, "typec_set_data_role" },
	{ 0xfb7ae5ce, "typec_set_pwr_role" },
	{ 0x8df7c2ab, "typec_set_vconn_role" },
	{ 0x4994e43a, "power_supply_changed" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x99ae9bab, "usb_power_delivery_unregister_capabilities" },
	{ 0x3798d1b8, "usb_power_delivery_unregister" },
	{ 0x89cf259, "typec_unregister_partner" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x7b44ca0, "kthread_create_worker" },
	{ 0xc0788879, "sched_set_fifo" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6adfd1f0, "fw_devlink_purge_absent_suppliers" },
	{ 0x1520cbff, "typec_get_fw_cap" },
	{ 0xd2f5cdee, "fwnode_property_present" },
	{ 0xd0f5f3e6, "fwnode_property_read_u32_array" },
	{ 0xd001b2a2, "usb_role_switch_get" },
	{ 0xd0d8621b, "strlen" },
	{ 0xb136917, "__dev_fwnode" },
	{ 0x63769653, "devm_power_supply_register" },
	{ 0x2cf3700a, "usb_power_delivery_register" },
	{ 0x8df6a7e3, "typec_register_port" },
	{ 0x3dad061e, "typec_port_register_altmodes" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0xc23c116e, "kthread_destroy_worker" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x7f0e0b34, "fwnode_property_read_string" },
	{ 0xf1234a8b, "typec_find_pwr_opmode" },
	{ 0x3bf3029f, "fwnode_usb_role_switch_get" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0x6c23050b, "usb_power_delivery_register_capabilities" },
	{ 0xf6beb301, "typec_unregister_port" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfab3efb6, "typec_match_altmode" },
	{ 0x94fc0ffa, "typec_altmode_vdm" },
	{ 0x91087be8, "typec_partner_set_identity" },
	{ 0x73d92158, "typec_altmode_attention" },
	{ 0x39ea9ce, "typec_altmode_notify" },
	{ 0x75eff36f, "typec_partner_set_svdm_version" },
	{ 0x4ae61599, "typec_partner_register_altmode" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5f1b8c27, "typec_set_pwr_opmode" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x50888233, "seq_lseek" },
	{ 0xe2fd670b, "seq_read" },
	{ 0x88d47c17, "single_release" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "typec,usb-common,roles");


MODULE_INFO(srcversion, "D5D068741F91E0FF3B1C179");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
