#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(typec_altmode_update_active, "_gpl", "");
KSYMTAB_FUNC(typec_altmode2port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_pd_revision, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_partner_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_partner_usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(typec_register_partner, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_partner, "_gpl", "");
KSYMTAB_FUNC(typec_plug_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_plug_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_register_plug, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_plug, "_gpl", "");
KSYMTAB_FUNC(typec_cable_get, "_gpl", "");
KSYMTAB_FUNC(typec_cable_put, "_gpl", "");
KSYMTAB_FUNC(typec_cable_is_active, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_register_cable, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_cable, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_set_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_vconn_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_get_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_set_mode, "_gpl", "");
KSYMTAB_FUNC(typec_get_negotiated_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_get_fw_cap, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_register_port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_port, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_switch_get, "_gpl", "");
KSYMTAB_FUNC(typec_switch_put, "_gpl", "");
KSYMTAB_FUNC(typec_switch_register, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set, "_gpl", "");
KSYMTAB_FUNC(typec_switch_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_switch_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_mux_get, "_gpl", "");
KSYMTAB_FUNC(typec_mux_put, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set, "_gpl", "");
KSYMTAB_FUNC(typec_mux_register, "_gpl", "");
KSYMTAB_FUNC(typec_mux_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_mux_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_notify, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_attention, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_partner, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_plug, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_put_plug, "_gpl", "");
KSYMTAB_FUNC(__typec_altmode_register_driver, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(typec_match_altmode, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_link_device, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unlink_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_retimer_get, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_put, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_set, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_register, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_get_drvdata, "_gpl", "");

SYMBOL_CRC(typec_altmode_update_active, 0x94844e86, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0xed854a20, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0x44c66979, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0x91087be8, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0x240e99c4, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0x7ee8ecd1, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0xe380f2b8, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0x4ae61599, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0x75eff36f, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0x3b4a66ed, "_gpl");
SYMBOL_CRC(typec_register_partner, 0xe7af0ca2, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0x089cf259, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0x5ec2059f, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0x4c3d2572, "_gpl");
SYMBOL_CRC(typec_register_plug, 0xe59d9961, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0x73545918, "_gpl");
SYMBOL_CRC(typec_cable_get, 0xdc6b20cd, "_gpl");
SYMBOL_CRC(typec_cable_put, 0x5621c809, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0x9207ef0a, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0xce8aed73, "_gpl");
SYMBOL_CRC(typec_register_cable, 0xc6c3b387, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0x657b9d88, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0xac1b227c, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0x553d140d, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0xfb7ae5ce, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0x8df7c2ab, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0x5f1b8c27, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0x52878919, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0x09f4fe3f, "_gpl");
SYMBOL_CRC(typec_set_mode, 0xdac50ae5, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0xa7e4fc64, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0x13bb10d9, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0x1520cbff, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0x83f685bf, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0x3dad061e, "_gpl");
SYMBOL_CRC(typec_register_port, 0x8df6a7e3, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0xf6beb301, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0xdd9c78fc, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0x0fa8015e, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0x2f4ad713, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0xe20c464c, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0xeef49033, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0x43a32d7b, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x6b3d9465, "_gpl");
SYMBOL_CRC(typec_mux_register, 0xf608ecbf, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0x828c458a, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0x0a7e9a91, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0x8aa9afa1, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0x039ea9ce, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0x54de396e, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0x89afd29d, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0x73d92158, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0x94fc0ffa, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0x0564e3ce, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0xc12f8999, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0x140e7243, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0x4ee405f6, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0x8562f598, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0xfab3efb6, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0x6c23050b, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0x99ae9bab, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0x2cf3700a, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0x3798d1b8, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0x5e5f7fe3, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0x9308753a, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0xfd86e717, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0x97fe57d3, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0xcd356a50, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0x14ce7e46, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0xb0996048, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0xb344d26c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0xd808e35d, "is_acpi_device_node" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x9027d3f9, "component_master_add_with_match" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0xf6cd34ba, "acpi_bus_for_each_dev" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f672f35, "fwnode_connection_find_match" },
	{ 0x84e1a6e7, "fwnode_get_next_child_node" },
	{ 0x412ab177, "device_for_each_child" },
	{ 0xca6f58f5, "get_device" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa3bc1f14, "sysfs_notify" },
	{ 0x4a5f30c5, "device_match_fwnode" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb79f2512, "put_device" },
	{ 0xd0f5f3e6, "fwnode_property_read_u32_array" },
	{ 0x78b5b683, "module_put" },
	{ 0x37f1aa51, "sysfs_create_link" },
	{ 0xbedce067, "fwnode_get_name" },
	{ 0x4f9a6537, "kobject_uevent_env" },
	{ 0x921a3da0, "sysfs_update_group" },
	{ 0x176adec5, "bus_unregister" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa972f676, "device_add" },
	{ 0xdf627054, "sysfs_remove_link" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0x878c572e, "driver_unregister" },
	{ 0x9a5423f3, "class_unregister" },
	{ 0xdfe71211, "device_find_child" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xa553b00, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x40b51c05, "__sysfs_match_string" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7f0e0b34, "fwnode_property_read_string" },
	{ 0xd2f5cdee, "fwnode_property_present" },
	{ 0x70eef694, "component_master_del" },
	{ 0xe375c934, "component_match_add_release" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x64597eb, "device_get_named_child_node" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xc9f6dd71, "component_bind_all" },
	{ 0xff7e1ae1, "device_match_name" },
	{ 0x71d9af4, "kobject_uevent" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xffc46eef, "fwnode_connection_find_matches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xd35f75a1, "match_string" },
	{ 0x43708ac3, "component_unbind_all" },
	{ 0x52b57bd3, "driver_register" },
	{ 0xa6ee30dc, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xb136917, "__dev_fwnode" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x26e6d188, "bus_register" },
	{ 0xd6c353fb, "class_find_device" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "97261029CA1DD8913B6D392");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
