#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(usbip_debug_flag, "_gpl", "");
KSYMTAB_DATA(dev_attr_usbip_debug, "_gpl", "");
KSYMTAB_FUNC(usbip_dump_urb, "_gpl", "");
KSYMTAB_FUNC(usbip_dump_header, "_gpl", "");
KSYMTAB_FUNC(usbip_recv, "_gpl", "");
KSYMTAB_FUNC(usbip_pack_pdu, "_gpl", "");
KSYMTAB_FUNC(usbip_header_correct_endian, "_gpl", "");
KSYMTAB_FUNC(usbip_alloc_iso_desc_pdu, "_gpl", "");
KSYMTAB_FUNC(usbip_recv_iso, "_gpl", "");
KSYMTAB_FUNC(usbip_pad_iso, "_gpl", "");
KSYMTAB_FUNC(usbip_recv_xbuff, "_gpl", "");
KSYMTAB_FUNC(usbip_start_eh, "_gpl", "");
KSYMTAB_FUNC(usbip_stop_eh, "_gpl", "");
KSYMTAB_FUNC(usbip_event_add, "_gpl", "");
KSYMTAB_FUNC(usbip_event_happened, "_gpl", "");
KSYMTAB_FUNC(usbip_in_eh, "_gpl", "");

SYMBOL_CRC(usbip_debug_flag, 0x78b72f44, "_gpl");
SYMBOL_CRC(dev_attr_usbip_debug, 0x866a2701, "_gpl");
SYMBOL_CRC(usbip_dump_urb, 0x8f7f8ec4, "_gpl");
SYMBOL_CRC(usbip_dump_header, 0xe1ea0586, "_gpl");
SYMBOL_CRC(usbip_recv, 0x1d4b7661, "_gpl");
SYMBOL_CRC(usbip_pack_pdu, 0xb4e47f52, "_gpl");
SYMBOL_CRC(usbip_header_correct_endian, 0xd02753dc, "_gpl");
SYMBOL_CRC(usbip_alloc_iso_desc_pdu, 0x9aa01b3f, "_gpl");
SYMBOL_CRC(usbip_recv_iso, 0x7e79ca89, "_gpl");
SYMBOL_CRC(usbip_pad_iso, 0x3114e825, "_gpl");
SYMBOL_CRC(usbip_recv_xbuff, 0x1a24c5e4, "_gpl");
SYMBOL_CRC(usbip_start_eh, 0x9b9c54e0, "_gpl");
SYMBOL_CRC(usbip_stop_eh, 0x2e9c4271, "_gpl");
SYMBOL_CRC(usbip_event_add, 0x9ab4c4f1, "_gpl");
SYMBOL_CRC(usbip_event_happened, 0xc64ca53f, "_gpl");
SYMBOL_CRC(usbip_in_eh, 0x976451fa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1fd2c5ba, "param_ops_ulong" },
	{ 0x8235805b, "memmove" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x59ef1ddb, "iov_iter_kvec" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcda47f9a, "sock_recvmsg" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x135828b9, "page_address" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "usb-common");


MODULE_INFO(srcversion, "9562948F88611CCEE55D00C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
