#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0xe7e48333, "");
SYMBOL_CRC(__vdpa_alloc_device, 0x56b12ed0, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0xcae53fd3, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0x62fe55ec, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0xf9dd8374, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0xa57fb794, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0x31152141, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0x601ac8f0, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0x84a48d98, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0xb008569a, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0x882be437, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0x2d78f288, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x5af8e078, "down_write" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3041584e, "driver_set_override" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa75005c7, "bus_find_device" },
	{ 0xa972f676, "device_add" },
	{ 0xb79f2512, "put_device" },
	{ 0x72c83fa3, "device_unregister" },
	{ 0x52b57bd3, "driver_register" },
	{ 0x878c572e, "driver_unregister" },
	{ 0xe5af9c72, "bus_for_each_dev" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x29f3a126, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa54bc7e6, "genl_unregister_family" },
	{ 0x176adec5, "bus_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x26e6d188, "bus_register" },
	{ 0xacbf8aa5, "genl_register_family" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0x3830296a, "dma_set_coherent_mask" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x8e055f2c, "netlink_capable" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0xdfb2a7f9, "genlmsg_put" },
	{ 0xd0d8621b, "strlen" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0xb50aa392, "netlink_unicast" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E6E1ABFDEECC213CA239F01");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
