#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0xab09ca92, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0xdc745f3a, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x371479d1, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x4a0079c7, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0xb2a53f71, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x8167f964, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x357509e1, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x629c0aaf, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xe519a7f6, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x97d25c23, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x49975544, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x1195229d, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0xffe9f092, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x55f8199a, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x92446916, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0xfceab54d, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0xc464303c, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x0fafcbdc, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x06d34dcf, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50fb7e12, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x421d4dcf, "krealloc" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x3b81087, "pci_read_vpd" },
	{ 0x59df7b71, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9d79077f, "pci_request_selected_regions" },
	{ 0xa4da833, "pci_release_selected_regions" },
	{ 0xa155bdc9, "pci_user_write_config_byte" },
	{ 0x906af335, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x9d14402, "pci_bus_max_busnr" },
	{ 0x4a43b69, "pci_check_and_mask_intx" },
	{ 0xf97f9bb1, "pci_iomap" },
	{ 0x51f16cdb, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xe31abc75, "pci_alloc_irq_vectors" },
	{ 0x5b8cfda, "vfio_set_irqs_validate_and_prepare" },
	{ 0x92b42449, "pci_enable_atomic_ops_to_root" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x4152c0ae, "pci_dev_put" },
	{ 0xe1770f42, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xb6f13c65, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb28a7485, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x106d4d8b, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0x59918df9, "pci_num_vf" },
	{ 0x2e60bace, "memcpy" },
	{ 0x5c467858, "pci_user_read_config_dword" },
	{ 0xf989723, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xd8a6672, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x16218d80, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x12535c32, "pci_probe_reset_slot" },
	{ 0x6ec778e5, "zap_vma_ptes" },
	{ 0x2b10e6c6, "pci_set_power_state" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xea65216c, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe664f62, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x77db385a, "pci_read_config_dword" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0x5a15b0c6, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x957b3f6a, "pci_user_write_config_word" },
	{ 0x3b46b896, "bus_register_notifier" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xcf63f56e, "vfio_file_is_group" },
	{ 0xf17aabd6, "pci_msix_can_alloc_dyn" },
	{ 0x959acbb, "vfio_file_has_dev" },
	{ 0x7f6a9389, "pci_clear_master" },
	{ 0xa60c98cb, "__pci_reset_function_locked" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xa82feb58, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0xf27898ab, "pci_write_vpd" },
	{ 0xe7f5a8bc, "vfio_virqfd_enable" },
	{ 0x4d762197, "vga_client_register" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x937603b5, "pci_read_config_word" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x9d57f9f3, "aperture_remove_conflicting_pci_devices" },
	{ 0xd0840876, "vfio_unregister_group_dev" },
	{ 0x614ff494, "pci_map_rom" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x6ede21e2, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xda7f9950, "pci_iounmap" },
	{ 0x1eef6d16, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0x34f4a096, "pcie_get_mps" },
	{ 0x10f2c2b6, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x44b708bf, "down_write_trylock" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x1b540860, "vga_put" },
	{ 0xf655355, "vfio_info_add_capability" },
	{ 0xc7399669, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x1b550ed8, "__mmap_lock_do_trace_start_locking" },
	{ 0x719850cb, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0xef8b1aa, "_dev_notice" },
	{ 0xe8fd12b2, "pm_runtime_forbid" },
	{ 0xa770b57b, "pm_runtime_allow" },
	{ 0x44f9b9ad, "pci_reset_bus" },
	{ 0xbc530ca8, "mmput" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0xe7cc2baf, "vfio_register_group_dev" },
	{ 0xc31b2c48, "vfio_assign_device_set" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x54ce061c, "pci_user_read_config_byte" },
	{ 0x3450905, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0xeeb8f6ca, "pci_get_class" },
	{ 0x8434fb9f, "pci_user_write_config_dword" },
	{ 0x79f3e921, "pcie_capability_read_dword" },
	{ 0x208e13d5, "__mmap_lock_do_trace_released" },
	{ 0x1a9855f7, "pci_load_and_free_saved_state" },
	{ 0xba274c11, "pci_disable_sriov" },
	{ 0x18735984, "vfio_device_set_open_count" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0x5643b112, "pci_match_id" },
	{ 0x6f3cad0f, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x26975782, "pci_check_and_unmask_intx" },
	{ 0xa777ef29, "pcie_set_readrq" },
	{ 0xb92f4f5e, "pci_walk_bus" },
	{ 0x6157ba5c, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x179df42c, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xf6f17caf, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x1350fd72, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0xd0d8621b, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xaab90fca, "vga_set_legacy_decoding" },
	{ 0x6e293cae, "pci_dev_unlock" },
	{ 0x961cb595, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcc21fc93, "pci_free_irq_vectors" },
	{ 0x374e7041, "pci_enable_sriov" },
	{ 0x29f3a126, "up_read" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb88bafe, "pci_bus_type" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "EC88AD12C3E0D1DF1ABB0F3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
