#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x8b2b58a6, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x6aadb1e7, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xf2991109, "_gpl");
SYMBOL_CRC(fat_scan, 0xf18b84ad, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xd9c31041, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xf0551387, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xa6bbdd05, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xd25c1f48, "_gpl");
SYMBOL_CRC(fat_getattr, 0xa2c676dd, "_gpl");
SYMBOL_CRC(fat_setattr, 0x0d25284e, "_gpl");
SYMBOL_CRC(fat_attach, 0xe6f141f9, "_gpl");
SYMBOL_CRC(fat_detach, 0x9120058e, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x44b95a0d, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x9ac24a81, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x2f69ca6f, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x7feeab22, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x4d51b982, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xc284c203, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xc24a0b5b, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xad78ea38, "_gpl");
SYMBOL_CRC(fat_update_time, 0x155f25c2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf45902d2, "filemap_fdatawrite" },
	{ 0x74674080, "generic_fillattr" },
	{ 0xba1204f5, "setattr_prepare" },
	{ 0x9a0ac062, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xffc832ed, "sync_blockdev_nowait" },
	{ 0x1eb76406, "make_vfsgid" },
	{ 0xa4089551, "blk_start_plug" },
	{ 0x473da37f, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x47b042f7, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xc705e5a, "new_inode" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xc0d5424c, "mark_buffer_dirty" },
	{ 0xf6585793, "security_inode_setattr" },
	{ 0x899751d6, "__find_get_block" },
	{ 0x615c62c7, "filemap_fdatawrite_range" },
	{ 0x74066096, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x4ad1d0b2, "__blockdev_direct_IO" },
	{ 0xbe276dd4, "d_make_root" },
	{ 0xa1dfe0, "__bforget" },
	{ 0xcf52d666, "sb_set_blocksize" },
	{ 0xb6777dc, "block_truncate_page" },
	{ 0x3aed0e3c, "write_dirty_buffer" },
	{ 0x59e649f2, "sync_filesystem" },
	{ 0xf3959117, "fsnotify" },
	{ 0x4a2740f5, "current_time" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdeda12a7, "from_vfsuid" },
	{ 0x1a592578, "inode_dio_wait" },
	{ 0x2a1dfc2f, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xf53b12b5, "cont_write_begin" },
	{ 0x6a59c29d, "iput" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x9bd1ba2f, "iter_file_splice_write" },
	{ 0xd9973401, "generic_file_write_iter" },
	{ 0x538605db, "kmem_cache_create" },
	{ 0x7655b89, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5d422237, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x1ca9f92a, "mnt_want_write_file" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8d0579f4, "block_invalidate_folio" },
	{ 0x927874bd, "__breadahead" },
	{ 0x1d469ddf, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x88b03689, "load_nls" },
	{ 0xffb81061, "generic_cont_expand_simple" },
	{ 0x110718d3, "make_kuid" },
	{ 0x4839169c, "truncate_inode_pages_final" },
	{ 0x1e0bcaf7, "generic_file_mmap" },
	{ 0xbf4e15b0, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc762e7b7, "ilookup" },
	{ 0x894683d1, "kmem_cache_alloc" },
	{ 0xfd77d720, "invalidate_inode_buffers" },
	{ 0xc6488b31, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xaa762b37, "mnt_drop_write_file" },
	{ 0x4113ab31, "inode_init_once" },
	{ 0x8e743b21, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xf622db14, "__brelse" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7459ea67, "generic_file_read_iter" },
	{ 0xdb44ab4a, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x2fcbe22b, "truncate_pagecache" },
	{ 0xc7af15dd, "sync_dirty_buffer" },
	{ 0x36819fdb, "setattr_copy" },
	{ 0xfc5a32fd, "__wait_on_buffer" },
	{ 0x9fefb4ce, "set_nlink" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x19e22e41, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xbc307dc9, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x85691915, "from_vfsgid" },
	{ 0x8c6be449, "write_inode_now" },
	{ 0x5152e605, "memcmp" },
	{ 0xbdae6bbc, "d_obtain_alias" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x6ab8fe5, "__bread_gfp" },
	{ 0x2ae098ba, "block_dirty_folio" },
	{ 0xdb9ae807, "mpage_read_folio" },
	{ 0x2bc95bd4, "memset" },
	{ 0x73745bbe, "__insert_inode_hash" },
	{ 0x8f754b1f, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xda9b2e16, "make_kgid" },
	{ 0x8738a386, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xaf8b66b5, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa5e64263, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x8c09e1f3, "igrab" },
	{ 0xcf9c11fd, "__getblk_gfp" },
	{ 0xb053e614, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb36df889, "mpage_readahead" },
	{ 0x9d5a068e, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x4aed611, "init_user_ns" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xbc1cc9fe, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xe04aa362, "blkdev_issue_flush" },
	{ 0xc8836361, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe7d63ace, "generic_fh_to_parent" },
	{ 0xd3e6aa0f, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x55aa3a5a, "from_kuid_munged" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x913f1fdd, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa362c5aa, "kmem_cache_alloc_lru" },
	{ 0x33666a33, "__mark_inode_dirty" },
	{ 0x40ad4d97, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x75e6ef52, "unload_nls" },
	{ 0x29f3a126, "up_read" },
	{ 0x248c7a05, "mark_buffer_dirty_inode" },
	{ 0x2ad81721, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x3b259352, "kmem_cache_destroy" },
	{ 0xa23723e3, "blkdev_issue_discard" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EF042D9B3B77125716895A3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
