#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x86f69690, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0xde541816, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x5285100a, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x1da11be9, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x30f0a2a5, "");
SYMBOL_CRC(fuse_abort_conn, 0x7c66c930, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x32fb30ad, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x566b9713, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x4235391d, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x7c58cbd7, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0xa1ac41a5, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x1e4dd0cc, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xb4874b5c, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xb99c20f3, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x20f05b2a, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xf90a179c, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x361ba709, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0xcd2380de, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x3171fb35, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xfc6b8e43, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x0e2bd224, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0xa9063997, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x53f566f2, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x8815a5fc, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x05f8bad1, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x344c5f5c, "");
SYMBOL_CRC(fuse_do_ioctl, 0x47406c4e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd158c0f3, "super_setup_bdi_name" },
	{ 0x9c995bba, "posix_test_lock" },
	{ 0xf65f776a, "truncate_inode_pages" },
	{ 0xe979b50, "generic_copy_file_range" },
	{ 0x5b6d40ad, "noop_backing_dev_info" },
	{ 0x5d85775d, "pipe_lock" },
	{ 0x74674080, "generic_fillattr" },
	{ 0x421d4dcf, "krealloc" },
	{ 0xb39357f2, "vfs_fsync_range" },
	{ 0xba1204f5, "setattr_prepare" },
	{ 0x3201337d, "clear_nlink" },
	{ 0x2bc0d25f, "file_check_and_advance_wb_err" },
	{ 0xb38aee7a, "d_alloc_parallel" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xb072a5fd, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x3657f841, "misc_deregister" },
	{ 0x1eb76406, "make_vfsgid" },
	{ 0x473da37f, "clear_inode" },
	{ 0x10edcb9b, "inode_to_bdi" },
	{ 0xbac02b06, "find_pid_ns" },
	{ 0x5bd50f7d, "grab_cache_page_write_begin" },
	{ 0xaa71a578, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd24e1302, "pipe_unlock" },
	{ 0x869c4e0f, "fs_param_is_string" },
	{ 0xf843566c, "folio_unlock" },
	{ 0xc705e5a, "new_inode" },
	{ 0x6ee4c5e9, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0xb82c8eaa, "dump_page" },
	{ 0x74d5bbfc, "forget_all_cached_acls" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb2fcc398, "init_special_inode" },
	{ 0xeac02191, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xbc92c424, "task_active_pid_ns" },
	{ 0xaa85dd18, "iov_iter_single_seg_count" },
	{ 0xce82da2e, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xaffaa0e, "d_alloc_name" },
	{ 0x22019b62, "replace_page_cache_folio" },
	{ 0xa42e82e, "inode_query_iversion" },
	{ 0x5a2a2c1d, "iov_iter_advance" },
	{ 0xc72d180d, "kill_fasync" },
	{ 0xbe276dd4, "d_make_root" },
	{ 0xcf52d666, "sb_set_blocksize" },
	{ 0x106d4d8b, "fget" },
	{ 0xaa123209, "simple_fill_super" },
	{ 0x99beb6c1, "xas_find" },
	{ 0x59e649f2, "sync_filesystem" },
	{ 0x81b70b25, "sget_fc" },
	{ 0xcde0d9f4, "param_set_uint" },
	{ 0x2672053f, "d_splice_alias" },
	{ 0x17d23818, "iov_iter_get_pages2" },
	{ 0x6a89ad35, "direct_write_fallback" },
	{ 0x2e60bace, "memcpy" },
	{ 0x70848703, "page_get_link" },
	{ 0xf1c126cd, "generic_permission" },
	{ 0xe683f0c2, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x8642b839, "invalidate_inode_pages2_range" },
	{ 0xda49c66f, "posix_lock_file" },
	{ 0x3374470c, "finish_open" },
	{ 0x6a59c29d, "iput" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x4fd6fb7d, "logfc" },
	{ 0x9bd1ba2f, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x6907e156, "init_pid_ns" },
	{ 0x515a1214, "iov_iter_init" },
	{ 0xecf43a63, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x50fa75d3, "sysfs_create_mount_point" },
	{ 0xd9973401, "generic_file_write_iter" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xfddfe33f, "register_filesystem" },
	{ 0x538605db, "kmem_cache_create" },
	{ 0x6d88a99b, "folio_add_lru" },
	{ 0xcf00fa30, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x7655b89, "sync_inode_metadata" },
	{ 0xb38224d4, "simple_empty" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xad969f31, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc00c7ec6, "shrink_dcache_parent" },
	{ 0x8e321169, "get_tree_nodev" },
	{ 0xcb56d1d1, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xb35d05d0, "fs_param_is_u32" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x99a32f06, "inode_newsize_ok" },
	{ 0x3fed4306, "d_drop" },
	{ 0xd164c83d, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xc56065cf, "unlock_new_inode" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x3abaf40d, "bdi_put" },
	{ 0x179dde5c, "posix_acl_from_xattr" },
	{ 0x4292364c, "schedule" },
	{ 0x4532eed3, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x110718d3, "make_kuid" },
	{ 0x4839169c, "truncate_inode_pages_final" },
	{ 0x3f9dee61, "fs_kobj" },
	{ 0x1e48bc21, "__filemap_set_wb_err" },
	{ 0x6e4afb4f, "simple_dir_operations" },
	{ 0x1e0bcaf7, "generic_file_mmap" },
	{ 0x738803e6, "strnlen" },
	{ 0xf23a1a3b, "__free_pages" },
	{ 0x894683d1, "kmem_cache_alloc" },
	{ 0xccfeb2b8, "put_pid_ns" },
	{ 0x88db665b, "kstrtoul_from_user" },
	{ 0xd52ed59a, "setattr_should_drop_suidgid" },
	{ 0x1a38045b, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb11ac3ac, "copy_page_from_iter_atomic" },
	{ 0xff99e42d, "fs_context_for_submount" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x4113ab31, "inode_init_once" },
	{ 0xda92cb5, "file_write_and_wait_range" },
	{ 0x5a9dfbf0, "__kmap_local_page_prot" },
	{ 0xcb0bd372, "nosteal_pipe_buf_ops" },
	{ 0xff2490a2, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdcb08bfe, "inode_nohighmem" },
	{ 0x3569957f, "release_pages" },
	{ 0x18db7cb9, "generic_file_direct_write" },
	{ 0xa82feb58, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7459ea67, "generic_file_read_iter" },
	{ 0xdb44ab4a, "inode_maybe_inc_iversion" },
	{ 0x9b3f98cb, "unlock_page" },
	{ 0x9e77230a, "inc_node_page_state" },
	{ 0xc94924aa, "thp_get_unmapped_area" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2fcbe22b, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ee0b065, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xb9d42db5, "dec_node_page_state" },
	{ 0xb232ebb2, "zero_user_segments" },
	{ 0x5544c9e6, "write_cache_pages" },
	{ 0x13d44666, "file_update_time" },
	{ 0x9fefb4ce, "set_nlink" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x19e22e41, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x15214a5c, "from_kgid" },
	{ 0x51997a26, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xb8c45189, "file_remove_privs" },
	{ 0x8c6be449, "write_inode_now" },
	{ 0xbdae6bbc, "d_obtain_alias" },
	{ 0xfbf2529, "file_modified" },
	{ 0x352f7c12, "copy_page_to_iter" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x43193c95, "finish_no_open" },
	{ 0x7785ab19, "__folio_start_writeback" },
	{ 0x839bed30, "kill_litter_super" },
	{ 0x2c830627, "folio_end_writeback" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xe23289e7, "from_kuid" },
	{ 0x304d0db0, "current_in_userns" },
	{ 0x23340d09, "fc_mount" },
	{ 0xcd87cb5a, "sysfs_remove_mount_point" },
	{ 0x7266e87c, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xda9b2e16, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xef49645f, "d_delete" },
	{ 0x8738a386, "from_kgid_munged" },
	{ 0x856cfa09, "end_page_writeback" },
	{ 0xc0e3a121, "kobject_create_and_add" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xb28069a8, "wb_writeout_inc" },
	{ 0xffa48b9, "nonseekable_open" },
	{ 0x8e28202, "set_page_dirty" },
	{ 0xc33ce587, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x79f70010, "redirty_page_for_writepage" },
	{ 0x8c09e1f3, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb053e614, "generic_read_dir" },
	{ 0xba53e07f, "d_add" },
	{ 0x2a259930, "set_page_writeback" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x4aed611, "init_user_ns" },
	{ 0x405f72bb, "d_find_alias" },
	{ 0x8f2bbd9f, "invalidate_inode_pages2" },
	{ 0x7bf2bf9d, "alloc_pages" },
	{ 0xb16f1a99, "inode_set_ctime_current" },
	{ 0x5a78aced, "inc_nlink" },
	{ 0x61495dc5, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8fe20668, "get_tree_bdev" },
	{ 0x9cc34450, "set_anon_super_fc" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xe77ce04b, "dput" },
	{ 0x32eaec7b, "lockref_get" },
	{ 0xad94e3a5, "generic_delete_inode" },
	{ 0xe0d9ca20, "deactivate_locked_super" },
	{ 0xa78a8557, "touch_atime" },
	{ 0x4c158692, "__d_lookup_unhash_wake" },
	{ 0xe4604fea, "set_page_dirty_lock" },
	{ 0xf7602071, "pid_nr_ns" },
	{ 0x921215c7, "generic_file_open" },
	{ 0x2716bacc, "truncate_inode_pages_range" },
	{ 0xa43716b0, "__put_user_ns" },
	{ 0x2b1eb803, "__folio_lock" },
	{ 0x2bfa4e9b, "filemap_dirty_folio" },
	{ 0x66fde025, "pagecache_get_page" },
	{ 0xc8836361, "seq_puts" },
	{ 0x18d35ada, "stream_open" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb8273d0b, "__wake_up_sync" },
	{ 0x4cbcd342, "add_to_pipe" },
	{ 0x88e4515a, "__fs_parse" },
	{ 0xd3e6aa0f, "filemap_splice_read" },
	{ 0xa8164292, "posix_acl_to_xattr" },
	{ 0xf39f4dfd, "dget_parent" },
	{ 0xd65eb31a, "kill_anon_super" },
	{ 0x55aa3a5a, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xe172cae2, "iget5_locked" },
	{ 0x8ee77f7b, "security_dentry_init_security" },
	{ 0x9bf1a1d7, "filemap_write_and_wait_range" },
	{ 0x135828b9, "page_address" },
	{ 0xbaea2a57, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x716247fc, "generic_write_checks" },
	{ 0xf65ab5c, "iov_iter_revert" },
	{ 0x300e5b7b, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x46d32866, "mntget" },
	{ 0xa362c5aa, "kmem_cache_alloc_lru" },
	{ 0xc383076b, "filemap_fault" },
	{ 0x47f84b31, "d_invalidate" },
	{ 0x33666a33, "__mark_inode_dirty" },
	{ 0x40ad4d97, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4fa065ba, "make_bad_inode" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x29f3a126, "up_read" },
	{ 0x313901bf, "iov_iter_npages" },
	{ 0x6f0612c1, "drop_nlink" },
	{ 0x74e93b49, "fault_in_iov_iter_readable" },
	{ 0xa54cf5e2, "filemap_check_errors" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x350dd172, "bdi_set_max_ratio" },
	{ 0x3b259352, "kmem_cache_destroy" },
	{ 0xc0741527, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6E453FFA4B8F84F8124AA22");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
