#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0xbb8b8816, "");
SYMBOL_CRC(jbd2_journal_start, 0x8f36bda7, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x941aea29, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x9721815f, "");
SYMBOL_CRC(jbd2__journal_restart, 0x67bdc981, "");
SYMBOL_CRC(jbd2_journal_restart, 0xeb2e7a44, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0xe5d6b8ee, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x3b0e8252, "");
SYMBOL_CRC(jbd2_journal_extend, 0xd4b5c81a, "");
SYMBOL_CRC(jbd2_journal_stop, 0x02707d37, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x7219840c, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x56134c27, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0xcf237a75, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x4ae7f179, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x3fd811a7, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x5bb0014f, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x7d15a7a8, "");
SYMBOL_CRC(jbd2_journal_forget, 0x2a61283f, "");
SYMBOL_CRC(jbd2_journal_flush, 0x08fb8792, "");
SYMBOL_CRC(jbd2_journal_revoke, 0xce33e3f4, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xd82411d3, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x7300aee7, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0xe5f3ffc0, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0xa1694bf9, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x38ef311f, "");
SYMBOL_CRC(jbd2_journal_load, 0xeaed46b1, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x948944fc, "");
SYMBOL_CRC(jbd2_journal_abort, 0xb929f463, "");
SYMBOL_CRC(jbd2_journal_errno, 0xee6c7ffc, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x29db9e22, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0xff117dff, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0xc03f4b69, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x368c2d4e, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0xd68dc1b6, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x5b34e199, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x7e138658, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0xfbc43b3f, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x28af33e3, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x14bb7075, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x6a2d9155, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x0ca3ffac, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x1790c303, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x81cfb570, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x43a368fc, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x40f16f1a, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x1526af3a, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x7f433664, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0xec1f9ddf, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0xe4f159a4, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x6eb28bfa, "");
SYMBOL_CRC(jbd2_complete_transaction, 0xdeb15df8, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x30d5031e, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x5f6032de, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0xf832b905, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x978d2708, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x19d32716, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x13b73d18, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x6f66efe2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x9342d9a2, "bh_uptodate_or_lock" },
	{ 0xa4089551, "blk_start_plug" },
	{ 0xe1125ab1, "bpf_trace_run4" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf843566c, "folio_unlock" },
	{ 0xc179f20b, "seq_release" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4147afd2, "bpf_trace_run6" },
	{ 0xc0d5424c, "mark_buffer_dirty" },
	{ 0x899751d6, "__find_get_block" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x615c62c7, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0xa1dfe0, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3aed0e3c, "write_dirty_buffer" },
	{ 0x54e51aae, "register_shrinker" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x943dc8aa, "crc32_be" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a59c29d, "iput" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x50888233, "seq_lseek" },
	{ 0x2f5d91d7, "blockdev_superblock" },
	{ 0x3fc9e277, "proc_create_data" },
	{ 0xf5c5bbf9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x538605db, "kmem_cache_create" },
	{ 0x8fca609a, "bpf_trace_run8" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xdf60273b, "submit_bh" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x84f7910, "alloc_buffer_head" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xa09cbd7f, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x7b351b18, "mutex_lock_io" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x12b7f8d6, "try_to_free_buffers" },
	{ 0x6dad5314, "sync_blockdev" },
	{ 0x1dda6a84, "free_buffer_head" },
	{ 0xf2332037, "unregister_shrinker" },
	{ 0x894683d1, "kmem_cache_alloc" },
	{ 0xc6488b31, "blk_finish_plug" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0x5a9dfbf0, "__kmap_local_page_prot" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf622db14, "__brelse" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x64958f73, "__bh_read_batch" },
	{ 0x497629f5, "bpf_trace_run5" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xab06fd53, "mem_section" },
	{ 0xfc5a32fd, "__wait_on_buffer" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x19e22e41, "kmem_cache_free" },
	{ 0x425e4760, "__bh_read" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x4eebba70, "blkdev_issue_zeroout" },
	{ 0x337d7ba4, "filemap_fdatawait_range_keep_errors" },
	{ 0x5275d2cb, "crypto_shash_update" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe5ab5e3e, "freezing_slow_path" },
	{ 0xd89da37f, "movable_zone" },
	{ 0x39887690, "bpf_trace_run1" },
	{ 0x10cf8c76, "proc_mkdir" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc4e9b676, "kthread_create_on_node" },
	{ 0x22391572, "bpf_trace_run3" },
	{ 0xe2fd670b, "seq_read" },
	{ 0xa5e64263, "unlock_buffer" },
	{ 0xcf9c11fd, "__getblk_gfp" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x61495dc5, "__folio_put" },
	{ 0x66b7268c, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xbc1cc9fe, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2716bacc, "truncate_inode_pages_range" },
	{ 0xe04aa362, "blkdev_issue_flush" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2ef6aff6, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x692dfc6a, "end_buffer_write_sync" },
	{ 0x2f020a1f, "seq_open" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xbe6b2f68, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x16ee9407, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7410aba2, "strreplace" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x3b259352, "kmem_cache_destroy" },
	{ 0xa23723e3, "blkdev_issue_discard" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3EFD2025328EECB4EE7B40D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
