#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0x6f8990a5, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0x865cdded, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0x3c30bde9, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0xa1fb6708, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0x211660b9, "_gpl");
SYMBOL_CRC(lockd_up, 0xa19eeb6f, "_gpl");
SYMBOL_CRC(lockd_down, 0x9d5d4ce3, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0x993f49ee, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x9cbde0a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a8991c9, "rpc_put_task" },
	{ 0xd9ae4d98, "svc_generic_rpcbind_set" },
	{ 0x37e7c5f4, "svc_wake_up" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xe1125ab1, "bpf_trace_run4" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf03eda61, "rpc_shutdown_client" },
	{ 0x6e3868e6, "svc_bind" },
	{ 0x6bf789f1, "proc_create" },
	{ 0x5a42fda2, "svc_recv" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xf4adceb3, "xdr_inline_decode" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5b747ec2, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7b2b2a24, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xd6b11a83, "vfs_test_lock" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x87e3eaae, "svc_exit_thread" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x17cc1b6b, "rpc_ntop" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xab8810c0, "param_get_ulong" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x424d1b36, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x861a197c, "__put_cred" },
	{ 0x52fa1c16, "register_pernet_subsys" },
	{ 0xa0995080, "locks_in_grace" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x8b17100c, "proc_dobool" },
	{ 0xcb56d1d1, "locks_lock_inode_wait" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x14c9be9e, "unregister_sysctl_table" },
	{ 0x999d8571, "locks_release_private" },
	{ 0x738803e6, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x87cd0501, "locks_init_lock" },
	{ 0x6dcd0fd7, "simple_transaction_release" },
	{ 0xa51d87d9, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x87f2f770, "svc_age_temp_xprts_now" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0x5af8e078, "down_write" },
	{ 0x2674a316, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0x4ec3e0b1, "svc_set_num_threads" },
	{ 0x5ee85f4d, "svc_rpcb_cleanup" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xcef003b4, "vfs_cancel_lock" },
	{ 0x1659547, "proc_doulongvec_minmax" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x53445f68, "nlm_debug" },
	{ 0xe5ab5e3e, "freezing_slow_path" },
	{ 0x576a48c0, "rpc_create" },
	{ 0xc0908dd0, "svc_destroy" },
	{ 0x9d289522, "rpc_call_start" },
	{ 0x88d1f808, "svc_create" },
	{ 0x6327eb62, "default_llseek" },
	{ 0xfeb56abd, "rpc_call_sync" },
	{ 0x10cf8c76, "proc_mkdir" },
	{ 0xf4da8e96, "unregister_pernet_subsys" },
	{ 0x21f7e610, "register_sysctl_sz" },
	{ 0x77893ab4, "vfs_lock_file" },
	{ 0x5747f2bc, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb4e35fa5, "svc_generic_init_request" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x4138d5eb, "svc_set_client" },
	{ 0xe74ef3d1, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc4e9b676, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x284674f8, "rpc_force_rebind" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x57ca11b0, "rpc_restart_call" },
	{ 0x6e846d10, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x66b7268c, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c97d32, "svc_find_xprt" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe542948, "proc_dointvec" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb4455fa5, "svc_print_addr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xd167ebbb, "locks_delete_block" },
	{ 0xd0d8621b, "strlen" },
	{ 0xf8c34a67, "locks_start_grace" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0xd8e1ec67, "param_get_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0x87e9fe26, "svc_xprt_create" },
	{ 0x9c646c6c, "rpc_wait_for_completion_task" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xfb723c02, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xac6e47b2, "proc_dointvec_minmax" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "D518FE25F8CDF23A4DC9CE4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
