#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x970c32, "fsverity_get_digest" },
	{ 0x4e7550c0, "inode_init_owner" },
	{ 0x6d5c1198, "__d_drop" },
	{ 0x421d4dcf, "krealloc" },
	{ 0xb39357f2, "vfs_fsync_range" },
	{ 0xba1204f5, "setattr_prepare" },
	{ 0x57ccfeb7, "vfs_removexattr" },
	{ 0x3201337d, "clear_nlink" },
	{ 0x86d3a74d, "vfs_fileattr_get" },
	{ 0x51eed785, "vfs_listxattr" },
	{ 0x57dbc458, "generic_fill_statx_attr" },
	{ 0x8620be4e, "revert_creds" },
	{ 0xb072a5fd, "d_instantiate" },
	{ 0x5c7b4a59, "vfs_dedupe_file_range_one" },
	{ 0x1eb76406, "make_vfsgid" },
	{ 0xbf4b9a8c, "vfs_setxattr" },
	{ 0xd24b8ce8, "notify_change" },
	{ 0x21720609, "d_alloc_anon" },
	{ 0x31a8db30, "vfs_getattr" },
	{ 0x6d682c53, "vfs_rename" },
	{ 0x71b80790, "clone_private_mount" },
	{ 0x869c4e0f, "fs_param_is_string" },
	{ 0xfee1b5e2, "param_ops_ushort" },
	{ 0xb7c6fe53, "lookup_one_len" },
	{ 0x8ed5cf00, "lookup_one_unlocked" },
	{ 0x8235805b, "memmove" },
	{ 0x48ef8213, "inode_insert5" },
	{ 0xc705e5a, "new_inode" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xb2fcc398, "init_special_inode" },
	{ 0xeac02191, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x7bbc26a4, "iterate_dir" },
	{ 0xedd09d00, "d_instantiate_anon" },
	{ 0xed3578bf, "inode_set_flags" },
	{ 0x110f2c1b, "is_subdir" },
	{ 0xbe276dd4, "d_make_root" },
	{ 0x59e649f2, "sync_filesystem" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0x2672053f, "d_splice_alias" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x269ccecd, "ihold" },
	{ 0x37e89736, "d_find_any_alias" },
	{ 0xf1c126cd, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a59c29d, "iput" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x689aa64, "fs_param_is_enum" },
	{ 0xee1669c0, "wrap_directory_iterator" },
	{ 0x4fd6fb7d, "logfc" },
	{ 0x8b89814, "security_file_ioctl" },
	{ 0x9bd1ba2f, "iter_file_splice_write" },
	{ 0x5f5f3111, "kern_unmount_array" },
	{ 0xada22fee, "do_splice_direct" },
	{ 0xfddfe33f, "register_filesystem" },
	{ 0x538605db, "kmem_cache_create" },
	{ 0x324654ab, "vfs_unlink" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8069aae3, "ns_capable_noaudit" },
	{ 0xc0b4e831, "path_put" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2d7aee14, "vfs_copy_file_range" },
	{ 0xad969f31, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5d422237, "make_vfsuid" },
	{ 0x861a197c, "__put_cred" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0xd8283629, "backing_file_open" },
	{ 0xcec64942, "vfs_splice_read" },
	{ 0xbe6c1230, "vfs_mkdir" },
	{ 0x8e321169, "get_tree_nodev" },
	{ 0xaadf4bc2, "kernel_tmpfile_open" },
	{ 0xb950ffb8, "vfs_statfs" },
	{ 0x2c1e87bc, "lookup_one" },
	{ 0x54837d33, "lookup_one_positive_unlocked" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x3fed4306, "d_drop" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x8fa8a9aa, "exportfs_decode_fh" },
	{ 0xc56065cf, "unlock_new_inode" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4630185f, "vfs_iter_read" },
	{ 0x48d31c47, "vfs_fallocate" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x24d1127d, "vfs_iocb_iter_write" },
	{ 0xeff0643d, "mnt_want_write" },
	{ 0x738803e6, "strnlen" },
	{ 0x894683d1, "kmem_cache_alloc" },
	{ 0xd8b7bf1f, "get_inode_acl" },
	{ 0x1a38045b, "capable_wrt_inode_uidgid" },
	{ 0x7bffc313, "do_clone_file_range" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9b7077f3, "mntput" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x4113ab31, "inode_init_once" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x52fcddf2, "vfs_remove_acl" },
	{ 0xc8bab48b, "seq_escape_mem" },
	{ 0xff2490a2, "ilookup5" },
	{ 0x49f26466, "kstrndup" },
	{ 0x7231f523, "prepare_creds" },
	{ 0x10f6ddda, "posix_acl_create" },
	{ 0xca627062, "vfs_get_link" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xa82feb58, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa01bbfec, "exportfs_encode_fh" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9fefb4ce, "set_nlink" },
	{ 0x7e4b7c0f, "lock_rename" },
	{ 0x19e22e41, "kmem_cache_free" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xc5a77435, "seq_putc" },
	{ 0x15214a5c, "from_kgid" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x75c77096, "vfs_getxattr" },
	{ 0xb8c45189, "file_remove_privs" },
	{ 0x5152e605, "memcmp" },
	{ 0x942b1ffe, "vma_set_file" },
	{ 0xf0a343ed, "release_dentry_name_snapshot" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x2d994605, "security_inode_copy_up_xattr" },
	{ 0xe23289e7, "from_kuid" },
	{ 0x4d659158, "kern_path" },
	{ 0x115bf791, "vfs_parse_monolithic_sep" },
	{ 0xf31b1315, "vfs_iocb_iter_read" },
	{ 0x707ac555, "vfs_set_acl" },
	{ 0xfc4b0b69, "vfs_fadvise" },
	{ 0x90fc8fdb, "vfs_iter_write" },
	{ 0xc44a4465, "inode_owner_or_capable" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0x73745bbe, "__insert_inode_hash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d3640a4, "unlock_rename" },
	{ 0xe914b0da, "vfs_rmdir" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xcf3d6a47, "security_inode_copy_up" },
	{ 0x560f4402, "mnt_drop_write" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3ea77e76, "override_creds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf1b6507f, "security_dentry_create_files_as" },
	{ 0x120643ab, "noop_direct_IO" },
	{ 0x88ce1efa, "vfs_symlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb053e614, "generic_read_dir" },
	{ 0x7bf60fcb, "vfs_fsync" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x545d52e6, "down_write_killable" },
	{ 0xdc1a78c, "bin2hex" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x1e1919c3, "vfs_mknod" },
	{ 0x3231fce2, "lookup_positive_unlocked" },
	{ 0x4aed611, "init_user_ns" },
	{ 0xe7a46246, "vfs_path_lookup" },
	{ 0xefd2848, "dentry_open" },
	{ 0x5a78aced, "inc_nlink" },
	{ 0x4d927f76, "vfs_fileattr_set" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xe77ce04b, "dput" },
	{ 0xc736b6b4, "take_dentry_name_snapshot" },
	{ 0x32eaec7b, "lockref_get" },
	{ 0xad94e3a5, "generic_delete_inode" },
	{ 0xa78a8557, "touch_atime" },
	{ 0x20471e79, "__percpu_down_read" },
	{ 0x31582fb0, "vfs_clone_file_range" },
	{ 0x1f4c4687, "vfs_llseek" },
	{ 0x3eb13a32, "kernel_file_open" },
	{ 0xc8836361, "seq_puts" },
	{ 0x58d67cef, "rcuwait_wake_up" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x88e4515a, "__fs_parse" },
	{ 0xeef83ea, "vfs_link" },
	{ 0xf39f4dfd, "dget_parent" },
	{ 0xd65eb31a, "kill_anon_super" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xe172cae2, "iget5_locked" },
	{ 0xfb60faf5, "posix_acl_clone" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x4ab29b65, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbd76b91c, "get_cached_acl_rcu" },
	{ 0x349cba85, "strchr" },
	{ 0xc98083b0, "__mnt_is_readonly" },
	{ 0xa362c5aa, "kmem_cache_alloc_lru" },
	{ 0x47f84b31, "d_invalidate" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3325835a, "vfs_get_acl" },
	{ 0xceab0311, "strchrnul" },
	{ 0x29f3a126, "up_read" },
	{ 0x6f0612c1, "drop_nlink" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x3b259352, "kmem_cache_destroy" },
	{ 0x1620446, "vfs_create" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8A811D2EB670F3500D7A3A7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
