#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ax25_bcast, "_gpl", "");
KSYMTAB_DATA(ax25_defaddr, "_gpl", "");
KSYMTAB_DATA(null_ax25_address, "", "");
KSYMTAB_FUNC(ax2asc, "", "");
KSYMTAB_FUNC(asc2ax, "", "");
KSYMTAB_FUNC(ax25cmp, "", "");
KSYMTAB_FUNC(ax25_register_pid, "_gpl", "");
KSYMTAB_FUNC(ax25_protocol_release, "", "");
KSYMTAB_FUNC(ax25_linkfail_register, "", "");
KSYMTAB_FUNC(ax25_linkfail_release, "", "");
KSYMTAB_FUNC(ax25_listen_register, "", "");
KSYMTAB_FUNC(ax25_listen_release, "", "");
KSYMTAB_DATA(ax25_header_ops, "", "");
KSYMTAB_FUNC(ax25_ip_xmit, "", "");
KSYMTAB_FUNC(ax25_send_frame, "", "");
KSYMTAB_FUNC(ax25_display_timer, "", "");
KSYMTAB_DATA(ax25_uid_policy, "", "");
KSYMTAB_FUNC(ax25_findbyuid, "", "");
KSYMTAB_FUNC(ax25_find_cb, "", "");

SYMBOL_CRC(ax25_bcast, 0xac93ae05, "_gpl");
SYMBOL_CRC(ax25_defaddr, 0xaeb7451e, "_gpl");
SYMBOL_CRC(null_ax25_address, 0xd43ecbf1, "");
SYMBOL_CRC(ax2asc, 0x53dea1ff, "");
SYMBOL_CRC(asc2ax, 0x4502c65a, "");
SYMBOL_CRC(ax25cmp, 0xc1444946, "");
SYMBOL_CRC(ax25_register_pid, 0xd4205f83, "_gpl");
SYMBOL_CRC(ax25_protocol_release, 0x8ede9e26, "");
SYMBOL_CRC(ax25_linkfail_register, 0xc449af1e, "");
SYMBOL_CRC(ax25_linkfail_release, 0x516c1cf6, "");
SYMBOL_CRC(ax25_listen_register, 0x264aca9b, "");
SYMBOL_CRC(ax25_listen_release, 0xe1732d62, "");
SYMBOL_CRC(ax25_header_ops, 0x57469c4c, "");
SYMBOL_CRC(ax25_ip_xmit, 0x4ffe8745, "");
SYMBOL_CRC(ax25_send_frame, 0x5e598388, "");
SYMBOL_CRC(ax25_display_timer, 0x14cecd59, "");
SYMBOL_CRC(ax25_uid_policy, 0x242852b9, "");
SYMBOL_CRC(ax25_findbyuid, 0xee02e420, "");
SYMBOL_CRC(ax25_find_cb, 0x7a583d22, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x4f20e4ba, "skb_free_datagram" },
	{ 0xaf5d132f, "sock_queue_rcv_skb_reason" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x393e67ed, "skb_put" },
	{ 0xadfcda0a, "skb_expand_head" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x384c5004, "dev_add_pack" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x60192d05, "__skb_try_recv_datagram" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x68bed270, "__dev_get_by_name" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb23c920b, "skb_queue_purge_reason" },
	{ 0xc66a4a6e, "register_net_sysctl_sz" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x7d5e711e, "proto_unregister" },
	{ 0x4292364c, "schedule" },
	{ 0xd853510d, "sock_register" },
	{ 0xdbcf64db, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x110718d3, "make_kuid" },
	{ 0x738803e6, "strnlen" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf0f5dd21, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0x2674a316, "init_net" },
	{ 0xf2659707, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xca2f9ca9, "dev_remove_pack" },
	{ 0xb82de595, "sk_free" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0x543ef284, "seq_hlist_start" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xcac98656, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc17f3fec, "skb_copy_datagram_iter" },
	{ 0x9b1f14e5, "__skb_wait_for_more_packets" },
	{ 0x16a3b8cf, "sk_alloc" },
	{ 0xb894824e, "sock_no_socketpair" },
	{ 0xf9a315c8, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbbd17c71, "sock_no_mmap" },
	{ 0xce17d262, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x319e4d85, "sock_rfree" },
	{ 0xeea0399, "strscpy" },
	{ 0xb26bae07, "sock_i_ino" },
	{ 0xa91920b8, "__dev_queue_xmit" },
	{ 0x74eeec28, "skb_set_owner_w" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xc6aa8bec, "sock_alloc_send_pskb" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x66b7268c, "remove_proc_entry" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xd9096340, "skb_copy" },
	{ 0xbd9b2645, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1dd6243a, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc8836361, "seq_puts" },
	{ 0x672411dd, "sock_gettstamp" },
	{ 0x75a6294e, "send_sig" },
	{ 0x493cde7d, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x55aa3a5a, "from_kuid_munged" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xf65ab5c, "iov_iter_revert" },
	{ 0x26f4421b, "proc_create_seq_private" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8c1a89b9, "sock_init_data" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xac8d39b8, "release_sock" },
	{ 0x5cafcba8, "skb_queue_head" },
	{ 0xac6e47b2, "proc_dointvec_minmax" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B1C700319A8D57EA9B01FAD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
