#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x419b8643, "");
SYMBOL_CRC(bt_sock_register, 0x1119ab4a, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x41f7a7a4, "");
SYMBOL_CRC(bt_sock_link, 0x7d925f42, "");
SYMBOL_CRC(bt_sock_unlink, 0x4810c472, "");
SYMBOL_CRC(bt_accept_enqueue, 0x038317dd, "");
SYMBOL_CRC(bt_accept_unlink, 0x6e3031af, "");
SYMBOL_CRC(bt_accept_dequeue, 0x30d6e6ee, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x20c99121, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0xd34e7bba, "");
SYMBOL_CRC(bt_sock_poll, 0xe0e576dc, "");
SYMBOL_CRC(bt_sock_ioctl, 0xb42010ac, "");
SYMBOL_CRC(bt_sock_wait_state, 0x5a204b40, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x96b739b8, "");
SYMBOL_CRC(bt_procfs_init, 0xd704d646, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x6b840f94, "");
SYMBOL_CRC(bt_debugfs, 0x0da7767f, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0xeeb10539, "");
SYMBOL_CRC(hci_free_dev, 0x9477c7b3, "");
SYMBOL_CRC(hci_register_dev, 0xb0b4802f, "");
SYMBOL_CRC(hci_unregister_dev, 0xfcd15141, "");
SYMBOL_CRC(hci_release_dev, 0xf6982067, "");
SYMBOL_CRC(hci_suspend_dev, 0xfeec0efc, "");
SYMBOL_CRC(hci_resume_dev, 0xcb4ad775, "");
SYMBOL_CRC(hci_reset_dev, 0xb9350b11, "");
SYMBOL_CRC(hci_recv_frame, 0x7bf37dc0, "");
SYMBOL_CRC(hci_recv_diag, 0xa028417f, "");
SYMBOL_CRC(hci_set_hw_info, 0x9d6556ec, "");
SYMBOL_CRC(hci_set_fw_info, 0x632ee527, "");
SYMBOL_CRC(hci_register_cb, 0xf7b1f647, "");
SYMBOL_CRC(hci_unregister_cb, 0x83d134ec, "");
SYMBOL_CRC(__hci_cmd_send, 0x6909325c, "");
SYMBOL_CRC(hci_get_route, 0xdba8107c, "");
SYMBOL_CRC(hci_conn_security, 0x2723f3a1, "");
SYMBOL_CRC(hci_conn_check_secure, 0x9a307fc8, "");
SYMBOL_CRC(hci_conn_switch_role, 0xe0f21076, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0xee5cc410, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x442f8585, "");
SYMBOL_CRC(l2cap_add_psm, 0xdb26b5e5, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x9477d923, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xe11c7e4e, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0xc9717c96, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xa02a6311, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x37ccde5c, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0xa3ca9780, "");
SYMBOL_CRC(l2cap_register_user, 0xecb767f3, "");
SYMBOL_CRC(l2cap_unregister_user, 0xd6871f22, "");
SYMBOL_CRC(l2cap_conn_get, 0x8b5f7f4e, "");
SYMBOL_CRC(l2cap_conn_put, 0x5c8e57a3, "");
SYMBOL_CRC(l2cap_chan_send, 0x65f9f0d4, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x39f80dab, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x4112ead6, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x45196edc, "");
SYMBOL_CRC(__hci_cmd_sync, 0x1a26b895, "");
SYMBOL_CRC(hci_cmd_sync, 0xaa095f58, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0xaee68e59, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x8ae1745a, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x43626dcc, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0xf03f8ae7, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x3b69ad44, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0xd678acf1, "");
SYMBOL_CRC(hci_devcd_rx, 0xb4870d75, "");
SYMBOL_CRC(hci_devcd_timeout, 0x32c9a10c, "");
SYMBOL_CRC(hci_devcd_register, 0x90ed5399, "");
SYMBOL_CRC(hci_devcd_init, 0xb4612888, "");
SYMBOL_CRC(hci_devcd_append, 0x56e4e861, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x7eea3fe2, "");
SYMBOL_CRC(hci_devcd_complete, 0x78017a98, "");
SYMBOL_CRC(hci_devcd_abort, 0x8a2b6967, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x4f20e4ba, "skb_free_datagram" },
	{ 0xaf5d132f, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0xb7d29282, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x393e67ed, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xc178387e, "dev_set_name" },
	{ 0x561c4ed6, "scm_detach_fds" },
	{ 0x82f2c537, "crypto_shash_tfm_digest" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xfc75564e, "led_trigger_register_simple" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x50888233, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x766862a4, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x5545a3af, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0xa59dd472, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc66cb16c, "__module_get" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0xca6f58f5, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x4997ee1a, "__pskb_copy_fclone" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x861a197c, "__put_cred" },
	{ 0x431b4313, "put_cmsg" },
	{ 0xb23c920b, "skb_queue_purge_reason" },
	{ 0xa09cbd7f, "crypto_destroy_tfm" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xbabe57b3, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x7d5e711e, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd853510d, "sock_register" },
	{ 0xdbcf64db, "datagram_poll" },
	{ 0x9ed01c98, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb79f2512, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xf0f5dd21, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0x78b5b683, "module_put" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xc3700f9a, "__sock_recv_timestamp" },
	{ 0x68dec8af, "sock_no_shutdown" },
	{ 0x47f330c6, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcde807b1, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x2674a316, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x9644e0a4, "crypto_shash_setkey" },
	{ 0xf2659707, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa972f676, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xca654e35, "init_uts_ns" },
	{ 0xb82de595, "sk_free" },
	{ 0x2fa02068, "device_move" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0xd72408d4, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x52c51605, "sock_no_listen" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xc5a77435, "seq_putc" },
	{ 0xf102732a, "crc16" },
	{ 0xc6017dc4, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x59ef1ddb, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x9a5423f3, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0xdd745464, "cancel_work" },
	{ 0xcac98656, "lock_sock_nested" },
	{ 0xdfe71211, "device_find_child" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x2a6f879, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc17f3fec, "skb_copy_datagram_iter" },
	{ 0x10bc2661, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x16a3b8cf, "sk_alloc" },
	{ 0x7ce71b17, "device_del" },
	{ 0x5f29504a, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x7a148112, "__sock_recv_wifi_status" },
	{ 0xe23289e7, "from_kuid" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xb894824e, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x38a0ca1a, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbbd17c71, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0x6df94236, "__scm_destroy" },
	{ 0x8738a386, "from_kgid_munged" },
	{ 0x4c6b4c3, "__crypto_memneq" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xa2c069c4, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbef5113b, "devm_kasprintf" },
	{ 0xe2fd670b, "seq_read" },
	{ 0xb26bae07, "sock_i_ino" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0xa91418cf, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x17197ad6, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xa373d4f7, "skb_recv_datagram" },
	{ 0xc6aa8bec, "sock_alloc_send_pskb" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x66b7268c, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd9096340, "skb_copy" },
	{ 0xbd9b2645, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1dd6243a, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xbdbb0d14, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xc8836361, "seq_puts" },
	{ 0x672411dd, "sock_gettstamp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x88d47c17, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xc5462e92, "pid_vnr" },
	{ 0x55aa3a5a, "from_kuid_munged" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x1a86ece7, "led_trigger_event" },
	{ 0xd0d8621b, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xf65ab5c, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x26f4421b, "proc_create_seq_private" },
	{ 0x89ba77c3, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x16ee9407, "crypto_alloc_shash" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x364d41ac, "fwnode_property_read_u8_array" },
	{ 0xa75dbaf0, "put_pid" },
	{ 0xa6ee30dc, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x8c1a89b9, "sock_init_data" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb136917, "__dev_fwnode" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xac8d39b8, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5cafcba8, "skb_queue_head" },
	{ 0x92b57248, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill");


MODULE_INFO(srcversion, "C56CD504A74B416B9AAE97F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
