#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0x1b183323, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x4378fa7a, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0xd1d15d2f, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0xb8c67bfb, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x8171199a, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0x5d9e26c8, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x9084ad92, "_gpl");
SYMBOL_CRC(dccp_child_process, 0xf9ca2ba3, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0x0aed43a5, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0xea767f83, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0x12488a71, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0x28a06ad1, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0x7f825110, "_gpl");
SYMBOL_CRC(dccp_make_response, 0x628006a4, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0xf4aa6d94, "_gpl");
SYMBOL_CRC(dccp_connect, 0xf37639aa, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0x97c56ad8, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x9693c05b, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0xd7cdb975, "_gpl");
SYMBOL_CRC(dccp_set_state, 0x49f5ede0, "_gpl");
SYMBOL_CRC(dccp_done, 0xf4a46179, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0x852e17b1, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x7358ba8d, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0x5bc41de7, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0x821eee6f, "_gpl");
SYMBOL_CRC(dccp_poll, 0x868d568a, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0xe1f05030, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0x12e1f529, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0xe59d56be, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0xbbf9eec3, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0xa43a87e3, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0x307aa987, "_gpl");
SYMBOL_CRC(dccp_close, 0x3a2ff75d, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0x13c3e91c, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3e0a087f, "inet_hashinfo2_init_mod" },
	{ 0x19a67271, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x174e6c46, "inet_ehash_locks_alloc" },
	{ 0x393e67ed, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x8d95a567, "sock_wmalloc" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0x6ec7af6d, "proc_dointvec_ms_jiffies" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xf5c5bbf9, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7d9655f0, "inet_csk_clear_xmit_timers" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x538605db, "kmem_cache_create" },
	{ 0x22349fa4, "inet_twsk_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751f341d, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0xc66a4a6e, "register_net_sysctl_sz" },
	{ 0xdacccab4, "inet_sock_destruct" },
	{ 0xf41b4123, "inet_put_port" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x805c185, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xa0b7e54e, "sk_reset_timer" },
	{ 0x894683d1, "kmem_cache_alloc" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0xf423b3f6, "sk_stream_wait_close" },
	{ 0xd5385806, "inet_twsk_hashdance" },
	{ 0xc924678a, "__kmalloc_node_track_caller" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0x2674a316, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa96f283, "ip6_mtu" },
	{ 0xb82de595, "sk_free" },
	{ 0x722d8c75, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x8989f82e, "skb_push" },
	{ 0x19e22e41, "kmem_cache_free" },
	{ 0x1659547, "proc_doulongvec_minmax" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x96603250, "kmalloc_large" },
	{ 0xcac98656, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xc17f3fec, "skb_copy_datagram_iter" },
	{ 0x983dadd6, "tcp_stream_memory_free" },
	{ 0x17d63fca, "skb_checksum" },
	{ 0x2bc95bd4, "memset" },
	{ 0x987fbe36, "sk_wait_data" },
	{ 0xe581c91d, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2c069c4, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4cb7354, "inet_csk_listen_start" },
	{ 0x5e905d9e, "sk_free_unlock_clone" },
	{ 0x319e4d85, "sock_rfree" },
	{ 0x23e15137, "ipv4_mtu" },
	{ 0x74eeec28, "skb_set_owner_w" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0xc6aa8bec, "sock_alloc_send_pskb" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xbd9b2645, "skb_clone" },
	{ 0x6c547468, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb02eaece, "dst_release" },
	{ 0x171e9e48, "sk_stream_wait_connect" },
	{ 0x1dd6243a, "_copy_from_iter" },
	{ 0xea8b44e4, "inet_csk_destroy_sock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x72c1edc8, "sk_stop_timer" },
	{ 0x493cde7d, "unregister_net_sysctl_table" },
	{ 0x18e12b63, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x6f132701, "param_ops_int" },
	{ 0xf65ab5c, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9407ec1d, "inet_csk_listen_stop" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x85912a2f, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x3b259352, "kmem_cache_destroy" },
	{ 0xa019ccf7, "inet_csk_complete_hashdance" },
	{ 0xac8d39b8, "release_sock" },
	{ 0xe0c8a9ec, "inet_csk_reqsk_queue_drop" },
	{ 0xcd7da74d, "__inet_twsk_schedule" },
	{ 0xac6e47b2, "proc_dointvec_minmax" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "667C973E08655E0DAEAF495");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
