#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0xf9843ba2, "_gpl");
SYMBOL_CRC(dccp_req_err, 0xade526e9, "");
SYMBOL_CRC(dccp_v4_send_check, 0x7fd0c76b, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0xe5a323af, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x0db12882, "");
SYMBOL_CRC(dccp_v4_conn_request, 0x535bc10d, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0xd6c0d93d, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x903ff914, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3fa715f, "__inet_lookup_established" },
	{ 0x19a67271, "inet_bhash2_reset_saddr" },
	{ 0x8053e1c3, "inet_csk_addr2sockaddr" },
	{ 0x67ddad43, "inet_unregister_protosw" },
	{ 0xfc029397, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x13c3e91c, "dccp_shutdown" },
	{ 0xa2f7742c, "inet_bhash2_update_saddr" },
	{ 0xf37639aa, "dccp_connect" },
	{ 0xb8c67bfb, "dccp_rcv_state_process" },
	{ 0xaed43a5, "dccp_reqsk_send_ack" },
	{ 0x38754d14, "inet_lookup_reuseport" },
	{ 0xdea2236b, "__inet_lookup_listener" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xfd0b5d1b, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2fca85b4, "sock_common_getsockopt" },
	{ 0xc7f6f6e1, "inet_bind" },
	{ 0x8d248eed, "__inet_inherit_port" },
	{ 0x307aa987, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b5c7747, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x116a2d58, "__xfrm_policy_check" },
	{ 0x5c6ce67c, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x99d57227, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5f7ff563, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751f341d, "sk_error_report" },
	{ 0x52fa1c16, "register_pernet_subsys" },
	{ 0x441fa4c7, "inet_ehash_nolisten" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xa8af4359, "inet_getname" },
	{ 0x2dc424aa, "inet_stream_connect" },
	{ 0x7d5e711e, "proto_unregister" },
	{ 0x8b2d6ab4, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2eaaf02d, "inet_ehashfn" },
	{ 0x2290148f, "inet_twsk_purge" },
	{ 0xf4a46179, "dccp_done" },
	{ 0x259e7e0d, "inet_release" },
	{ 0x18793b0b, "__sk_dst_check" },
	{ 0x821eee6f, "dccp_disconnect" },
	{ 0x9bb014dd, "ip_route_output_key_hash" },
	{ 0xf0f5dd21, "proto_register" },
	{ 0x55a48aa6, "inet_hash" },
	{ 0x5b095e0d, "__sk_receive_skb" },
	{ 0x868d568a, "dccp_poll" },
	{ 0x1813be08, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0x24acad0b, "inet_csk_get_port" },
	{ 0x8d8225e2, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x6acefe99, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x8c6c38d5, "inet_accept" },
	{ 0x7f825110, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa96f283, "ip6_mtu" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xfdefac98, "inet_add_protocol" },
	{ 0x915c2a09, "inet_shutdown" },
	{ 0xb82de595, "sk_free" },
	{ 0x3a2ff75d, "dccp_close" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0xea767f83, "dccp_reqsk_init" },
	{ 0x285e903a, "inet_hash_connect" },
	{ 0x19e22e41, "kmem_cache_free" },
	{ 0xb8a79039, "inet_csk_route_child_sock" },
	{ 0x3b6e7d4, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x61336eb, "security_sk_classify_flow" },
	{ 0xd75f9b5f, "inet_csk_update_pmtu" },
	{ 0xe59d56be, "dccp_getsockopt" },
	{ 0x12488a71, "dccp_parse_options" },
	{ 0xf4da8e96, "unregister_pernet_subsys" },
	{ 0x17d63fca, "skb_checksum" },
	{ 0xb894824e, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbbd17c71, "sock_no_mmap" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0xf9ca2ba3, "dccp_child_process" },
	{ 0x8169b556, "sock_common_recvmsg" },
	{ 0x12e1f529, "dccp_setsockopt" },
	{ 0xe1f05030, "dccp_ioctl" },
	{ 0xe543a4ef, "inet_sk_rebuild_header" },
	{ 0xc04fd760, "inet_del_protocol" },
	{ 0x23e15137, "ipv4_mtu" },
	{ 0xa43a87e3, "dccp_recvmsg" },
	{ 0x17a9db52, "inet_sendmsg" },
	{ 0x9084ad92, "dccp_check_req" },
	{ 0x5d9e26c8, "dccp_create_openreq_child" },
	{ 0x4d4300d1, "inet_csk_prepare_forced_close" },
	{ 0x2f4ab576, "security_skb_classify_flow" },
	{ 0xdbc6c11b, "sock_pfree" },
	{ 0xd1d15d2f, "dccp_rcv_established" },
	{ 0x9693c05b, "dccp_send_sync" },
	{ 0xb02eaece, "dst_release" },
	{ 0xb52a1b95, "sock_release" },
	{ 0x628006a4, "dccp_make_response" },
	{ 0x5bc41de7, "dccp_destroy_sock" },
	{ 0xf4aa6d94, "dccp_ctl_make_reset" },
	{ 0x672411dd, "sock_gettstamp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdd823b97, "sk_setup_caps" },
	{ 0x1341ac9a, "ip_build_and_send_pkt" },
	{ 0xbbf9eec3, "dccp_sendmsg" },
	{ 0x3b7a016f, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0xc4bbcefa, "inet_twsk_put" },
	{ 0x18a4ffdc, "inet_unhash" },
	{ 0x347bd708, "ip_getsockopt" },
	{ 0x49f5ede0, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7358ba8d, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0xe0c8a9ec, "inet_csk_reqsk_queue_drop" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "DFBD5985C01B499BFF6DDEF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
