#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x19a67271, "inet_bhash2_reset_saddr" },
	{ 0xe746776e, "inet6_csk_addr2sockaddr" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x45f0554b, "inet6_lookup_reuseport" },
	{ 0xf9843ba2, "dccp_v4_connect" },
	{ 0xfc029397, "ip_queue_xmit" },
	{ 0x8ef22871, "__fl6_sock_lookup" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x13c3e91c, "dccp_shutdown" },
	{ 0xa2f7742c, "inet_bhash2_update_saddr" },
	{ 0xf37639aa, "dccp_connect" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0xb8c67bfb, "dccp_rcv_state_process" },
	{ 0xaed43a5, "dccp_reqsk_send_ack" },
	{ 0x4a9fcece, "inet6_bind" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xfd0b5d1b, "inet_csk_accept" },
	{ 0x41d2268, "inet6_unregister_protosw" },
	{ 0xbe4eb6ed, "secure_dccpv6_sequence_number" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2fca85b4, "sock_common_getsockopt" },
	{ 0x8d248eed, "__inet_inherit_port" },
	{ 0x307aa987, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f2ba55e, "security_req_classify_flow" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x116a2d58, "__xfrm_policy_check" },
	{ 0xa0d48637, "inet6_sk_rebuild_header" },
	{ 0x5c6ce67c, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfa2d9535, "__sk_mem_schedule" },
	{ 0xbb9506ba, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5f7ff563, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xdb12882, "dccp_syn_ack_timeout" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751f341d, "sk_error_report" },
	{ 0x52fa1c16, "register_pernet_subsys" },
	{ 0x441fa4c7, "inet_ehash_nolisten" },
	{ 0x71022ab2, "inet6_del_protocol" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x903ff914, "dccp_invalid_packet" },
	{ 0x2dc424aa, "inet_stream_connect" },
	{ 0x7d5e711e, "proto_unregister" },
	{ 0x7fd0c76b, "dccp_v4_send_check" },
	{ 0x8b2d6ab4, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2290148f, "inet_twsk_purge" },
	{ 0xf4a46179, "dccp_done" },
	{ 0x18793b0b, "__sk_dst_check" },
	{ 0x821eee6f, "dccp_disconnect" },
	{ 0xf0f5dd21, "proto_register" },
	{ 0x852e17b1, "dccp_destruct_common" },
	{ 0x5b095e0d, "__sk_receive_skb" },
	{ 0x868d568a, "dccp_poll" },
	{ 0x1813be08, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0x24acad0b, "inet_csk_get_port" },
	{ 0x47f330c6, "sk_filter_trim_cap" },
	{ 0x6acefe99, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x27a37a2e, "inet6_hash" },
	{ 0x8c6c38d5, "inet_accept" },
	{ 0x8c428abe, "inet6_hash_connect" },
	{ 0x7f825110, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa96f283, "ip6_mtu" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0x915c2a09, "inet_shutdown" },
	{ 0xb82de595, "sk_free" },
	{ 0x3a2ff75d, "dccp_close" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0xea767f83, "dccp_reqsk_init" },
	{ 0x19e22e41, "kmem_cache_free" },
	{ 0x4904c8a9, "fl6_update_dst" },
	{ 0x7de656b2, "inet6_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x39c4d5e, "inet6_ioctl" },
	{ 0x61336eb, "security_sk_classify_flow" },
	{ 0xe59d56be, "dccp_getsockopt" },
	{ 0x12488a71, "dccp_parse_options" },
	{ 0xe5a323af, "dccp_v4_request_recv_sock" },
	{ 0xec08850f, "__inet6_lookup_established" },
	{ 0xf4da8e96, "unregister_pernet_subsys" },
	{ 0xe2e41cef, "ip6_dst_lookup_flow" },
	{ 0x17d63fca, "skb_checksum" },
	{ 0xb894824e, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbbd17c71, "sock_no_mmap" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0xf9ca2ba3, "dccp_child_process" },
	{ 0x8169b556, "sock_common_recvmsg" },
	{ 0x12e1f529, "dccp_setsockopt" },
	{ 0xe1f05030, "dccp_ioctl" },
	{ 0x73e03ce7, "inet6_csk_xmit" },
	{ 0x319e4d85, "sock_rfree" },
	{ 0x5943ae2, "inet6_getname" },
	{ 0x6bce1a79, "inet6_sock_destruct" },
	{ 0xe543a4ef, "inet_sk_rebuild_header" },
	{ 0xaeeb7efe, "ip6_xmit" },
	{ 0x23e15137, "ipv4_mtu" },
	{ 0xa43a87e3, "dccp_recvmsg" },
	{ 0x297b1356, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x2459dc0, "inet6_release" },
	{ 0x17a9db52, "inet_sendmsg" },
	{ 0x9084ad92, "dccp_check_req" },
	{ 0x522b0514, "ipv6_dup_options" },
	{ 0x5d9e26c8, "dccp_create_openreq_child" },
	{ 0x4d4300d1, "inet_csk_prepare_forced_close" },
	{ 0x535bc10d, "dccp_v4_conn_request" },
	{ 0x2f4ab576, "security_skb_classify_flow" },
	{ 0xade526e9, "dccp_req_err" },
	{ 0xdbc6c11b, "sock_pfree" },
	{ 0xd1d15d2f, "dccp_rcv_established" },
	{ 0xbd9b2645, "skb_clone" },
	{ 0xb02eaece, "dst_release" },
	{ 0xb52a1b95, "sock_release" },
	{ 0x628006a4, "dccp_make_response" },
	{ 0x5bc41de7, "dccp_destroy_sock" },
	{ 0xf4aa6d94, "dccp_ctl_make_reset" },
	{ 0x672411dd, "sock_gettstamp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdd823b97, "sk_setup_caps" },
	{ 0xe8e116b1, "ipv6_opt_accepted" },
	{ 0xbbf9eec3, "dccp_sendmsg" },
	{ 0x718210d8, "inet6_lookup_listener" },
	{ 0xc47704bb, "inet6_add_protocol" },
	{ 0xc2788d42, "ipv6_flowlabel_exclusive" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0xc4bbcefa, "inet_twsk_put" },
	{ 0x18a4ffdc, "inet_unhash" },
	{ 0x430a060c, "ipv6_getsockopt" },
	{ 0x49f5ede0, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe0878059, "inet6_csk_update_pmtu" },
	{ 0xd6c0d93d, "dccp_v4_do_rcv" },
	{ 0x85912a2f, "__kfree_skb" },
	{ 0xec57e372, "inet6_ehashfn" },
	{ 0x7358ba8d, "dccp_init_sock" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "dccp_ipv4,dccp");


MODULE_INFO(srcversion, "87362003F04278E34A49566");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
