#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0xe559a45f, "");
SYMBOL_CRC(is_hsr_master, 0x4e7b67cd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe70676e3, "dev_set_mtu" },
	{ 0x6bdfdbf3, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x52475cc, "eth_header" },
	{ 0x393e67ed, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5aa21ae1, "netdev_update_features" },
	{ 0x8235805b, "memmove" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x893ea92d, "rtnl_link_register" },
	{ 0xdfb2a7f9, "genlmsg_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a6f4e8e, "dev_set_promiscuity" },
	{ 0x50888233, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x653c3fdf, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x271bf58, "unregister_netdevice_queue" },
	{ 0xd4d89d44, "netlink_ack" },
	{ 0xdbf04f99, "netdev_state_change" },
	{ 0x4997ee1a, "__pskb_copy_fclone" },
	{ 0xb20013e, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xb17627b5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1e493, "netdev_upper_dev_link" },
	{ 0x4ca50989, "dev_addr_mod" },
	{ 0x4dc39961, "netdev_core_stats_alloc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2021b373, "netdev_rx_handler_unregister" },
	{ 0x134dc610, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6829aebb, "netlink_broadcast" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0xc726ea56, "skb_copy_expand" },
	{ 0xad252988, "__dev_get_by_index" },
	{ 0x9dc95b7f, "rtnl_link_unregister" },
	{ 0x2674a316, "init_net" },
	{ 0xf2659707, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb50aa392, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb71ce1a0, "dev_get_by_index_rcu" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x5def0f71, "netdev_printk" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x298d53a9, "netdev_upper_dev_unlink" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0xce17d262, "netif_rx" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe2fd670b, "seq_read" },
	{ 0x3aca1544, "debugfs_rename" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0xa91920b8, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3aa10064, "call_netdevice_notifiers" },
	{ 0xa5976e4f, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1d106652, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xbd9b2645, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x21380ddb, "netif_carrier_on" },
	{ 0x6de12537, "netdev_rx_handler_register" },
	{ 0xc8836361, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x88d47c17, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xa54bc7e6, "genl_unregister_family" },
	{ 0x272e0aa, "dev_disable_lro" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x1b9a1577, "dev_kfree_skb_any_reason" },
	{ 0x89ba77c3, "single_open" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0xacbf8aa5, "genl_register_family" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x37b829b7, "netdev_info" },
	{ 0x42f7c5b9, "register_netdevice" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3CE71D8C93B022EFD6FD267");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
