#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x12c0ebaa, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xfc858dc1, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x82979002, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x29129476, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xfc74e7e3, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x5e831ded, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xfe43d112, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x7f53bc68, "");
SYMBOL_CRC(ip_vs_conn_put, 0xf9832350, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x6c5bbb70, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x9646e1d4, "");
SYMBOL_CRC(register_ip_vs_app, 0xf5811d75, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x660273fc, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0xfaadbe28, "");
SYMBOL_CRC(ip_vs_proto_get, 0x224a20cd, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x5530898f, "");
SYMBOL_CRC(register_ip_vs_pe, 0xeab85c1e, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x9dd9b919, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xd8d31a09, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6c5e8e9, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xa7b0a055, "nf_conntrack_find_get" },
	{ 0x421d4dcf, "krealloc" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x3e3c5e22, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8c6d1f35, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xbeb0839a, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x6c98b2cd, "skb_copy_bits" },
	{ 0x6c7fe42f, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9fc43743, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52d4e744, "housekeeping_cpumask" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0xa75462dc, "ip6_local_out" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xb2b8b4b7, "ip_output" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xedf9d5b2, "nf_register_sockopt" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xeca0c1c6, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xff356e39, "kernel_bind" },
	{ 0x916751ab, "set_user_nice" },
	{ 0xdfb2a7f9, "genlmsg_put" },
	{ 0xeab6561e, "udp_set_csum" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe71f2d69, "ip6_output" },
	{ 0xcfcae241, "ip6_route_me_harder" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc66cb16c, "__module_get" },
	{ 0x99d57227, "ip_route_output_flow" },
	{ 0x538605db, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xe4ec7136, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x68bed270, "__dev_get_by_name" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xa0b40f9f, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57071355, "pskb_expand_head" },
	{ 0x52fa1c16, "register_pernet_subsys" },
	{ 0x21a2b02e, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xc66a4a6e, "register_net_sysctl_sz" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xaf472a7e, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x553f90b8, "nf_register_net_hooks" },
	{ 0x7a2ca2f4, "ip6_route_output_flags" },
	{ 0x738803e6, "strnlen" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0x894683d1, "kmem_cache_alloc" },
	{ 0xcaea29aa, "ipv6_sock_mc_join" },
	{ 0x78b5b683, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x8dfefc0d, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x5ccbb6da, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6352c564, "__skb_get_hash" },
	{ 0x2674a316, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa96f283, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xb50aa392, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x30c9ae0f, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x7c44f498, "nf_conntrack_alter_reply" },
	{ 0x4da1439, "ip_route_me_harder" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0x19e22e41, "kmem_cache_free" },
	{ 0xb997eca9, "set_cpus_allowed_ptr" },
	{ 0xc5a77435, "seq_putc" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x1659547, "proc_doulongvec_minmax" },
	{ 0xa6aefd5a, "nf_ct_expect_alloc" },
	{ 0x30011068, "skb_ensure_writable" },
	{ 0x59ef1ddb, "iov_iter_kvec" },
	{ 0x819053ea, "ip_mc_join_group" },
	{ 0x14c8547, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd2751b28, "ns_capable" },
	{ 0xdaa0d268, "nf_unregister_net_hooks" },
	{ 0xd47b038d, "inet_select_addr" },
	{ 0x96faf1d9, "unregister_pernet_device" },
	{ 0xcac98656, "lock_sock_nested" },
	{ 0x6ae1b989, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0x1ffa005b, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x52eeaa7d, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf4da8e96, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x8617a9f9, "kernel_connect" },
	{ 0x17d63fca, "skb_checksum" },
	{ 0x6d6c27d4, "ip_defrag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0xb7453e58, "nf_ct_delete" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0xb275a19, "nf_hook_slow" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc4e9b676, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xf27287b9, "nf_ct_deliver_cached_events" },
	{ 0x77db0546, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x899b6de9, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xeea0399, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xef362a54, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x23e15137, "ipv4_mtu" },
	{ 0x74eeec28, "skb_set_owner_w" },
	{ 0xccd6a17b, "__skb_checksum" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xb559c8a8, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4aed611, "init_user_ns" },
	{ 0x286f247c, "nf_ct_expect_init" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x66b7268c, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xcda47f9a, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x363ba97f, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5a237404, "ipv4_update_pmtu" },
	{ 0x8ed2f244, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb02eaece, "dst_release" },
	{ 0xb52a1b95, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe542948, "proc_dointvec" },
	{ 0xc8836361, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x493cde7d, "unregister_net_sysctl_table" },
	{ 0x623b1c64, "ip_local_out" },
	{ 0xa54bc7e6, "genl_unregister_family" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x988380c, "udp6_set_csum" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xacbf8aa5, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1c66f3d4, "kernel_sendmsg" },
	{ 0xbf3e0205, "nf_ct_netns_put" },
	{ 0x30da6359, "register_pernet_device" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3b259352, "kmem_cache_destroy" },
	{ 0xac8d39b8, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xac6e47b2, "proc_dointvec_minmax" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "3EE75B06035435FAB28B7EE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
