#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0x571a9dcf, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0xb5a6e1c8, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0xaf3de8dd, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0xc9181ae1, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0x94013e23, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0x01e249ad, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0x03c6392b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd0d8621b, "strlen" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x22a9d8ed, "nf_ct_helper_init" },
	{ 0xb9f8faa4, "nf_conntrack_helpers_register" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x4d883475, "nf_conntrack_helpers_unregister" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x9adb7399, "nf_conntrack_expect_lock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf663cbd9, "nf_ct_remove_expect" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xdafcc46d, "__nf_ct_expect_find" },
	{ 0xa6aefd5a, "nf_ct_expect_alloc" },
	{ 0x286f247c, "nf_ct_expect_init" },
	{ 0x30c9ae0f, "nf_ct_expect_related_report" },
	{ 0x14c8547, "nf_ct_expect_put" },
	{ 0x8d5a5956, "__nf_ip6_route" },
	{ 0xb02eaece, "dst_release" },
	{ 0xc534dcd3, "nf_ip_route" },
	{ 0x7745084d, "nf_ct_unexpect_related" },
	{ 0xef304c9e, "nf_ct_helper_log" },
	{ 0xf8fccf82, "__nf_ct_refresh_acct" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0x6c98b2cd, "skb_copy_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x69a51038, "param_ops_uint" },
	{ 0xb24e581c, "param_array_ops" },
	{ 0xfee1b5e2, "param_ops_ushort" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "AD455FB6BE9E047D00AD0A3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
