#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0xa74b596b, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x93e0f2a8, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x6db63d9b, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x6678ca48, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x78d94cf7, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x0bd98394, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x33d1495d, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0xa6c64847, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x336b9f37, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x6915b82f, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xb7b2cce4, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x0de4ba47, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0xca084a4a, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x4d9199b0, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x94ec2129, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0xf1ca7509, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x3be2c561, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x9e30ccef, "flow_rule_alloc" },
	{ 0x1dfe3dfd, "ip6_dst_check" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x660f4f, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb2b8b4b7, "ip_output" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x9afb253, "neigh_xmit" },
	{ 0xe8468cc5, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xe71f2d69, "ip6_output" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x9cf8324d, "rhashtable_init" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xa0b40f9f, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57071355, "pskb_expand_head" },
	{ 0x52fa1c16, "register_pernet_subsys" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf2659707, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5f995edd, "dev_get_by_index" },
	{ 0xb71ce1a0, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x90f76498, "flow_indr_dev_setup_offload" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0xf4da8e96, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xd127346d, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0xa91920b8, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbdf7bf65, "neigh_destroy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xadfaefd9, "inet_proto_csum_replace4" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0x66b7268c, "remove_proc_entry" },
	{ 0x5e5f75df, "nf_ct_acct_add" },
	{ 0xfe4739d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb02eaece, "dst_release" },
	{ 0xc8836361, "seq_puts" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xf579da69, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x29f3a126, "up_read" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "2CB1B2F0002448A353B523F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
