#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x9709736e, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x0d6707e5, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0xbdf1d867, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xd03e20b3, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xafb8459d, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xf0858519, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0xfbe4c263, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0xe171710c, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xb364bee6, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xe99ff7a1, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x4e0e1298, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xe77ba7fe, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x18460c13, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x12ab89e5, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x1e40539d, "");
SYMBOL_CRC(nf_nat_follow_master, 0x0bd79a57, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x46e83e63, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x031b00ff, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x511c8ada, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x8219827d, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x00219577, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0xfc49fc6a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6c5e8e9, "nf_ct_ext_add" },
	{ 0x70cf71bc, "__do_once_done" },
	{ 0xa7b0a055, "nf_conntrack_find_get" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0x29d4bd49, "nf_ip6_checksum" },
	{ 0x6c98b2cd, "skb_copy_bits" },
	{ 0x3840e6c8, "nf_hook_entries_insert_raw" },
	{ 0x6c7fe42f, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xb4b401c8, "nf_ct_seqadj_set" },
	{ 0x393e67ed, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8235805b, "memmove" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xae5ca5a0, "nf_ct_helper_expectfn_unregister" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5c83efb9, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x7c2342d0, "nf_ct_helper_expectfn_register" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xcfcae241, "ip6_route_me_harder" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57071355, "pskb_expand_head" },
	{ 0x52fa1c16, "register_pernet_subsys" },
	{ 0x4abc95a, "nf_conntrack_tuple_taken" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xa0f1dbf4, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5c28590, "ipv6_skip_exthdr" },
	{ 0x553f90b8, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x78b5b683, "module_put" },
	{ 0x5ccbb6da, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x30c9ae0f, "nf_ct_expect_related_report" },
	{ 0x7c44f498, "nf_conntrack_alter_reply" },
	{ 0x4da1439, "ip_route_me_harder" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xad685a85, "nf_hook_entries_delete_raw" },
	{ 0x30011068, "skb_ensure_writable" },
	{ 0xdaa0d268, "nf_unregister_net_hooks" },
	{ 0xd47b038d, "inet_select_addr" },
	{ 0x5152e605, "memcmp" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0xf4da8e96, "unregister_pernet_subsys" },
	{ 0x17d63fca, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb7453e58, "nf_ct_delete" },
	{ 0xa9ae091e, "nf_ip_checksum" },
	{ 0x4034571f, "register_btf_kfunc_id_set" },
	{ 0x269507d, "nf_ct_iterate_destroy" },
	{ 0x91a9c232, "__siphash_unaligned" },
	{ 0xd127346d, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x22972949, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xccd6a17b, "__skb_checksum" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xadfaefd9, "inet_proto_csum_replace4" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb02eaece, "dst_release" },
	{ 0x522b0351, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x7eaa943, "nf_nat_hook" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "5D9D38194B454EA85165A4A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
