#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nci_get_conn_info_by_dest_type_params, "", "");
KSYMTAB_FUNC(nci_req_complete, "", "");
KSYMTAB_FUNC(nci_prop_cmd, "", "");
KSYMTAB_FUNC(nci_core_cmd, "", "");
KSYMTAB_FUNC(nci_core_reset, "", "");
KSYMTAB_FUNC(nci_core_init, "", "");
KSYMTAB_FUNC(nci_nfcc_loopback, "", "");
KSYMTAB_FUNC(nci_set_config, "", "");
KSYMTAB_FUNC(nci_nfcee_discover, "", "");
KSYMTAB_FUNC(nci_nfcee_mode_set, "", "");
KSYMTAB_FUNC(nci_core_conn_create, "", "");
KSYMTAB_FUNC(nci_core_conn_close, "", "");
KSYMTAB_FUNC(nci_allocate_device, "", "");
KSYMTAB_FUNC(nci_free_device, "", "");
KSYMTAB_FUNC(nci_register_device, "", "");
KSYMTAB_FUNC(nci_unregister_device, "", "");
KSYMTAB_FUNC(nci_recv_frame, "", "");
KSYMTAB_FUNC(nci_send_frame, "", "");
KSYMTAB_FUNC(nci_send_cmd, "", "");
KSYMTAB_FUNC(nci_conn_max_data_pkt_payload_size, "", "");
KSYMTAB_FUNC(nci_send_data, "", "");
KSYMTAB_FUNC(nci_to_errno, "", "");
KSYMTAB_FUNC(nci_hci_send_event, "", "");
KSYMTAB_FUNC(nci_hci_send_cmd, "", "");
KSYMTAB_FUNC(nci_hci_clear_all_pipes, "", "");
KSYMTAB_FUNC(nci_hci_open_pipe, "", "");
KSYMTAB_FUNC(nci_hci_set_param, "", "");
KSYMTAB_FUNC(nci_hci_get_param, "", "");
KSYMTAB_FUNC(nci_hci_connect_gate, "", "");
KSYMTAB_FUNC(nci_hci_dev_session_init, "", "");

SYMBOL_CRC(nci_get_conn_info_by_dest_type_params, 0xdf2c7a32, "");
SYMBOL_CRC(nci_req_complete, 0xe2ba3e81, "");
SYMBOL_CRC(nci_prop_cmd, 0x8b745df7, "");
SYMBOL_CRC(nci_core_cmd, 0xbfa5edfe, "");
SYMBOL_CRC(nci_core_reset, 0xb61f667c, "");
SYMBOL_CRC(nci_core_init, 0x063a69dc, "");
SYMBOL_CRC(nci_nfcc_loopback, 0x8f7d9c2a, "");
SYMBOL_CRC(nci_set_config, 0x869fd73f, "");
SYMBOL_CRC(nci_nfcee_discover, 0xef36653c, "");
SYMBOL_CRC(nci_nfcee_mode_set, 0x7e32556b, "");
SYMBOL_CRC(nci_core_conn_create, 0x9e8ccea7, "");
SYMBOL_CRC(nci_core_conn_close, 0x9b872cc1, "");
SYMBOL_CRC(nci_allocate_device, 0x1571f5f3, "");
SYMBOL_CRC(nci_free_device, 0xeafcd7de, "");
SYMBOL_CRC(nci_register_device, 0x0e445fee, "");
SYMBOL_CRC(nci_unregister_device, 0x65e11ab7, "");
SYMBOL_CRC(nci_recv_frame, 0xe19bde85, "");
SYMBOL_CRC(nci_send_frame, 0x77fe2824, "");
SYMBOL_CRC(nci_send_cmd, 0xf593cca3, "");
SYMBOL_CRC(nci_conn_max_data_pkt_payload_size, 0x5889d231, "");
SYMBOL_CRC(nci_send_data, 0xebd29aff, "");
SYMBOL_CRC(nci_to_errno, 0xba490602, "");
SYMBOL_CRC(nci_hci_send_event, 0x87f00c8b, "");
SYMBOL_CRC(nci_hci_send_cmd, 0x393a292a, "");
SYMBOL_CRC(nci_hci_clear_all_pipes, 0x26df3617, "");
SYMBOL_CRC(nci_hci_open_pipe, 0x35479deb, "");
SYMBOL_CRC(nci_hci_set_param, 0xb85d0ff0, "");
SYMBOL_CRC(nci_hci_get_param, 0x4ddf7fde, "");
SYMBOL_CRC(nci_hci_connect_gate, 0x1192da5b, "");
SYMBOL_CRC(nci_hci_dev_session_init, 0x6ecd4ee3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x393e67ed, "skb_put" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbd038871, "nfc_unregister_device" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8cc4dfb1, "nfc_allocate_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5533afc8, "nfc_tm_data_received" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57071355, "pskb_expand_head" },
	{ 0xb23c920b, "skb_queue_purge_reason" },
	{ 0xd098ad3c, "nfc_tm_deactivated" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xd5d3c78c, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb79f2512, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0x705b0403, "skb_queue_tail" },
	{ 0x2c9ddd35, "nfc_get_local_general_bytes" },
	{ 0x8a2475ad, "nfc_set_remote_general_bytes" },
	{ 0xcde807b1, "devm_kfree" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf2659707, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6b3945ea, "nfc_tm_activated" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6d71bebb, "nfc_targets_found" },
	{ 0x57b9bee8, "nfc_dep_link_is_up" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x329b8ea1, "nfc_send_to_raw_sock" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x982d0325, "nfc_register_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "1EBC0166CF04DF7D21E368A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
