#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ife_encode_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_get_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_check_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_check_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_encode_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_get_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_alloc_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_alloc_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_release_meta_gen, "_gpl", "");
KSYMTAB_FUNC(ife_validate_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_validate_meta_u16, "_gpl", "");
KSYMTAB_FUNC(unregister_ife_op, "_gpl", "");
KSYMTAB_FUNC(register_ife_op, "_gpl", "");

SYMBOL_CRC(ife_encode_meta_u16, 0x24291e29, "_gpl");
SYMBOL_CRC(ife_get_meta_u32, 0x7c7076a2, "_gpl");
SYMBOL_CRC(ife_check_meta_u32, 0xbf872a5d, "_gpl");
SYMBOL_CRC(ife_check_meta_u16, 0x5c26f758, "_gpl");
SYMBOL_CRC(ife_encode_meta_u32, 0xfa27e108, "_gpl");
SYMBOL_CRC(ife_get_meta_u16, 0x2dc4a6a6, "_gpl");
SYMBOL_CRC(ife_alloc_meta_u32, 0xada94f6a, "_gpl");
SYMBOL_CRC(ife_alloc_meta_u16, 0xcdb78c7b, "_gpl");
SYMBOL_CRC(ife_release_meta_gen, 0x61610ed7, "_gpl");
SYMBOL_CRC(ife_validate_meta_u32, 0xd7a9660c, "_gpl");
SYMBOL_CRC(ife_validate_meta_u16, 0xf40f1d62, "_gpl");
SYMBOL_CRC(unregister_ife_op, 0x590afdce, "_gpl");
SYMBOL_CRC(register_ife_op, 0xd290eba7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xe7888e98, "ife_tlv_meta_encode" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xee404d2b, "tcf_register_action" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x34ccc4e4, "tcf_idrinfo_destroy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x78b5b683, "module_put" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xa1d602f7, "try_module_get" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x8ca114bf, "tcf_unregister_action" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xa589d9d0, "nla_put" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x880d508b, "ife_decode" },
	{ 0x67db2029, "ife_tlv_meta_decode" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6210e871, "ife_tlv_meta_next" },
	{ 0x9770081, "eth_type_trans" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8989f82e, "skb_push" },
	{ 0x423787f2, "ife_encode" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf2659707, "skb_pull" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xcb5b3f51, "tcf_idr_check_alloc" },
	{ 0x67fa1ea1, "tcf_action_check_ctrlact" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd3fe8c73, "tcf_action_set_ctrlact" },
	{ 0xef51de25, "tcf_chain_put_by_act" },
	{ 0xcd51ddac, "tcf_idr_release" },
	{ 0x1bcf949b, "tcf_idr_create" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xea217ea1, "tcf_idr_cleanup" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "ife");


MODULE_INFO(srcversion, "20F7E3784DFE820F415AB82");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
