#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x5488adc9, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x4205aa27, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x2bf5f6a8, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x85205d42, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x3c4d8fe8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58cb30cc, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xb7d29282, "sock_i_uid" },
	{ 0x1dfe3dfd, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4fa10016, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x6c98b2cd, "skb_copy_bits" },
	{ 0x67ddad43, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b7214b7, "sock_wfree" },
	{ 0x393e67ed, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8ef22871, "__fl6_sock_lookup" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85a40159, "ip6_dst_hoplimit" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0xf6c56909, "inet6_add_offload" },
	{ 0x82f2c537, "crypto_shash_tfm_digest" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x4a9fcece, "inet6_bind" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x188158b2, "l3mdev_fib_table_by_index" },
	{ 0x8646c100, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x999fd65f, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x41d2268, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x71e8d44, "skb_segment" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0xf6863919, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf83c7388, "udp_tunnel6_xmit_skb" },
	{ 0x2fca85b4, "sock_common_getsockopt" },
	{ 0xc7f6f6e1, "inet_bind" },
	{ 0x9946dd42, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xddf67929, "fd_install" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x414975dd, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b5c7747, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x116a2d58, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xf5c5bbf9, "bpf_trace_run2" },
	{ 0x5c6ce67c, "sock_common_setsockopt" },
	{ 0x54e82026, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x99d57227, "ip_route_output_flow" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0x538605db, "kmem_cache_create" },
	{ 0xfa2d9535, "__sk_mem_schedule" },
	{ 0xbb9506ba, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xdf5b81c7, "sock_alloc_file" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa0b40f9f, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x751f341d, "sk_error_report" },
	{ 0x52fa1c16, "register_pernet_subsys" },
	{ 0x431b4313, "put_cmsg" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xc66a4a6e, "register_net_sysctl_sz" },
	{ 0xdacccab4, "inet_sock_destruct" },
	{ 0xa09cbd7f, "crypto_destroy_tfm" },
	{ 0xd326ce78, "sock_kmalloc" },
	{ 0x406f2276, "inet_sk_get_local_port_range" },
	{ 0x71022ab2, "inet6_del_protocol" },
	{ 0xd38ee2c7, "__get_hash_from_flowi6" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4ea8be6, "_printk" },
	{ 0xa8af4359, "inet_getname" },
	{ 0x7d5e711e, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x9ed01c98, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd875584a, "__genradix_ptr" },
	{ 0x259e7e0d, "inet_release" },
	{ 0x894683d1, "kmem_cache_alloc" },
	{ 0xf0f5dd21, "proto_register" },
	{ 0xc726ea56, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x1813be08, "inet_ctl_sock_create" },
	{ 0x8d8225e2, "inet_ioctl" },
	{ 0x901b4f35, "reuseport_add_sock" },
	{ 0x9d95d116, "reuseport_select_sock" },
	{ 0xc924678a, "__kmalloc_node_track_caller" },
	{ 0x5d095b35, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x47f330c6, "sk_filter_trim_cap" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0xa82feb58, "fput" },
	{ 0x8c6c38d5, "inet_accept" },
	{ 0x2674a316, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x9644e0a4, "crypto_shash_setkey" },
	{ 0xf2659707, "skb_pull" },
	{ 0x49499841, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa96f283, "ip6_mtu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfdefac98, "inet_add_protocol" },
	{ 0x915c2a09, "inet_shutdown" },
	{ 0xb82de595, "sk_free" },
	{ 0x722d8c75, "sock_wake_async" },
	{ 0xb71ce1a0, "dev_get_by_index_rcu" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0xfa45dc96, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0xa8236bef, "__ip_queue_xmit" },
	{ 0x19e22e41, "kmem_cache_free" },
	{ 0x7bfadccb, "__sk_mem_reclaim" },
	{ 0x4904c8a9, "fl6_update_dst" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x1659547, "proc_doulongvec_minmax" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xd2751b28, "ns_capable" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xcac98656, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x39c4d5e, "inet6_ioctl" },
	{ 0xc17f3fec, "skb_copy_datagram_iter" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x16a3b8cf, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xf4da8e96, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xe2e41cef, "ip6_dst_lookup_flow" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0xb894824e, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x2bfc26c2, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbbd17c71, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0x33b1c4be, "setup_udp_tunnel_sock" },
	{ 0x5e5ab0ac, "udp_sock_create6" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2eebce5d, "sk_common_release" },
	{ 0x22391572, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x5943ae2, "inet6_getname" },
	{ 0xb26bae07, "sock_i_ino" },
	{ 0x6bce1a79, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xaeeb7efe, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xc04fd760, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x23e15137, "ipv4_mtu" },
	{ 0x74eeec28, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0xccd6a17b, "__skb_checksum" },
	{ 0x2b3a98be, "reuseport_alloc" },
	{ 0x297b1356, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x2459dc0, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x17a9db52, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x522b0514, "ipv6_dup_options" },
	{ 0x50c89f23, "__alloc_percpu" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1916f770, "rhltable_init" },
	{ 0x7bb0d86b, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe4739d, "seq_printf" },
	{ 0x363ba97f, "proc_create_net_single" },
	{ 0xd9096340, "skb_copy" },
	{ 0xbd9b2645, "skb_clone" },
	{ 0x6c547468, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb02eaece, "dst_release" },
	{ 0x1dd6243a, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xb52a1b95, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe542948, "proc_dointvec" },
	{ 0xc8836361, "seq_puts" },
	{ 0x672411dd, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0xd017cf90, "_proc_mkdir" },
	{ 0xdd823b97, "sk_setup_caps" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x75a6294e, "send_sig" },
	{ 0x493cde7d, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xc47704bb, "inet6_add_protocol" },
	{ 0x55aa3a5a, "from_kuid_munged" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x3b7a016f, "ip_setsockopt" },
	{ 0xc2788d42, "ipv6_flowlabel_exclusive" },
	{ 0xda929e3e, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x430a060c, "ipv6_getsockopt" },
	{ 0xd0d8621b, "strlen" },
	{ 0x2bff1cfd, "reuseport_detach_sock" },
	{ 0x347bd708, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xf65ab5c, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x16ee9407, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0xf579da69, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x8c1a89b9, "sock_init_data" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x3b259352, "kmem_cache_destroy" },
	{ 0xac8d39b8, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5cafcba8, "skb_queue_head" },
	{ 0xac6e47b2, "proc_dointvec_minmax" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "A8E86A3494ABC9ABE781806");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
