#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x170e2195, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0xdfb17233, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x9a31eef0, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0xbdb32d7e, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0xc877dc75, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x54b4ffd9, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x9a5a3753, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x65e95072, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0xe551b4bd, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x4638e04e, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x68136413, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x56198d70, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xa19d29e7, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x1213b5ad, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x7e6d2adc, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0xf9130d36, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x736768b3, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xd4c5b9ee, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x1f770e6b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x283c4823, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x8fb2f436, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x909b80be, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x238d2700, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x57615c7a, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0xa1b50938, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xaeeb04a4, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x7c021317, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x1213bb1d, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xf255295d, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xd2575f40, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xd13336a8, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xc4c0eec8, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x69c694cc, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xa379056d, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x138ac655, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x87c2493, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x33a2428, "_copy_to_iter" },
	{ 0x703775ba, "vsock_insert_connected" },
	{ 0x393e67ed, "skb_put" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x1eb921e8, "vsock_remove_sock" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x557a45, "vsock_deliver_tap" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0xb0a3c5d2, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8fca609a, "bpf_trace_run8" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751f341d, "sk_error_report" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x13780992, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0xf2659707, "skb_pull" },
	{ 0xb82de595, "sk_free" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xaf2c218e, "__skb_recv_datagram" },
	{ 0xcac98656, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x1c8f2b4c, "vsock_stream_has_data" },
	{ 0xfe71296a, "vsock_find_connected_socket" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x9e2ae5dd, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x165a6cf1, "bpf_trace_run10" },
	{ 0x79095d79, "vsock_core_get_transport" },
	{ 0x1c108db7, "vsock_stream_has_space" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1dd6243a, "_copy_from_iter" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xddc0b8e1, "vsock_create_connected" },
	{ 0xdfefc2e1, "vsock_assign_transport" },
	{ 0xf65ab5c, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xac8d39b8, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x77a56187, "vsock_data_ready" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "B7AF3D9926F44DAAD06EA4E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
