#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(cfg80211_wext_siwscan, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwscan, "_gpl", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon_relax, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_valid_disable_subchannel_bitmap, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(wiphy_read_of_freq_limits, "", "");
KSYMTAB_FUNC(cfg80211_wext_giwname, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrange, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwretry, "_gpl", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x085191d8, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0x780bc164, "");
SYMBOL_CRC(wiphy_register, 0xcef72cf1, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0xbd46cecf, "");
SYMBOL_CRC(wiphy_unregister, 0x91d64fbc, "");
SYMBOL_CRC(wiphy_free, 0xfdfc07c7, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0xc850988a, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0xf95cf079, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x73db0057, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x4f1ea582, "");
SYMBOL_CRC(wiphy_work_queue, 0x3fb6b158, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0x86d834e2, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0x85de3f6f, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0xe2547cfb, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0x5be520dd, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0x43afadee, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x7acb86ed, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0xc3fb97ca, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x4abed7d4, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x0cc95bc2, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0xa293a3d7, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0x95c86d16, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0xa16cd8d3, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0xeee0ed14, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0x03d38fe5, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0x79d9ee87, "");
SYMBOL_CRC(cfg80211_classify8021d, 0xca8f0254, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x429c0c31, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x38cb594a, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0x3643b80f, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0x2ab25870, "");
SYMBOL_CRC(cfg80211_check_combinations, 0x1ab3369d, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0x6381a07a, "");
SYMBOL_CRC(cfg80211_get_station, 0x069ec1ae, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x07a6333d, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0x7f51d7f2, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0xdea6c2f9, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0x7497ab37, "");
SYMBOL_CRC(get_wiphy_regdom, 0xa6a5ad17, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x1ce2497f, "");
SYMBOL_CRC(freq_reg_info, 0x81af915b, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0x11e327d4, "");
SYMBOL_CRC(regulatory_hint, 0x7462e730, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0xebbfba09, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0x6dae0084, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0xf22d590d, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_scan_done, 0x81c65ab1, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0x56ae14fd, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0xffca78e8, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0xcd001567, "");
SYMBOL_CRC(cfg80211_bss_flush, 0x7fd8fcf7, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(cfg80211_get_bss, 0x725b7a6f, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x83408773, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x8b24e88f, "");
SYMBOL_CRC(cfg80211_defragment_element, 0x53351a48, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0x52e686c5, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x0425329c, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x8dc43420, "");
SYMBOL_CRC(cfg80211_put_bss, 0x9b2a74e7, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0x607f30e3, "");
SYMBOL_CRC(cfg80211_bss_iter, 0x83fd801d, "");
SYMBOL_CRC(cfg80211_wext_siwscan, 0xa7be33e5, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwscan, 0x608dd7ff, "_gpl");
SYMBOL_CRC(nl80211_send_chandef, 0x0fa3836e, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x8d313949, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0xffffb980, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0xce1f5271, "");
SYMBOL_CRC(cfg80211_nan_match, 0x2d1664e8, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0xcab9efd9, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0xaed567bc, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0xa651a3e5, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0xa1f0064a, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0x1b2acb8e, "");
SYMBOL_CRC(cfg80211_links_removed, 0x181d61b1, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0x8ebddd29, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0xc85782bd, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0x65ceb809, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0xeb6b1429, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0xdcc308ba, "");
SYMBOL_CRC(cfg80211_new_sta, 0xbb4adb2e, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0x25168009, "");
SYMBOL_CRC(cfg80211_conn_failed, 0x3f23bc65, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0xbd19bacf, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0x4672c8c5, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0xc0d45773, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0x0d13d513, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0x0d0c8c28, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0x88dd11cb, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0x736cf0de, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0x0a37d119, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x4fc6bc32, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0x1a17f7f9, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0xe1277b05, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0x12440b1c, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0xfcbcd35f, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0x432e9c37, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0xc9171aa9, "");
SYMBOL_CRC(cfg80211_probe_status, 0xb1ffe367, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0xd8c14857, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0x8d6f9331, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0xeeb7c713, "");
SYMBOL_CRC(cfg80211_ft_event, 0x4e264970, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0xabfbceb4, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0x5f9721ae, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0xf3df97a4, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0xc71803ea, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0xee0687ab, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0x71086c8d, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0x8a43b02a, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0xec707784, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0xf12ad5f5, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0x2d6c97d1, "");
SYMBOL_CRC(__cfg80211_radar_event, 0xaa83a309, "");
SYMBOL_CRC(cfg80211_cac_event, 0x2209eab0, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x707535b6, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0x29267f8f, "");
SYMBOL_CRC(cfg80211_connect_done, 0x4cecdf56, "");
SYMBOL_CRC(cfg80211_roamed, 0x1e0c5229, "");
SYMBOL_CRC(cfg80211_port_authorized, 0x11065eec, "");
SYMBOL_CRC(cfg80211_disconnected, 0x99381d44, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x06ca71fd, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0xc4b4fc27, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xd97eaad4, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0xef683a89, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0x02e00cf1, "");
SYMBOL_CRC(cfg80211_reg_can_beacon, 0x24170b35, "");
SYMBOL_CRC(cfg80211_reg_can_beacon_relax, 0x7969b7bc, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0x07b3346c, "");
SYMBOL_CRC(wdev_chandef, 0xce054659, "");
SYMBOL_CRC(cfg80211_valid_disable_subchannel_bitmap, 0x1b82a85a, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x158c56ba, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0x398f1fba, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0x345ed9b5, "_gpl");
SYMBOL_CRC(wiphy_read_of_freq_limits, 0x99093fc3, "");
SYMBOL_CRC(cfg80211_wext_giwname, 0x5274880c, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwmode, 0xf88b387f, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwmode, 0xff19930e, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrange, 0x8a26c7f9, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwrts, 0xf482b3ea, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrts, 0x0beddbee, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwfrag, 0x499b73ec, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwfrag, 0x4e09d89d, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwretry, 0xe313e8bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xa8a08caf, "trace_print_array_seq" },
	{ 0x219ce502, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9da11c55, "verify_pkcs7_signature" },
	{ 0xe1125ab1, "bpf_trace_run4" },
	{ 0x6c98b2cd, "skb_copy_bits" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x393e67ed, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xc178387e, "dev_set_name" },
	{ 0xfb5f8314, "consume_skb" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x40a62432, "__nla_validate" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x2dd8e174, "nla_reserve" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x930b3c87, "trace_raw_output_prep" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x1a622e96, "nla_put_64bit" },
	{ 0x4147afd2, "bpf_trace_run6" },
	{ 0x762c449d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8038b133, "request_firmware" },
	{ 0xf9d5895b, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xc6c5a69b, "device_initialize" },
	{ 0x9fbd04e7, "skb_add_rx_frag" },
	{ 0xdfb2a7f9, "genlmsg_put" },
	{ 0x495b4f28, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xf5c5bbf9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x14c9f640, "genlmsg_multicast_allns" },
	{ 0xe2964344, "__wake_up" },
	{ 0x271bf58, "unregister_netdevice_queue" },
	{ 0x8fca609a, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa7ae41d1, "keyring_alloc" },
	{ 0xb17627b5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7b0631f2, "device_rename" },
	{ 0x4535a3ce, "trace_event_buffer_commit" },
	{ 0x9770081, "eth_type_trans" },
	{ 0x1e8fac8e, "wireless_nlevent_flush" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb79f2512, "put_device" },
	{ 0x6829aebb, "netlink_broadcast" },
	{ 0xa58f341d, "net_ns_type_operations" },
	{ 0x738803e6, "strnlen" },
	{ 0xa2942c3f, "__alloc_skb" },
	{ 0x37f1aa51, "sysfs_create_link" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0x24acad0b, "inet_csk_get_port" },
	{ 0xaa7f215c, "key_put" },
	{ 0x4f9a6537, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xad252988, "__dev_get_by_index" },
	{ 0xd6fb59ff, "perf_trace_run_bpf_submit" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x2674a316, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa9bc2514, "request_firmware_nowait" },
	{ 0xf2659707, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa972f676, "device_add" },
	{ 0xdf627054, "sysfs_remove_link" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xca654e35, "init_uts_ns" },
	{ 0x710174ef, "platform_device_unregister" },
	{ 0xb50aa392, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5f995edd, "dev_get_by_index" },
	{ 0x497629f5, "bpf_trace_run5" },
	{ 0x4c642722, "kfree_skb_reason" },
	{ 0xa7441fc9, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x80c4c319, "crc32_le" },
	{ 0xab06fd53, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8989f82e, "skb_push" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf7688ef1, "wireless_send_event" },
	{ 0xa589d9d0, "nla_put" },
	{ 0xfa3e7aff, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcd279169, "nla_find" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0xfeccad75, "of_find_property" },
	{ 0x9a5423f3, "class_unregister" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x96faf1d9, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x10bc2661, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x39887690, "bpf_trace_run1" },
	{ 0x7ce71b17, "device_del" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0xcfbd2b4d, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x14dec6d, "__pskb_pull_tail" },
	{ 0xce17d262, "netif_rx" },
	{ 0xb5c8c606, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1a4c6941, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x26b025e3, "of_prop_next_u32" },
	{ 0x22391572, "bpf_trace_run3" },
	{ 0x22972949, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xac5ba3a8, "get_net_ns_by_pid" },
	{ 0x3aca1544, "debugfs_rename" },
	{ 0xeea0399, "strscpy" },
	{ 0x68a674e5, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa8144bed, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x457fdc75, "x509_load_certificate_list" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb52a1b95, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xa54bc7e6, "genl_unregister_family" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x135828b9, "page_address" },
	{ 0xea124bd1, "gcd" },
	{ 0xd0d8621b, "strlen" },
	{ 0xa1919b3c, "bpf_trace_run7" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0xacbf8aa5, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3ce85759, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x4ae4635, "trace_handle_return" },
	{ 0x30da6359, "register_pernet_device" },
	{ 0xc66afbf2, "get_net_ns_by_fd" },
	{ 0xa6ee30dc, "class_register" },
	{ 0x58ddaa51, "bpf_trace_run11" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x42f7c5b9, "register_netdevice" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "481A4F1A1DC55F6A07FF01A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
