#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0xbd1e6cff, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0x19189c5d, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0x55a15049, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0x884f1aaa, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0xabe897da, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0xf8985ecb, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0x1538f0f9, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0x4c727fa5, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x4ca05ba1, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x2759d53b, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x926f0382, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x88a9cf9f, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0xe1beeeec, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0x0caf771f, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0xc4d33190, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x9ed53476, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x7bf3f276, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0xabf23b10, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x0742d0cf, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x0b4f3ab5, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0x7906979f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f03c21e, "snd_hda_apply_verbs" },
	{ 0x8f64e545, "snd_hda_codec_amp_update" },
	{ 0xc9e40f44, "snd_hda_add_new_ctls" },
	{ 0x22271a9f, "snd_hda_get_connections" },
	{ 0xef1c305c, "snd_hda_codec_amp_init_stereo" },
	{ 0xbafc6e47, "snd_hda_set_vmaster_tlv" },
	{ 0x661ed032, "hda_get_autocfg_input_label" },
	{ 0x8e232b18, "query_amp_caps" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xba18ec8f, "snd_hda_mixer_amp_volume_info" },
	{ 0x1c441ffc, "snd_hda_jack_detect_state_mst" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb26149d2, "snd_hda_codec_setup_stream" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xa278fa42, "snd_hda_mixer_amp_switch_info" },
	{ 0x4cd44992, "hda_codec_driver_unregister" },
	{ 0x4ba5b143, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd19e32c0, "snd_hdac_codec_write" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xb23decdd, "snd_hda_jack_tbl_get_mst" },
	{ 0x9cff6c26, "snd_hda_multi_out_dig_open" },
	{ 0x2e60bace, "memcpy" },
	{ 0xd858f26c, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0xfaf6246d, "led_classdev_unregister" },
	{ 0xc8a681a8, "snd_hda_codec_pcm_new" },
	{ 0x16062992, "__snd_hda_codec_cleanup_stream" },
	{ 0x5a2469ca, "snd_ctl_sync_vmaster" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x546f3c96, "snd_hda_multi_out_dig_cleanup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa434d36, "snd_hda_get_pin_label" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x3a47faf7, "snd_hda_add_imux_item" },
	{ 0xa40fb3dc, "snd_hda_correct_pin_ctl" },
	{ 0x3eaed535, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0x35825ff7, "snd_hda_create_dig_out_ctls" },
	{ 0x6e7bd624, "snd_hda_multi_out_dig_close" },
	{ 0x6b799a74, "snd_hda_get_conn_index" },
	{ 0x2d4cc5a2, "snd_hda_multi_out_analog_open" },
	{ 0x726ec21c, "snd_hda_get_bool_hint" },
	{ 0x7f397efa, "snd_hda_create_spdif_share_sw" },
	{ 0x71e751f5, "snd_hda_find_mixer_ctl" },
	{ 0x46cc9628, "snd_hda_get_int_hint" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x48ba401d, "__hda_codec_driver_register" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0xe1ae3b11, "snd_hda_parse_pin_defcfg" },
	{ 0xaea65d52, "snd_hda_codec_amp_init" },
	{ 0xcbc720f6, "snd_hda_create_spdif_in_ctls" },
	{ 0xebb5bec3, "is_jack_detectable" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x498f1b8f, "snd_hda_multi_out_analog_cleanup" },
	{ 0x2810f00d, "snd_hda_multi_out_analog_prepare" },
	{ 0xe4c60eb4, "snd_ctl_boolean_stereo_info" },
	{ 0x1e1240c4, "snd_hda_get_conn_list" },
	{ 0xa4318d2c, "snd_hda_mixer_amp_switch_get" },
	{ 0xe2d3d43b, "snd_hda_codec_set_pin_target" },
	{ 0x4b4d5cf9, "led_classdev_register_ext" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xa513ce54, "snd_hda_attach_beep_device" },
	{ 0xf829084b, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x1328e245, "snd_hdac_regmap_write_raw" },
	{ 0xbc519be1, "snd_hda_mixer_amp_volume_get" },
	{ 0xd64ddc1e, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x7689c0b9, "snd_hda_check_amp_caps" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce593c22, "ledtrig_audio_get" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd280f642, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x9585fa9e, "snd_hda_jack_unsol_event" },
	{ 0x35df57d6, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa59d7a19, "snd_hda_mixer_amp_tlv" },
	{ 0x10a87917, "snd_hda_jack_add_kctls" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0xcbfc2f84, "__snd_hda_add_vmaster" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x59c757b6, "snd_hda_codec_amp_stereo" },
	{ 0xf263ebc8, "snd_hda_sync_vmaster_hook" },
	{ 0x3d489ffd, "snd_hda_apply_fixup" },
	{ 0xe971f965, "snd_hda_enum_helper_info" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x1b8bddeb, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0xd0d8621b, "strlen" },
	{ 0xe4895595, "snd_hdac_codec_read" },
	{ 0xcae0e08f, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0xd32a0353, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0xab186d3, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x94b68d76, "snd_hdac_regmap_sync" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd,ledtrig-audio");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "894683508F406A29B387B94");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
