#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_hda_probe, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_FUNC(cs35l41_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_DATA(cs35l41_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L41");

SYMBOL_CRC(cs35l41_hda_probe, 0xb27916b1, "_gpl");
SYMBOL_CRC(cs35l41_hda_remove, 0x54e43726, "_gpl");
SYMBOL_CRC(cs35l41_hda_pm_ops, 0x568674ec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7c9ef575, "acpi_dev_get_first_match_dev" },
	{ 0xa358ec5a, "gpiod_get_value_cansleep" },
	{ 0x5574f154, "cs35l41_global_enable" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb9e5b341, "regcache_cache_only" },
	{ 0xd808e35d, "is_acpi_device_node" },
	{ 0xa10005e6, "gpiod_put" },
	{ 0xd9a7c366, "regcache_sync" },
	{ 0x6df156, "regmap_write" },
	{ 0x17ab3fc5, "devm_request_threaded_irq" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x2a8e0081, "firmware_request_nowarn" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0xfdc53dad, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8ccc3fa3, "gpiod_count" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x5d05182f, "cs_dsp_stop" },
	{ 0x6ebf0d27, "pm_runtime_set_autosuspend_delay" },
	{ 0x7fa814b2, "cs35l41_register_errata_patch" },
	{ 0x342beb52, "gpiod_set_value_cansleep" },
	{ 0x170ec7d, "hda_cs_dsp_control_remove" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x32ece5d7, "gpiod_get_index" },
	{ 0xc0aeff4, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a1ccc1f, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcde37e8b, "cs35l41_init_boost" },
	{ 0xad93dc5, "cs35l41_enter_hibernate" },
	{ 0xca6f58f5, "get_device" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf02d8780, "hda_cs_dsp_read_ctl" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0xe5a9d64, "snd_ctl_new1" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb79f2512, "put_device" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0x738803e6, "strnlen" },
	{ 0x6352939, "fwnode_gpiod_get_index" },
	{ 0x1f11cefd, "device_property_read_u32_array" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0xe9f468ec, "snd_ctl_boolean_mono_info" },
	{ 0xdc1b5e99, "efi" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf9f36ef9, "cs_dsp_halo_init" },
	{ 0xcbf7716a, "cs_dsp_power_down" },
	{ 0xa59aca23, "device_link_remove" },
	{ 0x498a916b, "cs35l41_test_key_unlock" },
	{ 0xa2b1afd, "hda_cs_dsp_add_controls" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf04d7593, "cs35l41_test_key_lock" },
	{ 0xad0b564e, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xf604736e, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf17797cc, "cs_dsp_power_up" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc0299ca2, "hda_cs_dsp_write_ctl" },
	{ 0xa2739e9, "cs35l41_otp_unpack" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbef5113b, "devm_kasprintf" },
	{ 0x90ffbb1c, "devm_regmap_add_irq_chip" },
	{ 0xeea0399, "strscpy" },
	{ 0x4faf7d45, "cs35l41_exit_hibernate" },
	{ 0x999e8297, "vfree" },
	{ 0x1bed28e0, "regmap_read" },
	{ 0xe771c451, "cs_dsp_run" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xce9def4e, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0x1cbf16e5, "cs35l41_write_fs_errata" },
	{ 0x5d7a2435, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x8a096f82, "cs35l41_configure_cs_dsp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2547ebd, "_dev_crit" },
	{ 0x6a36c088, "regmap_update_bits_base" },
	{ 0xbd7ecefa, "dev_err_probe" },
	{ 0x6eb1968e, "regmap_multi_reg_write" },
	{ 0x529311d5, "__pm_runtime_suspend" },
	{ 0xf01ada74, "component_add" },
	{ 0xca6b6055, "__pm_runtime_use_autosuspend" },
	{ 0xbf1a08f, "cs35l41_set_channels" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xc647797, "device_link_add" },
	{ 0x570945ae, "pm_runtime_force_suspend" },
	{ 0x2b707546, "hda_cs_dsp_fw_ids" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd,cs_dsp,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "6B9721BCBEBF02178464954");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
