#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0x05dc8351, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0xbb1dffe9, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0xb820c692, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x86843004, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0xcf3c0b8b, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0xc381ae14, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0x75718440, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x99707b67, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x637bc70c, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x9cd24837, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x73b9af26, "snd_soc_dapm_put_enum_double" },
	{ 0xb9e5b341, "regcache_cache_only" },
	{ 0xd9a7c366, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6df156, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6ebf0d27, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x342beb52, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x5a1ccc1f, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2bc90097, "devm_gpiod_get_optional" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284c2db9, "__pm_runtime_set_status" },
	{ 0x262ffc0e, "devm_snd_soc_register_component" },
	{ 0xcbad9621, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf1d66e21, "sdw_write_no_pm" },
	{ 0xa8a003da, "devm_free_irq" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0x31d5571d, "regulator_bulk_disable" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x792a28c4, "snd_soc_info_volsw" },
	{ 0x92257062, "cs35l56_init_cs_dsp" },
	{ 0xd53b32ca, "wm_adsp_power_down" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x684a2aa7, "debugfs_create_bool" },
	{ 0x3e1b63af, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x2e3e929d, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa4b15818, "cs35l56_runtime_suspend_common" },
	{ 0x6e223c18, "sdw_read_no_pm" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x30656bc7, "cs35l56_mbox_send" },
	{ 0x3906317b, "cs35l56_hw_init" },
	{ 0x7ebd4035, "wm_adsp2_component_probe" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb05458cf, "cs35l56_system_reset" },
	{ 0xb0187f1f, "snd_soc_info_enum_double" },
	{ 0x6212b566, "regulator_bulk_enable" },
	{ 0xb4f18643, "devm_regulator_bulk_get" },
	{ 0xa8e85633, "cs35l56_wait_for_firmware_boot" },
	{ 0xbef5113b, "devm_kasprintf" },
	{ 0x8178cf5b, "snd_soc_get_volsw" },
	{ 0x39e9d42e, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x1f878672, "cs35l56_is_fw_reload_needed" },
	{ 0x1bed28e0, "regmap_read" },
	{ 0x7bcd0cbb, "snd_soc_put_volsw" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x5d7a2435, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xb54451a8, "sdw_stream_remove_slave" },
	{ 0x5d2f3806, "cs35l56_runtime_resume_common" },
	{ 0xb13f757, "dapm_regulator_event" },
	{ 0x6a36c088, "regmap_update_bits_base" },
	{ 0xbd7ecefa, "dev_err_probe" },
	{ 0x529311d5, "__pm_runtime_suspend" },
	{ 0xcd5438ad, "cs35l56_fill_supply_names" },
	{ 0x524fb4b2, "snd_soc_dapm_get_enum_double" },
	{ 0xca6b6055, "__pm_runtime_use_autosuspend" },
	{ 0x57cf7a22, "wm_halo_init" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0x5b576b07, "cs35l56_firmware_shutdown" },
	{ 0x82df3a6e, "sdw_stream_add_slave" },
	{ 0x570945ae, "pm_runtime_force_suspend" },
	{ 0x8c1bbd03, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x92b57248, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-cs35l56-shared,soundwire-bus,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "2F0AC4F9555FF3F444A6620");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
