#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_hdmi_jack_port_init, "_gpl", "");
KSYMTAB_FUNC(hdac_hdmi_jack_init, "_gpl", "");

SYMBOL_CRC(hdac_hdmi_jack_port_init, 0xa4c6c925, "_gpl");
SYMBOL_CRC(hdac_hdmi_jack_init, 0xec6420ae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x73b9af26, "snd_soc_dapm_put_enum_double" },
	{ 0x4f55a520, "snd_hdac_get_connections" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x6b29d9b3, "snd_hdac_sync_power_state" },
	{ 0xfdc53dad, "snd_ctl_add" },
	{ 0x9ab83b63, "snd_hdac_add_chmap_ctls" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xf5dd7a9b, "snd_soc_jack_report" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x4574be1d, "snd_hdac_channel_allocation" },
	{ 0xb14ab1ef, "hdmi_audio_infoframe_init" },
	{ 0x7a204d1b, "snd_soc_dapm_enable_pin" },
	{ 0xd19e32c0, "snd_hdac_codec_write" },
	{ 0x2e60bace, "memcpy" },
	{ 0xbcf7d147, "snd_soc_dapm_disable_pin" },
	{ 0xe9cdd23c, "snd_hdac_query_supported_pcm" },
	{ 0x9ec4cdbb, "snd_hdac_refresh_widgets" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x960327ac, "snd_soc_dapm_sync" },
	{ 0x262ffc0e, "devm_snd_soc_register_component" },
	{ 0xe5a9d64, "snd_ctl_new1" },
	{ 0x5ed05bf6, "hdmi_audio_infoframe_pack" },
	{ 0x4af80f0, "snd_soc_dapm_new_widgets" },
	{ 0xcbad9621, "devm_kstrdup" },
	{ 0x3eaed535, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7a51c369, "pm_runtime_enable" },
	{ 0x372409e5, "snd_soc_dapm_get_pin_switch" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x4facd0a7, "snd_hdac_acomp_register_notifier" },
	{ 0x25d4d223, "devm_kmemdup" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0xa69ccc2, "snd_hdac_read_parm_uncached" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xe17af1b7, "snd_hdac_register_chmap_ops" },
	{ 0x48af28ba, "snd_hdac_ext_bus_link_get" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3bd544c2, "snd_hdac_get_active_channels" },
	{ 0x953915e5, "snd_hdac_setup_channel_mapping" },
	{ 0xe911aec0, "snd_ctl_notify" },
	{ 0x3b90d985, "snd_hdac_codec_link_down" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x8bc23b2e, "dapm_kcontrol_get_value" },
	{ 0xfdbd0d18, "snd_hdac_acomp_get_eld" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x7afa5f33, "snd_hdac_display_power" },
	{ 0xa7248365, "snd_hda_ext_driver_register" },
	{ 0x7d9b8974, "snd_pcm_hw_constraint_mask64" },
	{ 0xb1e008e6, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb0187f1f, "snd_soc_info_enum_double" },
	{ 0x511739b7, "snd_hdac_check_power_state" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbedb4f7b, "snd_pcm_hw_constraint_eld" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc70fe76d, "snd_hda_ext_driver_unregister" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x3b6d652, "snd_soc_dapm_new_controls" },
	{ 0xc54618c1, "snd_hdac_get_sub_nodes" },
	{ 0x5d7a2435, "pm_runtime_force_resume" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75cb28d1, "snd_soc_dapm_put_pin_switch" },
	{ 0x52139494, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x810e3644, "snd_soc_dapm_info_pin_switch" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc776f38a, "snd_hdac_ext_bus_link_put" },
	{ 0xb38ff417, "snd_soc_add_card_controls" },
	{ 0x529311d5, "__pm_runtime_suspend" },
	{ 0x524fb4b2, "snd_soc_dapm_get_enum_double" },
	{ 0xe4895595, "snd_hdac_codec_read" },
	{ 0x3e16d3a6, "__pm_runtime_disable" },
	{ 0xc647797, "device_link_add" },
	{ 0x9e44a03c, "hdac_get_device_id" },
	{ 0x570945ae, "pm_runtime_force_suspend" },
	{ 0xc6778dbf, "__pm_runtime_idle" },
	{ 0xe0dc7d34, "snd_hdac_codec_link_up" },
	{ 0x1960999a, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-hda-core,snd,snd-hda-ext-core,snd-pcm");

MODULE_ALIAS("hdaudio:v80862809r00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Ar00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Br00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Cr00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Dr00100000a02*");

MODULE_INFO(srcversion, "4EB62B5C075AD2511CD91AC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
