#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tasdevice_rca_parser, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_select_cfg_blk, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tas2781_load_calibration, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_dsp_parser, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_calbin_remove, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_config_info_remove, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_select_tuningprm_cfg, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_prmg_load, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_prmg_calibdata_load, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_tuning_switch, "_gpl", "SND_SOC_TAS2781_FMWLIB");

SYMBOL_CRC(tasdevice_rca_parser, 0x768f48a3, "_gpl");
SYMBOL_CRC(tasdevice_select_cfg_blk, 0x1a949c7c, "_gpl");
SYMBOL_CRC(tas2781_load_calibration, 0x957998f4, "_gpl");
SYMBOL_CRC(tasdevice_dsp_parser, 0xfa72134b, "_gpl");
SYMBOL_CRC(tasdevice_calbin_remove, 0x40ec23ee, "_gpl");
SYMBOL_CRC(tasdevice_config_info_remove, 0x2c2d92de, "_gpl");
SYMBOL_CRC(tasdevice_select_tuningprm_cfg, 0x1ab9b7d9, "_gpl");
SYMBOL_CRC(tasdevice_prmg_load, 0xfe3a6722, "_gpl");
SYMBOL_CRC(tasdevice_prmg_calibdata_load, 0x09351149, "_gpl");
SYMBOL_CRC(tasdevice_tuning_switch, 0x23c94cc6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x8038b133, "request_firmware" },
	{ 0x2d813047, "tasdevice_dev_bulk_write" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb53178a, "crc8" },
	{ 0x3094f750, "tasdevice_dev_update_bits" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x47bdb09, "tasdevice_dev_bulk_read" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x27aa3598, "tasdevice_dev_read" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xd0d8621b, "strlen" },
	{ 0xc860d19e, "tasdevice_dev_write" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-tas2781-comlib,crc8");


MODULE_INFO(srcversion, "FC8165FB3BE75DCBD3BDC47");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
