#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(skl_dsp_set_dma_control, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_create_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_delete_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_pipeline_state, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_save_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_restore_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_dx, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_init_instance, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_bind_unbind, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_load_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_unload_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_get_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_sst_ipc_load_library, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_d0ix, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_get_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_put_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_wake, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_sleep, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(is_skl_dsp_running, "_gpl", "");
KSYMTAB_FUNC(cnl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(skl_clear_module_cnt, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(skl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_instance_id_map, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_id, "_gpl", "");
KSYMTAB_FUNC(skl_put_pvt_id, "_gpl", "");

SYMBOL_CRC(skl_dsp_set_dma_control, 0xa214c3f1, "_gpl");
SYMBOL_CRC(skl_ipc_create_pipeline, 0xf60cda6a, "_gpl");
SYMBOL_CRC(skl_ipc_delete_pipeline, 0x74659f25, "_gpl");
SYMBOL_CRC(skl_ipc_set_pipeline_state, 0xe8be8372, "_gpl");
SYMBOL_CRC(skl_ipc_save_pipeline, 0x49100e1c, "_gpl");
SYMBOL_CRC(skl_ipc_restore_pipeline, 0xbc2959b1, "_gpl");
SYMBOL_CRC(skl_ipc_set_dx, 0xb238e54d, "_gpl");
SYMBOL_CRC(skl_ipc_init_instance, 0xe6eeca8f, "_gpl");
SYMBOL_CRC(skl_ipc_bind_unbind, 0x51d1cd90, "_gpl");
SYMBOL_CRC(skl_ipc_load_modules, 0x2f3f6e36, "_gpl");
SYMBOL_CRC(skl_ipc_unload_modules, 0x5bafc757, "_gpl");
SYMBOL_CRC(skl_ipc_set_large_config, 0x3aff9253, "_gpl");
SYMBOL_CRC(skl_ipc_get_large_config, 0xa9fbbbc8, "_gpl");
SYMBOL_CRC(skl_sst_ipc_load_library, 0x228664f7, "_gpl");
SYMBOL_CRC(skl_ipc_set_d0ix, 0x07cc351d, "_gpl");
SYMBOL_CRC(skl_dsp_get_core, 0xf40418e0, "_gpl");
SYMBOL_CRC(skl_dsp_put_core, 0xd8b31287, "_gpl");
SYMBOL_CRC(skl_dsp_wake, 0x89bbf8cf, "_gpl");
SYMBOL_CRC(skl_dsp_sleep, 0x9b3c346d, "_gpl");
SYMBOL_CRC(skl_dsp_free, 0xc37708aa, "_gpl");
SYMBOL_CRC(is_skl_dsp_running, 0xf692aa06, "_gpl");
SYMBOL_CRC(cnl_dsp_free, 0x0cdacab3, "_gpl");
SYMBOL_CRC(skl_clear_module_cnt, 0x1d37f8c1, "_gpl");
SYMBOL_CRC(skl_sst_dsp_init, 0xae71a7f4, "_gpl");
SYMBOL_CRC(skl_sst_init_fw, 0xf58f12da, "_gpl");
SYMBOL_CRC(skl_sst_dsp_cleanup, 0x69d5c3d7, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_init, 0xfa512ab3, "_gpl");
SYMBOL_CRC(bxt_sst_init_fw, 0x8970ba87, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_cleanup, 0x4d4ed815, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_init, 0xa7229ff3, "_gpl");
SYMBOL_CRC(cnl_sst_init_fw, 0x76c6537f, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_cleanup, 0x3732ebc1, "_gpl");
SYMBOL_CRC(skl_get_pvt_instance_id_map, 0xd43e97aa, "_gpl");
SYMBOL_CRC(skl_get_pvt_id, 0x73d7f1f7, "_gpl");
SYMBOL_CRC(skl_put_pvt_id, 0x03cf0f30, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x117b4889, "platform_device_put" },
	{ 0x50fb7e12, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x89e2ab02, "snd_hdac_ext_bus_link_power_down_all" },
	{ 0x421d4dcf, "krealloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x8e5dfc71, "sst_dsp_register_poll" },
	{ 0x1f0c689f, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0x906af335, "pci_enable_device" },
	{ 0xc8ef17d8, "snd_hdac_bus_send_cmd" },
	{ 0x6dd4c809, "sysfs_create_file_ns" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9c5ca75f, "snd_hdac_stream_set_spib" },
	{ 0xbadbf931, "snd_hdac_bus_enter_link_reset" },
	{ 0x3ea21d13, "sst_ipc_tx_message_wait" },
	{ 0x685a14c8, "intel_nhlt_get_dmic_geo" },
	{ 0xd51a6f9d, "snd_hdac_bus_get_response" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa0cac894, "snd_hdac_ext_stream_start" },
	{ 0xa2bf907, "snd_soc_acpi_intel_kbl_machines" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x974e3296, "snd_hdac_ext_stream_free_all" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x4d97e505, "snd_hdac_bus_update_rirb" },
	{ 0xfbb95b45, "sst_dsp_shim_write_unlocked" },
	{ 0x8cc4ffc0, "snd_hdac_ext_bus_ppcap_enable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8038b133, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x164b8581, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x4bc6a005, "snd_pcm_hw_constraint_minmax" },
	{ 0x7ce760c2, "snd_hdac_bus_stop_chip" },
	{ 0x427df015, "pci_request_regions" },
	{ 0x1eb48bb6, "snd_hdac_ext_bus_link_power_up" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9f6b2f03, "snd_hdac_ext_bus_init" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x606445be, "snd_intel_dsp_driver_probe" },
	{ 0x36857d4c, "snd_hdac_stream_set_lpib" },
	{ 0x65bd7b83, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xa2207ae2, "snd_sgbuf_get_chunk_size" },
	{ 0x13feb249, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x878f0613, "snd_hdac_ext_bus_device_remove" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xe9cd195a, "snd_hdac_ext_bus_ppcap_int_enable" },
	{ 0xf463b3e, "snd_pcm_set_sync" },
	{ 0xc3bffcab, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x53b9dd1, "platform_device_add_data" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb63510f2, "snd_hdac_stream_timecounter_init" },
	{ 0x38a82cb1, "snd_hdac_ext_link_free_all" },
	{ 0x1f5de7f9, "sst_ipc_tx_message_nowait" },
	{ 0x77db385a, "pci_read_config_dword" },
	{ 0x88f725c2, "snd_dma_free_pages" },
	{ 0x262ffc0e, "devm_snd_soc_register_component" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xca999486, "snd_hdac_bus_free_stream_pages" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x2458678c, "snd_hdac_dsp_prepare" },
	{ 0xf4ea8be6, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd612c47d, "snd_hdac_ext_bus_link_power_up_all" },
	{ 0xb9f8d669, "snd_hdac_ext_bus_exit" },
	{ 0x5a15b0c6, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xb79f2512, "put_device" },
	{ 0x6753c3bb, "sysfs_remove_file_ns" },
	{ 0x8b844ce9, "snd_hdac_ext_stream_decouple" },
	{ 0xc2acc033, "hex_dump_to_buffer" },
	{ 0xe653eb67, "snd_hdac_ext_stream_clear" },
	{ 0x738803e6, "strnlen" },
	{ 0xba551b66, "snd_hdac_device_register" },
	{ 0x9778fbaf, "snd_hdac_stream_spbcap_enable" },
	{ 0x78a7a67d, "sst_ipc_tx_message_nopm" },
	{ 0xfb17c5ff, "snd_hdac_i915_init" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0x2248acbf, "snd_hdac_bus_init_chip" },
	{ 0xd2bcd5c6, "snd_hdac_stream_stop" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xb8bdaa6, "intel_nhlt_get_endpoint_blob" },
	{ 0x9a2360c9, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x6e8f19e4, "sst_dsp_shim_read_unlocked" },
	{ 0xcde807b1, "devm_kfree" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8b065251, "simple_open" },
	{ 0x82bce818, "snd_soc_acpi_intel_bxt_machines" },
	{ 0x4d91e9ed, "snd_hdac_bus_exit_link_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x710174ef, "platform_device_unregister" },
	{ 0x2b5068b6, "sst_ipc_fini" },
	{ 0x74bc0790, "snd_hdac_ext_stream_assign" },
	{ 0xe5d9f574, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x49fd8119, "snd_hdac_ext_stream_init_all" },
	{ 0xd0972371, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x2ad85b63, "snd_soc_acpi_find_machine" },
	{ 0x6cb47a51, "sst_dsp_shim_update_bits_unlocked" },
	{ 0x50fedb4d, "sst_dsp_shim_update_bits_forced" },
	{ 0x2e9b1161, "platform_device_add" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x8f741c3d, "platform_device_alloc" },
	{ 0x3f060887, "__ioread32_copy" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0xd0350ca5, "sst_ipc_init" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x54ee2a5f, "snd_soc_acpi_intel_glk_machines" },
	{ 0x69a61086, "snd_soc_tplg_component_load" },
	{ 0xfea79a1e, "sst_dsp_shim_read" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x9ab2f5ea, "snd_hdac_ext_stream_setup" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x77ee5636, "snd_hdac_bus_stop_cmd_io" },
	{ 0x5b943bad, "snd_hdac_stream_sync" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x1eef6d16, "pci_restore_state" },
	{ 0x6327eb62, "default_llseek" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x21a92093, "snd_pcm_set_managed_buffer_all" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x7afa5f33, "snd_hdac_display_power" },
	{ 0x16e86983, "sst_shim32_read" },
	{ 0x42c215f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xaaacde85, "sst_dsp_mailbox_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2dd3bdc2, "sst_ipc_tx_msg_reply_complete" },
	{ 0x73c46932, "snd_soc_tplg_component_remove" },
	{ 0x9ebde1c0, "snd_hdac_bus_init_cmd_io" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x3830296a, "dma_set_coherent_mask" },
	{ 0x6bf66a89, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x78e47389, "sst_dsp_shim_update_bits" },
	{ 0x8abe5048, "snd_hdac_acomp_exit" },
	{ 0x9ff64861, "debugfs_create_file" },
	{ 0x6a184220, "snd_hdac_bus_parse_capabilities" },
	{ 0x68a674e5, "platform_device_register_full" },
	{ 0x84368b89, "sst_dsp_outbox_write" },
	{ 0xa770b57b, "pm_runtime_allow" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0xa59643c1, "snd_hdac_stream_setup" },
	{ 0xa188491c, "sst_dsp_inbox_read" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x945edbb3, "snd_hdac_stream_set_params" },
	{ 0x8e0b562a, "pci_release_regions" },
	{ 0x4b196551, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x74fb522, "snd_hdac_ext_bus_get_ml_capabilities" },
	{ 0x980f9819, "snd_hdac_bus_handle_stream_irq" },
	{ 0xdb1fd043, "pci_write_config_byte" },
	{ 0xfecbc57, "snd_hdac_stream_drsm_enable" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2611213a, "snd_soc_acpi_intel_skl_machines" },
	{ 0x52139494, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x614965b6, "snd_soc_set_runtime_hwparams" },
	{ 0xfc6aa48a, "snd_hdac_get_stream" },
	{ 0x6b1a0229, "pci_disable_device" },
	{ 0x95e32ecf, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0x5643b112, "pci_match_id" },
	{ 0xe48edd8b, "snd_hdac_stream_sync_trigger" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc776f38a, "snd_hdac_ext_bus_link_put" },
	{ 0x14dbcdcf, "snd_hda_codec_device_init" },
	{ 0xad76a722, "dma_set_mask" },
	{ 0xd4f76ed1, "snd_hdac_set_codec_wakeup" },
	{ 0x7addc6b4, "snd_hdac_stream_reset" },
	{ 0x687da2af, "sst_dsp_shim_write" },
	{ 0xca871770, "snd_pcm_period_elapsed" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x529311d5, "__pm_runtime_suspend" },
	{ 0x82638f3d, "snd_hdac_bus_alloc_stream_pages" },
	{ 0x52022504, "snd_soc_tplg_widget_bind_event" },
	{ 0x1350fd72, "pci_read_config_byte" },
	{ 0xcbc2d787, "snd_hdac_dsp_trigger" },
	{ 0xd0d8621b, "strlen" },
	{ 0xe9c6de99, "sst_shim32_write" },
	{ 0x6f132701, "param_ops_int" },
	{ 0x3869f594, "intel_nhlt_init" },
	{ 0x44a6d73b, "snd_hdac_stop_streams_and_chip" },
	{ 0xce33ffa0, "snd_hdac_dsp_cleanup" },
	{ 0x8a1986d, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xa4f13fcd, "snd_hdac_ext_stream_reset" },
	{ 0xff981cec, "snd_hdac_stop_streams" },
	{ 0x308319ad, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0x15085845, "snd_hdac_stream_start" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf29c35e6, "pci_write_config_dword" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x1960999a, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9d4ff1ae, "snd_hdac_stream_set_dpibr" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xf62eb96b, "snd_soc_acpi_intel_hda_machines" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core,snd-soc-sst-dsp,snd-pcm,snd-hda-core,snd-soc-sst-ipc,snd-intel-dspcfg,snd-soc-acpi-intel-match,snd-soc-core,snd-soc-acpi,snd-hda-codec");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A98sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003198sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "00055C28257FFEC69100B8E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
