#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_codec_jack_wake_enable, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_jack_check, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_probe_bus, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_for_state_change, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_detect_mask, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_init_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_resume_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_stop_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_suspend_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_rirb_status_clear, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_set_codec_wakeup, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_rirb_status, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_device_remove, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_i915_display_power, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_init, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_exit, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");

SYMBOL_CRC(hda_codec_jack_wake_enable, 0xd3964e56, "_gpl");
SYMBOL_CRC(hda_codec_jack_check, 0x81acec92, "_gpl");
SYMBOL_CRC(hda_codec_probe_bus, 0x3f28538c, "_gpl");
SYMBOL_CRC(hda_codec_check_for_state_change, 0xcbb29add, "_gpl");
SYMBOL_CRC(hda_codec_detect_mask, 0xc448d87c, "_gpl");
SYMBOL_CRC(hda_codec_init_cmd_io, 0xddb2c093, "_gpl");
SYMBOL_CRC(hda_codec_resume_cmd_io, 0xf0dcddb4, "_gpl");
SYMBOL_CRC(hda_codec_stop_cmd_io, 0x5541ac9a, "_gpl");
SYMBOL_CRC(hda_codec_suspend_cmd_io, 0xfb0cae01, "_gpl");
SYMBOL_CRC(hda_codec_rirb_status_clear, 0xdab2fbcc, "_gpl");
SYMBOL_CRC(hda_codec_set_codec_wakeup, 0x3b385e62, "_gpl");
SYMBOL_CRC(hda_codec_check_rirb_status, 0x8e26c384, "_gpl");
SYMBOL_CRC(hda_codec_device_remove, 0x77a263f0, "_gpl");
SYMBOL_CRC(hda_codec_i915_display_power, 0xa768f894, "_gpl");
SYMBOL_CRC(hda_codec_i915_init, 0x818fe702, "_gpl");
SYMBOL_CRC(hda_codec_i915_exit, 0xd3d21ba8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xea23c7d6, "devm_kmalloc" },
	{ 0xc8ef17d8, "snd_hdac_bus_send_cmd" },
	{ 0xd51a6f9d, "snd_hdac_bus_get_response" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x4d97e505, "snd_hdac_bus_update_rirb" },
	{ 0x5027c5a8, "snd_hdac_codec_modalias" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0x878f0613, "snd_hdac_ext_bus_device_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb79f2512, "put_device" },
	{ 0xba551b66, "snd_hdac_device_register" },
	{ 0xfb17c5ff, "snd_hdac_i915_init" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x183dbf75, "snd_hdac_device_unregister" },
	{ 0xbc022efe, "device_attach" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x77ee5636, "snd_hdac_bus_stop_cmd_io" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x7afa5f33, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9ebde1c0, "snd_hdac_bus_init_cmd_io" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8abe5048, "snd_hdac_acomp_exit" },
	{ 0x6193cf15, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x14dbcdcf, "snd_hda_codec_device_init" },
	{ 0xd4f76ed1, "snd_hdac_set_codec_wakeup" },
	{ 0x6f132701, "param_ops_int" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd-sof,snd-hda-codec");


MODULE_INFO(srcversion, "234B47FB3F87495B2666428");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
