#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9695cb64, "input_allocate_device" },
	{ 0x7e45b202, "usb_alloc_urb" },
	{ 0x795cdbc7, "snd_rawmidi_receive" },
	{ 0xcf6342ef, "usb_free_urb" },
	{ 0xb71d986d, "snd_pcm_hw_limit_rates" },
	{ 0x6e58b37b, "snd_rawmidi_transmit" },
	{ 0xfdc53dad, "snd_ctl_add" },
	{ 0xb773e773, "snd_pcm_new" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x477109b3, "snd_card_register" },
	{ 0xc9ab8dbb, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb261d373, "usb_register_driver" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xb24e581c, "param_array_ops" },
	{ 0xd004a1e6, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20eaa751, "input_free_device" },
	{ 0xe5a9d64, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3b873f0, "usb_bulk_msg" },
	{ 0x14669ace, "input_register_device" },
	{ 0xd56b1364, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0xf721d4ba, "usb_submit_urb" },
	{ 0xd2a8ebae, "snd_card_new" },
	{ 0x5b2b7e0e, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x94580767, "snd_card_set_id" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xe3f247b0, "usb_set_interface" },
	{ 0x6702ea1a, "snd_pcm_set_ops" },
	{ 0x5beedb84, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xebc666af, "usb_string" },
	{ 0x21a92093, "snd_pcm_set_managed_buffer_all" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0xcfbd2b4d, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x86f82cd2, "input_event" },
	{ 0x19590e3a, "input_set_abs_params" },
	{ 0x6d28bd93, "snd_rawmidi_new" },
	{ 0x9ff48c77, "snd_card_disconnect" },
	{ 0xeea0399, "strscpy" },
	{ 0x44f55001, "snd_rawmidi_set_ops" },
	{ 0x1dd7f618, "param_ops_bool" },
	{ 0xbee9d7dd, "usb_kill_urb" },
	{ 0xbf62bd4f, "usb_init_urb" },
	{ 0xca871770, "snd_pcm_period_elapsed" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x6f132701, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-rawmidi,snd-pcm,snd");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0D6B66FECABDE38A6D8204C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
