#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(line6_midi_id, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message_async, "_gpl", "");
KSYMTAB_FUNC(line6_version_request_async, "_gpl", "");
KSYMTAB_FUNC(line6_send_sysex_message, "_gpl", "");
KSYMTAB_FUNC(line6_alloc_sysex_buffer, "_gpl", "");
KSYMTAB_FUNC(line6_read_data, "_gpl", "");
KSYMTAB_FUNC(line6_write_data, "_gpl", "");
KSYMTAB_FUNC(line6_read_serial_number, "_gpl", "");
KSYMTAB_FUNC(line6_probe, "_gpl", "");
KSYMTAB_FUNC(line6_disconnect, "_gpl", "");
KSYMTAB_FUNC(line6_suspend, "_gpl", "");
KSYMTAB_FUNC(line6_resume, "_gpl", "");
KSYMTAB_FUNC(line6_init_midi, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_acquire, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_release, "_gpl", "");
KSYMTAB_FUNC(line6_init_pcm, "_gpl", "");

SYMBOL_CRC(line6_midi_id, 0x202a1b1b, "_gpl");
SYMBOL_CRC(line6_send_raw_message, 0x7560ff7d, "_gpl");
SYMBOL_CRC(line6_send_raw_message_async, 0x04f97af4, "_gpl");
SYMBOL_CRC(line6_version_request_async, 0xddeb8d15, "_gpl");
SYMBOL_CRC(line6_send_sysex_message, 0xe766d09f, "_gpl");
SYMBOL_CRC(line6_alloc_sysex_buffer, 0x95b4a453, "_gpl");
SYMBOL_CRC(line6_read_data, 0x36b19c44, "_gpl");
SYMBOL_CRC(line6_write_data, 0xb1444f9a, "_gpl");
SYMBOL_CRC(line6_read_serial_number, 0x0d8e806e, "_gpl");
SYMBOL_CRC(line6_probe, 0x862536f8, "_gpl");
SYMBOL_CRC(line6_disconnect, 0x3097b337, "_gpl");
SYMBOL_CRC(line6_suspend, 0x5739f798, "_gpl");
SYMBOL_CRC(line6_resume, 0xb75bad9d, "_gpl");
SYMBOL_CRC(line6_init_midi, 0x85ce0e82, "_gpl");
SYMBOL_CRC(line6_pcm_acquire, 0x237b53de, "_gpl");
SYMBOL_CRC(line6_pcm_release, 0xdd65dbc6, "_gpl");
SYMBOL_CRC(line6_init_pcm, 0x9726428c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7e45b202, "usb_alloc_urb" },
	{ 0x795cdbc7, "snd_rawmidi_receive" },
	{ 0xcf6342ef, "usb_free_urb" },
	{ 0x52eed141, "usb_control_msg_send" },
	{ 0xfdc53dad, "snd_ctl_add" },
	{ 0xb773e773, "snd_pcm_new" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x251ddf3a, "usb_control_msg_recv" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd507edab, "usb_interrupt_msg" },
	{ 0x2ec524ad, "__kfifo_in_r" },
	{ 0xe5a9d64, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x65045172, "usb_put_dev" },
	{ 0x3b873f0, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe8a3c96c, "snd_rawmidi_transmit_ack" },
	{ 0x93a969e0, "usb_get_dev" },
	{ 0xf721d4ba, "usb_submit_urb" },
	{ 0x4d818cc1, "_dev_info" },
	{ 0xb4ba6c88, "snd_pcm_hw_constraint_ratdens" },
	{ 0xd2a8ebae, "snd_card_new" },
	{ 0x5b2b7e0e, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xef0c1705, "_dev_err" },
	{ 0x80119a92, "snd_hwdep_new" },
	{ 0x66197be9, "snd_rawmidi_transmit_peek" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xece2de79, "snd_card_free_when_closed" },
	{ 0xe3f247b0, "usb_set_interface" },
	{ 0x6702ea1a, "snd_pcm_set_ops" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x21a92093, "snd_pcm_set_managed_buffer_all" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xeb55a931, "__kfifo_max_r" },
	{ 0x6d28bd93, "snd_rawmidi_new" },
	{ 0x9ff48c77, "snd_card_disconnect" },
	{ 0x21041a47, "usb_unlink_urb" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x44f55001, "snd_rawmidi_set_ops" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xa6970398, "__kfifo_to_user_r" },
	{ 0xbee9d7dd, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xca871770, "snd_pcm_period_elapsed" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0x37f614b7, "__kfifo_len_r" },
	{ 0xd0d8621b, "strlen" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-rawmidi,snd,snd-pcm,snd-hwdep");


MODULE_INFO(srcversion, "C2D52CAA75223828D754B8D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
