#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_usbmidi_disconnect, "", "");
KSYMTAB_FUNC(snd_usbmidi_input_stop, "", "");
KSYMTAB_FUNC(snd_usbmidi_input_start, "", "");
KSYMTAB_FUNC(snd_usbmidi_suspend, "", "");
KSYMTAB_FUNC(snd_usbmidi_resume, "", "");
KSYMTAB_FUNC(__snd_usbmidi_create, "", "");

SYMBOL_CRC(snd_usbmidi_disconnect, 0xd9d2bb03, "");
SYMBOL_CRC(snd_usbmidi_input_stop, 0x63343b1d, "");
SYMBOL_CRC(snd_usbmidi_input_start, 0x16756dc0, "");
SYMBOL_CRC(snd_usbmidi_suspend, 0xbed43a41, "");
SYMBOL_CRC(snd_usbmidi_resume, 0xb2af19e1, "");
SYMBOL_CRC(__snd_usbmidi_create, 0xc2d47879, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7e45b202, "usb_alloc_urb" },
	{ 0x795cdbc7, "snd_rawmidi_receive" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xcf6342ef, "usb_free_urb" },
	{ 0x6e58b37b, "snd_rawmidi_transmit" },
	{ 0xfdc53dad, "snd_ctl_add" },
	{ 0x4eefbef5, "usb_alloc_coherent" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ec55703, "pcpu_hot" },
	{ 0xd1a0c7b5, "usb_autopm_get_interface_no_resume" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xee602f6f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe5a9d64, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3b873f0, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0xe8a3c96c, "snd_rawmidi_transmit_ack" },
	{ 0xf721d4ba, "usb_submit_urb" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x5b2b7e0e, "usb_urb_ep_type_check" },
	{ 0x5af8e078, "down_write" },
	{ 0xef0c1705, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xca8d33e1, "usb_free_coherent" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x66197be9, "snd_rawmidi_transmit_peek" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf40a5563, "usb_control_msg" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe911aec0, "snd_ctl_notify" },
	{ 0xe3f247b0, "usb_set_interface" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xebc666af, "usb_string" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7a38dc4e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x6d28bd93, "snd_rawmidi_new" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x44f55001, "snd_rawmidi_set_ops" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xbee9d7dd, "usb_kill_urb" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2911abd1, "kmalloc_trace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x29f3a126, "up_read" },
	{ 0x2ba638b0, "kmalloc_caches" },
	{ 0x7583bba5, "snd_rawmidi_proceed" },
	{ 0x8e0912ff, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-rawmidi,snd");


MODULE_INFO(srcversion, "9A35C5E1F10001F095EAEDC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
